/*
MySQL Data Transfer
Source Host: localhost
Source Database: ffxiv_server
Target Host: localhost
Target Database: ffxiv_server
Date: 4/18/2016 1:40:22 PM
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for gamedata_items
-- ----------------------------
CREATE TABLE `gamedata_items` (
  `catalogID` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `category` varchar(255) NOT NULL,
  `maxStack` int(11) NOT NULL,
  `isRare` tinyint(1) unsigned NOT NULL,
  `isExclusive` tinyint(1) unsigned NOT NULL,
  `durability` int(11) NOT NULL,
  `sellPrice` int(11) NOT NULL,
  `icon` int(11) NOT NULL,
  `kind` int(11) NOT NULL,
  `rarity` int(11) NOT NULL,
  `isUseable` int(11) NOT NULL,
  `mainSkill` int(11) NOT NULL,
  `subSkill` int(11) NOT NULL,
  `levelType` int(11) NOT NULL,
  `level` int(11) NOT NULL,
  `compatibility` int(11) NOT NULL,
  `effectMagnitude` float NOT NULL,
  `effectRate` float NOT NULL,
  `shieldBlocking` float NOT NULL,
  `effectDuration` float NOT NULL,
  `recastTime` float NOT NULL,
  `recastGroup` tinyint(4) NOT NULL,
  `repairSkill` int(11) NOT NULL,
  `repairItem` int(11) NOT NULL,
  `repairItemNum` int(11) NOT NULL,
  `repairLevel` int(11) NOT NULL,
  `repairLicense` int(11) NOT NULL,
  PRIMARY KEY (`catalogID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for gamedata_items_accessory
-- ----------------------------
CREATE TABLE `gamedata_items_accessory` (
  `catalogID` int(10) unsigned NOT NULL,
  `power` tinyint(4) NOT NULL,
  `size` tinyint(4) NOT NULL,
  PRIMARY KEY (`catalogID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for gamedata_items_armor
-- ----------------------------
CREATE TABLE `gamedata_items_armor` (
  `catalogID` int(10) unsigned NOT NULL,
  `defense` smallint(6) NOT NULL,
  `magicDefense` smallint(6) NOT NULL,
  `criticalDefense` smallint(6) NOT NULL,
  `evasion` smallint(6) NOT NULL,
  `magicResistance` smallint(6) NOT NULL,
  `damageDefenseType1` int(11) NOT NULL,
  `damageDefenseValue1` smallint(6) NOT NULL,
  `damageDefenseType2` int(11) NOT NULL,
  `damageDefenseValue2` smallint(6) NOT NULL,
  `damageDefenseType3` int(11) NOT NULL,
  `damageDefenseValue3` smallint(6) NOT NULL,
  `damageDefenseType4` int(11) NOT NULL,
  `damageDefenseValue4` smallint(6) NOT NULL,
  PRIMARY KEY (`catalogID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for gamedata_items_equipment
-- ----------------------------
CREATE TABLE `gamedata_items_equipment` (
  `catalogID` int(11) NOT NULL,
  `equipPoint` int(11) NOT NULL,
  `equipTribe` tinyint(4) NOT NULL,
  `paramBonusType1` int(11) NOT NULL,
  `paramBonusValue1` smallint(6) NOT NULL,
  `paramBonusType2` int(11) NOT NULL,
  `paramBonusValue2` smallint(6) NOT NULL,
  `paramBonusType3` int(11) NOT NULL,
  `paramBonusValue3` smallint(6) NOT NULL,
  `paramBonusType4` int(11) NOT NULL,
  `paramBonusValue4` smallint(6) NOT NULL,
  `paramBonusType5` int(11) NOT NULL,
  `paramBonusValue5` smallint(6) NOT NULL,
  `paramBonusType6` int(11) NOT NULL,
  `paramBonusValue6` smallint(6) NOT NULL,
  `paramBonusType7` int(11) NOT NULL,
  `paramBonusValue7` smallint(6) NOT NULL,
  `paramBonusType8` int(11) NOT NULL,
  `paramBonusValue8` smallint(6) NOT NULL,
  `paramBonusType9` int(11) NOT NULL,
  `paramBonusValue9` smallint(6) NOT NULL,
  `paramBonusType10` int(11) NOT NULL,
  `paramBonusValue10` smallint(6) NOT NULL,
  `additionalEffect` smallint(6) NOT NULL,
  `materiaBindPermission` tinyint(1) unsigned NOT NULL,
  `materializeTable` smallint(6) NOT NULL,
  PRIMARY KEY (`catalogID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for gamedata_items_graphics
-- ----------------------------
CREATE TABLE `gamedata_items_graphics` (
  `catalogID` int(10) unsigned NOT NULL,
  `weaponId` int(10) unsigned NOT NULL,
  `equipmentId` int(10) unsigned NOT NULL,
  `variantId` int(10) unsigned NOT NULL,
  `colorId` int(10) unsigned NOT NULL,
  PRIMARY KEY (`catalogID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for gamedata_items_weapon
-- ----------------------------
CREATE TABLE `gamedata_items_weapon` (
  `catalogID` int(10) unsigned NOT NULL,
  `attack` smallint(6) NOT NULL,
  `magicAttack` smallint(6) NOT NULL,
  `craftProcessing` smallint(6) NOT NULL,
  `craftMagicProcessing` smallint(6) NOT NULL,
  `harvestPotency` smallint(6) NOT NULL,
  `harvestLimit` smallint(6) NOT NULL,
  `frequency` tinyint(4) NOT NULL,
  `rate` smallint(6) NOT NULL,
  `magicRate` smallint(6) NOT NULL,
  `craftProcessControl` smallint(6) NOT NULL,
  `harvestRate` smallint(6) NOT NULL,
  `critical` smallint(6) NOT NULL,
  `magicCritical` smallint(6) NOT NULL,
  `parry` smallint(6) NOT NULL,
  `damageAttributeType1` int(11) NOT NULL,
  `damageAttributeValue1` float NOT NULL,
  `damageAttributeType2` int(11) NOT NULL,
  `damageAttributeValue2` float NOT NULL,
  `damageAttributeType3` int(11) NOT NULL,
  `damageAttributeValue3` float NOT NULL,
  `damagePower` smallint(6) NOT NULL,
  `damageInterval` float NOT NULL,
  `ammoVirtualDamagePower` smallint(6) NOT NULL,
  PRIMARY KEY (`catalogID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `gamedata_items` VALUES ('0', '[en]', 'Normal/DummyItem', '1', '0', '0', '0', '0', '60000', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1', '[en]', 'Normal/DummyItem', '1', '0', '0', '0', '0', '60000', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000001', 'Gil', 'Money/MoneyStandard', '999999999', '0', '0', '0', '0', '60737', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000002', 'Crystal', 'Money/MoneyStandard', '999', '0', '0', '0', '0', '60000', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000003', 'Fire Shard', 'Money/MoneyStandard', '9999', '0', '0', '0', '8', '60001', '1006', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000004', 'Ice Shard', 'Money/MoneyStandard', '9999', '0', '0', '0', '8', '60003', '1006', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000005', 'Wind Shard', 'Money/MoneyStandard', '9999', '0', '0', '0', '8', '60004', '1006', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000006', 'Earth Shard', 'Money/MoneyStandard', '9999', '0', '0', '0', '8', '60006', '1006', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000007', 'Lightning Shard', 'Money/MoneyStandard', '9999', '0', '0', '0', '8', '60005', '1006', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000008', 'Water Shard', 'Money/MoneyStandard', '9999', '0', '0', '0', '8', '60002', '1006', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000009', 'Fire Crystal', 'Money/MoneyStandard', '9999', '0', '0', '0', '38', '60007', '1006', '1', '0', '0', '0', '0', '20', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000010', 'Ice Crystal', 'Money/MoneyStandard', '9999', '0', '0', '0', '38', '60009', '1006', '1', '0', '0', '0', '0', '20', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000011', 'Wind Crystal', 'Money/MoneyStandard', '9999', '0', '0', '0', '38', '60010', '1006', '1', '0', '0', '0', '0', '20', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000012', 'Earth Crystal', 'Money/MoneyStandard', '9999', '0', '0', '0', '38', '60012', '1006', '1', '0', '0', '0', '0', '20', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000013', 'Lightning Crystal', 'Money/MoneyStandard', '9999', '0', '0', '0', '38', '60011', '1006', '1', '0', '0', '0', '0', '20', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000014', 'Water Crystal', 'Money/MoneyStandard', '9999', '0', '0', '0', '38', '60008', '1006', '1', '0', '0', '0', '0', '20', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000015', 'Fire Cluster', 'Money/MoneyStandard', '9999', '0', '0', '0', '168', '60013', '1006', '1', '0', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000016', 'Ice Cluster', 'Money/MoneyStandard', '9999', '0', '0', '0', '168', '60015', '1006', '1', '0', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000017', 'Wind Cluster', 'Money/MoneyStandard', '9999', '0', '0', '0', '168', '60016', '1006', '1', '0', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000018', 'Earth Cluster', 'Money/MoneyStandard', '9999', '0', '0', '0', '168', '60018', '1006', '1', '0', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000019', 'Lightning Cluster', 'Money/MoneyStandard', '9999', '0', '0', '0', '168', '60017', '1006', '1', '0', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000020', 'Water Cluster', 'Money/MoneyStandard', '9999', '0', '0', '0', '168', '60014', '1006', '1', '0', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000101', 'Pugilists\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000102', 'Gladiators\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000103', 'Marauders\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000104', '[en]', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000105', '[en]', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000106', 'Archers\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000107', 'Lancers\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000108', '[en]', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000109', '[en]', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000110', 'Thaumaturges\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000111', 'Conjurers\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000112', '[en]', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000113', 'Carpenters\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000114', 'Blacksmiths\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000115', 'Armorers\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000116', 'Goldsmiths\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000117', 'Leatherworkers\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000118', 'Weavers\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000119', 'Alchemists\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000120', 'Culinarians\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000121', 'Miners\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000122', 'Botanists\' Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000123', 'Fishermen\'s Guild Mark', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000124', '[en]', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '60745', '0', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000201', 'Storm Seal', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '61603', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000202', 'Serpent Seal', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '61602', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('1000203', 'Flame Seal', 'Money/MoneyStandard', '999999', '0', '0', '0', '0', '61601', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000001', 'Key', 'Important/ImportantItemStandard', '1', '0', '1', '0', '0', '60000', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000002', 'Pendant', 'Important/ImportantItemStandard', '1', '1', '0', '0', '0', '60000', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000101', 'Spinning Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000102', 'Tailoring Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000103', 'Glovemaking Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000104', 'Hatting Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000105', 'Dyeing Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000106', 'Weaving Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000107', 'Sheeting Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000108', 'Nailcasting Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000109', 'Smelting Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000110', 'Cobbling Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000111', 'Tawing Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000112', 'Tanning Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000113', 'Gemcutting Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000114', 'Bonecarving Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000115', 'Bowyering Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000116', 'Fletchery Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000117', 'Breadbaking Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000118', 'Milling Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000119', 'Confectionery Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000120', 'Painting Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000121', 'Inlaying Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000122', 'Fishcleaning Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000123', 'Chainweaving Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000124', 'Woodlaying Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000125', 'Poisoning Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000126', 'Physicking Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000127', 'Chemicking Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000128', 'Tacklecraft Training', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60746', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000201', 'Soul of the Paladin', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '61680', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000202', 'Soul of the Monk', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '61681', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000203', 'Soul of the Warrior', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '61682', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000204', 'Soul of the Dragoon', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '61683', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000205', 'Soul of the Bard', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '61684', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000206', 'Soul of the White Mage', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '61685', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2000207', 'Soul of the Black Mage', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '61686', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001000', '[en]', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '60000', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001001', 'Materia Assimilator', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001002', 'Materia Melder', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001003', 'Augmented Materia Melder', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001004', 'Storm Chocobo Issuance', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001005', 'Serpent Chocobo Issuance', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001006', 'Flame Chocobo Issuance', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001007', 'Chocobo Whistle', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001008', 'Airship Ticket', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001009', 'Lapis Cross', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001010', 'Emerald Leaf', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001011', 'Gold Scales', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001012', '[en]', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001013', 'Goobbue Horn', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001014', 'Lominsan Aetherpass', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001015', 'Gridanian Aetherpass', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001016', 'Ul\'dahn Aetherpass', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001017', 'Lominsan Half Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001018', 'Lominsan Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001019', 'Lominsan Crested Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001020', 'Gridanian Half Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001021', 'Gridanian Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001022', 'Gridanian Crested Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001023', 'Ul\'dahn Half Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001024', 'Ul\'dahn Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001025', 'Ul\'dahn Crested Barding', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001026', 'On the Properties of Beastmen', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001027', 'Soiled Promissory Note', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001028', 'Aquamarine Cross', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001029', 'Emerald Bough', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('2001030', 'Platinum Scales', 'Important/ImportantItemStandard', '1', '1', '1', '0', '0', '798', '1003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010001', 'Meat Miq\'abob', 'Normal/FoodItem', '99', '0', '0', '0', '60', '60529', '2012', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010002', 'Aldgoat Steak', 'Normal/FoodItem', '99', '0', '0', '0', '97', '60530', '2012', '1', '1', '0', '0', '0', '25', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010003', 'Boiled Egg', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60614', '2016', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010004', 'Dodo Omelette', 'Normal/FoodItem', '99', '0', '0', '0', '45', '60560', '2016', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010005', 'Cottage Cheese', 'Normal/FoodItem', '99', '0', '0', '0', '64', '60567', '2025', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010006', 'Marmot Steak', 'Normal/FoodItem', '99', '0', '0', '0', '30', '60536', '2012', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010007', 'Rabbit Pie', 'Normal/FoodItem', '99', '0', '0', '0', '56', '60533', '2012', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010008', 'Jerked Beef', 'Normal/FoodItem', '99', '0', '0', '0', '134', '60531', '2012', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010009', 'Grilled Dodo', 'Normal/FoodItem', '99', '0', '0', '0', '45', '60530', '2012', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010010', 'Shepherd\'s Pie', 'Normal/FoodItem', '99', '0', '0', '0', '82', '60573', '2012', '1', '1', '0', '0', '0', '21', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010011', 'Smoked Raptor', 'Normal/FoodItem', '99', '0', '0', '0', '118', '60576', '2012', '1', '1', '0', '0', '0', '36', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010012', 'Deviled Eggs', 'Normal/FoodItem', '99', '0', '0', '0', '156', '60514', '2016', '1', '1', '0', '0', '0', '48', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010013', 'Roast Dodo', 'Normal/FoodItem', '99', '0', '0', '0', '93', '61460', '2012', '1', '1', '0', '0', '0', '24', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010014', 'Mole Loaf', 'Normal/FoodItem', '99', '0', '0', '0', '48', '60537', '2012', '1', '1', '0', '0', '0', '12', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010015', 'Blue Cheese', 'Normal/FoodItem', '99', '0', '0', '0', '63', '60566', '2025', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010016', 'Mustard Eggs', 'Normal/FoodItem', '99', '0', '0', '0', '86', '60561', '2016', '1', '1', '0', '0', '0', '22', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010017', 'Eft Steak', 'Normal/FoodItem', '99', '0', '0', '0', '172', '60530', '2012', '1', '1', '0', '0', '0', '53', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010018', 'Cream Cheese', 'Normal/FoodItem', '99', '0', '0', '0', '121', '61699', '2025', '1', '1', '0', '0', '0', '37', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010019', 'Rolanberry Cheese', 'Normal/FoodItem', '99', '0', '0', '0', '140', '61700', '2025', '1', '1', '0', '0', '0', '43', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010020', 'Apkallu Omelette', 'Normal/FoodItem', '99', '0', '0', '0', '169', '60560', '2016', '1', '1', '0', '0', '0', '52', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010021', 'Scrambled Eggs', 'Normal/FoodItem', '99', '0', '0', '0', '105', '61702', '2016', '1', '1', '0', '0', '0', '32', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010022', 'Fried Egg', 'Normal/FoodItem', '99', '0', '0', '0', '101', '61703', '2016', '1', '1', '0', '0', '0', '26', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010023', 'Trapper\'s Quiche', 'Normal/FoodItem', '99', '0', '0', '0', '124', '60555', '2016', '1', '1', '0', '0', '0', '50', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010024', '[en]', 'Normal/FoodItem', '99', '0', '0', '0', '3', '60000', '2017', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010101', 'Grilled Carp', 'Normal/FoodItem', '99', '0', '0', '0', '18', '60520', '2013', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010102', 'Salt Cod', 'Normal/FoodItem', '99', '0', '0', '0', '18', '61543', '2013', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010103', 'Boiled Crayfish', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60569', '2013', '1', '1', '0', '0', '0', '3', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010104', 'Raw Oyster', 'Normal/FoodItem', '99', '0', '0', '0', '59', '61544', '2013', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010105', 'Grilled Trout', 'Normal/FoodItem', '99', '0', '0', '0', '48', '60519', '2013', '1', '1', '0', '0', '0', '7', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010106', 'Salmon Meuniere', 'Normal/FoodItem', '99', '0', '0', '0', '66', '60522', '2013', '1', '1', '0', '0', '0', '19', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010107', 'Tuna Miq\'abob', 'Normal/FoodItem', '99', '0', '0', '0', '108', '60528', '2013', '1', '1', '0', '0', '0', '32', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010108', 'Eel Pie', 'Normal/FoodItem', '99', '0', '0', '0', '62', '60556', '2013', '1', '1', '0', '0', '0', '18', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010109', 'Salt Cod Puffs', 'Normal/FoodItem', '99', '0', '0', '0', '141', '60572', '2013', '1', '1', '0', '0', '0', '42', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010110', 'Stuffed Cabbage', 'Normal/FoodItem', '99', '0', '0', '0', '151', '60570', '2013', '1', '1', '0', '0', '0', '45', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010111', 'Lava Toad Legs', 'Normal/FoodItem', '99', '0', '0', '0', '171', '61477', '2013', '1', '1', '0', '0', '0', '51', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010112', 'Tree Toad Legs', 'Normal/FoodItem', '99', '0', '0', '0', '42', '61485', '2013', '1', '1', '0', '0', '0', '6', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010113', 'Baked Sole', 'Normal/FoodItem', '99', '0', '0', '0', '95', '61476', '2013', '1', '1', '0', '0', '0', '28', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010114', 'Braised Pipira', 'Normal/FoodItem', '99', '0', '0', '0', '23', '61478', '2013', '1', '1', '0', '0', '0', '6', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010115', 'Boiled Bream', 'Normal/FoodItem', '99', '0', '0', '0', '89', '61479', '2013', '1', '1', '0', '0', '0', '26', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010118', 'Mugwort Carp', 'Normal/FoodItem', '99', '0', '0', '0', '128', '61489', '2013', '1', '1', '0', '0', '0', '38', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010201', 'Flatbread', 'Normal/FoodItem', '99', '0', '0', '0', '13', '60494', '2015', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010202', 'Frumenty', 'Normal/FoodItem', '99', '0', '0', '0', '10', '60496', '2041', '1', '1', '0', '0', '0', '3', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010203', 'Honey Muffin', 'Normal/FoodItem', '99', '0', '0', '0', '56', '60489', '2015', '1', '1', '0', '0', '0', '20', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010204', 'La Noscean Toast', 'Normal/FoodItem', '99', '0', '0', '0', '129', '60554', '2015', '1', '1', '0', '0', '0', '47', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010205', 'Acorn Cookie', 'Normal/FoodItem', '99', '0', '0', '0', '94', '60508', '2015', '1', '1', '0', '0', '0', '34', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010206', 'Dark Pretzel', 'Normal/FoodItem', '99', '0', '0', '0', '62', '60485', '2015', '1', '1', '0', '0', '0', '22', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010207', 'Cornbread', 'Normal/FoodItem', '99', '0', '0', '0', '81', '60491', '2015', '1', '1', '0', '0', '0', '29', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010208', 'Knight\'s Bread', 'Normal/FoodItem', '99', '0', '0', '0', '105', '60486', '2015', '1', '1', '0', '0', '0', '38', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010209', 'Walnut Bread', 'Normal/FoodItem', '99', '0', '0', '0', '48', '60488', '2015', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010210', 'Lentils & Chestnuts', 'Normal/FoodItem', '99', '0', '0', '0', '43', '60503', '2041', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010211', 'Finger Sandwich', 'Normal/FoodItem', '99', '0', '0', '0', '140', '61708', '2015', '1', '1', '0', '0', '0', '51', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010301', 'Spinach Saute', 'Normal/FoodItem', '99', '0', '0', '0', '66', '60506', '2014', '1', '1', '0', '0', '0', '22', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010302', 'Jack-o\'-lantern', 'Normal/FoodItem', '99', '0', '0', '0', '31', '60509', '2014', '1', '1', '0', '0', '0', '10', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010303', 'Landtrap Salad', 'Normal/FoodItem', '99', '0', '0', '0', '143', '60505', '2014', '1', '1', '0', '0', '0', '49', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010304', 'Blood Currant Tart', 'Normal/FoodItem', '99', '0', '0', '0', '91', '60557', '2017', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010305', 'Parsnip Salad', 'Normal/FoodItem', '99', '0', '0', '0', '40', '60512', '2014', '1', '1', '0', '0', '0', '13', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010306', 'Sauerkraut', 'Normal/FoodItem', '99', '0', '0', '0', '103', '60516', '2014', '1', '1', '0', '0', '0', '35', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010307', 'Dzemael Gratin', 'Normal/FoodItem', '99', '0', '0', '0', '128', '61326', '2041', '1', '1', '0', '0', '0', '44', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010308', 'Tomato Pie', 'Normal/FoodItem', '99', '0', '0', '0', '131', '60558', '2014', '1', '1', '0', '0', '0', '45', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010309', 'Roasted Nopales', 'Normal/FoodItem', '99', '0', '0', '0', '48', '61492', '2014', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010310', 'Alligator Salad', 'Normal/FoodItem', '99', '0', '0', '0', '86', '61491', '2014', '1', '1', '0', '0', '0', '29', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010311', 'Stuffed Artichoke', 'Normal/FoodItem', '99', '0', '0', '0', '114', '61494', '2014', '1', '1', '0', '0', '0', '39', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010312', 'Forest Miq\'abob', 'Normal/FoodItem', '99', '0', '0', '0', '88', '60511', '2042', '1', '1', '0', '0', '0', '30', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010313', 'Button Mushroom Saute', 'Normal/FoodItem', '99', '0', '0', '0', '128', '61701', '2042', '1', '1', '0', '0', '0', '44', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010314', 'Raptor Stew', 'Normal/FoodItem', '99', '0', '0', '0', '114', '61704', '2042', '1', '1', '0', '0', '0', '39', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010315', 'Chicken and Mushrooms', 'Normal/FoodItem', '99', '0', '0', '0', '57', '61705', '2042', '1', '1', '0', '0', '0', '19', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010316', 'Chanterelle Saute', 'Normal/FoodItem', '99', '0', '0', '0', '17', '61706', '2042', '1', '1', '0', '0', '0', '5', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010317', 'Buttons in a Blanket', 'Normal/FoodItem', '99', '0', '0', '0', '145', '61707', '2042', '1', '1', '0', '0', '0', '50', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010401', 'Apple Tart', 'Normal/FoodItem', '99', '0', '0', '0', '51', '60550', '2017', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010402', 'Ginger Cookie', 'Normal/FoodItem', '99', '0', '0', '0', '1', '60487', '2017', '1', '1', '0', '0', '0', '24', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010403', 'Dried Prunes', 'Normal/FoodItem', '99', '0', '0', '0', '1', '60654', '2017', '1', '1', '0', '0', '0', '21', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010404', 'Raisins', 'Normal/FoodItem', '99', '0', '0', '0', '18', '60654', '2017', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010405', 'Crumpet', 'Normal/FoodItem', '99', '0', '0', '0', '84', '60492', '2017', '1', '1', '0', '0', '0', '27', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010406', 'Pastry Fish', 'Normal/FoodItem', '99', '0', '0', '0', '144', '60490', '2017', '1', '1', '0', '0', '0', '47', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010407', 'Crowned Cake', 'Normal/FoodItem', '99', '0', '0', '0', '153', '60559', '2017', '1', '1', '0', '0', '0', '50', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010408', 'Princess Pudding', 'Normal/FoodItem', '99', '0', '0', '0', '18', '61462', '2017', '1', '1', '0', '0', '0', '5', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010409', 'Starlight Log', 'Normal/FoodItem', '99', '0', '0', '0', '96', '60552', '2017', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010410', 'Snowflake Peak', 'Normal/FoodItem', '99', '0', '0', '0', '48', '61461', '2017', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010411', 'Ore Fruitcake', 'Normal/FoodItem', '99', '0', '0', '0', '30', '61463', '2017', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010412', 'Bubble Chocolate', 'Normal/FoodItem', '99', '0', '0', '0', '36', '61468', '2017', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010413', 'Pearl Chocolate', 'Normal/FoodItem', '99', '0', '0', '0', '36', '61470', '2017', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010414', 'Heart Chocolate', 'Normal/FoodItem', '99', '0', '0', '0', '45', '61469', '2017', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010415', 'White Chocolate', 'Normal/FoodItem', '99', '0', '0', '0', '45', '61471', '2017', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010416', 'Sweet Rice Cake', 'Normal/FoodItem', '99', '0', '0', '0', '1', '61472', '2017', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010417', 'Pumpkin Cookie', 'Normal/FoodItem', '99', '0', '0', '0', '24', '61673', '2017', '1', '1', '0', '0', '0', '7', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010418', 'Consecrated Chocolate', 'Normal/FoodItem', '99', '0', '0', '0', '33', '61471', '2017', '1', '1', '0', '0', '0', '10', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010419', 'Mizzenmast Biscuit', 'Normal/FoodItem', '99', '0', '0', '0', '15', '60508', '2015', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010420', 'Roost Biscuit', 'Normal/FoodItem', '99', '0', '0', '0', '15', '60508', '2015', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010421', 'Hourglass Biscuit', 'Normal/FoodItem', '99', '0', '0', '0', '15', '60508', '2015', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010501', 'Pea Soup', 'Normal/FoodItem', '99', '0', '0', '0', '82', '60495', '2041', '1', '1', '0', '0', '0', '25', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010502', 'Stone Soup', 'Normal/FoodItem', '99', '0', '0', '0', '76', '60499', '2041', '1', '1', '0', '0', '0', '23', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010503', 'Beef Stew', 'Normal/FoodItem', '99', '0', '0', '0', '170', '60532', '2041', '1', '1', '0', '0', '0', '53', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010504', 'Cawl Cennin', 'Normal/FoodItem', '99', '0', '0', '0', '107', '60501', '2041', '1', '1', '0', '0', '0', '33', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010505', 'Ratatouille', 'Normal/FoodItem', '99', '0', '0', '0', '120', '60510', '2041', '1', '1', '0', '0', '0', '37', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010506', 'Mutton Stew', 'Normal/FoodItem', '99', '0', '0', '0', '32', '60504', '2041', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010507', 'Fish Soup', 'Normal/FoodItem', '99', '0', '0', '0', '139', '60502', '2041', '1', '1', '0', '0', '0', '43', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010508', 'Bouillabaisse', 'Normal/FoodItem', '99', '0', '0', '0', '158', '61325', '2041', '1', '1', '0', '0', '0', '49', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010509', 'Zoni', 'Normal/FoodItem', '99', '0', '0', '0', '32', '61465', '2041', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010510', 'Orobon Stew', 'Normal/FoodItem', '99', '0', '0', '0', '88', '60521', '2041', '1', '1', '0', '0', '0', '27', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010601', 'Distilled Water', 'Normal/FoodItem', '99', '0', '0', '0', '5', '60474', '4026', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010602', 'Sour Red', 'Normal/FoodItem', '99', '0', '0', '0', '38', '61402', '2039', '1', '0', '0', '0', '0', '14', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010603', 'Aldgoat Milk', 'Normal/FoodItem', '99', '0', '0', '0', '36', '60626', '2025', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010604', 'Buffalo Milk', 'Normal/FoodItem', '99', '0', '0', '0', '54', '60626', '2025', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010605', 'Orange Juice', 'Normal/FoodItem', '99', '0', '0', '0', '18', '60540', '2018', '1', '1', '0', '0', '0', '6', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010606', 'Pineapple Juice', 'Normal/FoodItem', '99', '0', '0', '0', '133', '60544', '2018', '1', '1', '0', '0', '0', '51', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010607', 'Apple Juice', 'Normal/FoodItem', '99', '0', '0', '0', '105', '60541', '2018', '1', '1', '0', '0', '0', '40', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010608', 'Mulled Tea', 'Normal/FoodItem', '99', '0', '0', '0', '128', '60547', '2018', '1', '1', '0', '0', '0', '49', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010609', 'Mineral Water', 'Normal/FoodItem', '99', '0', '0', '0', '20', '60474', '2018', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010610', 'Chamomile Tea', 'Normal/FoodItem', '99', '0', '0', '0', '64', '61490', '2018', '1', '1', '0', '0', '0', '24', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010611', 'Grape Juice', 'Normal/FoodItem', '99', '0', '0', '0', '59', '60542', '2018', '1', '1', '0', '0', '0', '22', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3010612', 'Rolanberry Lassi', 'Normal/FoodItem', '99', '0', '0', '0', '120', '60766', '2025', '1', '1', '0', '0', '0', '46', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011001', 'Aldgoat Chuck', 'Normal/FoodItem', '99', '0', '0', '0', '137', '60578', '2024', '1', '1', '0', '0', '0', '25', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011002', 'Buffalo Sirloin', 'Normal/FoodItem', '99', '0', '0', '0', '221', '60578', '2024', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011003', 'Dodo Tenderloin', 'Normal/FoodItem', '99', '0', '0', '0', '84', '60577', '2024', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011004', 'Raptor Shank', 'Normal/FoodItem', '99', '0', '0', '0', '168', '60583', '2024', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011005', 'Mutton Loin', 'Normal/FoodItem', '99', '0', '0', '0', '53', '60579', '2024', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011006', 'Antelope Shank', 'Normal/FoodItem', '99', '0', '0', '0', '116', '61473', '2024', '1', '1', '0', '0', '0', '21', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011007', 'Marmot Meat', 'Normal/FoodItem', '99', '0', '0', '0', '26', '60655', '2024', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011008', 'Chicken Breast', 'Normal/FoodItem', '99', '0', '0', '0', '95', '60577', '2024', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011009', 'Megalocrab Leg', 'Normal/FoodItem', '99', '0', '0', '0', '110', '60582', '2032', '1', '1', '0', '0', '0', '20', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011010', 'Orobon Liver', 'Normal/FoodItem', '99', '0', '0', '0', '110', '60581', '2031', '1', '1', '0', '0', '0', '20', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011011', 'Jellyfish Umbrella', 'Normal/FoodItem', '99', '0', '0', '0', '63', '60580', '2031', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011012', 'Eft Tail', 'Normal/FoodItem', '99', '0', '0', '0', '221', '60581', '2024', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011013', 'Salamander Tail', 'Normal/FoodItem', '99', '0', '0', '0', '84', '60581', '2024', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011014', 'Mole Meat', 'Normal/FoodItem', '99', '0', '0', '0', '58', '60655', '2024', '1', '1', '0', '0', '0', '10', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011015', 'Chicken Egg', 'Normal/FoodItem', '99', '0', '0', '0', '11', '60596', '2034', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011016', 'Apkallu Egg', 'Normal/FoodItem', '99', '0', '0', '0', '221', '60586', '2034', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011017', 'Dodo Egg', 'Normal/FoodItem', '99', '0', '0', '0', '63', '60586', '2034', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011018', 'Young Dodo Roaster', 'Normal/FoodItem', '99', '0', '0', '0', '89', '61560', '2024', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011019', 'Pudding Flesh', 'Normal/FoodItem', '99', '0', '0', '0', '221', '61266', '2024', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011020', 'Puk Egg', 'Normal/FoodItem', '99', '0', '0', '0', '137', '60586', '2034', '1', '1', '0', '0', '0', '25', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011101', 'Black Eel', 'Normal/FoodItem', '99', '0', '0', '0', '77', '60663', '2032', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011102', 'Dark Bass', 'Normal/FoodItem', '99', '0', '0', '0', '91', '60664', '2032', '1', '1', '0', '0', '0', '18', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011103', 'Crayfish', 'Normal/FoodItem', '99', '0', '0', '0', '10', '60666', '2032', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011104', 'Crimson Crayfish', 'Normal/FoodItem', '99', '0', '0', '0', '19', '60665', '2032', '1', '1', '0', '0', '0', '3', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011105', 'Bone Crayfish', 'Normal/FoodItem', '99', '0', '0', '0', '19', '60667', '2032', '1', '1', '0', '0', '0', '3', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011106', 'Maiden Carp', 'Normal/FoodItem', '99', '0', '0', '0', '14', '60668', '2032', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011107', 'Velodyna Carp', 'Normal/FoodItem', '99', '0', '0', '0', '182', '60669', '2032', '1', '1', '0', '0', '0', '37', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011108', 'Pipira', 'Normal/FoodItem', '99', '0', '0', '0', '34', '60670', '2032', '1', '1', '0', '0', '0', '6', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011109', 'Black Ghost', 'Normal/FoodItem', '99', '0', '0', '0', '115', '60671', '2032', '1', '1', '0', '0', '0', '23', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011110', 'Brass Loach', 'Normal/FoodItem', '99', '0', '0', '0', '43', '60675', '2032', '1', '1', '0', '0', '0', '8', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011111', 'Ala Mhigan Fighting Fish', 'Normal/FoodItem', '99', '0', '0', '0', '62', '60676', '2032', '1', '1', '0', '0', '0', '12', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011112', 'Rainbow Trout', 'Normal/FoodItem', '99', '0', '0', '0', '29', '60662', '2032', '1', '1', '0', '0', '0', '5', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011113', 'Yugr\'am Salmon', 'Normal/FoodItem', '99', '0', '0', '0', '82', '60661', '2032', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011114', 'Blindfish', 'Normal/FoodItem', '99', '0', '0', '0', '154', '60672', '2032', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011115', 'Striped Goby', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60723', '2032', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011116', 'Sandfish', 'Normal/FoodItem', '99', '0', '0', '0', '91', '60729', '2032', '1', '1', '0', '0', '0', '18', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011117', 'Lamp Marimo', 'Normal/FoodItem', '99', '0', '0', '0', '154', '60673', '4026', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011118', 'Monke Onke', 'Normal/FoodItem', '99', '0', '0', '0', '163', '60678', '2032', '1', '1', '0', '0', '0', '33', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011119', 'Alligator Garfish', 'Normal/FoodItem', '99', '0', '0', '0', '278', '60679', '2032', '1', '1', '0', '0', '0', '57', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011120', 'Northern Pike', 'Normal/FoodItem', '99', '0', '0', '0', '211', '60680', '2032', '1', '1', '0', '0', '0', '43', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011121', 'Southern Pike', 'Normal/FoodItem', '99', '0', '0', '0', '192', '60681', '2032', '1', '1', '0', '0', '0', '39', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011122', 'Giant Donko', 'Normal/FoodItem', '99', '0', '0', '0', '360', '60682', '2032', '1', '1', '0', '0', '0', '74', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011123', 'Lava Toad', 'Normal/FoodItem', '99', '0', '0', '0', '202', '60683', '2032', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011124', 'Pirarucu', 'Normal/FoodItem', '99', '0', '0', '0', '432', '60684', '2032', '1', '1', '0', '0', '0', '89', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011125', 'Emperor Fish', 'Normal/FoodItem', '99', '0', '0', '0', '465', '60685', '2032', '1', '1', '0', '0', '0', '96', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011126', 'Takitaro', 'Normal/FoodItem', '99', '0', '0', '0', '403', '60686', '2032', '1', '1', '0', '0', '0', '83', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011127', 'Cave Cherax', 'Normal/FoodItem', '99', '0', '0', '0', '254', '60687', '2032', '1', '1', '0', '0', '0', '52', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011128', 'River Crab', 'Normal/FoodItem', '99', '0', '0', '0', '101', '60730', '2032', '1', '1', '0', '0', '0', '20', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011129', 'Helmet Crab', 'Normal/FoodItem', '99', '0', '0', '0', '82', '60717', '2031', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011130', 'King Crab', 'Normal/FoodItem', '99', '0', '0', '0', '9', '60717', '2032', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011131', 'Tricorn', 'Normal/FoodItem', '99', '0', '0', '0', '374', '60725', '2032', '1', '1', '0', '0', '0', '77', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011132', 'Tree Toad', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60726', '2032', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011133', 'Dart Frog', 'Normal/FoodItem', '99', '0', '0', '0', '202', '60719', '2032', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011134', 'Nether Newt', 'Normal/FoodItem', '99', '0', '0', '0', '134', '60720', '2032', '1', '1', '0', '0', '0', '27', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011135', 'Allagan Snail', 'Normal/FoodItem', '99', '0', '0', '0', '10', '60588', '2032', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011136', 'Box Turtle', 'Normal/FoodItem', '99', '0', '0', '0', '86', '60724', '2032', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011137', 'Giant Catfish', 'Normal/FoodItem', '99', '0', '0', '0', '331', '60677', '2032', '1', '1', '0', '0', '0', '68', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011201', 'Saber Sardine', 'Normal/FoodItem', '99', '0', '0', '0', '202', '60689', '2031', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011202', 'Ocean Cloud', 'Normal/FoodItem', '99', '0', '0', '0', '34', '60690', '2031', '1', '1', '0', '0', '0', '6', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011203', 'Nautilus', 'Normal/FoodItem', '99', '0', '0', '0', '130', '60691', '2031', '1', '1', '0', '0', '0', '26', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011204', 'Silver Shark', 'Normal/FoodItem', '99', '0', '0', '0', '178', '60696', '2031', '1', '1', '0', '0', '0', '36', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011205', 'Tiger Cod', 'Normal/FoodItem', '99', '0', '0', '0', '14', '60697', '2031', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011206', 'Rock Lobster', 'Normal/FoodItem', '99', '0', '0', '0', '274', '60698', '2031', '1', '1', '0', '0', '0', '56', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011207', 'Black Sole', 'Normal/FoodItem', '99', '0', '0', '0', '139', '60699', '2031', '1', '1', '0', '0', '0', '28', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011208', 'Coral Butterfly', 'Normal/FoodItem', '99', '0', '0', '0', '58', '60701', '2031', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011209', 'Bianaq Bream', 'Normal/FoodItem', '99', '0', '0', '0', '106', '60694', '2031', '1', '1', '0', '0', '0', '21', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011210', 'Merlthor Goby', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60674', '2031', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011211', 'Indigo Herring', 'Normal/FoodItem', '99', '0', '0', '0', '154', '60695', '2031', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011212', 'Blowfish', 'Normal/FoodItem', '99', '0', '0', '0', '178', '60692', '2031', '1', '1', '0', '0', '0', '36', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011213', 'Rothlyt Oyster', 'Normal/FoodItem', '99', '0', '0', '0', '86', '60700', '2031', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011214', 'Finger Shrimp', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60693', '2031', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011215', 'Cieldalaes Clam', 'Normal/FoodItem', '99', '0', '0', '0', '9', '60716', '2031', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011216', 'Malm Kelp', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60688', '2022', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011217', 'Ash Tuna', 'Normal/FoodItem', '99', '0', '0', '0', '154', '60703', '2031', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011218', 'Dinichthys', 'Normal/FoodItem', '99', '0', '0', '0', '370', '60704', '2031', '1', '1', '0', '0', '0', '76', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011219', 'Titanic Sawfish', 'Normal/FoodItem', '99', '0', '0', '0', '456', '60705', '2031', '1', '1', '0', '0', '0', '94', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011220', 'Sunfish', 'Normal/FoodItem', '99', '0', '0', '0', '355', '60706', '2031', '1', '1', '0', '0', '0', '73', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011221', 'Mazlaya Marlin', 'Normal/FoodItem', '99', '0', '0', '0', '336', '60707', '2031', '1', '1', '0', '0', '0', '69', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011222', 'Gigant Octopus', 'Normal/FoodItem', '99', '0', '0', '0', '307', '60708', '2031', '1', '1', '0', '0', '0', '63', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011223', 'Megalodon', 'Normal/FoodItem', '99', '0', '0', '0', '408', '60709', '2031', '1', '1', '0', '0', '0', '84', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011224', 'Wahoo', 'Normal/FoodItem', '99', '0', '0', '0', '211', '60710', '2031', '1', '1', '0', '0', '0', '43', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011225', 'Hammerhead Shark', 'Normal/FoodItem', '99', '0', '0', '0', '158', '60711', '2031', '1', '1', '0', '0', '0', '32', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011226', 'Giant Squid', 'Normal/FoodItem', '99', '0', '0', '0', '254', '60712', '2031', '1', '1', '0', '0', '0', '52', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011227', 'Haraldr Haddock', 'Normal/FoodItem', '99', '0', '0', '0', '192', '60702', '2031', '1', '1', '0', '0', '0', '39', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011228', 'Sea Cucumber', 'Normal/FoodItem', '99', '0', '0', '0', '67', '60713', '2031', '1', '1', '0', '0', '0', '13', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011229', 'Sea Pickle', 'Normal/FoodItem', '99', '0', '0', '0', '120', '60714', '2031', '1', '1', '0', '0', '0', '24', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011230', 'Razor Clam', 'Normal/FoodItem', '99', '0', '0', '0', '77', '60715', '2031', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011231', 'Vongola Clam', 'Normal/FoodItem', '99', '0', '0', '0', '48', '60716', '2031', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011301', 'Cieldalaes Spinach', 'Normal/FoodItem', '99', '0', '0', '0', '34', '60612', '2022', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011302', 'Ogre Pumpkin', 'Normal/FoodItem', '99', '0', '0', '0', '23', '60627', '2022', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011303', 'Alpine Parsnip', 'Normal/FoodItem', '99', '0', '0', '0', '27', '60649', '2022', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011304', 'Salt Leek', 'Normal/FoodItem', '99', '0', '0', '0', '74', '60658', '2022', '1', '1', '0', '0', '0', '32', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011305', 'Midland Cabbage', 'Normal/FoodItem', '99', '0', '0', '0', '59', '60623', '2022', '1', '1', '0', '0', '0', '25', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011306', 'Wizard Eggplant', 'Normal/FoodItem', '99', '0', '0', '0', '56', '60609', '2022', '1', '1', '0', '0', '0', '24', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011307', 'Popoto', 'Normal/FoodItem', '99', '0', '0', '0', '41', '60601', '2022', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011308', 'Wild Onion', 'Normal/FoodItem', '99', '0', '0', '0', '11', '60599', '2022', '1', '1', '0', '0', '0', '4', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011309', 'Coerthas Carrot', 'Normal/FoodItem', '99', '0', '0', '0', '23', '60613', '2022', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011310', 'Ruby Tomato', 'Normal/FoodItem', '99', '0', '0', '0', '36', '60624', '2022', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011311', 'La Noscean Lettuce', 'Normal/FoodItem', '99', '0', '0', '0', '29', '61359', '2022', '1', '1', '0', '0', '0', '12', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011312', 'Highland Parsley', 'Normal/FoodItem', '99', '0', '0', '0', '25', '60637', '2022', '1', '1', '0', '0', '0', '10', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011313', 'Ramhorn Zucchini', 'Normal/FoodItem', '99', '0', '0', '0', '32', '60643', '2022', '1', '1', '0', '0', '0', '13', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011314', 'Paprika', 'Normal/FoodItem', '99', '0', '0', '0', '36', '60644', '2026', '1', '0', '0', '0', '0', '15', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011315', 'Pimiento', 'Normal/FoodItem', '99', '0', '0', '0', '5', '60644', '2026', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011316', 'Maiden Artichoke', 'Normal/FoodItem', '99', '0', '0', '0', '72', '61360', '2022', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011317', 'Gysahl Greens', 'Normal/FoodItem', '99', '0', '0', '0', '47', '60741', '2022', '1', '1', '0', '0', '0', '20', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011318', 'Aloe', 'Normal/FoodItem', '99', '0', '0', '0', '50', '60645', '2022', '1', '1', '0', '0', '0', '21', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011319', 'Nopales', 'Normal/FoodItem', '99', '0', '0', '0', '41', '60646', '2022', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011401', 'Iron Acorn', 'Normal/FoodItem', '99', '0', '0', '0', '79', '60606', '2023', '1', '1', '0', '0', '0', '32', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011402', 'Gridanian Chestnut', 'Normal/FoodItem', '99', '0', '0', '0', '24', '60592', '2023', '1', '1', '0', '0', '0', '9', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011403', 'Gridanian Walnut', 'Normal/FoodItem', '99', '0', '0', '0', '14', '60591', '2023', '1', '1', '0', '0', '0', '5', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011404', 'Cinderfoot Olive', 'Normal/FoodItem', '99', '0', '0', '0', '29', '60620', '2023', '1', '1', '0', '0', '0', '11', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011405', 'Sunflower Seeds', 'Normal/FoodItem', '99', '0', '0', '0', '10', '60640', '2021', '1', '1', '0', '0', '0', '3', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011406', 'Button Mushroom', 'Normal/FoodItem', '99', '0', '0', '0', '55', '60621', '2035', '1', '1', '0', '0', '0', '22', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011407', 'Shriekshroom', 'Normal/FoodItem', '99', '0', '0', '0', '17', '61448', '2035', '1', '1', '0', '0', '0', '6', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011408', 'Black Truffle', 'Normal/FoodItem', '99', '0', '0', '0', '122', '60647', '2035', '1', '1', '0', '0', '0', '50', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011409', 'White Truffle', 'Normal/FoodItem', '99', '0', '0', '0', '77', '60648', '2035', '1', '1', '0', '0', '0', '31', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011410', 'Gil Bun', 'Normal/FoodItem', '99', '0', '0', '0', '38', '61405', '2035', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011411', 'Chanterelle', 'Normal/FoodItem', '99', '0', '0', '0', '14', '60594', '2035', '1', '1', '0', '0', '0', '5', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011412', 'Buffalo Beans', 'Normal/FoodItem', '99', '0', '0', '0', '31', '60617', '2021', '1', '1', '0', '0', '0', '12', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011413', 'Jade Peas', 'Normal/FoodItem', '99', '0', '0', '0', '58', '60617', '2021', '1', '1', '0', '0', '0', '23', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011414', 'Lalafellin Lentil', 'Normal/FoodItem', '99', '0', '0', '0', '26', '61339', '2021', '1', '1', '0', '0', '0', '10', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011415', 'Millioncorn', 'Normal/FoodItem', '99', '0', '0', '0', '38', '60602', '2021', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011416', 'Kukuru Bean', 'Normal/FoodItem', '99', '0', '0', '0', '19', '61467', '2023', '1', '1', '0', '0', '0', '7', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011417', 'Sticky Rice', 'Normal/FoodItem', '99', '0', '0', '0', '36', '61497', '2021', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011418', 'Ratstool', 'Normal/FoodItem', '99', '0', '0', '0', '84', '61449', '2035', '1', '1', '0', '0', '0', '39', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011419', 'Dalamud Nut', 'Normal/FoodItem', '99', '0', '0', '0', '3', '61619', '2023', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011420', 'Moon Nut', 'Normal/FoodItem', '99', '0', '0', '0', '5', '61618', '2023', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011451', 'La Noscean Orange', 'Normal/FoodItem', '99', '0', '0', '0', '14', '61334', '2023', '1', '1', '0', '0', '0', '5', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011452', 'Lowland Grapes', 'Normal/FoodItem', '99', '0', '0', '0', '7', '60630', '2023', '1', '1', '0', '0', '0', '2', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011453', 'Pixie Plums', 'Normal/FoodItem', '99', '0', '0', '0', '41', '60659', '2023', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011454', 'Prickly Pineapple', 'Normal/FoodItem', '99', '0', '0', '0', '101', '60598', '2023', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011455', 'Faerie Apple', 'Normal/FoodItem', '99', '0', '0', '0', '36', '60622', '2023', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011456', 'Sun Lemon', 'Normal/FoodItem', '99', '0', '0', '0', '43', '60610', '2023', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011457', 'Blood Currants', 'Normal/FoodItem', '99', '0', '0', '0', '53', '60657', '2023', '1', '1', '0', '0', '0', '21', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011458', 'Rolanberry', 'Normal/FoodItem', '99', '0', '0', '0', '101', '60618', '2023', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011459', 'Alligator Pear', 'Normal/FoodItem', '99', '0', '0', '0', '70', '61370', '2023', '1', '1', '0', '0', '0', '28', '1001', '1', '0', '0', '1800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011501', 'Pie Dough', 'Normal/FoodItem', '99', '0', '0', '0', '22', '60629', '2039', '1', '0', '0', '0', '0', '11', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011502', 'Salted Butter', 'Normal/FoodItem', '99', '0', '0', '0', '11', '60625', '2039', '1', '0', '0', '0', '0', '5', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011503', 'Maple Sugar', 'Normal/FoodItem', '99', '0', '0', '0', '4', '61410', '2027', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011504', 'Sweet Cream', 'Normal/FoodItem', '99', '0', '0', '0', '5', '61400', '2039', '1', '0', '0', '0', '0', '2', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011505', 'Chicken Stock', 'Normal/FoodItem', '99', '0', '0', '0', '41', '60656', '2039', '1', '0', '0', '0', '0', '22', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011506', 'Garlean Garlic', 'Normal/FoodItem', '99', '0', '0', '0', '9', '60600', '2026', '1', '0', '0', '0', '0', '4', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011507', 'Black Pepper', 'Normal/FoodItem', '99', '0', '0', '0', '27', '60603', '2026', '1', '0', '0', '0', '0', '14', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011508', 'Pearl Ginger', 'Normal/FoodItem', '99', '0', '0', '0', '7', '60611', '2026', '1', '0', '0', '0', '0', '3', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011509', 'Cinnamon', 'Normal/FoodItem', '99', '0', '0', '0', '5', '61336', '2026', '1', '0', '0', '0', '0', '2', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011510', 'Sagolii Sage', 'Normal/FoodItem', '99', '0', '0', '0', '76', '60605', '2026', '1', '0', '0', '0', '0', '41', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011511', 'Marjoram', 'Normal/FoodItem', '99', '0', '0', '0', '29', '60632', '2026', '1', '0', '0', '0', '0', '15', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011512', 'Dragon Pepper', 'Normal/FoodItem', '99', '0', '0', '0', '58', '60619', '2026', '1', '0', '0', '0', '0', '31', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011513', 'Laurel', 'Normal/FoodItem', '99', '0', '0', '0', '59', '60605', '2026', '1', '0', '0', '0', '0', '32', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011514', 'Thyme', 'Normal/FoodItem', '99', '0', '0', '0', '58', '61345', '2026', '1', '0', '0', '0', '0', '31', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011515', 'Nutmeg', 'Normal/FoodItem', '99', '0', '0', '0', '63', '61401', '2026', '1', '0', '0', '0', '0', '34', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011516', 'Desert Saffron', 'Normal/FoodItem', '99', '0', '0', '0', '79', '61451', '2026', '1', '0', '0', '0', '0', '43', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011517', 'Midland Basil', 'Normal/FoodItem', '99', '0', '0', '0', '41', '60607', '2026', '1', '0', '0', '0', '0', '22', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011518', 'Cloves', 'Normal/FoodItem', '99', '0', '0', '0', '27', '61455', '2026', '1', '0', '0', '0', '0', '14', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011519', 'Vanilla Beans', 'Normal/FoodItem', '99', '0', '0', '0', '29', '60631', '2026', '1', '0', '0', '0', '0', '15', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011520', 'Galago Mint', 'Normal/FoodItem', '99', '0', '0', '0', '29', '60635', '2026', '1', '0', '0', '0', '0', '15', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011521', 'Thanalan Tea Leaves', 'Normal/FoodItem', '99', '0', '0', '0', '81', '61345', '2026', '1', '0', '0', '0', '0', '44', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011522', 'Gelatin', 'Normal/FoodItem', '99', '0', '0', '0', '38', '60580', '2039', '1', '0', '0', '0', '0', '20', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011523', 'Sunset Wheat', 'Normal/FoodItem', '99', '0', '0', '0', '7', '61450', '2021', '1', '0', '0', '0', '0', '3', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011524', 'Sunset Wheat Flour', 'Normal/FoodItem', '99', '0', '0', '0', '9', '60593', '2021', '1', '0', '0', '0', '0', '4', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011525', 'Rye', 'Normal/FoodItem', '99', '0', '0', '0', '7', '61450', '2021', '1', '0', '0', '0', '0', '3', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011526', 'Rye Flour', 'Normal/FoodItem', '99', '0', '0', '0', '7', '61341', '2021', '1', '0', '0', '0', '0', '3', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011527', 'Cornmeal', 'Normal/FoodItem', '99', '0', '0', '0', '40', '61341', '2021', '1', '0', '0', '0', '0', '21', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011528', 'Almonds', 'Normal/FoodItem', '99', '0', '0', '0', '58', '60642', '2026', '1', '0', '0', '0', '0', '31', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011529', 'Table Salt', 'Normal/FoodItem', '99', '0', '0', '0', '4', '61411', '2027', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011530', 'Honey', 'Normal/FoodItem', '99', '0', '0', '0', '7', '60628', '2027', '1', '0', '0', '0', '0', '3', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011531', 'Maple Syrup', 'Normal/FoodItem', '99', '0', '0', '0', '4', '61452', '2027', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011532', 'Olive Oil', 'Normal/FoodItem', '99', '0', '0', '0', '25', '60595', '2040', '1', '0', '0', '0', '0', '13', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011533', 'Cider Vinegar', 'Normal/FoodItem', '99', '0', '0', '0', '29', '61454', '2027', '1', '0', '0', '0', '0', '15', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011534', 'Ala Mhigan Mustard', 'Normal/FoodItem', '99', '0', '0', '0', '40', '60656', '2026', '1', '0', '0', '0', '0', '21', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011535', 'Tomato Sauce', 'Normal/FoodItem', '99', '0', '0', '0', '20', '60539', '2027', '1', '0', '0', '0', '0', '10', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011536', 'Lavender Oil', 'Normal/FoodItem', '99', '0', '0', '0', '29', '61457', '2040', '1', '0', '0', '0', '0', '15', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011537', 'Clove Oil', 'Normal/FoodItem', '99', '0', '0', '0', '27', '61458', '2040', '1', '0', '0', '0', '0', '14', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011538', 'Dried Marjoram', 'Normal/FoodItem', '99', '0', '0', '0', '3', '60608', '2026', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011539', 'Dark Vinegar', 'Normal/FoodItem', '99', '0', '0', '0', '40', '61488', '2027', '1', '0', '0', '0', '0', '21', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011540', 'Powdered Sugar', 'Normal/FoodItem', '99', '0', '0', '0', '11', '61563', '2027', '1', '0', '0', '0', '0', '5', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011541', 'Kukuru Powder', 'Normal/FoodItem', '99', '0', '0', '0', '18', '60465', '2039', '1', '0', '0', '0', '0', '9', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011542', 'Kukuru Butter', 'Normal/FoodItem', '99', '0', '0', '0', '18', '60465', '2039', '1', '0', '0', '0', '0', '9', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011543', 'Fish Stock', 'Normal/FoodItem', '99', '0', '0', '0', '18', '61367', '2039', '1', '0', '0', '0', '0', '9', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011544', 'Dodo Stuffing', 'Normal/FoodItem', '99', '0', '0', '0', '36', '61367', '2039', '1', '0', '0', '0', '0', '19', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3011545', 'Mugwort', 'Normal/FoodItem', '99', '0', '0', '0', '58', '61345', '2026', '1', '0', '0', '0', '0', '31', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020001', 'Potion', 'Normal/PotionItem', '99', '0', '0', '0', '56', '60019', '2002', '1', '1', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '70', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020002', 'Hi-potion', 'Normal/PotionItem', '99', '0', '0', '0', '156', '60020', '2002', '1', '1', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '80', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020003', 'Mega-potion', 'Normal/PotionItem', '99', '0', '0', '0', '281', '60021', '2002', '1', '1', '0', '0', '0', '44', '1001', '0', '0', '0', '0', '90', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020004', '[en]', 'Normal/PotionItem', '99', '0', '0', '0', '13', '60022', '2002', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020005', '[en]', 'Normal/PotionItem', '99', '0', '0', '0', '13', '60019', '2002', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020006', 'Fire Potion', 'Normal/PotionItem', '99', '0', '0', '0', '100', '60019', '2002', '1', '1', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020007', 'Water Potion', 'Normal/PotionItem', '99', '0', '0', '0', '100', '60019', '2002', '1', '1', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020008', 'Wind Potion', 'Normal/PotionItem', '99', '0', '0', '0', '100', '60019', '2002', '1', '1', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020009', 'Earth Potion', 'Normal/PotionItem', '99', '0', '0', '0', '100', '60019', '2002', '1', '1', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020010', 'Lightning Potion', 'Normal/PotionItem', '99', '0', '0', '0', '100', '60019', '2002', '1', '1', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020011', 'Ice Potion', 'Normal/PotionItem', '99', '0', '0', '0', '100', '60019', '2002', '1', '1', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '45', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020101', 'Ether', 'Normal/PotionItem', '99', '0', '0', '0', '100', '60023', '2004', '1', '1', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020102', 'Hi-ether', 'Normal/PotionItem', '99', '0', '0', '0', '225', '60024', '2004', '1', '1', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '270', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020103', 'Mega-ether', 'Normal/PotionItem', '99', '0', '0', '0', '319', '60025', '2004', '1', '1', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020104', 'Hyper Ether', 'Normal/PotionItem', '99', '0', '0', '0', '13', '60026', '2004', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020105', 'Fire Ether', 'Normal/PotionItem', '99', '0', '0', '0', '150', '60023', '2004', '1', '1', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020106', 'Water Ether', 'Normal/PotionItem', '99', '0', '0', '0', '150', '60023', '2004', '1', '1', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020107', 'Wind Ether', 'Normal/PotionItem', '99', '0', '0', '0', '150', '60023', '2004', '1', '1', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020108', 'Earth Ether', 'Normal/PotionItem', '99', '0', '0', '0', '150', '60023', '2004', '1', '1', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020109', 'Lightning Ether', 'Normal/PotionItem', '99', '0', '0', '0', '150', '60023', '2004', '1', '1', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020110', 'Ice Ether', 'Normal/PotionItem', '99', '0', '0', '0', '150', '60023', '2004', '1', '1', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '300', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020201', 'Elixir', 'Normal/PotionItem', '99', '0', '0', '0', '540', '60027', '2004', '1', '1', '0', '0', '0', '53', '1001', '0', '0', '0', '0', '450', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020202', 'Dusken Draught', 'Normal/PotionItem', '1', '1', '1', '0', '0', '60027', '2004', '1', '1', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '210', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020203', 'Kiss of the Morning Meadow', 'Normal/PotionItem', '1', '1', '1', '0', '0', '60028', '2004', '1', '1', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '270', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020204', 'Onyx Tears', 'Normal/PotionItem', '1', '1', '1', '0', '0', '61609', '2004', '1', '1', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '270', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020301', 'Blinding Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '200', '60044', '2005', '1', '1', '0', '0', '0', '31', '1001', '0', '0', '0', '10', '120', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020302', 'Silencing Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '238', '60043', '2005', '1', '1', '0', '0', '0', '37', '1001', '0', '0', '0', '10', '120', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020303', 'Sleeping Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '300', '60042', '2005', '1', '1', '0', '0', '0', '47', '1001', '0', '0', '0', '10', '120', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020304', 'Paralyzing Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '313', '60041', '2005', '1', '1', '0', '0', '0', '49', '1001', '0', '0', '0', '10', '120', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020305', 'Maddening Potion', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '200', '61559', '2006', '1', '1', '0', '0', '0', '31', '1001', '0', '0', '0', '60', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020306', 'Poisoning Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '231', '60039', '2005', '1', '1', '0', '0', '0', '36', '1001', '0', '0', '0', '20', '120', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020307', 'Smothering Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '263', '60039', '2005', '1', '1', '0', '0', '0', '41', '1001', '0', '0', '0', '10', '120', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020308', 'Disabling Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '288', '60039', '2005', '1', '1', '0', '0', '0', '45', '1001', '0', '0', '0', '10', '120', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020309', 'Venom Potion', 'Normal/CmnBadStatusItem', '99', '0', '0', '0', '22', '60030', '2005', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020401', 'Eye Drops', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '88', '60034', '2003', '1', '1', '0', '0', '0', '13', '1001', '1', '0', '0', '0', '270', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020402', 'Throat Drops', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '206', '60035', '2003', '1', '1', '0', '0', '0', '32', '1001', '1', '0', '0', '0', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020403', 'Dawn Drops', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '1', '61556', '2003', '1', '1', '0', '0', '0', '19', '1001', '1', '0', '0', '0', '210', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020404', 'Spine Drops', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '263', '61557', '2003', '1', '1', '0', '0', '0', '41', '1001', '1', '0', '0', '0', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020405', 'Nerve Drops', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '206', '61558', '2006', '1', '1', '0', '0', '0', '32', '1001', '0', '0', '0', '60', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020406', 'Blood Drops', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '1', '60033', '2003', '1', '1', '0', '0', '0', '6', '1001', '1', '0', '0', '0', '180', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020407', 'Lung Drops', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '250', '60033', '2003', '1', '1', '0', '0', '0', '39', '1001', '1', '0', '0', '0', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020408', 'Heart Drops', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '306', '60033', '2003', '1', '1', '0', '0', '0', '48', '1001', '1', '0', '0', '0', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020409', 'Gold Needle', 'Normal/CmnRemoveStatusItem', '99', '0', '0', '0', '331', '61709', '2003', '1', '1', '0', '0', '0', '52', '1001', '1', '0', '0', '0', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020410', 'The Keeper\'s Hymn', 'Normal/CmnGoodStatusItem', '99', '0', '1', '0', '0', '60760', '7101', '1', '0', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020411', 'Company-issue Expectorant', 'Normal/RaiseItem', '1', '1', '1', '0', '0', '61599', '2003', '1', '1', '0', '0', '0', '15', '1001', '0.6', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020412', 'Company-issue Tonic', 'Normal/RaiseItem', '1', '1', '1', '0', '0', '61600', '2003', '1', '1', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020413', 'Over-aspected Cluster', 'Normal/RaiseItem', '1', '1', '1', '0', '0', '61725', '2003', '1', '1', '0', '0', '0', '50', '1001', '1', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020501', 'Ironhide Unguent', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '125', '60038', '2006', '1', '1', '0', '0', '0', '19', '1001', '45', '0', '0', '300', '600', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020502', 'Ironwill Unguent', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '188', '60038', '2006', '1', '1', '0', '0', '0', '29', '1001', '45', '0', '0', '300', '600', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020503', '[en]', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '22', '60038', '2006', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '300', '600', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020504', 'Company-issue Engineering Manual II', 'Normal/CmnGoodStatusItem', '1', '1', '1', '0', '0', '61598', '1016', '1', '1', '0', '0', '0', '1', '1001', '1.5', '9000', '0', '10800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020505', 'Company-issue Survival Manual II', 'Normal/CmnGoodStatusItem', '1', '1', '1', '0', '0', '61597', '1016', '1', '1', '0', '0', '0', '1', '1001', '1.5', '9000', '0', '10800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020506', 'Sanction', 'Normal/CmnGoodStatusItem', '1', '1', '1', '0', '0', '60751', '1016', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '10800', '5400', '3', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020507', 'Peach Confetti', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61495', '4026', '1', '1', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020508', 'Cherry Confetti', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61496', '4026', '1', '1', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020509', 'Company-issue Engineering Manual', 'Normal/CmnGoodStatusItem', '1', '1', '1', '0', '0', '61598', '1016', '1', '1', '0', '0', '0', '1', '1001', '1.5', '4000', '0', '10800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020510', 'Company-issue Survival Manual', 'Normal/CmnGoodStatusItem', '1', '1', '1', '0', '0', '61597', '1016', '1', '1', '0', '0', '0', '1', '1001', '1.5', '4000', '0', '10800', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020511', 'Muscle Restorative', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '123', '60038', '2006', '1', '1', '0', '0', '0', '10', '1001', '0', '0', '0', '600', '900', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020512', 'Potion of Strength', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '131', '60038', '2006', '1', '1', '0', '0', '0', '20', '1001', '1', '0', '0', '30', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020513', 'Hi-potion of Strength', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '256', '60038', '2006', '1', '1', '0', '0', '0', '40', '1001', '1', '0', '0', '30', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020514', 'Mega-potion of Strength', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '325', '60038', '2006', '1', '1', '0', '0', '0', '51', '1001', '1', '0', '0', '30', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020515', 'Potion of Vitality', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '113', '60038', '2006', '1', '1', '0', '0', '0', '17', '1001', '1', '0', '0', '60', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020516', 'Hi-potion of Vitality', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '194', '60038', '2006', '1', '1', '0', '0', '0', '30', '1001', '1', '0', '0', '60', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020517', 'Mega-potion of Vitality', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '300', '60038', '2006', '1', '1', '0', '0', '0', '47', '1001', '1', '0', '0', '60', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020518', 'Potion of Dexterity', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '106', '60038', '2006', '1', '1', '0', '0', '0', '16', '1001', '1', '0', '0', '40', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020519', 'Hi-potion of Dexterity', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '244', '60038', '2006', '1', '1', '0', '0', '0', '38', '1001', '1', '0', '0', '40', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020520', 'Mega-potion of Dexterity', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '294', '60038', '2006', '1', '1', '0', '0', '0', '46', '1001', '1', '0', '0', '40', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020521', 'Potion of Intelligence', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '100', '60038', '2006', '1', '1', '0', '0', '0', '15', '1001', '1', '0', '0', '30', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020522', 'Hi-potion of Intelligence', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '188', '60038', '2006', '1', '1', '0', '0', '0', '29', '1001', '1', '0', '0', '30', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020523', 'Mega-potion of Intelligence', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '288', '60038', '2006', '1', '1', '0', '0', '0', '45', '1001', '1', '0', '0', '30', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020524', 'Potion of Mind', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '94', '60038', '2006', '1', '1', '0', '0', '0', '14', '1001', '1', '0', '0', '60', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020525', 'Hi-potion of Mind', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '175', '60038', '2006', '1', '1', '0', '0', '0', '27', '1001', '1', '0', '0', '60', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020526', 'Mega-potion of Mind', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '281', '60038', '2006', '1', '1', '0', '0', '0', '44', '1001', '1', '0', '0', '60', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020527', 'Potion of Piety', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '88', '60038', '2006', '1', '1', '0', '0', '0', '13', '1001', '1', '0', '0', '60', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020528', 'Hi-potion of Piety', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '181', '60038', '2006', '1', '1', '0', '0', '0', '28', '1001', '1', '0', '0', '60', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020529', 'Mega-potion of Piety', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '275', '60038', '2006', '1', '1', '0', '0', '0', '43', '1001', '1', '0', '0', '60', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020530', 'Bloodwall Potion', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '0', '60038', '2006', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '40', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020531', 'Bloodwall Hi-potion', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '0', '60038', '2006', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '40', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020532', 'Bloodwall Mega-potion', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '0', '60038', '2006', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '40', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020533', 'Manawall Potion', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '0', '60038', '2006', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '40', '220', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020534', 'Manawall Hi-potion', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '0', '60038', '2006', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '40', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020535', 'Manawall Mega-potion', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '0', '60038', '2006', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '40', '240', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020536', 'Giant\'s Drink', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '517', '60038', '2006', '1', '1', '0', '0', '0', '50', '1001', '1', '0', '0', '600', '600', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020537', 'Over-aspected Crystal', 'Normal/EnchantMedicineItem', '99', '0', '0', '0', '517', '61726', '2006', '1', '1', '0', '0', '0', '45', '1001', '1', '0', '0', '40', '230', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020538', 'Lunar Curtain', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '573', '60473', '2006', '1', '1', '0', '0', '0', '50', '1001', '0.5', '0', '0', '15', '1800', '2', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020601', 'Storm Tracer', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61596', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020602', 'Flame Tracer', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61594', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020603', 'Serpent Tracer', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61595', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020604', 'Lominsan Sparkler', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61596', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020605', 'Gridanian Sparkler', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61595', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020606', 'Ul\'dahn Sparkler', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '1', '61594', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020607', 'Magicked Prism (Harbor Herald)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '25', '61212', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020608', 'Magicked Prism (Mythril Eye)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '25', '61212', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020609', 'Magicked Prism (The Raven)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '25', '61212', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020610', 'Magicked Prism (Crimson Star)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '25', '61215', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020611', 'Magicked Prism (Emerald Star)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '25', '61217', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020612', 'Magicked Prism (Indigo Star)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '25', '61216', '4026', '1', '1', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020613', 'Bombard Bloom', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '19', '61596', '4026', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020614', 'Magicked Prism (Maelstrom)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '19', '61215', '4026', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020615', 'Magicked Prism (Twin Adder)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '19', '61212', '4026', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3020616', 'Magicked Prism (Immortal Flames)', 'Normal/CmnGoodStatusItem', '99', '0', '0', '0', '19', '61216', '4026', '1', '1', '0', '0', '0', '1', '1001', '1', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910001', 'Smoothed Stone', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60082', '5020', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910005', 'Levinstone', 'Normal/StandardItem', '99', '0', '0', '0', '4', '60085', '5020', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910006', 'Firepot', 'Normal/StandardItem', '99', '0', '0', '0', '5', '61430', '5020', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910007', 'Bomb Arm', 'Normal/StandardItem', '99', '0', '0', '0', '7', '60447', '5020', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910008', 'Grenade Arm', 'Normal/StandardItem', '99', '0', '0', '0', '8', '60447', '5020', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910009', 'Exorcism Bean', 'Normal/StandardItem', '99', '0', '0', '0', '1', '61466', '5020', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910101', 'Bronze Chakram', 'Normal/StandardItem', '99', '0', '0', '0', '5', '70264', '5021', '1', '0', '2', '0', '0', '12', '2130', '0.5', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910102', 'Steel Chakram', 'Normal/StandardItem', '99', '0', '0', '0', '19', '70267', '5021', '1', '0', '2', '0', '0', '47', '2130', '0.5', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910103', 'Iron Chakram', 'Normal/StandardItem', '99', '0', '0', '0', '13', '70266', '5021', '1', '0', '2', '0', '0', '32', '2130', '0.5', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910104', 'Silver Chakram', 'Normal/StandardItem', '99', '0', '0', '0', '17', '70265', '5021', '1', '0', '2', '0', '0', '42', '2130', '0.5', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910201', 'Bronze Francisca', 'Normal/StandardItem', '99', '0', '0', '0', '5', '70268', '5023', '1', '0', '4', '0', '0', '12', '2132', '0.3', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910202', 'Brass Francisca', 'Normal/StandardItem', '99', '0', '0', '0', '10', '70269', '5023', '1', '0', '4', '0', '0', '22', '2132', '0.3', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910203', 'Iron Francisca', 'Normal/StandardItem', '99', '0', '0', '0', '14', '70270', '5023', '1', '0', '4', '0', '0', '32', '2132', '0.3', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910204', 'Silver Francisca', 'Normal/StandardItem', '99', '0', '0', '0', '19', '70271', '5023', '1', '0', '4', '0', '0', '42', '2132', '0.3', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910301', 'Bronze Javelin', 'Normal/StandardItem', '99', '0', '0', '0', '6', '70274', '5022', '1', '0', '8', '0', '0', '12', '2134', '0.2', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910302', 'Brass Javelin', 'Normal/StandardItem', '99', '0', '0', '0', '11', '70273', '5022', '1', '0', '8', '0', '0', '22', '2134', '0.2', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910303', 'Iron Javelin', 'Normal/StandardItem', '99', '0', '0', '0', '16', '70272', '5022', '1', '0', '8', '0', '0', '32', '2134', '0.2', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910304', 'Silver Javelin', 'Normal/StandardItem', '99', '0', '0', '0', '21', '70275', '5022', '1', '0', '8', '0', '0', '42', '2134', '0.2', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910305', 'Bronze Azagai', 'Normal/StandardItem', '99', '0', '0', '0', '14', '70276', '5022', '1', '0', '8', '0', '0', '27', '2134', '0.2', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910306', 'Iron Azagai', 'Normal/StandardItem', '99', '0', '0', '0', '24', '70277', '5022', '1', '0', '8', '0', '0', '47', '2134', '0.2', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910401', 'Bronze Throwing Dagger', 'Normal/StandardItem', '99', '0', '0', '0', '4', '70385', '5024', '1', '0', '3', '0', '0', '12', '2131', '0.3', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910402', 'Iron Throwing Dagger', 'Normal/StandardItem', '99', '0', '0', '0', '10', '70386', '5024', '1', '0', '3', '0', '0', '27', '2131', '0.3', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3910403', 'Silver Throwing Dagger', 'Normal/StandardItem', '99', '0', '0', '0', '14', '70387', '5024', '1', '0', '3', '0', '0', '37', '2131', '0.3', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920001', 'Dated Bronze Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60843', '5017', '1', '0', '7', '0', '0', '3', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920002', 'Dated Iron Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '5', '60844', '5017', '1', '0', '7', '0', '0', '23', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920003', 'Steel Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60845', '5017', '1', '0', '7', '0', '1', '28', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920004', 'Bronze Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60843', '5017', '1', '0', '7', '0', '1', '8', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920005', 'Dated Silver Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '8', '60847', '5017', '1', '0', '7', '0', '0', '33', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920006', 'Iron Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60844', '5017', '1', '0', '7', '0', '1', '18', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920007', 'Mythril Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '2', '60849', '5017', '1', '0', '7', '0', '1', '38', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920008', 'Cobalt Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '2', '60845', '5017', '1', '0', '7', '0', '1', '48', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920009', 'Dated Fang Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '2', '60837', '5017', '1', '0', '7', '0', '0', '9', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920010', 'Horn Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60837', '5017', '1', '0', '7', '0', '0', '1', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920011', 'Dated Shell Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '6', '60837', '5017', '1', '0', '7', '0', '0', '27', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920012', 'Dated White Coral Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '9', '60837', '5017', '1', '0', '7', '0', '0', '37', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920013', 'Wolf Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60837', '5017', '1', '0', '7', '0', '0', '1', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920014', 'Jade Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60840', '5017', '1', '0', '7', '0', '0', '1', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920015', 'Dated Obsidian Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '4', '60841', '5017', '1', '0', '7', '0', '0', '17', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920016', 'Warped Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60843', '5017', '1', '0', '7', '0', '0', '1', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920017', 'Dated Flint Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '1', '60835', '5017', '1', '0', '7', '0', '0', '7', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920018', 'Dated Blue Coral Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '10', '60842', '5017', '1', '0', '7', '0', '0', '42', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920019', 'Dated Red Coral Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '11', '60838', '5017', '1', '0', '7', '0', '0', '47', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920020', 'Dated Bronze Swallowtail Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '3', '60851', '5017', '1', '0', '7', '0', '0', '13', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3920021', 'Dated Iron Swallowtail Arrow', 'Normal/StandardItem', '999', '0', '0', '0', '6', '60852', '5017', '1', '0', '7', '0', '0', '28', '2133', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940001', 'Bloodworm', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60783', '6112', '1', '0', '41', '0', '0', '2', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940002', 'Lugworm', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60781', '6112', '1', '0', '41', '0', '0', '1', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940003', 'Moth Pupa', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60780', '6112', '1', '0', '41', '0', '0', '1', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940004', 'Pill Bug', 'Normal/StandardItem', '99', '0', '0', '0', '2', '60782', '6112', '1', '0', '41', '0', '0', '8', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940005', 'Crayfish Ball', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60785', '6112', '1', '0', '41', '0', '0', '3', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940006', 'Goby Ball', 'Normal/StandardItem', '99', '0', '0', '0', '3', '60786', '6112', '1', '0', '41', '0', '0', '11', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940007', 'Crab Ball', 'Normal/StandardItem', '99', '0', '0', '0', '5', '60788', '6112', '1', '0', '41', '0', '0', '18', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940008', 'Bass Ball', 'Normal/StandardItem', '99', '0', '0', '0', '8', '60787', '6112', '1', '0', '41', '0', '0', '26', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940009', 'Herring Ball', 'Normal/StandardItem', '99', '0', '0', '0', '11', '60784', '6112', '1', '0', '41', '0', '0', '37', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940010', 'Rat Tail', 'Normal/StandardItem', '99', '0', '0', '0', '2', '60453', '6112', '1', '0', '41', '0', '0', '7', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940011', 'Midge Basket', 'Normal/StandardItem', '99', '0', '0', '0', '2', '60759', '6112', '1', '0', '41', '0', '0', '6', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940012', 'Syrphid Basket', 'Normal/StandardItem', '99', '0', '0', '0', '4', '60759', '6112', '1', '0', '41', '0', '0', '13', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940101', 'Chocobo Fly', 'Normal/StandardItem', '99', '0', '0', '0', '19', '60773', '6113', '1', '0', '41', '0', '0', '7', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940102', 'Crow Fly', 'Normal/StandardItem', '99', '0', '0', '0', '33', '60774', '6113', '1', '0', '41', '0', '0', '13', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940103', 'Snurble Fly', 'Normal/StandardItem', '99', '0', '0', '0', '52', '60775', '6113', '1', '0', '41', '0', '0', '21', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940104', 'Wildfowl Fly', 'Normal/StandardItem', '99', '0', '0', '0', '79', '60776', '6113', '1', '0', '41', '0', '0', '32', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940105', 'Vulture Fly', 'Normal/StandardItem', '99', '0', '0', '0', '93', '60777', '6113', '1', '0', '41', '0', '0', '38', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940106', 'Floating Minnow', 'Normal/StandardItem', '99', '0', '0', '0', '31', '60768', '6113', '1', '0', '41', '0', '0', '12', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940107', 'Sinking Minnow', 'Normal/StandardItem', '99', '0', '0', '0', '84', '60772', '6113', '1', '0', '41', '0', '0', '34', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940108', 'Topwater Frog', 'Normal/StandardItem', '99', '0', '0', '0', '108', '60771', '6113', '1', '0', '41', '0', '0', '44', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940109', 'Spoon Lure', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60769', '6113', '1', '0', '41', '0', '0', '23', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('3940110', 'Cage Feeder', 'Normal/StandardItem', '99', '0', '0', '0', '67', '60770', '6113', '1', '0', '41', '0', '0', '27', '2147', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4020001', 'Weathered Hora', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70010', '5005', '1', '0', '2', '0', '0', '1', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4020002', 'Dated Bone Hora', 'Normal/StandardItem', '1', '0', '0', '131760', '742', '70011', '5005', '1', '0', '2', '0', '0', '6', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4020003', 'Dated Tortoiseshell Hora', 'Normal/StandardItem', '1', '0', '0', '131760', '2862', '70012', '5005', '1', '0', '2', '0', '0', '26', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4020004', 'Dated Crabshell Hora', 'Normal/StandardItem', '1', '0', '0', '131760', '4982', '70086', '5005', '1', '0', '2', '0', '0', '46', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('4020005', 'Bone Hora', 'Normal/StandardItem', '1', '0', '0', '131760', '636', '70011', '5005', '1', '0', '2', '0', '1', '5', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4020006', 'Crabshell Hora', 'Normal/StandardItem', '1', '0', '0', '131760', '3498', '70086', '5005', '1', '0', '2', '0', '1', '32', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4020007', 'Dated Jade Hora', 'Normal/StandardItem', '1', '0', '0', '131760', '5406', '70316', '5005', '1', '0', '2', '0', '0', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020008', 'Tortoiseshell Hora', 'Normal/StandardItem', '1', '0', '0', '131760', '4452', '70012', '5005', '1', '0', '2', '0', '1', '41', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('4020009', 'Verdant Hora', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70316', '5005', '3', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020010', 'Ifrit\'s Claws', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70489', '5005', '3', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020011', 'Ul\'dahn Hora', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70012', '5005', '2', '0', '2', '0', '1', '40', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4020012', 'Gridanian Hora', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70519', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020101', 'Dated Leather Himantes', 'Normal/StandardItem', '1', '0', '0', '161040', '960', '70087', '5005', '1', '0', '2', '0', '0', '9', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4020102', 'Dated Dodoskin Cesti', 'Normal/StandardItem', '1', '0', '0', '161040', '1920', '70088', '5005', '1', '0', '2', '0', '0', '19', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('4020103', 'Dated Toadskin Cesti', 'Normal/StandardItem', '1', '0', '0', '161040', '2880', '70091', '5005', '1', '0', '2', '0', '0', '29', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('4020104', 'Dated Boarskin Himantes', 'Normal/StandardItem', '1', '0', '0', '161040', '3840', '70089', '5005', '1', '0', '2', '0', '0', '39', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('4020105', 'Dated Peiste Cesti', 'Normal/StandardItem', '1', '0', '0', '161040', '4800', '70090', '5005', '1', '0', '2', '0', '0', '49', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('4020106', 'Gridanian Cesti', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70091', '5005', '2', '0', '2', '0', '1', '30', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4020107', 'Sheepskin Himantes', 'Normal/StandardItem', '1', '0', '0', '161040', '864', '70087', '5005', '1', '0', '2', '0', '1', '8', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4020108', 'Dodoskin Cesti', 'Normal/StandardItem', '1', '0', '0', '161040', '1920', '70088', '5005', '1', '0', '2', '0', '1', '19', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('4020109', 'Toadskin Cesti', 'Normal/StandardItem', '1', '0', '0', '161040', '2592', '70091', '5005', '1', '0', '2', '0', '1', '26', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4020110', 'Boarskin Himantes', 'Normal/StandardItem', '1', '0', '0', '161040', '3456', '70089', '5005', '1', '0', '2', '0', '1', '35', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4020111', 'Peiste Cesti', 'Normal/StandardItem', '1', '0', '0', '161040', '4512', '70090', '5005', '1', '0', '2', '0', '1', '46', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('4020112', 'Murderous Mogfists', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70496', '5005', '3', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020113', 'Ul\'dahn Himantes', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70090', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020201', 'Dated Bronze Knuckles', 'Normal/StandardItem', '1', '0', '0', '175680', '1652', '70092', '5005', '1', '0', '2', '0', '0', '13', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('4020202', 'Dated Brass Knuckles', 'Normal/StandardItem', '1', '0', '0', '175680', '2832', '70094', '5005', '1', '0', '2', '0', '0', '23', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4020203', 'Dated Spiked Knuckles', 'Normal/StandardItem', '1', '0', '0', '175680', '4012', '70093', '5005', '1', '0', '2', '0', '0', '33', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('4020204', 'Fists of the Sixth Sun', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70423', '5005', '2', '0', '2', '0', '0', '35', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4020205', 'Unbreakable Knuckles', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70093', '5005', '2', '0', '2', '0', '1', '30', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4020206', 'Bronze Knuckles', 'Normal/StandardItem', '1', '0', '0', '175680', '1534', '70092', '5005', '1', '0', '2', '0', '1', '12', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('4020207', 'Brass Knuckles', 'Normal/StandardItem', '1', '0', '0', '175680', '2006', '70094', '5005', '1', '0', '2', '0', '1', '16', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('4020208', 'Spiked Knuckles', 'Normal/StandardItem', '1', '0', '0', '175680', '2832', '70093', '5005', '1', '0', '2', '0', '1', '23', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4020209', 'Cobalt Knuckles', 'Normal/StandardItem', '1', '0', '0', '175680', '5192', '70432', '5005', '1', '0', '2', '0', '1', '43', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('4020210', 'Lominsan Knuckles', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70423', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020211', 'Gridanian Knuckles', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70432', '5005', '2', '0', '2', '0', '1', '40', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4020301', 'Dated Iron Baghnakhs', 'Normal/StandardItem', '1', '0', '0', '146400', '5848', '70007', '5005', '1', '0', '2', '0', '0', '42', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('4020302', 'Steel Claws', 'Normal/StandardItem', '1', '0', '0', '146400', '4080', '70433', '5005', '1', '0', '2', '0', '1', '29', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('4020303', 'Symon\'s Honeyclaws', 'Normal/StandardItem', '1', '1', '0', '146400', '6936', '70532', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020304', 'Howling Talons', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70008', '5005', '2', '0', '2', '0', '0', '25', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('4020305', 'Gridanian Baghnakhs', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70009', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020306', 'Lominsan Baghnakhs', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70007', '5005', '2', '0', '2', '0', '1', '40', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4020307', 'Mythril Claws', 'Normal/StandardItem', '1', '0', '0', '146400', '5304', '70434', '5005', '1', '0', '2', '0', '1', '38', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('4020308', '[en]', 'Normal/StandardItem', '1', '0', '0', '146400', '272', '60000', '5005', '1', '0', '2', '0', '1', '1', '2130', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4020309', 'Cobalt Claws', 'Normal/StandardItem', '1', '0', '0', '146400', '6800', '70435', '5005', '1', '0', '2', '0', '1', '49', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('4020310', 'Dated Smothering Baghnakhs', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '146400', '6528', '70007', '5005', '1', '0', '2', '0', '0', '47', '2130', '5', '0', '0', '30', '0', '-1', '35', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('4020311', 'Dated Disabling Baghnakhs', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '146400', '6528', '70007', '5005', '1', '0', '2', '0', '0', '47', '2130', '5', '0.3', '0', '30', '0', '-1', '35', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('4020401', 'Unfinished Sphairai', 'Normal/StandardItem', '1', '1', '1', '65000', '0', '70619', '5005', '1', '0', '2', '0', '1', '50', '2119', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020402', 'Sphairai', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70613', '5005', '4', '0', '2', '0', '1', '50', '2119', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020403', 'Avengers', 'Normal/StandardItem', '1', '0', '0', '175680', '6018', '70543', '5005', '2', '0', '2', '0', '1', '50', '2148', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020404', 'Storm Lieutenant\'s Hooks', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70590', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020405', 'Serpent Lieutenant\'s Claws', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70597', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020406', 'Flame Lieutenant\'s Jamadhars', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70604', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020407', 'Garuda\'s Talons', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70536', '5005', '3', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020408', 'Storm Sergeant\'s Hooks', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70569', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020409', 'Serpent Sergeant\'s Patas', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70570', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020410', 'Flame Sergeant\'s Patas', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70571', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4020411', 'Giantsgall Claws', 'Normal/StandardItem', '1', '0', '0', '146400', '6936', '70627', '5005', '2', '0', '2', '0', '1', '50', '2130', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030001', 'Bronze Gladius', 'Normal/StandardItem', '1', '0', '0', '87840', '800', '70096', '5006', '1', '0', '3', '0', '1', '7', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4030002', 'Dated Bronze Spatha', 'Normal/StandardItem', '1', '0', '0', '87840', '1200', '70014', '5006', '1', '0', '3', '0', '0', '11', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4030003', 'Dated Iron Spatha', 'Normal/StandardItem', '1', '0', '0', '87840', '3200', '70015', '5006', '1', '0', '3', '0', '0', '31', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4030004', 'Bronze Spatha', 'Normal/StandardItem', '1', '0', '0', '87840', '1400', '70014', '5006', '1', '0', '3', '0', '1', '13', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('4030005', 'Dated Brass Gladius', 'Normal/StandardItem', '1', '0', '0', '87840', '1700', '70016', '5006', '1', '0', '3', '0', '0', '16', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('4030006', 'Brass Gladius', 'Normal/StandardItem', '1', '0', '0', '87840', '1900', '70016', '5006', '1', '0', '3', '0', '1', '18', '2131', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('4030007', 'Dated Bee Spatha', 'Normal/StandardItem', '1', '0', '0', '87840', '3700', '70017', '5006', '1', '0', '3', '0', '0', '36', '2131', '0', '0', '0', '0', '0', '-1', '35', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('4030008', 'Iron Spatha', 'Normal/StandardItem', '1', '0', '0', '87840', '2400', '70015', '5006', '1', '0', '3', '0', '1', '23', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4030009', '[en]', 'Normal/StandardItem', '1', '0', '0', '87840', '200', '60000', '5006', '1', '0', '3', '0', '0', '1', '2131', '0', '0', '0', '0', '0', '-1', '30', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4030010', 'Weathered Gladius', 'Normal/StandardItem', '1', '1', '1', '87840', '0', '70095', '5006', '1', '0', '3', '0', '0', '1', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4030011', 'Dated Bronze Gladius', 'Normal/StandardItem', '1', '0', '0', '87840', '700', '70096', '5006', '1', '0', '3', '0', '0', '6', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4030012', 'Dated Iron Gladius', 'Normal/StandardItem', '1', '0', '0', '87840', '2700', '70097', '5006', '1', '0', '3', '0', '0', '26', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4030013', 'Blunt Goblin Gladius', 'Normal/StandardItem', '1', '1', '0', '48800', '1200', '70318', '5006', '1', '0', '3', '0', '0', '29', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('4030014', 'Goblin Gladius', 'Normal/StandardItem', '1', '1', '0', '87840', '4000', '70097', '5006', '1', '0', '3', '0', '0', '39', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('4030015', 'Ul\'dahn Spatha', 'Normal/StandardItem', '1', '1', '1', '87840', '0', '70015', '5006', '2', '0', '3', '0', '1', '30', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4030016', 'Gridanian Spatha', 'Normal/StandardItem', '1', '1', '1', '87840', '0', '70017', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030101', 'Dated Bronze Dagger', 'Normal/StandardItem', '1', '0', '0', '78080', '900', '70098', '5006', '1', '0', '3', '0', '0', '9', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4030102', 'Dated Brass Dagger', 'Normal/StandardItem', '1', '0', '0', '78080', '1800', '70101', '5006', '1', '0', '3', '0', '0', '19', '2131', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('4030103', 'Dated Iron Dagger', 'Normal/StandardItem', '1', '0', '0', '78080', '2700', '70099', '5006', '1', '0', '3', '0', '0', '29', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('4030104', 'Dated Paralyzing Dagger', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '78080', '2250', '70102', '5006', '1', '0', '3', '0', '0', '24', '2131', '0.2', '0', '0', '60', '0', '-1', '35', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('4030105', 'Dated Maddening Dagger', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '78080', '3150', '70102', '5006', '1', '0', '3', '0', '0', '34', '2131', '0.05', '0', '0', '60', '0', '-1', '35', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('4030106', 'Dated Poison Dagger', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '78080', '3150', '70102', '5006', '1', '0', '3', '0', '0', '34', '2131', '3', '0', '0', '60', '0', '-1', '35', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('4030107', 'Dated Blinding Dagger', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '78080', '1350', '70102', '5006', '1', '0', '3', '0', '0', '14', '2131', '-10', '0', '0', '60', '0', '-1', '35', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('4030108', 'Dated Silencing Dagger', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '78080', '1350', '70102', '5006', '1', '0', '3', '0', '0', '14', '2131', '0', '0', '0', '30', '0', '-1', '35', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('4030109', 'Dated Sleeping Dagger', 'Normal/AdditionalEffectEquipItem', '1', '0', '0', '78080', '2250', '70102', '5006', '1', '0', '3', '0', '0', '24', '2131', '0', '0', '0', '30', '0', '-1', '35', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('4030110', 'Bronze Dagger', 'Normal/StandardItem', '1', '0', '0', '78080', '540', '70098', '5006', '1', '0', '3', '0', '1', '5', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4030111', 'Blunt Goblin Dagger', 'Normal/StandardItem', '1', '1', '0', '48800', '880', '70319', '5006', '1', '0', '3', '0', '0', '21', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('4030112', 'Goblin Dagger', 'Normal/StandardItem', '1', '1', '0', '78080', '2880', '70099', '5006', '1', '0', '3', '0', '0', '31', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4030113', 'Warden\'s Dagger', 'Normal/StandardItem', '1', '1', '1', '78080', '0', '70099', '5006', '2', '0', '3', '0', '1', '30', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4030114', 'Brass Dagger', 'Normal/StandardItem', '1', '0', '0', '78080', '1530', '70101', '5006', '1', '0', '3', '0', '1', '16', '2131', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('4030115', 'Steel Baselard', 'Normal/StandardItem', '1', '0', '0', '78080', '2430', '70436', '5006', '1', '0', '3', '0', '1', '26', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4030116', 'Mythril Knife', 'Normal/StandardItem', '1', '0', '0', '78080', '3510', '70437', '5006', '1', '0', '3', '0', '1', '38', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('4030117', 'Lominsan Baselard', 'Normal/StandardItem', '1', '1', '1', '78080', '0', '70436', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030118', 'Maddening Dagger', 'Normal/StandardItem', '1', '0', '0', '78080', '2160', '70102', '5006', '1', '0', '3', '0', '1', '23', '2131', '0', '0', '0', '0', '0', '-1', '35', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4030201', 'Dated Iron Shortsword', 'Normal/StandardItem', '1', '0', '0', '97600', '4472', '70018', '5006', '1', '0', '3', '0', '0', '42', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4030202', 'Frostbite', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70019', '5006', '2', '0', '3', '0', '0', '30', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4030203', 'Iron Shortsword', 'Normal/StandardItem', '1', '0', '0', '97600', '2288', '70019', '5006', '1', '0', '3', '0', '1', '21', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('4030204', 'Cobalt Katzbalger', 'Normal/StandardItem', '1', '0', '0', '97600', '4576', '70020', '5006', '1', '0', '3', '0', '1', '43', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('4030205', 'Lominsan Shortsword', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70018', '5006', '2', '0', '3', '0', '1', '40', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4030301', 'Dated Iron Falchion', 'Normal/StandardItem', '1', '0', '0', '102480', '4290', '70103', '5006', '1', '0', '3', '0', '0', '38', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4030302', 'Dated Toothed Falchion', 'Normal/StandardItem', '1', '0', '0', '102480', '5390', '70104', '5006', '1', '0', '3', '0', '0', '48', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('4030303', 'Templar\'s Falchion', 'Normal/StandardItem', '1', '1', '1', '102480', '0', '70104', '5006', '3', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030304', 'Steel Falchion', 'Normal/StandardItem', '1', '0', '0', '102480', '3520', '70438', '5006', '1', '0', '3', '0', '1', '31', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('4030305', 'Ul\'dahn Falchion', 'Normal/StandardItem', '1', '1', '1', '102480', '0', '70103', '5006', '2', '0', '3', '0', '1', '40', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4030401', 'Dated Iron Longsword', 'Normal/StandardItem', '1', '0', '0', '112240', '5452', '70278', '5006', '1', '0', '3', '0', '0', '46', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('4030402', 'Blunt Goblin Longsword', 'Normal/StandardItem', '1', '1', '0', '48800', '1240', '70328', '5006', '1', '0', '3', '0', '0', '30', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4030403', 'Goblin Longsword', 'Normal/StandardItem', '1', '1', '0', '112240', '4756', '70329', '5006', '1', '0', '3', '0', '0', '40', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4030404', 'Flametongue', 'Normal/StandardItem', '1', '1', '1', '112240', '0', '70330', '5006', '2', '0', '3', '0', '0', '35', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4030405', 'Steel Longsword', 'Normal/StandardItem', '1', '0', '0', '112240', '4292', '70439', '5006', '1', '0', '3', '0', '1', '36', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('4030406', 'Cobalt Winglet', 'Normal/StandardItem', '1', '0', '0', '112240', '5800', '70440', '5006', '1', '0', '3', '0', '1', '49', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('4030407', 'Morbid Mogblade', 'Normal/StandardItem', '1', '1', '1', '112240', '0', '70497', '5006', '3', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030408', 'Ul\'dahn Winglet', 'Normal/StandardItem', '1', '1', '1', '112240', '0', '70516', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030501', 'Blunt Goblin Scimitar', 'Normal/StandardItem', '1', '1', '0', '48800', '1120', '70323', '5006', '1', '0', '3', '0', '0', '27', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('4030502', 'Goblin Scimitar', 'Normal/StandardItem', '1', '1', '0', '107360', '4560', '70324', '5006', '1', '0', '3', '0', '0', '37', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('4030503', 'Blunt Aeolian Scimitar', 'Normal/StandardItem', '1', '1', '0', '48800', '1640', '70323', '5006', '1', '0', '3', '0', '0', '40', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4030504', 'Aeolian Scimitar', 'Normal/StandardItem', '1', '1', '0', '107360', '6120', '70325', '5006', '1', '0', '3', '0', '0', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('4030505', 'Ul\'dahn Scimitar', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70427', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030506', 'Cobalt Shamshir', 'Normal/StandardItem', '1', '0', '0', '107360', '5640', '70427', '5006', '1', '0', '3', '0', '1', '46', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('4030507', 'Ifrit\'s Blade', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70490', '5006', '3', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030601', 'Unfinished Curtana', 'Normal/StandardItem', '1', '1', '1', '48800', '0', '70620', '5006', '1', '0', '3', '0', '1', '50', '2120', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030602', 'Curtana', 'Normal/StandardItem', '1', '1', '1', '112240', '0', '70611', '5006', '4', '0', '3', '0', '1', '50', '2120', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030603', 'Mailbreaker', 'Normal/StandardItem', '1', '0', '0', '112240', '5916', '70544', '5006', '2', '0', '3', '0', '1', '50', '2149', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030604', 'Storm Lieutenant\'s Cutlass', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70591', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030605', 'Serpent Lieutenant\'s Longsword', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70598', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030606', 'Flame Lieutenant\'s Katzbalger', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70605', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030607', 'Garuda\'s Gaze', 'Normal/StandardItem', '1', '1', '1', '102480', '0', '70537', '5006', '3', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030608', 'Giantsgall Longsword', 'Normal/StandardItem', '1', '0', '0', '97600', '5304', '70626', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4030701', 'Dated Ash Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '2652', '70105', '5006', '1', '0', '3', '0', '0', '25', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('4030702', 'Dated Elm Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '3672', '70107', '5006', '1', '0', '3', '0', '0', '35', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4030703', 'Dated Walnut Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '4692', '70106', '5006', '1', '0', '3', '0', '0', '45', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('4030704', 'Dated Oak Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '5100', '70321', '5006', '1', '0', '3', '0', '0', '49', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('4030705', 'Dated Plumed Walnut Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '4998', '70322', '5006', '1', '0', '3', '0', '0', '48', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('4030706', 'Ash Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '1122', '70105', '5006', '1', '0', '3', '0', '1', '10', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4030707', 'Elm Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '2958', '70107', '5006', '1', '0', '3', '0', '1', '28', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4030708', 'Walnut Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '3570', '70106', '5006', '1', '0', '3', '0', '1', '34', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('4030709', 'Plumed Oak Macuahuitl', 'Normal/StandardItem', '1', '0', '0', '82960', '4284', '70322', '5006', '1', '0', '3', '0', '1', '41', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('4030710', 'Gridanian Macuahuitl', 'Normal/StandardItem', '1', '1', '1', '82960', '0', '70321', '5006', '2', '0', '3', '0', '1', '40', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4030711', 'Thormoen\'s Pride', 'Normal/StandardItem', '1', '1', '0', '82960', '5202', '70530', '5006', '2', '0', '3', '0', '1', '50', '2131', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040001', 'Weathered War Axe', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70111', '5009', '1', '0', '4', '0', '0', '1', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4040002', 'Dated Bronze War Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '980', '70021', '5009', '1', '0', '4', '0', '0', '6', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4040003', 'Dated Iron War Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '3780', '70022', '5009', '1', '0', '4', '0', '0', '26', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4040004', 'Bronze War Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '840', '70021', '5009', '1', '0', '4', '0', '1', '5', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4040005', 'Dated Storm Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '3080', '70108', '5009', '1', '0', '4', '0', '0', '21', '2132', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('4040006', 'Dated Inferno Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '5180', '70109', '5009', '1', '0', '4', '0', '0', '36', '2132', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('4040007', 'Cloud Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '1540', '70108', '5009', '1', '0', '4', '0', '1', '10', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4040008', 'Dated Thunderstorm Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '6580', '70279', '5009', '1', '0', '4', '0', '0', '46', '2132', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('4040009', 'Iron War Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '2240', '70022', '5009', '1', '0', '4', '0', '1', '15', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('4040010', 'Inferno Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '2940', '70109', '5009', '1', '0', '4', '0', '1', '20', '2132', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('4040011', 'Charred Axe', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70109', '5009', '2', '0', '4', '0', '1', '30', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4040012', 'Thunderstorm Axe', 'Normal/StandardItem', '1', '0', '0', '146400', '3640', '70279', '5009', '1', '0', '4', '0', '1', '25', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('4040013', 'Malignant Mogaxe', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70498', '5009', '3', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040014', 'Lominsan War Axe', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70279', '5009', '2', '0', '4', '0', '1', '40', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4040101', 'Dated Bronze Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '1584', '70024', '5009', '1', '0', '4', '0', '0', '10', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4040102', 'Dated Iron Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '4464', '70025', '5009', '1', '0', '4', '0', '0', '30', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4040103', 'Bronze Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '2016', '70024', '5009', '1', '0', '4', '0', '1', '13', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('4040104', 'Dated Spiked Bronze Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '3024', '70026', '5009', '1', '0', '4', '0', '0', '20', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('4040105', 'Dated Spiked Iron Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '5184', '70027', '5009', '1', '0', '4', '0', '0', '35', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4040106', 'Iron Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '2736', '70025', '5009', '1', '0', '4', '0', '1', '18', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('4040107', 'Spiked Steel Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '4176', '70441', '5009', '1', '0', '4', '0', '1', '28', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4040108', 'Spiked Mythril Labrys', 'Normal/StandardItem', '1', '0', '0', '161040', '5616', '70442', '5009', '1', '0', '4', '0', '1', '38', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('4040109', 'Ifrit\'s Battleaxe', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70491', '5009', '3', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040110', 'Lominsan Labrys', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70027', '5009', '2', '0', '4', '0', '1', '30', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4040111', 'Gridanian Labrys', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70520', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040201', 'Dated Iron Bhuj', 'Normal/StandardItem', '1', '0', '0', '175680', '5850', '70112', '5009', '1', '0', '4', '0', '0', '38', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('4040202', 'Dated Engraved Bhuj', 'Normal/StandardItem', '1', '0', '0', '175680', '7350', '70113', '5009', '1', '0', '4', '0', '0', '48', '2132', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4040203', 'Elmlord\'s Tusk', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70421', '5009', '2', '0', '4', '0', '0', '30', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4040204', 'Lominsan Bhuj', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70428', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040205', 'Steel Bhuj', 'Normal/StandardItem', '1', '0', '0', '175680', '5250', '70443', '5009', '1', '0', '4', '0', '1', '34', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('4040206', 'Mythril Bhuj', 'Normal/StandardItem', '1', '0', '0', '175680', '6300', '70421', '5009', '1', '0', '4', '0', '1', '41', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('4040207', 'Demilune Bhuj', 'Normal/StandardItem', '1', '0', '0', '175680', '7350', '70428', '5009', '1', '0', '4', '0', '1', '48', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('4040208', 'Ul\'dahn Bhuj', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70113', '5009', '2', '0', '4', '0', '1', '40', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4040301', 'Dated Bronze Bardiche', 'Normal/StandardItem', '1', '0', '0', '131760', '6708', '70114', '5009', '1', '0', '4', '0', '0', '42', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('4040302', 'Barbarian\'s Bardiche', 'Normal/StandardItem', '1', '1', '0', '131760', '7956', '70335', '5009', '2', '0', '4', '0', '0', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040303', 'Boar\'s Bane', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70334', '5009', '2', '0', '4', '0', '0', '35', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4040304', 'Steel Bardiche', 'Normal/StandardItem', '1', '0', '0', '131760', '4992', '70444', '5009', '1', '0', '4', '0', '1', '31', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('4040305', 'Buccaneer\'s Bardiche', 'Normal/StandardItem', '1', '0', '0', '131760', '7176', '70445', '5009', '1', '0', '4', '0', '1', '45', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('4040306', 'Ul\'dahn Bardiche', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70445', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040401', 'Dated Iron Bill', 'Normal/StandardItem', '1', '0', '0', '131760', '6708', '70336', '5009', '1', '0', '4', '0', '0', '42', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('4040402', 'Vintage Bill', 'Normal/StandardItem', '1', '1', '0', '131760', '7488', '70338', '5009', '1', '0', '4', '0', '0', '47', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('4040403', 'Notched Bill', 'Normal/StandardItem', '1', '1', '0', '65000', '1824', '70337', '5009', '1', '0', '4', '0', '0', '37', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('4040404', 'Canopus Bill', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70429', '5009', '3', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040405', 'Iron Bill', 'Normal/StandardItem', '1', '0', '0', '131760', '3744', '70336', '5009', '1', '0', '4', '0', '1', '23', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4040406', 'Lominsan Bill', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70514', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040407', 'Gridanian Bill', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70336', '5009', '2', '0', '4', '0', '1', '40', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4040408', 'Sibold\'s Reach', 'Normal/StandardItem', '1', '1', '0', '131760', '7956', '70531', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040501', 'Unfinished Bravura', 'Normal/StandardItem', '1', '1', '1', '65000', '0', '70621', '5009', '1', '0', '4', '0', '1', '50', '2121', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040502', 'Bravura', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70614', '5009', '4', '0', '4', '0', '1', '50', '2121', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040503', 'Rampager', 'Normal/StandardItem', '1', '0', '0', '161040', '7344', '70545', '5009', '2', '0', '4', '0', '1', '50', '2150', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040504', 'Storm Lieutenant\'s Labrys', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70592', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040505', 'Serpent Lieutenant\'s Bardiche', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70599', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040506', 'Flame Lieutenant\'s Axe', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70606', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040507', 'Garuda\'s Scream', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70538', '5009', '3', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040508', 'Storm Sergeant\'s Axe', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70563', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040509', 'Serpent Sergeant\'s Axe', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70564', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040510', 'Flame Sergeant\'s Axe', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70565', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4040511', 'Giantsgall War Axe', 'Normal/StandardItem', '1', '0', '0', '161040', '7344', '70628', '5009', '2', '0', '4', '0', '1', '50', '2132', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4050001', '[en]', 'Normal/StandardItem', '1', '0', '0', '97600', '200', '60000', '0', '1', '0', '5', '0', '0', '1', '2001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4060001', '[en]', 'Normal/StandardItem', '1', '0', '0', '97600', '200', '60000', '0', '1', '0', '6', '0', '0', '1', '2001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4070001', 'Weathered Shortbow', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70041', '5013', '1', '0', '7', '0', '0', '1', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4070002', 'Dated Willow Shortbow', 'Normal/StandardItem', '1', '0', '0', '146400', '952', '70038', '5013', '1', '0', '7', '0', '0', '6', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4070003', 'Dated Elm Shortbow', 'Normal/StandardItem', '1', '0', '0', '146400', '1632', '70039', '5013', '1', '0', '7', '0', '0', '11', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4070004', 'Dated Plumed Willow Shortbow', 'Normal/StandardItem', '1', '0', '0', '146400', '2992', '70040', '5013', '1', '0', '7', '0', '0', '21', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('4070005', 'Dated Elm Velocity Bow', 'Normal/StandardItem', '1', '0', '0', '146400', '4352', '70115', '5013', '1', '0', '7', '0', '0', '31', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('4070006', 'Maple Shortbow', 'Normal/StandardItem', '1', '0', '0', '146400', '816', '70038', '5013', '1', '0', '7', '0', '1', '5', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4070007', 'Bow of Owls', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70346', '5013', '2', '0', '7', '0', '0', '25', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('4070008', 'Verdant Shortbow', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70347', '5013', '3', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070009', 'Plumed Maple Shortbow', 'Normal/StandardItem', '1', '0', '0', '146400', '1496', '70040', '5013', '1', '0', '7', '0', '1', '10', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4070010', 'Elm Shortbow', 'Normal/StandardItem', '1', '0', '0', '146400', '2312', '70039', '5013', '1', '0', '7', '0', '1', '16', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('4070011', 'Elm Velocity Bow', 'Normal/StandardItem', '1', '0', '0', '146400', '2992', '70115', '5013', '1', '0', '7', '0', '1', '21', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('4070012', 'Ul\'dahn Shortbow', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70115', '5013', '2', '0', '7', '0', '1', '40', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4070013', 'Gridanian Shortbow', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70346', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070101', 'Dated Cavalry Bow', 'Normal/StandardItem', '1', '0', '0', '175680', '2220', '70117', '5013', '1', '0', '7', '0', '0', '14', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('4070102', 'Dated Ironclad Cavalry Bow', 'Normal/StandardItem', '1', '0', '0', '175680', '3700', '70118', '5013', '1', '0', '7', '0', '0', '24', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('4070103', 'Dated Armored Cavalry Bow', 'Normal/StandardItem', '1', '0', '0', '175680', '5180', '70120', '5013', '1', '0', '7', '0', '0', '34', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('4070104', 'Ash Cavalry Bow', 'Normal/StandardItem', '1', '0', '0', '175680', '4884', '70119', '5013', '1', '0', '7', '0', '1', '32', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4070105', 'Ul\'dahn Bow', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70120', '5013', '2', '0', '7', '0', '1', '30', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4070106', 'Mythril Cavalry Bow', 'Normal/StandardItem', '1', '0', '0', '175680', '5624', '70446', '5013', '1', '0', '7', '0', '1', '37', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('4070107', 'Cobalt Cavalry Bow', 'Normal/StandardItem', '1', '0', '0', '175680', '6512', '70447', '5013', '1', '0', '7', '0', '1', '43', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('4070108', 'Lominsan Bow', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70447', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070201', 'Dated Maple Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '1260', '70042', '5013', '1', '0', '7', '0', '0', '8', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4070202', 'Dated Ash Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '4060', '70043', '5013', '1', '0', '7', '0', '0', '28', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4070203', 'Dated Yew Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '6160', '70348', '5013', '1', '0', '7', '0', '0', '43', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('4070204', 'Maple Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '1260', '70042', '5013', '1', '0', '7', '0', '1', '8', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4070205', 'Wrapped Maple Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '1960', '70044', '5013', '1', '0', '7', '0', '1', '13', '2133', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('4070206', 'Dated Wrapped Maple Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '2660', '70044', '5013', '1', '0', '7', '0', '0', '18', '2133', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('4070207', 'Dated Wrapped Ash Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '5460', '70045', '5013', '1', '0', '7', '0', '0', '38', '2133', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('4070208', 'Ash Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '2800', '70043', '5013', '1', '0', '7', '0', '1', '19', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('4070209', 'Kokoroon\'s Nestpicker', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70351', '5013', '2', '0', '7', '0', '0', '35', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4070210', 'Wrapped Ash Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '3500', '70045', '5013', '1', '0', '7', '0', '1', '24', '2133', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('4070211', 'Ul\'dahn Longbow', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70351', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070212', 'Oak Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '5040', '70448', '5013', '1', '0', '7', '0', '1', '35', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4070213', 'Yew Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '6580', '70348', '5013', '1', '0', '7', '0', '1', '46', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('4070214', 'Mischievous Mogbow', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70500', '5013', '3', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070215', 'Gridanian Longbow', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70045', '5013', '2', '0', '7', '0', '1', '40', '2133', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4070301', 'Dated Willow Composite Bow', 'Normal/StandardItem', '1', '0', '0', '190320', '3542', '70122', '5013', '1', '0', '7', '0', '0', '22', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('4070302', 'Dated Weevil Bow', 'Normal/StandardItem', '1', '0', '0', '190320', '5082', '70281', '5013', '1', '0', '7', '0', '0', '32', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4070303', 'Dated Oak Composite Bow', 'Normal/StandardItem', '1', '0', '0', '190320', '6622', '70121', '5013', '1', '0', '7', '0', '0', '42', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('4070304', 'Dated Crab Bow', 'Normal/StandardItem', '1', '0', '0', '190320', '7392', '70280', '5013', '1', '0', '7', '0', '0', '47', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('4070305', 'Joukil\'s Guile', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70354', '5013', '2', '0', '7', '0', '1', '30', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4070306', 'Ash Composite Bow', 'Normal/StandardItem', '1', '0', '0', '190320', '4466', '70122', '5013', '1', '0', '7', '0', '1', '28', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4070307', 'Oak Composite Bow', 'Normal/StandardItem', '1', '0', '0', '190320', '6314', '70121', '5013', '1', '0', '7', '0', '1', '40', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4070308', 'Crab Bow', 'Normal/StandardItem', '1', '0', '0', '190320', '7700', '70280', '5013', '1', '0', '7', '0', '1', '49', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('4070309', 'Ifrit\'s Bow', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70493', '5013', '3', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070310', 'Lominsan Composite Bow', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70122', '5013', '2', '0', '7', '0', '1', '40', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4070311', 'Ul\'dahn Composite Bow', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70123', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070312', 'Alesone\'s Songbow', 'Normal/StandardItem', '1', '1', '0', '190320', '7854', '70533', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070401', 'Unfinished Artemis Bow', 'Normal/StandardItem', '1', '1', '1', '65000', '0', '70623', '5013', '1', '0', '7', '0', '1', '50', '2122', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070402', 'Artemis Bow', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70616', '5013', '4', '0', '7', '0', '1', '50', '2122', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070403', 'Sarnga', 'Normal/StandardItem', '1', '0', '0', '175680', '7548', '70547', '5013', '2', '0', '7', '0', '1', '50', '2151', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070404', 'Storm Lieutenant\'s Bow', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70594', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070405', 'Serpent Lieutenant\'s Bow', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70601', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070406', 'Flame Lieutenant\'s Bow', 'Normal/StandardItem', '1', '1', '1', '190320', '0', '70608', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070407', 'Garuda\'s Spine', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70540', '5013', '3', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070408', 'Storm Sergeant\'s Bow', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70581', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070409', 'Serpent Sergeant\'s Bow', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70582', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070410', 'Flame Sergeant\'s Bow', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70583', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4070411', 'Giantsgall Longbow', 'Normal/StandardItem', '1', '0', '0', '161040', '7140', '70630', '5013', '2', '0', '7', '0', '1', '50', '2133', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080001', 'Dated Harpoon', 'Normal/StandardItem', '1', '0', '0', '131760', '1360', '70124', '5014', '1', '0', '8', '0', '0', '9', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4080002', 'Dated Feathered Harpoon', 'Normal/StandardItem', '1', '0', '0', '131760', '2040', '70125', '5014', '1', '0', '8', '0', '0', '14', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('4080003', 'Dated Tortoiseshell Harpoon', 'Normal/StandardItem', '1', '0', '0', '131760', '4080', '70126', '5014', '1', '0', '8', '0', '0', '29', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('4080004', 'Dated Yarzonshell Harpoon', 'Normal/StandardItem', '1', '0', '0', '131760', '5440', '70127', '5014', '1', '0', '8', '0', '0', '39', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('4080005', 'Bone Harpoon', 'Normal/StandardItem', '1', '0', '0', '131760', '816', '70124', '5014', '1', '0', '8', '0', '1', '5', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4080006', 'Crimson Tide', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70339', '5014', '2', '0', '8', '0', '0', '25', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('4080007', 'Ifrit\'s Harpoon', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70492', '5014', '3', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080008', 'Feathered Harpoon', 'Normal/StandardItem', '1', '0', '0', '131760', '1768', '70125', '5014', '1', '0', '8', '0', '1', '12', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('4080009', 'Yarzonshell Harpoon', 'Normal/StandardItem', '1', '0', '0', '131760', '5168', '70127', '5014', '1', '0', '8', '0', '1', '37', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('4080010', 'Gridanian Harpoon', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70028', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080011', 'Gerbald\'s Redspike', 'Normal/StandardItem', '1', '1', '0', '131760', '6936', '70029', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080101', 'Dated Iron Lance', 'Normal/StandardItem', '1', '0', '0', '161040', '4408', '70030', '5014', '1', '0', '8', '0', '0', '28', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4080102', 'Dated Heavy Iron Lance', 'Normal/StandardItem', '1', '0', '0', '161040', '5928', '70129', '5014', '1', '0', '8', '0', '0', '38', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('4080103', 'Dated Banneret Lance', 'Normal/StandardItem', '1', '0', '0', '161040', '7448', '70031', '5014', '1', '0', '8', '0', '0', '48', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('4080104', 'Iron Lance', 'Normal/StandardItem', '1', '0', '0', '161040', '3192', '70030', '5014', '1', '0', '8', '0', '1', '20', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('4080105', 'Heavy Steel Lance', 'Normal/StandardItem', '1', '0', '0', '161040', '5320', '70449', '5014', '1', '0', '8', '0', '1', '34', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('4080106', 'Mythril Lance', 'Normal/StandardItem', '1', '0', '0', '161040', '6232', '70450', '5014', '1', '0', '8', '0', '1', '40', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4080107', 'Lominsan Lance', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70032', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080108', '[en]', 'Normal/StandardItem', '1', '0', '0', '161040', '304', '60000', '5014', '1', '0', '8', '0', '0', '1', '2134', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4080109', 'Champion\'s Lance', 'Normal/StandardItem', '1', '1', '0', '161040', '7752', '70341', '5014', '2', '0', '8', '0', '0', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080110', 'Tidesplitter', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70129', '5014', '2', '0', '8', '0', '1', '30', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4080201', 'Weathered Spear', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70131', '5014', '1', '0', '8', '0', '0', '1', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4080202', 'Dated Bronze Spear', 'Normal/StandardItem', '1', '0', '0', '146400', '980', '70033', '5014', '1', '0', '8', '0', '0', '6', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4080203', 'Dated Brass Spear', 'Normal/StandardItem', '1', '0', '0', '146400', '2380', '70130', '5014', '1', '0', '8', '0', '0', '16', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('4080204', 'Dated Iron Spear', 'Normal/StandardItem', '1', '0', '0', '146400', '3780', '70034', '5014', '1', '0', '8', '0', '0', '26', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4080205', 'Bronze Spear', 'Normal/StandardItem', '1', '0', '0', '146400', '1260', '70033', '5014', '1', '0', '8', '0', '1', '8', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4080206', 'Iron Spear', 'Normal/StandardItem', '1', '0', '0', '146400', '2380', '70034', '5014', '1', '0', '8', '0', '1', '16', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('4080207', 'Dated Battle Fork', 'Normal/StandardItem', '1', '0', '0', '146400', '5180', '70035', '5014', '1', '0', '8', '0', '0', '36', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('4080208', 'Silver Battle Fork', 'Normal/StandardItem', '1', '0', '0', '146400', '3780', '70451', '5014', '1', '0', '8', '0', '1', '26', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4080209', 'Steel Spear', 'Normal/StandardItem', '1', '0', '0', '146400', '4480', '70452', '5014', '1', '0', '8', '0', '1', '31', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('4080210', 'Cobalt Trident', 'Normal/StandardItem', '1', '0', '0', '146400', '6580', '70453', '5014', '1', '0', '8', '0', '1', '46', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('4080211', 'Lominsan Spear', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70130', '5014', '2', '0', '8', '0', '1', '30', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4080212', 'Melancholy Mogfork', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70499', '5014', '3', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080213', 'Gridanian Fork', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70035', '5014', '2', '0', '8', '0', '1', '40', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4080301', 'Dated Iron Halberd', 'Normal/StandardItem', '1', '0', '0', '175680', '8160', '70036', '5014', '1', '0', '8', '0', '0', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080302', 'Shellsplitter', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70422', '5014', '2', '0', '8', '0', '0', '35', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('4080303', 'Lominsan Halberd', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70430', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080304', 'Steel Halberd', 'Normal/StandardItem', '1', '0', '0', '175680', '4800', '70036', '5014', '1', '0', '8', '0', '1', '29', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('4080305', 'Cobalt Halberd', 'Normal/StandardItem', '1', '0', '0', '175680', '7040', '70430', '5014', '1', '0', '8', '0', '1', '43', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('4080306', 'Ul\'dahn Halberd', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70422', '5014', '2', '0', '8', '0', '1', '40', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4080401', 'Dated Iron Guisarme', 'Normal/StandardItem', '1', '0', '0', '139080', '4884', '70132', '5014', '1', '0', '8', '0', '0', '32', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4080402', 'Dated Jarl\'s Guisarme', 'Normal/StandardItem', '1', '0', '0', '139080', '6364', '70133', '5014', '1', '0', '8', '0', '0', '42', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('4080403', 'Crooked Guisarme', 'Normal/StandardItem', '1', '1', '0', '65000', '1824', '70345', '5014', '1', '0', '8', '0', '0', '37', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('4080404', 'Vintage Guisarme', 'Normal/StandardItem', '1', '1', '0', '139080', '7104', '70345', '5014', '1', '0', '8', '0', '0', '47', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('4080405', 'Canopus Guisarme', 'Normal/StandardItem', '1', '1', '1', '139080', '0', '70344', '5014', '3', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080406', 'Iron Guisarme', 'Normal/StandardItem', '1', '0', '0', '139080', '3552', '70345', '5014', '1', '0', '8', '0', '1', '23', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4080407', 'Hart Guisarme', 'Normal/StandardItem', '1', '0', '0', '139080', '7400', '70454', '5014', '1', '0', '8', '0', '1', '49', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('4080408', 'Lominsan Guisarme', 'Normal/StandardItem', '1', '1', '1', '139080', '0', '70133', '5014', '2', '0', '8', '0', '1', '40', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4080409', 'Ul\'dahn Guisarme', 'Normal/StandardItem', '1', '1', '1', '139080', '0', '70517', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080501', 'Unfinished Gae Bolg', 'Normal/StandardItem', '1', '1', '1', '65000', '0', '70622', '5014', '1', '0', '8', '0', '1', '50', '2123', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080502', 'Gae Bolg', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70615', '5014', '4', '0', '8', '0', '1', '50', '2123', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080503', 'Obelisk', 'Normal/StandardItem', '1', '0', '0', '146400', '7140', '70546', '5014', '2', '0', '8', '0', '1', '50', '2152', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080504', 'Storm Lieutenant\'s Trident', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70593', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080505', 'Serpent Lieutenant\'s Spear', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70600', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080506', 'Flame Lieutenant\'s Spear', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70607', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080507', 'Garuda\'s Beak', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70539', '5014', '3', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080508', 'Storm Sergeant\'s Spear', 'Normal/StandardItem', '1', '1', '1', '139080', '0', '70566', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080509', 'Serpent Sergeant\'s Spear', 'Normal/StandardItem', '1', '1', '1', '139080', '0', '70567', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080510', 'Flame Sergeant\'s Spear', 'Normal/StandardItem', '1', '1', '1', '139080', '0', '70568', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4080511', 'Giantsgall Trident', 'Normal/StandardItem', '1', '0', '0', '146400', '7140', '70629', '5014', '2', '0', '8', '0', '1', '50', '2134', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4090001', '[en]', 'Normal/StandardItem', '1', '0', '0', '97600', '200', '60000', '0', '1', '0', '9', '0', '0', '1', '2001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4100001', 'Dated Leather Targe', 'Normal/ShieldItem', '1', '0', '0', '43920', '3828', '70135', '5003', '1', '0', '10', '0', '0', '32', '2105', '38', '52', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4100002', 'Dated Sheepskin Targe', 'Normal/ShieldItem', '1', '0', '0', '43920', '2088', '70134', '5003', '1', '0', '10', '0', '0', '17', '2105', '15', '22', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('4100003', 'Dated Raptorskin Targe', 'Normal/ShieldItem', '1', '0', '0', '43920', '5568', '70141', '5003', '1', '0', '10', '0', '0', '47', '2105', '64', '86', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('4100004', 'Thalassian Targe', 'Normal/ShieldItem', '1', '1', '1', '43920', '0', '70299', '5003', '2', '0', '10', '0', '0', '25', '2105', '28', '38', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('4100005', 'Gridanian Targe', 'Normal/ShieldItem', '1', '1', '1', '43920', '0', '70138', '5003', '2', '0', '10', '0', '1', '30', '2005', '37', '51', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4100006', 'Sheepskin Targe', 'Normal/ShieldItem', '1', '0', '0', '43920', '1508', '70134', '5003', '1', '0', '10', '0', '1', '12', '2105', '12', '17', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('4100007', 'Leather Targe', 'Normal/ShieldItem', '1', '0', '0', '43920', '3364', '70135', '5003', '1', '0', '10', '0', '1', '28', '2105', '33', '49', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('4100008', 'Raptorskin Targe', 'Normal/ShieldItem', '1', '0', '0', '43920', '4988', '70141', '5003', '1', '0', '10', '0', '1', '42', '2105', '56', '81', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('4100101', 'Dated Round Chestnut Shield', 'Normal/ShieldItem', '1', '0', '0', '41480', '1440', '70001', '5003', '1', '0', '10', '0', '0', '11', '2106', '9', '14', '0', '0', '0', '-1', '29', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100102', 'Dated Round Oak Shield', 'Normal/ShieldItem', '1', '0', '0', '41480', '3840', '70002', '5003', '1', '0', '10', '0', '0', '31', '2106', '34', '49', '0', '0', '0', '-1', '29', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('4100103', 'Vintage Round Shield', 'Normal/ShieldItem', '1', '1', '0', '41480', '5640', '70282', '5003', '1', '0', '10', '0', '0', '46', '2106', '60', '86', '0', '0', '0', '-1', '29', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('4100104', 'Dated Warded Round Shield', 'Normal/ShieldItem', '1', '0', '0', '41480', '2640', '70142', '5003', '1', '0', '10', '0', '0', '21', '2106', '18', '27', '0', '0', '0', '-1', '29', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('4100105', 'Dated Serpent Shield', 'Normal/ShieldItem', '1', '0', '0', '41480', '5040', '70143', '5003', '1', '0', '10', '0', '0', '41', '2106', '47', '68', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('4100106', 'Round Shield', 'Normal/ShieldItem', '1', '0', '0', '41480', '1320', '70001', '5003', '1', '0', '10', '0', '1', '10', '2117', '10', '14', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100107', '[en]', 'Normal/ShieldItem', '1', '0', '0', '41480', '240', '60000', '5003', '1', '0', '10', '0', '0', '1', '2106', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4100108', 'Rotting Round Shield', 'Normal/ShieldItem', '1', '1', '0', '41480', '3240', '70283', '5003', '1', '0', '10', '0', '0', '26', '2106', '22', '33', '0', '0', '0', '-1', '29', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('4100109', 'Gridanian Shield', 'Normal/ShieldItem', '1', '1', '1', '41480', '0', '70142', '5003', '2', '0', '10', '0', '1', '50', '2108', '66', '97', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100110', 'Viper-crested Round Shield', 'Normal/ShieldItem', '1', '0', '0', '41480', '3120', '70143', '5003', '1', '0', '10', '0', '1', '25', '2117', '29', '39', '0', '0', '0', '-1', '29', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('4100111', 'Eagle-crested Round Shield', 'Normal/ShieldItem', '1', '0', '0', '41480', '5520', '70301', '5003', '1', '0', '10', '0', '1', '45', '2117', '64', '87', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('4100112', 'Ul\'dahn Round Shield', 'Normal/ShieldItem', '1', '1', '1', '41480', '0', '70002', '5003', '2', '0', '10', '0', '1', '40', '2108', '64', '82', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4100201', 'Scarred Kite Shield', 'Normal/ShieldItem', '1', '1', '0', '27000', '1476', '70304', '5003', '1', '0', '10', '0', '0', '40', '2106', '23', '56', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4100202', 'Vintage Kite Shield', 'Normal/ShieldItem', '1', '1', '0', '58560', '8160', '70303', '5003', '1', '0', '10', '0', '0', '50', '2106', '120', '92', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100203', 'Canopus Shield', 'Normal/ShieldItem', '1', '1', '1', '58560', '0', '70424', '5003', '3', '0', '10', '0', '1', '50', '2106', '122', '94', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100204', 'Kite Shield', 'Normal/ShieldItem', '1', '0', '0', '58560', '7840', '70455', '5003', '1', '0', '10', '0', '1', '48', '2106', '119', '91', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('4100205', 'Lominsan Kite Shield', 'Normal/ShieldItem', '1', '1', '1', '58560', '0', '70303', '5003', '2', '0', '10', '0', '1', '40', '2106', '89', '72', '0', '0', '0', '-1', '31', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4100206', 'Thormoen\'s Purpose', 'Normal/ShieldItem', '1', '1', '0', '58560', '8160', '70529', '5003', '2', '0', '10', '0', '1', '50', '2106', '122', '95', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100301', 'Dated Bronze Scutum', 'Normal/ShieldItem', '1', '0', '0', '56120', '4350', '70003', '5003', '1', '0', '10', '0', '0', '28', '2106', '58', '37', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4100302', 'Dated Iron Scutum', 'Normal/ShieldItem', '1', '0', '0', '56120', '5850', '70144', '5003', '1', '0', '10', '0', '0', '38', '2106', '83', '54', '0', '0', '0', '-1', '31', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('4100303', 'Dated Decorated Iron Scutum', 'Normal/ShieldItem', '1', '0', '0', '56120', '7350', '70145', '5003', '1', '0', '10', '0', '0', '48', '2106', '116', '75', '0', '0', '0', '-1', '32', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('4100304', 'Rusting Scutum', 'Normal/ShieldItem', '1', '1', '0', '56120', '3450', '70144', '5003', '1', '0', '10', '0', '0', '22', '2106', '35', '22', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('4100305', 'Vintage Scutum', 'Normal/ShieldItem', '1', '1', '0', '56120', '6450', '70284', '5003', '1', '0', '10', '0', '0', '42', '2106', '101', '65', '0', '0', '0', '-1', '31', '10013005', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('4100306', 'Ul\'dahn Scutum', 'Normal/ShieldItem', '1', '1', '1', '56120', '0', '70425', '5003', '2', '0', '10', '0', '1', '50', '2106', '131', '84', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100307', 'Iron Scutum', 'Normal/ShieldItem', '1', '0', '0', '56120', '3600', '70144', '5003', '1', '0', '10', '0', '1', '23', '2106', '47', '30', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4100308', 'Decorated Iron Scutum', 'Normal/ShieldItem', '1', '0', '0', '56120', '5550', '70145', '5003', '1', '0', '10', '0', '1', '36', '2106', '86', '56', '0', '0', '0', '-1', '32', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('4100401', 'Dated Lantern Shield', 'Normal/ShieldItem', '1', '0', '0', '53680', '5040', '70146', '5003', '1', '0', '10', '0', '0', '34', '2105', '50', '54', '0', '0', '0', '-1', '31', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('4100402', 'Dated Bladed Lantern Shield', 'Normal/ShieldItem', '1', '0', '0', '53680', '6480', '70147', '5003', '1', '0', '10', '0', '0', '44', '2105', '70', '75', '0', '0', '0', '-1', '30', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('4100403', 'Ul\'dahn Shield', 'Normal/ShieldItem', '1', '1', '1', '53680', '0', '70146', '5003', '2', '0', '10', '0', '1', '30', '2105', '45', '48', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4100404', 'Bladed Lantern Shield', 'Normal/ShieldItem', '1', '0', '0', '53680', '5760', '70456', '5003', '1', '0', '10', '0', '1', '39', '2106', '57', '70', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('4100405', 'Lominsan Lantern Shield', 'Normal/ShieldItem', '1', '1', '1', '53680', '0', '70515', '5003', '2', '0', '10', '0', '1', '50', '2106', '86', '126', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100501', 'Dated Bronze Buckler', 'Normal/ShieldItem', '1', '0', '0', '48800', '1960', '70004', '5003', '1', '0', '10', '0', '0', '13', '2105', '13', '16', '0', '0', '0', '-1', '31', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('4100502', 'Dated Ironclad Bronze Buckler', 'Normal/ShieldItem', '1', '0', '0', '48800', '3360', '70005', '5003', '1', '0', '10', '0', '0', '23', '2105', '25', '31', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('4100503', 'Dated Decorated Buckler', 'Normal/ShieldItem', '1', '0', '0', '48800', '4760', '70006', '5003', '1', '0', '10', '0', '0', '33', '2105', '45', '52', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('4100504', 'Bronze Buckler', 'Normal/ShieldItem', '1', '0', '0', '48800', '2100', '70004', '5003', '1', '0', '10', '0', '1', '14', '2118', '14', '19', '0', '0', '0', '-1', '31', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('4100505', 'Ironclad Bronze Buckler', 'Normal/ShieldItem', '1', '0', '0', '48800', '3080', '70005', '5003', '1', '0', '10', '0', '1', '21', '2118', '23', '30', '0', '0', '0', '-1', '31', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('4100506', 'Decorated Buckler', 'Normal/ShieldItem', '1', '0', '0', '48800', '4900', '70006', '5003', '1', '0', '10', '0', '1', '34', '2118', '47', '60', '0', '0', '0', '-1', '32', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('4100507', 'Gridanian Buckler', 'Normal/ShieldItem', '1', '1', '1', '48800', '0', '70522', '5003', '2', '0', '10', '0', '1', '50', '2118', '71', '168', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100508', 'Warlock\'s Buckler', 'Normal/ShieldItem', '1', '1', '1', '48800', '0', '70426', '5003', '2', '0', '10', '0', '1', '50', '2107', '83', '98', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100509', '[en]', 'Normal/ShieldItem', '1', '0', '0', '48800', '280', '60000', '5003', '1', '0', '10', '0', '0', '1', '2105', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4100510', 'Notched Buckler', 'Normal/ShieldItem', '1', '1', '0', '48800', '2380', '70285', '5003', '1', '0', '10', '0', '0', '16', '2105', '14', '18', '0', '0', '0', '-1', '31', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('4100511', 'Vintage Buckler', 'Normal/ShieldItem', '1', '1', '0', '48800', '5180', '70004', '5003', '1', '0', '10', '0', '0', '36', '2105', '51', '60', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('4100601', 'Dated Square Maple Shield', 'Normal/ShieldItem', '1', '0', '0', '39040', '660', '70148', '5003', '1', '0', '10', '0', '0', '5', '2105', '8', '8', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100602', 'Dated Square Ash Shield', 'Normal/ShieldItem', '1', '0', '0', '39040', '1760', '70150', '5003', '1', '0', '10', '0', '0', '15', '2105', '18', '17', '0', '0', '0', '-1', '29', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('4100603', 'Shield of the Savage', 'Normal/ShieldItem', '1', '1', '1', '39040', '0', '70149', '5003', '2', '0', '10', '0', '0', '30', '2105', '48', '48', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4100604', 'Square Maple Shield', 'Normal/ShieldItem', '1', '0', '0', '39040', '660', '70148', '5003', '1', '0', '10', '0', '1', '5', '2105', '9', '9', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100605', 'Square Ash Shield', 'Normal/ShieldItem', '1', '0', '0', '39040', '1980', '70150', '5003', '1', '0', '10', '0', '1', '17', '2105', '21', '23', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('4100606', 'Worm-eaten Square Shield', 'Normal/ShieldItem', '1', '1', '0', '39040', '1210', '70286', '5003', '1', '0', '10', '0', '0', '10', '2105', '11', '11', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100607', 'Vintage Square Shield', 'Normal/ShieldItem', '1', '1', '0', '39040', '2310', '70148', '5003', '1', '0', '10', '0', '0', '20', '2105', '26', '26', '0', '0', '0', '-1', '29', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('4100608', 'Gridanian Square Shield', 'Normal/ShieldItem', '1', '1', '1', '39040', '0', '70153', '5003', '2', '0', '10', '0', '1', '40', '2105', '46', '68', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('4100609', 'Aubriest\'s Allegory', 'Normal/ShieldItem', '1', '1', '0', '39040', '5280', '70526', '5003', '2', '0', '10', '0', '1', '47', '2005', '58', '75', '0', '0', '0', '-1', '29', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('4100701', 'Dated Bronze Hoplon', 'Normal/ShieldItem', '1', '0', '0', '51240', '1240', '70155', '5003', '1', '0', '10', '0', '0', '9', '2106', '12', '11', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100702', 'Dated Bronze Pelta', 'Normal/ShieldItem', '1', '0', '0', '51240', '2480', '70156', '5003', '1', '0', '10', '0', '0', '19', '2106', '26', '22', '0', '0', '0', '-1', '31', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('4100703', 'Dated Iron Hoplon', 'Normal/ShieldItem', '1', '0', '0', '51240', '3720', '70157', '5003', '1', '0', '10', '0', '0', '29', '2106', '48', '41', '0', '0', '0', '-1', '31', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('4100704', 'Dated Iron Pelta', 'Normal/ShieldItem', '1', '0', '0', '51240', '4960', '70158', '5003', '1', '0', '10', '0', '0', '39', '2106', '69', '58', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('4100705', 'Dated Bull Hoplon', 'Normal/ShieldItem', '1', '0', '0', '51240', '6200', '70159', '5003', '1', '0', '10', '0', '0', '49', '2106', '97', '82', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('4100706', 'Tarnished Hoplon', 'Normal/ShieldItem', '1', '1', '0', '51240', '1860', '70287', '5003', '1', '0', '10', '0', '0', '14', '2106', '16', '14', '0', '0', '0', '-1', '31', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('4100707', 'Vintage Hoplon', 'Normal/ShieldItem', '1', '1', '0', '51240', '3100', '70155', '5003', '1', '0', '10', '0', '0', '24', '2106', '38', '32', '0', '0', '0', '-1', '31', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('4100708', 'Waning Sun Pelta', 'Normal/ShieldItem', '1', '1', '1', '51240', '0', '70158', '5003', '2', '0', '10', '0', '1', '30', '2106', '53', '45', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('4100709', 'Bronze Hoplon', 'Normal/ShieldItem', '1', '0', '0', '51240', '1116', '70155', '5003', '1', '0', '10', '0', '1', '8', '2106', '13', '11', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100710', 'Iron Hoplon', 'Normal/ShieldItem', '1', '0', '0', '51240', '2480', '70157', '5003', '1', '0', '10', '0', '1', '19', '2106', '28', '24', '0', '0', '0', '-1', '31', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('4100711', 'Bull Hoplon', 'Normal/ShieldItem', '1', '0', '0', '51240', '3968', '70159', '5003', '1', '0', '10', '0', '1', '31', '2106', '57', '49', '0', '0', '0', '-1', '31', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('4100712', 'Ul\'dahn Hoplon', 'Normal/ShieldItem', '1', '1', '1', '51240', '0', '70309', '5003', '2', '0', '10', '0', '1', '50', '2106', '107', '131', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100713', 'Scorpion Shield', 'Normal/ShieldItem', '1', '1', '0', '51240', '6076', '70527', '5003', '2', '0', '10', '0', '1', '48', '2106', '92', '125', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('4100801', 'Maelstrom Escutcheon', 'Normal/ShieldItem', '1', '1', '1', '39040', '0', '70523', '5003', '3', '0', '10', '0', '0', '1', '2105', '15', '15', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100802', 'Immortal Flames Escutcheon', 'Normal/ShieldItem', '1', '1', '1', '39040', '0', '70524', '5003', '3', '0', '10', '0', '0', '1', '2105', '15', '15', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100803', 'Twin Adder Escutcheon', 'Normal/ShieldItem', '1', '1', '1', '39040', '0', '70525', '5003', '3', '0', '10', '0', '0', '1', '2105', '15', '15', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('4100804', 'Storm Sergeant\'s Targe', 'Normal/ShieldItem', '1', '1', '1', '43920', '0', '70560', '5003', '2', '0', '10', '0', '1', '50', '2105', '70', '94', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100805', 'Storm Sergeant\'s Hoplon', 'Normal/ShieldItem', '1', '1', '1', '51240', '0', '70578', '5003', '2', '0', '10', '0', '1', '50', '2106', '106', '132', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100806', 'Serpent Sergeant\'s Targe', 'Normal/ShieldItem', '1', '1', '1', '43920', '0', '70561', '5003', '2', '0', '10', '0', '1', '50', '2105', '70', '94', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100807', 'Serpent Sergeant\'s Hoplon', 'Normal/ShieldItem', '1', '1', '1', '51240', '0', '70579', '5003', '2', '0', '10', '0', '1', '50', '2106', '108', '130', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100808', 'Flame Sergeant\'s Targe', 'Normal/ShieldItem', '1', '1', '1', '43920', '0', '70562', '5003', '2', '0', '10', '0', '1', '50', '2105', '70', '94', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100809', 'Flame Sergeant\'s Shield', 'Normal/ShieldItem', '1', '1', '1', '53680', '0', '70580', '5003', '2', '0', '10', '0', '1', '50', '2106', '85', '127', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100810', 'Holy Shield', 'Normal/ShieldItem', '1', '1', '1', '58560', '0', '70612', '5003', '4', '0', '10', '0', '1', '50', '2120', '138', '100', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('4100811', '[en]', 'Normal/ShieldItem', '1', '0', '0', '41480', '240', '60000', '5003', '1', '0', '10', '0', '0', '1', '2106', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4100812', '[en]', 'Normal/ShieldItem', '1', '0', '0', '41480', '240', '60000', '5003', '1', '0', '10', '0', '0', '1', '2106', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('4100813', '[en]', 'Normal/ShieldItem', '1', '0', '0', '41480', '240', '60000', '5003', '1', '0', '10', '0', '0', '1', '2106', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('5010001', '[en]', 'Normal/StandardItem', '1', '0', '0', '0', '0', '60000', '0', '1', '0', '21', '0', '0', '1', '2001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('5020001', 'Weathered Scepter', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70160', '5105', '1', '0', '22', '0', '0', '1', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5020002', 'Dated Copper Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '812', '70061', '5105', '1', '0', '22', '0', '0', '6', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5020003', 'Dated Decorated Copper Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '1392', '70062', '5105', '1', '0', '22', '0', '0', '11', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5020004', 'Dated Silver Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '2552', '70063', '5105', '1', '0', '22', '0', '0', '21', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('5020005', 'Dated Decorated Silver Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '3712', '70064', '5105', '1', '0', '22', '0', '0', '31', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('5020006', 'Dated Ornate Silver Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '4872', '70065', '5105', '1', '0', '22', '0', '0', '41', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('5020007', 'Copper Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '1160', '70061', '5105', '1', '0', '22', '0', '1', '9', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5020008', 'Decorated Copper Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '2204', '70062', '5105', '1', '0', '22', '0', '1', '18', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('5020009', 'Verdant Scepter', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70356', '5105', '3', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020010', 'Silver Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '3364', '70063', '5105', '1', '0', '22', '0', '1', '28', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('5020011', 'Decorated Silver Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '3944', '70064', '5105', '1', '0', '22', '0', '1', '33', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('5020012', 'Electrum Scepter', 'Normal/StandardItem', '1', '0', '0', '107360', '5104', '70065', '5105', '1', '0', '22', '0', '1', '43', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('5020013', 'Lominsan Scepter', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70357', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020014', 'Gridanian Scepter', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70064', '5105', '2', '0', '22', '0', '1', '40', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('5020101', 'Dated Bone Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '852', '70167', '5106', '1', '0', '22', '0', '0', '5', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5020102', 'Dated Decorated Bone Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '2272', '70168', '5106', '1', '0', '22', '0', '0', '15', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('5020103', 'Dated Horn Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '3692', '70169', '5106', '1', '0', '22', '0', '0', '25', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('5020104', 'Aubriest\'s Whisper', 'Normal/StandardItem', '1', '1', '0', '146400', '7242', '70535', '5106', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020105', 'Dated Decorated Horn Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '5112', '70170', '5106', '1', '0', '22', '0', '0', '35', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5020106', 'Bone Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '852', '70167', '5106', '1', '0', '22', '0', '1', '5', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5020107', 'Taurus Staff', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70171', '5106', '2', '0', '22', '0', '0', '30', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('5020108', 'Decorated Bone Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '1846', '70168', '5106', '1', '0', '22', '0', '1', '12', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('5020109', 'Horn Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '5680', '70170', '5106', '1', '0', '22', '0', '1', '39', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('5020110', 'Ivory Staff', 'Normal/StandardItem', '1', '0', '0', '146400', '7100', '70365', '5106', '1', '0', '22', '0', '1', '49', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('5020111', 'Maleficent Mogstaff', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70501', '5106', '3', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020112', 'Lominsan Staff', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70171', '5106', '2', '0', '22', '0', '1', '40', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('5020113', 'Gridanian Staff', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70521', '5106', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020114', 'Tenfinger Tallstaff', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70169', '5106', '2', '0', '22', '0', '1', '30', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('5020115', '[en]', 'Normal/StandardItem', '1', '0', '0', '146400', '284', '60000', '5106', '1', '0', '22', '0', '0', '1', '2135', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('5020201', 'Dated Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '2496', '70161', '5105', '1', '0', '22', '0', '0', '23', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('5020202', 'Dated Wind Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4576', '70162', '5105', '1', '0', '22', '0', '0', '43', '2135', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('5020203', 'Dated Earth Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4576', '70163', '5105', '1', '0', '22', '0', '0', '43', '2135', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5020204', 'Dated Lightning Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4576', '70164', '5105', '1', '0', '22', '0', '0', '43', '2135', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('5020205', 'Dated Ice Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4576', '70288', '5105', '1', '0', '22', '0', '0', '43', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('5020206', 'Dated Fire Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4576', '70289', '5105', '1', '0', '22', '0', '0', '43', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5020207', 'Dated Water Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4576', '70290', '5105', '1', '0', '22', '0', '0', '43', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('5020208', 'Anathema', 'Normal/StandardItem', '1', '1', '1', '87840', '0', '70362', '5105', '2', '0', '22', '0', '0', '35', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5020209', 'Lominsan Brand', 'Normal/StandardItem', '1', '1', '1', '87840', '0', '70289', '5105', '2', '0', '22', '0', '1', '30', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('5020210', 'Wind Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '2288', '70162', '5105', '1', '0', '22', '0', '1', '21', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('5020211', 'Ice Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '2808', '70288', '5105', '1', '0', '22', '0', '1', '26', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('5020212', 'Earth Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '3328', '70163', '5105', '1', '0', '22', '0', '1', '31', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('5020213', 'Fire Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '3848', '70289', '5105', '1', '0', '22', '0', '1', '36', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('5020214', 'Lightning Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4368', '70164', '5105', '1', '0', '22', '0', '1', '41', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('5020215', 'Water Brand', 'Normal/StandardItem', '1', '0', '0', '87840', '4888', '70290', '5105', '1', '0', '22', '0', '1', '46', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('5020216', 'Ifrit\'s Cudgel', 'Normal/StandardItem', '1', '1', '1', '87840', '0', '70495', '5105', '3', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020217', 'Ul\'dahn Brand', 'Normal/StandardItem', '1', '1', '1', '87840', '0', '70164', '5105', '2', '0', '22', '0', '1', '40', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('5020301', 'Dated Brass Cudgel', 'Normal/StandardItem', '1', '0', '0', '117120', '1980', '70166', '5105', '1', '0', '22', '0', '0', '17', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5020302', 'Dated Iron Cudgel', 'Normal/StandardItem', '1', '0', '0', '117120', '4180', '70165', '5105', '1', '0', '22', '0', '0', '37', '2135', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('5020303', 'Vintage Cudgel', 'Normal/StandardItem', '1', '1', '0', '117120', '4950', '70165', '5105', '1', '0', '22', '0', '0', '44', '2135', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('5020304', 'Damaged Cudgel', 'Normal/StandardItem', '1', '1', '0', '45000', '1260', '70363', '5105', '1', '0', '22', '0', '0', '34', '2135', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('5020305', 'Lominsan Cudgel', 'Normal/StandardItem', '1', '1', '1', '117120', '0', '70431', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020306', 'Brass Cudgel', 'Normal/StandardItem', '1', '0', '0', '117120', '1760', '70166', '5105', '1', '0', '22', '0', '1', '15', '2135', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('5020307', 'Ul\'dahn Cudgel', 'Normal/StandardItem', '1', '1', '1', '117120', '0', '70518', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020401', 'Unfinished Stardust Rod', 'Normal/StandardItem', '1', '1', '1', '55000', '0', '70624', '5106', '1', '0', '22', '0', '1', '50', '2124', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020402', 'Stardust Rod', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70617', '5106', '4', '0', '22', '0', '1', '50', '2124', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020403', 'Astrolabe', 'Normal/StandardItem', '1', '0', '0', '146400', '7242', '70548', '5106', '2', '0', '22', '0', '1', '50', '2153', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020404', 'Storm Lieutenant\'s Scepter', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70595', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020405', 'Serpent Lieutenant\'s Scepter', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70602', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020406', 'Flame Lieutenant\'s Cudgel', 'Normal/StandardItem', '1', '1', '1', '107360', '0', '70609', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020407', 'Garuda\'s Van', 'Normal/StandardItem', '1', '1', '1', '146400', '0', '70541', '5106', '3', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020408', 'Storm Sergeant\'s Cudgel', 'Normal/StandardItem', '1', '1', '1', '117120', '0', '70586', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020409', 'Serpent Sergeant\'s Cudgel', 'Normal/StandardItem', '1', '1', '1', '117120', '0', '70587', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020410', 'Flame Sergeant\'s Cudgel', 'Normal/StandardItem', '1', '1', '1', '117120', '0', '70588', '5105', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5020411', 'Giantsgall Longstaff', 'Normal/StandardItem', '1', '0', '0', '146400', '7242', '70632', '5106', '2', '0', '22', '0', '1', '50', '2135', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030001', 'Dated Maple Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '784', '70172', '5107', '1', '0', '23', '0', '0', '7', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5030002', 'Dated Willow Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '1127', '70173', '5107', '1', '0', '23', '0', '0', '22', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('5030003', 'Maple Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '588', '70172', '5107', '1', '0', '23', '0', '1', '5', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5030004', 'Dated Budding Maple Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '1274', '70174', '5107', '1', '0', '23', '0', '0', '12', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('5030005', 'Dated Budding Walnut Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '4214', '70175', '5107', '1', '0', '23', '0', '0', '42', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5030006', 'Budding Maple Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '1176', '70174', '5107', '1', '0', '23', '0', '1', '11', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5030007', 'Yew Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '2940', '70291', '5107', '1', '0', '23', '0', '1', '29', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('5030008', 'Dated Maple Wand of Flames', 'Normal/StandardItem', '1', '0', '0', '97600', '1764', '70176', '5107', '1', '0', '23', '0', '0', '17', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030009', 'Dated Maple Wand of Gales', 'Normal/StandardItem', '1', '0', '0', '97600', '1764', '70177', '5107', '1', '0', '23', '0', '0', '17', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030010', 'Dated Maple Wand of Storms', 'Normal/StandardItem', '1', '0', '0', '97600', '1764', '70178', '5107', '1', '0', '23', '0', '0', '17', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030011', 'Dated Maple Wand of Tremors', 'Normal/StandardItem', '1', '0', '0', '97600', '1764', '70179', '5107', '1', '0', '23', '0', '0', '17', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030012', 'Dated Maple Wand of Tides', 'Normal/StandardItem', '1', '0', '0', '97600', '1764', '70180', '5107', '1', '0', '23', '0', '0', '17', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030013', 'Dated Maple Wand of Frost', 'Normal/StandardItem', '1', '0', '0', '97600', '1764', '70181', '5107', '1', '0', '23', '0', '0', '17', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030014', 'Dated Walnut Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '3724', '70291', '5107', '1', '0', '23', '0', '0', '37', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('5030015', 'Dated Budding Willow Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '2744', '70292', '5107', '1', '0', '23', '0', '0', '27', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('5030016', 'Dated Willow Wand of Flames', 'Normal/StandardItem', '1', '0', '0', '97600', '3234', '70176', '5107', '1', '0', '23', '0', '0', '32', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('5030017', 'Dated Willow Wand of Gales', 'Normal/StandardItem', '1', '0', '0', '97600', '3234', '70177', '5107', '1', '0', '23', '0', '0', '32', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('5030018', 'Dated Willow Wand of Storms', 'Normal/StandardItem', '1', '0', '0', '97600', '3234', '70178', '5107', '1', '0', '23', '0', '0', '32', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('5030019', 'Dated Willow Wand of Tremors', 'Normal/StandardItem', '1', '0', '0', '97600', '3234', '70179', '5107', '1', '0', '23', '0', '0', '32', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('5030020', 'Dated Willow Wand of Tides', 'Normal/StandardItem', '1', '0', '0', '97600', '3234', '70180', '5107', '1', '0', '23', '0', '0', '32', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('5030021', 'Dated Willow Wand of Frost', 'Normal/StandardItem', '1', '0', '0', '97600', '3234', '70181', '5107', '1', '0', '23', '0', '0', '32', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('5030022', 'Dated Walnut Wand of Flames', 'Normal/StandardItem', '1', '0', '0', '97600', '4704', '70176', '5107', '1', '0', '23', '0', '0', '47', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('5030023', 'Dated Walnut Wand of Gales', 'Normal/StandardItem', '1', '0', '0', '97600', '4704', '70177', '5107', '1', '0', '23', '0', '0', '47', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('5030024', 'Dated Walnut Wand of Storms', 'Normal/StandardItem', '1', '0', '0', '97600', '4704', '70178', '5107', '1', '0', '23', '0', '0', '47', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('5030025', 'Dated Walnut Wand of Tremors', 'Normal/StandardItem', '1', '0', '0', '97600', '4704', '70179', '5107', '1', '0', '23', '0', '0', '47', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('5030026', 'Dated Walnut Wand of Tides', 'Normal/StandardItem', '1', '0', '0', '97600', '4704', '70180', '5107', '1', '0', '23', '0', '0', '47', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('5030027', 'Dated Walnut Wand of Frost', 'Normal/StandardItem', '1', '0', '0', '97600', '4704', '70181', '5107', '1', '0', '23', '0', '0', '47', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('5030028', 'Gridanian Wand', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70177', '5107', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030029', 'Budding Yew Wand', 'Normal/StandardItem', '1', '0', '0', '97600', '3528', '70175', '5107', '1', '0', '23', '0', '1', '35', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5030030', 'Wand of Tremors', 'Normal/StandardItem', '1', '0', '0', '97600', '4214', '70179', '5107', '1', '0', '23', '0', '1', '42', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('5030031', 'Wand of Tides', 'Normal/StandardItem', '1', '0', '0', '97600', '4214', '70180', '5107', '1', '0', '23', '0', '1', '42', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('5030032', 'Wand of Frost', 'Normal/StandardItem', '1', '0', '0', '97600', '4214', '70181', '5107', '1', '0', '23', '0', '1', '42', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('5030033', 'Wand of Flames', 'Normal/StandardItem', '1', '0', '0', '97600', '4802', '70176', '5107', '1', '0', '23', '0', '1', '48', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('5030034', 'Wand of Gales', 'Normal/StandardItem', '1', '0', '0', '97600', '4802', '70177', '5107', '1', '0', '23', '0', '1', '48', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('5030035', 'Wand of Storms', 'Normal/StandardItem', '1', '0', '0', '97600', '4802', '70178', '5107', '1', '0', '23', '0', '1', '48', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('5030036', 'Malevolent Mogwand', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70502', '5107', '3', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030037', 'Ul\'dahn Wand', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70292', '5107', '2', '0', '23', '0', '1', '40', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('5030101', 'Weathered Cane', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70186', '5108', '1', '0', '23', '0', '0', '1', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5030102', 'Dated Ash Cane', 'Normal/StandardItem', '1', '0', '0', '161040', '980', '70067', '5108', '1', '0', '23', '0', '0', '6', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5030103', 'Dated Elm Cane', 'Normal/StandardItem', '1', '0', '0', '161040', '1680', '70068', '5108', '1', '0', '23', '0', '0', '11', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('5030104', 'Dated Pastoral Elm Cane', 'Normal/StandardItem', '1', '0', '0', '161040', '3080', '70069', '5108', '1', '0', '23', '0', '0', '21', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('5030105', 'Dated Oak Cane', 'Normal/StandardItem', '1', '0', '0', '161040', '4480', '70070', '5108', '1', '0', '23', '0', '0', '31', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('5030106', 'Dated Pastoral Oak Cane', 'Normal/StandardItem', '1', '0', '0', '161040', '5880', '70071', '5108', '1', '0', '23', '0', '0', '41', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('5030107', 'Elm Cane', 'Normal/StandardItem', '1', '0', '0', '161040', '2520', '70068', '5108', '1', '0', '23', '0', '1', '17', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030108', 'Astaroth Cane', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70072', '5108', '3', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030109', 'Pastoral Oak Cane', 'Normal/StandardItem', '1', '0', '0', '161040', '5460', '70071', '5108', '1', '0', '23', '0', '1', '38', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('5030110', 'Ifrit\'s Cane', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70494', '5108', '3', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030111', 'Lominsan Cane', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70374', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030112', 'Bloodcry', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70374', '5108', '2', '0', '23', '0', '0', '35', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5030113', 'Gridanian Cane', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70069', '5108', '2', '0', '23', '0', '1', '40', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('5030201', 'Dated Pine Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '2584', '70182', '5108', '1', '0', '23', '0', '0', '18', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('5030202', 'Dated Plumed Pine Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '3264', '70183', '5108', '1', '0', '23', '0', '0', '23', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('5030203', 'Dated Yew Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '5304', '70184', '5108', '1', '0', '23', '0', '0', '38', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('5030204', 'Dated Plumed Yew Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '5984', '70185', '5108', '1', '0', '23', '0', '0', '43', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('5030205', 'Dated Jade Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '6664', '70377', '5108', '1', '0', '23', '0', '0', '48', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('5030206', 'Gridanian Crook', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70183', '5108', '2', '0', '23', '0', '1', '30', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('5030207', 'Yew Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '3536', '70184', '5108', '1', '0', '23', '0', '1', '25', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('5030208', 'Plumed Yew Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '4488', '70185', '5108', '1', '0', '23', '0', '1', '32', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('5030209', 'Jade Crook', 'Normal/StandardItem', '1', '0', '0', '175680', '6256', '70377', '5108', '1', '0', '23', '0', '1', '45', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('5030210', 'Ul\'dahn Crook', 'Normal/StandardItem', '1', '1', '1', '175680', '0', '70378', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030301', 'Dated Mahogany Radical', 'Normal/StandardItem', '1', '0', '0', '131760', '3796', '70187', '5108', '1', '0', '23', '0', '0', '25', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('5030302', 'Dated Flambeau Radical', 'Normal/StandardItem', '1', '0', '0', '131760', '5256', '70293', '5108', '1', '0', '23', '0', '0', '35', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('5030303', 'Dated Sprouting Radical', 'Normal/StandardItem', '1', '0', '0', '131760', '5694', '70189', '5108', '1', '0', '23', '0', '0', '38', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('5030304', 'Kple Kple', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70380', '5108', '2', '0', '23', '0', '0', '30', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('5030305', 'Heart of House d\'Arlendre', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70293', '5108', '2', '0', '23', '0', '1', '30', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('5030306', 'Yew Radical', 'Normal/StandardItem', '1', '0', '0', '131760', '3212', '70188', '5108', '1', '0', '23', '0', '1', '21', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('5030307', 'Lominsan Radical', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70189', '5108', '2', '0', '23', '0', '1', '40', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('5030308', 'Gridanian Radical', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70384', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030309', 'Chiran Zabran\'s Tempest', 'Normal/StandardItem', '1', '1', '0', '131760', '7446', '70534', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030401', 'Unfinished Thyrus', 'Normal/StandardItem', '1', '1', '1', '55000', '0', '70625', '5108', '1', '0', '23', '0', '1', '50', '2125', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030402', 'Thyrus', 'Normal/StandardItem', '1', '1', '1', '161040', '0', '70618', '5108', '4', '0', '23', '0', '1', '50', '2125', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030403', 'Alkalurops', 'Normal/StandardItem', '1', '0', '0', '131760', '7446', '70549', '5108', '2', '0', '23', '0', '1', '50', '2154', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030404', 'Storm Lieutenant\'s Wand', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70596', '5107', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030405', 'Serpent Lieutenant\'s Wand', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70603', '5107', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030406', 'Flame Lieutenant\'s Wand', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70610', '5107', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030407', 'Garuda\'s Wile', 'Normal/StandardItem', '1', '1', '1', '97600', '0', '70542', '5107', '3', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030408', 'Storm Sergeant\'s Radical', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70293', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030409', 'Serpent Sergeant\'s Radical', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70584', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030410', 'Flame Sergeant\'s Radical', 'Normal/StandardItem', '1', '1', '1', '131760', '0', '70585', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5030411', 'Giantsgall Cane', 'Normal/StandardItem', '1', '0', '0', '131760', '7446', '70631', '5108', '2', '0', '23', '0', '1', '50', '2136', '0', '0', '0', '0', '0', '-1', '35', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('5040001', '[en]', 'Normal/StandardItem', '1', '0', '0', '0', '0', '60000', '0', '1', '0', '24', '0', '0', '1', '2001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('6010001', 'Weathered Saw', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70190', '6003', '1', '0', '29', '0', '0', '1', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6010002', 'Dated Bronze Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '880', '70191', '6003', '1', '0', '29', '0', '0', '7', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6010003', 'Dated Iron Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '2530', '70193', '6003', '1', '0', '29', '0', '0', '22', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('6010004', 'Dated Bas-relief Iron Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '3630', '70195', '6003', '1', '0', '29', '0', '0', '32', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6010005', 'Dated Chocobotail Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '1300', '70192', '6003', '1', '0', '29', '0', '0', '12', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('6010006', 'Dated Iron Chocobotail Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '4300', '70194', '6003', '1', '0', '29', '0', '0', '42', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('6010007', 'Dated Fish Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '1800', '70192', '6003', '1', '0', '29', '0', '0', '17', '2137', '0', '0', '0', '0', '0', '-1', '35', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6010008', 'Dated Crosscut Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '3800', '70408', '6003', '1', '0', '29', '0', '0', '37', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('6010009', 'Bronze Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '990', '70191', '6003', '1', '0', '29', '0', '1', '8', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6010010', 'Chocobotail Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '1700', '70192', '6003', '1', '0', '29', '0', '1', '16', '2137', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('6010011', 'Bas-relief Iron Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '2640', '70195', '6003', '1', '0', '29', '0', '1', '23', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('6010012', 'Iron Chocobotail Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '2900', '70194', '6003', '1', '0', '29', '0', '1', '28', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('6010013', 'Crosscut Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '3500', '70408', '6003', '1', '0', '29', '0', '1', '34', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('6010014', 'Mythril Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '4400', '70457', '6003', '1', '0', '29', '0', '1', '39', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('6010015', 'Bas-relief Cobalt Saw', 'Normal/ToolItem', '1', '0', '0', '97600', '5390', '70458', '6003', '1', '0', '29', '0', '1', '48', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6010016', 'Saw of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70503', '6003', '3', '0', '29', '0', '1', '50', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6011001', 'Dated Bronze Claw Hammer', 'Normal/ToolItem', '1', '0', '0', '63440', '924', '70196', '6004', '1', '0', '29', '0', '0', '10', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6011002', 'Dated Iron Claw Hammer', 'Normal/ToolItem', '1', '0', '0', '63440', '2352', '70197', '6004', '1', '0', '29', '0', '0', '27', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6011003', 'Dated Steel Claw Hammer', 'Normal/ToolItem', '1', '0', '0', '63440', '4032', '70409', '6004', '1', '0', '29', '0', '0', '47', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('6011004', 'Bronze Claw Hammer', 'Normal/ToolItem', '1', '0', '0', '63440', '1008', '70196', '6004', '1', '0', '29', '0', '1', '11', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6011005', 'Iron Claw Hammer', 'Normal/ToolItem', '1', '0', '0', '63440', '1764', '70197', '6004', '1', '0', '29', '0', '1', '20', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('6011006', 'Steel Claw Hammer', 'Normal/ToolItem', '1', '0', '0', '63440', '2688', '70409', '6004', '1', '0', '29', '0', '1', '31', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('6011007', 'Mythril Claw Hammer', 'Normal/ToolItem', '1', '0', '0', '63440', '3696', '70459', '6004', '1', '0', '29', '0', '1', '43', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6011008', 'Militia Claw Hammer', 'Normal/ToolItem', '1', '1', '0', '63440', '4284', '70550', '6004', '2', '0', '29', '0', '1', '50', '2137', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6020001', 'Weathered Cross-pein Hammer', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70078', '6005', '1', '0', '30', '0', '0', '1', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6020002', 'Dated Bronze Cross-pein Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '800', '70073', '6005', '1', '0', '30', '0', '0', '7', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6020003', 'Dated Iron Cross-pein Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '2300', '70074', '6005', '1', '0', '30', '0', '0', '22', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('6020004', 'Bronze Cross-pein Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '900', '70073', '6005', '1', '0', '30', '0', '1', '8', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6020005', 'Birdsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1500', '70075', '6005', '1', '0', '30', '0', '1', '14', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('6020006', 'Dated Birdsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1300', '70075', '6005', '1', '0', '30', '0', '0', '12', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6020007', 'Dated Crowsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3300', '70076', '6005', '1', '0', '30', '0', '0', '32', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6020008', 'Iron Cross-pein Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1900', '70074', '6005', '1', '0', '30', '0', '1', '18', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('6020009', 'Crowsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '2500', '70076', '6005', '1', '0', '30', '0', '1', '24', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('6020010', 'Dated Wrapped Crowsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4300', '70077', '6005', '1', '0', '30', '0', '0', '42', '2138', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('6020011', 'Heavy Crowsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3000', '70388', '6005', '1', '0', '30', '0', '1', '29', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('6020012', 'Steel Cross-pein Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3900', '70460', '6005', '1', '0', '30', '0', '1', '38', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('6020013', '[en]', 'Normal/ToolItem', '1', '0', '0', '97600', '200', '60000', '6005', '1', '0', '30', '0', '0', '1', '2138', '0', '0', '0', '0', '0', '-1', '30', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('6020014', 'Wrapped Hawksbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4900', '70461', '6005', '1', '0', '30', '0', '1', '48', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6020015', 'Hammer of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70504', '6005', '3', '0', '30', '0', '1', '50', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6020016', '[en]', 'Normal/ToolItem', '1', '0', '0', '97600', '200', '60000', '6005', '1', '0', '30', '0', '0', '1', '2138', '0', '0', '0', '0', '0', '-1', '30', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('6020017', 'Dated Fortified Birdsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1800', '70075', '6005', '1', '0', '30', '0', '0', '17', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6020018', 'Dated Heavy Crowsbeak Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4800', '70388', '6005', '1', '0', '30', '0', '0', '47', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('6021001', 'Dated Bronze File', 'Normal/ToolItem', '1', '0', '0', '63440', '836', '70079', '6006', '1', '0', '30', '0', '0', '10', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6021002', 'Dated Iron File', 'Normal/ToolItem', '1', '0', '0', '63440', '2128', '70080', '6006', '1', '0', '30', '0', '0', '27', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6021003', 'Bronze File', 'Normal/ToolItem', '1', '0', '0', '63440', '912', '70079', '6006', '1', '0', '30', '0', '1', '11', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6021004', 'Iron File', 'Normal/ToolItem', '1', '0', '0', '63440', '1672', '70080', '6006', '1', '0', '30', '0', '1', '21', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('6021005', 'Steel File', 'Normal/ToolItem', '1', '0', '0', '63440', '2584', '70462', '6006', '1', '0', '30', '0', '1', '33', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('6021006', 'Dated Polished Iron File', 'Normal/ToolItem', '1', '0', '0', '63440', '2888', '70080', '6006', '1', '0', '30', '0', '0', '37', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('6021007', 'Mythril File', 'Normal/ToolItem', '1', '0', '0', '63440', '3344', '70463', '6006', '1', '0', '30', '0', '1', '43', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6021008', 'Militia File', 'Normal/ToolItem', '1', '1', '0', '63440', '3876', '70551', '6006', '2', '0', '30', '0', '1', '50', '2138', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6030001', 'Weathered Doming Hammer', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70200', '6007', '1', '0', '31', '0', '0', '1', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6030002', 'Dated Bronze Doming Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '832', '70198', '6007', '1', '0', '31', '0', '0', '7', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6030003', 'Dated Iron Doming Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '2392', '70199', '6007', '1', '0', '31', '0', '0', '22', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('6030004', 'Dated Bronze Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1300', '70201', '6007', '1', '0', '31', '0', '0', '12', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6030005', 'Dated Iron Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3300', '70202', '6007', '1', '0', '31', '0', '0', '32', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('6030006', 'Dated Wrapped Iron Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4300', '70203', '6007', '1', '0', '31', '0', '0', '42', '2139', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6030007', 'Dated Tin Bronze Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1800', '70201', '6007', '1', '0', '31', '0', '0', '17', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6030008', 'Dated Heavy-duty Iron Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4800', '70199', '6007', '1', '0', '31', '0', '0', '47', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('6030009', 'Bronze Doming Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '936', '70198', '6007', '1', '0', '31', '0', '1', '8', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6030010', 'Bronze Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1500', '70201', '6007', '1', '0', '31', '0', '1', '14', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('6030011', 'Iron Doming Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1976', '70199', '6007', '1', '0', '31', '0', '1', '18', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('6030012', 'Iron Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '2500', '70202', '6007', '1', '0', '31', '0', '1', '24', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('6030013', 'Wrapped Iron Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3000', '70203', '6007', '1', '0', '31', '0', '1', '29', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('6030014', 'Steel Doming Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4056', '70464', '6007', '1', '0', '31', '0', '1', '38', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('6030015', 'Cobalt Raising Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4900', '70465', '6007', '1', '0', '31', '0', '1', '48', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6030016', 'Mallet of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70505', '6007', '3', '0', '31', '0', '1', '50', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6031001', 'Dated Bronze Pliers', 'Normal/ToolItem', '1', '0', '0', '63440', '880', '70204', '6008', '1', '0', '31', '0', '0', '10', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6031002', 'Dated Iron Pliers', 'Normal/ToolItem', '1', '0', '0', '63440', '2240', '70205', '6008', '1', '0', '31', '0', '0', '27', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6031003', 'Dated Steel Pliers', 'Normal/ToolItem', '1', '0', '0', '63440', '3040', '70205', '6008', '1', '0', '31', '0', '0', '37', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('6031004', 'Bronze Pliers', 'Normal/ToolItem', '1', '0', '0', '63440', '960', '70204', '6008', '1', '0', '31', '0', '1', '11', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6031005', 'Iron Pliers', 'Normal/ToolItem', '1', '0', '0', '63440', '1760', '70205', '6008', '1', '0', '31', '0', '1', '21', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('6031006', 'Steel Pliers', 'Normal/ToolItem', '1', '0', '0', '63440', '2720', '70205', '6008', '1', '0', '31', '0', '1', '33', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('6031007', 'Mythril Pliers', 'Normal/ToolItem', '1', '0', '0', '63440', '3520', '70466', '6008', '1', '0', '31', '0', '1', '43', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6031008', 'Militia Pliers', 'Normal/ToolItem', '1', '1', '0', '63440', '4080', '70552', '6008', '2', '0', '31', '0', '1', '50', '2139', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6040001', 'Weathered Chaser Hammer', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70206', '6009', '1', '0', '32', '0', '0', '1', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6040002', 'Dated Bronze Chaser Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '848', '70207', '6009', '1', '0', '32', '0', '0', '7', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6040003', 'Dated Iron Chaser Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '2438', '70208', '6009', '1', '0', '32', '0', '0', '22', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('6040004', 'Dated Bronze Ornamental Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1300', '70209', '6009', '1', '0', '32', '0', '0', '12', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('6040005', 'Dated Iron Ornamental Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '4300', '70210', '6009', '1', '0', '32', '0', '0', '42', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('6040006', 'Dated Tin Bronze Ornamental Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1800', '70209', '6009', '1', '0', '32', '0', '0', '17', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6040007', 'Dated Fortified Iron Chaser Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3498', '70208', '6009', '1', '0', '32', '0', '0', '32', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6040008', 'Dated Steel Chaser Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '5088', '70411', '6009', '1', '0', '32', '0', '0', '47', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('6040009', 'Bronze Chaser Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '954', '70207', '6009', '1', '0', '32', '0', '1', '8', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6040010', 'Bronze Ornamental Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '1500', '70209', '6009', '1', '0', '32', '0', '1', '14', '2140', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('6040011', 'Iron Chaser Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '2014', '70208', '6009', '1', '0', '32', '0', '1', '18', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('6040012', 'Iron Ornamental Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '2500', '70210', '6009', '1', '0', '32', '0', '1', '24', '2140', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('6040013', 'Steel Chaser Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3180', '70411', '6009', '1', '0', '32', '0', '1', '29', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('6040014', 'Mythril Ornamental Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '3900', '70467', '6009', '1', '0', '32', '0', '1', '38', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('6040015', 'Electrum Lapidary Hammer', 'Normal/ToolItem', '1', '0', '0', '97600', '5390', '70468', '6009', '1', '0', '32', '0', '1', '48', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6040016', 'Gavel of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70506', '6009', '3', '0', '32', '0', '1', '50', '2140', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6041001', 'Dated Mudstone Grinding Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '1078', '70211', '6010', '1', '0', '32', '0', '0', '10', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6041002', 'Dated Ragstone Grinding Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '2744', '70212', '6010', '1', '0', '32', '0', '0', '27', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6041003', 'Dated Siltstone Grinding Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '3724', '70390', '6010', '1', '0', '32', '0', '0', '37', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('6041004', 'Ragstone Grinding Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '1176', '70212', '6010', '1', '0', '32', '0', '1', '11', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6041005', 'Mudstone Grinding Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '2156', '70211', '6010', '1', '0', '32', '0', '1', '21', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('6041006', 'Siltstone Grinding Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '3332', '70390', '6010', '1', '0', '32', '0', '1', '33', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('6041007', 'Garnet Grinding Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '4312', '70469', '6010', '1', '0', '32', '0', '1', '43', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6041008', 'Militia Grinding Wheel', 'Normal/ToolItem', '1', '1', '0', '63440', '4998', '70553', '6010', '2', '0', '32', '0', '1', '50', '2140', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6050001', 'Dated Bronze Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '784', '70213', '6011', '1', '0', '33', '0', '0', '7', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6050002', 'Dated Brass Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '1274', '70214', '6011', '1', '0', '33', '0', '0', '12', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('6050003', 'Weathered Head Knife', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70216', '6011', '1', '0', '33', '0', '0', '1', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6050004', 'Dated Iron Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '3234', '70218', '6011', '1', '0', '33', '0', '0', '32', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6050005', 'Dated Iron Round Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '2300', '70217', '6011', '1', '0', '33', '0', '0', '22', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('6050006', 'Dated Darksilver Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '4214', '70215', '6011', '1', '0', '33', '0', '0', '42', '2141', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('6050007', 'Dated Heavy-duty Brass Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '1764', '70214', '6011', '1', '0', '33', '0', '0', '17', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6050008', 'Dated Steel Round Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '4800', '70217', '6011', '1', '0', '33', '0', '0', '47', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('6050009', 'Bronze Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '882', '70213', '6011', '1', '0', '33', '0', '1', '8', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6050010', 'Brass Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '1470', '70214', '6011', '1', '0', '33', '0', '1', '14', '2141', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('6050011', 'Iron Round Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '2400', '70217', '6011', '1', '0', '33', '0', '1', '23', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('6050012', 'Iron Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '2842', '70218', '6011', '1', '0', '33', '0', '1', '28', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('6050013', 'Steel Round Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '3500', '70217', '6011', '1', '0', '33', '0', '1', '34', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('6050014', 'Mythril Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '3822', '70470', '6011', '1', '0', '33', '0', '1', '38', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('6050015', 'Electrum Head Knife', 'Normal/ToolItem', '1', '0', '0', '97600', '4802', '70471', '6011', '1', '0', '33', '0', '1', '48', '2141', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6050016', 'Knife of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70507', '6011', '3', '0', '33', '0', '1', '50', '2141', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6051001', 'Dated Bronze Awl', 'Normal/ToolItem', '1', '0', '0', '63440', '990', '70219', '6012', '1', '0', '33', '0', '0', '10', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6051002', 'Dated Iron Awl', 'Normal/ToolItem', '1', '0', '0', '63440', '2520', '70220', '6012', '1', '0', '33', '0', '0', '27', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6051003', 'Dated Steel Awl', 'Normal/ToolItem', '1', '0', '0', '63440', '3420', '70412', '6012', '1', '0', '33', '0', '0', '37', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('6051004', 'Bronze Awl', 'Normal/ToolItem', '1', '0', '0', '63440', '1080', '70219', '6012', '1', '0', '33', '0', '1', '11', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6051005', 'Iron Awl', 'Normal/ToolItem', '1', '0', '0', '63440', '1800', '70220', '6012', '1', '0', '33', '0', '1', '19', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('6051006', 'Steel Awl', 'Normal/ToolItem', '1', '0', '0', '63440', '2880', '70472', '6012', '1', '0', '33', '0', '1', '31', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('6051007', 'Mythril Awl', 'Normal/ToolItem', '1', '0', '0', '63440', '3960', '70473', '6012', '1', '0', '33', '0', '1', '43', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6051008', 'Militia Awl', 'Normal/ToolItem', '1', '1', '0', '63440', '4590', '70589', '6012', '2', '0', '33', '0', '1', '50', '2141', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6060001', 'Dated Hedgemole Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '325', '61329', '6013', '1', '0', '34', '0', '0', '12', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6060002', 'Dated Thousand Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '1075', '61328', '6013', '1', '0', '34', '0', '0', '42', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('6060003', 'Dated Bronze Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '180', '60825', '6013', '1', '0', '34', '0', '0', '7', '2142', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6060004', 'Dated Silver Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '742', '60832', '6013', '1', '0', '34', '0', '0', '32', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6060005', 'Dated Iron Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '517', '60826', '6013', '1', '0', '34', '0', '0', '22', '2142', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('6060006', 'Rusty Needle', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '60825', '6013', '1', '0', '34', '0', '0', '1', '2142', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6060007', 'Dated Steel Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '855', '60827', '6013', '1', '0', '34', '0', '0', '37', '2142', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('6060008', 'Copper Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '648', '60825', '6013', '1', '0', '34', '0', '1', '8', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6060009', 'Bat Fang Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '1088', '61329', '6013', '1', '0', '34', '0', '1', '16', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('6060010', 'Brass Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '1512', '60831', '6013', '1', '0', '34', '0', '1', '20', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('6060011', 'Silver Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '2088', '60832', '6013', '1', '0', '34', '0', '1', '28', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('6060012', 'Mythril Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '2736', '60829', '6013', '1', '0', '34', '0', '1', '37', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('6060013', 'Thousand Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '2816', '61328', '6013', '1', '0', '34', '0', '1', '43', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6060014', 'Electrum Needle', 'Normal/ToolItem', '1', '0', '0', '97600', '3528', '60828', '6013', '1', '0', '34', '0', '1', '48', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6060015', 'Needle of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70508', '6013', '3', '0', '34', '0', '1', '50', '2142', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6061001', 'Dated Maple Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '1056', '70227', '6014', '1', '0', '34', '0', '0', '10', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6061002', 'Dated Walnut Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '2688', '70228', '6014', '1', '0', '34', '0', '0', '27', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6061003', 'Dated Elm Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '1728', '70395', '6014', '1', '0', '34', '0', '0', '17', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6061004', 'Dated Oak Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '4608', '70396', '6014', '1', '0', '34', '0', '0', '47', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('6061005', 'Maple Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '1152', '70227', '6014', '1', '0', '34', '0', '1', '11', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6061006', 'Elm Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '2304', '70395', '6014', '1', '0', '34', '0', '1', '23', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('6061007', 'Walnut Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '3168', '70228', '6014', '1', '0', '34', '0', '1', '32', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6061008', 'Mahogany Spinning Wheel', 'Normal/ToolItem', '1', '0', '0', '63440', '3936', '70474', '6014', '1', '0', '34', '0', '1', '40', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('6061009', 'Militia Spinning Wheel', 'Normal/ToolItem', '1', '1', '0', '63440', '4896', '70554', '6014', '2', '0', '34', '0', '1', '50', '2142', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6070001', 'Weathered Alembic', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70232', '6015', '1', '0', '35', '0', '0', '1', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6070002', 'Dated Copper Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '816', '70229', '6015', '1', '0', '35', '0', '0', '7', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6070003', 'Dated Brass Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '1326', '70230', '6015', '1', '0', '35', '0', '0', '12', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('6070004', 'Dated Iron Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '2346', '70231', '6015', '1', '0', '35', '0', '0', '22', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('6070005', 'Dated Conical Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '3366', '70233', '6015', '1', '0', '35', '0', '0', '32', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6070006', 'Dated Silver Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '4386', '70294', '6015', '1', '0', '35', '0', '0', '42', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('6070007', 'Dated Tin Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '1836', '70229', '6015', '1', '0', '35', '0', '0', '17', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6070008', 'Dated Thermal Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '4800', '70234', '6015', '1', '0', '35', '0', '0', '47', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('6070009', 'Bronze Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '918', '70229', '6015', '1', '0', '35', '0', '1', '8', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6070010', 'Brass Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '1632', '70230', '6015', '1', '0', '35', '0', '1', '15', '2143', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('6070011', 'Iron Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '2448', '70231', '6015', '1', '0', '35', '0', '1', '23', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('6070012', 'Conical Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '2958', '70233', '6015', '1', '0', '35', '0', '1', '28', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('6070013', 'Silver Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '3570', '70294', '6015', '1', '0', '35', '0', '1', '34', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('6070014', 'Mythril Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '4080', '70475', '6015', '1', '0', '35', '0', '1', '39', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('6070015', 'Thermal Alembic', 'Normal/ToolItem', '1', '0', '0', '97600', '4900', '70234', '6015', '1', '0', '35', '0', '1', '48', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6070016', 'Alembic of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70509', '6015', '3', '0', '35', '0', '1', '50', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6071001', 'Dated Bronze Mortar', 'Normal/ToolItem', '1', '0', '0', '63440', '924', '70235', '6016', '1', '0', '35', '0', '0', '10', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6071002', 'Dated Iron Mortar', 'Normal/ToolItem', '1', '0', '0', '63440', '2352', '70236', '6016', '1', '0', '35', '0', '0', '27', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6071003', 'Dated Steel Mortar', 'Normal/ToolItem', '1', '0', '0', '63440', '3192', '70236', '6016', '1', '0', '35', '0', '0', '37', '2143', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('6071004', 'Bronze Mortar', 'Normal/ToolItem', '1', '0', '0', '63440', '1008', '70235', '6016', '1', '0', '35', '0', '1', '11', '2143', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6071005', 'Iron Mortar', 'Normal/ToolItem', '1', '0', '0', '63440', '1764', '70236', '6016', '1', '0', '35', '0', '1', '20', '2143', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('6071006', 'Steel Mortar', 'Normal/ToolItem', '1', '0', '0', '63440', '2688', '70236', '6016', '1', '0', '35', '0', '1', '31', '2143', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('6071007', 'Mythril Mortar', 'Normal/ToolItem', '1', '0', '0', '63440', '3696', '70476', '6016', '1', '0', '35', '0', '1', '43', '2143', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6071008', 'Militia Mortar', 'Normal/ToolItem', '1', '1', '0', '63440', '4284', '70555', '6016', '2', '0', '35', '0', '1', '50', '2143', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6080001', 'Weathered Skillet', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70240', '6017', '1', '0', '36', '0', '0', '1', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6080002', 'Dated Bronze Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '832', '70237', '6017', '1', '0', '36', '0', '0', '7', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6080003', 'Dated Iron Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '1352', '70238', '6017', '1', '0', '36', '0', '0', '12', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('6080004', 'Dated Royal Kitchens Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '2392', '70239', '6017', '1', '0', '36', '0', '0', '22', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('6080005', 'Dated Iron Frypan', 'Normal/ToolItem', '1', '0', '0', '97600', '3300', '70241', '6017', '1', '0', '36', '0', '0', '32', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('6080006', 'Dated Bomb Frypan', 'Normal/ToolItem', '1', '0', '0', '97600', '4300', '70242', '6017', '1', '0', '36', '0', '0', '42', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('6080007', 'Dated White Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '1800', '70413', '6017', '1', '0', '36', '0', '0', '17', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('6080008', 'Dated Steel Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '3952', '70400', '6017', '1', '0', '36', '0', '0', '37', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('6080009', 'Bronze Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '936', '70237', '6017', '1', '0', '36', '0', '1', '8', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6080010', 'Iron Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '1664', '70238', '6017', '1', '0', '36', '0', '1', '15', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('6080011', 'Iron Frypan', 'Normal/ToolItem', '1', '0', '0', '97600', '2400', '70241', '6017', '1', '0', '36', '0', '1', '23', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('6080012', 'Bomb Frypan', 'Normal/ToolItem', '1', '0', '0', '97600', '2900', '70242', '6017', '1', '0', '36', '0', '1', '28', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('6080013', 'White Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '3500', '70413', '6017', '1', '0', '36', '0', '1', '34', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('6080014', 'Steel Frypan', 'Normal/ToolItem', '1', '0', '0', '97600', '4000', '70477', '6017', '1', '0', '36', '0', '1', '39', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('6080015', 'Cobalt Skillet', 'Normal/ToolItem', '1', '0', '0', '97600', '5096', '70478', '6017', '1', '0', '36', '0', '1', '48', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('6080016', 'Pan of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70510', '6017', '3', '0', '36', '0', '1', '50', '2144', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('6081001', 'Dated Bronze Culinary Knife', 'Normal/ToolItem', '1', '0', '0', '63440', '858', '70243', '6018', '1', '0', '36', '0', '0', '10', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6081002', 'Dated Iron Culinary Knife', 'Normal/ToolItem', '1', '0', '0', '63440', '2184', '70244', '6018', '1', '0', '36', '0', '0', '27', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('6081003', 'Dated Mythril Culinary Knife', 'Normal/ToolItem', '1', '0', '0', '63440', '3744', '70420', '6018', '1', '0', '36', '0', '0', '47', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('6081004', 'Bronze Culinary Knife', 'Normal/ToolItem', '1', '0', '0', '63440', '936', '70243', '6018', '1', '0', '36', '0', '1', '11', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('6081005', 'Iron Culinary Knife', 'Normal/ToolItem', '1', '0', '0', '63440', '1638', '70244', '6018', '1', '0', '36', '0', '1', '20', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('6081006', 'Steel Culinary Knife', 'Normal/ToolItem', '1', '0', '0', '63440', '2496', '70479', '6018', '1', '0', '36', '0', '1', '31', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('6081007', 'Mythril Culinary Knife', 'Normal/ToolItem', '1', '0', '0', '63440', '3432', '70420', '6018', '1', '0', '36', '0', '1', '43', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('6081008', 'Militia Culinary Knife', 'Normal/ToolItem', '1', '1', '0', '63440', '3978', '70556', '6018', '2', '0', '36', '0', '1', '50', '2144', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('7010001', 'Dated Bronze Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '800', '70081', '6103', '1', '0', '39', '0', '0', '7', '2145', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7010002', 'Dated Iron Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '2300', '70082', '6103', '1', '0', '39', '0', '0', '22', '2145', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('7010003', 'Dated Polished Iron Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '3300', '70295', '6103', '1', '0', '39', '0', '0', '32', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('7010004', 'Bronze Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '900', '70081', '6103', '1', '0', '39', '0', '1', '8', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7010005', 'Weathered Pickaxe', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70083', '6103', '1', '0', '39', '0', '0', '1', '2145', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7010006', 'Dated Plumed Bronze Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '1300', '70084', '6103', '1', '0', '39', '0', '0', '12', '2145', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('7010007', 'Plumed Bronze Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '1500', '70084', '6103', '1', '0', '39', '0', '1', '14', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('7010008', 'Iron Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '2000', '70082', '6103', '1', '0', '39', '0', '1', '19', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('7010009', 'Dated Iron Dolabra', 'Normal/ToolItem', '1', '0', '0', '97600', '4300', '70085', '6103', '1', '0', '39', '0', '0', '42', '2145', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('7010010', 'Iron Dolabra', 'Normal/ToolItem', '1', '0', '0', '97600', '2652', '70085', '6103', '1', '0', '39', '0', '1', '25', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('7010011', 'Steel Dolabra', 'Normal/ToolItem', '1', '0', '0', '97600', '3000', '70295', '6103', '1', '0', '39', '0', '1', '29', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('7010012', 'Plumed Mythril Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '3900', '70480', '6103', '1', '0', '39', '0', '1', '38', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('7010013', 'Cobalt Dolabra', 'Normal/ToolItem', '1', '0', '0', '97600', '4998', '70481', '6103', '1', '0', '39', '0', '1', '48', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('7010014', '[en]', 'Normal/ToolItem', '1', '0', '0', '97600', '200', '60000', '6103', '1', '0', '39', '0', '0', '1', '2145', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('7010015', 'Dated Oiled Bronze Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '1800', '70414', '6103', '1', '0', '39', '0', '0', '17', '2145', '0', '0', '0', '0', '0', '-1', '35', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('7010016', 'Dated Dodotail Pickaxe', 'Normal/ToolItem', '1', '0', '0', '97600', '3800', '70404', '6103', '1', '0', '39', '0', '0', '37', '2145', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('7010017', 'Pick of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70511', '6103', '3', '0', '39', '0', '1', '50', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('7010101', 'Dated Bronze Sledgehammer', 'Normal/ToolItem', '1', '0', '0', '63440', '880', '70246', '6104', '1', '0', '39', '0', '0', '10', '2145', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7010102', 'Dated Iron Sledgehammer', 'Normal/ToolItem', '1', '0', '0', '63440', '2240', '70247', '6104', '1', '0', '39', '0', '0', '27', '2145', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('7010103', 'Bronze Sledgehammer', 'Normal/ToolItem', '1', '0', '0', '63440', '960', '70246', '6104', '1', '0', '39', '0', '1', '11', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7010104', 'Iron Sledgehammer', 'Normal/ToolItem', '1', '0', '0', '63440', '1840', '70247', '6104', '1', '0', '39', '0', '1', '22', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('7010105', 'Steel Sledgehammer', 'Normal/ToolItem', '1', '0', '0', '63440', '2720', '70482', '6104', '1', '0', '39', '0', '1', '33', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('7010106', 'Dated Mythril Sledgehammer', 'Normal/ToolItem', '1', '0', '0', '63440', '3840', '70483', '6104', '1', '0', '39', '0', '0', '47', '2145', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('7010107', 'Mythril Sledgehammer', 'Normal/ToolItem', '1', '0', '0', '63440', '3520', '70483', '6104', '1', '0', '39', '0', '1', '43', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('7010108', 'Weathered Sledgehammer', 'Normal/ToolItem', '1', '1', '1', '63440', '0', '70246', '6104', '1', '0', '39', '0', '0', '1', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7010109', 'Militia Sledgehammer', 'Normal/ToolItem', '1', '1', '0', '63440', '4080', '70559', '6104', '2', '0', '39', '0', '1', '50', '2145', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('7020001', 'Dated Bronze Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '848', '70248', '6105', '1', '0', '40', '0', '0', '7', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7020002', 'Weathered Hatchet', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70250', '6105', '1', '0', '40', '0', '0', '1', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7020003', 'Dated Brass Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '2438', '70251', '6105', '1', '0', '40', '0', '0', '22', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('7020004', 'Dated Iron Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '3498', '70249', '6105', '1', '0', '40', '0', '0', '32', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('7020005', 'Dated Plumed Bronze Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '1300', '70252', '6105', '1', '0', '40', '0', '0', '12', '2146', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('7020006', 'Dated Plumed Iron Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '4300', '70253', '6105', '1', '0', '40', '0', '0', '42', '2146', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('7020007', 'Dated Oiled Bronze Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '1800', '70416', '6105', '1', '0', '40', '0', '0', '17', '2146', '0', '0', '0', '0', '0', '-1', '35', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('7020008', 'Dated Steel Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '4028', '70249', '6105', '1', '0', '40', '0', '0', '37', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('7020009', 'Bronze Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '954', '70248', '6105', '1', '0', '40', '0', '1', '8', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7020010', 'Iron Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '1696', '70249', '6105', '1', '0', '40', '0', '1', '15', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('7020011', 'Brass Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '2544', '70251', '6105', '1', '0', '40', '0', '1', '23', '2146', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('7020012', 'Plumed Iron Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '2900', '70252', '6105', '1', '0', '40', '0', '1', '28', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('7020013', 'Steel Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '3710', '70249', '6105', '1', '0', '40', '0', '1', '34', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('7020014', 'Mythril Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '4240', '70484', '6105', '1', '0', '40', '0', '1', '39', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('7020015', 'Horned Hatchet', 'Normal/ToolItem', '1', '0', '0', '97600', '5096', '70485', '6105', '1', '0', '40', '0', '1', '48', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('7020016', 'Axe of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70512', '6105', '3', '0', '40', '0', '1', '50', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('7020101', 'Dated Bronze Scythe', 'Normal/ToolItem', '1', '0', '0', '63440', '924', '70254', '6106', '1', '0', '40', '0', '0', '10', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7020102', 'Dated Iron Scythe', 'Normal/ToolItem', '1', '0', '0', '63440', '2352', '70255', '6106', '1', '0', '40', '0', '0', '27', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('7020103', 'Dated Steel Scythe', 'Normal/ToolItem', '1', '0', '0', '63440', '4032', '70255', '6106', '1', '0', '40', '0', '0', '47', '2146', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('7020104', 'Bronze Scythe', 'Normal/ToolItem', '1', '0', '0', '63440', '1008', '70254', '6106', '1', '0', '40', '0', '1', '11', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7020105', 'Iron Scythe', 'Normal/ToolItem', '1', '0', '0', '63440', '1764', '70255', '6106', '1', '0', '40', '0', '1', '20', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('7020106', 'Steel Scythe', 'Normal/ToolItem', '1', '0', '0', '63440', '2688', '70255', '6106', '1', '0', '40', '0', '1', '31', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('7020107', 'Mythril Scythe', 'Normal/ToolItem', '1', '0', '0', '63440', '3696', '70486', '6106', '1', '0', '40', '0', '1', '43', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('7020108', 'Weathered Scythe', 'Normal/ToolItem', '1', '1', '1', '63440', '0', '70254', '6106', '1', '0', '40', '0', '0', '1', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7020109', 'Militia Scythe', 'Normal/ToolItem', '1', '1', '0', '63440', '4284', '70558', '6106', '2', '0', '40', '0', '1', '50', '2146', '0', '0', '0', '0', '0', '-1', '30', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('7030001', 'Dated Ash Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '880', '70257', '6107', '1', '0', '41', '0', '0', '7', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7030002', 'Weathered Fishing Rod', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70258', '6107', '1', '0', '41', '0', '0', '1', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7030003', 'Dated Willow Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '1430', '70259', '6107', '1', '0', '41', '0', '0', '12', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('7030004', 'Dated Bamboo Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '2530', '70256', '6107', '1', '0', '41', '0', '0', '22', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('7030005', 'Dated Rattan Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '3630', '70296', '6107', '1', '0', '41', '0', '0', '32', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('7030006', 'Dated Yew Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '4730', '70297', '6107', '1', '0', '41', '0', '0', '42', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('7030007', 'Dated Pine Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '1980', '70418', '6107', '1', '0', '41', '0', '0', '17', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('7030008', 'Dated Horn Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '4800', '70419', '6107', '1', '0', '41', '0', '0', '47', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('7030009', 'Maple Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '990', '70257', '6107', '1', '0', '41', '0', '1', '8', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7030010', 'Elm Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '1760', '70256', '6107', '1', '0', '41', '0', '1', '15', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('7030011', 'Yew Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '2860', '70297', '6107', '1', '0', '41', '0', '1', '25', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('7030012', 'Walnut Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '3630', '70296', '6107', '1', '0', '41', '0', '1', '32', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('7030013', 'Horn Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '3800', '70419', '6107', '1', '0', '41', '0', '1', '37', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('7030014', 'Rosewood Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '4840', '70487', '6107', '1', '0', '41', '0', '1', '43', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('7030015', 'Gilded Rosewood Fishing Rod', 'Normal/ToolItem', '1', '0', '0', '97600', '5488', '70407', '6107', '1', '0', '41', '0', '1', '48', '2147', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('7030016', 'Rod of the Luminary', 'Normal/ToolItem', '1', '1', '1', '97600', '0', '70513', '6107', '3', '0', '41', '0', '1', '50', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('7030101', 'Dated Bronze Gig', 'Normal/ToolItem', '1', '0', '0', '63440', '858', '70262', '6108', '1', '0', '41', '0', '0', '10', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7030102', 'Dated Iron Gig', 'Normal/ToolItem', '1', '0', '0', '63440', '2184', '70263', '6108', '1', '0', '41', '0', '0', '27', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('7030103', 'Dated Steel Gig', 'Normal/ToolItem', '1', '0', '0', '63440', '2964', '70263', '6108', '1', '0', '41', '0', '0', '37', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('7030104', 'Bronze Gig', 'Normal/ToolItem', '1', '0', '0', '63440', '936', '70262', '6108', '1', '0', '41', '0', '1', '11', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7030105', 'Iron Gig', 'Normal/ToolItem', '1', '0', '0', '63440', '1638', '70263', '6108', '1', '0', '41', '0', '1', '20', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('7030106', 'Steel Gig', 'Normal/ToolItem', '1', '0', '0', '63440', '2340', '70263', '6108', '1', '0', '41', '0', '1', '29', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('7030107', 'Mythril Gig', 'Normal/ToolItem', '1', '0', '0', '63440', '3198', '70488', '6108', '1', '0', '41', '0', '1', '40', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('7030108', 'Weathered Gig', 'Normal/ToolItem', '1', '1', '1', '63440', '0', '70262', '6108', '1', '0', '41', '0', '0', '1', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('7030109', 'Militia Gig', 'Normal/ToolItem', '1', '1', '0', '63440', '3978', '70557', '6108', '2', '0', '41', '0', '1', '50', '2147', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8010001', 'Dated Bronze Celata', 'Normal/StandardItem', '1', '0', '0', '20850', '8190', '80370', '7004', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8010002', 'Dated Iron Celata', 'Normal/StandardItem', '1', '0', '0', '20850', '10290', '80371', '7004', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010003', 'Dated Iron Celata (Green)', 'Normal/StandardItem', '1', '0', '0', '20850', '10290', '80374', '7004', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010004', 'Dated Iron Celata (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '10290', '80375', '7004', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010005', 'Steel Celata', 'Normal/StandardItem', '1', '0', '0', '20850', '8400', '80372', '7004', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8010006', 'Steel Celata (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '8400', '80376', '7004', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8010007', 'Cobalt Celata (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '10500', '82412', '7004', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8010008', 'Sentinel\'s Celata', 'Normal/StandardItem', '1', '0', '0', '20850', '10710', '80380', '7004', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8010009', 'Cobalt Celata', 'Normal/StandardItem', '1', '0', '0', '20850', '10500', '82159', '7004', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8010010', 'Cobalt Celata (Red)', 'Normal/StandardItem', '1', '0', '0', '20850', '10500', '82160', '7004', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8010011', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '420', '60000', '7004', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010012', 'Darksteel Celata', 'Normal/StandardItem', '1', '0', '0', '20850', '420', '60000', '7004', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010013', 'Darksteel Celata (White)', 'Normal/StandardItem', '1', '0', '0', '20850', '420', '60000', '7004', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010014', 'Darksteel Celata (Gold)', 'Normal/StandardItem', '1', '0', '0', '20850', '420', '60000', '7004', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010015', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '420', '60000', '7004', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010016', 'Dented Celata', 'Normal/StandardItem', '1', '1', '0', '20850', '4410', '81429', '7004', '1', '0', '0', '0', '0', '20', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8010017', 'Vintage Celata', 'Normal/StandardItem', '1', '1', '0', '20850', '6510', '80370', '7004', '1', '0', '0', '0', '0', '30', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010101', 'Dated Hempen Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '803', '80409', '7005', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010102', 'Dated Hempen Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '803', '80410', '7005', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010103', 'Dated Hempen Hat (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '803', '80411', '7005', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010104', 'Dated Hempen Hat (Beige)', 'Normal/StandardItem', '1', '0', '0', '12510', '803', '80412', '7005', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010105', 'Dated Canvas Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '3099', '80413', '7005', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8010106', 'Dated Canvas Hat (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12510', '3099', '80414', '7005', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8010107', 'Dated Canvas Hat (Pink)', 'Normal/StandardItem', '1', '0', '0', '12510', '3099', '80415', '7005', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8010108', 'Dated Canvas Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '3099', '80416', '7005', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8010109', 'Dated Canvas Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '3099', '80417', '7005', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8010110', 'Dated Velveteen Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '80418', '7005', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010111', 'Dated Velveteen Hat (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '80419', '7005', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010112', 'Dated Velveteen Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '80420', '7005', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010113', 'Dated Velveteen Hat (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '80421', '7005', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010114', 'Dated Velveteen Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '80422', '7005', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010115', 'Woolen Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80423', '7005', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010116', 'Woolen Hat (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80425', '7005', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010117', 'Woolen Hat of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80425', '7005', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010118', 'Woolen Hat (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80427', '7005', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010119', 'Woolen Hat of the Mind (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80427', '7005', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010120', 'Felt Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80428', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010121', 'Felt Hat of the Mind (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80429', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010122', 'Felt Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80429', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010123', 'Felt Hat of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80431', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010124', 'Felt Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80431', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010125', 'Linen Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82174', '7005', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010126', 'Linen Hat of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82175', '7005', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010127', 'Linen Hat of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82176', '7005', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010128', 'Linen Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82175', '7005', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010129', 'Sorcerer\'s Hat', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80432', '7005', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8010130', 'Divining Hat', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '81490', '7005', '2', '0', '0', '0', '0', '30', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8010131', 'Linen Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82176', '7005', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010132', 'Linen Hat of the Mind', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82174', '7005', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010133', 'Linen Hat of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82176', '7005', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010134', 'Linen Hat of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82174', '7005', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010135', 'Linen Hat of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '4247', '82175', '7005', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010136', 'Woolen Hat of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80423', '7005', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010137', 'Woolen Hat of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80427', '7005', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010138', 'Woolen Hat of the Mind', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80423', '7005', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010139', 'Woolen Hat of the Mind (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '4821', '80425', '7005', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8010140', 'Felt Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80430', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010141', 'Felt Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80432', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010142', 'Felt Hat of the Mind', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80428', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010143', 'Felt Hat of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80431', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010144', 'Felt Hat of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80430', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010145', 'Felt Hat of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80432', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010146', 'Felt Hat of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80428', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010147', 'Felt Hat of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80429', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010148', 'Felt Hat of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80430', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010149', 'Felt Hat of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '5395', '80432', '7005', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010201', 'Dated Bronze Goggles', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80495', '7009', '1', '0', '0', '0', '0', '15', '1117', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8010202', 'Dated Bronze Goggles (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80483', '7009', '1', '0', '0', '0', '0', '15', '1117', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8010203', 'Dated Bronze Goggles (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80484', '7009', '1', '0', '0', '0', '0', '15', '1117', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8010204', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010205', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010206', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010207', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010208', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010209', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010210', 'Steel Goggles', 'Normal/StandardItem', '1', '0', '0', '13900', '3225', '82204', '7009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010211', 'Steel Goggles (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '3225', '82204', '7009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010212', 'Steel Goggles (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '3225', '82204', '7009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010213', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010214', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010215', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010216', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010217', 'Dated Brass Preserves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2620', '80487', '7009', '1', '0', '0', '0', '0', '25', '1117', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8010218', 'Dated Brass Preserves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2620', '80488', '7009', '1', '0', '0', '0', '0', '25', '1117', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8010219', 'Dated Iron Preserves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3628', '80491', '7009', '1', '0', '0', '0', '0', '35', '1117', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8010220', 'Dated Iron Preserves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '3628', '80492', '7009', '1', '0', '0', '0', '0', '35', '1117', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8010221', 'Cobalt Preserves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '4536', '82205', '7009', '1', '0', '0', '0', '0', '44', '2003', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8010222', 'Cobalt Preserves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '4536', '82205', '7009', '1', '0', '0', '0', '0', '44', '2003', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8010223', 'Darksteel Eyeguards (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010224', 'Darksteel Eyeguards (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '201', '60000', '7009', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010225', 'Garlond Goggles', 'Normal/SpecialEquipItem', '1', '1', '1', '13900', '0', '81352', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010301', 'Coeurl\'s Eye', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82155', '7009', '2', '0', '0', '0', '1', '20', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8010302', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010303', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010304', 'Leather Eyepatch', 'Normal/StandardItem', '1', '0', '0', '12510', '1276', '80501', '7009', '1', '0', '0', '0', '0', '23', '1006', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8010305', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010306', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010307', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010308', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010309', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010310', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010311', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010312', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010313', 'Skull Eyepatch (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1808', '80510', '7009', '1', '0', '0', '0', '0', '33', '1006', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8010314', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010315', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010316', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010317', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010318', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010319', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010320', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010321', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010322', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010323', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010324', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010325', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010326', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010327', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010328', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010329', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010330', '[en]', 'Normal/StandardItem', '1', '0', '0', '12510', '106', '60000', '7009', '1', '0', '0', '0', '0', '1', '1006', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010401', 'Dated Copper Circlet (Sunstone)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80433', '7007', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010402', 'Dated Copper Circlet (Lapis Lazuli)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80434', '7007', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010403', 'Dated Copper Circlet (Sphene)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80435', '7007', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010404', 'Dated Copper Circlet (Malachite)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80436', '7007', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010405', 'Dated Copper Circlet (Fluorite)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80437', '7007', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010406', 'Dated Copper Circlet (Danburite)', 'Normal/StandardItem', '1', '0', '0', '13900', '1612', '80438', '7007', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010407', 'Dated Brass Circlet (Sunstone)', 'Normal/StandardItem', '1', '0', '0', '13900', '2852', '80439', '7007', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8010408', 'Dated Brass Circlet (Lapis Lazuli)', 'Normal/StandardItem', '1', '0', '0', '13900', '2852', '80440', '7007', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8010409', 'Dated Brass Circlet (Sphene)', 'Normal/StandardItem', '1', '0', '0', '13900', '2852', '80441', '7007', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8010410', 'Dated Brass Circlet (Malachite)', 'Normal/StandardItem', '1', '0', '0', '13900', '2852', '80442', '7007', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8010411', 'Dated Brass Circlet (Fluorite)', 'Normal/StandardItem', '1', '0', '0', '13900', '2852', '80443', '7007', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8010412', 'Dated Brass Circlet (Danburite)', 'Normal/StandardItem', '1', '0', '0', '13900', '2852', '80444', '7007', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8010413', 'Dated Silver Circlet (Garnet)', 'Normal/StandardItem', '1', '0', '0', '13900', '4092', '80445', '7007', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010414', 'Dated Silver Circlet (Aquamarine)', 'Normal/StandardItem', '1', '0', '0', '13900', '4092', '80446', '7007', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010415', 'Dated Silver Circlet (Heliodor)', 'Normal/StandardItem', '1', '0', '0', '13900', '4092', '80447', '7007', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010416', 'Dated Silver Circlet (Peridot)', 'Normal/StandardItem', '1', '0', '0', '13900', '4092', '80448', '7007', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010417', 'Dated Silver Circlet (Amethyst)', 'Normal/StandardItem', '1', '0', '0', '13900', '4092', '80449', '7007', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010418', 'Dated Silver Circlet (Goshenite)', 'Normal/StandardItem', '1', '0', '0', '13900', '4092', '80450', '7007', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010419', 'Brass Circlet (Sunstone)', 'Normal/StandardItem', '1', '0', '0', '13900', '2356', '80439', '7007', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8010420', 'Brass Circlet (Lapis Lazuli)', 'Normal/StandardItem', '1', '0', '0', '13900', '2356', '80440', '7007', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8010421', 'Brass Circlet (Sphene)', 'Normal/StandardItem', '1', '0', '0', '13900', '2356', '80441', '7007', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8010422', 'Brass Circlet (Malachite)', 'Normal/StandardItem', '1', '0', '0', '13900', '2356', '80442', '7007', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8010423', 'Brass Circlet (Fluorite)', 'Normal/StandardItem', '1', '0', '0', '13900', '2356', '80443', '7007', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8010424', 'Brass Circlet (Danburite)', 'Normal/StandardItem', '1', '0', '0', '13900', '2356', '80444', '7007', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8010425', 'Dated Darksilver Circlet (Garnet)', 'Normal/StandardItem', '1', '0', '0', '13900', '5332', '80580', '7007', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010426', 'Dated Darksilver Circlet (Aquamarine)', 'Normal/StandardItem', '1', '0', '0', '13900', '5332', '80581', '7007', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010427', 'Dated Darksilver Circlet (Heliodor)', 'Normal/StandardItem', '1', '0', '0', '13900', '5332', '80582', '7007', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010428', 'Dated Darksilver Circlet (Peridot)', 'Normal/StandardItem', '1', '0', '0', '13900', '5332', '80583', '7007', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010429', 'Dated Darksilver Circlet (Amethyst)', 'Normal/StandardItem', '1', '0', '0', '13900', '5332', '80584', '7007', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010430', 'Dated Darksilver Circlet (Goshenite)', 'Normal/StandardItem', '1', '0', '0', '13900', '5332', '80585', '7007', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010431', 'Dated Electrum Circlet (Rubellite)', 'Normal/StandardItem', '1', '0', '0', '13900', '5952', '81555', '7007', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010432', 'Dated Electrum Circlet (Turquoise)', 'Normal/StandardItem', '1', '0', '0', '13900', '5952', '81556', '7007', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010433', 'Dated Electrum Circlet (Amber)', 'Normal/StandardItem', '1', '0', '0', '13900', '5952', '81557', '7007', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010434', 'Dated Electrum Circlet (Tourmaline)', 'Normal/StandardItem', '1', '0', '0', '13900', '5952', '81558', '7007', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010435', 'Dated Electrum Circlet (Spinel)', 'Normal/StandardItem', '1', '0', '0', '13900', '5952', '81559', '7007', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010436', 'Dated Electrum Circlet (Zircon)', 'Normal/StandardItem', '1', '0', '0', '13900', '5952', '81560', '7007', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010437', 'Silver Circlet (Garnet)', 'Normal/StandardItem', '1', '0', '0', '13900', '3596', '80445', '7007', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8010438', 'Silver Circlet (Aquamarine)', 'Normal/StandardItem', '1', '0', '0', '13900', '3596', '80446', '7007', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8010439', 'Silver Circlet (Heliodor)', 'Normal/StandardItem', '1', '0', '0', '13900', '3596', '80447', '7007', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8010440', 'Silver Circlet (Peridot)', 'Normal/StandardItem', '1', '0', '0', '13900', '3596', '80448', '7007', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8010441', 'Silver Circlet (Amethyst)', 'Normal/StandardItem', '1', '0', '0', '13900', '3596', '80449', '7007', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8010442', 'Silver Circlet (Goshenite)', 'Normal/StandardItem', '1', '0', '0', '13900', '3596', '80450', '7007', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8010443', 'Mythril Circlet (Rubellite)', 'Normal/StandardItem', '1', '0', '0', '13900', '4836', '82189', '7007', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8010444', 'Mythril Circlet (Turquoise)', 'Normal/StandardItem', '1', '0', '0', '13900', '4836', '82189', '7007', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8010445', 'Mythril Circlet (Amber)', 'Normal/StandardItem', '1', '0', '0', '13900', '4836', '82189', '7007', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8010446', 'Mythril Circlet (Tourmaline)', 'Normal/StandardItem', '1', '0', '0', '13900', '4836', '82189', '7007', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8010447', 'Mythril Circlet (Spinel)', 'Normal/StandardItem', '1', '0', '0', '13900', '4836', '82189', '7007', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8010448', 'Mythril Circlet (Zircon)', 'Normal/StandardItem', '1', '0', '0', '13900', '4836', '82189', '7007', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8010449', 'Electrum Circlet (Rubellite)', 'Normal/StandardItem', '1', '0', '0', '13900', '6076', '81555', '7007', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010450', 'Electrum Circlet (Turquoise)', 'Normal/StandardItem', '1', '0', '0', '13900', '6076', '81556', '7007', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010451', 'Electrum Circlet (Amber)', 'Normal/StandardItem', '1', '0', '0', '13900', '6076', '81557', '7007', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010452', 'Electrum Circlet (Tourmaline)', 'Normal/StandardItem', '1', '0', '0', '13900', '6076', '81558', '7007', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010453', 'Electrum Circlet (Spinel)', 'Normal/StandardItem', '1', '0', '0', '13900', '6076', '81559', '7007', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010454', 'Electrum Circlet (Zircon)', 'Normal/StandardItem', '1', '0', '0', '13900', '6076', '81560', '7007', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010455', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010456', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010457', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010458', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010459', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010460', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010461', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010462', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010463', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010464', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010465', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010466', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010467', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010468', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010469', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010470', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010471', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010472', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010473', 'Leather Vizard', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010474', 'Nighthawk Visor', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80458', '7008', '2', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8010475', 'Leather Vizard (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010476', 'Leather Vizard (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010477', 'Leather Vizard (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010478', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010479', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010480', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010481', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010482', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '224', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010501', 'Dated Hempen Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80381', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010502', 'Dated Hempen Coif (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80382', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010503', 'Dated Hempen Coif (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80383', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010504', 'Dated Hempen Coif (Beige)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80384', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010505', 'Dated Cotton Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '1092', '80385', '7006', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010506', 'Dated Cotton Coif (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '1092', '80386', '7006', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010507', 'Dated Cotton Coif (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '1092', '80387', '7006', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010508', 'Dated Cotton Coif (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1092', '80388', '7006', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010509', 'Dated Cotton Coif (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '1092', '80389', '7006', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010510', 'Dated Canvas Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80390', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010511', 'Dated Canvas Coif (Auburn)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80391', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010512', 'Dated Canvas Coif (Pink)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80392', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010513', 'Dated Canvas Coif (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80393', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010514', 'Dated Canvas Coif (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80394', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010515', 'Dated Velveteen Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '2912', '80512', '7006', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010516', 'Dated Velveteen Coif (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '2912', '80513', '7006', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010517', 'Dated Velveteen Coif (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '2912', '80514', '7006', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010518', 'Dated Velveteen Coif (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '2912', '80515', '7006', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010519', 'Dated Velveteen Coif (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '2912', '80516', '7006', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010520', 'Hempen Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80381', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010521', 'Hempen Coif of Casting (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80382', '7006', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010522', 'Hempen Coif of Toiling (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80383', '7006', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010523', 'Cotton Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80385', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010524', 'Cotton Coif of Casting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80387', '7006', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010525', 'Cotton Coif of Toiling (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80388', '7006', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010526', 'Woolen Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82161', '7006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010527', 'Woolen Coif of Casting (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82162', '7006', '1', '0', '0', '0', '1', '40', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010528', 'Woolen Coif of Toiling (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82067', '7006', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010529', 'Felt Coif', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82163', '7006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010530', 'Felt Coif of Toiling (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82162', '7006', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010531', 'Felt Coif of Casting (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82164', '7006', '1', '0', '0', '0', '1', '45', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010532', 'Hempen Coif (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80382', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010533', 'Hempen Coif (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80383', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010534', 'Hempen Coif of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80381', '7006', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010535', 'Hempen Coif of Casting (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80383', '7006', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010536', 'Hempen Coif of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80381', '7006', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010537', 'Hempen Coif of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '182', '80382', '7006', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010538', 'Cotton Coif (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80387', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010539', 'Cotton Coif (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80388', '7006', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010540', 'Cotton Coif of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80385', '7006', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010541', 'Cotton Coif of Casting (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80388', '7006', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010542', 'Cotton Coif of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80385', '7006', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010543', 'Cotton Coif of Toiling (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '2002', '80387', '7006', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010544', 'Woolen Coif (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82162', '7006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010545', 'Weathered Coif (Grey)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '80517', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010546', 'Vintage Coif', 'Normal/StandardItem', '1', '1', '0', '11120', '4459', '82067', '7006', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010547', 'Torn Coif', 'Normal/StandardItem', '1', '1', '0', '7500', '1248', '81439', '7006', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8010548', 'Claret Coif', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82068', '7006', '3', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8010549', 'Woolen Coif (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82067', '7006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010550', 'Woolen Coif of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82161', '7006', '1', '0', '0', '0', '1', '40', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010551', 'Woolen Coif of Casting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82067', '7006', '1', '0', '0', '0', '1', '40', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010552', 'Woolen Coif of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82161', '7006', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010553', 'Woolen Coif of Toiling (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '3731', '82162', '7006', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010554', 'Felt Coif (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82162', '7006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010555', 'Felt Coif (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82164', '7006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010556', 'Felt Coif (Purple)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82414', '7006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010557', 'Felt Coif (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82413', '7006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010558', 'Felt Coif of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82163', '7006', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010559', 'Felt Coif of Toiling (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82164', '7006', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010560', 'Felt Coif of Toiling (Purple)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82414', '7006', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010561', 'Felt Coif of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82413', '7006', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010562', 'Felt Coif of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82163', '7006', '1', '0', '0', '0', '1', '45', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010563', 'Felt Coif of Casting (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82162', '7006', '1', '0', '0', '0', '1', '45', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010564', 'Felt Coif of Casting (Purple)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82414', '7006', '1', '0', '0', '0', '1', '45', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010565', 'Felt Coif of Casting (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '4186', '82413', '7006', '1', '0', '0', '0', '1', '45', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8010566', 'Serpent Private\'s Coif', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80388', '7006', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010567', 'Serpent Sergeant\'s Coif', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80393', '7006', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8010601', 'Dated Hempen Beret', 'Normal/StandardItem', '1', '0', '0', '12510', '525', '80395', '7005', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010602', 'Dated Hempen Beret (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '525', '80396', '7005', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010603', 'Dated Hempen Beret (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '525', '80397', '7005', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010604', 'Dated Hempen Beret (Beige)', 'Normal/StandardItem', '1', '0', '0', '12510', '525', '80398', '7005', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010605', 'Dated Cotton Beret', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80399', '7005', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8010606', 'Dated Cotton Beret (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80400', '7005', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8010607', 'Dated Cotton Beret (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80401', '7005', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8010608', 'Dated Cotton Beret (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80402', '7005', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8010609', 'Dated Cotton Beret (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80403', '7005', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8010610', 'Dated Canvas Beret', 'Normal/StandardItem', '1', '0', '0', '12510', '2625', '80404', '7005', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8010611', 'Dated Canvas Beret (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12510', '2625', '80405', '7005', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8010612', 'Dated Canvas Beret (Pink)', 'Normal/StandardItem', '1', '0', '0', '12510', '2625', '80406', '7005', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8010613', 'Dated Canvas Beret (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2625', '80407', '7005', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8010614', 'Dated Canvas Beret (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2625', '80408', '7005', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8010615', 'Dated Velveteen Beret', 'Normal/StandardItem', '1', '0', '0', '12510', '3675', '80518', '7005', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8010616', 'Dated Velveteen Beret (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '3675', '80519', '7005', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8010617', 'Dated Velveteen Beret (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '3675', '80520', '7005', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8010618', 'Dated Velveteen Beret (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '3675', '80521', '7005', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8010619', 'Dated Velveteen Beret (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '3675', '80522', '7005', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8010620', 'Woolen Beret', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82165', '7005', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010621', 'Woolen Beret of Dexterity (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82166', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010622', 'Woolen Beret of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82167', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010623', 'Woolen Beret of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82168', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010624', 'Felt Beret', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82166', '7005', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010625', 'Felt Beret of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82169', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010626', 'Felt Beret of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82170', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010627', 'Felt Beret of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82171', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010628', 'Woolen Beret (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82166', '7005', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010629', 'Woolen Beret (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82167', '7005', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010630', 'Woolen Beret (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82168', '7005', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010631', 'Woolen Beret of Dexterity', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82165', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010632', 'Woolen Beret of Dexterity (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82167', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010633', 'Woolen Beret of Dexterity (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82168', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010634', 'Woolen Beret of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82165', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010635', 'Woolen Beret of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82166', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010636', 'Woolen Beret of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82168', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010637', 'Woolen Beret of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82165', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010638', 'Woolen Beret of Vitality (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82166', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010639', 'Woolen Beret of Vitality (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '4620', '82167', '7005', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8010640', 'Felt Beret (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82169', '7005', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010641', 'Felt Beret (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82170', '7005', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010642', 'Felt Beret (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82171', '7005', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010643', 'Felt Beret (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82415', '7005', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010644', 'Felt Beret of Dexterity', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82166', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010645', 'Felt Beret of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82170', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010646', 'Weathered Beret (Beige)', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '81450', '7005', '1', '0', '0', '0', '0', '1', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010647', 'Felt Beret of Dexterity (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82171', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010648', 'Felt Beret of Dexterity (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82415', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010649', 'Felt Beret of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82166', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010650', 'Felt Beret of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82169', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010651', 'Felt Beret of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82171', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010652', 'Felt Beret of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82415', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010653', 'Felt Beret of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82166', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010654', 'Felt Beret of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82169', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010655', 'Felt Beret of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82170', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010656', 'Felt Beret of Vitality (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5145', '82415', '7005', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8010701', 'Elm Mask', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010702', 'Maple Mask', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010703', 'Ash Mask', 'Normal/StandardItem', '1', '0', '0', '11120', '595', '80464', '7008', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8010704', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010705', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010706', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010707', 'Ash Mask (Lapis Lazuli)', 'Normal/StandardItem', '1', '0', '0', '11120', '735', '81646', '7008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8010708', 'Mask of the Mortal Hex', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82152', '7008', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8010709', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010710', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010711', 'Dated Willow Halfmask', 'Normal/StandardItem', '1', '0', '0', '11120', '630', '80465', '7008', '1', '0', '0', '0', '0', '17', '1116', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8010712', 'Dated Oak Halfmask', 'Normal/StandardItem', '1', '0', '0', '11120', '980', '80466', '7008', '1', '0', '0', '0', '0', '27', '1116', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010713', 'Dated Yew Halfmask', 'Normal/StandardItem', '1', '0', '0', '11120', '1330', '80467', '7008', '1', '0', '0', '0', '0', '37', '1116', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010714', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '70', '60000', '7008', '1', '0', '0', '0', '0', '1', '1116', '0', '0', '0', '0', '0', '-1', '29', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010715', 'Dated Lauan Halfmask', 'Normal/StandardItem', '1', '0', '0', '11120', '280', '80624', '7008', '1', '0', '0', '0', '0', '7', '1116', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010716', 'Dated Walnut Mask', 'Normal/StandardItem', '1', '0', '0', '11120', '1505', '82035', '7008', '1', '0', '0', '0', '0', '42', '1116', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8010801', 'Dated Copper Spectacles', 'Normal/StandardItem', '1', '0', '0', '11120', '1176', '80468', '7009', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010802', 'Dated Brass Spectacles', 'Normal/StandardItem', '1', '0', '0', '11120', '2156', '80471', '7009', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010803', 'Dated Brass Spectacles (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '2156', '80472', '7009', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8010804', 'Iron Spectacles', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010805', 'Iron Spectacles (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010806', 'Dated Silver Spectacles', 'Normal/StandardItem', '1', '0', '0', '11120', '3136', '80475', '7009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010807', 'Dated Silver Spectacles (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '3136', '80476', '7009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8010808', 'Silver Spectacles', 'Normal/StandardItem', '1', '0', '0', '11120', '2548', '80475', '7009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8010809', 'Silver Spectacles (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '2548', '80476', '7009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8010810', 'Mythril Spectacles', 'Normal/StandardItem', '1', '0', '0', '11120', '3528', '82202', '7009', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8010811', 'Mythril Spectacles (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '3528', '82202', '7009', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8010812', 'Pince-nez', 'Normal/StandardItem', '1', '1', '0', '11120', '4606', '80477', '7009', '2', '0', '0', '0', '1', '46', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8010813', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010814', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010815', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010816', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010817', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010818', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010819', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010820', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010821', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010822', 'Torturer\'s Monocle', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81656', '7009', '2', '0', '0', '0', '1', '30', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8010823', 'Electrum Monocle', 'Normal/StandardItem', '1', '0', '0', '11120', '4704', '81656', '7009', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010824', 'Electrum Monocle (White)', 'Normal/StandardItem', '1', '0', '0', '11120', '4704', '81658', '7009', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8010825', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010826', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010827', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010828', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010829', 'Dated Brass Magnifiers (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '1666', '80625', '7009', '1', '0', '0', '0', '0', '16', '1008', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8010830', 'Dated Iron Magnifiers (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '2646', '80626', '7009', '1', '0', '0', '0', '0', '26', '1008', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8010831', 'Dated Silver Magnifiers (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '3626', '80627', '7009', '1', '0', '0', '0', '0', '36', '1008', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8010832', 'Silver Magnifiers', 'Normal/StandardItem', '1', '0', '0', '11120', '2744', '80627', '7009', '1', '0', '0', '0', '0', '27', '2006', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8010833', 'Mythril Magnifiers', 'Normal/StandardItem', '1', '0', '0', '11120', '3724', '82203', '7009', '1', '0', '0', '0', '0', '37', '2006', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8010834', 'Dated Weathered Spectacles (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '1176', '80469', '7009', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010835', 'Dated Weathered Spectacles (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1176', '80470', '7009', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010836', 'Weathered Spectacles (White)', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010837', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '196', '60000', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8010838', 'Weathered Spectacles', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81657', '7009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010901', 'Dated Hempen Sugarloaf Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '1355', '80615', '7005', '1', '0', '0', '0', '0', '10', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010902', 'Dated Hempen Sugarloaf Hat (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '1355', '80616', '7005', '1', '0', '0', '0', '0', '10', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010903', 'Dated Hempen Sugarloaf Hat (Beige)', 'Normal/StandardItem', '1', '0', '0', '12510', '1355', '80617', '7005', '1', '0', '0', '0', '0', '10', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8010904', 'Dated Cotton Sugarloaf Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2587', '80618', '7005', '1', '0', '0', '0', '0', '20', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8010905', 'Dated Cotton Sugarloaf Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2587', '80619', '7005', '1', '0', '0', '0', '0', '20', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8010906', 'Dated Cotton Sugarloaf Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2587', '80620', '7005', '1', '0', '0', '0', '0', '20', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8010907', 'Dated Velveteen Sugarloaf Hat (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '5051', '80621', '7005', '1', '0', '0', '0', '0', '40', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010908', 'Dated Velveteen Sugarloaf Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5051', '80622', '7005', '1', '0', '0', '0', '0', '40', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010909', 'Dated Velveteen Sugarloaf Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '5051', '80623', '7005', '1', '0', '0', '0', '0', '40', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8010910', 'Cotton Sugarloaf Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '82201', '7005', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010911', 'Cotton Sugarloaf Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80618', '7005', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010912', 'Cotton Sugarloaf Hat of the Mind (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80619', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010913', 'Cotton Sugarloaf Hat of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80620', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010914', 'Velveteen Sugarloaf Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '82201', '7005', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010915', 'Velveteen Sugarloaf Hat (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80621', '7005', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010916', 'Velveteen Sugarloaf Hat of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80622', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010917', 'Velveteen Sugarloaf Hat of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80623', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010918', 'Cotton Sugarloaf Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80619', '7005', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010919', 'Cotton Sugarloaf Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80620', '7005', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010920', 'Cotton Sugarloaf Hat of the Mind', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '82201', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010921', 'Cotton Sugarloaf Hat of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80618', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010922', 'Cotton Sugarloaf Hat of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80620', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010923', 'Cotton Sugarloaf Hat of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '82201', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010924', 'Cotton Sugarloaf Hat of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80618', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010925', 'Cotton Sugarloaf Hat of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2833', '80619', '7005', '1', '0', '0', '0', '1', '22', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8010926', 'Velveteen Sugarloaf Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80622', '7005', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010927', 'Velveteen Sugarloaf Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80623', '7005', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010928', 'Velveteen Sugarloaf Hat of the Mind', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '82201', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010929', 'Velveteen Sugarloaf Hat of the Mind (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80621', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010930', 'Velveteen Sugarloaf Hat of the Mind (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80623', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010931', 'Velveteen Sugarloaf Hat of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '82201', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010932', 'Woolen Sugarloaf Hat (Red)', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82032', '7005', '1', '0', '0', '0', '0', '35', '1115', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8010933', 'Velveteen Sugarloaf Hat of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80621', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8010934', 'Velveteen Sugarloaf Hat of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '4065', '80622', '7005', '1', '0', '0', '0', '1', '32', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8011001', 'Weathered Bandana', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81301', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011002', 'Dated Hempen Bandana', 'Normal/StandardItem', '1', '0', '0', '11120', '189', '80511', '7006', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011003', 'Dated Hempen Bandana (Beige)', 'Normal/StandardItem', '1', '0', '0', '11120', '189', '80628', '7006', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011004', 'Dated Hempen Bandana (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '189', '80630', '7006', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011005', 'Dated Hempen Bandana (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '189', '80629', '7006', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011006', 'Dated Cotton Bandana', 'Normal/StandardItem', '1', '0', '0', '11120', '819', '80631', '7006', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8011007', 'Dated Cotton Bandana (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '819', '80632', '7006', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8011008', 'Dated Cotton Bandana (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '819', '80633', '7006', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8011009', 'Dated Cotton Bandana (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '819', '80634', '7006', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8011010', 'Dated Cotton Bandana (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '819', '80635', '7006', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8011011', 'Dated Canvas Bandana', 'Normal/StandardItem', '1', '0', '0', '11120', '1449', '80636', '7006', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8011012', 'Dated Canvas Bandana (Auburn)', 'Normal/StandardItem', '1', '0', '0', '11120', '1449', '80637', '7006', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8011013', 'Dated Canvas Bandana (Pink)', 'Normal/StandardItem', '1', '0', '0', '11120', '1449', '80638', '7006', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8011014', 'Dated Canvas Bandana (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '1449', '80639', '7006', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8011015', 'Dated Canvas Bandana (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '1449', '80640', '7006', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8011016', 'Velveteen Bandana', 'Normal/StandardItem', '1', '0', '0', '11120', '1701', '81682', '7006', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8011017', 'Velveteen Bandana (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '1701', '81700', '7006', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8011018', 'Velveteen Bandana (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1701', '81703', '7006', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8011019', 'Pirate\'s Bandana', 'Normal/StandardItem', '1', '1', '0', '11120', '1197', '81687', '7006', '1', '0', '0', '0', '1', '18', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011020', 'Velveteen Bandana (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '1701', '81701', '7006', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8011021', 'Velveteen Bandana (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '1701', '81702', '7006', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8011022', 'Explorer\'s Bandana', 'Normal/StandardItem', '1', '1', '0', '11120', '3087', '81710', '7006', '2', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8011101', 'Dated Copper Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '2156', '80544', '7004', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011102', 'Dated Bronze Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '3696', '80545', '7004', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8011103', 'Dated Iron Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '5236', '80546', '7004', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8011104', 'Dated Visored Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '6776', '80547', '7004', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8011105', 'Warden\'s Barbut', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '80546', '7004', '2', '0', '0', '0', '1', '30', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8011106', 'Bronze Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '2002', '80544', '7004', '1', '0', '0', '0', '0', '12', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8011107', 'Decorated Bronze Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '2772', '80545', '7004', '1', '0', '0', '0', '0', '17', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8011108', 'Steel Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '5852', '81506', '7004', '1', '0', '0', '0', '0', '37', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8011109', 'Mythril Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '6622', '82177', '7004', '1', '0', '0', '0', '0', '42', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8011110', 'Cobalt Barbut', 'Normal/StandardItem', '1', '0', '0', '16680', '7392', '82178', '7004', '1', '0', '0', '0', '0', '47', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8011201', 'Dated Hunting Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '80548', '7005', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011202', 'Dated Hunting Hat (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '80549', '7005', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011203', 'Dated Hunting Hat (Beige)', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '80550', '7005', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011204', 'Dated Trapper\'s Hat', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '80551', '7005', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011205', 'Dated Trapper\'s Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '80552', '7005', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011206', 'Dated Trapper\'s Hat (Yellow)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '80553', '7005', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011207', 'Dated Trapper\'s Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '80554', '7005', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011208', 'Dated Trapper\'s Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '80555', '7005', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011209', 'Dated Tracker\'s Hat', 'Normal/StandardItem', '1', '0', '0', '15290', '3906', '80556', '7005', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011210', 'Dated Tracker\'s Hat (Auburn)', 'Normal/StandardItem', '1', '0', '0', '15290', '3906', '80557', '7005', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011211', 'Dated Tracker\'s Hat (Pink)', 'Normal/StandardItem', '1', '0', '0', '15290', '3906', '80558', '7005', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011212', 'Dated Tracker\'s Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '3906', '80559', '7005', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011213', 'Dated Tracker\'s Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '3906', '80560', '7005', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011214', 'Dated Bowman\'s Hat', 'Normal/StandardItem', '1', '0', '0', '15290', '5208', '80561', '7005', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011215', 'Dated Bowman\'s Hat (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '5208', '80562', '7005', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011216', 'Dated Bowman\'s Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '5208', '80563', '7005', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011217', 'Dated Bowman\'s Hat (Yellow)', 'Normal/StandardItem', '1', '0', '0', '15290', '5208', '80564', '7005', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011218', 'Dated Bowman\'s Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '5208', '80565', '7005', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011219', 'Poacher\'s Hat', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81527', '7005', '2', '0', '0', '0', '1', '30', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8011220', 'Ranger\'s Hat', 'Normal/StandardItem', '1', '0', '0', '15290', '5728', '82179', '7005', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8011221', 'Ranger\'s Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '5728', '82180', '7005', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8011222', 'Rainmaker\'s Hat', 'Normal/StandardItem', '1', '0', '0', '15290', '6379', '82181', '7005', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8011223', 'Rainmaker\'s Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '6379', '82182', '7005', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8011301', 'Dated Hempen Turban', 'Normal/StandardItem', '1', '0', '0', '13900', '491', '80566', '7006', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011302', 'Dated Hempen Turban (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '491', '80567', '7006', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011303', 'Dated Hempen Turban (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '491', '80568', '7006', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011304', 'Dated Hempen Turban (Beige)', 'Normal/StandardItem', '1', '0', '0', '13900', '491', '80569', '7006', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011305', 'Dated Cotton Turban', 'Normal/StandardItem', '1', '0', '0', '13900', '1037', '80570', '7006', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011306', 'Dated Cotton Turban (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1037', '80571', '7006', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011307', 'Dated Cotton Turban (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1037', '80572', '7006', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011308', 'Dated Cotton Turban (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1037', '80573', '7006', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011309', 'Dated Cotton Turban (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1037', '80574', '7006', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011310', 'Dated Velveteen Turban', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '80575', '7006', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8011311', 'Dated Velveteen Turban (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '80576', '7006', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8011312', 'Dated Velveteen Turban (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '80577', '7006', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8011313', 'Dated Velveteen Turban (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '80578', '7006', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8011314', 'Dated Velveteen Turban (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '80579', '7006', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8011315', 'Velveteen Turban', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '82183', '7006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011316', 'Velveteen Turban of Slaying (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '80578', '7006', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011317', 'Velveteen Turban of Invoking (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '80579', '7006', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011318', 'Linen Turban', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82184', '7006', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011319', 'Linen Turban of Slaying (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82185', '7006', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011320', 'Linen Turban of Invoking (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82186', '7006', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011321', 'Woolen Turban', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82187', '7006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011322', 'Woolen Turban of Invoking (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82188', '7006', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011323', 'Sipahi Turban', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82146', '7006', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8011324', 'Velveteen Turban (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '80578', '7006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011325', 'Velveteen Turban (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '80579', '7006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011326', 'Velveteen Turban of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '82183', '7006', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011327', 'Velveteen Turban of Slaying (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '80579', '7006', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011328', 'Velveteen Turban of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '82183', '7006', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011329', 'Velveteen Turban of Invoking (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '80578', '7006', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011330', 'Linen Turban (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82185', '7006', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011331', 'Linen Turban (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82186', '7006', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011332', 'Linen Turban of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82184', '7006', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011333', 'Linen Turban of Slaying (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82186', '7006', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011334', 'Linen Turban of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82184', '7006', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011335', 'Linen Turban of Invoking (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82185', '7006', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011336', 'Woolen Turban (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82188', '7006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011337', 'Woolen Turban (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82416', '7006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011338', 'Woolen Turban (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82417', '7006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011339', 'Woolen Turban of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82187', '7006', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011340', 'Woolen Turban of Invoking (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82416', '7006', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011341', 'Woolen Turban of Invoking (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82417', '7006', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011401', 'Dated Bronze Elmo', 'Normal/StandardItem', '1', '0', '0', '18070', '3360', '80586', '7004', '1', '0', '0', '0', '0', '19', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011402', 'Dated Brass Elmo', 'Normal/StandardItem', '1', '0', '0', '18070', '5040', '80587', '7004', '1', '0', '0', '0', '0', '29', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011403', 'Conquistador Elmo', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '81580', '7004', '2', '0', '0', '0', '0', '35', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011404', 'Iron Elmo', 'Normal/StandardItem', '1', '0', '0', '18070', '3864', '81571', '7004', '1', '0', '0', '0', '0', '22', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8011405', 'Iron Elmo (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '3864', '81577', '7004', '1', '0', '0', '0', '0', '22', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8011406', 'Mythril Elmo', 'Normal/StandardItem', '1', '0', '0', '18070', '7056', '82190', '7004', '1', '0', '0', '0', '0', '41', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8011407', 'Reinforced Mythril Elmo', 'Normal/StandardItem', '1', '0', '0', '18070', '7560', '82191', '7004', '1', '0', '0', '0', '0', '44', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8011408', 'Cobalt Elmo', 'Normal/StandardItem', '1', '0', '0', '18070', '7896', '82192', '7004', '1', '0', '0', '0', '0', '46', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8011409', 'Cobalt Elmo (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '7896', '82193', '7004', '1', '0', '0', '0', '0', '46', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8011501', 'Dated Sheepskin Pot Helm', 'Normal/StandardItem', '1', '0', '0', '15290', '1288', '80588', '7004', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011502', 'Dated Dodoskin Pot Helm', 'Normal/StandardItem', '1', '0', '0', '15290', '2576', '80591', '7004', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011503', 'Dated Dodoskin Pot Helm (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '2576', '80592', '7004', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8011504', 'Dated Leather Pot Helm (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '3864', '80593', '7004', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011505', 'Dated Leather Pot Helm (Ochre)', 'Normal/StandardItem', '1', '0', '0', '15290', '3864', '80594', '7004', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011506', 'Dated Leather Pot Helm (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '3864', '80595', '7004', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011507', 'Dated Leather Pot Helm (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '3864', '80596', '7004', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011508', 'Dated Toadskin Pot Helm (Sunstone)', 'Normal/StandardItem', '1', '0', '0', '15290', '5152', '80597', '7004', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011509', 'Dated Toadskin Pot Helm (Lapis Lazuli)', 'Normal/StandardItem', '1', '0', '0', '15290', '5152', '80598', '7004', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011510', 'Dated Toadskin Pot Helm (Sphene)', 'Normal/StandardItem', '1', '0', '0', '15290', '5152', '80599', '7004', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011511', 'Dated Toadskin Pot Helm (Malachite)', 'Normal/StandardItem', '1', '0', '0', '15290', '5152', '80600', '7004', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011512', 'Dated Toadskin Pot Helm (Fluorite)', 'Normal/StandardItem', '1', '0', '0', '15290', '5152', '80601', '7004', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011513', 'Dated Toadskin Pot Helm (Danburite)', 'Normal/StandardItem', '1', '0', '0', '15290', '5152', '80602', '7004', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011514', 'Helm of the Lone Knight', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81587', '7004', '3', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8011515', 'Dodoskin Pot Helm', 'Normal/StandardItem', '1', '0', '0', '15290', '1159', '80589', '7004', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011516', 'Dodoskin Pot Helm (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '1159', '80590', '7004', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011517', 'Leather Pot Helm', 'Normal/StandardItem', '1', '0', '0', '15290', '2447', '80591', '7004', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011518', 'Leather Pot Helm (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '2447', '80592', '7004', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8011519', 'Boarskin Pot Helm', 'Normal/StandardItem', '1', '0', '0', '15290', '5667', '82194', '7004', '1', '0', '0', '0', '0', '43', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8011520', 'Raptorskin Pot Helm', 'Normal/StandardItem', '1', '0', '0', '15290', '6311', '82195', '7004', '1', '0', '0', '0', '0', '48', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8011521', 'Mercenary\'s Pot Helm', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82142', '7004', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8011522', 'Flame Private\'s Pot Helm', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '80592', '7004', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011523', 'Flame Sergeant\'s Pot Helm', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82194', '7004', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8011524', 'Veteran\'s Pot Helm', 'Normal/StandardItem', '1', '1', '0', '15290', '6440', '82512', '7004', '2', '0', '0', '0', '1', '49', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8011601', 'Dated Bronze Sallet', 'Normal/StandardItem', '1', '0', '0', '16680', '2352', '80603', '7004', '1', '0', '0', '0', '0', '15', '1113', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8011602', 'Dated Assault Sallet', 'Normal/StandardItem', '1', '0', '0', '16680', '3822', '80604', '7004', '1', '0', '0', '0', '0', '25', '1113', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8011603', 'Dated Iron Sallet', 'Normal/StandardItem', '1', '0', '0', '16680', '5292', '80605', '7004', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8011604', 'Dated Iron Assault Sallet', 'Normal/StandardItem', '1', '0', '0', '16680', '6762', '80606', '7004', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8011605', 'Iron Sallet', 'Normal/StandardItem', '1', '0', '0', '16680', '3087', '80606', '7004', '1', '0', '0', '0', '0', '20', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8011606', 'Reinforced Iron Sallet', 'Normal/StandardItem', '1', '0', '0', '16680', '3528', '80605', '7004', '1', '0', '0', '0', '0', '23', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8011607', 'Steel Sallet', 'Normal/StandardItem', '1', '0', '0', '16680', '4557', '81595', '7004', '1', '0', '0', '0', '0', '30', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8011608', 'Steel Sallet (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '4557', '81599', '7004', '1', '0', '0', '0', '0', '30', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8011609', 'Storm Private\'s Sallet', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '80604', '7004', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8011610', 'Storm Sergeant\'s Sallet', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '81595', '7004', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8011701', 'Dated Bronze Chain Coif', 'Normal/StandardItem', '1', '0', '0', '19460', '5096', '80607', '7004', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011702', 'Dated Iron Chain Coif', 'Normal/StandardItem', '1', '0', '0', '19460', '6916', '80608', '7004', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8011703', 'Dated Cavalry Chain Coif', 'Normal/StandardItem', '1', '0', '0', '19460', '8736', '80609', '7004', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011704', 'Dated Cavalry Chain Coif (Red)', 'Normal/StandardItem', '1', '0', '0', '19460', '8736', '80610', '7004', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011705', 'Dated Cavalry Chain Coif (Black)', 'Normal/StandardItem', '1', '0', '0', '19460', '8736', '80611', '7004', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011706', 'Dated Cavalry Chain Coif (Ochre)', 'Normal/StandardItem', '1', '0', '0', '19460', '8736', '80612', '7004', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011707', 'Dated Cavalry Chain Coif (Green)', 'Normal/StandardItem', '1', '0', '0', '19460', '8736', '80613', '7004', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8011708', 'Judge\'s Chain Coif', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '80614', '7004', '1', '0', '0', '0', '0', '1', '2033', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011709', 'Templar\'s Chain Coif', 'Normal/StandardItem', '1', '1', '0', '19460', '9100', '82046', '7004', '2', '0', '0', '0', '0', '49', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8011710', 'Mythril Chain Coif', 'Normal/StandardItem', '1', '0', '0', '19460', '8008', '82196', '7004', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8011711', 'Mythril Chain Coif (Black)', 'Normal/StandardItem', '1', '0', '0', '19460', '8008', '82196', '7004', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8011712', 'Cobalt Chain Coif', 'Normal/StandardItem', '1', '0', '0', '19460', '8918', '82197', '7004', '1', '0', '0', '0', '0', '48', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8011713', 'Cobalt Chain Coif (Red)', 'Normal/StandardItem', '1', '0', '0', '19460', '8918', '82197', '7004', '1', '0', '0', '0', '0', '48', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8011801', 'Dated Hempen Scarf', 'Normal/StandardItem', '1', '0', '0', '11120', '224', '80641', '7006', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011802', 'Dated Hempen Scarf (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '224', '80642', '7006', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011803', 'Dated Hempen Scarf (Beige)', 'Normal/StandardItem', '1', '0', '0', '11120', '224', '80643', '7006', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011804', 'Dated Hempen Scarf (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '224', '80644', '7006', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011805', 'Dated Cotton Scarf', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '80645', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011806', 'Dated Cotton Scarf (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '80646', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011807', 'Dated Cotton Scarf (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '80647', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011808', 'Dated Cotton Scarf (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '80648', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011809', 'Dated Cotton Scarf (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '80649', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8011810', 'Dated Velveteen Scarf', 'Normal/StandardItem', '1', '0', '0', '11120', '1904', '80650', '7006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8011811', 'Dated Velveteen Scarf (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '1904', '80652', '7006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8011812', 'Dated Velveteen Scarf (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '1904', '80654', '7006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8011813', 'Dated Velveteen Scarf (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '1904', '80651', '7006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8011814', 'Dated Velveteen Scarf (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1904', '80653', '7006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8011815', 'Cotton Scarf', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '81731', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8011816', 'Cotton Scarf (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '81741', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8011817', 'Cotton Scarf (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '784', '81747', '7006', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8011901', 'Moldering Jester\'s Cap', 'Normal/StandardItem', '1', '1', '0', '13900', '3628', '82033', '7005', '1', '0', '0', '0', '0', '26', '1007', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8011902', 'Vintage Jester\'s Cap', 'Normal/StandardItem', '1', '1', '0', '13900', '6316', '81641', '7005', '1', '0', '0', '0', '0', '46', '1007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8011903', 'Harlequin\'s Cap', 'Normal/StandardItem', '1', '1', '0', '13900', '6854', '81643', '7005', '2', '0', '0', '0', '0', '50', '1007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8012001', 'Dated Straw Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '322', '80523', '7005', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012002', 'Dated Walking Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '1288', '80526', '7005', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012003', 'Dated Tarred Walking Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '2898', '80529', '7005', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8012004', 'Dated Fishing Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '80532', '7005', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8012005', 'Dated Fishing Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '80533', '7005', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8012006', 'Dated Fishing Hat (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '80534', '7005', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8012007', 'Dated Fishing Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '80535', '7005', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8012008', 'Dated Fishing Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '80536', '7005', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8012009', 'Weathered Sun Hat', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '80542', '7005', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012010', 'Weathered Beach Hat (Blue)', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '80543', '7005', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012011', 'Straw Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '660', '80523', '7005', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012012', 'Stablehand\'s Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '660', '81471', '7005', '1', '0', '0', '0', '0', '10', '2031', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012013', 'Stablemaid\'s Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '660', '82172', '7005', '1', '0', '0', '0', '0', '10', '2032', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012014', 'Angler\'s Hat', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012015', 'Angler\'s Hat of Strength (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '1', '36', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012016', 'Angler\'s Hat of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '1', '36', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012017', 'Straw Hat (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '660', '80524', '7005', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012018', 'Straw Hat (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '660', '80525', '7005', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012019', 'Angler\'s Hat (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012020', 'Angler\'s Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012021', 'Angler\'s Hat of Strength', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '1', '36', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012022', 'Angler\'s Hat of Strength (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '1', '36', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012023', 'Angler\'s Hat of Dexterity', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '1', '36', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012024', 'Angler\'s Hat of Dexterity (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '2220', '82173', '7005', '1', '0', '0', '0', '1', '36', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012101', 'Onion Helm', 'Normal/SpecialEquipItem', '1', '1', '1', '15290', '0', '80655', '7004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012102', 'Peregrine Helm', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82075', '7004', '2', '0', '0', '0', '1', '30', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8012103', 'Red Onion Helm', 'Normal/StandardItem', '1', '1', '0', '15290', '5345', '80657', '7004', '2', '0', '0', '0', '1', '45', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8012201', 'Buccaneer\'s Tricorne', 'Normal/StandardItem', '1', '1', '0', '13900', '6115', '82049', '7005', '2', '0', '0', '0', '0', '47', '1006', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8012202', 'Silver Tricorne', 'Normal/StandardItem', '1', '1', '0', '12510', '2606', '82074', '7005', '2', '0', '0', '0', '0', '48', '1006', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8012301', 'Dated Chef\'s Hat', 'Normal/StandardItem', '1', '0', '0', '13900', '3168', '81848', '7005', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012302', 'Dated Chef\'s Hat (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '3168', '81849', '7005', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012303', 'Dated Chef\'s Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3168', '81850', '7005', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012304', 'Dated Chef\'s Hat (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '3168', '81851', '7005', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012305', 'Dated Chef\'s Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '3168', '81852', '7005', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012306', 'Vintage Chef\'s Hat', 'Normal/StandardItem', '1', '1', '0', '13900', '2664', '81846', '7005', '1', '0', '0', '0', '0', '36', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8012307', 'Ripped Chef\'s Hat', 'Normal/StandardItem', '1', '1', '0', '7500', '544', '81847', '7005', '1', '0', '0', '0', '0', '16', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8012308', 'Linen Deerstalker', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012309', 'Linen Deerstalker of Piety (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012310', 'Linen Deerstalker of Intelligence (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012311', 'Linen Deerstalker of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012312', 'Woolen Deerstalker', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012313', 'Woolen Deerstalker of Piety (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012314', 'Woolen Deerstalker of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82208', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012315', 'Woolen Deerstalker of Dexterity (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82209', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012316', 'Linen Deerstalker (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012317', 'Linen Deerstalker (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012318', 'Linen Deerstalker (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012319', 'Linen Deerstalker of Piety', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012320', 'Linen Deerstalker of Piety (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012321', 'Linen Deerstalker of Piety (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012322', 'Linen Deerstalker of Intelligence', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012323', 'Linen Deerstalker of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012324', 'Linen Deerstalker of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012325', 'Linen Deerstalker of Dexterity', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012326', 'Linen Deerstalker of Dexterity (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012327', 'Linen Deerstalker of Dexterity (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '3024', '82206', '7005', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8012328', 'Woolen Deerstalker (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012329', 'Woolen Deerstalker (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82208', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012330', 'Woolen Deerstalker (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82209', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012331', 'Woolen Deerstalker (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82421', '7005', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012332', 'Woolen Deerstalker of Piety', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012333', 'Woolen Deerstalker of Piety (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82208', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012334', 'Woolen Deerstalker of Piety (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82209', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012335', 'Woolen Deerstalker of Piety (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82421', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012336', 'Woolen Deerstalker of Intelligence', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012337', 'Woolen Deerstalker of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012338', 'Woolen Deerstalker of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82209', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012339', 'Woolen Deerstalker of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82421', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012340', 'Woolen Deerstalker of Dexterity', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012341', 'Woolen Deerstalker of Dexterity (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82207', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012342', 'Woolen Deerstalker of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82208', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012343', 'Woolen Deerstalker of Dexterity (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '3384', '82421', '7005', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8012401', 'Dated Sheepskin Calot', 'Normal/StandardItem', '1', '0', '0', '11120', '648', '81887', '7005', '1', '0', '0', '0', '0', '8', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012402', 'Dated Sheepskin Calot (Taupe)', 'Normal/StandardItem', '1', '0', '0', '11120', '648', '81887', '7005', '1', '0', '0', '0', '0', '8', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012403', 'Dated Sheepskin Calot (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '648', '81887', '7005', '1', '0', '0', '0', '0', '8', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012404', 'Dated Dodoskin Calot', 'Normal/StandardItem', '1', '0', '0', '11120', '1368', '81887', '7005', '1', '0', '0', '0', '0', '18', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8012405', 'Dated Dodoskin Calot (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '1368', '81887', '7005', '1', '0', '0', '0', '0', '18', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8012406', 'Dated Leather Calot (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '2088', '81889', '7005', '1', '0', '0', '0', '0', '28', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012407', 'Dated Leather Calot (Ochre)', 'Normal/StandardItem', '1', '0', '0', '11120', '2088', '81889', '7005', '1', '0', '0', '0', '0', '28', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012408', 'Dated Leather Calot (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '2088', '81889', '7005', '1', '0', '0', '0', '0', '28', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012409', 'Dated Leather Calot (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '2088', '81889', '7005', '1', '0', '0', '0', '0', '28', '1121', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012410', 'Sheepskin Calot', 'Normal/StandardItem', '1', '0', '0', '11120', '144', '81887', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012411', 'Sheepskin Calot (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '144', '81887', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012412', 'Explorer\'s Calot', 'Normal/StandardItem', '1', '1', '0', '11120', '3456', '81889', '7005', '2', '0', '0', '0', '1', '47', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8012501', 'Dream Hat', 'Normal/StandardItem', '1', '0', '0', '11120', '144', '81892', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012502', 'Reindeer Antlers', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82401', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012601', 'Black Usagi Kabuto', 'Normal/StandardItem', '1', '0', '0', '20000', '2688', '81973', '7004', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8012602', 'Silver Usagi Kabuto', 'Normal/StandardItem', '1', '0', '0', '20000', '2688', '81974', '7004', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8012603', 'Usagi Kabuto', 'Normal/StandardItem', '1', '0', '0', '20000', '256', '81972', '7004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012604', 'Dragon Kabuto', 'Normal/StandardItem', '1', '1', '1', '20000', '0', '82407', '7004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012605', 'Crimson Dragon Kabuto', 'Normal/StandardItem', '1', '1', '1', '20000', '0', '82409', '7004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012606', 'Golden Dragon Kabuto', 'Normal/StandardItem', '1', '1', '1', '20000', '0', '82408', '7004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012607', 'Black Dragon Kabuto', 'Normal/StandardItem', '1', '1', '1', '20000', '0', '82410', '7004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012701', 'Dated Canvas Wedge Cap', 'Normal/StandardItem', '1', '0', '0', '12500', '1984', '81956', '7005', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8012702', 'Dated Canvas Wedge Cap (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12500', '1984', '81957', '7005', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8012703', 'Dated Canvas Wedge Cap (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '1984', '81958', '7005', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8012704', 'Dated Canvas Wedge Cap (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '1984', '81959', '7005', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8012705', 'Dated Canvas Wedge Cap (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '1984', '81960', '7005', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8012706', 'Dated Velveteen Wedge Cap', 'Normal/StandardItem', '1', '0', '0', '12500', '2624', '81961', '7005', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8012707', 'Dated Velveteen Wedge Cap (Black)', 'Normal/StandardItem', '1', '0', '0', '12500', '2624', '81962', '7005', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8012708', 'Dated Velveteen Wedge Cap (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '2624', '81963', '7005', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8012709', 'Dated Velveteen Wedge Cap (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2624', '81964', '7005', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8012710', 'Dated Velveteen Wedge Cap (Green)', 'Normal/StandardItem', '1', '0', '0', '12500', '2624', '81965', '7005', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8012711', 'Dated Linen Wedge Cap', 'Normal/StandardItem', '1', '0', '0', '12500', '3264', '82076', '7005', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8012712', 'Dated Linen Wedge Cap (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '3264', '82077', '7005', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8012713', 'Dated Linen Wedge Cap (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '3264', '82078', '7005', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8012714', 'Dated Linen Wedge Cap (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '3264', '82079', '7005', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8012715', 'Dated Linen Wedge Cap (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '3264', '82080', '7005', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8012716', 'Velveteen Wedge Cap', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81961', '7005', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012717', 'Velveteen Wedge Cap of Crafting (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81963', '7005', '1', '0', '0', '0', '1', '28', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012718', 'Velveteen Wedge Cap of Gathering (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81964', '7005', '1', '0', '0', '0', '1', '28', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012719', 'Linen Wedge Cap', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82076', '7005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012720', 'Linen Wedge Cap of Crafting (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82078', '7005', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012721', 'Linen Wedge Cap of Gathering (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82079', '7005', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012722', 'Velveteen Wedge Cap (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81963', '7005', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012723', 'Velveteen Wedge Cap (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81964', '7005', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012724', 'Velveteen Wedge Cap of Crafting', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81961', '7005', '1', '0', '0', '0', '1', '28', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012725', 'Velveteen Wedge Cap of Crafting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81964', '7005', '1', '0', '0', '0', '1', '28', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012726', 'Velveteen Wedge Cap of Gathering', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81961', '7005', '1', '0', '0', '0', '1', '28', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012727', 'Velveteen Wedge Cap of Gathering (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1856', '81963', '7005', '1', '0', '0', '0', '1', '28', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8012728', 'Linen Wedge Cap (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82078', '7005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012729', 'Linen Wedge Cap (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82079', '7005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012730', 'Linen Wedge Cap (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82077', '7005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012731', 'Linen Wedge Cap (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82080', '7005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012732', 'Linen Wedge Cap of Crafting', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82076', '7005', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012733', 'Linen Wedge Cap of Crafting (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82079', '7005', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012734', 'Linen Wedge Cap of Crafting (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82077', '7005', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012735', 'Linen Wedge Cap of Crafting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82080', '7005', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012736', 'Linen Wedge Cap of Gathering', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82076', '7005', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012737', 'Linen Wedge Cap of Gathering (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82078', '7005', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012738', 'Linen Wedge Cap of Gathering (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82077', '7005', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012739', 'Linen Wedge Cap of Gathering (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2496', '82080', '7005', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8012801', 'Pristine Egg Cap', 'Normal/StandardItem', '1', '1', '0', '12000', '10', '82056', '7005', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8012802', 'Vibrant Egg Cap', 'Normal/StandardItem', '1', '1', '0', '12000', '10', '82060', '7005', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8012803', 'Brilliant Egg Cap', 'Normal/StandardItem', '1', '1', '0', '12000', '10', '82059', '7005', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8012804', 'Midnight Egg Cap', 'Normal/StandardItem', '1', '1', '0', '12000', '10', '82058', '7005', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8012805', 'Chocobo Egg Cap', 'Normal/StandardItem', '1', '1', '0', '12000', '10', '82057', '7005', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8012901', 'Mythril Mesail', 'Normal/StandardItem', '1', '0', '0', '13900', '5598', '82156', '7008', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8012902', 'Cobalt Mesail', 'Normal/StandardItem', '1', '0', '0', '13900', '6249', '82157', '7008', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8012903', 'Cobalt Mesail (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '6249', '82158', '7008', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8012904', 'Cobalt Mesail (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '6249', '82411', '7008', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8013001', 'Woolen Cavalier\'s Hat', 'Normal/StandardItem', '1', '0', '0', '13900', '7875', '82198', '7005', '1', '0', '0', '0', '0', '44', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8013002', 'Woolen Cavalier\'s Hat (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '7875', '82199', '7005', '1', '0', '0', '0', '0', '44', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8013003', 'Felt Cavalier\'s Hat', 'Normal/StandardItem', '1', '0', '0', '13900', '8750', '82200', '7005', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013004', 'Felt Cavalier\'s Hat (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '8750', '82200', '7005', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013005', 'Plundered Cavalier\'s Hat', 'Normal/StandardItem', '1', '1', '0', '13900', '2800', '82154', '7005', '1', '0', '0', '0', '1', '15', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8013006', 'Felt Cavalier\'s Hat (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '8750', '82420', '7005', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013007', 'Felt Cavalier\'s Hat (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '8750', '82418', '7005', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013008', 'Felt Cavalier\'s Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '8750', '82419', '7005', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013101', 'Dodoskin Skullcap', 'Normal/StandardItem', '1', '0', '0', '13900', '1296', '81823', '7005', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8013102', 'Dodoskin Skullcap (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1296', '81824', '7005', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8013201', 'Lominsan Soldier\'s Cap', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82128', '7005', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8013202', 'Gridanian Soldier\'s Cap', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82129', '7005', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8013203', 'Ul\'dahn Soldier\'s Cap', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82130', '7005', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8013204', 'Lominsan Officer\'s Cap', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82131', '7005', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013205', 'Gridanian Officer\'s Cap', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82132', '7005', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013206', 'Ul\'dahn Officer\'s Cap', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82133', '7005', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013301', 'Pumpkin Head', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82137', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '36', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8013302', 'Unripened Pumpkin Head', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82138', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '36', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8013303', 'White Pumpkin Head', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82139', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '36', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8013304', 'Ripened Pumpkin Head', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82140', '7005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '36', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8013401', 'Butcher\'s Crown', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82403', '7007', '3', '0', '0', '0', '1', '50', '2002', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013402', 'Chronicler\'s Crown', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82404', '7007', '3', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013403', 'Paragon\'s Crown', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82405', '7007', '3', '0', '0', '0', '1', '50', '2002', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013404', 'Gambler\'s Crown', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82406', '7007', '3', '0', '0', '0', '1', '50', '2006', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013501', 'Gallant Coronet', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82486', '7007', '3', '0', '0', '0', '1', '49', '2120', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013502', 'Temple Circlet', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82491', '7007', '3', '0', '0', '0', '1', '49', '2119', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013503', 'Fighter\'s Burgeonet', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '82466', '7004', '3', '0', '0', '0', '1', '49', '2121', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013504', 'Drachen Armet', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '82461', '7004', '3', '0', '0', '0', '1', '49', '2123', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013505', 'Choral Chapeau', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82481', '7005', '3', '0', '0', '0', '1', '49', '2122', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013506', 'Healer\'s Circlet', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82471', '7007', '3', '0', '0', '0', '1', '49', '2125', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013507', 'Wizard\'s Petasos', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82476', '7005', '3', '0', '0', '0', '1', '49', '2124', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013601', 'Darklight Helm', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '82498', '7004', '3', '0', '0', '0', '1', '50', '2127', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013602', 'Darklight Eyepatch', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82502', '7009', '3', '0', '0', '0', '1', '50', '2128', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013603', 'Vanya Hat', 'Normal/StandardItem', '1', '0', '0', '12510', '5740', '82567', '7005', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013604', 'Vanya Hat (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '5740', '82566', '7005', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013605', 'Vanya Hat (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '5740', '82565', '7005', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013606', 'Vanya Hat (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '5740', '82568', '7005', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013607', 'Vanya Hat (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '5740', '82569', '7005', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8013608', 'Militia Armet', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '80378', '7004', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013609', 'Militia Hat', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82574', '7005', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013610', 'Militia Barbut', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82576', '7004', '2', '0', '0', '0', '1', '50', '2158', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013611', 'Hamlet Puller\'s Hat', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '82570', '7005', '2', '0', '0', '0', '1', '50', '2147', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013612', 'Hamlet Cutter\'s Hat', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '82571', '7005', '2', '0', '0', '0', '1', '50', '2146', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013613', 'Hamlet Digger\'s Helmet', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '82572', '7004', '2', '0', '0', '0', '1', '50', '2145', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013614', 'Storm Sergeant\'s Circlet', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82588', '7007', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013615', 'Storm Sergeant\'s Mask', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82578', '7008', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013616', 'Storm Sergeant\'s Beret', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80520', '7005', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013617', 'Serpent Sergeant\'s Circlet', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82589', '7007', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013618', 'Serpent Sergeant\'s Mask', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81646', '7008', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013619', 'Serpent Sergeant\'s Beret', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80521', '7005', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013620', 'Flame Sergeant\'s Circlet', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82587', '7007', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013621', 'Flame Sergeant\'s Mask', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81647', '7008', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013622', 'Flame Sergeant\'s Beret', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80519', '7005', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013623', 'Scarf of Wondrous Wit', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81742', '7006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8013624', 'Legionary Visor', 'Normal/StandardItem', '1', '0', '0', '7500', '1472', '80460', '7008', '1', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013625', 'Rose Gold Circlet', 'Normal/StandardItem', '1', '0', '0', '13900', '5152', '82600', '7007', '1', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013626', 'Chocobo Mask', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82607', '7004', '2', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8013627', 'Carpenter\'s Hood', 'Normal/StandardItem', '1', '0', '0', '11120', '3213', '82612', '7005', '1', '0', '0', '0', '1', '50', '2137', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013628', 'Blacksmith\'s Goggles', 'Normal/StandardItem', '1', '0', '0', '13900', '5140', '82613', '7009', '1', '0', '0', '0', '1', '50', '2138', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013629', 'Armorer\'s Visor', 'Normal/StandardItem', '1', '0', '0', '13900', '6640', '82614', '7008', '1', '0', '0', '0', '1', '50', '2139', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013630', 'Goldsmith\'s Turban', 'Normal/StandardItem', '1', '0', '0', '13900', '2784', '82615', '7005', '1', '0', '0', '0', '1', '50', '2140', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013631', 'Leatherworker\'s Hat', 'Normal/StandardItem', '1', '0', '0', '15290', '6640', '82616', '7005', '1', '0', '0', '0', '1', '50', '2141', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013632', 'Weaver\'s Gibus', 'Normal/StandardItem', '1', '0', '0', '13900', '8925', '82617', '7005', '1', '0', '0', '0', '1', '50', '2142', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013633', 'Alchemist\'s Monocle', 'Normal/StandardItem', '1', '0', '0', '11120', '4998', '82618', '7009', '1', '0', '0', '0', '1', '50', '2143', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013634', 'Culinarian\'s Hat', 'Normal/StandardItem', '1', '0', '0', '13900', '3672', '82619', '7005', '1', '0', '0', '0', '1', '50', '2144', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013635', 'Dalamud Horn', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82620', '7007', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013636', 'Imperial Operative Tricorne', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82635', '7005', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8013637', 'Imperial Operative Hat', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82636', '7005', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030001', 'Dated Hempen Doublet', 'Normal/StandardItem', '1', '0', '0', '27800', '1302', '80044', '7016', '1', '0', '0', '0', '0', '6', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030002', 'Dated Hempen Doublet (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '1302', '80045', '7016', '1', '0', '0', '0', '0', '6', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030003', 'Dated Hempen Doublet (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '1302', '80046', '7016', '1', '0', '0', '0', '0', '6', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030004', 'Dated Hempen Doublet (Beige)', 'Normal/StandardItem', '1', '0', '0', '27800', '1302', '80047', '7016', '1', '0', '0', '0', '0', '6', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030005', 'Dated Cotton Doublet', 'Normal/StandardItem', '1', '0', '0', '27800', '3162', '80019', '7016', '1', '0', '0', '0', '0', '16', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8030006', 'Dated Cotton Doublet (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '3162', '80020', '7016', '1', '0', '0', '0', '0', '16', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8030007', 'Dated Cotton Doublet (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '3162', '80021', '7016', '1', '0', '0', '0', '0', '16', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8030008', 'Dated Cotton Doublet (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '3162', '80022', '7016', '1', '0', '0', '0', '0', '16', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8030009', 'Dated Cotton Doublet (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '3162', '80023', '7016', '1', '0', '0', '0', '0', '16', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8030010', 'Dated Canvas Doublet', 'Normal/StandardItem', '1', '0', '0', '27800', '5022', '80024', '7016', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8030011', 'Dated Canvas Doublet (Auburn)', 'Normal/StandardItem', '1', '0', '0', '27800', '5022', '80025', '7016', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8030012', 'Dated Canvas Doublet (Pink)', 'Normal/StandardItem', '1', '0', '0', '27800', '5022', '80026', '7016', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8030013', 'Dated Canvas Doublet (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '5022', '80027', '7016', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8030014', 'Dated Canvas Doublet (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '5022', '80028', '7016', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8030015', 'Linen Doublet', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80029', '7016', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030016', 'Linen Doublet (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80031', '7016', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030017', 'Linen Doublet of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80031', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030018', 'Linen Doublet of Strength (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80032', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030019', 'Linen Doublet of Dexterity (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80033', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030020', 'Woolen Doublet', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82210', '7016', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030021', 'Woolen Doublet of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030022', 'Woolen Doublet of Strength (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030023', 'Woolen Doublet of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82211', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030024', 'Linen Doublet (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80032', '7016', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030025', 'Linen Doublet (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80033', '7016', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030026', 'Linen Doublet of Vitality', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80029', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030027', 'Linen Doublet of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80032', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030028', 'Linen Doublet of Vitality (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80033', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030029', 'Linen Doublet of Strength', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80029', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030030', 'Linen Doublet of Strength (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80031', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030031', 'Linen Doublet of Strength (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80033', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030032', 'Weathered Doublet (Yellow)', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '80676', '7016', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030033', 'Onion Doublet', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '81353', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030034', 'Dodore Doublet', 'Normal/StandardItem', '1', '0', '0', '27800', '9114', '81405', '7016', '2', '0', '0', '0', '0', '48', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030035', 'Gridanian Doublet', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '80021', '7016', '2', '0', '0', '0', '1', '25', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030036', 'Linen Doublet of Dexterity', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80029', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030037', 'Linen Doublet of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80031', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030038', 'Linen Doublet of Dexterity (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '7998', '80032', '7016', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030039', 'Woolen Doublet (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030040', 'Woolen Doublet (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030041', 'Woolen Doublet (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82211', '7016', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030042', 'Woolen Doublet of Vitality', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82210', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030043', 'Woolen Doublet of Vitality (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030044', 'Woolen Doublet of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82211', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030045', 'Woolen Doublet of Strength', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82210', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030046', 'Woolen Doublet of Strength (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030047', 'Woolen Doublet of Strength (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82211', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030048', 'Woolen Doublet of Dexterity', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82210', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030049', 'Woolen Doublet of Dexterity (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030050', 'Woolen Doublet of Dexterity (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '8928', '82212', '7016', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030101', 'Dated Bronze Cuirass', 'Normal/StandardItem', '1', '0', '0', '41700', '11700', '80048', '7014', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8030102', 'Dated Bronze Cuirass (Auburn)', 'Normal/StandardItem', '1', '0', '0', '41700', '11700', '80049', '7014', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8030103', 'Dated Bronze Cuirass (Pink)', 'Normal/StandardItem', '1', '0', '0', '41700', '11700', '80050', '7014', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8030104', 'Dated Bronze Cuirass (Brown)', 'Normal/StandardItem', '1', '0', '0', '41700', '11700', '80051', '7014', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8030105', 'Dated Bronze Cuirass (Blue)', 'Normal/StandardItem', '1', '0', '0', '41700', '11700', '80052', '7014', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8030106', 'Dated Iron Cuirass', 'Normal/StandardItem', '1', '0', '0', '41700', '14700', '80053', '7014', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030107', 'Dated Iron Cuirass (Green)', 'Normal/StandardItem', '1', '0', '0', '41700', '14700', '80056', '7014', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030108', 'Dated Iron Cuirass (Brown)', 'Normal/StandardItem', '1', '0', '0', '41700', '14700', '80057', '7014', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030109', 'Steel Cuirass', 'Normal/StandardItem', '1', '0', '0', '41700', '12000', '80054', '7014', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030110', 'Steel Cuirass (Blue)', 'Normal/StandardItem', '1', '0', '0', '41700', '12000', '80058', '7014', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030111', 'Cobalt Cuirass (Blue)', 'Normal/StandardItem', '1', '0', '0', '41700', '15000', '82422', '7014', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8030112', 'Sentinel\'s Cuirass', 'Normal/StandardItem', '1', '0', '0', '41700', '15300', '80062', '7014', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030113', 'Cobalt Cuirass', 'Normal/StandardItem', '1', '0', '0', '41700', '15000', '82213', '7014', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8030114', 'Cobalt Cuirass (Red)', 'Normal/StandardItem', '1', '0', '0', '41700', '15000', '82214', '7014', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8030115', '[en]', 'Normal/StandardItem', '1', '0', '0', '41700', '600', '60000', '7014', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030116', 'Darksteel Cuirass', 'Normal/StandardItem', '1', '0', '0', '41700', '600', '60000', '7014', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030117', 'Darksteel Cuirass (White)', 'Normal/StandardItem', '1', '0', '0', '41700', '600', '60000', '7014', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030118', 'Darksteel Cuirass (Gold)', 'Normal/StandardItem', '1', '0', '0', '41700', '600', '60000', '7014', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030119', '[en]', 'Normal/StandardItem', '1', '0', '0', '41700', '600', '60000', '7014', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030201', 'Dated Hempen Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '1148', '80091', '7016', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030202', 'Dated Hempen Robe (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '1148', '80092', '7016', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030203', 'Dated Hempen Robe (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '1148', '80093', '7016', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030204', 'Dated Hempen Robe (Beige)', 'Normal/StandardItem', '1', '0', '0', '25020', '1148', '80094', '7016', '1', '0', '0', '0', '0', '6', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030205', 'Dated Cotton Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '2788', '80095', '7016', '1', '0', '0', '0', '0', '16', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8030206', 'Dated Cotton Robe (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '2788', '80096', '7016', '1', '0', '0', '0', '0', '16', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8030207', 'Dated Cotton Robe (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '2788', '80097', '7016', '1', '0', '0', '0', '0', '16', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8030208', 'Dated Cotton Robe (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '2788', '80098', '7016', '1', '0', '0', '0', '0', '16', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8030209', 'Dated Cotton Robe (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '2788', '80099', '7016', '1', '0', '0', '0', '0', '16', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8030210', 'Dated Canvas Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '4428', '80100', '7016', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8030211', 'Dated Canvas Robe (Auburn)', 'Normal/StandardItem', '1', '0', '0', '25020', '4428', '80101', '7016', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8030212', 'Dated Canvas Robe (Pink)', 'Normal/StandardItem', '1', '0', '0', '25020', '4428', '80102', '7016', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8030213', 'Dated Canvas Robe (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '4428', '80103', '7016', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8030214', 'Dated Canvas Robe (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '4428', '80104', '7016', '1', '0', '0', '0', '0', '26', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8030215', 'Dated Velveteen Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80105', '7016', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8030216', 'Dated Velveteen Robe (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80106', '7016', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8030217', 'Dated Velveteen Robe (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80107', '7016', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8030218', 'Dated Velveteen Robe (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80108', '7016', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8030219', 'Dated Velveteen Robe (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80109', '7016', '1', '0', '0', '0', '0', '36', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8030220', 'Linen Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80110', '7016', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030221', 'Linen Robe of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80111', '7016', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030222', 'Linen Robe of Casting (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80112', '7016', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030223', 'Linen Robe (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80111', '7016', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030224', 'Linen Robe (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80112', '7016', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030225', 'Woolen Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80115', '7016', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030226', 'Woolen Robe (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80117', '7016', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030227', 'Woolen Robe of Casting (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80117', '7016', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030228', 'Woolen Robe (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80119', '7016', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030229', 'Woolen Robe of the Mind (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80119', '7016', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030230', 'Felt Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80120', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030231', 'Felt Robe of Casting (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80121', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030232', 'Felt Robe (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80121', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030233', 'Felt Robe of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80123', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030234', 'Linen Robe of the Mind', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80110', '7016', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030235', 'Linen Robe of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80112', '7016', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030236', 'Linen Robe of Casting', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80110', '7016', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030237', 'Linen Robe of Casting (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '6068', '80111', '7016', '1', '0', '0', '0', '1', '36', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8030238', 'Woolen Robe of Casting', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80115', '7016', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030239', 'Woolen Robe of Casting (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80119', '7016', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030240', 'Woolen Robe of the Mind', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80115', '7016', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030241', 'Woolen Robe of the Mind (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '6888', '80117', '7016', '1', '0', '0', '0', '1', '41', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8030242', 'Felt Robe (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80123', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030243', 'Felt Robe (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80122', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030244', 'Sorcerer\'s Robe', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '82149', '7016', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030245', 'Weathered Robe', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80711', '7016', '1', '0', '0', '0', '0', '1', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030246', 'Vintage Robe', 'Normal/StandardItem', '1', '1', '0', '25020', '8036', '81485', '7016', '1', '0', '0', '0', '0', '48', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030247', 'Tattered Robe', 'Normal/StandardItem', '1', '1', '0', '15000', '2340', '81485', '7016', '1', '0', '0', '0', '0', '38', '1106', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8030248', 'Ul\'dahn Robe', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80106', '7016', '2', '0', '0', '0', '1', '25', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030249', 'Felt Robe (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80124', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030250', 'Felt Robe of Casting', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80120', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030251', 'Felt Robe of Casting (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80123', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030252', 'Felt Robe of Casting (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80122', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030253', 'Felt Robe of Casting (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80124', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030254', 'Felt Robe of the Mind', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80120', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030255', 'Felt Robe of the Mind (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80121', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030256', 'Felt Robe of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80122', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030257', 'Felt Robe of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '7708', '80124', '7016', '1', '0', '0', '0', '1', '46', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8030301', 'Dated Bronze Chainmail', 'Normal/StandardItem', '1', '0', '0', '33360', '2080', '80127', '7015', '1', '0', '0', '0', '0', '12', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030302', 'Dated Bronze Chainmail (Brown)', 'Normal/StandardItem', '1', '0', '0', '33360', '2080', '80128', '7015', '1', '0', '0', '0', '0', '12', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030303', 'Dated Bronze Chainmail (Grey)', 'Normal/StandardItem', '1', '0', '0', '33360', '2080', '80129', '7015', '1', '0', '0', '0', '0', '12', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030304', 'Dated Bronze Chainmail (Beige)', 'Normal/StandardItem', '1', '0', '0', '33360', '2080', '80130', '7015', '1', '0', '0', '0', '0', '12', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030305', 'Dated Sentinel\'s Chainmail', 'Normal/StandardItem', '1', '0', '0', '33360', '3680', '80131', '7015', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030306', 'Dated Sentinel\'s Chainmail (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '3680', '80132', '7015', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030307', 'Dated Sentinel\'s Chainmail (Yellow)', 'Normal/StandardItem', '1', '0', '0', '33360', '3680', '80133', '7015', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030308', 'Dated Sentinel\'s Chainmail (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '3680', '80134', '7015', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030309', 'Dated Sentinel\'s Chainmail (Blue)', 'Normal/StandardItem', '1', '0', '0', '33360', '3680', '80135', '7015', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030310', 'Dated Mercenary\'s Chainmail', 'Normal/StandardItem', '1', '0', '0', '33360', '5280', '80136', '7015', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8030311', 'Dated Mercenary\'s Chainmail (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '5280', '80137', '7015', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8030312', 'Dated Mercenary\'s Chainmail (Yellow)', 'Normal/StandardItem', '1', '0', '0', '33360', '5280', '80138', '7015', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8030313', 'Dated Mercenary\'s Chainmail (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '5280', '80139', '7015', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8030314', 'Dated Mercenary\'s Chainmail (Blue)', 'Normal/StandardItem', '1', '0', '0', '33360', '5280', '80140', '7015', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8030315', 'Dated Cavalier\'s Chainmail', 'Normal/StandardItem', '1', '0', '0', '33360', '6880', '80141', '7015', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030316', 'Dated Cavalier\'s Chainmail (Auburn)', 'Normal/StandardItem', '1', '0', '0', '33360', '6880', '80142', '7015', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030317', 'Dated Cavalier\'s Chainmail (Pink)', 'Normal/StandardItem', '1', '0', '0', '33360', '6880', '80143', '7015', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030318', 'Dated Cavalier\'s Chainmail (Brown)', 'Normal/StandardItem', '1', '0', '0', '33360', '6880', '80144', '7015', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030319', 'Dated Cavalier\'s Chainmail (Blue)', 'Normal/StandardItem', '1', '0', '0', '33360', '6880', '80145', '7015', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8030320', 'Steel Chainmail', 'Normal/StandardItem', '1', '0', '0', '33360', '5280', '82243', '7015', '1', '0', '0', '0', '0', '32', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8030321', 'Steel Chainmail (Yellow)', 'Normal/StandardItem', '1', '0', '0', '33360', '5280', '82244', '7015', '1', '0', '0', '0', '0', '32', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8030322', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030323', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030324', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030325', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030326', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030327', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030328', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030329', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030330', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030331', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030332', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030333', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030334', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030335', 'Felt Tabard', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030336', 'Felt Tabard (Teal)', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030337', 'Felt Tabard (Blue)', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030338', 'Felt Tabard (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030339', 'Felt Tabard (Brown)', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030340', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030341', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030342', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030343', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030344', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030345', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030346', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030347', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030348', '[en]', 'Normal/StandardItem', '1', '0', '0', '33360', '320', '60000', '7015', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030349', 'Explorer\'s Tabard', 'Normal/StandardItem', '1', '1', '0', '33360', '8160', '80147', '7015', '2', '0', '0', '0', '1', '50', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030350', 'Lominsan Chainmail', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82069', '7015', '2', '0', '0', '0', '1', '25', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030401', 'Dated Hempen Dalmatica', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80063', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030402', 'Dated Hempen Dalmatica (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80064', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030403', 'Dated Hempen Dalmatica (Grey)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80065', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030404', 'Dated Hempen Dalmatica (Beige)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80066', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030405', 'Dated Cotton Dalmatica', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80067', '7016', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030406', 'Dated Cotton Dalmatica (Red)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80068', '7016', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030407', 'Dated Cotton Dalmatica (Yellow)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80069', '7016', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030408', 'Dated Cotton Dalmatica (Green)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80070', '7016', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030409', 'Dated Cotton Dalmatica (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80071', '7016', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030410', 'Dated Canvas Dalmatica', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80072', '7016', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030411', 'Dated Canvas Dalmatica (Auburn)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80073', '7016', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030412', 'Dated Canvas Dalmatica (Pink)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80074', '7016', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030413', 'Dated Canvas Dalmatica (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80075', '7016', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030414', 'Dated Canvas Dalmatica (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80076', '7016', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030415', 'Hempen Dalmatica (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80064', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030416', 'Hempen Dalmatica (Red)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80066', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030417', 'Hempen Dalmatica of Casting', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80063', '7016', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030418', 'Hempen Dalmatica of Casting (Red)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80066', '7016', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030419', 'Hempen Dalmatica of Toiling', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80063', '7016', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030420', 'Hempen Dalmatica', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80063', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030421', 'Hempen Dalmatica of Casting (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80064', '7016', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030422', 'Hempen Dalmatica of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80066', '7016', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030423', 'Cotton Dalmatica', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80067', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030424', 'Cotton Dalmatica of Casting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80069', '7016', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030425', 'Cotton Dalmatica of Toiling (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80071', '7016', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030426', 'Hempen Dalmatica of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80064', '7016', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030427', 'Cotton Dalmatica (Yellow)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80069', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030428', 'Cotton Dalmatica (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80071', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030429', 'Cotton Dalmatica of Casting', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80067', '7016', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030430', 'Cotton Dalmatica of Casting (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80071', '7016', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030431', 'Cotton Dalmatica of Toiling', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80067', '7016', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030432', 'Cotton Dalmatica of Toiling (Yellow)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80069', '7016', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8030433', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030434', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030435', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030436', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030437', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030438', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030439', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030440', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030441', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030442', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030443', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030444', '[en]', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '60000', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8030445', 'Weathered Dalmatica', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '80682', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030446', 'Weathered Dalmatica (Grey)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '80683', '7016', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030447', 'Lominsan Dalmatica', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '80679', '7016', '2', '0', '0', '0', '1', '25', '2111', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030501', 'Dated Hempen Gown', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80077', '7016', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030502', 'Dated Hempen Gown (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80078', '7016', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030503', 'Dated Hempen Gown (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80079', '7016', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030504', 'Dated Hempen Gown (Beige)', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80080', '7016', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030505', 'Dated Cotton Gown', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80081', '7016', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8030506', 'Dated Cotton Gown (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80082', '7016', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8030507', 'Dated Cotton Gown (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80083', '7016', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8030508', 'Dated Cotton Gown (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80084', '7016', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8030509', 'Dated Cotton Gown (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80085', '7016', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8030510', 'Dated Canvas Gown', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80086', '7016', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8030511', 'Dated Canvas Gown (Auburn)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80087', '7016', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8030512', 'Dated Canvas Gown (Pink)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80088', '7016', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8030513', 'Dated Canvas Gown (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80089', '7016', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8030514', 'Dated Canvas Gown (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80090', '7016', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8030515', 'Dated Velveteen Gown', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80684', '7016', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8030516', 'Dated Velveteen Gown (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80685', '7016', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8030517', 'Dated Velveteen Gown (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80686', '7016', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8030518', 'Dated Velveteen Gown (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80687', '7016', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8030519', 'Dated Velveteen Gown (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80688', '7016', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8030520', 'Woolen Gown', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82215', '7016', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030521', 'Woolen Gown of the Mind (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82216', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030522', 'Woolen Gown of Vitality (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82217', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030523', 'Woolen Gown of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82218', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030524', 'Felt Gown', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82219', '7016', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030525', 'Felt Gown of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82220', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030526', 'Felt Gown of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82221', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030527', 'Felt Gown of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82222', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030528', 'Woolen Gown (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82216', '7016', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030529', 'Woolen Gown (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82217', '7016', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030530', 'Woolen Gown (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82218', '7016', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030531', 'Woolen Gown of the Mind', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82215', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030532', 'Woolen Gown of the Mind (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82217', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030533', 'Woolen Gown of the Mind (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82218', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030534', 'Woolen Gown of Vitality', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82215', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030535', 'Woolen Gown of Vitality (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82216', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030536', 'Woolen Gown of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82218', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030537', 'Woolen Gown of Intelligence', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82215', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030538', 'Woolen Gown of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82216', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030539', 'Woolen Gown of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '6600', '82217', '7016', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030540', 'Felt Gown (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82220', '7016', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030541', 'Felt Gown (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82221', '7016', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030542', 'Felt Gown (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82222', '7016', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030543', 'Felt Gown (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82423', '7016', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030544', 'Felt Gown of the Mind', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82219', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030545', 'Felt Gown of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82221', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030546', 'Weathered Gown (Grey)', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80689', '7016', '1', '0', '0', '0', '0', '1', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030547', 'Weathered Gown (Beige)', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80690', '7016', '1', '0', '0', '0', '0', '1', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030548', 'Ul\'dahn Gown', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80685', '7016', '2', '0', '0', '0', '1', '25', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030549', 'Felt Gown of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82222', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030550', 'Felt Gown of the Mind (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82423', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030551', 'Felt Gown of Vitality', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82219', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030552', 'Felt Gown of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82220', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030553', 'Felt Gown of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82222', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030554', 'Felt Gown of Vitality (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82423', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030555', 'Felt Gown of Intelligence', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82219', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030556', 'Felt Gown of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82220', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030557', 'Felt Gown of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82221', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030558', 'Felt Gown of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '7350', '82423', '7016', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030601', 'Weathered Hunting Tunic (Brown)', 'Normal/StandardItem', '1', '1', '1', '30580', '0', '80745', '7016', '1', '0', '0', '0', '0', '1', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030602', 'Dated Hunting Tunic (Brown)', 'Normal/StandardItem', '1', '0', '0', '30580', '1860', '80125', '7016', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030603', 'Dated Hunting Tunic (Grey)', 'Normal/StandardItem', '1', '0', '0', '30580', '1860', '80728', '7016', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030604', 'Dated Hunting Tunic (Beige)', 'Normal/StandardItem', '1', '0', '0', '30580', '1860', '80729', '7016', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030605', 'Dated Trapper\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '30580', '3720', '80730', '7016', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030606', 'Dated Trapper\'s Tunic (Red)', 'Normal/StandardItem', '1', '0', '0', '30580', '3720', '80731', '7016', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030607', 'Dated Trapper\'s Tunic (Yellow)', 'Normal/StandardItem', '1', '0', '0', '30580', '3720', '80732', '7016', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030608', 'Dated Trapper\'s Tunic (Green)', 'Normal/StandardItem', '1', '0', '0', '30580', '3720', '80733', '7016', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030609', 'Dated Trapper\'s Tunic (Blue)', 'Normal/StandardItem', '1', '0', '0', '30580', '3720', '80734', '7016', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030610', 'Dated Tracker\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '30580', '5580', '80735', '7016', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030611', 'Dated Tracker\'s Tunic (Auburn)', 'Normal/StandardItem', '1', '0', '0', '30580', '5580', '80736', '7016', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030612', 'Dated Tracker\'s Tunic (Pink)', 'Normal/StandardItem', '1', '0', '0', '30580', '5580', '80737', '7016', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030613', 'Dated Tracker\'s Tunic (Brown)', 'Normal/StandardItem', '1', '0', '0', '30580', '5580', '80738', '7016', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030614', 'Dated Tracker\'s Tunic (Blue)', 'Normal/StandardItem', '1', '0', '0', '30580', '5580', '80739', '7016', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030615', 'Dated Bowman\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '30580', '7440', '80740', '7016', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030616', 'Dated Bowman\'s Tunic (Black)', 'Normal/StandardItem', '1', '0', '0', '30580', '7440', '80741', '7016', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030617', 'Dated Bowman\'s Tunic (Red)', 'Normal/StandardItem', '1', '0', '0', '30580', '7440', '80742', '7016', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030618', 'Dated Bowman\'s Tunic (Yellow)', 'Normal/StandardItem', '1', '0', '0', '30580', '7440', '80743', '7016', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030619', 'Dated Bowman\'s Tunic (Green)', 'Normal/StandardItem', '1', '0', '0', '30580', '7440', '80744', '7016', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030620', 'Poacher\'s Tunic', 'Normal/StandardItem', '1', '1', '1', '30580', '0', '81511', '7016', '2', '0', '0', '0', '1', '30', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8030621', 'Ranger\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '30580', '8184', '82233', '7016', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030622', 'Ranger\'s Tunic (Red)', 'Normal/StandardItem', '1', '0', '0', '30580', '8184', '82234', '7016', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8030623', 'Rainmaker\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '30580', '9114', '82235', '7016', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030624', 'Rainmaker\'s Tunic (Blue)', 'Normal/StandardItem', '1', '0', '0', '30580', '9114', '82236', '7016', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030625', 'Serpent Private\'s Tunic', 'Normal/StandardItem', '1', '1', '1', '30580', '0', '80733', '7016', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030626', 'Serpent Sergeant\'s Tunic', 'Normal/StandardItem', '1', '1', '1', '30580', '0', '80738', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030627', 'Explorer\'s Tunic', 'Normal/StandardItem', '1', '1', '0', '30580', '9114', '82509', '7016', '2', '0', '0', '0', '1', '48', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8030701', 'Weathered Shirt', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '80759', '7016', '1', '0', '0', '0', '0', '1', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030702', 'Dated Hempen Shirt', 'Normal/StandardItem', '1', '0', '0', '27800', '1404', '80126', '7016', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030703', 'Dated Hempen Shirt (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '1404', '80746', '7016', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030704', 'Dated Hempen Shirt (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '1404', '80747', '7016', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030705', 'Dated Hempen Shirt (Beige)', 'Normal/StandardItem', '1', '0', '0', '27800', '1404', '80748', '7016', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030706', 'Dated Cotton Shirt', 'Normal/StandardItem', '1', '0', '0', '27800', '2964', '80749', '7016', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030707', 'Dated Cotton Shirt (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '2964', '80750', '7016', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030708', 'Dated Cotton Shirt (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '2964', '80751', '7016', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030709', 'Dated Cotton Shirt (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '2964', '80752', '7016', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030710', 'Dated Cotton Shirt (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '2964', '80753', '7016', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030711', 'Dated Velveteen Shirt', 'Normal/StandardItem', '1', '0', '0', '27800', '6084', '80754', '7016', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8030712', 'Dated Velveteen Shirt (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '6084', '80755', '7016', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8030713', 'Dated Velveteen Shirt (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '6084', '80756', '7016', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8030714', 'Dated Velveteen Shirt (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '6084', '80757', '7016', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8030715', 'Dated Velveteen Shirt (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '6084', '80758', '7016', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8030716', 'Buccaneer\'s Shirt', 'Normal/StandardItem', '1', '1', '0', '27800', '8736', '82050', '7016', '2', '0', '0', '0', '0', '47', '1006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8030717', 'Velveteen Shirt', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '82237', '7016', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030718', 'Velveteen Shirt of Slaying (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '81534', '7016', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030719', 'Velveteen Shirt of Invoking (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '81535', '7016', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030720', 'Linen Shirt', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82238', '7016', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030721', 'Linen Shirt of Slaying (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82239', '7016', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030722', 'Linen Shirt of Invoking (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82240', '7016', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030723', 'Woolen Shirt', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82241', '7016', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030724', 'Woolen Shirt of Invoking (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82242', '7016', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030725', 'Sipahi Shirt', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '82147', '7016', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030726', 'Velveteen Shirt (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '81534', '7016', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030727', 'Velveteen Shirt (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '81535', '7016', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030728', 'Velveteen Shirt of Slaying', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '82237', '7016', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030729', 'Velveteen Shirt of Slaying (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '81535', '7016', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030730', 'Velveteen Shirt of Invoking', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '82237', '7016', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030731', 'Velveteen Shirt of Invoking (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '4056', '81534', '7016', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030732', 'Linen Shirt (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82239', '7016', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030733', 'Linen Shirt (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82240', '7016', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030734', 'Linen Shirt of Slaying', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82238', '7016', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030735', 'Linen Shirt of Slaying (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82240', '7016', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030736', 'Linen Shirt of Invoking', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82238', '7016', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030737', 'Linen Shirt of Invoking (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '5616', '82239', '7016', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030738', 'Woolen Shirt (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82242', '7016', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030739', 'Woolen Shirt (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82427', '7016', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030740', 'Woolen Shirt (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82428', '7016', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030741', 'Woolen Shirt of Invoking', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82241', '7016', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030742', 'Woolen Shirt of Invoking (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82427', '7016', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030743', 'Woolen Shirt of Invoking (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '6396', '82428', '7016', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030744', 'Flame Private\'s Shirt', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '80747', '7016', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8030745', 'Flame Sergeant\'s Shirt', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '80755', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030801', 'Weathered Acton (Grey)', 'Normal/StandardItem', '1', '1', '1', '30580', '0', '80778', '7015', '1', '0', '0', '0', '0', '1', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030802', 'Dated Hempen Acton (Grey)', 'Normal/StandardItem', '1', '0', '0', '30580', '1840', '80149', '7015', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030803', 'Dated Hempen Acton (Beige)', 'Normal/StandardItem', '1', '0', '0', '30580', '1840', '80764', '7015', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030804', 'Dated Hempen Acton (Brown)', 'Normal/StandardItem', '1', '0', '0', '30580', '1840', '81582', '7015', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030805', 'Dated Cotton Acton (Red)', 'Normal/StandardItem', '1', '0', '0', '30580', '3680', '80766', '7015', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030806', 'Dated Cotton Acton (Blue)', 'Normal/StandardItem', '1', '0', '0', '30580', '3680', '80767', '7015', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030807', 'Dated Cotton Acton (Yellow)', 'Normal/StandardItem', '1', '0', '0', '30580', '3680', '80768', '7015', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030808', 'Dated Cotton Acton (Green)', 'Normal/StandardItem', '1', '0', '0', '30580', '3680', '80769', '7015', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8030809', 'Dated Canvas Acton (Auburn)', 'Normal/StandardItem', '1', '0', '0', '30580', '5520', '80770', '7015', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030810', 'Dated Canvas Acton (Pink)', 'Normal/StandardItem', '1', '0', '0', '30580', '5520', '80771', '7015', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030811', 'Dated Canvas Acton (Brown)', 'Normal/StandardItem', '1', '0', '0', '30580', '5520', '80772', '7015', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030812', 'Dated Canvas Acton (Blue)', 'Normal/StandardItem', '1', '0', '0', '30580', '5520', '80773', '7015', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8030813', 'Dated Velveteen Acton', 'Normal/StandardItem', '1', '0', '0', '30580', '7360', '80774', '7015', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030814', 'Dated Velveteen Acton (Green)', 'Normal/StandardItem', '1', '0', '0', '30580', '7360', '80775', '7015', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030815', 'Dated Velveteen Acton (Yellow)', 'Normal/StandardItem', '1', '0', '0', '30580', '7360', '80776', '7015', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030816', 'Dated Velveteen Acton (Black)', 'Normal/StandardItem', '1', '0', '0', '30580', '7360', '80777', '7015', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8030817', 'Harlequin\'s Acton', 'Normal/StandardItem', '1', '1', '0', '25020', '8976', '81583', '7015', '2', '0', '0', '0', '0', '50', '1007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030818', 'Brigand\'s Acton', 'Normal/StandardItem', '1', '1', '1', '30580', '0', '80776', '7015', '2', '0', '0', '0', '1', '30', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8030819', 'Hempen Acton', 'Normal/StandardItem', '1', '0', '0', '30580', '1656', '80764', '7015', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030820', 'Hempen Acton (Grey)', 'Normal/StandardItem', '1', '0', '0', '30580', '1656', '80149', '7015', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8030821', 'Cotton Acton', 'Normal/StandardItem', '1', '0', '0', '30580', '3496', '80767', '7015', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030822', 'Cotton Acton (Brown)', 'Normal/StandardItem', '1', '0', '0', '30580', '3496', '80766', '7015', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8030823', 'Mercenary\'s Acton', 'Normal/StandardItem', '1', '1', '1', '30580', '0', '82143', '7015', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030824', 'Veteran\'s Acton', 'Normal/StandardItem', '1', '1', '0', '30580', '9200', '82510', '7015', '2', '0', '0', '0', '1', '49', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8030901', 'Dated Dodoskin Jacket (Rat)', 'Normal/StandardItem', '1', '0', '0', '33360', '3360', '80779', '7015', '1', '0', '0', '0', '0', '15', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8030902', 'Dated Dodoskin Jacket (Squirrel)', 'Normal/StandardItem', '1', '0', '0', '33360', '3360', '80780', '7015', '1', '0', '0', '0', '0', '15', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8030903', 'Dated Dodoskin Jacket (Marmot)', 'Normal/StandardItem', '1', '0', '0', '33360', '3360', '80781', '7015', '1', '0', '0', '0', '0', '15', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8030904', 'Dated Leather Jacket (Black)', 'Normal/StandardItem', '1', '0', '0', '33360', '5460', '80782', '7015', '1', '0', '0', '0', '0', '25', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030905', 'Dated Leather Jacket (Ochre)', 'Normal/StandardItem', '1', '0', '0', '33360', '5460', '80783', '7015', '1', '0', '0', '0', '0', '25', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030906', 'Dated Leather Jacket (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '5460', '80784', '7015', '1', '0', '0', '0', '0', '25', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030907', 'Dated Leather Jacket (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '5460', '80785', '7015', '1', '0', '0', '0', '0', '25', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030908', 'Dated Scouting Jacket (Black)', 'Normal/StandardItem', '1', '0', '0', '33360', '7560', '80786', '7015', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030909', 'Dated Scouting Jacket (Ochre)', 'Normal/StandardItem', '1', '0', '0', '33360', '7560', '80787', '7015', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030910', 'Dated Scouting Jacket (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '7560', '80788', '7015', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030911', 'Dated Scouting Jacket (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '7560', '80789', '7015', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8030912', 'Dated Harrier\'s Jacket (Black)', 'Normal/StandardItem', '1', '0', '0', '33360', '9660', '80790', '7015', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8030913', 'Dated Harrier\'s Jacket (Ochre)', 'Normal/StandardItem', '1', '0', '0', '33360', '9660', '80791', '7015', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8030914', 'Dated Harrier\'s Jacket (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '9660', '80792', '7015', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8030915', 'Dated Harrier\'s Jacket (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '9660', '80793', '7015', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8030916', 'Wood Wailer\'s Jacket', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '81589', '7015', '1', '0', '0', '0', '0', '20', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8030917', 'Eternal Shade', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '81367', '7015', '2', '0', '0', '0', '0', '25', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030918', 'Alpine War Jacket', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82072', '7015', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8030919', 'Gridanian Jacket', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '80791', '7015', '2', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8030920', 'Leather Jacket', 'Normal/StandardItem', '1', '0', '0', '33360', '4410', '80786', '7015', '1', '0', '0', '0', '0', '20', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8030921', 'Leather Jacket (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '4410', '80788', '7015', '1', '0', '0', '0', '0', '20', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8030922', 'Toadskin Jacket', 'Normal/StandardItem', '1', '0', '0', '33360', '6510', '82248', '7015', '1', '0', '0', '0', '0', '30', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8030923', 'Toadskin Jacket (Black)', 'Normal/StandardItem', '1', '0', '0', '33360', '6510', '82249', '7015', '1', '0', '0', '0', '0', '30', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8030924', 'Plundered Jacket', 'Normal/StandardItem', '1', '1', '0', '33360', '3360', '81588', '7015', '1', '0', '0', '0', '1', '15', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8031001', 'Dated Taupe Sheepskin Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '4140', '80691', '7016', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031002', 'Dated Taupe Sheepskin Jerkin (Grey)', 'Normal/StandardItem', '1', '0', '0', '36140', '4140', '80692', '7016', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031003', 'Dated Sheepskin Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '4140', '80693', '7016', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031004', 'Dated Slate-grey Sheepskin Jerkin (Brown)', 'Normal/StandardItem', '1', '0', '0', '36140', '4140', '80694', '7016', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031005', 'Dated Dodoskin Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '6440', '80695', '7016', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031006', 'Dated Dodoskin Jerkin (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '6440', '80696', '7016', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031007', 'Dated Dodoskin Jerkin (Yellow)', 'Normal/StandardItem', '1', '0', '0', '36140', '6440', '80697', '7016', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031008', 'Dated Dodoskin Jerkin (Green)', 'Normal/StandardItem', '1', '0', '0', '36140', '6440', '80698', '7016', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031009', 'Dated Dodoskin Jerkin (Blue)', 'Normal/StandardItem', '1', '0', '0', '36140', '6440', '80699', '7016', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031010', 'Dated Leather Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '8740', '80700', '7016', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031011', 'Dated Leather Jerkin (Auburn)', 'Normal/StandardItem', '1', '0', '0', '36140', '8740', '80701', '7016', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031012', 'Dated Leather Jerkin (Pink)', 'Normal/StandardItem', '1', '0', '0', '36140', '8740', '80702', '7016', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031013', 'Dated Leather Jerkin (Brown)', 'Normal/StandardItem', '1', '0', '0', '36140', '8740', '80703', '7016', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031014', 'Dated Leather Jerkin (Blue)', 'Normal/StandardItem', '1', '0', '0', '36140', '8740', '80704', '7016', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031015', 'Dated Tarred Leather Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '11040', '80705', '7016', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031016', 'Dated Tarred Leather Jerkin (Black)', 'Normal/StandardItem', '1', '0', '0', '36140', '11040', '80706', '7016', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031017', 'Dated Tarred Leather Jerkin (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '11040', '80707', '7016', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031018', 'Dated Tarred Leather Jerkin (Yellow)', 'Normal/StandardItem', '1', '0', '0', '36140', '11040', '80708', '7016', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031019', 'Dated Tarred Leather Jerkin (Green)', 'Normal/StandardItem', '1', '0', '0', '36140', '11040', '80709', '7016', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031020', 'Weathered Jerkin (Brown)', 'Normal/StandardItem', '1', '1', '1', '36140', '0', '80710', '7016', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031021', 'Ul\'dahn Jerkin', 'Normal/StandardItem', '1', '1', '1', '36140', '0', '80707', '7016', '2', '0', '0', '0', '1', '25', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031022', 'Boarskin Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82223', '7016', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031023', 'Boarskin Jerkin of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82224', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031024', 'Boarskin Jerkin of Strength (Grey)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82225', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031025', 'Boarskin Jerkin of Dexterity (Black)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82226', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031026', 'Raptorskin Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031027', 'Raptorskin Jerkin of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82228', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031028', 'Raptorskin Jerkin of Strength (Green)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031029', 'Raptorskin Jerkin of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82229', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031030', 'Boarskin Jerkin (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82224', '7016', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031031', 'Boarskin Jerkin (Grey)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82225', '7016', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031032', 'Boarskin Jerkin (Black)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82226', '7016', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031033', 'Boarskin Jerkin of Vitality', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82223', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031034', 'Boarskin Jerkin of Vitality (Grey)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82225', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031035', 'Boarskin Jerkin of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82226', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031036', 'Boarskin Jerkin of Strength', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82223', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031037', 'Boarskin Jerkin of Strength (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82224', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031038', 'Boarskin Jerkin of Strength (Black)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82226', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031039', 'Boarskin Jerkin of Dexterity', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82223', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031040', 'Boarskin Jerkin of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82224', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031041', 'Boarskin Jerkin of Dexterity (Grey)', 'Normal/StandardItem', '1', '0', '0', '36140', '10120', '82225', '7016', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031042', 'Raptorskin Jerkin (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82228', '7016', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031043', 'Raptorskin Jerkin (Green)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031044', 'Raptorskin Jerkin (Blue)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82229', '7016', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031045', 'Raptorskin Jerkin (Brown)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82424', '7016', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031046', 'Raptorskin Jerkin of Vitality', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031047', 'Raptorskin Jerkin of Vitality (Green)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031048', 'Raptorskin Jerkin of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82229', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031049', 'Raptorskin Jerkin of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82424', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031050', 'Raptorskin Jerkin of Strength', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031051', 'Raptorskin Jerkin of Strength (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82228', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031052', 'Raptorskin Jerkin of Strength (Blue)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82229', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031053', 'Raptorskin Jerkin of Strength (Brown)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82424', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031054', 'Raptorskin Jerkin of Dexterity', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031055', 'Raptorskin Jerkin of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82228', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031056', 'Raptorskin Jerkin of Dexterity (Green)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82227', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031057', 'Raptorskin Jerkin of Dexterity (Brown)', 'Normal/StandardItem', '1', '0', '0', '36140', '11270', '82424', '7016', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031101', 'Dated Hempen Tabard', 'Normal/StandardItem', '1', '0', '0', '25020', '960', '80830', '7015', '1', '0', '0', '0', '0', '5', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031102', 'Dated Hempen Tabard (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '960', '80831', '7015', '1', '0', '0', '0', '0', '5', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031103', 'Dated Hempen Tabard (Beige)', 'Normal/StandardItem', '1', '0', '0', '25020', '960', '80832', '7015', '1', '0', '0', '0', '0', '5', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031104', 'Dated Hempen Tabard (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '960', '80833', '7015', '1', '0', '0', '0', '0', '5', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031105', 'Dated Cotton Tabard', 'Normal/StandardItem', '1', '0', '0', '25020', '2560', '80834', '7015', '1', '0', '0', '0', '0', '15', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8031106', 'Dated Cotton Tabard (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '2560', '80835', '7015', '1', '0', '0', '0', '0', '15', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8031107', 'Dated Cotton Tabard (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '2560', '80836', '7015', '1', '0', '0', '0', '0', '15', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8031108', 'Dated Cotton Tabard (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '2560', '80837', '7015', '1', '0', '0', '0', '0', '15', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8031109', 'Dated Cotton Tabard (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '2560', '80838', '7015', '1', '0', '0', '0', '0', '15', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8031110', 'Dated Canvas Tabard', 'Normal/StandardItem', '1', '0', '0', '25020', '4160', '80839', '7015', '1', '0', '0', '0', '0', '25', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031111', 'Dated Canvas Tabard (Auburn)', 'Normal/StandardItem', '1', '0', '0', '25020', '4160', '80840', '7015', '1', '0', '0', '0', '0', '25', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031112', 'Dated Canvas Tabard (Pink)', 'Normal/StandardItem', '1', '0', '0', '25020', '4160', '80841', '7015', '1', '0', '0', '0', '0', '25', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031113', 'Dated Canvas Tabard (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '4160', '80842', '7015', '1', '0', '0', '0', '0', '25', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031114', 'Dated Canvas Tabard (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '4160', '80843', '7015', '1', '0', '0', '0', '0', '25', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031115', 'Dated Velveteen Tabard', 'Normal/StandardItem', '1', '0', '0', '25020', '5760', '80844', '7015', '1', '0', '0', '0', '0', '35', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8031116', 'Dated Velveteen Tabard (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '5760', '80845', '7015', '1', '0', '0', '0', '0', '35', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8031117', 'Dated Velveteen Tabard (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '5760', '80846', '7015', '1', '0', '0', '0', '0', '35', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8031118', 'Dated Velveteen Tabard (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '5760', '80847', '7015', '1', '0', '0', '0', '0', '35', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8031119', 'Dated Velveteen Tabard (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '5760', '80848', '7015', '1', '0', '0', '0', '0', '35', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8031120', 'Weathered Tabard', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80849', '7015', '1', '0', '0', '0', '0', '1', '1004', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031121', 'Cotton Tabard', 'Normal/StandardItem', '1', '0', '0', '25020', '2720', '80834', '7015', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8031122', 'Cotton Tabard (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '2720', '80835', '7015', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8031201', 'Dated Hempen Doublet Vest', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80850', '7016', '1', '0', '0', '0', '0', '4', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031202', 'Dated Hempen Doublet Vest (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80851', '7016', '1', '0', '0', '0', '0', '4', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031203', 'Dated Hempen Doublet Vest (Beige)', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80852', '7016', '1', '0', '0', '0', '0', '4', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031204', 'Dated Hempen Doublet Vest (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '750', '80853', '7016', '1', '0', '0', '0', '0', '4', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031205', 'Dated Cotton Doublet Vest', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80854', '7016', '1', '0', '0', '0', '0', '14', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8031206', 'Dated Cotton Doublet Vest (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80855', '7016', '1', '0', '0', '0', '0', '14', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8031207', 'Dated Cotton Doublet Vest (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80856', '7016', '1', '0', '0', '0', '0', '14', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8031208', 'Dated Cotton Doublet Vest (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80857', '7016', '1', '0', '0', '0', '0', '14', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8031209', 'Dated Cotton Doublet Vest (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '2250', '80858', '7016', '1', '0', '0', '0', '0', '14', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8031210', 'Dated Canvas Doublet Vest', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80859', '7016', '1', '0', '0', '0', '0', '24', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031211', 'Dated Canvas Doublet Vest (Auburn)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80860', '7016', '1', '0', '0', '0', '0', '24', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031212', 'Dated Canvas Doublet Vest (Pink)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80861', '7016', '1', '0', '0', '0', '0', '24', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031213', 'Dated Canvas Doublet Vest (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80862', '7016', '1', '0', '0', '0', '0', '24', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031214', 'Dated Canvas Doublet Vest (Blue)', 'Normal/StandardItem', '1', '0', '0', '25020', '3750', '80863', '7016', '1', '0', '0', '0', '0', '24', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031215', 'Weathered Doublet Vest (Grey)', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80869', '7016', '1', '0', '0', '0', '0', '1', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031216', 'Dated Velveteen Doublet Vest', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80864', '7016', '1', '0', '0', '0', '0', '34', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8031217', 'Dated Velveteen Doublet Vest (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80865', '7016', '1', '0', '0', '0', '0', '34', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8031218', 'Dated Velveteen Doublet Vest (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80866', '7016', '1', '0', '0', '0', '0', '34', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8031219', 'Dated Velveteen Doublet Vest (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80867', '7016', '1', '0', '0', '0', '0', '34', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8031220', 'Dated Velveteen Doublet Vest (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '5250', '80868', '7016', '1', '0', '0', '0', '0', '34', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8031221', 'Frayed Cotton Doublet Vest', 'Normal/StandardItem', '1', '1', '0', '25020', '1650', '81856', '7016', '1', '0', '0', '0', '0', '10', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031222', 'Vintage Doublet Vest', 'Normal/StandardItem', '1', '1', '0', '25020', '4650', '80858', '7016', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031223', 'Lominsan Doublet Vest', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '80866', '7016', '2', '0', '0', '0', '1', '25', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031224', 'Hempen Doublet Vest', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80850', '7016', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031225', 'Hempen Doublet Vest of Gathering (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80853', '7016', '1', '0', '0', '0', '1', '12', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031226', 'Hempen Doublet Vest of Crafting (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80851', '7016', '1', '0', '0', '0', '1', '12', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031227', 'Cotton Doublet Vest', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80854', '7016', '1', '0', '0', '0', '0', '22', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031228', 'Cotton Doublet Vest of Gathering (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80857', '7016', '1', '0', '0', '0', '1', '22', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031229', 'Cotton Doublet Vest of Crafting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80858', '7016', '1', '0', '0', '0', '1', '22', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031230', 'Velveteen Doublet Vest', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80864', '7016', '1', '0', '0', '0', '0', '32', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031231', 'Velveteen Doublet Vest of Gathering (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80865', '7016', '1', '0', '0', '0', '1', '32', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031232', 'Velveteen Doublet Vest of Crafting (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80867', '7016', '1', '0', '0', '0', '1', '32', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031233', 'Hempen Doublet Vest (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80853', '7016', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031234', 'Hempen Doublet Vest (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80851', '7016', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031235', 'Hempen Doublet Vest of Gathering', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80850', '7016', '1', '0', '0', '0', '1', '12', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031236', 'Hempen Doublet Vest of Gathering (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80851', '7016', '1', '0', '0', '0', '1', '12', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031237', 'Hempen Doublet Vest of Crafting', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80850', '7016', '1', '0', '0', '0', '1', '12', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031238', 'Hempen Doublet Vest of Crafting (Grey)', 'Normal/StandardItem', '1', '0', '0', '25020', '1950', '80853', '7016', '1', '0', '0', '0', '1', '12', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031239', 'Cotton Doublet Vest (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80857', '7016', '1', '0', '0', '0', '0', '22', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031240', 'Cotton Doublet Vest (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80858', '7016', '1', '0', '0', '0', '0', '22', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031241', 'Cotton Doublet Vest of Gathering', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80854', '7016', '1', '0', '0', '0', '1', '22', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031242', 'Cotton Doublet Vest of Gathering (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80858', '7016', '1', '0', '0', '0', '1', '22', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031243', 'Cotton Doublet Vest of Crafting', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80854', '7016', '1', '0', '0', '0', '1', '22', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031244', 'Cotton Doublet Vest of Crafting (Brown)', 'Normal/StandardItem', '1', '0', '0', '25020', '3450', '80857', '7016', '1', '0', '0', '0', '1', '22', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031245', 'Velveteen Doublet Vest (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80865', '7016', '1', '0', '0', '0', '0', '32', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031246', 'Velveteen Doublet Vest (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80867', '7016', '1', '0', '0', '0', '0', '32', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031247', 'Velveteen Doublet Vest of Gathering', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80864', '7016', '1', '0', '0', '0', '1', '32', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031248', 'Velveteen Doublet Vest of Gathering (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80867', '7016', '1', '0', '0', '0', '1', '32', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031249', 'Velveteen Doublet Vest of Crafting', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80864', '7016', '1', '0', '0', '0', '1', '32', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031250', 'Velveteen Doublet Vest of Crafting (Green)', 'Normal/StandardItem', '1', '0', '0', '25020', '4950', '80865', '7016', '1', '0', '0', '0', '1', '32', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031301', 'Dated Hempen Tunic', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80870', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031302', 'Dated Hempen Tunic (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80871', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031303', 'Dated Hempen Tunic (Beige)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80872', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031304', 'Dated Hempen Tunic (Grey)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80873', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031305', 'Dated Cotton Tunic', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80874', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031306', 'Dated Cotton Tunic (Green)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80875', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031307', 'Dated Cotton Tunic (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80876', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031308', 'Dated Cotton Tunic (Red)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80877', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031309', 'Dated Cotton Tunic (Yellow)', 'Normal/StandardItem', '1', '0', '0', '22240', '1560', '80878', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031310', 'Dated Canvas Tunic', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80879', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031311', 'Dated Canvas Tunic (Auburn)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80880', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031312', 'Dated Canvas Tunic (Pink)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80881', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031313', 'Dated Canvas Tunic (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80882', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031314', 'Dated Canvas Tunic (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '2860', '80883', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031315', 'Hempen Tunic', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80870', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031316', 'Hempen Tunic (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '80871', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031401', 'Dated Hempen Halfrobe', 'Normal/StandardItem', '1', '0', '0', '22240', '280', '80885', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031402', 'Dated Hempen Halfrobe (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '280', '80886', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031403', 'Dated Hempen Halfrobe (Beige)', 'Normal/StandardItem', '1', '0', '0', '22240', '280', '80887', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031404', 'Dated Hempen Halfrobe (Grey)', 'Normal/StandardItem', '1', '0', '0', '22240', '280', '80888', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031405', 'Dated Cotton Halfrobe', 'Normal/StandardItem', '1', '0', '0', '22240', '1680', '80889', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031406', 'Dated Cotton Halfrobe (Green)', 'Normal/StandardItem', '1', '0', '0', '22240', '1680', '80890', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031407', 'Dated Cotton Halfrobe (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '1680', '80891', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031408', 'Dated Cotton Halfrobe (Red)', 'Normal/StandardItem', '1', '0', '0', '22240', '1680', '80892', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031409', 'Dated Cotton Halfrobe (Yellow)', 'Normal/StandardItem', '1', '0', '0', '22240', '1680', '80893', '7016', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031410', 'Dated Canvas Halfrobe', 'Normal/StandardItem', '1', '0', '0', '22240', '3080', '80894', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031411', 'Dated Canvas Halfrobe (Auburn)', 'Normal/StandardItem', '1', '0', '0', '22240', '3080', '80895', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031412', 'Dated Canvas Halfrobe (Pink)', 'Normal/StandardItem', '1', '0', '0', '22240', '3080', '80896', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031413', 'Dated Canvas Halfrobe (Brown)', 'Normal/StandardItem', '1', '0', '0', '22240', '3080', '80897', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031414', 'Dated Canvas Halfrobe (Blue)', 'Normal/StandardItem', '1', '0', '0', '22240', '3080', '80898', '7016', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031415', 'Weathered Halfrobe (Beige)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '80904', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031416', 'Ascetic\'s Halfrobe', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '80896', '7016', '2', '0', '0', '0', '1', '30', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8031417', 'Cotton Halfrobe', 'Normal/StandardItem', '1', '0', '0', '22240', '3500', '80889', '7016', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031418', 'Cotton Halfrobe (Green)', 'Normal/StandardItem', '1', '0', '0', '22240', '3500', '80890', '7016', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8031419', 'Velveteen Robe', 'Normal/StandardItem', '1', '0', '0', '22240', '4480', '81873', '7016', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8031420', 'Velveteen Robe (Black)', 'Normal/StandardItem', '1', '0', '0', '22240', '4480', '81876', '7016', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8031421', 'Mage\'s Halfrobe', 'Normal/StandardItem', '1', '1', '0', '22240', '7140', '82507', '7016', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8031501', 'Dated Sheepskin Harness (Taupe)', 'Normal/StandardItem', '1', '0', '0', '33360', '1540', '80712', '7015', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031502', 'Dated Sheepskin Harness (Grey)', 'Normal/StandardItem', '1', '0', '0', '33360', '1540', '80713', '7015', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031503', 'Dated Dodoskin Harness (Taupe)', 'Normal/StandardItem', '1', '0', '0', '33360', '2640', '80714', '7015', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8031504', 'Dated Dodoskin Harness (Grey)', 'Normal/StandardItem', '1', '0', '0', '33360', '2640', '80715', '7015', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8031505', 'Dated Leather Harness (Black)', 'Normal/StandardItem', '1', '0', '0', '33360', '7480', '80716', '7015', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8031506', 'Dated Leather Harness (Ochre)', 'Normal/StandardItem', '1', '0', '0', '33360', '7480', '80717', '7015', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8031507', 'Dated Leather Harness (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '7480', '80718', '7015', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8031508', 'Dated Leather Harness (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '7480', '80719', '7015', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8031509', 'Dated Toadskin Harness (Black)', 'Normal/StandardItem', '1', '0', '0', '33360', '9680', '80724', '7015', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031510', 'Dated Toadskin Harness (Ochre)', 'Normal/StandardItem', '1', '0', '0', '33360', '9680', '80725', '7015', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031511', 'Dated Toadskin Harness (Green)', 'Normal/StandardItem', '1', '0', '0', '33360', '9680', '80726', '7015', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031512', 'Dated Toadskin Harness (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '9680', '80727', '7015', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031513', 'Ul\'dahn Harness', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '80724', '7015', '2', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031514', 'Dodoskin Harness', 'Normal/StandardItem', '1', '0', '0', '33360', '2860', '80714', '7015', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031515', 'Dodoskin Harness (Grey)', 'Normal/StandardItem', '1', '0', '0', '33360', '2860', '80715', '7015', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031516', 'Boarskin Harness', 'Normal/StandardItem', '1', '0', '0', '33360', '8360', '82230', '7015', '1', '0', '0', '0', '0', '37', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031517', 'Boarskin Harness (Blue)', 'Normal/StandardItem', '1', '0', '0', '33360', '8360', '82230', '7015', '1', '0', '0', '0', '0', '37', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031518', 'Peisteskin Harness', 'Normal/StandardItem', '1', '0', '0', '33360', '9460', '82231', '7015', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8031519', 'Peisteskin Harness (Black)', 'Normal/StandardItem', '1', '0', '0', '33360', '9460', '82231', '7015', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8031520', 'Raptorskin Harness', 'Normal/StandardItem', '1', '0', '0', '33360', '10560', '82232', '7015', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031521', 'Raptorskin Harness (Blue)', 'Normal/StandardItem', '1', '0', '0', '33360', '10560', '82232', '7015', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031522', 'Raptorskin Harness (White)', 'Normal/StandardItem', '1', '0', '0', '33360', '10560', '82425', '7015', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031523', 'Raptorskin Harness (Red)', 'Normal/StandardItem', '1', '0', '0', '33360', '10560', '82426', '7015', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031601', 'Dated Bone Scale Mail (Grey)', 'Normal/StandardItem', '1', '0', '0', '36140', '3600', '80760', '7015', '1', '0', '0', '0', '0', '14', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8031602', 'Dated Bone Scale Mail (Taupe)', 'Normal/StandardItem', '1', '0', '0', '36140', '3600', '80761', '7015', '1', '0', '0', '0', '0', '14', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8031603', 'Dated Bronze Scale Mail', 'Normal/StandardItem', '1', '0', '0', '36140', '4800', '81364', '7015', '1', '0', '0', '0', '0', '19', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8031604', 'Blackened Scale Mail', 'Normal/StandardItem', '1', '1', '0', '36140', '5280', '81569', '7015', '1', '0', '0', '0', '0', '21', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8031605', 'Vintage Scale Mail', 'Normal/StandardItem', '1', '1', '0', '36140', '10080', '81568', '7015', '1', '0', '0', '0', '0', '41', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8031606', 'Mosshorn Scale Mail', 'Normal/StandardItem', '1', '1', '0', '36140', '11520', '81563', '7015', '2', '0', '0', '0', '0', '47', '1111', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031607', 'Kokoroon\'s Darkshell Mail', 'Normal/StandardItem', '1', '1', '1', '36140', '0', '82064', '7015', '2', '0', '0', '0', '0', '35', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8031608', 'Solid Scale Mail', 'Normal/StandardItem', '1', '1', '1', '36140', '0', '82070', '7015', '2', '0', '0', '0', '1', '50', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8031609', 'Iron Scale Mail', 'Normal/StandardItem', '1', '0', '0', '36140', '5520', '81365', '7015', '1', '0', '0', '0', '0', '22', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031610', 'Horn Scale Mail', 'Normal/StandardItem', '1', '0', '0', '36140', '10080', '82245', '7015', '1', '0', '0', '0', '0', '41', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8031611', 'Horn Scale Mail (White)', 'Normal/StandardItem', '1', '0', '0', '36140', '10080', '82246', '7015', '1', '0', '0', '0', '0', '41', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8031612', 'Tortoiseshell Scale Mail', 'Normal/StandardItem', '1', '0', '0', '36140', '11280', '82247', '7015', '1', '0', '0', '0', '0', '46', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8031613', 'Tortoiseshell Scale Mail (White)', 'Normal/StandardItem', '1', '0', '0', '36140', '11280', '82247', '7015', '1', '0', '0', '0', '0', '46', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8031701', 'Dated Bronze Haubergeon', 'Normal/StandardItem', '1', '0', '0', '38920', '7280', '80794', '7015', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8031702', 'Dated Bronze Haubergeon (Red)', 'Normal/StandardItem', '1', '0', '0', '38920', '7280', '80795', '7015', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8031703', 'Dated Bronze Haubergeon (Yellow)', 'Normal/StandardItem', '1', '0', '0', '38920', '7280', '80796', '7015', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8031704', 'Dated Bronze Haubergeon (Green)', 'Normal/StandardItem', '1', '0', '0', '38920', '7280', '80797', '7015', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8031705', 'Dated Bronze Haubergeon (Blue)', 'Normal/StandardItem', '1', '0', '0', '38920', '7280', '80798', '7015', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8031706', 'Dated Iron Haubergeon', 'Normal/StandardItem', '1', '0', '0', '38920', '9880', '80799', '7015', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8031707', 'Dated Iron Haubergeon (Auburn)', 'Normal/StandardItem', '1', '0', '0', '38920', '9880', '80800', '7015', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8031708', 'Dated Iron Haubergeon (Pink)', 'Normal/StandardItem', '1', '0', '0', '38920', '9880', '80801', '7015', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8031709', 'Dated Iron Haubergeon (Brown)', 'Normal/StandardItem', '1', '0', '0', '38920', '9880', '80802', '7015', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8031710', 'Dated Iron Haubergeon (Blue)', 'Normal/StandardItem', '1', '0', '0', '38920', '9880', '80803', '7015', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8031711', 'Dated Cavalry Haubergeon', 'Normal/StandardItem', '1', '0', '0', '38920', '12480', '80804', '7015', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8031712', 'Dated Cavalry Haubergeon (Black)', 'Normal/StandardItem', '1', '0', '0', '38920', '12480', '80805', '7015', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8031713', 'Dated Cavalry Haubergeon (Red)', 'Normal/StandardItem', '1', '0', '0', '38920', '12480', '80806', '7015', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8031714', 'Dated Cavalry Haubergeon (Yellow)', 'Normal/StandardItem', '1', '0', '0', '38920', '12480', '80807', '7015', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8031715', 'Dated Cavalry Haubergeon (Green)', 'Normal/StandardItem', '1', '0', '0', '38920', '12480', '80808', '7015', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8031716', 'Judge\'s Haubergeon', 'Normal/StandardItem', '1', '1', '1', '38920', '0', '80809', '7015', '1', '0', '0', '0', '0', '1', '2033', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031717', 'Ripped Haubergeon', 'Normal/StandardItem', '1', '1', '0', '38920', '8060', '81401', '7015', '1', '0', '0', '0', '0', '30', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8031718', 'Vintage Haubergeon', 'Normal/StandardItem', '1', '1', '0', '38920', '13260', '80804', '7015', '1', '0', '0', '0', '0', '50', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8031719', 'Templar\'s Haubergeon', 'Normal/StandardItem', '1', '1', '0', '38920', '13000', '82047', '7015', '2', '0', '0', '0', '0', '49', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8031720', 'Mythril Haubergeon', 'Normal/StandardItem', '1', '0', '0', '38920', '11440', '82250', '7015', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031721', 'Mythril Haubergeon (Black)', 'Normal/StandardItem', '1', '0', '0', '38920', '11440', '82250', '7015', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8031722', 'Cobalt Haubergeon', 'Normal/StandardItem', '1', '0', '0', '38920', '12740', '82251', '7015', '1', '0', '0', '0', '0', '48', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031723', 'Cobalt Haubergeon (Red)', 'Normal/StandardItem', '1', '0', '0', '38920', '12740', '82252', '7015', '1', '0', '0', '0', '0', '48', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8031724', 'Plundered Haubergeon', 'Normal/StandardItem', '1', '1', '0', '38920', '4160', '80794', '7015', '1', '0', '0', '0', '1', '15', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8031801', 'Dated Hempen Cowl', 'Normal/StandardItem', '1', '0', '0', '38920', '3600', '80810', '7017', '1', '0', '0', '0', '0', '14', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031802', 'Dated Hempen Cowl (Beige)', 'Normal/StandardItem', '1', '0', '0', '38920', '3600', '80811', '7017', '1', '0', '0', '0', '0', '14', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031803', 'Dated Hempen Cowl (Grey)', 'Normal/StandardItem', '1', '0', '0', '38920', '3600', '80812', '7017', '1', '0', '0', '0', '0', '14', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031804', 'Dated Hempen Cowl (Brown)', 'Normal/StandardItem', '1', '0', '0', '38920', '3600', '80813', '7017', '1', '0', '0', '0', '0', '14', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031805', 'Dated Cotton Cowl', 'Normal/StandardItem', '1', '0', '0', '38920', '6000', '80814', '7017', '1', '0', '0', '0', '0', '24', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031806', 'Dated Cotton Cowl (Yellow)', 'Normal/StandardItem', '1', '0', '0', '38920', '6000', '80815', '7017', '1', '0', '0', '0', '0', '24', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031807', 'Dated Cotton Cowl (Green)', 'Normal/StandardItem', '1', '0', '0', '38920', '6000', '80816', '7017', '1', '0', '0', '0', '0', '24', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031808', 'Dated Cotton Cowl (Blue)', 'Normal/StandardItem', '1', '0', '0', '38920', '6000', '80817', '7017', '1', '0', '0', '0', '0', '24', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031809', 'Dated Cotton Cowl (Red)', 'Normal/StandardItem', '1', '0', '0', '38920', '6000', '80818', '7017', '1', '0', '0', '0', '0', '24', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8031810', 'Dated Canvas Cowl', 'Normal/StandardItem', '1', '0', '0', '38920', '8400', '80819', '7017', '1', '0', '0', '0', '0', '34', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031811', 'Dated Canvas Cowl (Yellow)', 'Normal/StandardItem', '1', '0', '0', '38920', '8400', '80820', '7017', '1', '0', '0', '0', '0', '34', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031812', 'Dated Canvas Cowl (Green)', 'Normal/StandardItem', '1', '0', '0', '38920', '8400', '80821', '7017', '1', '0', '0', '0', '0', '34', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031813', 'Dated Canvas Cowl (Blue)', 'Normal/StandardItem', '1', '0', '0', '38920', '8400', '80822', '7017', '1', '0', '0', '0', '0', '34', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031814', 'Dated Canvas Cowl (Red)', 'Normal/StandardItem', '1', '0', '0', '38920', '8400', '80823', '7017', '1', '0', '0', '0', '0', '34', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8031815', 'Dated Velveteen Cowl', 'Normal/StandardItem', '1', '0', '0', '38920', '10800', '80824', '7017', '1', '0', '0', '0', '0', '44', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031816', 'Dated Velveteen Cowl (Black)', 'Normal/StandardItem', '1', '0', '0', '38920', '10800', '80825', '7017', '1', '0', '0', '0', '0', '44', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031817', 'Dated Velveteen Cowl (Green)', 'Normal/StandardItem', '1', '0', '0', '38920', '10800', '80826', '7017', '1', '0', '0', '0', '0', '44', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031818', 'Dated Velveteen Cowl (Red)', 'Normal/StandardItem', '1', '0', '0', '38920', '10800', '80827', '7017', '1', '0', '0', '0', '0', '44', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031819', 'Dated Velveteen Cowl (Yellow)', 'Normal/StandardItem', '1', '0', '0', '38920', '10800', '80828', '7017', '1', '0', '0', '0', '0', '44', '1118', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8031820', 'Seer\'s Cowl', 'Normal/StandardItem', '1', '1', '1', '38920', '0', '82065', '7017', '2', '0', '0', '0', '0', '35', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8031821', 'Gridanian Cowl', 'Normal/StandardItem', '1', '1', '1', '38920', '0', '80820', '7017', '2', '0', '0', '0', '1', '25', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8031822', 'Linen Cowl', 'Normal/StandardItem', '1', '0', '0', '38920', '9120', '82256', '7017', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031823', 'Linen Cowl (Brown)', 'Normal/StandardItem', '1', '0', '0', '38920', '9120', '82257', '7017', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031824', 'Linen Cowl (Yellow)', 'Normal/StandardItem', '1', '0', '0', '38920', '9120', '82258', '7017', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8031825', 'Woolen Cowl', 'Normal/StandardItem', '1', '0', '0', '38920', '11520', '82259', '7017', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031826', 'Woolen Cowl (Black)', 'Normal/StandardItem', '1', '0', '0', '38920', '11520', '82260', '7017', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031827', 'Woolen Cowl (Red)', 'Normal/StandardItem', '1', '0', '0', '38920', '11520', '82261', '7017', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031828', 'Woolen Cowl (Grey)', 'Normal/StandardItem', '1', '0', '0', '38920', '11520', '82259', '7017', '1', '0', '0', '0', '0', '47', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8031901', 'Dated Hempen Shepherd\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '27800', '1040', '81751', '7016', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031902', 'Dated Hempen Shepherd\'s Tunic (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '1040', '81752', '7016', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031903', 'Dated Hempen Shepherd\'s Tunic (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '1040', '81753', '7016', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031904', 'Dated Hempen Shepherd\'s Tunic (Beige)', 'Normal/StandardItem', '1', '0', '0', '27800', '1040', '81754', '7016', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8031905', 'Dated Cotton Shepherd\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81757', '7016', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8031906', 'Dated Cotton Shepherd\'s Tunic (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81758', '7016', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8031907', 'Dated Cotton Shepherd\'s Tunic (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81759', '7016', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8031908', 'Dated Cotton Shepherd\'s Tunic (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81760', '7016', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8031909', 'Dated Cotton Shepherd\'s Tunic (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81761', '7016', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8031910', 'Dated Canvas Shepherd\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '27800', '3640', '81762', '7016', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031911', 'Dated Canvas Shepherd\'s Tunic (Auburn)', 'Normal/StandardItem', '1', '0', '0', '27800', '3640', '81763', '7016', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031912', 'Dated Canvas Shepherd\'s Tunic (Pink)', 'Normal/StandardItem', '1', '0', '0', '27800', '3640', '81764', '7016', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031913', 'Dated Canvas Shepherd\'s Tunic (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '3640', '81765', '7016', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031914', 'Dated Canvas Shepherd\'s Tunic (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '3640', '81766', '7016', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8031915', 'Cotton Shepherd\'s Tunic', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81757', '7016', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8031916', 'Cotton Shepherd\'s Tunic (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81760', '7016', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8031917', 'Cotton Shepherd\'s Tunic (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '2340', '81759', '7016', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8032001', 'Vintage Chef\'s Apron', 'Normal/StandardItem', '1', '1', '0', '27800', '4810', '81839', '7016', '1', '0', '0', '0', '0', '36', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8032002', 'Stained Chef\'s Apron', 'Normal/StandardItem', '1', '1', '0', '27800', '2210', '81840', '7016', '1', '0', '0', '0', '0', '16', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8032003', 'Dated Chef\'s Apron', 'Normal/StandardItem', '1', '0', '0', '27800', '5720', '81841', '7016', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8032004', 'Dated Chef\'s Apron (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '5720', '81842', '7016', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8032005', 'Dated Chef\'s Apron (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '5720', '81843', '7016', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8032006', 'Dated Chef\'s Apron (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '5720', '81844', '7016', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8032007', 'Dated Chef\'s Apron (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '5720', '81845', '7016', '1', '0', '0', '0', '0', '43', '1120', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8032008', 'Lominsan Apron', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '81843', '7016', '2', '0', '0', '0', '1', '25', '2110', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8032009', 'Linen Smock', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82262', '7016', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032010', 'Linen Smock of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82263', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032011', 'Linen Smock of Piety (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82264', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032012', 'Linen Smock of Piety (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82265', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032013', 'Woolen Smock', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82266', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032014', 'Woolen Smock of the Mind (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82266', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032015', 'Woolen Smock of Piety (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82267', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032016', 'Woolen Smock of Piety (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82268', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032017', 'Linen Smock (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82263', '7016', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032018', 'Linen Smock (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82264', '7016', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032019', 'Linen Smock (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82265', '7016', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032020', 'Linen Smock of the Mind', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82262', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032021', 'Linen Smock of the Mind (Yellow)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82264', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032022', 'Linen Smock of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82265', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032023', 'Linen Smock of Piety', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82262', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032024', 'Linen Smock of Piety (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '5460', '82263', '7016', '1', '0', '0', '0', '1', '41', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8032025', 'Woolen Smock (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82266', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032026', 'Woolen Smock (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82267', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032027', 'Woolen Smock (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82268', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032028', 'Woolen Smock (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82433', '7016', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032029', 'Woolen Smock of the Mind', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82266', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032030', 'Woolen Smock of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82267', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032031', 'Woolen Smock of the Mind (Black)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82268', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032032', 'Woolen Smock of the Mind (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82433', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032033', 'Woolen Smock of Piety', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82266', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032034', 'Woolen Smock of Piety (Grey)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82266', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032035', 'Woolen Smock of Piety (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '6110', '82433', '7016', '1', '0', '0', '0', '1', '46', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8032101', 'Dream Tunic', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '81890', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032102', 'Reindeer Suit', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82402', '7033', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032201', 'Dated Canvas Coatee', 'Normal/StandardItem', '1', '0', '0', '25000', '3720', '81893', '7016', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8032202', 'Dated Canvas Coatee (Auburn)', 'Normal/StandardItem', '1', '0', '0', '25000', '3720', '81894', '7016', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8032203', 'Dated Canvas Coatee (Pink)', 'Normal/StandardItem', '1', '0', '0', '25000', '3720', '81895', '7016', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8032204', 'Dated Canvas Coatee (Brown)', 'Normal/StandardItem', '1', '0', '0', '25000', '3720', '81896', '7016', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8032205', 'Dated Canvas Coatee (Blue)', 'Normal/StandardItem', '1', '0', '0', '25000', '3720', '81897', '7016', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8032206', 'Dated Velveteen Coatee', 'Normal/StandardItem', '1', '0', '0', '25000', '4920', '81898', '7016', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8032207', 'Dated Velveteen Coatee (Black)', 'Normal/StandardItem', '1', '0', '0', '25000', '4920', '81899', '7016', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8032208', 'Dated Velveteen Coatee (Red)', 'Normal/StandardItem', '1', '0', '0', '25000', '4920', '81900', '7016', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8032209', 'Dated Velveteen Coatee (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '4920', '81901', '7016', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8032210', 'Dated Velveteen Coatee (Green)', 'Normal/StandardItem', '1', '0', '0', '25000', '4920', '81902', '7016', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8032211', 'Dated Linen Coatee', 'Normal/StandardItem', '1', '0', '0', '25000', '6120', '81898', '7016', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032212', 'Dated Linen Coatee (Pink)', 'Normal/StandardItem', '1', '0', '0', '25000', '6120', '81895', '7016', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032213', 'Dated Linen Coatee (Blue)', 'Normal/StandardItem', '1', '0', '0', '25000', '6120', '81897', '7016', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032214', 'Dated Linen Coatee (Brown)', 'Normal/StandardItem', '1', '0', '0', '25000', '6120', '81896', '7016', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032215', 'Dated Linen Coatee (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '6120', '81894', '7016', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032216', 'Vintage Coatee', 'Normal/StandardItem', '1', '1', '0', '25000', '3120', '81906', '7016', '1', '0', '0', '0', '0', '25', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8032217', 'Moth-eaten Coatee', 'Normal/StandardItem', '1', '1', '0', '25000', '1920', '81905', '7016', '1', '0', '0', '0', '0', '15', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8032218', 'Vintage Seneschal Coatee', 'Normal/StandardItem', '1', '1', '0', '25000', '5520', '81904', '7016', '1', '0', '0', '0', '0', '45', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8032219', 'Moth-eaten Seneschal Coatee', 'Normal/StandardItem', '1', '1', '0', '25000', '4320', '81903', '7016', '1', '0', '0', '0', '0', '35', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8032220', 'Gridanian Coatee', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '81901', '7016', '2', '0', '0', '0', '1', '25', '2110', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8032221', 'Velveteen Coatee', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81898', '7016', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032222', 'Velveteen Coatee of Crafting (Red)', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81900', '7016', '1', '0', '0', '0', '1', '28', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032223', 'Velveteen Coatee of Gathering (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81901', '7016', '1', '0', '0', '0', '1', '28', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032224', 'Linen Coatee', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81898', '7016', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032225', 'Linen Coatee of Crafting (Blue)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81897', '7016', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032226', 'Linen Coatee of Gathering (Brown)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81896', '7016', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032227', 'Velveteen Coatee (Red)', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81900', '7016', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032228', 'Velveteen Coatee (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81901', '7016', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032229', 'Velveteen Coatee of Crafting', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81898', '7016', '1', '0', '0', '0', '1', '28', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032230', 'Velveteen Coatee of Crafting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81901', '7016', '1', '0', '0', '0', '1', '28', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032231', 'Velveteen Coatee of Gathering', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81898', '7016', '1', '0', '0', '0', '1', '28', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032232', 'Velveteen Coatee of Gathering (Red)', 'Normal/StandardItem', '1', '0', '0', '25000', '3480', '81900', '7016', '1', '0', '0', '0', '1', '28', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8032233', 'Linen Coatee (Blue)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81897', '7016', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032234', 'Linen Coatee (Brown)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81896', '7016', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032235', 'Linen Coatee (Red)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81895', '7016', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032236', 'Linen Coatee (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81894', '7016', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032237', 'Linen Coatee of Crafting', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81898', '7016', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032238', 'Linen Coatee of Crafting (Brown)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81896', '7016', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032239', 'Linen Coatee of Crafting (Red)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81895', '7016', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032240', 'Linen Coatee of Crafting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81894', '7016', '1', '0', '0', '0', '1', '38', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032241', 'Linen Coatee of Gathering', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81898', '7016', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032242', 'Linen Coatee of Gathering (Blue)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81897', '7016', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032243', 'Linen Coatee of Gathering (Red)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81895', '7016', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032244', 'Linen Coatee of Gathering (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25000', '4680', '81894', '7016', '1', '0', '0', '0', '1', '38', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8032301', 'Loyalist\'s Bliaud', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82061', '7016', '2', '0', '0', '0', '0', '30', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8032302', 'Revolutionary\'s Bliaud', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82073', '7016', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032303', 'Woolen Bliaud', 'Normal/StandardItem', '1', '0', '0', '27800', '11250', '82253', '7016', '1', '0', '0', '0', '0', '44', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8032304', 'Woolen Bliaud (Purple)', 'Normal/StandardItem', '1', '0', '0', '27800', '11250', '82254', '7016', '1', '0', '0', '0', '0', '44', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8032305', 'Felt Bliaud', 'Normal/StandardItem', '1', '0', '0', '27800', '12500', '82255', '7016', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032306', 'Felt Bliaud (Brown)', 'Normal/StandardItem', '1', '0', '0', '27800', '12500', '82255', '7016', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032307', 'Plundered Bliaud', 'Normal/StandardItem', '1', '1', '0', '27800', '4000', '82153', '7016', '1', '0', '0', '0', '1', '15', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8032308', 'Felt Bliaud (Green)', 'Normal/StandardItem', '1', '0', '0', '27800', '12500', '82431', '7016', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032309', 'Felt Bliaud (Blue)', 'Normal/StandardItem', '1', '0', '0', '27800', '12500', '82429', '7016', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032310', 'Felt Bliaud (Red)', 'Normal/StandardItem', '1', '0', '0', '27800', '12500', '82430', '7016', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032311', 'Storm Private\'s Bliaud', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '82455', '7016', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8032312', 'Storm Sergeant\'s Bliaud', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '82456', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032401', 'Red Summer Top', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82081', '7012', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032402', 'Green Summer Top', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82082', '7012', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032403', 'Blue Summer Top', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82083', '7012', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032404', 'Solar Summer Top', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82084', '7012', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032405', 'Lunar Summer Top', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82085', '7012', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032406', 'Red Summer Halter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82091', '7012', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032407', 'Green Summer Halter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82092', '7012', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032408', 'Blue Summer Halter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82093', '7012', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032409', 'Solar Summer Halter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82094', '7012', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032410', 'Lunar Summer Halter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82095', '7012', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032501', 'Hempen Kurta', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '82269', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032502', 'Hempen Kurta (Grey)', 'Normal/StandardItem', '1', '0', '0', '22240', '260', '82270', '7016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032601', 'Lominsan Soldier\'s Overcoat', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82101', '7016', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8032602', 'Gridanian Soldier\'s Overcoat', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82102', '7016', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8032603', 'Ul\'dahn Soldier\'s Overcoat', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82103', '7016', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8032604', 'Lominsan Officer\'s Overcoat', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82104', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032605', 'Gridanian Officer\'s Overcoat', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82105', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032606', 'Ul\'dahn Officer\'s Overcoat', 'Normal/StandardItem', '1', '1', '1', '25000', '0', '82106', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032701', 'Gallant Surcoat', 'Normal/StandardItem', '1', '1', '1', '38920', '0', '82482', '7015', '3', '0', '0', '0', '1', '50', '2120', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032702', 'Temple Cyclas', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82487', '7015', '3', '0', '0', '0', '1', '50', '2119', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032703', 'Fighter\'s Cuirass', 'Normal/StandardItem', '1', '1', '1', '41700', '0', '82462', '7015', '3', '0', '0', '0', '1', '50', '2121', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032704', 'Drachen Mail', 'Normal/StandardItem', '1', '1', '1', '36140', '0', '82457', '7015', '3', '0', '0', '0', '1', '50', '2123', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032705', 'Choral Shirt', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '82477', '7015', '3', '0', '0', '0', '1', '50', '2122', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032706', 'Healer\'s Robe', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '82467', '7016', '3', '0', '0', '0', '1', '50', '2125', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032707', 'Wizard\'s Coat', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82472', '7016', '3', '0', '0', '0', '1', '50', '2124', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032801', 'Heavy Darklight Armor', 'Normal/StandardItem', '1', '1', '1', '60000', '0', '82492', '7014', '3', '0', '0', '0', '1', '50', '2126', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032802', 'Darklight Cuirass', 'Normal/StandardItem', '1', '1', '1', '41700', '0', '82495', '7014', '3', '0', '0', '0', '1', '50', '2127', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032803', 'Darklight Corselet', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82499', '7015', '3', '0', '0', '0', '1', '50', '2128', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032804', 'Darklight Cowl', 'Normal/StandardItem', '1', '1', '1', '38920', '0', '82503', '7017', '3', '0', '0', '0', '1', '50', '2129', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032805', 'Heavy Darksteel Armor', 'Normal/StandardItem', '1', '0', '0', '60000', '15000', '82516', '7014', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032806', 'Heavy Darksteel Armor (White)', 'Normal/StandardItem', '1', '0', '0', '60000', '15000', '82515', '7014', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032807', 'Heavy Darksteel Armor (Red)', 'Normal/StandardItem', '1', '0', '0', '60000', '15000', '82517', '7014', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032808', 'Heavy Darksteel Armor (Green)', 'Normal/StandardItem', '1', '0', '0', '60000', '15000', '82518', '7014', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032809', 'Heavy Darksteel Armor (Blue)', 'Normal/StandardItem', '1', '0', '0', '60000', '15000', '82519', '7014', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032810', 'Gryphonskin Jerkin', 'Normal/StandardItem', '1', '0', '0', '36140', '11500', '82530', '7015', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032811', 'Gryphonskin Jerkin (White)', 'Normal/StandardItem', '1', '0', '0', '36140', '11500', '82531', '7015', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032812', 'Gryphonskin Jerkin (Black)', 'Normal/StandardItem', '1', '0', '0', '36140', '11500', '82532', '7015', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032813', 'Gryphonskin Jerkin (Red)', 'Normal/StandardItem', '1', '0', '0', '36140', '11500', '82533', '7015', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032814', 'Gryphonskin Jerkin (Yellow)', 'Normal/StandardItem', '1', '0', '0', '36140', '11500', '82534', '7015', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032815', 'Vanya Robe', 'Normal/StandardItem', '1', '0', '0', '25020', '8200', '82552', '7016', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032816', 'Vanya Robe (Yellow)', 'Normal/StandardItem', '1', '0', '0', '25020', '8200', '82551', '7016', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032817', 'Vanya Robe (Black)', 'Normal/StandardItem', '1', '0', '0', '25020', '8200', '82550', '7016', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032818', 'Vanya Robe (Purple)', 'Normal/StandardItem', '1', '0', '0', '25020', '8200', '82553', '7016', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032819', 'Vanya Robe (Red)', 'Normal/StandardItem', '1', '0', '0', '25020', '8200', '82554', '7016', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8032820', 'Storm Sergeant\'s Tabard', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82583', '7015', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032821', 'Storm Sergeant\'s Apron', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '81843', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032822', 'Serpent Sergeant\'s Tabard', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82584', '7015', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032823', 'Serpent Sergeant\'s Apron', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '81844', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032824', 'Flame Sergeant\'s Tabard', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82582', '7015', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032825', 'Flame Sergeant\'s Apron', 'Normal/StandardItem', '1', '1', '1', '27800', '0', '81842', '7016', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032826', 'Militia Robe', 'Normal/StandardItem', '1', '1', '1', '25020', '0', '82599', '7016', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032827', 'Militia Cuirass', 'Normal/StandardItem', '1', '1', '1', '41700', '0', '80060', '7014', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032828', 'Militia Harness', 'Normal/StandardItem', '1', '1', '1', '33360', '0', '82598', '7015', '2', '0', '0', '0', '1', '50', '2158', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032829', 'Imperial Operative Dalmatica', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82605', '7016', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032830', 'Gryphonskin Tunic', 'Normal/StandardItem', '1', '0', '0', '30580', '8556', '82601', '7016', '1', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032831', 'Darksteel Haubergeon', 'Normal/StandardItem', '1', '0', '0', '38920', '11960', '82602', '7015', '1', '0', '0', '0', '1', '50', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8032832', 'Coliseum Galerus', 'Normal/StandardItem', '1', '0', '0', '33360', '10120', '82608', '7015', '2', '0', '0', '0', '1', '45', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8032833', 'Coliseum Shawl', 'Normal/StandardItem', '1', '0', '0', '25020', '7544', '82610', '7016', '2', '0', '0', '0', '1', '45', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8032834', 'Lord\'s Yukata (Blue)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82624', '7016', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032835', 'Lord\'s Yukata (Green)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82625', '7016', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032836', 'Lord\'s Yukata (Grey)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82626', '7016', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032837', 'Lady\'s Yukata (Red)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82621', '7016', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032838', 'Lady\'s Yukata (Blue)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82622', '7016', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8032839', 'Lady\'s Yukata (Black)', 'Normal/StandardItem', '1', '1', '1', '22240', '0', '82623', '7016', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040001', 'Well-worn Undershirt', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81303', '7012', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040002', 'Well-worn Breastcloth', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81305', '7012', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040003', 'Well-worn Chestband', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81325', '7012', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040004', 'Well-worn Undersleeves', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81307', '7012', '1', '0', '0', '0', '0', '1', '2011', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040005', 'Well-worn Undersleeves (Brown)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81308', '7012', '1', '0', '0', '0', '0', '1', '2013', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040006', 'Well-worn Bodice', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81310', '7012', '1', '0', '0', '0', '0', '1', '2012', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040007', 'Well-worn Bodice (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81311', '7012', '1', '0', '0', '0', '0', '1', '2014', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040008', 'Well-worn Camise', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81313', '7012', '1', '0', '0', '0', '0', '1', '2015', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040009', 'Well-worn Camise (Beige)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81314', '7012', '1', '0', '0', '0', '0', '1', '2017', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040010', 'Well-worn Camisole (Brown)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81316', '7012', '1', '0', '0', '0', '0', '1', '2016', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040011', 'Well-worn Camisole (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81317', '7012', '1', '0', '0', '0', '0', '1', '2018', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040012', 'Well-worn Halftop', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81322', '7012', '1', '0', '0', '0', '0', '1', '2019', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040013', 'Well-worn Halftop (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81323', '7012', '1', '0', '0', '0', '0', '1', '2020', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040014', 'Well-worn Singlet (Beige)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81319', '7012', '1', '0', '0', '0', '0', '1', '2021', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040015', 'Well-worn Singlet (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81320', '7012', '1', '0', '0', '0', '0', '1', '2022', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040016', 'Hempen Undershirt (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '80001', '7012', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040017', 'Hempen Undershirt', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81302', '7012', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040018', 'Hempen Undershirt (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '80003', '7012', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040019', 'Hempen Undershirt (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81302', '7012', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040020', 'Hempen Breastcloth (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81276', '7012', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040021', 'Hempen Breastcloth', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81304', '7012', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040022', 'Hempen Breastcloth (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81278', '7012', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040023', 'Hempen Breastcloth (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81279', '7012', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040024', 'Hempen Chestband (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81325', '7012', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040025', 'Hempen Chestband', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81324', '7012', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040026', 'Hempen Chestband (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81324', '7012', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040027', 'Hempen Chestband (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81325', '7012', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040028', 'Hempen Undersleeves (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81308', '7012', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040029', 'Hempen Undersleeves', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81306', '7012', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040030', 'Hempen Undersleeves (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81308', '7012', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040031', 'Hempen Undersleeves (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81306', '7012', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040032', 'Hempen Bodice (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81285', '7012', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040033', 'Hempen Bodice', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81309', '7012', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040034', 'Hempen Bodice (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81287', '7012', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040035', 'Hempen Bodice (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81309', '7012', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040036', 'Hempen Camise (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '82041', '7012', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040037', 'Hempen Camise', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81312', '7012', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040038', 'Hempen Camise (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '82041', '7012', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040039', 'Hempen Camise (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81314', '7012', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040040', 'Hempen Camisole (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81316', '7012', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040041', 'Hempen Camisole', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81315', '7012', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040042', 'Hempen Camisole (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81317', '7012', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040043', 'Hempen Camisole (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '82042', '7012', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040044', 'Hempen Halftop (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81322', '7012', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040045', 'Hempen Halftop', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81321', '7012', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040046', 'Hempen Halftop (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81322', '7012', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040047', 'Hempen Halftop (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81321', '7012', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040048', 'Hempen Singlet (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81320', '7012', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040049', 'Hempen Singlet', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81318', '7012', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040050', 'Hempen Singlet (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81320', '7012', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040051', 'Hempen Singlet (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '120', '81318', '7012', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8040052', 'Cotton Undershirt', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81302', '7012', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040053', 'Cotton Undershirt (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81302', '7012', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040054', 'Cotton Undershirt (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81302', '7012', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040055', 'Cotton Undershirt (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81302', '7012', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040056', 'Cotton Undershirt (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81302', '7012', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040057', 'Cotton Breastcloth', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81304', '7012', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040058', 'Cotton Breastcloth (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81304', '7012', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040059', 'Cotton Breastcloth (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81304', '7012', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040060', 'Cotton Breastcloth (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81304', '7012', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040061', 'Cotton Breastcloth (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81304', '7012', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040062', 'Cotton Chestband', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81324', '7012', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040063', 'Cotton Chestband (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81324', '7012', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040064', 'Cotton Chestband (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81324', '7012', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040065', 'Cotton Chestband (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81324', '7012', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040066', 'Cotton Chestband (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81324', '7012', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040067', 'Cotton Undersleeves', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81306', '7012', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040068', 'Cotton Undersleeves (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81306', '7012', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040069', 'Cotton Undersleeves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81306', '7012', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040070', 'Cotton Undersleeves (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81306', '7012', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040071', 'Cotton Undersleeves (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81306', '7012', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040072', 'Cotton Bodice', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81309', '7012', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040073', 'Cotton Bodice (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81309', '7012', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040074', 'Cotton Bodice (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81309', '7012', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040075', 'Cotton Bodice (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81309', '7012', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040076', 'Cotton Bodice (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81309', '7012', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040077', 'Cotton Camise', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81312', '7012', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040078', 'Cotton Camise (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81312', '7012', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040079', 'Cotton Camise (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81312', '7012', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040080', 'Cotton Camise (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81312', '7012', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040081', 'Cotton Camise (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81312', '7012', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040082', 'Cotton Camisole', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81315', '7012', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040083', 'Cotton Camisole (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81315', '7012', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040084', 'Cotton Camisole (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81315', '7012', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040085', 'Cotton Camisole (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81315', '7012', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040086', 'Cotton Camisole (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81315', '7012', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040087', 'Cotton Halftop', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81321', '7012', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040088', 'Cotton Halftop (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81321', '7012', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040089', 'Cotton Halftop (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81321', '7012', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040090', 'Cotton Halftop (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81321', '7012', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040091', 'Cotton Halftop (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81321', '7012', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040092', 'Cotton Singlet', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81318', '7012', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040093', 'Cotton Singlet (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81318', '7012', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040094', 'Cotton Singlet (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81318', '7012', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040095', 'Cotton Singlet (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81318', '7012', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8040096', 'Cotton Singlet (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '1320', '81318', '7012', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050001', 'Dated Hempen Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '390', '80159', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050002', 'Dated Hempen Slops (Beige)', 'Normal/StandardItem', '1', '0', '0', '13900', '390', '80162', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050003', 'Dated Hempen Slops (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '390', '80160', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050004', 'Dated Hempen Slops (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '390', '80161', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050005', 'Dated Cotton Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '948', '80163', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8050006', 'Dated Cotton Slops (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '948', '80165', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8050007', 'Dated Cotton Slops (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '948', '80166', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8050008', 'Dated Cotton Slops (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '948', '80167', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8050009', 'Dated Cotton Slops (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '948', '80164', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8050010', 'Dated Canvas Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '1506', '80168', '7021', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8050011', 'Dated Canvas Slops (Pink)', 'Normal/StandardItem', '1', '0', '0', '13900', '1506', '80170', '7021', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8050012', 'Dated Canvas Slops (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1506', '80171', '7021', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8050013', 'Dated Canvas Slops (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1506', '80172', '7021', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8050014', 'Dated Canvas Slops (Auburn)', 'Normal/StandardItem', '1', '0', '0', '13900', '1506', '80169', '7021', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8050015', 'Linen Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82271', '7021', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050016', 'Linen Slops of Vitality (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82272', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050017', 'Linen Slops of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82273', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050018', 'Linen Slops of Strength (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82274', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050019', 'Woolen Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82275', '7021', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050020', 'Woolen Slops of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82276', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050021', 'Woolen Slops of the Mind (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82277', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050022', 'Woolen Slops of Strength (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82278', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050023', 'Linen Slops (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82272', '7021', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050024', 'Linen Slops (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82273', '7021', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050025', 'Linen Slops (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82274', '7021', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050026', 'Linen Slops of Vitality', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82271', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050027', 'Linen Slops of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82273', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050028', 'Lominsan Slops', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80170', '7021', '2', '0', '0', '0', '1', '30', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050029', 'Gridanian Slops', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80165', '7021', '2', '0', '0', '0', '1', '30', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050030', 'Weathered Slops (Brown)', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80920', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050031', 'Weathered Slops (Grey)', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80921', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050032', 'Weathered Slops (Beige)', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80922', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050033', 'Linen Slops of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82274', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050034', 'Linen Slops of the Mind', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82271', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050035', 'Linen Slops of the Mind (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82272', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050036', 'Linen Slops of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82274', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050037', 'Linen Slops of Strength', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82271', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050038', 'Linen Slops of Strength (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82272', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050039', 'Linen Slops of Strength (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2399', '82273', '7021', '1', '0', '0', '0', '1', '42', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050040', 'Woolen Slops (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82276', '7021', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050041', 'Woolen Slops (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82277', '7021', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050042', 'Woolen Slops (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82278', '7021', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050043', 'Woolen Slops of Vitality', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82275', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050044', 'Woolen Slops of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82277', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050045', 'Woolen Slops of Vitality (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82278', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050046', 'Woolen Slops of the Mind', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82275', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050047', 'Woolen Slops of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82276', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050048', 'Woolen Slops of the Mind (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82278', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050049', 'Woolen Slops of Strength', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82275', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050050', 'Woolen Slops of Strength (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82276', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050051', 'Woolen Slops of Strength (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2678', '82277', '7021', '1', '0', '0', '0', '1', '47', '2109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050101', 'Dated Hempen Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '1710', '80173', '7021', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050102', 'Dated Hempen Trousers (Beige)', 'Normal/StandardItem', '1', '0', '0', '20850', '1710', '80174', '7021', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050103', 'Dated Hempen Trousers (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '1710', '80175', '7021', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050104', 'Dated Hempen Trousers (Grey)', 'Normal/StandardItem', '1', '0', '0', '20850', '1710', '80176', '7021', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050105', 'Dated Cotton Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '2610', '80177', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050106', 'Dated Cotton Trousers (Yellow)', 'Normal/StandardItem', '1', '0', '0', '20850', '2610', '80178', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050107', 'Dated Cotton Trousers (Green)', 'Normal/StandardItem', '1', '0', '0', '20850', '2610', '80179', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050108', 'Dated Cotton Trousers (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '2610', '80180', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050109', 'Dated Cotton Trousers (Red)', 'Normal/StandardItem', '1', '0', '0', '20850', '2610', '80181', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050110', 'Dated Canvas Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '3510', '80182', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8050111', 'Dated Canvas Trousers (Pink)', 'Normal/StandardItem', '1', '0', '0', '20850', '3510', '80183', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8050112', 'Dated Canvas Trousers (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '3510', '80184', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8050113', 'Dated Canvas Trousers (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '3510', '80185', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8050114', 'Dated Canvas Trousers (Auburn)', 'Normal/StandardItem', '1', '0', '0', '20850', '3510', '80186', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8050115', 'Dated Tarred Leather Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '4410', '80187', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050116', 'Dated Tarred Leather Trousers (Pink)', 'Normal/StandardItem', '1', '0', '0', '20850', '4410', '80188', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050117', 'Dated Tarred Leather Trousers (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '4410', '80189', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050118', 'Dated Tarred Leather Trousers (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '4410', '80190', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050119', 'Dated Tarred Leather Trousers (Auburn)', 'Normal/StandardItem', '1', '0', '0', '20850', '4410', '80191', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050120', 'Velveteen Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '3150', '80923', '7021', '1', '0', '0', '0', '0', '34', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8050121', 'Velveteen Trousers (Red)', 'Normal/StandardItem', '1', '0', '0', '20850', '3150', '80925', '7021', '1', '0', '0', '0', '0', '34', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8050122', 'Woolen Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '4050', '82397', '7021', '1', '0', '0', '0', '0', '44', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8050123', 'Woolen Trousers (Purple)', 'Normal/StandardItem', '1', '0', '0', '20850', '4050', '82398', '7021', '1', '0', '0', '0', '0', '44', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8050124', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050125', 'Linen Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '3600', '82395', '7021', '1', '0', '0', '0', '0', '39', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8050126', 'Linen Trousers (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '3600', '82396', '7021', '1', '0', '0', '0', '0', '39', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8050127', 'Felt Trousers (Green)', 'Normal/StandardItem', '1', '0', '0', '20850', '4500', '82436', '7021', '1', '0', '0', '0', '0', '49', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050128', 'Felt Trousers (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '4500', '82434', '7021', '1', '0', '0', '0', '0', '49', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050129', 'Felt Trousers (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '4500', '82435', '7021', '1', '0', '0', '0', '0', '49', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050130', 'Felt Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '4500', '82399', '7021', '1', '0', '0', '0', '0', '49', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050131', 'Felt Trousers (Red)', 'Normal/StandardItem', '1', '0', '0', '20850', '4500', '82400', '7021', '1', '0', '0', '0', '0', '49', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050132', 'Storm Private\'s Trousers', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '80173', '7021', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050133', 'Storm Sergeant\'s Trousers', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '80175', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050134', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050135', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050136', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050137', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050138', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050139', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050140', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050141', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050142', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050143', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050144', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050145', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050146', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050147', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '180', '60000', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050148', 'Gridanian Trousers', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '80184', '7021', '2', '0', '0', '0', '1', '30', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050149', 'Sentinel\'s Trousers', 'Normal/StandardItem', '1', '0', '0', '20850', '4590', '80173', '7021', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050150', 'Weathered Trousers', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '80928', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050151', 'Paladin\'s Trousers', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '82062', '7021', '2', '0', '0', '0', '0', '35', '2103', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050201', 'Dated Hempen Breeches', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80193', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050202', 'Dated Hempen Breeches (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80194', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050203', 'Dated Hempen Breeches (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80195', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050204', 'Dated Hempen Breeches (Beige)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80196', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050205', 'Dated Cotton Breeches', 'Normal/StandardItem', '1', '0', '0', '11120', '468', '80197', '7021', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050206', 'Dated Cotton Breeches (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '468', '80198', '7021', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050207', 'Dated Cotton Breeches (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '468', '80199', '7021', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050208', 'Dated Cotton Breeches (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '468', '80200', '7021', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050209', 'Dated Cotton Breeches (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '468', '80201', '7021', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050210', 'Dated Canvas Breeches', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80202', '7021', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050211', 'Dated Canvas Breeches (Auburn)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80203', '7021', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050212', 'Dated Canvas Breeches (Pink)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80204', '7021', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050213', 'Dated Canvas Breeches (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80205', '7021', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050214', 'Dated Canvas Breeches (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80206', '7021', '1', '0', '0', '0', '0', '21', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050215', 'Dated Velveteen Hose', 'Normal/StandardItem', '1', '0', '0', '11120', '1248', '80929', '7021', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8050216', 'Dated Velveteen Hose (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '1248', '80930', '7021', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8050217', 'Dated Velveteen Hose (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '1248', '80931', '7021', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8050218', 'Dated Velveteen Hose (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '1248', '80932', '7021', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8050219', 'Dated Velveteen Hose (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1248', '80933', '7021', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8050220', 'Hempen Breeches', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80193', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050221', 'Hempen Breeches of Casting (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80194', '7021', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050222', 'Hempen Breeches of Toiling (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80195', '7021', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050223', 'Cotton Breeches', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80197', '7021', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050224', 'Cotton Breeches of Casting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80199', '7021', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050225', 'Cotton Breeches of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80198', '7021', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050226', 'Hempen Breeches (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80194', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050227', 'Hempen Breeches (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80195', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050228', 'Hempen Breeches of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80193', '7021', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050229', 'Hempen Breeches of Casting (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80195', '7021', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050230', 'Hempen Breeches of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80193', '7021', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050231', 'Hempen Breeches of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '80194', '7021', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050232', 'Cotton Breeches (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80199', '7021', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050233', 'Cotton Breeches (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80198', '7021', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050234', 'Cotton Breeches of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80197', '7021', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050235', 'Cotton Breeches of Casting (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80198', '7021', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050236', 'Cotton Breeches of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80197', '7021', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050237', 'Cotton Breeches of Toiling (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '858', '80199', '7021', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8050238', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '60000', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050239', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '60000', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050240', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '60000', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050241', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '78', '60000', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '34', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050242', 'Explorer\'s Breeches', 'Normal/StandardItem', '1', '1', '0', '11120', '1989', '82511', '7021', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050243', 'Lominsan Breeches', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '80931', '7021', '2', '0', '0', '0', '1', '30', '2111', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050244', 'Gridanian Breeches', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '80205', '7021', '2', '0', '0', '0', '1', '30', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050245', 'Weathered Breeches (Grey)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '80934', '7021', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050246', 'Vintage Hose', 'Normal/StandardItem', '1', '1', '0', '11120', '1521', '81434', '7021', '1', '0', '0', '0', '0', '38', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050247', 'Ripped Hose', 'Normal/StandardItem', '1', '1', '0', '7500', '638', '81434', '7021', '1', '0', '0', '0', '0', '28', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8050248', 'Claret Breeches', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82066', '7021', '3', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050301', 'Dated Hempen Chausses', 'Normal/StandardItem', '1', '0', '0', '12510', '225', '80207', '7021', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050302', 'Dated Hempen Chausses (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '225', '80208', '7021', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050303', 'Dated Hempen Chausses (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '225', '80209', '7021', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050304', 'Dated Hempen Chausses (Beige)', 'Normal/StandardItem', '1', '0', '0', '12510', '225', '80210', '7021', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050305', 'Dated Cotton Chausses', 'Normal/StandardItem', '1', '0', '0', '12510', '675', '80211', '7021', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8050306', 'Dated Cotton Chausses (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '675', '80212', '7021', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8050307', 'Dated Cotton Chausses (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '675', '80213', '7021', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8050308', 'Dated Cotton Chausses (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '675', '80214', '7021', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8050309', 'Dated Cotton Chausses (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '675', '80215', '7021', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8050310', 'Dated Canvas Chausses', 'Normal/StandardItem', '1', '0', '0', '12510', '1125', '80216', '7021', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8050311', 'Dated Canvas Chausses (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12510', '1125', '80217', '7021', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8050312', 'Dated Canvas Chausses (Pink)', 'Normal/StandardItem', '1', '0', '0', '12510', '1125', '80218', '7021', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8050313', 'Dated Canvas Chausses (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '1125', '80219', '7021', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8050314', 'Dated Canvas Chausses (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '1125', '80220', '7021', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8050315', 'Dated Velveteen Chausses', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80935', '7021', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8050316', 'Dated Velveteen Chausses (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80936', '7021', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8050317', 'Dated Velveteen Chausses (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80937', '7021', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8050318', 'Dated Velveteen Chausses (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80938', '7021', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8050319', 'Dated Velveteen Chausses (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '1575', '80939', '7021', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8050320', 'Woolen Chausses', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82279', '7021', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050321', 'Woolen Chausses of Dexterity (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82280', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050322', 'Woolen Chausses of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82281', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050323', 'Woolen Chausses of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82282', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050324', 'Felt Chausses', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82283', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050325', 'Felt Chausses of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82284', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050326', 'Felt Chausses of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82285', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050327', 'Felt Chausses of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82286', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050328', 'Woolen Chausses (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82280', '7021', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050329', 'Woolen Chausses (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82281', '7021', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050330', 'Woolen Chausses (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82282', '7021', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050331', 'Woolen Chausses of Dexterity', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82279', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050332', 'Woolen Chausses of Dexterity (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82281', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050333', 'Woolen Chausses of Dexterity (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82282', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050334', 'Woolen Chausses of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82279', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050335', 'Woolen Chausses of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82280', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050336', 'Woolen Chausses of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82282', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050337', 'Woolen Chausses of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82279', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050338', 'Woolen Chausses of Vitality (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82280', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050339', 'Woolen Chausses of Vitality (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '1980', '82281', '7021', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050340', 'Felt Chausses (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82284', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050341', 'Felt Chausses (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82285', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050342', 'Felt Chausses (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82286', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050343', 'Felt Chausses (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82437', '7021', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050344', 'Lominsan Chausses', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80937', '7021', '2', '0', '0', '0', '1', '30', '2110', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050345', 'Ul\'dahn Chausses', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80936', '7021', '2', '0', '0', '0', '1', '30', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050346', 'Weathered Chausses', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80940', '7021', '1', '0', '0', '0', '0', '1', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050347', 'Weathered Chausses (Grey)', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80941', '7021', '1', '0', '0', '0', '0', '1', '1104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050348', 'Felt Chausses of Dexterity', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82283', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050349', 'Felt Chausses of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82285', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050350', 'Felt Chausses of Dexterity (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82286', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050351', 'Felt Chausses of Dexterity (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82437', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050352', 'Felt Chausses of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82283', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050353', 'Felt Chausses of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82284', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050354', 'Felt Chausses of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82286', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050355', 'Felt Chausses of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82437', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050356', 'Felt Chausses of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82283', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050357', 'Felt Chausses of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82284', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050358', 'Felt Chausses of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82285', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050359', 'Felt Chausses of Vitality (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2205', '82437', '7021', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050360', 'Mage\'s Chausses', 'Normal/StandardItem', '1', '1', '0', '12510', '2160', '80219', '7021', '2', '0', '0', '0', '1', '47', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050401', 'Dated Sheepskin Culottes', 'Normal/StandardItem', '1', '0', '0', '18070', '1242', '81370', '7021', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050402', 'Dated Sheepskin Culottes (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '1242', '81371', '7021', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050403', 'Dated Sheepskin Culottes (Beige)', 'Normal/StandardItem', '1', '0', '0', '18070', '1242', '81372', '7021', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050404', 'Dated Sheepskin Culottes (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '1242', '81373', '7021', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050405', 'Dated Dodoskin Culottes', 'Normal/StandardItem', '1', '0', '0', '18070', '1932', '81374', '7021', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8050406', 'Dated Dodoskin Culottes (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '1932', '81375', '7021', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8050407', 'Dated Dodoskin Culottes (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '1932', '81376', '7021', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8050408', 'Dated Dodoskin Culottes (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '1932', '81377', '7021', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8050409', 'Dated Dodoskin Culottes (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '1932', '81378', '7021', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8050410', 'Dated Leather Culottes', 'Normal/StandardItem', '1', '0', '0', '18070', '2622', '81379', '7021', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050411', 'Dated Leather Culottes (Auburn)', 'Normal/StandardItem', '1', '0', '0', '18070', '2622', '81380', '7021', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050412', 'Dated Leather Culottes (Pink)', 'Normal/StandardItem', '1', '0', '0', '18070', '2622', '81381', '7021', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050413', 'Dated Leather Culottes (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '2622', '81382', '7021', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050414', 'Dated Leather Culottes (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '2622', '81383', '7021', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050415', 'Dated Tarred Leather Culottes', 'Normal/StandardItem', '1', '0', '0', '18070', '3312', '81384', '7021', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050416', 'Dated Tarred Leather Culottes (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3312', '81385', '7021', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050417', 'Dated Tarred Leather Culottes (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3312', '81386', '7021', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050418', 'Dated Tarred Leather Culottes (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '3312', '81387', '7021', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050419', 'Dated Tarred Leather Culottes (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '3312', '82034', '7021', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050420', 'Boarskin Culottes', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050421', 'Boarskin Culottes of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82288', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050422', 'Boarskin Culottes of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050423', 'Boarskin Culottes of Piety (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82289', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050424', 'Raptorskin Culottes', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050425', 'Raptorskin Culottes of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82291', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050426', 'Raptorskin Culottes of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050427', 'Raptorskin Culottes of Piety (Purple)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82292', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050428', 'Boarskin Culottes (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82288', '7021', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050429', 'Boarskin Culottes (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050430', 'Boarskin Culottes (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82289', '7021', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050431', 'Boarskin Culottes of the Mind', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050432', 'Boarskin Culottes of the Mind (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050433', 'Boarskin Culottes of the Mind (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82289', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050434', 'Boarskin Culottes of Intelligence', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050435', 'Boarskin Culottes of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82288', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050436', 'Boarskin Culottes of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82289', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050437', 'Boarskin Culottes of Piety', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050438', 'Boarskin Culottes of Piety (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82288', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050439', 'Boarskin Culottes of Piety (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3036', '82287', '7021', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050440', 'Raptorskin Culottes (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82291', '7021', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050441', 'Raptorskin Culottes (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050442', 'Raptorskin Culottes (Purple)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82292', '7021', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050443', 'Raptorskin Culottes (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82438', '7021', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050444', 'Raptorskin Culottes of the Mind', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050445', 'Raptorskin Culottes of the Mind (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050446', 'Raptorskin Culottes of the Mind (Purple)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82292', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050447', 'Raptorskin Culottes of the Mind (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82438', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050448', 'Raptorskin Culottes of Intelligence', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050449', 'Ul\'dahn Culottes', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '81386', '7021', '2', '0', '0', '0', '1', '30', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050450', 'Weathered Culottes (Grey)', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '81356', '7021', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050451', 'Raptorskin Culottes of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82291', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050452', 'Raptorskin Culottes of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82292', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050453', 'Raptorskin Culottes of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82438', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050454', 'Raptorskin Culottes of Piety', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050455', 'Raptorskin Culottes of Piety (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82291', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050456', 'Raptorskin Culottes of Piety (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82290', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050457', 'Raptorskin Culottes of Piety (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3381', '82438', '7021', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050501', 'Dated Sheepskin Subligar (Brown)', 'Normal/StandardItem', '1', '0', '0', '16680', '924', '80957', '7021', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050502', 'Dated Sheepskin Subligar (Grey)', 'Normal/StandardItem', '1', '0', '0', '16680', '924', '80958', '7021', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050503', 'Dodoskin Subligar', 'Normal/StandardItem', '1', '0', '0', '16680', '858', '80961', '7021', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8050504', 'Dodoskin Subligar (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '858', '80962', '7021', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8050505', 'Dated Dodoskin Subligar (Yellow)', 'Normal/StandardItem', '1', '0', '0', '16680', '1584', '80961', '7021', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8050506', 'Dated Dodoskin Subligar (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '1584', '80962', '7021', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8050507', 'Dated Leather Subligar (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '2244', '80963', '7021', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8050508', 'Dated Leather Subligar (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '2244', '80964', '7021', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8050509', 'Boarskin Subligar', 'Normal/StandardItem', '1', '0', '0', '16680', '2508', '82297', '7021', '1', '0', '0', '0', '0', '37', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050510', 'Boarskin Subligar (Blue)', 'Normal/StandardItem', '1', '0', '0', '16680', '2508', '82297', '7021', '1', '0', '0', '0', '0', '37', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050511', 'Peisteskin Subligar', 'Normal/StandardItem', '1', '0', '0', '16680', '2838', '82298', '7021', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050512', 'Peisteskin Subligar (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '2838', '82298', '7021', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8050513', 'Raptorskin Subligar', 'Normal/StandardItem', '1', '0', '0', '16680', '3168', '82299', '7021', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050514', 'Raptorskin Subligar (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '3168', '82299', '7021', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8050515', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '132', '60000', '7021', '1', '0', '0', '0', '0', '1', '1107', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050516', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '132', '60000', '7021', '1', '0', '0', '0', '0', '1', '1107', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050517', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '132', '60000', '7021', '1', '0', '0', '0', '0', '1', '1107', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050518', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '132', '60000', '7021', '1', '0', '0', '0', '0', '1', '1107', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8050519', 'Thormoen\'s Subligar', 'Normal/StandardItem', '1', '1', '0', '16680', '3036', '82514', '7021', '2', '0', '0', '0', '1', '45', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8050520', 'Ul\'dahn Subligar', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '80963', '7021', '2', '0', '0', '0', '1', '30', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050521', 'Star-Spangled Subligar', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '81495', '7021', '1', '0', '0', '0', '0', '18', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050601', 'Dated Hempen Kecks (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '558', '80221', '7021', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050602', 'Dated Hempen Kecks (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '558', '80222', '7021', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050603', 'Dated Cotton Kecks', 'Normal/StandardItem', '1', '0', '0', '15290', '1116', '80967', '7021', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8050604', 'Dated Cotton Kecks (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '1116', '80968', '7021', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8050605', 'Dated Canvas Kecks', 'Normal/StandardItem', '1', '0', '0', '15290', '1674', '80969', '7021', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8050606', 'Dated Canvas Kecks (Auburn)', 'Normal/StandardItem', '1', '0', '0', '15290', '1674', '80970', '7021', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8050607', 'Dated Velveteen Kecks', 'Normal/StandardItem', '1', '0', '0', '15290', '2232', '80971', '7021', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8050608', 'Dated Velveteen Kecks (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '2232', '80972', '7021', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8050609', 'Hempen Kecks', 'Normal/StandardItem', '1', '0', '0', '15290', '502', '80221', '7021', '1', '0', '0', '0', '0', '8', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050610', 'Hempen Kecks (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '502', '80222', '7021', '1', '0', '0', '0', '0', '8', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050611', 'Cotton Kecks', 'Normal/StandardItem', '1', '0', '0', '15290', '1339', '80967', '7021', '1', '0', '0', '0', '0', '23', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8050612', 'Cotton Kecks (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '1339', '80968', '7021', '1', '0', '0', '0', '0', '23', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8050613', 'Woolen Kecks', 'Normal/StandardItem', '1', '0', '0', '15290', '2455', '82300', '7021', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050614', 'Woolen Kecks (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '2455', '82301', '7021', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050615', 'Felt Kecks', 'Normal/StandardItem', '1', '0', '0', '15290', '2734', '82302', '7021', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050616', 'Felt Kecks (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '2734', '82303', '7021', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8050618', 'Serpent Private\'s Kecks', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '80221', '7021', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050619', 'Serpent Sergeant\'s Kecks', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '80971', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050620', 'Lominsan Kecks', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82141', '7021', '2', '0', '0', '0', '1', '30', '2103', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8050621', 'Weathered Kecks (Brown)', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '80973', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050622', 'Weathered Kecks (Grey)', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '80974', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050701', 'Dated Hempen Sarouel (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '421', '80223', '7021', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050702', 'Dated Hempen Sarouel (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '421', '80975', '7021', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050703', 'Dated Hempen Sarouel (Beige)', 'Normal/StandardItem', '1', '0', '0', '13900', '421', '80976', '7021', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050704', 'Dated Cotton Sarouel (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '889', '80977', '7021', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050705', 'Dated Cotton Sarouel (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '889', '80978', '7021', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050706', 'Dated Cotton Sarouel (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '889', '80979', '7021', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050707', 'Dated Cotton Sarouel (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '889', '80980', '7021', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8050708', 'Dated Velveteen Sarouel (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1825', '80981', '7021', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050709', 'Dated Velveteen Sarouel (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1825', '80982', '7021', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050710', 'Dated Velveteen Sarouel (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1825', '80983', '7021', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050711', 'Dated Velveteen Sarouel (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1825', '80984', '7021', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8050712', 'Velveteen Sarouel', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '82304', '7021', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050713', 'Velveteen Sarouel of Slaying (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80983', '7021', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050714', 'Velveteen Sarouel of Invoking (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80984', '7021', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050715', 'Velveteen Sarouel of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80982', '7021', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050716', 'Linen Sarouel', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82305', '7021', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050717', 'Linen Sarouel of Slaying (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82306', '7021', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050718', 'Linen Sarouel of Invoking (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82307', '7021', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050719', 'Linen Sarouel of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82308', '7021', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050720', 'Woolen Sarouel', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82309', '7021', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050721', 'Woolen Sarouel of Slaying (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82310', '7021', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050722', 'Woolen Sarouel of Invoking (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82311', '7021', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050723', 'Woolen Sarouel of Toiling (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82312', '7021', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050724', 'Velveteen Sarouel (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80983', '7021', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050725', 'Velveteen Sarouel (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80984', '7021', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050726', 'Velveteen Sarouel (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80982', '7021', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050727', 'Sipahi Sarouel', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82148', '7021', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050728', 'Weathered Sarouel (Brown)', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80985', '7021', '1', '0', '0', '0', '0', '1', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050729', 'Velveteen Sarouel of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '82304', '7021', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050730', 'Velveteen Sarouel of Slaying (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80984', '7021', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050731', 'Velveteen Sarouel of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80982', '7021', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050732', 'Velveteen Sarouel of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '82304', '7021', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050733', 'Velveteen Sarouel of Invoking (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80983', '7021', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050734', 'Velveteen Sarouel of Invoking (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80982', '7021', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050735', 'Velveteen Sarouel of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '82304', '7021', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050736', 'Velveteen Sarouel of Toiling (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80983', '7021', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050737', 'Velveteen Sarouel of Toiling (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1216', '80984', '7021', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8050738', 'Linen Sarouel (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82306', '7021', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050739', 'Linen Sarouel (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82307', '7021', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050740', 'Linen Sarouel (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82308', '7021', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050741', 'Linen Sarouel of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82305', '7021', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050742', 'Linen Sarouel of Slaying (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82307', '7021', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050743', 'Linen Sarouel of Slaying (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82308', '7021', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050744', 'Linen Sarouel of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82305', '7021', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050745', 'Linen Sarouel of Invoking (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82306', '7021', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050746', 'Linen Sarouel of Invoking (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82308', '7021', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050747', 'Linen Sarouel of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82305', '7021', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050748', 'Linen Sarouel of Toiling (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82306', '7021', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050749', 'Linen Sarouel of Toiling (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1684', '82307', '7021', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8050750', 'Woolen Sarouel (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82310', '7021', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050751', 'Woolen Sarouel (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82311', '7021', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050752', 'Woolen Sarouel (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82312', '7021', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050753', 'Woolen Sarouel (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82439', '7021', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050754', 'Woolen Sarouel of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82309', '7021', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050755', 'Woolen Sarouel of Slaying (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82311', '7021', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050756', 'Woolen Sarouel of Slaying (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82312', '7021', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050757', 'Woolen Sarouel of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82439', '7021', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050758', 'Woolen Sarouel of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82309', '7021', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050759', 'Woolen Sarouel of Invoking (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82310', '7021', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050760', 'Woolen Sarouel of Invoking (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82312', '7021', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050761', 'Woolen Sarouel of Invoking (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82439', '7021', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050762', 'Woolen Sarouel of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82309', '7021', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050763', 'Woolen Sarouel of Toiling (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82310', '7021', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050764', 'Woolen Sarouel of Toiling (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82311', '7021', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050765', 'Woolen Sarouel of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1918', '82439', '7021', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050766', 'Flame Private\'s Sarouel', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80977', '7021', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8050767', 'Flame Sergeant\'s Sarouel', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80981', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050768', 'Serpent Sergeant\'s Sarouel', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80979', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050769', 'Storm Sergeant\'s Sarouel', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80978', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050801', 'Dated Sheepskin Skirt', 'Normal/StandardItem', '1', '0', '0', '19460', '1404', '80986', '7021', '1', '0', '0', '0', '0', '17', '1114', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050802', 'Dated Dodoskin Skirt', 'Normal/StandardItem', '1', '0', '0', '19460', '2184', '80987', '7021', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8050803', 'Dated Leather Skirt', 'Normal/StandardItem', '1', '0', '0', '19460', '2964', '80988', '7021', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050804', 'Dated Leather Skirt (Red)', 'Normal/StandardItem', '1', '0', '0', '19460', '2964', '80989', '7021', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050805', 'Dated Leather Skirt (Black)', 'Normal/StandardItem', '1', '0', '0', '19460', '2964', '80990', '7021', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050806', 'Dated Leather Skirt (Ochre)', 'Normal/StandardItem', '1', '0', '0', '19460', '2964', '80991', '7021', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050807', 'Dated Leather Skirt (Green)', 'Normal/StandardItem', '1', '0', '0', '19460', '2964', '80992', '7021', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8050808', 'Judge\'s Skirt', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '80993', '7021', '1', '0', '0', '0', '0', '1', '2033', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8050809', 'Boarskin Skirt', 'Normal/StandardItem', '1', '0', '0', '19460', '3432', '82313', '7021', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050810', 'Boarskin Skirt (Red)', 'Normal/StandardItem', '1', '0', '0', '19460', '3432', '82314', '7021', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8050811', 'Flame Sergeant\'s Skirt', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '80990', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8050901', 'Woolen Gaskins', 'Normal/StandardItem', '1', '0', '0', '13900', '3375', '82315', '7021', '1', '0', '0', '0', '0', '44', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8050902', 'Woolen Gaskins (Purple)', 'Normal/StandardItem', '1', '0', '0', '13900', '3375', '82316', '7021', '1', '0', '0', '0', '0', '44', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8050903', 'Felt Gaskins', 'Normal/StandardItem', '1', '0', '0', '13900', '3750', '82317', '7021', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050904', 'Felt Gaskins (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '3750', '82317', '7021', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050905', 'Felt Gaskins (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '3750', '82442', '7021', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050906', 'Felt Gaskins (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '3750', '82440', '7021', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050907', 'Felt Gaskins (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3750', '82441', '7021', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8050940', 'Onion Gaskins', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81354', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051001', 'Dated Hempen Tights', 'Normal/StandardItem', '1', '0', '0', '12510', '344', '80942', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051002', 'Dated Hempen Tights (Beige)', 'Normal/StandardItem', '1', '0', '0', '12510', '344', '80943', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051003', 'Dated Hempen Tights (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '344', '80944', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051004', 'Dated Hempen Tights (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '344', '80945', '7021', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051005', 'Dated Cotton Tights', 'Normal/StandardItem', '1', '0', '0', '12510', '836', '80946', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8051006', 'Dated Cotton Tights (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '836', '80947', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8051007', 'Dated Cotton Tights (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '836', '80948', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8051008', 'Dated Cotton Tights (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '836', '80949', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8051009', 'Dated Cotton Tights (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '836', '80950', '7021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8051010', 'Dated Velveteen Tights', 'Normal/StandardItem', '1', '0', '0', '12510', '1820', '80951', '7021', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8051011', 'Dated Velveteen Tights (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1820', '80952', '7021', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8051012', 'Dated Velveteen Tights (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '1820', '80953', '7021', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8051013', 'Dated Velveteen Tights (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '1820', '80954', '7021', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8051014', 'Dated Velveteen Tights (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '1820', '80955', '7021', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8051015', 'Weathered Tights', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80956', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051016', 'Harlequin\'s Tights', 'Normal/StandardItem', '1', '1', '0', '13900', '2937', '81489', '7021', '2', '0', '0', '0', '0', '50', '1007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051017', 'Ascetic\'s Tights', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80954', '7021', '2', '0', '0', '0', '1', '30', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8051018', 'Velveteen Tights', 'Normal/StandardItem', '1', '0', '0', '12510', '1328', '80951', '7021', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8051019', 'Velveteen Tights (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1328', '80952', '7021', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8051020', 'Linen Tights', 'Normal/StandardItem', '1', '0', '0', '12510', '1820', '82293', '7021', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8051021', 'Linen Tights (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '1820', '82294', '7021', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8051022', 'Woolen Tights', 'Normal/StandardItem', '1', '0', '0', '12510', '2066', '82295', '7021', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8051023', 'Woolen Tights (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2066', '82296', '7021', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8051024', 'Ul\'dahn Tights', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80952', '7021', '2', '0', '0', '0', '1', '30', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8051025', 'Sorcerer\'s Tights', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82151', '7021', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051101', 'Dated Hempen Shepherd\'s Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '384', '81777', '7021', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051102', 'Dated Hempen Shepherd\'s Slops (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '384', '81778', '7021', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051103', 'Dated Hempen Shepherd\'s Slops (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '384', '81779', '7021', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051104', 'Dated Hempen Shepherd\'s Slops (Beige)', 'Normal/StandardItem', '1', '0', '0', '13900', '384', '81780', '7021', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051105', 'Dated Cotton Shepherd\'s Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81783', '7021', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051106', 'Dated Cotton Shepherd\'s Slops (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81784', '7021', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051107', 'Dated Cotton Shepherd\'s Slops (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81785', '7021', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051108', 'Dated Cotton Shepherd\'s Slops (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81787', '7021', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051109', 'Dated Cotton Shepherd\'s Slops (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81786', '7021', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051110', 'Dated Canvas Shepherd\'s Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '1344', '81788', '7021', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8051111', 'Dated Canvas Shepherd\'s Slops (Auburn)', 'Normal/StandardItem', '1', '0', '0', '13900', '1344', '81789', '7021', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8051112', 'Dated Canvas Shepherd\'s Slops (Pink)', 'Normal/StandardItem', '1', '0', '0', '13900', '1344', '81790', '7021', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8051113', 'Dated Canvas Shepherd\'s Slops (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1344', '81791', '7021', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8051114', 'Dated Canvas Shepherd\'s Slops (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '1344', '81792', '7021', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8051115', 'Hempen Shepherd\'s Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '96', '81777', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051116', 'Hempen Shepherd\'s Slops (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '96', '81778', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051117', 'Hempen Shepherd\'s Slops (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '96', '81780', '7021', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051118', 'Cotton Shepherd\'s Slops', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81783', '7021', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051119', 'Cotton Shepherd\'s Slops (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81786', '7021', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051120', 'Cotton Shepherd\'s Slops (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '864', '81785', '7021', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8051121', 'Mercenary\'s Slops', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81800', '7021', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051201', 'Dated Canvas Bottom', 'Normal/StandardItem', '1', '0', '0', '12500', '1364', '81909', '7021', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051202', 'Dated Canvas Bottom (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12500', '1364', '81910', '7021', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051203', 'Dated Canvas Bottom (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '1364', '81911', '7021', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051204', 'Dated Canvas Bottom (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '1364', '81912', '7021', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051205', 'Dated Canvas Bottom (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '1364', '81913', '7021', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051206', 'Dated Velveteen Bottom', 'Normal/StandardItem', '1', '0', '0', '12500', '1804', '81914', '7021', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051207', 'Dated Velveteen Bottom (Black)', 'Normal/StandardItem', '1', '0', '0', '12500', '1804', '81915', '7021', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051208', 'Dated Velveteen Bottom (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1804', '81916', '7021', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051209', 'Dated Velveteen Bottom (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1804', '81917', '7021', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051210', 'Dated Velveteen Bottom (Green)', 'Normal/StandardItem', '1', '0', '0', '12500', '1804', '81918', '7021', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051211', 'Dated Linen Bottom', 'Normal/StandardItem', '1', '0', '0', '12500', '2244', '81914', '7021', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8051212', 'Dated Linen Bottom (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '2244', '81911', '7021', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8051213', 'Dated Linen Bottom (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '2244', '81913', '7021', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8051214', 'Dated Linen Bottom (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '2244', '81912', '7021', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8051215', 'Dated Linen Bottom (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2244', '81910', '7021', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8051216', 'Velveteen Bottom', 'Normal/StandardItem', '1', '0', '0', '12500', '1276', '81914', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051217', 'Velveteen Bottom (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1276', '81916', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051218', 'Velveteen Bottom (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1276', '81917', '7021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8051219', 'Linen Bottom', 'Normal/StandardItem', '1', '0', '0', '12500', '1716', '81914', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051220', 'Linen Bottom (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '1716', '81913', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051221', 'Linen Bottom (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '1716', '81912', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051222', 'Gridanian Bottom', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '81917', '7021', '2', '0', '0', '0', '1', '30', '2110', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8051223', 'Linen Bottom (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1716', '81911', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051224', 'Linen Bottom (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1716', '81910', '7021', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8051301', 'Red Summer Trunks', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82086', '7019', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051302', 'Green Summer Trunks', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82087', '7019', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051303', 'Blue Summer Trunks', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82088', '7019', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051304', 'Solar Summer Trunks', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82089', '7019', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051305', 'Lunar Summer Trunks', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82090', '7019', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051306', 'Red Summer Tanga', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82096', '7019', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051307', 'Green Summer Tanga', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82097', '7019', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051308', 'Blue Summer Tanga', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82098', '7019', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051309', 'Solar Summer Tanga', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82099', '7019', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051310', 'Lunar Summer Tanga', 'Normal/StandardItem', '1', '1', '1', '0', '0', '82100', '7019', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051401', 'Gallant Cuisses', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '82483', '7021', '3', '0', '0', '0', '1', '46', '2120', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8051402', 'Temple Gaskins', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82488', '7021', '3', '0', '0', '0', '1', '46', '2119', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8051403', 'Fighter\'s Breeches', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82463', '7021', '3', '0', '0', '0', '1', '46', '2121', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8051404', 'Drachen Breeches', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '82458', '7021', '3', '0', '0', '0', '1', '46', '2123', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8051405', 'Choral Tights', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82478', '7021', '3', '0', '0', '0', '1', '46', '2122', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8051406', 'Healer\'s Culottes', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82468', '7021', '3', '0', '0', '0', '1', '46', '2125', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8051407', 'Wizard\'s Tonban', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82473', '7021', '3', '0', '0', '0', '1', '46', '2124', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8051501', 'Heavy Darklight Flanchard', 'Normal/StandardItem', '1', '1', '1', '40000', '0', '82493', '7021', '3', '0', '0', '0', '1', '50', '2126', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051502', 'Darklight Breeches', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82504', '7021', '3', '0', '0', '0', '1', '50', '2129', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051503', 'Heavy Darksteel Flanchard', 'Normal/StandardItem', '1', '0', '0', '40000', '4500', '82521', '7021', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051504', 'Heavy Darksteel Flanchard (White)', 'Normal/StandardItem', '1', '0', '0', '40000', '4500', '82520', '7021', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051505', 'Heavy Darksteel Flanchard (Red)', 'Normal/StandardItem', '1', '0', '0', '40000', '4500', '82522', '7021', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051506', 'Heavy Darksteel Flanchard (Green)', 'Normal/StandardItem', '1', '0', '0', '40000', '4500', '82523', '7021', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051507', 'Heavy Darksteel Flanchard (Blue)', 'Normal/StandardItem', '1', '0', '0', '40000', '4500', '82524', '7021', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051508', 'Gryphonskin Trousers', 'Normal/StandardItem', '1', '0', '0', '18070', '3450', '82535', '7021', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051509', 'Gryphonskin Trousers (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '3450', '82536', '7021', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051510', 'Gryphonskin Trousers (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3450', '82537', '7021', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051511', 'Gryphonskin Trousers (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3450', '82538', '7021', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051512', 'Gryphonskin Trousers (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '3450', '82539', '7021', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8051513', 'Militia Trousers', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '82590', '7021', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051514', 'Militia Tights', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82575', '7021', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051515', 'Militia Subligar', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82577', '7021', '2', '0', '0', '0', '1', '50', '2158', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051516', 'Storm Sergeant\'s Hose', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82585', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051517', 'Serpent Sergeant\'s Hose', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82586', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051518', 'Flame Sergeant\'s Hose', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '82573', '7021', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8051519', 'Coliseum Subligar', 'Normal/StandardItem', '1', '0', '0', '16680', '3036', '82609', '7021', '2', '0', '0', '0', '1', '45', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8051520', 'Coliseum Loincloth', 'Normal/StandardItem', '1', '0', '0', '12510', '2263', '82611', '7021', '2', '0', '0', '0', '1', '45', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8051521', 'Lord\'s Drawers (Black)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82630', '7021', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051522', 'Lord\'s Drawers (White)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82631', '7021', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051523', 'Lord\'s Drawers (Gold)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82632', '7021', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051524', 'Lady\'s Knickers (Black)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82627', '7021', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051525', 'Lady\'s Knickers (White)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82628', '7021', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8051526', 'Lady\'s Knickers (Gold)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82629', '7021', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060001', 'Well-worn Halftights', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81327', '7019', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060002', 'Well-worn Pagne', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81329', '7019', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060003', 'Well-worn Loinguard (Brown)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81349', '7019', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060004', 'Well-worn Braies', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81331', '7019', '1', '0', '0', '0', '0', '1', '2011', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060005', 'Well-worn Braies (Brown)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81332', '7019', '1', '0', '0', '0', '0', '1', '2013', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060006', 'Well-worn Stockings', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81334', '7019', '1', '0', '0', '0', '0', '1', '2012', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060007', 'Well-worn Stockings (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81335', '7019', '1', '0', '0', '0', '0', '1', '2014', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060008', 'Well-worn Shorts', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81337', '7019', '1', '0', '0', '0', '0', '1', '2015', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060009', 'Well-worn Shorts (Beige)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81338', '7019', '1', '0', '0', '0', '0', '1', '2017', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060010', 'Well-worn Drawers (Brown)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81340', '7019', '1', '0', '0', '0', '0', '1', '2016', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060011', 'Well-worn Drawers (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81341', '7019', '1', '0', '0', '0', '0', '1', '2018', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060012', 'Well-worn Pantalettes (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81346', '7019', '1', '0', '0', '0', '0', '1', '2019', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060013', 'Well-worn Pantalettes', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81347', '7019', '1', '0', '0', '0', '0', '1', '2020', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060014', 'Well-worn Trunks (Beige)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81343', '7019', '1', '0', '0', '0', '0', '1', '2021', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060015', 'Well-worn Trunks (Grey)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '81344', '7019', '1', '0', '0', '0', '0', '1', '2022', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060016', 'Hempen Halftights (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '80150', '7019', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060017', 'Hempen Halftights', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81326', '7019', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060018', 'Hempen Halftights (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '80152', '7019', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060019', 'Hempen Halftights (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '80153', '7019', '1', '0', '0', '0', '0', '1', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060020', 'Hempen Pagne (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81329', '7019', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060021', 'Hempen Pagne', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81328', '7019', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060022', 'Hempen Pagne (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81329', '7019', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060023', 'Hempen Pagne (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81328', '7019', '1', '0', '0', '0', '0', '1', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060024', 'Hempen Loinguard (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81349', '7019', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060025', 'Hempen Loinguard', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81348', '7019', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060026', 'Hempen Loinguard (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81349', '7019', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060027', 'Hempen Loinguard (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81348', '7019', '1', '0', '0', '0', '0', '1', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060028', 'Hempen Braies (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81331', '7019', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060029', 'Hempen Braies', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81330', '7019', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060030', 'Hempen Braies (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81331', '7019', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060031', 'Hempen Braies (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81330', '7019', '1', '0', '0', '0', '0', '1', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060032', 'Hempen Stockings (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81334', '7019', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060033', 'Hempen Stockings', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81333', '7019', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060034', 'Hempen Stockings (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81335', '7019', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060035', 'Hempen Stockings (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '82043', '7019', '1', '0', '0', '0', '0', '1', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060036', 'Hempen Shorts (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '82044', '7019', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060037', 'Hempen Shorts', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81336', '7019', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060038', 'Hempen Shorts (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '82044', '7019', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060039', 'Hempen Shorts (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81338', '7019', '1', '0', '0', '0', '0', '1', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060040', 'Hempen Drawers (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81340', '7019', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060041', 'Hempen Drawers', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81339', '7019', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060042', 'Hempen Drawers (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81341', '7019', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060043', 'Hempen Drawers (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '82045', '7019', '1', '0', '0', '0', '0', '1', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060044', 'Hempen Pantalettes (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81347', '7019', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060045', 'Hempen Pantalettes', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81345', '7019', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060046', 'Hempen Pantalettes (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81346', '7019', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060047', 'Hempen Pantalettes (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81345', '7019', '1', '0', '0', '0', '0', '1', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060048', 'Hempen Trunks (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81344', '7019', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060049', 'Hempen Trunks', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81342', '7019', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060050', 'Hempen Trunks (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81344', '7019', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060051', 'Hempen Trunks (Beige)', 'Normal/StandardItem', '1', '0', '0', '0', '36', '81342', '7019', '1', '0', '0', '0', '0', '1', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8060052', 'Cotton Halftights', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81326', '7019', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060053', 'Cotton Halftights (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81326', '7019', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060054', 'Cotton Halftights (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81326', '7019', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060055', 'Cotton Halftights (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81326', '7019', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060056', 'Cotton Halftights (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81326', '7019', '1', '0', '0', '0', '0', '21', '2008', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060057', 'Cotton Pagne', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81328', '7019', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060058', 'Cotton Pagne (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81328', '7019', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060059', 'Cotton Pagne (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81328', '7019', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060060', 'Cotton Pagne (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81328', '7019', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060061', 'Cotton Pagne (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81328', '7019', '1', '0', '0', '0', '0', '21', '2009', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060062', 'Cotton Loinguard', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81348', '7019', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060063', 'Cotton Loinguard (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81348', '7019', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060064', 'Cotton Loinguard (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81348', '7019', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060065', 'Cotton Loinguard (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81348', '7019', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060066', 'Cotton Loinguard (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81348', '7019', '1', '0', '0', '0', '0', '21', '2010', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060067', 'Cotton Braies', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81330', '7019', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060068', 'Cotton Braies (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81330', '7019', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060069', 'Cotton Braies (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81330', '7019', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060070', 'Cotton Braies (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81330', '7019', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060071', 'Cotton Braies (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81330', '7019', '1', '0', '0', '0', '0', '21', '2025', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060072', 'Cotton Stockings', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81333', '7019', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060073', 'Cotton Stockings (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81333', '7019', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060074', 'Cotton Stockings (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81333', '7019', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060075', 'Cotton Stockings (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81333', '7019', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060076', 'Cotton Stockings (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81333', '7019', '1', '0', '0', '0', '0', '21', '2026', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060077', 'Cotton Shorts', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81336', '7019', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060078', 'Cotton Shorts (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81336', '7019', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060079', 'Cotton Shorts (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81336', '7019', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060080', 'Cotton Shorts (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81336', '7019', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060081', 'Cotton Shorts (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81336', '7019', '1', '0', '0', '0', '0', '21', '2027', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060082', 'Cotton Drawers', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81339', '7019', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060083', 'Cotton Drawers (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81339', '7019', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060084', 'Cotton Drawers (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81339', '7019', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060085', 'Cotton Drawers (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81339', '7019', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060086', 'Cotton Drawers (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81339', '7019', '1', '0', '0', '0', '0', '21', '2028', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060087', 'Cotton Pantalettes', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81345', '7019', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060088', 'Cotton Pantalettes (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81345', '7019', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060089', 'Cotton Pantalettes (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81345', '7019', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060090', 'Cotton Pantalettes (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81345', '7019', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060091', 'Cotton Pantalettes (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81345', '7019', '1', '0', '0', '0', '0', '21', '2030', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060092', 'Cotton Trunks', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81342', '7019', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060093', 'Cotton Trunks (Brown)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81342', '7019', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060094', 'Cotton Trunks (Yellow)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81342', '7019', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060095', 'Cotton Trunks (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81342', '7019', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8060096', 'Cotton Trunks (Blue)', 'Normal/StandardItem', '1', '0', '0', '0', '396', '81342', '7019', '1', '0', '0', '0', '0', '21', '2029', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8070001', 'Dated Smithy\'s Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '455', '80232', '7024', '1', '0', '0', '0', '0', '6', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070002', 'Dated Leather Smithy\'s Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '1757', '80224', '7024', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8070003', 'Dated Leather Smithy\'s Gloves (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1757', '80225', '7024', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8070004', 'Dated Leather Smithy\'s Gloves (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '1757', '80226', '7024', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8070005', 'Dated Leather Smithy\'s Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1757', '80227', '7024', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8070006', 'Dated Leather Smithy\'s Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1757', '80228', '7024', '1', '0', '0', '0', '0', '26', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8070007', 'Boarskin Smithy\'s Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '2799', '80996', '7024', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070008', 'Boarskin Smithy\'s Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2799', '80998', '7024', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070009', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '130', '60000', '7024', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070010', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '130', '60000', '7024', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070011', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '130', '60000', '7024', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070012', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '130', '60000', '7024', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070013', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '130', '60000', '7024', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070014', 'Raptorskin Smithy\'s Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '3124', '80229', '7024', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070015', 'Raptorskin Smithy\'s Gloves (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '3124', '82319', '7024', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070016', 'Raptorskin Smithy\'s Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '3124', '80230', '7024', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070017', 'Raptorskin Smithy\'s Gloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '3124', '82443', '7024', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070018', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '130', '60000', '7024', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070019', 'Weathered Smithy\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81001', '7024', '1', '0', '0', '0', '0', '1', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070020', 'Dated Thick Smithy\'s Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '2408', '81414', '7024', '1', '0', '0', '0', '0', '36', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8070021', 'Dated Smithy\'s Gloves (Taupe)', 'Normal/StandardItem', '1', '0', '0', '13900', '455', '80994', '7024', '1', '0', '0', '0', '0', '6', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070022', 'Dated Smithy\'s Gloves (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '455', '80995', '7024', '1', '0', '0', '0', '0', '6', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070023', 'Vintage Smithy\'s Gloves', 'Normal/StandardItem', '1', '1', '0', '13900', '3189', '80229', '7024', '1', '0', '0', '0', '0', '48', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070024', 'Blackened Smithy\'s Gloves', 'Normal/StandardItem', '1', '1', '0', '7500', '780', '81415', '7024', '1', '0', '0', '0', '0', '38', '1101', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8070101', 'Dated Bronze Gauntlets', 'Normal/StandardItem', '1', '0', '0', '20850', '4095', '80233', '7023', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070102', 'Dated Bronze Gauntlets (Auburn)', 'Normal/StandardItem', '1', '0', '0', '20850', '4095', '80234', '7023', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070103', 'Dated Bronze Gauntlets (Pink)', 'Normal/StandardItem', '1', '0', '0', '20850', '4095', '80235', '7023', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070104', 'Dated Bronze Gauntlets (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '4095', '80236', '7023', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070105', 'Dated Bronze Gauntlets (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '4095', '80237', '7023', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070106', 'Dated Iron Gauntlets', 'Normal/StandardItem', '1', '0', '0', '20850', '5145', '80238', '7023', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070107', 'Dated Iron Gauntlets (Green)', 'Normal/StandardItem', '1', '0', '0', '20850', '5145', '80241', '7023', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070108', 'Dated Iron Gauntlets (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '5145', '80242', '7023', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070109', 'Steel Gauntlets', 'Normal/StandardItem', '1', '0', '0', '20850', '4200', '80239', '7023', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8070110', 'Steel Gauntlets (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '4200', '80243', '7023', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8070111', 'Cobalt Gauntlets (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82444', '7023', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8070112', 'Sentinel\'s Gauntlets', 'Normal/StandardItem', '1', '0', '0', '20850', '5355', '80247', '7023', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8070113', 'Cobalt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82320', '7023', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8070114', 'Cobalt Gauntlets (Red)', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82321', '7023', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8070115', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '210', '60000', '7023', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070116', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '210', '60000', '7023', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070117', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '210', '60000', '7023', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070118', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '210', '60000', '7023', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070119', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '210', '60000', '7023', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070201', 'Dated Sheepskin Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '728', '80263', '7023', '1', '0', '0', '0', '0', '12', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070202', 'Dated Dodoskin Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '1008', '80264', '7023', '1', '0', '0', '0', '0', '17', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070203', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '1288', '60000', '7023', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070204', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '1288', '60000', '7023', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070205', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '1288', '60000', '7023', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070206', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '1288', '60000', '7023', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070207', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '1288', '60000', '7023', '1', '0', '0', '0', '0', '22', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070208', 'Dated Leather Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '1848', '80270', '7023', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8070209', 'Dated Leather Vambraces (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '1848', '80271', '7023', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8070210', 'Dated Leather Vambraces (Ochre)', 'Normal/StandardItem', '1', '0', '0', '16680', '1848', '80272', '7023', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8070211', 'Dated Leather Vambraces (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '1848', '80273', '7023', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8070212', 'Dated Leather Vambraces (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '1848', '80274', '7023', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8070213', 'Dated Brass Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '2408', '80275', '7023', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070214', 'Dated Brass Vambraces (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '2408', '80276', '7023', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070215', 'Dated Brass Vambraces (Ochre)', 'Normal/StandardItem', '1', '0', '0', '16680', '2408', '80277', '7023', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070216', 'Dated Brass Vambraces (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '2408', '80278', '7023', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070217', 'Dated Brass Vambraces (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '2408', '80279', '7023', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070218', 'Iron Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '1288', '80280', '7023', '1', '0', '0', '0', '0', '22', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8070219', 'Iron Vambraces (Brown)', 'Normal/StandardItem', '1', '0', '0', '16680', '1288', '80282', '7023', '1', '0', '0', '0', '0', '22', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8070220', 'Steel Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '1848', '81549', '7023', '1', '0', '0', '0', '0', '32', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8070221', 'Steel Vambraces (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '1848', '81550', '7023', '1', '0', '0', '0', '0', '32', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8070222', 'Mythril Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '2408', '82362', '7023', '1', '0', '0', '0', '0', '42', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070223', 'Mythril Vambraces (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '2408', '82362', '7023', '1', '0', '0', '0', '0', '42', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070224', 'Cobalt Vambraces', 'Normal/StandardItem', '1', '0', '0', '16680', '2688', '82363', '7023', '1', '0', '0', '0', '0', '47', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070225', 'Cobalt Vambraces (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '2688', '82364', '7023', '1', '0', '0', '0', '0', '47', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070226', 'Cobalt Vambraces (Blue)', 'Normal/StandardItem', '1', '0', '0', '16680', '2688', '82449', '7023', '1', '0', '0', '0', '0', '47', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070227', 'Cobalt Vambraces (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '2688', '82448', '7023', '1', '0', '0', '0', '0', '47', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070228', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070229', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070230', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070231', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070232', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070233', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070234', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070235', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070236', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070237', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070238', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070239', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070240', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070241', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070242', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '112', '60000', '7023', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070243', 'Judge\'s Vambraces', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '81076', '7023', '1', '0', '0', '0', '0', '1', '2033', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070301', 'Dated Hempen Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '262', '80248', '7024', '1', '0', '0', '0', '0', '4', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070302', 'Dated Hempen Halfgloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '262', '80249', '7024', '1', '0', '0', '0', '0', '4', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070303', 'Dated Hempen Halfgloves (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '262', '80250', '7024', '1', '0', '0', '0', '0', '4', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070304', 'Dated Hempen Halfgloves (Beige)', 'Normal/StandardItem', '1', '0', '0', '12510', '262', '80251', '7024', '1', '0', '0', '0', '0', '4', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070305', 'Dated Cotton Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '787', '80252', '7024', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8070306', 'Dated Cotton Halfgloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '787', '80253', '7024', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8070307', 'Dated Cotton Halfgloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '787', '80254', '7024', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8070308', 'Dated Cotton Halfgloves (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '787', '80255', '7024', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8070309', 'Dated Cotton Halfgloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '787', '80256', '7024', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8070310', 'Dated Canvas Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '1312', '80257', '7024', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8070311', 'Dated Canvas Halfgloves (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12510', '1312', '80258', '7024', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8070312', 'Dated Canvas Halfgloves (Pink)', 'Normal/StandardItem', '1', '0', '0', '12510', '1312', '80259', '7024', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8070313', 'Dated Canvas Halfgloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '1312', '80260', '7024', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8070314', 'Dated Canvas Halfgloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '1312', '80261', '7024', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8070315', 'Dated Velveteen Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '1837', '81002', '7024', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8070316', 'Dated Velveteen Halfgloves (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1837', '81003', '7024', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8070317', 'Dated Velveteen Halfgloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '1837', '81004', '7024', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8070318', 'Dated Velveteen Halfgloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '1837', '81005', '7024', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8070319', 'Dated Velveteen Halfgloves (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '1837', '81006', '7024', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8070320', 'Hempen Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '105', '80248', '7024', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070321', 'Hempen Halfgloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '105', '80251', '7024', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070322', 'Cotton Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '840', '80252', '7024', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8070323', 'Cotton Halfgloves (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '840', '80255', '7024', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8070324', 'Woolen Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82322', '7024', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070325', 'Woolen Halfgloves of Dexterity (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82323', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070326', 'Woolen Halfgloves of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82324', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070327', 'Woolen Halfgloves of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82325', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070328', 'Felt Halfgloves', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82326', '7024', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070329', 'Felt Halfgloves of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82327', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070330', 'Felt Halfgloves of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82328', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070331', 'Felt Halfgloves of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82329', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070332', 'Woolen Halfgloves (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82323', '7024', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070333', 'Woolen Halfgloves (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82324', '7024', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070334', 'Woolen Halfgloves (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82325', '7024', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070335', 'Woolen Halfgloves of Dexterity', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82322', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070336', 'Woolen Halfgloves of Dexterity (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82324', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070337', 'Woolen Halfgloves of Dexterity (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82325', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070338', 'Woolen Halfgloves of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82322', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070339', 'Woolen Halfgloves of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82323', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070340', 'Woolen Halfgloves of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82325', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070341', 'Woolen Halfgloves of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82322', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070342', 'Woolen Halfgloves of Vitality (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82323', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070343', 'Woolen Halfgloves of Vitality (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2310', '82324', '7024', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070344', 'Felt Halfgloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82327', '7024', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070345', 'Felt Halfgloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82328', '7024', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070346', 'Weathered Halfgloves', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '81007', '7024', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070347', 'Felt Halfgloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82329', '7024', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070348', 'Felt Halfgloves (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82445', '7024', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070349', 'Felt Halfgloves of Dexterity', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82326', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070350', 'Felt Halfgloves of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82328', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070351', 'Felt Halfgloves of Dexterity (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82329', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070352', 'Felt Halfgloves of Dexterity (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82445', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070353', 'Felt Halfgloves of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82326', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070354', 'Felt Halfgloves of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82327', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070355', 'Felt Halfgloves of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82329', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070356', 'Felt Halfgloves of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82445', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070357', 'Felt Halfgloves of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82326', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070358', 'Felt Halfgloves of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82327', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070359', 'Felt Halfgloves of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82328', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070360', 'Felt Halfgloves of Vitality (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2572', '82445', '7024', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070361', 'Flame Private\'s Halfgloves', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80250', '7024', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070362', 'Flame Sergeant\'s Halfgloves', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '81003', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8070363', 'Mage\'s Halfgloves', 'Normal/StandardItem', '1', '1', '0', '12510', '2520', '80260', '7024', '2', '0', '0', '0', '1', '47', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070401', 'Weathered Work Gloves', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '81041', '7024', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070402', 'Dated Hempen Work Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '644', '80262', '7024', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070403', 'Dated Hempen Work Gloves (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '644', '81008', '7024', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070404', 'Dated Hempen Work Gloves (Beige)', 'Normal/StandardItem', '1', '0', '0', '18070', '644', '81009', '7024', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070405', 'Dated Hempen Work Gloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '644', '81010', '7024', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070406', 'Dated Cotton Work Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '1449', '81016', '7024', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070407', 'Dated Cotton Work Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '1449', '81017', '7024', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070408', 'Dated Cotton Work Gloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '1449', '81018', '7024', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070409', 'Dated Cotton Work Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '1449', '81019', '7024', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070410', 'Dated Cotton Work Gloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '1449', '81020', '7024', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070411', 'Dated Canvas Work Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '2254', '81392', '7024', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070412', 'Dated Canvas Work Gloves (Auburn)', 'Normal/StandardItem', '1', '0', '0', '18070', '2254', '81393', '7024', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070413', 'Dated Canvas Work Gloves (Pink)', 'Normal/StandardItem', '1', '0', '0', '18070', '2254', '81394', '7024', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070414', 'Dated Canvas Work Gloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '2254', '81395', '7024', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070415', 'Dated Canvas Work Gloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '2254', '81462', '7024', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070416', 'Hempen Work Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '563', '80262', '7024', '1', '0', '0', '0', '0', '6', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070417', 'Hempen Work Gloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '563', '81010', '7024', '1', '0', '0', '0', '0', '6', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070418', 'Cotton Work Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '1771', '81016', '7024', '1', '0', '0', '0', '0', '21', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8070419', 'Cotton Work Gloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '1771', '81018', '7024', '1', '0', '0', '0', '0', '21', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8070420', 'Woolen Work Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82330', '7024', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070421', 'Woolen Work Gloves of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82331', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070422', 'Woolen Work Gloves of Strength (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82332', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070423', 'Woolen Work Gloves of Dexterity (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82333', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070424', 'Felt Work Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82334', '7024', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070425', 'Felt Work Gloves of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82335', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070426', 'Felt Work Gloves of Strength (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82336', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070427', 'Felt Work Gloves of Dexterity (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82337', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070428', 'Woolen Work Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82331', '7024', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070429', 'Woolen Work Gloves (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82332', '7024', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070430', 'Woolen Work Gloves (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82333', '7024', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070431', 'Woolen Work Gloves of Vitality', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82330', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070432', 'Woolen Work Gloves of Vitality (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82332', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070433', 'Woolen Work Gloves of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82333', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070434', 'Woolen Work Gloves of Strength', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82330', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070435', 'Woolen Work Gloves of Strength (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82331', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070436', 'Woolen Work Gloves of Strength (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82333', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070437', 'Woolen Work Gloves of Dexterity', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82330', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070438', 'Woolen Work Gloves of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82331', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070439', 'Woolen Work Gloves of Dexterity (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '3542', '82332', '7024', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070440', 'Felt Work Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82335', '7024', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070441', 'Felt Work Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82336', '7024', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070442', 'Felt Work Gloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82337', '7024', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070443', 'Felt Work Gloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82446', '7024', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070444', 'Felt Work Gloves of Vitality', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82334', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070445', 'Felt Work Gloves of Vitality (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82336', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070446', 'Felt Work Gloves of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82337', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070447', 'Felt Work Gloves of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82446', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070448', 'Felt Work Gloves of Strength', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82334', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070449', 'Felt Work Gloves of Strength (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82335', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070450', 'Felt Work Gloves of Strength (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82337', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070451', 'Felt Work Gloves of Strength (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82446', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070452', 'Felt Work Gloves of Dexterity', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82334', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070453', 'Felt Work Gloves of Dexterity (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82335', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070454', 'Felt Work Gloves of Dexterity (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82336', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070455', 'Felt Work Gloves of Dexterity (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '3944', '82446', '7024', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070501', 'Dated Fingerless Sheepskin Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '491', '81064', '7024', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070502', 'Dated Fingerless Dodoskin Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '1037', '81066', '7024', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8070503', 'Dated Fingerless Leather Gloves (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1583', '81067', '7024', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8070504', 'Dated Fingerless Leather Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1583', '81068', '7024', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8070505', 'Dated Fingerless Leather Gloves (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '1583', '81069', '7024', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8070506', 'Dated Fingerless Leather Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1583', '81070', '7024', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8070507', 'Dated Fingerless Toadskin Gloves (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '81071', '7024', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8070508', 'Dated Fingerless Toadskin Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '81072', '7024', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8070509', 'Dated Fingerless Toadskin Gloves (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '81073', '7024', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8070510', 'Dated Fingerless Toadskin Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2129', '81074', '7024', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8070511', 'Weathered Fingerless Gloves', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81075', '7024', '1', '0', '0', '0', '0', '1', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070512', 'Asuran Armguards', 'Normal/SpecialEquipItem', '1', '1', '1', '13900', '0', '81350', '7024', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070513', 'Brigand\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81537', '7024', '2', '0', '0', '0', '1', '30', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070514', 'Fingerless Leather Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81067', '7024', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070515', 'Fingerless Leather Gloves of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81068', '7024', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070516', 'Fingerless Leather Gloves of Toiling (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81070', '7024', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070517', 'Fingerless Boarskin Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82353', '7024', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070518', 'Fingerless Boarskin Gloves of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82354', '7024', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070519', 'Fingerless Boarskin Gloves of Toiling (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82355', '7024', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070520', 'Fingerless Peisteskin Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82356', '7024', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070521', 'Fingerless Peisteskin Gloves of Slaying (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82357', '7024', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070522', 'Fingerless Peisteskin Gloves of Toiling (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82358', '7024', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070523', 'Fingerless Raptorskin Gloves', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82359', '7024', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070524', 'Fingerless Raptorskin Gloves of Slaying (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82360', '7024', '1', '0', '0', '0', '1', '45', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070525', 'Fingerless Raptorskin Gloves of Toiling (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82361', '7024', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070526', 'Sipahi Gloves', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81538', '7024', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8070527', 'Fingerless Leather Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81068', '7024', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070528', 'Fingerless Leather Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81070', '7024', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070529', 'Fingerless Leather Gloves of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81067', '7024', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070530', 'Fingerless Leather Gloves of Slaying (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81070', '7024', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070531', 'Fingerless Leather Gloves of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81067', '7024', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070532', 'Fingerless Leather Gloves of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1419', '81068', '7024', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070533', 'Fingerless Boarskin Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82354', '7024', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070534', 'Fingerless Boarskin Gloves (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82355', '7024', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070535', 'Fingerless Boarskin Gloves of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82353', '7024', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070536', 'Fingerless Boarskin Gloves of Slaying (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82355', '7024', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070537', 'Fingerless Boarskin Gloves of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82353', '7024', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070538', 'Fingerless Boarskin Gloves of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1965', '82354', '7024', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070539', 'Fingerless Peisteskin Gloves (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82357', '7024', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070540', 'Fingerless Peisteskin Gloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82358', '7024', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070541', 'Fingerless Peisteskin Gloves of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82356', '7024', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070542', 'Fingerless Peisteskin Gloves of Slaying (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82358', '7024', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070543', 'Fingerless Peisteskin Gloves of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82356', '7024', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070544', 'Fingerless Peisteskin Gloves of Toiling (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2238', '82357', '7024', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070545', 'Fingerless Raptorskin Gloves (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82360', '7024', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070546', 'Fingerless Raptorskin Gloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82361', '7024', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070547', 'Fingerless Raptorskin Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82447', '7024', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070548', 'Fingerless Raptorskin Gloves of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82359', '7024', '1', '0', '0', '0', '1', '45', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070549', 'Fingerless Raptorskin Gloves of Slaying (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82361', '7024', '1', '0', '0', '0', '1', '45', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070550', 'Fingerless Raptorskin Gloves of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82447', '7024', '1', '0', '0', '0', '1', '45', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070551', 'Fingerless Raptorskin Gloves of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82359', '7024', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070552', 'Fingerless Raptorskin Gloves of Toiling (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82360', '7024', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070553', 'Fingerless Raptorskin Gloves of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2511', '82447', '7024', '1', '0', '0', '0', '1', '45', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070601', 'Dated Bronze Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '1078', '81042', '7023', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070602', 'Dated Reinforced Bronze Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '1771', '81043', '7023', '1', '0', '0', '0', '0', '22', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8070603', 'Dated Iron Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '2618', '81044', '7023', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8070604', 'Dated Reinforced Iron Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '3388', '81496', '7023', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8070605', 'Warden\'s Gauntlets', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '81045', '7023', '2', '0', '0', '0', '1', '30', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070606', 'Bronze Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '1001', '81042', '7023', '1', '0', '0', '0', '0', '12', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8070607', 'Decorated Bronze Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '1386', '81043', '7023', '1', '0', '0', '0', '0', '17', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8070608', 'Steel Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '2926', '81497', '7023', '1', '0', '0', '0', '0', '37', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8070609', 'Mythril Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '3311', '82347', '7023', '1', '0', '0', '0', '0', '42', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8070610', 'Cobalt Mitt Gauntlets', 'Normal/StandardItem', '1', '0', '0', '16680', '3696', '82348', '7023', '1', '0', '0', '0', '0', '47', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8070701', 'Dated Sheepskin Bracers (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '651', '81046', '7024', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070702', 'Dated Sheepskin Bracers (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '651', '81047', '7024', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070703', 'Dated Sheepskin Bracers (Beige)', 'Normal/StandardItem', '1', '0', '0', '15290', '651', '81048', '7024', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070704', 'Dated Dodoskin Bracers', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '81049', '7024', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070705', 'Dated Dodoskin Bracers (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '81050', '7024', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070706', 'Dated Dodoskin Bracers (Yellow)', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '81051', '7024', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070707', 'Dated Dodoskin Bracers (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '81052', '7024', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070708', 'Dated Dodoskin Bracers (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '1302', '81053', '7024', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8070709', 'Dated Leather Bracers', 'Normal/StandardItem', '1', '0', '0', '15290', '1953', '81054', '7024', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070710', 'Dated Leather Bracers (Auburn)', 'Normal/StandardItem', '1', '0', '0', '15290', '1953', '81055', '7024', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070711', 'Dated Leather Bracers (Pink)', 'Normal/StandardItem', '1', '0', '0', '15290', '1953', '81056', '7024', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070712', 'Dated Leather Bracers (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '1953', '81057', '7024', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070713', 'Dated Leather Bracers (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '1953', '81058', '7024', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8070714', 'Dated Bowyer\'s Bracers', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '81059', '7024', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8070715', 'Dated Bowyer\'s Bracers (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '81060', '7024', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8070716', 'Dated Bowyer\'s Bracers (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '81061', '7024', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8070717', 'Dated Bowyer\'s Bracers (Yellow)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '81062', '7024', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8070718', 'Dated Bowyer\'s Bracers (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '2604', '81063', '7024', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8070719', 'Venerer\'s Bracers', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82063', '7024', '2', '0', '0', '0', '0', '35', '2133', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070720', 'Woolen Bracers', 'Normal/StandardItem', '1', '0', '0', '15290', '2864', '82349', '7024', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070721', 'Woolen Bracers (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '2864', '82350', '7024', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8070722', 'Felt Bracers', 'Normal/StandardItem', '1', '0', '0', '15290', '3189', '82351', '7024', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070723', 'Felt Bracers (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '3189', '82352', '7024', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8070724', 'Serpent Private\'s Bracers', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81052', '7024', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8070725', 'Serpent Sergeant\'s Bracers', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81057', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8070801', 'Dated Sheepskin Mitts (Taupe)', 'Normal/StandardItem', '1', '0', '0', '15290', '644', '81077', '7024', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070802', 'Dated Sheepskin Mitts (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '579', '81078', '7024', '1', '0', '0', '0', '0', '8', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070803', 'Dated Dodoskin Mitts (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '1288', '81079', '7024', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8070804', 'Dated Leather Mitts', 'Normal/StandardItem', '1', '0', '0', '15290', '1932', '81080', '7024', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8070805', 'Dated Toadskin Mitts', 'Normal/StandardItem', '1', '0', '0', '15290', '2576', '81085', '7024', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8070806', 'Mitts of the Lone Knight', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82071', '7024', '3', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8070807', 'Sheepskin Mitts', 'Normal/StandardItem', '1', '0', '0', '15290', '579', '81077', '7024', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070808', 'Sheepskin Mitts (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '579', '81078', '7024', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8070809', 'Leather Mitts', 'Normal/StandardItem', '1', '0', '0', '15290', '1223', '81080', '7024', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8070810', 'Leather Mitts (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '1223', '81081', '7024', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8070811', 'Mercenary\'s Mitts', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82144', '7024', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8070812', '[en]', 'Normal/StandardItem', '1', '0', '0', '15290', '128', '60000', '7024', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8070901', 'Dated Sheepskin Armguards', 'Normal/StandardItem', '1', '0', '0', '16680', '1176', '81086', '7023', '1', '0', '0', '0', '0', '15', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8070902', 'Dated Dodoskin Armguards', 'Normal/StandardItem', '1', '0', '0', '16680', '1911', '81087', '7023', '1', '0', '0', '0', '0', '25', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8070903', 'Dated Leather Armguards (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '2646', '81088', '7023', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070904', 'Dated Leather Armguards (Ochre)', 'Normal/StandardItem', '1', '0', '0', '16680', '2646', '81089', '7023', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070905', 'Dated Leather Armguards (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '2646', '81090', '7023', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070906', 'Dated Leather Armguards (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '2646', '81091', '7023', '1', '0', '0', '0', '0', '35', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8070907', 'Dated Spiked Leather Armguards (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '3381', '81096', '7023', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070908', 'Dated Spiked Leather Armguards (Ochre)', 'Normal/StandardItem', '1', '0', '0', '16680', '3381', '81097', '7023', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070909', 'Dated Spiked Leather Armguards (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '3381', '81098', '7023', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070910', 'Dated Spiked Leather Armguards (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '3381', '81099', '7023', '1', '0', '0', '0', '0', '45', '1113', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8070911', 'Leather Armguards', 'Normal/StandardItem', '1', '0', '0', '16680', '1543', '81088', '7023', '1', '0', '0', '0', '0', '20', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8070912', 'Leather Armguards (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '1543', '81090', '7023', '1', '0', '0', '0', '0', '20', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8070913', 'Toadskin Armguards', 'Normal/StandardItem', '1', '0', '0', '16680', '2278', '81098', '7023', '1', '0', '0', '0', '0', '30', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070914', 'Toadskin Armguards (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '2278', '81096', '7023', '1', '0', '0', '0', '0', '30', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8070915', 'Spiked Armguards', 'Normal/StandardItem', '1', '1', '0', '16680', '3748', '82508', '7023', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071001', 'Dated Sheepskin Wristguards', 'Normal/StandardItem', '1', '0', '0', '11120', '112', '81100', '7032', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8071002', 'Dated Sheepskin Wristguards (Taupe)', 'Normal/StandardItem', '1', '0', '0', '11120', '112', '81101', '7032', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8071003', 'Dated Sheepskin Wristguards (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '112', '81102', '7032', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8071004', 'Dated Dodoskin Wristguards', 'Normal/StandardItem', '1', '0', '0', '11120', '392', '81103', '7032', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8071005', 'Dated Dodoskin Wristguards (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '392', '81104', '7032', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8071006', 'Dated Leather Wristguards', 'Normal/StandardItem', '1', '0', '0', '11120', '672', '81105', '7032', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071007', 'Dated Leather Wristguards (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '672', '81106', '7032', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071008', 'Dated Leather Wristguards (Ochre)', 'Normal/StandardItem', '1', '0', '0', '11120', '672', '81107', '7032', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071009', 'Dated Leather Wristguards (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '672', '81108', '7032', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071010', 'Dated Leather Wristguards (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '672', '81109', '7032', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071011', 'Dated Toadskin Wristguards', 'Normal/StandardItem', '1', '0', '0', '11120', '952', '81110', '7032', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8071012', 'Dated Toadskin Wristguards (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '952', '81111', '7032', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8071013', 'Sheepskin Wristguards', 'Normal/StandardItem', '1', '0', '0', '11120', '56', '81100', '7032', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8071014', 'Sheepskin Wristguards (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '56', '81101', '7032', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8071015', 'Dodoskin Wristguards', 'Normal/StandardItem', '1', '0', '0', '11120', '336', '81103', '7032', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8071016', 'Dodoskin Wristguards (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '336', '81104', '7032', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8071017', 'Storm Private\'s Wristguards', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81102', '7032', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8071018', 'Storm Sergeant\'s Wristguards', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81106', '7032', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071101', 'Dated Canvas Shortgloves', 'Normal/StandardItem', '1', '0', '0', '12500', '1240', '81925', '7024', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071102', 'Dated Canvas Shortgloves (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12500', '1240', '81926', '7024', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071103', 'Dated Canvas Shortgloves (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '1240', '81927', '7024', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071104', 'Dated Canvas Shortgloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '1240', '81928', '7024', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071105', 'Dated Canvas Shortgloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '1240', '81929', '7024', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8071106', 'Dated Velveteen Shortgloves', 'Normal/StandardItem', '1', '0', '0', '12500', '1640', '81930', '7024', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8071107', 'Dated Velveteen Shortgloves (Black)', 'Normal/StandardItem', '1', '0', '0', '12500', '1640', '81931', '7024', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8071108', 'Dated Velveteen Shortgloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1640', '81932', '7024', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8071109', 'Dated Velveteen Shortgloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1640', '81933', '7024', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8071110', 'Dated Velveteen Shortgloves (Green)', 'Normal/StandardItem', '1', '0', '0', '12500', '1640', '81934', '7024', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8071111', 'Dated Linen Shortgloves', 'Normal/StandardItem', '1', '0', '0', '12500', '2040', '81930', '7024', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8071112', 'Dated Linen Shortgloves (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '2040', '81927', '7024', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8071113', 'Dated Linen Shortgloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '2040', '81929', '7024', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8071114', 'Dated Linen Shortgloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '2040', '81928', '7024', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8071115', 'Dated Linen Shortgloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2040', '81926', '7024', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8071116', 'Velveteen Shortgloves', 'Normal/StandardItem', '1', '0', '0', '12500', '1160', '81930', '7024', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8071117', 'Velveteen Shortgloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1160', '81932', '7024', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8071118', 'Velveteen Shortgloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1160', '81933', '7024', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8071119', 'Linen Shortgloves', 'Normal/StandardItem', '1', '0', '0', '12500', '1560', '81930', '7024', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8071120', 'Linen Shortgloves (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '1560', '81929', '7024', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8071121', 'Linen Shortgloves (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '1560', '81928', '7024', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8071122', 'Linen Shortgloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1560', '81927', '7024', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8071123', 'Linen Shortgloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1560', '81926', '7024', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8071201', 'Dodoskin Ringbands', 'Normal/StandardItem', '1', '0', '0', '12510', '975', '82338', '7032', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8071202', 'Leather Ringbands', 'Normal/StandardItem', '1', '0', '0', '12510', '1549', '82339', '7032', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8071203', 'Leather Ringbands (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '1549', '82339', '7032', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8071204', 'Boarskin Ringbands', 'Normal/StandardItem', '1', '0', '0', '12510', '2123', '82340', '7032', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8071205', 'Boarskin Ringbands (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2123', '82340', '7032', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8071206', 'Boarskin Ringbands of Flames', 'Normal/StandardItem', '1', '0', '0', '12510', '2697', '82341', '7032', '1', '0', '0', '0', '0', '46', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8071207', 'Boarskin Ringbands of Tremors', 'Normal/StandardItem', '1', '0', '0', '12510', '2697', '82342', '7032', '1', '0', '0', '0', '0', '46', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8071208', 'Boarskin Ringbands of Tides', 'Normal/StandardItem', '1', '0', '0', '12510', '2697', '82343', '7032', '1', '0', '0', '0', '0', '46', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8071209', 'Boarskin Ringbands of Gales', 'Normal/StandardItem', '1', '0', '0', '12510', '2697', '82344', '7032', '1', '0', '0', '0', '0', '46', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8071210', 'Boarskin Ringbands of Frost', 'Normal/StandardItem', '1', '0', '0', '12510', '2697', '82345', '7032', '1', '0', '0', '0', '0', '46', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8071211', 'Boarskin Ringbands of Storms', 'Normal/StandardItem', '1', '0', '0', '12510', '2697', '82346', '7032', '1', '0', '0', '0', '0', '46', '2005', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8071212', 'Sorcerer\'s Ringbands', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82150', '7032', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071301', 'Lominsan Soldier\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82110', '7024', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8071302', 'Gridanian Soldier\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82111', '7024', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8071303', 'Ul\'dahn Soldier\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82112', '7024', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8071304', 'Lominsan Officer\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82113', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071305', 'Gridanian Officer\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82114', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071306', 'Ul\'dahn Officer\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82115', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071401', 'Gallant Gauntlets', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '82484', '7023', '3', '0', '0', '0', '1', '47', '2120', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8071402', 'Temple Gloves', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '82489', '7023', '3', '0', '0', '0', '1', '47', '2119', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8071403', 'Fighter\'s Gauntlets', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82464', '7023', '3', '0', '0', '0', '1', '47', '2121', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8071404', 'Drachen Gauntlets', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '82459', '7023', '3', '0', '0', '0', '1', '47', '2123', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8071405', 'Choral Ringbands', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82479', '7032', '3', '0', '0', '0', '1', '47', '2122', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8071406', 'Healer\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82469', '7032', '3', '0', '0', '0', '1', '47', '2125', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8071407', 'Wizard\'s Gloves', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82474', '7024', '3', '0', '0', '0', '1', '47', '2124', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8071501', 'Heavy Darklight Gauntlets', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '82494', '7023', '3', '0', '0', '0', '1', '50', '2126', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071502', 'Darklight Gauntlets', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '82496', '7023', '3', '0', '0', '0', '1', '50', '2127', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071503', 'Darklight Bracers', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82500', '7023', '3', '0', '0', '0', '1', '50', '2128', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071504', 'Darklight Gloves', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82505', '7024', '3', '0', '0', '0', '1', '50', '2129', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071505', 'Heavy Darksteel Gauntlets', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82526', '7023', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071506', 'Heavy Darksteel Gauntlets (White)', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82525', '7023', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071507', 'Heavy Darksteel Gauntlets (Red)', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82527', '7023', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071508', 'Heavy Darksteel Gauntlets (Green)', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82528', '7023', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071509', 'Heavy Darksteel Gauntlets (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '5250', '82529', '7023', '2', '0', '0', '0', '1', '49', '2155', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071510', 'Gryphonskin Gloves', 'Normal/StandardItem', '1', '0', '0', '18070', '4025', '82540', '7023', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071511', 'Gryphonskin Gloves (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '4025', '82541', '7023', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071512', 'Gryphonskin Gloves (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '4025', '82542', '7023', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071513', 'Gryphonskin Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '4025', '82543', '7023', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071514', 'Gryphonskin Gloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '4025', '82544', '7023', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071515', 'Vanya Gloves', 'Normal/StandardItem', '1', '0', '0', '12510', '2870', '82557', '7024', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071516', 'Vanya Gloves (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '2870', '82556', '7024', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071517', 'Vanya Gloves (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2870', '82555', '7024', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071518', 'Vanya Gloves (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2870', '82558', '7024', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071519', 'Vanya Gloves (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2870', '82559', '7024', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8071520', 'Storm Sergeant\'s Mitts', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82592', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071521', 'Storm Sergeant\'s Shortgloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82579', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071522', 'Serpent Sergeant\'s Mitts', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82593', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071523', 'Serpent Sergeant\'s Shortgloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82580', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071524', 'Flame Sergeant\'s Mitts', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82591', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071525', 'Flame Sergeant\'s Shortgloves', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82581', '7024', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071526', 'Militia Ringbands', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82597', '7024', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071527', 'Militia Gauntlets', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '80245', '7023', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8071528', 'Militia Mitt Gauntlets', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82596', '7023', '2', '0', '0', '0', '1', '50', '2158', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080001', 'Dated Leather Thighboots', 'Normal/StandardItem', '1', '0', '0', '13900', '2008', '80300', '7027', '1', '0', '0', '0', '0', '26', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8080002', 'Dated Tarred Leather Thighboots', 'Normal/StandardItem', '1', '0', '0', '13900', '2752', '80301', '7027', '1', '0', '0', '0', '0', '36', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8080003', 'Dated Leather Thighboots (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '2008', '80302', '7027', '1', '0', '0', '0', '0', '26', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8080004', 'Dated Leather Thighboots (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2008', '80303', '7027', '1', '0', '0', '0', '0', '26', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8080005', 'Dated Leather Thighboots (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2008', '80304', '7027', '1', '0', '0', '0', '0', '26', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8080006', 'Boarskin Thighboots', 'Normal/StandardItem', '1', '0', '0', '13900', '3199', '80292', '7027', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8080007', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '148', '60000', '7027', '1', '0', '0', '0', '0', '1', '1005', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8080008', 'Boarskin Thighboots (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '3199', '80294', '7027', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8080009', 'Raptorskin Thighboots (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '3571', '80298', '7027', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8080010', 'Raptorskin Thighboots (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '3571', '82450', '7027', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8080011', 'Raptorskin Thighboots', 'Normal/StandardItem', '1', '0', '0', '13900', '3571', '80297', '7027', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8080012', 'Raptorskin Thighboots (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '3571', '82365', '7027', '1', '0', '0', '0', '0', '47', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8080013', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '148', '60000', '7027', '1', '0', '0', '0', '0', '1', '1005', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8080014', '[en]', 'Normal/StandardItem', '1', '0', '0', '13900', '148', '60000', '7027', '1', '0', '0', '0', '0', '1', '1005', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8080015', 'Flame Sergeant\'s Thighboots', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80301', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080016', 'Weathered Thighboots ', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81120', '7027', '1', '0', '0', '0', '0', '1', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080017', 'Weathered Thighboots (Grey)', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81119', '7027', '1', '0', '0', '0', '0', '1', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080018', 'Dated Dodoskin Thighboots (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1264', '81117', '7027', '1', '0', '0', '0', '0', '16', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8080019', 'Vintage Thighboots', 'Normal/StandardItem', '1', '1', '0', '13900', '3645', '80297', '7027', '1', '0', '0', '0', '0', '48', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080020', 'Mildewed Thighboots', 'Normal/StandardItem', '1', '1', '0', '7500', '1014', '81418', '7027', '1', '0', '0', '0', '0', '38', '1005', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8080101', 'Dated Bronze Sabatons', 'Normal/StandardItem', '1', '0', '0', '20850', '4680', '80305', '7026', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080102', 'Dated Bronze Sabatons (Auburn)', 'Normal/StandardItem', '1', '0', '0', '20850', '4680', '80306', '7026', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080103', 'Dated Bronze Sabatons (Pink)', 'Normal/StandardItem', '1', '0', '0', '20850', '4680', '80307', '7026', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080104', 'Dated Bronze Sabatons (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '4680', '80308', '7026', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080105', 'Dated Bronze Sabatons (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '4680', '80309', '7026', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080106', 'Dated Iron Sabatons', 'Normal/StandardItem', '1', '0', '0', '20850', '5880', '80310', '7026', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8080107', 'Dated Iron Sabatons (Green)', 'Normal/StandardItem', '1', '0', '0', '20850', '5880', '80313', '7026', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8080108', 'Dated Iron Sabatons (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '5880', '80314', '7026', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8080109', 'Steel Sabatons', 'Normal/StandardItem', '1', '0', '0', '20850', '4800', '80311', '7026', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080110', 'Steel Sabatons (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '4800', '80315', '7026', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080111', 'Cobalt Sabatons (Blue)', 'Normal/StandardItem', '1', '0', '0', '20850', '6000', '82451', '7026', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8080112', 'Sentinel\'s Sabatons', 'Normal/StandardItem', '1', '0', '0', '20850', '6120', '80319', '7026', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080113', 'Cobalt Sabatons', 'Normal/StandardItem', '1', '0', '0', '20850', '6000', '82366', '7026', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8080114', 'Cobalt Sabatons (Red)', 'Normal/StandardItem', '1', '0', '0', '20850', '6000', '82367', '7026', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8080115', 'Plundered Sabatons', 'Normal/StandardItem', '1', '1', '0', '20850', '1920', '80305', '7026', '1', '0', '0', '0', '1', '15', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8080116', 'Explorer\'s Sabatons', 'Normal/StandardItem', '1', '1', '0', '20850', '6120', '80310', '7026', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080117', 'Darksteel Sabatons (White)', 'Normal/StandardItem', '1', '0', '0', '20850', '240', '80317', '7026', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8080118', 'Darksteel Sabatons (Gold)', 'Normal/StandardItem', '1', '0', '0', '20850', '240', '80318', '7026', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8080119', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '240', '60000', '7026', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8080201', 'Dated Sheepskin Duckbills', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80320', '7027', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080202', 'Dated Sheepskin Duckbills (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80321', '7027', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080203', 'Dated Sheepskin Duckbills (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80322', '7027', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080204', 'Dated Sheepskin Duckbills (Beige)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80323', '7027', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080205', 'Dated Padded Sheepskin Duckbills', 'Normal/StandardItem', '1', '0', '0', '11120', '624', '80324', '7027', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080206', 'Dated Padded Sheepskin Duckbills (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '624', '80325', '7027', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080207', 'Dated Padded Sheepskin Duckbills (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '624', '80326', '7027', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080208', 'Dated Padded Sheepskin Duckbills (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '624', '80327', '7027', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080209', 'Dated Padded Sheepskin Duckbills (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '624', '80328', '7027', '1', '0', '0', '0', '0', '11', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080210', 'Dated Leather Duckbills', 'Normal/StandardItem', '1', '0', '0', '11120', '1664', '80329', '7027', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8080211', 'Dated Leather Duckbills (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '1664', '80330', '7027', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8080212', 'Dated Leather Duckbills (Ochre)', 'Normal/StandardItem', '1', '0', '0', '11120', '1664', '80331', '7027', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8080213', 'Dated Leather Duckbills (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '1664', '80332', '7027', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8080214', 'Dated Leather Duckbills (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1664', '80333', '7027', '1', '0', '0', '0', '0', '31', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8080215', 'Dated Padded Leather Duckbills', 'Normal/StandardItem', '1', '0', '0', '11120', '2184', '81121', '7027', '1', '0', '0', '0', '0', '41', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080216', 'Dated Padded Leather Duckbills (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '2184', '81122', '7027', '1', '0', '0', '0', '0', '41', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080217', 'Dated Padded Leather Duckbills (Ochre)', 'Normal/StandardItem', '1', '0', '0', '11120', '2184', '81123', '7027', '1', '0', '0', '0', '0', '41', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080218', 'Dated Padded Leather Duckbills (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '2184', '81124', '7027', '1', '0', '0', '0', '0', '41', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080219', 'Dated Padded Leather Duckbills (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '2184', '81125', '7027', '1', '0', '0', '0', '0', '41', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080220', 'Sheepskin Duckbills', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80320', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080221', 'Sheepskin Duckbills of Casting (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80321', '7027', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080222', 'Sheepskin Duckbills of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80323', '7027', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080223', 'Sheepskin Duckbills of Toiling (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80322', '7027', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080224', 'Padded Sheepskin Duckbills', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80324', '7027', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080225', 'Padded Sheepskin Duckbills of Casting (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80326', '7027', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080226', 'Padded Sheepskin Duckbills of Toiling (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80328', '7027', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080227', 'Padded Sheepskin Duckbills of Toiling (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80327', '7027', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080228', 'Sheepskin Duckbills (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80321', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080229', 'Sheepskin Duckbills (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80323', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080230', 'Sheepskin Duckbills (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80322', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080231', 'Sheepskin Duckbills of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80320', '7027', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080232', 'Sheepskin Duckbills of Casting (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80323', '7027', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080233', 'Sheepskin Duckbills of Casting (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80322', '7027', '1', '0', '0', '0', '0', '1', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080234', 'Sheepskin Duckbills of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80320', '7027', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080235', 'Sheepskin Duckbills of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '80321', '7027', '1', '0', '0', '0', '0', '1', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080236', 'Padded Sheepskin Duckbills (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80326', '7027', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080237', 'Padded Sheepskin Duckbills (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80328', '7027', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080238', 'Padded Sheepskin Duckbills (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80327', '7027', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080239', 'Padded Sheepskin Duckbills of Casting', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80324', '7027', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080240', 'Padded Sheepskin Duckbills of Casting (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80328', '7027', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080241', 'Padded Sheepskin Duckbills of Casting (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80327', '7027', '1', '0', '0', '0', '1', '21', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080242', 'Padded Sheepskin Duckbills of Toiling', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80324', '7027', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080243', 'Padded Sheepskin Duckbills of Toiling (Yellow)', 'Normal/StandardItem', '1', '0', '0', '11120', '1144', '80326', '7027', '1', '0', '0', '0', '1', '21', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080244', '[en]', 'Normal/StandardItem', '1', '0', '0', '11120', '104', '60000', '7027', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8080245', 'Plundered Duckbills', 'Normal/StandardItem', '1', '1', '0', '11120', '832', '80329', '7027', '1', '0', '0', '0', '1', '15', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8080246', 'Weathered Duckbills', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81126', '7027', '1', '0', '0', '0', '0', '1', '1103', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080247', 'Torturer\'s Duckbills', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '80332', '7027', '2', '0', '0', '0', '1', '30', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8080301', 'Dated Lauan Pattens', 'Normal/StandardItem', '1', '0', '0', '12510', '300', '80334', '7027', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080302', 'Dated Lauan Pattens (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '300', '80335', '7027', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080303', 'Dated Lauan Pattens (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '300', '80336', '7027', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080304', 'Dated Lauan Pattens (Beige)', 'Normal/StandardItem', '1', '0', '0', '12510', '300', '80337', '7027', '1', '0', '0', '0', '0', '4', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080305', 'Dated Maple Pattens', 'Normal/StandardItem', '1', '0', '0', '12510', '900', '80338', '7027', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8080306', 'Dated Maple Pattens (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '900', '80339', '7027', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8080307', 'Dated Maple Pattens (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '900', '80340', '7027', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8080308', 'Dated Maple Pattens (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '900', '80341', '7027', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8080309', 'Dated Maple Pattens (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '900', '80342', '7027', '1', '0', '0', '0', '0', '14', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8080310', 'Dated Elm Pattens', 'Normal/StandardItem', '1', '0', '0', '12510', '1500', '80343', '7027', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080311', 'Dated Elm Pattens (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12510', '1500', '80344', '7027', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080312', 'Dated Elm Pattens (Pink)', 'Normal/StandardItem', '1', '0', '0', '12510', '1500', '80345', '7027', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080313', 'Dated Elm Pattens (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '1500', '80346', '7027', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080314', 'Dated Elm Pattens (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '1500', '80347', '7027', '1', '0', '0', '0', '0', '24', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8080315', 'Dated Ash Pattens', 'Normal/StandardItem', '1', '0', '0', '12510', '2100', '81127', '7027', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8080316', 'Dated Ash Pattens (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2100', '81128', '7027', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8080317', 'Dated Ash Pattens (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2100', '81129', '7027', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8080318', 'Dated Ash Pattens (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '2100', '81130', '7027', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8080319', 'Dated Ash Pattens (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2100', '81131', '7027', '1', '0', '0', '0', '0', '34', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8080320', 'Oak Pattens', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82368', '7027', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080321', 'Oak Pattens of the Mind (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82369', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080322', 'Oak Pattens of Vitality (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82370', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080323', 'Oak Pattens of Intelligence (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82371', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080324', 'Mahogany Pattens', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82370', '7027', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080325', 'Mahogany Pattens of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82372', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080326', 'Mahogany Pattens of Vitality (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82373', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080327', 'Mahogany Pattens of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82369', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080328', 'Oak Pattens (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82369', '7027', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080329', 'Oak Pattens (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82370', '7027', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080330', 'Oak Pattens (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82371', '7027', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080331', 'Oak Pattens of the Mind', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82368', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080332', 'Oak Pattens of the Mind (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82370', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080333', 'Oak Pattens of the Mind (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82371', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080334', 'Oak Pattens of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82368', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080335', 'Oak Pattens of Vitality (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82369', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080336', 'Oak Pattens of Vitality (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82371', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080337', 'Oak Pattens of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82368', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080338', 'Oak Pattens of Intelligence (Grey)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82369', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080339', 'Oak Pattens of Intelligence (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '2640', '82370', '7027', '1', '0', '0', '0', '1', '43', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080340', 'Mahogany Pattens (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82372', '7027', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080341', 'Mahogany Pattens (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82373', '7027', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080342', 'Mahogany Pattens (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82369', '7027', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080343', 'Mahogany Pattens (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82452', '7027', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080344', 'Mahogany Pattens of the Mind', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82370', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080345', 'Mahogany Pattens of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82373', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080346', 'Weathered Pattens', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '81132', '7027', '1', '0', '0', '0', '0', '1', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080347', 'Weathered Pattens (Grey)', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '81133', '7027', '1', '0', '0', '0', '0', '1', '1104', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080348', 'Onion Pattens', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '81355', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080349', 'Warlock\'s Pattens', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '80346', '7027', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080350', 'Mahogany Pattens of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82369', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080351', 'Mahogany Pattens of the Mind (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82452', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080352', 'Mahogany Pattens of Vitality', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82370', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080353', 'Mahogany Pattens of Vitality (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82372', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080354', 'Mahogany Pattens of Vitality (Brown)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82369', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080355', 'Mahogany Pattens of Vitality (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82452', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080356', 'Mahogany Pattens of Intelligence', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82370', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080357', 'Mahogany Pattens of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82372', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080358', 'Mahogany Pattens of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82373', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080359', 'Mahogany Pattens of Intelligence (Green)', 'Normal/StandardItem', '1', '0', '0', '12510', '2940', '82452', '7027', '1', '0', '0', '0', '1', '48', '2006', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080360', 'Mage\'s Pattens', 'Normal/StandardItem', '1', '1', '0', '12510', '2880', '80346', '7027', '2', '0', '0', '0', '1', '47', '2005', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8080401', 'Dated Sheepskin Workboots', 'Normal/StandardItem', '1', '0', '0', '18070', '736', '81134', '7027', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080402', 'Dated Sheepskin Workboots (Grey)', 'Normal/StandardItem', '1', '0', '0', '18070', '736', '81135', '7027', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080403', 'Dated Sheepskin Workboots (Beige)', 'Normal/StandardItem', '1', '0', '0', '18070', '736', '81136', '7027', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080404', 'Dated Sheepskin Workboots (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '736', '80348', '7027', '1', '0', '0', '0', '0', '7', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080405', 'Dated Dodoskin Workboots', 'Normal/StandardItem', '1', '0', '0', '18070', '1656', '81137', '7027', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8080406', 'Dated Dodoskin Workboots (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '1656', '81138', '7027', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8080407', 'Dated Dodoskin Workboots (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '1656', '81139', '7027', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8080408', 'Dated Dodoskin Workboots (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '1656', '81140', '7027', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8080409', 'Dated Dodoskin Workboots (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '1656', '81141', '7027', '1', '0', '0', '0', '0', '17', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8080410', 'Dated Leather Workboots', 'Normal/StandardItem', '1', '0', '0', '18070', '2576', '81142', '7027', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8080411', 'Dated Leather Workboots (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '2576', '81143', '7027', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8080412', 'Dated Leather Workboots (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '2576', '81144', '7027', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8080413', 'Dated Leather Workboots (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '2576', '81145', '7027', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8080414', 'Dated Leather Workboots (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '2576', '81146', '7027', '1', '0', '0', '0', '0', '27', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8080415', 'Dated Padded Leather Workboots', 'Normal/StandardItem', '1', '0', '0', '18070', '3496', '81147', '7027', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8080416', 'Dated Padded Leather Workboots (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '3496', '81148', '7027', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8080417', 'Dated Padded Leather Workboots (Ochre)', 'Normal/StandardItem', '1', '0', '0', '18070', '3496', '81149', '7027', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8080418', 'Dated Padded Leather Workboots (Green)', 'Normal/StandardItem', '1', '0', '0', '18070', '3496', '81150', '7027', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8080419', 'Dated Padded Leather Workboots (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '3496', '81151', '7027', '1', '0', '0', '0', '0', '37', '1105', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8080420', 'Dated Toadskin Workboots', 'Normal/StandardItem', '1', '0', '0', '18070', '4416', '81152', '7027', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080421', 'Dated Toadskin Workboots (Auburn)', 'Normal/StandardItem', '1', '0', '0', '18070', '4416', '81153', '7027', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080422', 'Dated Toadskin Workboots (Pink)', 'Normal/StandardItem', '1', '0', '0', '18070', '4416', '81154', '7027', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080423', 'Dated Toadskin Workboots (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4416', '81155', '7027', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080424', 'Dated Toadskin Workboots (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4416', '81156', '7027', '1', '0', '0', '0', '0', '47', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080425', 'Weathered Workboots (Grey)', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '81158', '7027', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080426', 'Weathered Workboots', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '81157', '7027', '1', '0', '0', '0', '0', '1', '1105', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080427', 'Boarskin Workboots', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82374', '7027', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080428', 'Boarskin Workboots of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080429', 'Boarskin Workboots of Intelligence (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82376', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080430', 'Boarskin Workboots of Piety (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080431', 'Raptorskin Workboots', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080432', 'Raptorskin Workboots of the Mind (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080433', 'Raptorskin Workboots of Intelligence (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080434', 'Raptorskin Workboots of Piety (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080435', 'Boarskin Workboots (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080436', 'Boarskin Workboots (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82376', '7027', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080437', 'Boarskin Workboots (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080438', 'Boarskin Workboots of the Mind', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82374', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080439', 'Boarskin Workboots of the Mind (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82376', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080440', 'Boarskin Workboots of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080441', 'Boarskin Workboots of Intelligence', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82374', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080442', 'Boarskin Workboots of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080443', 'Boarskin Workboots of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080444', 'Boarskin Workboots of Piety', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82374', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080445', 'Boarskin Workboots of Piety (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82375', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080446', 'Boarskin Workboots of Piety (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '4048', '82376', '7027', '1', '0', '0', '0', '1', '43', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080447', 'Raptorskin Workboots (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080448', 'Raptorskin Workboots (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080449', 'Raptorskin Workboots (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080450', 'Raptorskin Workboots (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82453', '7027', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080451', 'Raptorskin Workboots of the Mind', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080452', 'Raptorskin Workboots of the Mind (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080453', 'Raptorskin Workboots of the Mind (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080454', 'Raptorskin Workboots of the Mind (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82453', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080455', 'Raptorskin Workboots of Intelligence', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080456', 'Raptorskin Workboots of Intelligence (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080457', 'Raptorskin Workboots of Intelligence (Blue)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080458', 'Raptorskin Workboots of Intelligence (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82453', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080459', 'Raptorskin Workboots of Piety', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080460', 'Raptorskin Workboots of Piety (Brown)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82378', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080461', 'Raptorskin Workboots of Piety (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82377', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080462', 'Raptorskin Workboots of Piety (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '4508', '82453', '7027', '1', '0', '0', '0', '1', '48', '2007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080501', 'Weathered Crakows', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81198', '7027', '1', '0', '0', '0', '0', '1', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080502', 'Dated Sheepskin Crakows', 'Normal/StandardItem', '1', '0', '0', '13900', '561', '80349', '7027', '1', '0', '0', '0', '0', '8', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080503', 'Dated Dodoskin Crakows', 'Normal/StandardItem', '1', '0', '0', '13900', '1185', '81189', '7027', '1', '0', '0', '0', '0', '18', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8080504', 'Dated Leather Crakows (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1809', '81190', '7027', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8080505', 'Dated Leather Crakows (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1809', '81191', '7027', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8080506', 'Dated Leather Crakows (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '1809', '81192', '7027', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8080507', 'Dated Leather Crakows (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1809', '81193', '7027', '1', '0', '0', '0', '0', '28', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8080508', 'Dated Toadskin Crakows (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2433', '81194', '7027', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8080509', 'Dated Toadskin Crakows (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2433', '81195', '7027', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8080510', 'Dated Toadskin Crakows (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '2433', '81196', '7027', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8080511', 'Dated Toadskin Crakows (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2433', '81197', '7027', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8080512', 'Hermes\' Shoes', 'Normal/EnchantItem', '1', '1', '1', '13900', '0', '81351', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080513', 'Leather Crakows', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81190', '7027', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080514', 'Leather Crakows of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81191', '7027', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080515', 'Leather Crakows of Toiling (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81193', '7027', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080516', 'Leather Crakows of Invoking (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81192', '7027', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080517', 'Boarskin Crakows', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080518', 'Boarskin Crakows of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080519', 'Boarskin Crakows of Toiling (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080520', 'Boarskin Crakows of Invoking (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080521', 'Peisteskin Crakows', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080522', 'Peisteskin Crakows of Slaying (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82386', '7027', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080523', 'Peisteskin Crakows of Toiling (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080524', 'Peisteskin Crakows of Invoking (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82387', '7027', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080525', 'Sipahi Crakows', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81541', '7027', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080526', 'Leather Crakows (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81191', '7027', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080527', 'Leather Crakows (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81193', '7027', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080528', 'Leather Crakows (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81192', '7027', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080529', 'Leather Crakows of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81190', '7027', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080530', 'Leather Crakows of Slaying (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81193', '7027', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080531', 'Leather Crakows of Slaying (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81192', '7027', '1', '0', '0', '0', '1', '25', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080532', 'Leather Crakows of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81190', '7027', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080533', 'Leather Crakows of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81191', '7027', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080534', 'Leather Crakows of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81192', '7027', '1', '0', '0', '0', '1', '25', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080535', 'Leather Crakows of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81190', '7027', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080536', 'Leather Crakows of Invoking (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81191', '7027', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080537', 'Leather Crakows of Invoking (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1622', '81193', '7027', '1', '0', '0', '0', '1', '25', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080538', 'Boarskin Crakows (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080539', 'Boarskin Crakows (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080540', 'Boarskin Crakows (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080541', 'Boarskin Crakows of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080542', 'Boarskin Crakows of Slaying (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080543', 'Boarskin Crakows of Slaying (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080544', 'Boarskin Crakows of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080545', 'Boarskin Crakows of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080546', 'Boarskin Crakows of Toiling (Brown)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080547', 'Boarskin Crakows of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080548', 'Boarskin Crakows of Invoking (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080549', 'Boarskin Crakows of Invoking (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2246', '82384', '7027', '1', '0', '0', '0', '1', '35', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080550', 'Peisteskin Crakows (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82386', '7027', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080551', 'Peisteskin Crakows (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080552', 'Peisteskin Crakows (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82387', '7027', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080553', 'Peisteskin Crakows of Slaying', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080554', 'Peisteskin Crakows of Slaying (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080555', 'Peisteskin Crakows of Slaying (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82387', '7027', '1', '0', '0', '0', '1', '40', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080556', 'Peisteskin Crakows of Toiling', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080557', 'Peisteskin Crakows of Toiling (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82386', '7027', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080558', 'Peisteskin Crakows of Toiling (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82387', '7027', '1', '0', '0', '0', '1', '40', '2003', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080559', 'Peisteskin Crakows of Invoking', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080560', 'Peisteskin Crakows of Invoking (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82386', '7027', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080561', 'Peisteskin Crakows of Invoking (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2558', '82385', '7027', '1', '0', '0', '0', '1', '40', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080562', 'Flame Private\'s Crakows', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80349', '7027', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080563', 'Flame Sergeant\'s Crakows', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81189', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080564', 'Serpent Sergeant\'s Crakows', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81197', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080565', 'Storm Sergeant\'s Crakows', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81195', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080601', 'Weathered Shoes (Taupe)', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81253', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080602', 'Weathered Shoes', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '81254', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080603', 'Dated Sheepskin Shoes', 'Normal/StandardItem', '1', '0', '0', '11120', '128', '81242', '7027', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080604', 'Dated Sheepskin Shoes (Taupe)', 'Normal/StandardItem', '1', '0', '0', '11120', '128', '80350', '7027', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080605', 'Dated Sheepskin Shoes (Grey)', 'Normal/StandardItem', '1', '0', '0', '11120', '128', '81243', '7027', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080606', 'Dated Dodoskin Shoes', 'Normal/StandardItem', '1', '0', '0', '11120', '448', '81244', '7027', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8080607', 'Dated Dodoskin Shoes (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '448', '81245', '7027', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('8080608', 'Dated Leather Shoes', 'Normal/StandardItem', '1', '0', '0', '11120', '768', '81246', '7027', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8080609', 'Dated Leather Shoes (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '768', '81247', '7027', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8080610', 'Dated Leather Shoes (Ochre)', 'Normal/StandardItem', '1', '0', '0', '11120', '768', '81248', '7027', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8080611', 'Dated Leather Shoes (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '768', '81249', '7027', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8080612', 'Dated Leather Shoes (Red)', 'Normal/StandardItem', '1', '0', '0', '11120', '768', '81250', '7027', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8080613', 'Dated Toadskin Shoes', 'Normal/StandardItem', '1', '0', '0', '11120', '1088', '81251', '7027', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8080614', 'Dated Toadskin Shoes (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '1088', '81252', '7027', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8080615', 'Sheepskin Shoes', 'Normal/StandardItem', '1', '0', '0', '11120', '64', '81242', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080616', 'Sheepskin Shoes (Brown)', 'Normal/StandardItem', '1', '0', '0', '11120', '64', '80350', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080617', 'Dodoskin Shoes', 'Normal/StandardItem', '1', '0', '0', '11120', '384', '81244', '7027', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080618', 'Dodoskin Shoes (Black)', 'Normal/StandardItem', '1', '0', '0', '11120', '384', '81245', '7027', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080701', 'Dated Sheepskin Moccasins', 'Normal/StandardItem', '1', '0', '0', '15290', '744', '81174', '7027', '1', '0', '0', '0', '0', '9', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080702', 'Dated Dodoskin Moccasins', 'Normal/StandardItem', '1', '0', '0', '15290', '1488', '81175', '7027', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8080703', 'Dated Leather Moccasins', 'Normal/StandardItem', '1', '0', '0', '15290', '2232', '81176', '7027', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8080704', 'Dated Toadskin Moccasins', 'Normal/StandardItem', '1', '0', '0', '15290', '2976', '81182', '7027', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080705', 'Dated Toadskin Moccasins (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '2976', '81183', '7027', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080706', 'Dated Toadskin Moccasins (Ochre)', 'Normal/StandardItem', '1', '0', '0', '15290', '2976', '81184', '7027', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080707', 'Dated Toadskin Moccasins (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '2976', '81185', '7027', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080708', 'Dated Toadskin Moccasins (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '2976', '81186', '7027', '1', '0', '0', '0', '0', '39', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8080709', 'Weathered Moccasins', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81187', '7027', '1', '0', '0', '0', '0', '1', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080710', 'Boarskin Moccasins', 'Normal/StandardItem', '1', '0', '0', '15290', '3273', '82382', '7027', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080711', 'Boarskin Moccasins (Black)', 'Normal/StandardItem', '1', '0', '0', '15290', '3273', '82382', '7027', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8080712', 'Hunting Moccasins', 'Normal/StandardItem', '1', '0', '0', '15290', '3645', '82382', '7027', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080713', 'Hunting Moccasins (White)', 'Normal/StandardItem', '1', '0', '0', '15290', '3645', '82383', '7027', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8080714', 'Plundered Moccasins', 'Normal/StandardItem', '1', '1', '0', '15290', '1190', '81177', '7027', '1', '0', '0', '0', '1', '15', '1006', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8080715', 'Serpent Private\'s Moccasins', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81174', '7027', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8080716', 'Serpent Sergeant\'s Moccasins', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81181', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080717', 'Explorer\'s Moccasins', 'Normal/StandardItem', '1', '1', '0', '15290', '3794', '82513', '7027', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080801', 'Dated Sheepskin Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '345', '81227', '7026', '1', '0', '0', '0', '0', '5', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080802', 'Dated Sheepskin Jackboots (Taupe)', 'Normal/StandardItem', '1', '0', '0', '13900', '345', '81228', '7026', '1', '0', '0', '0', '0', '5', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080803', 'Dated Sheepskin Jackboots (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '345', '81229', '7026', '1', '0', '0', '0', '0', '5', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080804', 'Dated Dodoskin Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '921', '81230', '7026', '1', '0', '0', '0', '0', '15', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8080805', 'Dated Dodoskin Jackboots (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '921', '81231', '7026', '1', '0', '0', '0', '0', '15', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8080806', 'Dated Leather Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '1497', '81232', '7026', '1', '0', '0', '0', '0', '25', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080807', 'Dated Leather Jackboots (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1497', '81233', '7026', '1', '0', '0', '0', '0', '25', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080808', 'Dated Leather Jackboots (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '1497', '81234', '7026', '1', '0', '0', '0', '0', '25', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080809', 'Dated Leather Jackboots (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1497', '81235', '7026', '1', '0', '0', '0', '0', '25', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080810', 'Dated Leather Jackboots (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1497', '81236', '7026', '1', '0', '0', '0', '0', '25', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8080811', 'Dated Armored Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '2073', '81237', '7026', '1', '0', '0', '0', '0', '35', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080812', 'Dated Armored Jackboots (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '2073', '81238', '7026', '1', '0', '0', '0', '0', '35', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080813', 'Dated Armored Jackboots (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '2073', '81239', '7026', '1', '0', '0', '0', '0', '35', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080814', 'Dated Armored Jackboots (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '2073', '81240', '7026', '1', '0', '0', '0', '0', '35', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080815', 'Dated Armored Jackboots (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2073', '81241', '7026', '1', '0', '0', '0', '0', '35', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8080816', 'Weathered Jackboots (Taupe)', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81228', '7026', '1', '0', '0', '0', '0', '1', '1117', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080817', 'Buccaneer\'s Boots', 'Normal/StandardItem', '1', '1', '0', '13900', '2764', '81661', '7026', '2', '0', '0', '0', '0', '47', '1006', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8080818', 'Bladedancer\'s Jackboots', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81398', '7026', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8080819', 'Iron-plated Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '1267', '81663', '7026', '1', '0', '0', '0', '0', '21', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080820', 'Iron-plated Jackboots (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1267', '81664', '7026', '1', '0', '0', '0', '0', '21', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080821', 'Steel-plated Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '1843', '81668', '7026', '1', '0', '0', '0', '0', '31', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8080822', 'Steel-plated Jackboots (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1843', '81669', '7026', '1', '0', '0', '0', '0', '31', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8080823', 'Mythril-plated Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '2419', '82390', '7026', '1', '0', '0', '0', '0', '41', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8080824', 'Mythril-plated Jackboots (White)', 'Normal/StandardItem', '1', '0', '0', '13900', '2419', '82390', '7026', '1', '0', '0', '0', '0', '41', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8080825', 'Cobalt-plated Jackboots', 'Normal/StandardItem', '1', '0', '0', '13900', '2707', '82391', '7026', '1', '0', '0', '0', '0', '46', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8080826', 'Cobalt-plated Jackboots (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2707', '82392', '7026', '1', '0', '0', '0', '0', '46', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8080827', 'Cobalt-plated Jackboots (Blue)', 'Normal/StandardItem', '1', '0', '0', '13900', '2707', '82454', '7026', '1', '0', '0', '0', '0', '46', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8080901', 'Dated Lauan Sandals', 'Normal/StandardItem', '1', '0', '0', '0', '48', '80285', '7028', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080902', 'Dated Lauan Sandals (Grey)', 'Normal/StandardItem', '1', '0', '0', '0', '48', '80286', '7028', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8080903', 'Dated Walnut Sandals (Black)', 'Normal/StandardItem', '1', '0', '0', '0', '528', '80287', '7028', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080904', 'Dated Walnut Sandals', 'Normal/StandardItem', '1', '0', '0', '0', '528', '80288', '7028', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080905', 'Dated Walnut Sandals (Green)', 'Normal/StandardItem', '1', '0', '0', '0', '528', '80289', '7028', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080906', 'Dated Walnut Sandals (Ochre)', 'Normal/StandardItem', '1', '0', '0', '0', '528', '80290', '7028', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8080907', 'Dated Walnut Sandals (Red)', 'Normal/StandardItem', '1', '0', '0', '0', '528', '80291', '7028', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8081001', 'Dated Sheepskin Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '1232', '81159', '7028', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081002', 'Dated Sheepskin Caligae (Taupe)', 'Normal/StandardItem', '1', '0', '0', '16680', '1232', '81160', '7028', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081003', 'Dated Sheepskin Caligae (Grey)', 'Normal/StandardItem', '1', '0', '0', '16680', '1232', '81161', '7028', '1', '0', '0', '0', '0', '13', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081004', 'Dated Dodoskin Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '2112', '81162', '7028', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8081005', 'Dated Dodoskin Caligae (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '2112', '81163', '7028', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8081006', 'Dated Leather Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '2992', '81164', '7028', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081007', 'Dated Leather Caligae (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '2992', '81165', '7028', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081008', 'Dated Leather Caligae (Ochre)', 'Normal/StandardItem', '1', '0', '0', '16680', '2992', '81166', '7028', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081009', 'Dated Leather Caligae (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '2992', '81167', '7028', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081010', 'Dated Leather Caligae (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '2992', '81168', '7028', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081011', 'Dated Armored Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '3872', '81169', '7028', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081012', 'Dated Armored Caligae (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '3872', '81170', '7028', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081013', 'Dated Armored Caligae (Ochre)', 'Normal/StandardItem', '1', '0', '0', '16680', '3872', '81171', '7028', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081014', 'Dated Armored Caligae (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '3872', '81172', '7028', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081015', 'Dated Armored Caligae (Red)', 'Normal/StandardItem', '1', '0', '0', '16680', '3872', '81173', '7028', '1', '0', '0', '0', '0', '43', '1107', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081016', 'Dodoskin Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '1144', '81162', '7028', '1', '0', '0', '0', '0', '12', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8081017', 'Dodoskin Caligae (Black)', 'Normal/StandardItem', '1', '0', '0', '16680', '1144', '81163', '7028', '1', '0', '0', '0', '0', '12', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8081018', 'Steel-plated Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '3344', '82379', '7028', '1', '0', '0', '0', '0', '37', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8081019', 'Steel-plated Caligae (Blue)', 'Normal/StandardItem', '1', '0', '0', '16680', '3344', '82379', '7028', '1', '0', '0', '0', '0', '37', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8081020', 'Mythril-plated Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '3784', '82380', '7028', '1', '0', '0', '0', '0', '42', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8081021', 'Mythril-plated Caligae (Brown)', 'Normal/StandardItem', '1', '0', '0', '16680', '3784', '82380', '7028', '1', '0', '0', '0', '0', '42', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8081022', 'Cobalt-plated Caligae', 'Normal/StandardItem', '1', '0', '0', '16680', '4224', '82381', '7028', '1', '0', '0', '0', '0', '47', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8081023', 'Cobalt-plated Caligae (Grey)', 'Normal/StandardItem', '1', '0', '0', '16680', '4224', '82381', '7028', '1', '0', '0', '0', '0', '47', '2004', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8081101', 'Dated Sheepskin Leggings (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '736', '81199', '7027', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081102', 'Dated Sheepskin Leggings (Beige)', 'Normal/StandardItem', '1', '0', '0', '15290', '736', '81200', '7027', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081103', 'Dated Sheepskin Leggings', 'Normal/StandardItem', '1', '0', '0', '15290', '736', '81201', '7027', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081104', 'Dated Sheepskin Leggings (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '736', '81202', '7027', '1', '0', '0', '0', '0', '9', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081105', 'Dated Dodoskin Leggings (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '1472', '81203', '7027', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8081106', 'Dated Dodoskin Leggings (Beige)', 'Normal/StandardItem', '1', '0', '0', '15290', '1472', '81204', '7027', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8081107', 'Dated Dodoskin Leggings (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '1472', '81205', '7027', '1', '0', '0', '0', '0', '19', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8081108', 'Dated Leather Leggings', 'Normal/StandardItem', '1', '0', '0', '15290', '2208', '81206', '7027', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8081109', 'Dated Leather Leggings (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '2208', '81207', '7027', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8081110', 'Dated Leather Leggings (Yellow)', 'Normal/StandardItem', '1', '0', '0', '15290', '2208', '81208', '7027', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8081111', 'Dated Leather Leggings (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '2208', '81209', '7027', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8081112', 'Dated Leather Leggings (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '2208', '81210', '7027', '1', '0', '0', '0', '0', '29', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8081113', 'Dated Toadskin Leggings (Auburn)', 'Normal/StandardItem', '1', '0', '0', '15290', '2944', '81215', '7027', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8081114', 'Dated Toadskin Leggings (Pink)', 'Normal/StandardItem', '1', '0', '0', '15290', '2944', '81216', '7027', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8081115', 'Dated Toadskin Leggings (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '2944', '81217', '7027', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8081116', 'Dated Toadskin Leggings (Blue)', 'Normal/StandardItem', '1', '0', '0', '15290', '2944', '81218', '7027', '1', '0', '0', '0', '0', '39', '1112', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8081117', 'Engineer\'s Leggings', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81585', '7027', '2', '0', '0', '0', '0', '35', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8081118', 'Sheepskin Leggings', 'Normal/StandardItem', '1', '0', '0', '15290', '662', '81199', '7027', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081119', 'Sheepskin Leggings (Grey)', 'Normal/StandardItem', '1', '0', '0', '15290', '662', '81202', '7027', '1', '0', '0', '0', '0', '8', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081120', 'Leather Leggings', 'Normal/StandardItem', '1', '0', '0', '15290', '1398', '81206', '7027', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8081121', 'Leather Leggings (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '1398', '81207', '7027', '1', '0', '0', '0', '0', '18', '2002', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8081122', 'Mercenary\'s Leggings', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82145', '7027', '2', '0', '0', '0', '1', '50', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081123', 'Storm Private\'s Leggings', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81201', '7027', '2', '0', '0', '0', '1', '40', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8081124', 'Storm Sergeant\'s Leggings', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81203', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081201', 'Dated Bronze Sollerets', 'Normal/StandardItem', '1', '0', '0', '19460', '2912', '81219', '7026', '1', '0', '0', '0', '0', '27', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013003', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081202', 'Dated Iron Sollerets', 'Normal/StandardItem', '1', '0', '0', '19460', '3952', '81220', '7026', '1', '0', '0', '0', '0', '37', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8081203', 'Dated Cavalry Sollerets', 'Normal/StandardItem', '1', '0', '0', '19460', '4992', '81221', '7026', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8081204', 'Dated Cavalry Sollerets (Red)', 'Normal/StandardItem', '1', '0', '0', '19460', '4992', '81222', '7026', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8081205', 'Dated Cavalry Sollerets (Black)', 'Normal/StandardItem', '1', '0', '0', '19460', '4992', '81223', '7026', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8081206', 'Dated Cavalry Sollerets (Ochre)', 'Normal/StandardItem', '1', '0', '0', '19460', '4992', '81224', '7026', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8081207', 'Dated Cavalry Sollerets (Green)', 'Normal/StandardItem', '1', '0', '0', '19460', '4992', '81225', '7026', '1', '0', '0', '0', '0', '47', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8081208', 'Judge\'s Sollerets', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '81226', '7026', '1', '0', '0', '0', '0', '1', '2033', '0', '0', '0', '0', '0', '-1', '31', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081209', 'Templar\'s Sollerets', 'Normal/StandardItem', '1', '1', '0', '19460', '5200', '82048', '7026', '2', '0', '0', '0', '0', '49', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081210', 'Mythril Sollerets', 'Normal/StandardItem', '1', '0', '0', '19460', '4576', '82388', '7026', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8081211', 'Mythril Sollerets (Black)', 'Normal/StandardItem', '1', '0', '0', '19460', '4576', '82388', '7026', '1', '0', '0', '0', '0', '43', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8081212', 'Cobalt Sollerets', 'Normal/StandardItem', '1', '0', '0', '19460', '5096', '82389', '7026', '1', '0', '0', '0', '0', '48', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8081213', 'Cobalt Sollerets (Red)', 'Normal/StandardItem', '1', '0', '0', '19460', '5096', '82389', '7026', '1', '0', '0', '0', '0', '48', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8081301', 'Dated Sheepskin Espadrilles', 'Normal/StandardItem', '1', '0', '0', '13900', '448', '81803', '7027', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081302', 'Dated Sheepskin Espadrilles (Taupe)', 'Normal/StandardItem', '1', '0', '0', '13900', '448', '81805', '7027', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081303', 'Dated Sheepskin Espadrilles (Grey)', 'Normal/StandardItem', '1', '0', '0', '13900', '448', '81804', '7027', '1', '0', '0', '0', '0', '7', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081304', 'Dated Dodoskin Espadrilles', 'Normal/StandardItem', '1', '0', '0', '13900', '1008', '81806', '7027', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8081305', 'Dated Dodoskin Espadrilles (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1008', '81807', '7027', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('8081306', 'Dated Leather Espadrilles', 'Normal/StandardItem', '1', '0', '0', '13900', '1568', '81816', '7027', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081307', 'Dated Leather Espadrilles (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1568', '81808', '7027', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081308', 'Dated Leather Espadrilles (Ochre)', 'Normal/StandardItem', '1', '0', '0', '13900', '1568', '81809', '7027', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081309', 'Dated Leather Espadrilles (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '1568', '81811', '7027', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081310', 'Dated Leather Espadrilles (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1568', '81810', '7027', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081311', 'Dodoskin Espadrilles', 'Normal/StandardItem', '1', '0', '0', '13900', '1008', '81806', '7027', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8081312', 'Dodoskin Espadrilles (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '1008', '81807', '7027', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8081401', 'Dated Lauan Clogs', 'Normal/StandardItem', '1', '0', '0', '11120', '378', '81883', '7027', '1', '0', '0', '0', '0', '8', '1121', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081402', 'Dated Willow Clogs', 'Normal/StandardItem', '1', '0', '0', '11120', '798', '82039', '7027', '1', '0', '0', '0', '0', '18', '1121', '0', '0', '0', '0', '0', '-1', '29', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('8081403', 'Dated Elm Clogs', 'Normal/StandardItem', '1', '0', '0', '11120', '1218', '82040', '7027', '1', '0', '0', '0', '0', '28', '1121', '0', '0', '0', '0', '0', '-1', '29', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8081404', 'Maple Clogs', 'Normal/StandardItem', '1', '0', '0', '11120', '84', '82039', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081501', 'Dream Boots', 'Normal/StandardItem', '1', '0', '0', '11120', '84', '81891', '7027', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081601', 'Dated Canvas Gaiters', 'Normal/StandardItem', '1', '0', '0', '12500', '1612', '81941', '7027', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081602', 'Dated Canvas Gaiters (Auburn)', 'Normal/StandardItem', '1', '0', '0', '12500', '1612', '81942', '7027', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081603', 'Dated Canvas Gaiters (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '1612', '81943', '7027', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081604', 'Dated Canvas Gaiters (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '1612', '81944', '7027', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081605', 'Dated Canvas Gaiters (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '1612', '81945', '7027', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '14', '0');
INSERT INTO `gamedata_items` VALUES ('8081606', 'Dated Velveteen Gaiters', 'Normal/StandardItem', '1', '0', '0', '12500', '2132', '81946', '7027', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081607', 'Dated Velveteen Gaiters (Black)', 'Normal/StandardItem', '1', '0', '0', '12500', '2132', '81947', '7027', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081608', 'Dated Velveteen Gaiters (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '2132', '81948', '7027', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081609', 'Dated Velveteen Gaiters (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2132', '81949', '7027', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081610', 'Dated Velveteen Gaiters (Green)', 'Normal/StandardItem', '1', '0', '0', '12500', '2132', '82055', '7027', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('8081611', 'Dated Linen Gaiters', 'Normal/StandardItem', '1', '0', '0', '12500', '2652', '81946', '7027', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8081612', 'Dated Linen Gaiters (Pink)', 'Normal/StandardItem', '1', '0', '0', '12500', '2652', '81943', '7027', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8081613', 'Dated Linen Gaiters (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '2652', '81945', '7027', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8081614', 'Dated Linen Gaiters (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '2652', '81944', '7027', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8081615', 'Dated Linen Gaiters (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2652', '81942', '7027', '1', '0', '0', '0', '0', '50', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('8081616', 'Velveteen Gaiters', 'Normal/StandardItem', '1', '0', '0', '12500', '1508', '81946', '7027', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8081617', 'Velveteen Gaiters (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '1508', '81948', '7027', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8081618', 'Velveteen Gaiters (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '1508', '81949', '7027', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8081619', 'Linen Gaiters', 'Normal/StandardItem', '1', '0', '0', '12500', '2028', '81946', '7027', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8081620', 'Linen Gaiters (Blue)', 'Normal/StandardItem', '1', '0', '0', '12500', '2028', '81945', '7027', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8081621', 'Linen Gaiters (Brown)', 'Normal/StandardItem', '1', '0', '0', '12500', '2028', '81944', '7027', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8081622', 'Linen Gaiters (Red)', 'Normal/StandardItem', '1', '0', '0', '12500', '2028', '81943', '7027', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8081623', 'Linen Gaiters (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12500', '2028', '81942', '7027', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8081701', 'Lominsan Soldier\'s Boots', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82119', '7027', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8081702', 'Gridanian Soldier\'s Boots', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82120', '7027', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8081703', 'Ul\'dahn Soldier\'s Boots', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82121', '7027', '2', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8081704', 'Lominsan Officer\'s Boots', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82122', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081705', 'Gridanian Officer\'s Boots', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82123', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081706', 'Ul\'dahn Officer\'s Boots', 'Normal/StandardItem', '1', '1', '1', '12500', '0', '82124', '7027', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081801', 'Gallant Sollerets', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '82485', '7026', '3', '0', '0', '0', '1', '45', '2120', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8081802', 'Temple Boots', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82490', '7026', '3', '0', '0', '0', '1', '45', '2119', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8081803', 'Fighter\'s Jackboots', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82465', '7026', '3', '0', '0', '0', '1', '45', '2121', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8081804', 'Drachen Greaves', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '82460', '7026', '3', '0', '0', '0', '1', '45', '2123', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8081805', 'Choral Sandals', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82480', '7027', '3', '0', '0', '0', '1', '45', '2122', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8081806', 'Healer\'s Boots', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82470', '7027', '3', '0', '0', '0', '1', '45', '2125', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8081807', 'Wizard\'s Crakows', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82475', '7027', '3', '0', '0', '0', '1', '45', '2124', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8081901', 'Darklight Sollerets', 'Normal/StandardItem', '1', '1', '1', '19460', '0', '82497', '7026', '3', '0', '0', '0', '1', '50', '2127', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081902', 'Darklight Caligae', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82501', '7026', '3', '0', '0', '0', '1', '50', '2128', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081903', 'Darklight Boots', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '82506', '7026', '3', '0', '0', '0', '1', '50', '2129', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081904', 'Gryphonskin Thighboots', 'Normal/StandardItem', '1', '0', '0', '18070', '4600', '82545', '7026', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081905', 'Gryphonskin Thighboots (White)', 'Normal/StandardItem', '1', '0', '0', '18070', '4600', '82546', '7026', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081906', 'Gryphonskin Thighboots (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '4600', '82547', '7026', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081907', 'Gryphonskin Thighboots (Red)', 'Normal/StandardItem', '1', '0', '0', '18070', '4600', '82548', '7026', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081908', 'Gryphonskin Thighboots (Yellow)', 'Normal/StandardItem', '1', '0', '0', '18070', '4600', '82549', '7026', '2', '0', '0', '0', '1', '49', '2156', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081909', 'Vanya Crakows', 'Normal/StandardItem', '1', '0', '0', '12510', '3280', '82562', '7027', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081910', 'Vanya Crakows (Yellow)', 'Normal/StandardItem', '1', '0', '0', '12510', '3280', '82561', '7027', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081911', 'Vanya Crakows (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '3280', '82560', '7027', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081912', 'Vanya Crakows (Purple)', 'Normal/StandardItem', '1', '0', '0', '12510', '3280', '82563', '7027', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081913', 'Vanya Crakows (Red)', 'Normal/StandardItem', '1', '0', '0', '12510', '3280', '82564', '7027', '2', '0', '0', '0', '1', '49', '2157', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8081914', 'Storm Sergeant\'s Jackboots', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81667', '7026', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081915', 'Serpent Sergeant\'s Jackboots', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81665', '7026', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081916', 'Flame Sergeant\'s Jackboots', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81664', '7026', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081917', 'Militia Duckbills', 'Normal/StandardItem', '1', '1', '1', '12510', '0', '82595', '7027', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081918', 'Militia Sabatons', 'Normal/StandardItem', '1', '1', '1', '20850', '0', '80317', '7026', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081919', 'Militia Caligae', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '82594', '7026', '2', '0', '0', '0', '1', '50', '2158', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081920', 'Spruce Pattens', 'Normal/StandardItem', '1', '0', '0', '12510', '2760', '82603', '7027', '1', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '29', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8081921', 'Lord\'s Clogs', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82634', '7028', '1', '0', '0', '0', '0', '1', '2031', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8081922', 'Lady\'s Clogs', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '82633', '7028', '1', '0', '0', '0', '0', '1', '2032', '0', '0', '0', '0', '0', '-1', '29', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8090001', 'Dated Leather Tool Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '790', '80351', '7030', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8090002', 'Dated Leather Tool Belt (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '790', '81255', '7030', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8090003', 'Dated Leather Tool Belt (Green)', 'Normal/StandardItem', '1', '0', '0', '13900', '790', '81256', '7030', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8090004', 'Dated Boarskin Tool Belt (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '2185', '81400', '7030', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8090005', 'Dated Boarskin Tool Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '2185', '81978', '7030', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8090006', 'Explorer\'s Belt', 'Normal/StandardItem', '1', '1', '0', '13900', '2371', '81979', '7030', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8090007', 'Weathered Tool Belt', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '80351', '7030', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8090008', 'Boarskin Tool Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '1999', '81978', '7030', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8090009', 'Boarskin Tool Belt (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1999', '81400', '7030', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8090101', 'Dated Bronze Plate Belt', 'Normal/StandardItem', '1', '0', '0', '20850', '2925', '80357', '7030', '1', '0', '0', '0', '0', '38', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8090102', 'Dated Iron Plate Belt', 'Normal/StandardItem', '1', '0', '0', '20850', '3675', '80358', '7030', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8090103', 'Dated Iron Plate Belt (Green)', 'Normal/StandardItem', '1', '0', '0', '20850', '3675', '80359', '7030', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8090104', 'Dated Iron Plate Belt (Brown)', 'Normal/StandardItem', '1', '0', '0', '20850', '3675', '80360', '7030', '1', '0', '0', '0', '0', '48', '1102', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '30', '0');
INSERT INTO `gamedata_items` VALUES ('8090105', 'Steel Plate Belt', 'Normal/StandardItem', '1', '0', '0', '20850', '3000', '80352', '7030', '1', '0', '0', '0', '0', '39', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('8090106', 'Sentinel\'s Plate Belt', 'Normal/StandardItem', '1', '0', '0', '20850', '3825', '81984', '7030', '2', '0', '0', '0', '1', '50', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8090107', 'Cobalt Plate Belt', 'Normal/StandardItem', '1', '0', '0', '20850', '3750', '81980', '7030', '1', '0', '0', '0', '0', '49', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8090108', 'Plundered Plate Belt', 'Normal/StandardItem', '1', '1', '0', '20850', '1200', '80357', '7030', '1', '0', '0', '0', '1', '15', '2101', '0', '0', '0', '0', '0', '-1', '31', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8090109', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '150', '60000', '7030', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8090110', '[en]', 'Normal/StandardItem', '1', '0', '0', '20850', '150', '60000', '7030', '1', '0', '0', '0', '0', '1', '1102', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8090201', 'Dated Leather Satchel Belt', 'Normal/StandardItem', '1', '0', '0', '11120', '715', '80353', '7030', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8090202', 'Dated Tarred Leather Satchel Belt', 'Normal/StandardItem', '1', '0', '0', '11120', '1040', '80361', '7030', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8090203', 'Dated Leather Satchel Belt (Green)', 'Normal/StandardItem', '1', '0', '0', '11120', '715', '80362', '7030', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8090204', 'Boarskin Satchel Belt', 'Normal/StandardItem', '1', '0', '0', '11120', '1170', '81986', '7030', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8090205', 'Boarskin Satchel Belt (Blue)', 'Normal/StandardItem', '1', '0', '0', '11120', '1170', '81987', '7030', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8090206', 'Raptorskin Satchel Belt', 'Normal/StandardItem', '1', '0', '0', '11120', '1495', '81988', '7030', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8090207', 'Warlock\'s Satchel Belt', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '80361', '7030', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8090208', 'Weathered Satchel Belt', 'Normal/StandardItem', '1', '1', '1', '11120', '0', '80353', '7030', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8090301', 'Dated Leather Survival Belt', 'Normal/StandardItem', '1', '0', '0', '18070', '1035', '81257', '7030', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8090302', 'Dated Tarred Leather Survival Belt', 'Normal/StandardItem', '1', '0', '0', '18070', '1610', '81258', '7030', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8090303', 'Dated Leather Survival Belt (Black)', 'Normal/StandardItem', '1', '0', '0', '18070', '1035', '81259', '7030', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8090304', 'Dated Safari Belt', 'Normal/StandardItem', '1', '0', '0', '18070', '2185', '82030', '7030', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('8090305', 'Boarskin Survival Belt', 'Normal/StandardItem', '1', '0', '0', '18070', '2530', '82030', '7030', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8090306', 'Raptorskin Survival Belt', 'Normal/StandardItem', '1', '0', '0', '18070', '2817', '81993', '7030', '1', '0', '0', '0', '0', '48', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('8090307', 'Weathered Survival Belt', 'Normal/StandardItem', '1', '1', '1', '18070', '0', '81257', '7030', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8090401', 'Dated Rope Belt', 'Normal/StandardItem', '1', '0', '0', '12510', '287', '80354', '7031', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8090402', 'Rope Belt', 'Normal/StandardItem', '1', '0', '0', '12510', '697', '80354', '7031', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8090403', 'Dated Velveteen Rope Belt', 'Normal/StandardItem', '1', '0', '0', '12510', '1517', '81260', '7031', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8090404', 'Dated Velveteen Rope Belt (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1517', '81261', '7031', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8090405', 'Velveteen Rope Belt', 'Normal/StandardItem', '1', '0', '0', '12510', '1107', '81260', '7031', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8090406', 'Velveteen Rope Belt (Black)', 'Normal/StandardItem', '1', '0', '0', '12510', '1107', '81261', '7031', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('8090407', 'Plundered Rope Belt', 'Normal/StandardItem', '1', '1', '0', '12510', '656', '80363', '7031', '1', '0', '0', '0', '1', '15', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8090408', 'Mage\'s Rope Belt', 'Normal/StandardItem', '1', '1', '0', '12510', '1968', '81997', '7031', '2', '0', '0', '0', '1', '47', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8090501', 'Dated Leather Hunting Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '1320', '81262', '7030', '1', '0', '0', '0', '0', '23', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('8090502', 'Dated Tarred Leather Hunting Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '1870', '81263', '7030', '1', '0', '0', '0', '0', '33', '1107', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('8090503', 'Dodoskin Hunting Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '715', '81262', '7030', '1', '0', '0', '0', '0', '12', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('8090504', 'Toadskin Hunting Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '1540', '81264', '7030', '1', '0', '0', '0', '0', '27', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8090505', 'Peisteskin Hunting Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '2365', '81998', '7030', '1', '0', '0', '0', '0', '42', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8090506', 'Serpent Sergeant\'s Belt', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '81263', '7030', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8090507', 'Harlequin\'s Belt', 'Normal/StandardItem', '1', '1', '0', '13900', '2448', '82052', '7030', '2', '0', '0', '0', '0', '50', '1007', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8090601', 'Dated Leather Belt (Red)', 'Normal/StandardItem', '1', '0', '0', '15290', '930', '81265', '7030', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8090602', 'Dated Leather Belt (Ochre)', 'Normal/StandardItem', '1', '0', '0', '15290', '930', '81266', '7030', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8090603', 'Dated Leather Belt (Green)', 'Normal/StandardItem', '1', '0', '0', '15290', '930', '81267', '7030', '1', '0', '0', '0', '0', '19', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('8090604', 'Dated Tarred Leather Belt', 'Normal/StandardItem', '1', '0', '0', '15290', '1395', '81268', '7030', '1', '0', '0', '0', '0', '29', '1108', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('8090605', 'Boarskin Belt', 'Normal/StandardItem', '1', '0', '0', '15290', '2046', '82001', '7030', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8090606', 'Boarskin Belt (Brown)', 'Normal/StandardItem', '1', '0', '0', '15290', '2046', '82002', '7030', '1', '0', '0', '0', '0', '43', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('8090607', 'Penance', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '82003', '7030', '2', '0', '0', '0', '0', '35', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8090608', 'Plundered Leather Belt', 'Normal/StandardItem', '1', '1', '0', '15290', '744', '81266', '7030', '1', '0', '0', '0', '1', '15', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8090609', 'Storm Sergeant\'s Belt', 'Normal/StandardItem', '1', '1', '1', '15290', '0', '81268', '7030', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8090701', 'Dated Tarred Velveteen Longsash', 'Normal/StandardItem', '1', '0', '0', '13900', '1911', '81269', '7031', '1', '0', '0', '0', '0', '48', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8090702', 'Dated Velveteen Longsash (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1521', '81270', '7031', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8090703', 'Dated Velveteen Longsash (Yellow)', 'Normal/StandardItem', '1', '0', '0', '13900', '1521', '81271', '7031', '1', '0', '0', '0', '0', '38', '1109', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8090704', 'Tarred Velveteen Longsash', 'Normal/StandardItem', '1', '0', '0', '13900', '1014', '81269', '7031', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8090705', 'Velveteen Longsash (Red)', 'Normal/StandardItem', '1', '0', '0', '13900', '1014', '81270', '7031', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8090706', 'Lominsan Sash', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81270', '7031', '2', '0', '0', '0', '1', '30', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8090707', 'Gridanian Sash', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81271', '7031', '2', '0', '0', '0', '1', '30', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8090708', 'Ul\'dahn Sash', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81269', '7031', '2', '0', '0', '0', '1', '30', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('8090709', 'Flame Sergeant\'s Sash', 'Normal/StandardItem', '1', '1', '1', '13900', '0', '81270', '7031', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8090801', 'Dated Brass Tassets', 'Normal/StandardItem', '1', '0', '0', '16680', '1320', '80364', '7030', '1', '0', '0', '0', '0', '32', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('8090802', 'Dated Iron Tassets', 'Normal/StandardItem', '1', '0', '0', '16680', '1720', '80365', '7030', '1', '0', '0', '0', '0', '42', '1110', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('8090803', 'Kobold Iron Tassets', 'Normal/StandardItem', '1', '0', '0', '16680', '80', '60000', '7030', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8090804', 'Steel Tassets', 'Normal/StandardItem', '1', '0', '0', '16680', '1320', '80355', '7030', '1', '0', '0', '0', '0', '32', '2103', '0', '0', '0', '0', '0', '-1', '31', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('8090805', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '80', '60000', '7030', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8090806', '[en]', 'Normal/StandardItem', '1', '0', '0', '16680', '80', '60000', '7030', '1', '0', '0', '0', '0', '1', '1110', '0', '0', '0', '0', '0', '-1', '31', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('8090807', 'Templar\'s Tassets', 'Normal/StandardItem', '1', '1', '0', '19460', '3250', '82011', '7030', '2', '0', '0', '0', '0', '49', '1114', '0', '0', '0', '0', '0', '-1', '31', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('8090901', 'Dated Dodoskin Field Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '1365', '81272', '7030', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8090902', 'Voyager\'s Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '1102', '81274', '7030', '1', '0', '0', '0', '0', '20', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8090903', 'Voyager\'s Belt (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '1102', '81275', '7030', '1', '0', '0', '0', '0', '20', '2104', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('8090904', 'Dated Tarred Voyager\'s Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '2415', '81273', '7030', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('8090905', 'Dated Voyager\'s Belt', 'Normal/StandardItem', '1', '0', '0', '16680', '1890', '81274', '7030', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8090906', 'Dated Voyager\'s Belt (Green)', 'Normal/StandardItem', '1', '0', '0', '16680', '1890', '81275', '7030', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('8090907', 'Weathered Field Belt', 'Normal/StandardItem', '1', '1', '1', '16680', '0', '81272', '7030', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8090908', 'Veteran\'s Field Belt', 'Normal/StandardItem', '1', '1', '0', '16680', '2520', '81273', '7030', '2', '0', '0', '0', '1', '47', '2004', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8091001', 'Buccaneer\'s Sash', 'Normal/StandardItem', '1', '1', '0', '15290', '2208', '82054', '7031', '2', '0', '0', '0', '0', '47', '1006', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('8091002', 'Dated Tarred Canvas Sash', 'Normal/StandardItem', '1', '0', '0', '11120', '742', '80366', '7031', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('8091003', 'Dated Canvas Sash (Auburn)', 'Normal/StandardItem', '1', '0', '0', '11120', '517', '80367', '7031', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8091004', 'Scarlet Sash', 'Normal/StandardItem', '1', '1', '0', '11120', '1057', '80369', '7031', '2', '0', '0', '0', '1', '46', '2002', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8091005', 'Vanya Sash', 'Normal/StandardItem', '1', '0', '0', '11120', '1035', '82604', '7031', '1', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '34', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8091101', 'Vintage Shepherd\'s Belt', 'Normal/StandardItem', '1', '1', '0', '13900', '1505', '82017', '7030', '1', '0', '0', '0', '0', '42', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('8091102', 'Cracked Shepherd\'s Belt', 'Normal/StandardItem', '1', '1', '0', '13900', '805', '82018', '7030', '1', '0', '0', '0', '0', '22', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('8091103', 'Dated Sheepskin Shepherd\'s Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '630', '82017', '7030', '1', '0', '0', '0', '0', '17', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('8091104', 'Dated Dodoskin Shepherd\'s Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '980', '82015', '7030', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8091105', 'Dated Leather Shepherd\'s Belt (Black)', 'Normal/StandardItem', '1', '0', '0', '13900', '980', '82016', '7030', '1', '0', '0', '0', '0', '27', '1119', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('8091106', 'Dodoskin Shepherd\'s Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '630', '82015', '7030', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8091107', 'Militia Belt', 'Normal/StandardItem', '1', '1', '0', '13900', '1785', '82016', '7030', '2', '0', '0', '0', '1', '50', '2005', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('8091201', 'Vintage Chef\'s Belt', 'Normal/StandardItem', '1', '1', '0', '13900', '1295', '82038', '7030', '1', '0', '0', '0', '0', '36', '1120', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('8091202', 'Frayed Chef\'s Belt', 'Normal/StandardItem', '1', '1', '0', '13900', '595', '82037', '7030', '1', '0', '0', '0', '0', '16', '1120', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('8091203', 'Dated Leather Chef\'s Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '1190', '82036', '7030', '1', '0', '0', '0', '0', '33', '1120', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8091204', 'Raptorskin Artisan\'s Belt', 'Normal/StandardItem', '1', '0', '0', '13900', '1645', '82393', '7030', '1', '0', '0', '0', '1', '46', '2144', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('8091301', 'Dated Canvas Half Apron', 'Normal/StandardItem', '1', '0', '0', '12500', '992', '81977', '7030', '1', '0', '0', '0', '0', '30', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8091302', 'Dated Velveteen Half Apron (Black)', 'Normal/StandardItem', '1', '0', '0', '12500', '1312', '82023', '7030', '1', '0', '0', '0', '0', '40', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '11', '0');
INSERT INTO `gamedata_items` VALUES ('8091303', 'Vintage Half Apron', 'Normal/StandardItem', '1', '1', '0', '12500', '832', '82025', '7030', '1', '0', '0', '0', '0', '25', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('8091304', 'Greasy Half Apron', 'Normal/StandardItem', '1', '1', '0', '7500', '256', '82024', '7030', '1', '0', '0', '0', '0', '15', '1005', '0', '0', '0', '0', '0', '-1', '34', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('8091305', 'Velveteen Half Apron', 'Normal/StandardItem', '1', '0', '0', '12500', '928', '82023', '7030', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('8091306', 'Linen Half Apron', 'Normal/StandardItem', '1', '0', '0', '12500', '1248', '82394', '7030', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '34', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('8091401', 'Merchant\'s Purse', 'Normal/StandardItem', '1', '0', '0', '12500', '64', '81976', '7030', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9010001', 'Dated Copper Wristlets', 'Normal/StandardItem', '1', '0', '0', '8280', '660', '61106', '8006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9010002', 'Dated Brass Wristlets', 'Normal/StandardItem', '1', '0', '0', '8280', '1260', '61107', '8006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '2', '0');
INSERT INTO `gamedata_items` VALUES ('9010003', 'Dated Silver Wristlets', 'Normal/StandardItem', '1', '0', '0', '8280', '1860', '61108', '8006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '12', '0');
INSERT INTO `gamedata_items` VALUES ('9010004', 'Dated Darksilver Wristlets', 'Normal/StandardItem', '1', '0', '0', '8280', '2160', '61116', '8006', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('9010005', 'Dated Electrum Wristlets', 'Normal/StandardItem', '1', '0', '0', '8280', '2460', '61109', '8006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('9010006', 'Dated Mythril Wristlets', 'Normal/StandardItem', '1', '0', '0', '8280', '3060', '61110', '8006', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '32', '0');
INSERT INTO `gamedata_items` VALUES ('9010007', 'Dated Bone Armillae', 'Normal/StandardItem', '1', '0', '0', '6210', '840', '61151', '8006', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('9010008', 'Dated Sunstone Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2244', '61117', '8006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('9010009', 'Dated Lapis Lazuli Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2244', '61118', '8006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('9010010', 'Dated Sphene Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2244', '61120', '8006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('9010011', 'Dated Malachite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2244', '61119', '8006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('9010012', 'Dated Fluorite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2244', '61122', '8006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('9010013', 'Dated Danburite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2244', '61121', '8006', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('9010014', 'Dated Pearl Bracelets', 'Normal/StandardItem', '1', '0', '0', '6210', '1960', '61123', '8006', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '24', '0');
INSERT INTO `gamedata_items` VALUES ('9010015', 'Dated Black Pearl Bracelets', 'Normal/StandardItem', '1', '0', '0', '6210', '2240', '61124', '8006', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('9010016', 'Dated White Coral Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '1998', '61157', '8006', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010017', 'Dated White Coral Wristbands (Black)', 'Normal/StandardItem', '1', '0', '0', '7590', '1998', '61160', '8006', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010018', 'Dated White Coral Wristbands (Yellow)', 'Normal/StandardItem', '1', '0', '0', '7590', '1998', '61163', '8006', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010019', 'Dated Blue Coral Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '2268', '61156', '8006', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010020', 'Dated Blue Coral Wristbands (Black)', 'Normal/StandardItem', '1', '0', '0', '7590', '2268', '61159', '8006', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010021', 'Dated Blue Coral Wristbands (Yellow)', 'Normal/StandardItem', '1', '0', '0', '7590', '2268', '61162', '8006', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010022', 'Dated Red Coral Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '2538', '61155', '8006', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010023', 'Dated Red Coral Wristbands (Black)', 'Normal/StandardItem', '1', '0', '0', '7590', '2538', '61158', '8006', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010024', 'Dated Red Coral Wristbands (Yellow)', 'Normal/StandardItem', '1', '0', '0', '7590', '2538', '61161', '8006', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010025', 'Patriot\'s Bracelet', 'Normal/StandardItem', '1', '1', '1', '7590', '0', '61157', '8006', '2', '0', '0', '0', '1', '30', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('9010026', 'Copper Wristlets', 'Normal/StandardItem', '1', '0', '0', '7590', '560', '61106', '8006', '1', '0', '0', '0', '1', '6', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9010027', 'Brass Wristlets', 'Normal/StandardItem', '1', '0', '0', '7590', '1360', '61107', '8006', '1', '0', '0', '0', '1', '16', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('9010028', 'Silver Wristlets', 'Normal/StandardItem', '1', '0', '0', '7590', '2160', '61108', '8006', '1', '0', '0', '0', '1', '26', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('9010029', 'Mythril Wristlets', 'Normal/StandardItem', '1', '0', '0', '7590', '2960', '61110', '8006', '1', '0', '0', '0', '1', '36', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9010030', 'Electrum Wristlets', 'Normal/StandardItem', '1', '0', '0', '7590', '3760', '61109', '8006', '1', '0', '0', '0', '1', '46', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('9010031', 'Sunstone Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2494', '61117', '8006', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9010032', 'Lapis Lazuli Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2494', '61118', '8006', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9010033', 'Sphene Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2494', '61120', '8006', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9010034', 'Malachite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2494', '61119', '8006', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9010035', 'Fluorite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2494', '61122', '8006', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9010036', 'Danburite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '2494', '61121', '8006', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9010037', 'Garnet Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '3354', '61133', '8006', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9010038', 'Aquamarine Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '3354', '61134', '8006', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9010039', 'Heliodor Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '3354', '61136', '8006', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9010040', 'Peridot Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '3354', '61135', '8006', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9010041', 'Amethyst Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '3354', '61138', '8006', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9010042', 'Goshenite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '3354', '61137', '8006', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9010043', 'Pearl Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '3354', '61145', '8006', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9010044', 'Rubellite Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '4214', '61139', '8006', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9010045', 'Turquoise Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '4214', '61140', '8006', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9010046', 'Amber Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '4214', '61142', '8006', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9010047', 'Tourmaline Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '4214', '61141', '8006', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9010048', 'Spinel Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '4214', '61144', '8006', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9010049', 'Zircon Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '4214', '61143', '8006', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9010050', 'Black Pearl Bracelets', 'Normal/StandardItem', '1', '0', '0', '6900', '4214', '61150', '8006', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9010051', 'Bone Armillae', 'Normal/StandardItem', '1', '0', '0', '6900', '1170', '61151', '8006', '1', '0', '0', '0', '1', '14', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '4', '0');
INSERT INTO `gamedata_items` VALUES ('9010052', 'Horn Armillae', 'Normal/StandardItem', '1', '0', '0', '6900', '2340', '61152', '8006', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9010053', 'Coral Armillae', 'Normal/StandardItem', '1', '0', '0', '6900', '3510', '61153', '8006', '1', '0', '0', '0', '1', '44', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('9010054', 'Sheepskin Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '624', '61163', '8006', '1', '0', '0', '0', '1', '7', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9010055', 'Dodoskin Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '1404', '61157', '8006', '1', '0', '0', '0', '1', '17', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('9010056', 'Leather Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '2184', '61160', '8006', '1', '0', '0', '0', '1', '27', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('9010057', 'Boarskin Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '2964', '61156', '8006', '1', '0', '0', '0', '1', '37', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('9010058', 'Raptorskin Wristbands', 'Normal/StandardItem', '1', '0', '0', '7590', '3744', '61161', '8006', '1', '0', '0', '0', '1', '47', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('9010059', 'Militia Bracelets', 'Normal/StandardItem', '1', '1', '0', '6900', '3978', '61152', '8006', '2', '0', '0', '0', '1', '50', '2007', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9010060', 'Militia Wristlets', 'Normal/StandardItem', '1', '1', '0', '7590', '4080', '61112', '8006', '2', '0', '0', '0', '1', '50', '2006', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9010061', 'Storm Sergeant\'s Bracelets', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61133', '8006', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9010062', 'Serpent Sergeant\'s Bracelets', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61135', '8006', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9010063', 'Flame Sergeant\'s Bracelets', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61146', '8006', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9010064', 'Imperial Operative Wristlets', 'Normal/StandardItem', '1', '1', '1', '7590', '0', '61111', '8006', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030001', 'Dated Fang Earrings', 'Normal/StandardItem', '1', '0', '0', '6210', '780', '61019', '8003', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9030002', 'Dated Copper Earrings', 'Normal/StandardItem', '1', '0', '0', '8280', '558', '60974', '8003', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9030003', 'Dated Brass Earrings', 'Normal/StandardItem', '1', '0', '0', '8280', '1178', '60975', '8003', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('9030004', 'Dated Silver Earrings', 'Normal/StandardItem', '1', '0', '0', '8280', '1798', '60976', '8003', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9030005', 'Dated Electrum Earrings', 'Normal/StandardItem', '1', '0', '0', '8280', '2418', '60977', '8003', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9030006', 'Dated Sunstone Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2176', '60985', '8003', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9030007', 'Dated Lapis Lazuli Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2176', '60986', '8003', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9030008', 'Dated Sphene Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2176', '60988', '8003', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9030009', 'Dated Malachite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2176', '60987', '8003', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9030010', 'Dated Fluorite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2176', '60990', '8003', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9030011', 'Dated Danburite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2176', '60989', '8003', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9030012', 'Dated Pearl Earrings', 'Normal/StandardItem', '1', '0', '0', '6210', '1980', '60991', '8003', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('9030013', 'Dated Black Pearl Earrings', 'Normal/StandardItem', '1', '0', '0', '6210', '2280', '60992', '8003', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('9030014', 'Dated Garnet Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2856', '61007', '8003', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9030015', 'Dated Aquamarine Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2856', '61008', '8003', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9030016', 'Dated Heliodor Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2856', '61010', '8003', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9030017', 'Dated Peridot Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2856', '61009', '8003', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9030018', 'Dated Amethyst Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2856', '61012', '8003', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9030019', 'Dated Goshenite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2856', '61011', '8003', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9030020', 'Moonlet', 'Normal/StandardItem', '1', '1', '1', '6210', '0', '61617', '8003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9030021', 'Copper Earrings', 'Normal/StandardItem', '1', '0', '0', '7590', '624', '60974', '8003', '1', '0', '0', '0', '1', '7', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9030022', 'Brass Earrings', 'Normal/StandardItem', '1', '0', '0', '7590', '1404', '60975', '8003', '1', '0', '0', '0', '1', '17', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('9030023', 'Silver Earrings', 'Normal/StandardItem', '1', '0', '0', '7590', '2184', '60976', '8003', '1', '0', '0', '0', '1', '27', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('9030024', 'Mythril Earrings', 'Normal/StandardItem', '1', '0', '0', '7590', '2964', '60978', '8003', '1', '0', '0', '0', '1', '37', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('9030025', 'Electrum Earrings', 'Normal/StandardItem', '1', '0', '0', '7590', '3744', '60977', '8003', '1', '0', '0', '0', '1', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('9030026', 'Sunstone Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2520', '60985', '8003', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9030027', 'Lapis Lazuli Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2520', '60986', '8003', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9030028', 'Sphene Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2520', '60988', '8003', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9030029', 'Malachite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2520', '60987', '8003', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9030030', 'Fluorite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2520', '60990', '8003', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9030031', 'Danburite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2520', '60989', '8003', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9030032', 'Garnet Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3360', '61001', '8003', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9030033', 'Aquamarine Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3360', '61002', '8003', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9030034', 'Heliodor Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3360', '61004', '8003', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9030035', 'Peridot Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3360', '61003', '8003', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9030036', 'Amethyst Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3360', '61006', '8003', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9030037', 'Goshenite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3360', '61005', '8003', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9030038', 'Pearl Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3360', '61013', '8003', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9030039', 'Rubellite Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '4200', '61007', '8003', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030040', 'Turquoise Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '4200', '61008', '8003', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030041', 'Amber Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '4200', '61010', '8003', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030042', 'Tourmaline Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '4200', '61009', '8003', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030043', 'Spinel Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '4200', '61012', '8003', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030044', 'Zircon Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '4200', '61011', '8003', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030045', 'Black Pearl Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '4200', '61016', '8003', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030046', 'Fang Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '1216', '61019', '8003', '1', '0', '0', '0', '1', '15', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('9030047', 'Horn Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '1976', '61020', '8003', '1', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('9030048', 'Wolf Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '2736', '61019', '8003', '1', '0', '0', '0', '1', '35', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('9030049', 'Coral Earrings', 'Normal/StandardItem', '1', '0', '0', '6900', '3496', '61021', '8003', '1', '0', '0', '0', '1', '45', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9030050', 'Crimson Standard Earring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61690', '8003', '3', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030051', 'Tipping Scales Earring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61691', '8003', '3', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030052', 'Lily and Serpent Earring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61692', '8003', '3', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030053', 'Peach Blossom', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61693', '8003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9030054', 'Explorer\'s Earrings', 'Normal/StandardItem', '1', '1', '0', '7590', '3978', '60984', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030055', 'Mage\'s Earrings', 'Normal/StandardItem', '1', '1', '0', '6900', '4284', '61018', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030056', 'Stonewall Earrings', 'Normal/StandardItem', '1', '1', '0', '7590', '3876', '61022', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030057', 'Blessed Earrings', 'Normal/StandardItem', '1', '1', '0', '6900', '4284', '61017', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030058', 'Rose Gold Earrings', 'Normal/StandardItem', '1', '0', '0', '7590', '3900', '61724', '8003', '2', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9030059', 'Militia Earrings', 'Normal/StandardItem', '1', '1', '0', '7590', '3978', '60980', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030060', 'Storm Sergeant\'s Earrings', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61001', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030061', 'Serpent Sergeant\'s Earrings', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61003', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030062', 'Flame Sergeant\'s Earrings', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61014', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030063', 'White Ravens', 'Normal/StandardItem', '1', '1', '1', '7590', '0', '61740', '8003', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9030064', 'Manderville Earring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61739', '8003', '1', '0', '0', '0', '1', '20', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '10', '0');
INSERT INTO `gamedata_items` VALUES ('9030065', '[en]', 'Normal/StandardItem', '1', '0', '0', '6900', '120', '60000', '8003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '0', '1', '0', '0');
INSERT INTO `gamedata_items` VALUES ('9040001', 'Dated Copper Choker', 'Normal/StandardItem', '1', '0', '0', '8280', '680', '61032', '8002', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9040002', 'Dated Brass Choker', 'Normal/StandardItem', '1', '0', '0', '8280', '1360', '61033', '8002', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '3', '0');
INSERT INTO `gamedata_items` VALUES ('9040003', 'Dated Silver Choker', 'Normal/StandardItem', '1', '0', '0', '8280', '2040', '61034', '8002', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '13', '0');
INSERT INTO `gamedata_items` VALUES ('9040004', 'Dated Electrum Choker', 'Normal/StandardItem', '1', '0', '0', '8280', '2720', '61035', '8002', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '23', '0');
INSERT INTO `gamedata_items` VALUES ('9040005', 'Dated Mythril Choker', 'Normal/StandardItem', '1', '0', '0', '8280', '3400', '61036', '8002', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('9040006', 'Dated Sunstone Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2442', '61043', '8002', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040007', 'Dated Lapis Lazuli Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2442', '61044', '8002', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040008', 'Dated Sphene Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2442', '61046', '8002', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040009', 'Dated Malachite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2442', '61045', '8002', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040010', 'Dated Fluorite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2442', '61048', '8002', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040011', 'Dated Danburite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2442', '61047', '8002', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040012', 'Dated Garnet Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3182', '61065', '8002', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040013', 'Dated Aquamarine Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3182', '61066', '8002', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040014', 'Dated Heliodor Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3182', '61068', '8002', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040015', 'Dated Peridot Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3182', '61067', '8002', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040016', 'Dated Amethyst Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3182', '61070', '8002', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040017', 'Dated Goshenite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3182', '61069', '8002', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040018', 'Patriot\'s Choker', 'Normal/StandardItem', '1', '1', '1', '8280', '0', '61097', '8002', '2', '0', '0', '0', '1', '30', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '20', '0');
INSERT INTO `gamedata_items` VALUES ('9040019', 'Paramour\'s Pendant', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61677', '8002', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9040020', 'Platinum Paramour\'s Pendant', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61678', '8002', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9040021', 'Band of Eternal Passion', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61679', '8002', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9040022', 'Copper Gorget', 'Normal/StandardItem', '1', '0', '0', '7590', '476', '61032', '8002', '1', '0', '0', '0', '1', '6', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9040023', 'Brass Gorget', 'Normal/StandardItem', '1', '0', '0', '7590', '1156', '61033', '8002', '1', '0', '0', '0', '1', '16', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '6', '0');
INSERT INTO `gamedata_items` VALUES ('9040024', 'Silver Gorget', 'Normal/StandardItem', '1', '0', '0', '7590', '1836', '61034', '8002', '1', '0', '0', '0', '1', '26', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '16', '0');
INSERT INTO `gamedata_items` VALUES ('9040025', 'Mythril Gorget', 'Normal/StandardItem', '1', '0', '0', '7590', '2516', '61036', '8002', '1', '0', '0', '0', '1', '36', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '26', '0');
INSERT INTO `gamedata_items` VALUES ('9040026', 'Electrum Gorget', 'Normal/StandardItem', '1', '0', '0', '7590', '3196', '61035', '8002', '1', '0', '0', '0', '1', '46', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '36', '0');
INSERT INTO `gamedata_items` VALUES ('9040027', 'Copper Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '680', '61032', '8002', '1', '0', '0', '0', '1', '9', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9040028', 'Brass Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '1360', '61033', '8002', '1', '0', '0', '0', '1', '19', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '9', '0');
INSERT INTO `gamedata_items` VALUES ('9040029', 'Silver Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2040', '61034', '8002', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9040030', 'Mythril Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2720', '61036', '8002', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9040031', 'Electrum Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3400', '61035', '8002', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9040032', 'Sunstone Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2146', '61043', '8002', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040033', 'Lapis Lazuli Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2146', '61044', '8002', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040034', 'Sphene Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2146', '61046', '8002', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040035', 'Malachite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2146', '61045', '8002', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040036', 'Fluorite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2146', '61048', '8002', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040037', 'Danburite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2146', '61047', '8002', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9040038', 'Garnet Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2886', '61059', '8002', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040039', 'Aquamarine Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2886', '61060', '8002', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040040', 'Heliodor Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2886', '61062', '8002', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040041', 'Peridot Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2886', '61061', '8002', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040042', 'Amethyst Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2886', '61064', '8002', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040043', 'Goshenite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2886', '61063', '8002', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040044', 'Pearl Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2886', '61071', '8002', '1', '0', '0', '0', '1', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9040045', 'Rubellite Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3626', '61065', '8002', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9040046', 'Turquoise Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3626', '61066', '8002', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9040047', 'Amber Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3626', '61068', '8002', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9040048', 'Tourmaline Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3626', '61067', '8002', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9040049', 'Spinel Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3626', '61070', '8002', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9040050', 'Zircon Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '3626', '61069', '8002', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9040051', 'Black Pearl Choker', 'Normal/StandardItem', '1', '0', '0', '6900', '2940', '61074', '8002', '1', '0', '0', '0', '1', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '38', '0');
INSERT INTO `gamedata_items` VALUES ('9040052', 'Fang Necklace', 'Normal/StandardItem', '1', '0', '0', '6900', '1080', '61077', '8002', '1', '0', '0', '0', '1', '17', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('9040053', 'Horn Necklace', 'Normal/StandardItem', '1', '0', '0', '6900', '1680', '61078', '8002', '1', '0', '0', '0', '1', '27', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('9040054', 'Wolf Necklace', 'Normal/StandardItem', '1', '0', '0', '6900', '2280', '61077', '8002', '1', '0', '0', '0', '1', '37', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('9040055', 'Coral Necklace', 'Normal/StandardItem', '1', '0', '0', '6900', '2880', '61080', '8002', '1', '0', '0', '0', '1', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('9040056', 'Sheepskin Choker', 'Normal/StandardItem', '1', '0', '0', '7590', '360', '61103', '8002', '1', '0', '0', '0', '1', '5', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9040057', 'Dodoskin Choker', 'Normal/StandardItem', '1', '0', '0', '7590', '960', '61097', '8002', '1', '0', '0', '0', '1', '15', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013002', '1', '5', '0');
INSERT INTO `gamedata_items` VALUES ('9040058', 'Leather Choker', 'Normal/StandardItem', '1', '0', '0', '7590', '1560', '61100', '8002', '1', '0', '0', '0', '1', '25', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013003', '1', '15', '0');
INSERT INTO `gamedata_items` VALUES ('9040059', 'Boarskin Choker', 'Normal/StandardItem', '1', '0', '0', '7590', '2160', '61097', '8002', '1', '0', '0', '0', '1', '35', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013004', '1', '25', '0');
INSERT INTO `gamedata_items` VALUES ('9040060', 'Raptorskin Choker', 'Normal/StandardItem', '1', '0', '0', '7590', '2760', '61103', '8002', '1', '0', '0', '0', '1', '45', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9040061', 'Explorer\'s Choker', 'Normal/StandardItem', '1', '1', '0', '7590', '3468', '61042', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9040062', 'Mage\'s Choker', 'Normal/StandardItem', '1', '1', '0', '6900', '3060', '61039', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9040063', 'Stonewall Choker', 'Normal/StandardItem', '1', '1', '0', '7590', '3060', '61081', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9040064', 'Militia Choker', 'Normal/StandardItem', '1', '1', '0', '7590', '3060', '61103', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '33', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9040065', 'Storm Sergeant\'s Choker', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61059', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9040066', 'Serpent Sergeant\'s Choker', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61061', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9040067', 'Flame Sergeant\'s Choker', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61072', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9040068', 'Imperial Operative Choker', 'Normal/StandardItem', '1', '1', '1', '7590', '0', '61037', '8002', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050001', 'Dated Bone Ring', 'Normal/StandardItem', '1', '0', '0', '6210', '180', '60960', '8009', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050002', 'Dated Copper Ring', 'Normal/StandardItem', '1', '0', '0', '8280', '576', '60915', '8009', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050003', 'Dated Brass Ring', 'Normal/StandardItem', '1', '0', '0', '8280', '1216', '60916', '8009', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '8', '0');
INSERT INTO `gamedata_items` VALUES ('9050004', 'Dated Silver Ring', 'Normal/StandardItem', '1', '0', '0', '8280', '1856', '60917', '8009', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9050005', 'Dated Darksilver Ring', 'Normal/StandardItem', '1', '0', '0', '7590', '2340', '60925', '8009', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '28', '0');
INSERT INTO `gamedata_items` VALUES ('9050006', 'Dated Electrum Ring', 'Normal/StandardItem', '1', '0', '0', '8280', '3136', '60918', '8009', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '34', '0');
INSERT INTO `gamedata_items` VALUES ('9050007', 'Dated Sunstone Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2240', '60926', '8009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9050008', 'Dated Lapis Lazuli Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2240', '60927', '8009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9050009', 'Dated Sphene Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2240', '60929', '8009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9050010', 'Dated Malachite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2240', '60928', '8009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9050011', 'Dated Fluorite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2240', '60931', '8009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9050012', 'Dated Danburite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2240', '60930', '8009', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '21', '0');
INSERT INTO `gamedata_items` VALUES ('9050013', 'Dated Pearl Ring', 'Normal/StandardItem', '1', '0', '0', '6210', '1980', '60932', '8009', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '22', '0');
INSERT INTO `gamedata_items` VALUES ('9050014', 'Dated Black Pearl Ring', 'Normal/StandardItem', '1', '0', '0', '6210', '2280', '60933', '8009', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('9050015', 'Dated Garnet Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2940', '60948', '8009', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9050016', 'Dated Aquamarine Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2940', '60949', '8009', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9050017', 'Dated Heliodor Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2940', '60951', '8009', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9050018', 'Dated Peridot Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2940', '60950', '8009', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9050019', 'Dated Amethyst Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2940', '60953', '8009', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9050020', 'Dated Goshenite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2940', '60952', '8009', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '31', '0');
INSERT INTO `gamedata_items` VALUES ('9050021', 'Stormbringer\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60948', '8009', '2', '0', '0', '0', '1', '45', '2006', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9050022', 'Stormcarrier\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60949', '8009', '2', '0', '0', '0', '1', '45', '2007', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9050023', 'Flamebringer\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60953', '8009', '2', '0', '0', '0', '1', '45', '2006', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9050024', 'Flamecarrier\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60951', '8009', '2', '0', '0', '0', '1', '45', '2007', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9050025', 'Serpentbringer\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60952', '8009', '2', '0', '0', '0', '1', '45', '2006', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9050026', 'Serpentcarrier\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60950', '8009', '2', '0', '0', '0', '1', '45', '2007', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '35', '0');
INSERT INTO `gamedata_items` VALUES ('9050027', 'Copper Ring', 'Normal/StandardItem', '1', '0', '0', '7590', '512', '60915', '8009', '1', '0', '0', '0', '1', '7', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050028', 'Brass Ring', 'Normal/StandardItem', '1', '0', '0', '7590', '1152', '60916', '8009', '1', '0', '0', '0', '1', '17', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013002', '1', '7', '0');
INSERT INTO `gamedata_items` VALUES ('9050029', 'Silver Ring', 'Normal/StandardItem', '1', '0', '0', '7590', '1792', '60917', '8009', '1', '0', '0', '0', '1', '27', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '17', '0');
INSERT INTO `gamedata_items` VALUES ('9050030', 'Mythril Ring', 'Normal/StandardItem', '1', '0', '0', '7590', '2432', '60919', '8009', '1', '0', '0', '0', '1', '37', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '27', '0');
INSERT INTO `gamedata_items` VALUES ('9050031', 'Electrum Ring', 'Normal/StandardItem', '1', '0', '0', '7590', '3072', '60918', '8009', '1', '0', '0', '0', '1', '47', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '37', '0');
INSERT INTO `gamedata_items` VALUES ('9050032', 'Sunstone Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2100', '60926', '8009', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9050033', 'Lapis Lazuli Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2100', '60927', '8009', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9050034', 'Sphene Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2100', '60929', '8009', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9050035', 'Malachite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2100', '60928', '8009', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9050036', 'Fluorite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2100', '60931', '8009', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9050037', 'Danburite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2100', '60930', '8009', '1', '0', '0', '0', '1', '29', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '19', '0');
INSERT INTO `gamedata_items` VALUES ('9050038', 'Garnet Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2800', '60942', '8009', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9050039', 'Aquamarine Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2800', '60943', '8009', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9050040', 'Heliodor Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2800', '60945', '8009', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9050041', 'Peridot Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2800', '60944', '8009', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9050042', 'Amethyst Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2800', '60947', '8009', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9050043', 'Goshenite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2800', '60946', '8009', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9050044', 'Pearl Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2800', '60954', '8009', '1', '0', '0', '0', '1', '39', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013004', '1', '29', '0');
INSERT INTO `gamedata_items` VALUES ('9050045', 'Rubellite Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '3500', '60948', '8009', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9050046', 'Turquoise Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '3500', '60949', '8009', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9050047', 'Amber Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '3500', '60951', '8009', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9050048', 'Tourmaline Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '3500', '60950', '8009', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9050049', 'Spinel Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '3500', '60953', '8009', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9050050', 'Zircon Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '3500', '60952', '8009', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9050051', 'Black Pearl Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '3500', '60957', '8009', '1', '0', '0', '0', '1', '49', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '39', '0');
INSERT INTO `gamedata_items` VALUES ('9050052', 'Bone Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '240', '60960', '8009', '1', '0', '0', '0', '1', '3', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050053', 'Horn Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '1740', '60961', '8009', '1', '0', '0', '0', '1', '28', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013003', '1', '18', '0');
INSERT INTO `gamedata_items` VALUES ('9050054', 'Coral Ring', 'Normal/StandardItem', '1', '0', '0', '6900', '2640', '60963', '8009', '1', '0', '0', '0', '1', '43', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '33', '0');
INSERT INTO `gamedata_items` VALUES ('9050055', 'Crimson Standard Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61687', '8009', '3', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050056', 'Tipping Scales Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61688', '8009', '3', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050057', 'Lily and Serpent Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61689', '8009', '3', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050058', 'Pristine Egg Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61694', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050059', 'Midnight Egg Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61695', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050060', 'Brilliant Egg Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61696', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050061', 'Vibrant Egg Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61697', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050062', 'Chocobo Egg Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61698', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050063', 'Explorer\'s Ring', 'Normal/StandardItem', '1', '1', '0', '7590', '3264', '60925', '8009', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050064', 'Mage\'s Ring', 'Normal/StandardItem', '1', '1', '0', '6900', '3570', '60959', '8009', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050065', 'Stonewall Ring', 'Normal/StandardItem', '1', '1', '0', '7590', '3060', '60964', '8009', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050066', 'Blessed Ring', 'Normal/StandardItem', '1', '1', '0', '6900', '3570', '60958', '8009', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050067', 'Storm Sergeant\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60942', '8009', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050068', 'Serpent Sergeant\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60944', '8009', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050069', 'Flame Sergeant\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '60955', '8009', '2', '0', '0', '0', '1', '50', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013005', '1', '40', '0');
INSERT INTO `gamedata_items` VALUES ('9050070', 'Byregot\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61735', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050071', 'Rhalgr\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61737', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050072', 'Llymlaen\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61738', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050073', 'Azeyma\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61727', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050074', 'Althyk\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61728', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050075', 'Menphina\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61736', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050076', 'Nophica\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61733', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050077', 'Nald\'thal\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61731', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050078', 'Nymeia\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61732', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050079', 'Oschon\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61729', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050080', 'Thaliak\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61730', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('9050081', 'Halone\'s Ring', 'Normal/StandardItem', '1', '1', '1', '6900', '0', '61734', '8009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '32', '10013001', '1', '1', '0');
INSERT INTO `gamedata_items` VALUES ('10001001', 'Tin Ore', 'Normal/StandardItem', '99', '0', '0', '0', '24', '60082', '4002', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001002', 'Pyrite', 'Normal/StandardItem', '99', '0', '0', '0', '130', '60087', '4002', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001003', 'Limonite', 'Normal/StandardItem', '99', '0', '0', '0', '170', '60085', '4002', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001004', 'Iron Ore', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60081', '4002', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001005', 'Darksteel Ore', 'Normal/StandardItem', '99', '0', '0', '0', '460', '60084', '4002', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001006', 'Copper Ore', 'Normal/StandardItem', '99', '0', '0', '0', '12', '60136', '4002', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001007', 'Yellow Copper Ore', 'Normal/StandardItem', '99', '0', '0', '0', '110', '60087', '4002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001008', 'Zinc Ore', 'Normal/StandardItem', '99', '0', '0', '0', '51', '60137', '4002', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001009', 'Silver Ore', 'Normal/StandardItem', '99', '0', '0', '0', '63', '60138', '4002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001010', 'Mythril Ore', 'Normal/StandardItem', '99', '0', '0', '0', '108', '60135', '4002', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001011', 'Gold Ore', 'Normal/StandardItem', '99', '0', '0', '0', '510', '60139', '4002', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001012', 'Platinum Ore', 'Normal/StandardItem', '99', '0', '0', '0', '610', '60141', '4002', '1', '0', '0', '0', '0', '60', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001013', 'Cobalt Ore', 'Normal/StandardItem', '99', '0', '0', '0', '126', '61661', '4002', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001014', 'Electrum Ore', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61662', '4002', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001101', 'Flint Stone', 'Normal/StandardItem', '99', '0', '0', '0', '60', '60143', '4004', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001102', 'Obsidian', 'Normal/StandardItem', '99', '0', '0', '0', '39', '60144', '4004', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001103', 'Wyvern Obsidian', 'Normal/StandardItem', '99', '0', '0', '0', '93', '61553', '4004', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001104', 'Dragon Obsidian', 'Normal/StandardItem', '99', '0', '0', '0', '380', '61554', '4004', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001105', 'Wyrm Obsidian', 'Normal/StandardItem', '99', '0', '0', '0', '410', '61555', '4004', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001106', 'Red Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60165', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001107', 'Blue Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60166', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001108', 'Yellow Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60167', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001109', 'Green Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60168', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001110', 'Indigo Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60169', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001111', 'Violet Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60170', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001112', 'Black Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60171', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001113', 'White Quartz', 'Normal/StandardItem', '99', '0', '0', '0', '100', '60172', '4004', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001114', 'Limestone', 'Normal/StandardItem', '99', '0', '0', '0', '210', '60477', '4004', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001115', 'Mudstone', 'Normal/StandardItem', '99', '0', '0', '0', '66', '60163', '4004', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001116', 'Ragstone', 'Normal/StandardItem', '99', '0', '0', '0', '33', '60162', '4004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001117', 'Siltstone', 'Normal/StandardItem', '99', '0', '0', '0', '75', '60161', '4004', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001118', 'Mudstone Whetstone', 'Normal/StandardItem', '99', '0', '0', '0', '60', '61564', '4004', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001119', 'Ragstone Whetstone', 'Normal/StandardItem', '99', '0', '0', '0', '39', '61564', '4004', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001120', 'Siltstone Whetstone', 'Normal/StandardItem', '99', '0', '0', '0', '81', '61564', '4004', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001201', 'Red O\'Ghomoro Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60165', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001202', 'Brown O\'Ghomoro Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60076', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001203', 'Yellow O\'Ghomoro Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60167', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001204', 'Grey O\'Ghomoro Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60169', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001205', 'Black O\'Ghomoro Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60171', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001206', 'Purple Sagolii Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60170', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001207', 'Brown Sagolii Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60076', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001208', 'Yellow Sagolii Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60167', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001209', 'Grey Sagolii Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60169', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001210', 'Black Sagolii Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60171', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001211', 'Green Tinolqa Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60168', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001212', 'Brown Tinolqa Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60076', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001213', 'Yellow Tinolqa Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60167', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001214', 'Grey Tinolqa Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60169', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001215', 'Black Tinolqa Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60171', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001216', 'Red Abalathia Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60165', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001217', 'Brown Abalathia Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60076', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001218', 'Blue Abalathia Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60166', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001219', 'Grey Abalathia Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60169', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001220', 'White Abalathia Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60172', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001221', 'Red Mor Dhona Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60165', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001222', 'Black Mor Dhona Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60171', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001223', 'Yellow Mor Dhona Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60167', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001224', 'Grey Mor Dhona Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60169', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001225', 'White Mor Dhona Slag', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60172', '4002', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001226', 'Iron Sand', 'Normal/StandardItem', '99', '0', '0', '0', '160', '60083', '4002', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001227', 'Silver Sand', 'Normal/StandardItem', '99', '0', '0', '0', '210', '60083', '4002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001228', 'Gold Sand', 'Normal/StandardItem', '99', '0', '0', '0', '410', '61404', '4002', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001229', 'Basilisk Egg', 'Normal/StandardItem', '99', '0', '0', '0', '108', '61427', '4002', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10001230', 'Basilisk Whetstone', 'Normal/StandardItem', '99', '0', '0', '0', '117', '61564', '4002', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002001', 'Bronze Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '26', '60053', '4020', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002002', 'Iron Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '50', '60051', '4020', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002003', 'Tin Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '38', '60053', '4020', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002004', 'Steel Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '86', '60052', '4020', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002005', 'Darksteel Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '122', '60054', '4020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002011', 'Bronze Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '110', '60048', '4020', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002012', 'Iron Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '210', '60046', '4020', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002013', 'Steel Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '310', '60047', '4020', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002014', 'Tin Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '320', '60048', '4020', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002015', 'Cobalt Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '460', '60047', '4020', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002016', 'Darksteel Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '510', '60049', '4020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002021', 'Bronze Plate', 'Normal/StandardItem', '99', '0', '0', '0', '242', '60062', '4021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002022', 'Iron Plate', 'Normal/StandardItem', '99', '0', '0', '0', '462', '60060', '4021', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002023', 'Steel Plate', 'Normal/StandardItem', '99', '0', '0', '0', '682', '60061', '4021', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002024', 'Cobalt Plate', 'Normal/StandardItem', '99', '0', '0', '0', '1012', '60061', '4021', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002025', 'Darksteel Plate', 'Normal/StandardItem', '99', '0', '0', '0', '1122', '60063', '4021', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002031', 'Bronze Square', 'Normal/StandardItem', '99', '0', '0', '0', '13', '61409', '4021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002032', 'Iron Square', 'Normal/StandardItem', '99', '0', '0', '0', '25', '61414', '4021', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002033', 'Tin Square', 'Normal/StandardItem', '99', '0', '0', '0', '19', '61409', '4021', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002034', 'Steel Square', 'Normal/StandardItem', '99', '0', '0', '0', '37', '61429', '4021', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002041', 'Bronze Wire', 'Normal/StandardItem', '99', '0', '0', '0', '44', '60058', '4022', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002042', 'Iron Wire', 'Normal/StandardItem', '99', '0', '0', '0', '84', '60056', '4022', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002051', 'Bronze Rings', 'Normal/StandardItem', '99', '0', '0', '0', '88', '61387', '4022', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002052', 'Iron Rings', 'Normal/StandardItem', '99', '0', '0', '0', '168', '61385', '4022', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002053', 'Steel Rings', 'Normal/StandardItem', '99', '0', '0', '0', '248', '61386', '4022', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002054', 'Cobalt Rings', 'Normal/StandardItem', '99', '0', '0', '0', '368', '61386', '4022', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002061', 'Bronze Chain', 'Normal/StandardItem', '99', '0', '0', '0', '132', '60071', '4022', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002062', 'Iron Chain', 'Normal/StandardItem', '99', '0', '0', '0', '252', '60069', '4022', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002071', 'Bronze Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '44', '61346', '4003', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002072', 'Iron Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '84', '61346', '4003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002073', 'Steel Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '124', '61346', '4003', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002074', 'Cobalt Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '184', '61346', '4003', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002075', 'Darksteel Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61346', '4003', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002081', 'Bronze Nails', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61545', '4003', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002082', 'Iron Nails', 'Normal/StandardItem', '99', '0', '0', '0', '15', '61356', '4003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002083', 'Steel Nails', 'Normal/StandardItem', '99', '0', '0', '0', '27', '61547', '4003', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002091', 'Bronze Scales', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61346', '4021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002092', 'Iron Scales', 'Normal/StandardItem', '99', '0', '0', '0', '15', '61346', '4021', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002093', 'Steel Scales', 'Normal/StandardItem', '99', '0', '0', '0', '27', '61346', '4021', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002101', 'Bronze Spikes', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61545', '4003', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10002102', 'Iron Spikes', 'Normal/StandardItem', '99', '0', '0', '0', '15', '61356', '4003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003001', 'Copper Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '14', '60102', '4020', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003002', 'Brass Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '38', '60104', '4020', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003003', 'Silver Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '62', '60098', '4020', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003004', 'Electrum Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '110', '60101', '4020', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003005', 'Mythril Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '98', '60099', '4020', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003006', 'Gold Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '158', '60097', '4020', '1', '0', '0', '0', '0', '65', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003007', 'Rose Gold Nugget', 'Normal/StandardItem', '99', '0', '0', '0', '122', '60103', '4020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003011', 'Copper Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '60', '60093', '4020', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003012', 'Brass Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '160', '60095', '4020', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003013', 'Silver Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '260', '60089', '4020', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003014', 'Electrum Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '460', '60092', '4020', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003015', 'Mythril Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '410', '60090', '4020', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003016', 'Rose Gold Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '510', '60094', '4020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003017', 'Gold Ingot', 'Normal/StandardItem', '99', '0', '0', '0', '1320', '60088', '4020', '1', '0', '0', '0', '0', '65', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003021', 'Copper Plate', 'Normal/StandardItem', '99', '0', '0', '0', '132', '60117', '4021', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003022', 'Brass Plate', 'Normal/StandardItem', '99', '0', '0', '0', '352', '60118', '4021', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003023', 'Silver Plate', 'Normal/StandardItem', '99', '0', '0', '0', '572', '60115', '4021', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003024', 'Electrum Plate', 'Normal/StandardItem', '99', '0', '0', '0', '792', '60119', '4021', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003025', 'Mythril Plate', 'Normal/StandardItem', '99', '0', '0', '0', '902', '60116', '4021', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003031', 'Copper Square', 'Normal/StandardItem', '99', '0', '0', '0', '7', '61416', '4021', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003032', 'Brass Square', 'Normal/StandardItem', '99', '0', '0', '0', '19', '61417', '4021', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003033', 'Silver Square', 'Normal/StandardItem', '99', '0', '0', '0', '31', '61418', '4021', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003034', 'Darksilver Square', 'Normal/StandardItem', '99', '0', '0', '0', '34', '61419', '4021', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003035', 'Electrum Square', 'Normal/StandardItem', '99', '0', '0', '0', '55', '61493', '4021', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003036', 'Mythril Square', 'Normal/StandardItem', '99', '0', '0', '0', '49', '61420', '4021', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003041', 'Copper Wire', 'Normal/StandardItem', '99', '0', '0', '0', '24', '60108', '4022', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003042', 'Brass Wire', 'Normal/StandardItem', '99', '0', '0', '0', '64', '60109', '4022', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003043', 'Silver Wire', 'Normal/StandardItem', '99', '0', '0', '0', '104', '60106', '4022', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003044', 'Electrum Wire', 'Normal/StandardItem', '99', '0', '0', '0', '144', '60110', '4022', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003045', 'Mythril Wire', 'Normal/StandardItem', '99', '0', '0', '0', '184', '60107', '4022', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003051', 'Copper Rings', 'Normal/StandardItem', '99', '0', '0', '0', '48', '61387', '4022', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003052', 'Brass Rings', 'Normal/StandardItem', '99', '0', '0', '0', '128', '61551', '4022', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003053', 'Silver Rings', 'Normal/StandardItem', '99', '0', '0', '0', '208', '61386', '4022', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003054', 'Electrum Rings', 'Normal/StandardItem', '99', '0', '0', '0', '368', '61552', '4022', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003055', 'Mythril Rings', 'Normal/StandardItem', '99', '0', '0', '0', '328', '61389', '4022', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003071', 'Copper Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '4', '61346', '4003', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003072', 'Brass Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '12', '61346', '4003', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003073', 'Silver Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '19', '61346', '4003', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003074', 'Mythril Rivets', 'Normal/StandardItem', '99', '0', '0', '0', '164', '61346', '4003', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003081', 'Copper Nails', 'Normal/StandardItem', '99', '0', '0', '0', '4', '61548', '4003', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003082', 'Brass Nails', 'Normal/StandardItem', '99', '0', '0', '0', '12', '61549', '4003', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003083', 'Silver Nails', 'Normal/StandardItem', '99', '0', '0', '0', '19', '61550', '4003', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003091', 'Brass Scales', 'Normal/StandardItem', '99', '0', '0', '0', '12', '61346', '4021', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003101', 'Copper Dust', 'Normal/StandardItem', '99', '0', '0', '0', '60', '61453', '4003', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003102', 'Gold Dust', 'Normal/StandardItem', '99', '0', '0', '0', '660', '61404', '4003', '1', '0', '0', '0', '0', '65', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003103', 'Silver Dust', 'Normal/StandardItem', '99', '0', '0', '0', '360', '60448', '4003', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10003104', 'Silver Leaf', 'Normal/StandardItem', '99', '0', '0', '0', '23', '61383', '4003', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004001', 'Raw Sunstone', 'Normal/StandardItem', '99', '0', '0', '0', '300', '60161', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004002', 'Raw Lapis Lazuli', 'Normal/StandardItem', '99', '0', '0', '0', '300', '60161', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004003', 'Raw Sphene', 'Normal/StandardItem', '99', '0', '0', '0', '300', '60161', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004004', 'Raw Malachite', 'Normal/StandardItem', '99', '0', '0', '0', '300', '60161', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004005', 'Raw Fluorite', 'Normal/StandardItem', '99', '0', '0', '0', '300', '60161', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004006', 'Raw Danburite', 'Normal/StandardItem', '99', '0', '0', '0', '300', '60161', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004007', 'Raw Garnet', 'Normal/StandardItem', '99', '0', '0', '0', '525', '60161', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004008', 'Raw Aquamarine', 'Normal/StandardItem', '99', '0', '0', '0', '525', '60161', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004009', 'Raw Heliodor', 'Normal/StandardItem', '99', '0', '0', '0', '525', '60161', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004010', 'Raw Peridot', 'Normal/StandardItem', '99', '0', '0', '0', '525', '60161', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004011', 'Raw Amethyst', 'Normal/StandardItem', '99', '0', '0', '0', '525', '60161', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004012', 'Raw Goshenite', 'Normal/StandardItem', '99', '0', '0', '0', '525', '60161', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004013', 'Raw Rubellite', 'Normal/StandardItem', '99', '0', '0', '0', '750', '60161', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004014', 'Raw Turquoise', 'Normal/StandardItem', '99', '0', '0', '0', '750', '60161', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004015', 'Raw Amber', 'Normal/StandardItem', '99', '0', '0', '0', '750', '60161', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004016', 'Raw Tourmaline', 'Normal/StandardItem', '99', '0', '0', '0', '750', '60161', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004017', 'Raw Spinel', 'Normal/StandardItem', '99', '0', '0', '0', '750', '60161', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004018', 'Raw Zircon', 'Normal/StandardItem', '99', '0', '0', '0', '750', '60161', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004019', 'Raw Ruby', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60161', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004020', 'Raw Sapphire', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60161', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004021', 'Raw Topaz', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60161', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004022', 'Raw Emerald', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60161', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004023', 'Raw Iolite', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60161', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004024', 'Raw Diamond', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60161', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004025', 'Uncultured Pearl', 'Normal/StandardItem', '99', '0', '0', '0', '450', '60192', '1017', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004026', 'Jade', 'Normal/StandardItem', '99', '0', '0', '0', '570', '60145', '1017', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004027', 'Fire Rock', 'Normal/StandardItem', '99', '0', '0', '0', '87', '60143', '1017', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004028', 'Lightning Rock', 'Normal/StandardItem', '99', '0', '0', '0', '87', '60143', '1017', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004029', 'Wind Rock', 'Normal/StandardItem', '99', '0', '0', '0', '87', '60143', '1017', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004030', 'Water Rock', 'Normal/StandardItem', '99', '0', '0', '0', '87', '60143', '1017', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004031', 'Ice Rock', 'Normal/StandardItem', '99', '0', '0', '0', '87', '60143', '1017', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004032', 'Earth Rock', 'Normal/StandardItem', '99', '0', '0', '0', '87', '60143', '1017', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004101', 'Sunstone', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60185', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004102', 'Lapis Lazuli', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60181', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004103', 'Sphene', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60184', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004104', 'Malachite', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60190', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004105', 'Fluorite', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60187', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004106', 'Danburite', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60192', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004107', 'Garnet', 'Normal/StandardItem', '99', '0', '0', '0', '1050', '60182', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004108', 'Aquamarine', 'Normal/StandardItem', '99', '0', '0', '0', '1050', '60196', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004109', 'Heliodor', 'Normal/StandardItem', '99', '0', '0', '0', '1050', '60188', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004110', 'Peridot', 'Normal/StandardItem', '99', '0', '0', '0', '1050', '60173', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004111', 'Amethyst', 'Normal/StandardItem', '99', '0', '0', '0', '1050', '60193', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004112', 'Goshenite', 'Normal/StandardItem', '99', '0', '0', '0', '1050', '60183', '1017', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004113', 'Rubellite', 'Normal/StandardItem', '99', '0', '0', '0', '1500', '60189', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004114', 'Turquoise', 'Normal/StandardItem', '99', '0', '0', '0', '1500', '60176', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004115', 'Amber', 'Normal/StandardItem', '99', '0', '0', '0', '1500', '60175', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004116', 'Tourmaline', 'Normal/StandardItem', '99', '0', '0', '0', '1500', '60198', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004117', 'Spinel', 'Normal/StandardItem', '99', '0', '0', '0', '1500', '60186', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004118', 'Zircon', 'Normal/StandardItem', '99', '0', '0', '0', '1500', '60180', '1017', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004119', 'Ruby', 'Normal/StandardItem', '99', '0', '0', '0', '2400', '60174', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004120', 'Sapphire', 'Normal/StandardItem', '99', '0', '0', '0', '2400', '60194', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004121', 'Topaz', 'Normal/StandardItem', '99', '0', '0', '0', '2400', '60197', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004122', 'Emerald', 'Normal/StandardItem', '99', '0', '0', '0', '2400', '60195', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004123', 'Iolite', 'Normal/StandardItem', '99', '0', '0', '0', '2400', '60191', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004124', 'Diamond', 'Normal/StandardItem', '99', '0', '0', '0', '2400', '60177', '1017', '1', '0', '0', '0', '0', '64', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004125', 'Pearl', 'Normal/StandardItem', '99', '0', '0', '0', '1020', '60178', '1017', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004126', 'Black Pearl', 'Normal/StandardItem', '99', '0', '0', '0', '1110', '60179', '1017', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004127', 'Nephrite', 'Normal/StandardItem', '99', '0', '0', '0', '420', '61317', '1017', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004128', 'Jadeite', 'Normal/StandardItem', '99', '0', '0', '0', '510', '61317', '1017', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004201', 'Marbled Eye', 'Normal/StandardItem', '99', '0', '0', '0', '300', '60160', '1017', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004202', 'Eye of Fire', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60146', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004203', 'Eye of Lightning', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60150', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004204', 'Eye of Wind', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60147', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004205', 'Eye of Water', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60148', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004206', 'Eye of Ice', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60151', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004207', 'Eye of Earth', 'Normal/StandardItem', '99', '0', '0', '0', '600', '60149', '1017', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004208', 'Radiant Eye of Fire', 'Normal/StandardItem', '99', '0', '0', '0', '900', '60154', '1017', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004209', 'Radiant Eye of Lightning', 'Normal/StandardItem', '99', '0', '0', '0', '900', '60158', '1017', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004210', 'Radiant Eye of Wind', 'Normal/StandardItem', '99', '0', '0', '0', '900', '60155', '1017', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004211', 'Radiant Eye of Water', 'Normal/StandardItem', '99', '0', '0', '0', '900', '60156', '1017', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004212', 'Radiant Eye of Ice', 'Normal/StandardItem', '99', '0', '0', '0', '900', '60159', '1017', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004213', 'Radiant Eye of Earth', 'Normal/StandardItem', '99', '0', '0', '0', '900', '60157', '1017', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004214', 'Astral Eye', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60152', '1017', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004215', 'Umbral Eye', 'Normal/StandardItem', '99', '0', '0', '0', '1200', '60153', '1017', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004216', 'Fire Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '540', '60165', '1017', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004217', 'Lightning Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '540', '60170', '1017', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004218', 'Wind Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '540', '60168', '1017', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004219', 'Water Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '540', '60166', '1017', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004220', 'Ice Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '540', '60169', '1017', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004221', 'Earth Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '540', '60167', '1017', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004222', 'Radiant Fire Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '840', '60165', '1017', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004223', 'Radiant Lightning Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '840', '60170', '1017', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004224', 'Radiant Wind Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '840', '60168', '1017', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004225', 'Radiant Water Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '840', '60166', '1017', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004226', 'Radiant Ice Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '840', '60169', '1017', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004227', 'Radiant Earth Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '840', '60167', '1017', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004228', 'Astral Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '1140', '60172', '1017', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004229', 'Umbral Moraine', 'Normal/StandardItem', '99', '0', '0', '0', '1140', '60171', '1017', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004230', 'Allagan Runestone - Byregot', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61569', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004231', 'Allagan Runestone - Rhalgr', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61570', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004232', 'Allagan Runestone - Llymlaen', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61571', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004233', 'Allagan Runestone - Azeyma', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61572', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004234', 'Allagan Runestone - Althyk', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61573', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004235', 'Allagan Runestone - Menphina', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61574', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004236', 'Allagan Runestone - Nophica', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61575', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004237', 'Allagan Runestone - Nald\'thal', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61576', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004238', 'Allagan Runestone - Nymeia', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61577', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004239', 'Allagan Runestone - Oschon', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61578', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004240', 'Allagan Runestone - Thaliak', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61579', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004241', 'Allagan Runestone - Halone', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61580', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004242', 'Astral Rock', 'Normal/StandardItem', '99', '0', '0', '0', '765', '60142', '1017', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10004243', 'Radiant Astral Eye', 'Normal/StandardItem', '99', '0', '0', '0', '1530', '60152', '1017', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005001', 'Undyed Hempen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '70', '60199', '4006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005002', 'Mole-brown Hempen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '70', '60200', '4006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005003', 'Lead-grey Hempen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '70', '60201', '4006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005004', 'Sand-beige Hempen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '70', '60202', '4006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005005', 'Undyed Cotton Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60203', '4006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005006', 'Mesa-red Cotton Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60204', '4006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005007', 'Maize-yellow Cotton Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60205', '4006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005008', 'Olive-green Cotton Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60206', '4006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005009', 'Celeste-blue Cotton Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60207', '4006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005010', 'Undyed Canvas', 'Normal/StandardItem', '99', '0', '0', '0', '166', '60208', '4006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005011', 'Sunset-auburn Canvas', 'Normal/StandardItem', '99', '0', '0', '0', '166', '60209', '4006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005012', 'Rose-pink Canvas', 'Normal/StandardItem', '99', '0', '0', '0', '166', '60210', '4006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005013', 'Orchard-brown Canvas', 'Normal/StandardItem', '99', '0', '0', '0', '166', '60211', '4006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005014', 'Woad-blue Canvas', 'Normal/StandardItem', '99', '0', '0', '0', '166', '60212', '4006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005015', 'Undyed Velveteen', 'Normal/StandardItem', '99', '0', '0', '0', '198', '60213', '4006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005016', 'Raven-black Velveteen', 'Normal/StandardItem', '99', '0', '0', '0', '198', '60214', '4006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005017', 'Wine-red Velveteen', 'Normal/StandardItem', '99', '0', '0', '0', '198', '60215', '4006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005018', 'Cream-yellow Velveteen', 'Normal/StandardItem', '99', '0', '0', '0', '198', '60216', '4006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005019', 'Hunter Green Velveteen', 'Normal/StandardItem', '99', '0', '0', '0', '198', '60217', '4006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005020', 'Undyed Linen', 'Normal/StandardItem', '99', '0', '0', '0', '262', '60218', '4006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005021', 'Floral Pink Linen', 'Normal/StandardItem', '99', '0', '0', '0', '262', '60219', '4006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005022', 'Deepsea-blue Linen', 'Normal/StandardItem', '99', '0', '0', '0', '262', '60220', '4006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005023', 'Shale-brown Linen', 'Normal/StandardItem', '99', '0', '0', '0', '262', '60221', '4006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005024', 'Saffron-yellow Linen', 'Normal/StandardItem', '99', '0', '0', '0', '262', '60222', '4006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005025', 'Undyed Woolen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60223', '4006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005026', 'Coal-black Woolen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60224', '4006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005027', 'Dark Violet Woolen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60225', '4006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005028', 'Carmine Red Woolen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60226', '4006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005029', 'Fog-grey Woolen Cloth', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60227', '4006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005030', 'Dream Hat Materials', 'Normal/StandardItem', '99', '0', '0', '0', '83', '61513', '4006', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005031', 'Dream Tunic Materials', 'Normal/StandardItem', '99', '0', '0', '0', '102', '61513', '4006', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005032', 'Dream Boots Materials', 'Normal/StandardItem', '99', '0', '0', '0', '128', '61534', '4009', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005033', 'Undyed Felt', 'Normal/StandardItem', '99', '0', '0', '0', '313', '60228', '4006', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005034', 'Vanya Silk', 'Normal/StandardItem', '99', '0', '0', '0', '326', '60233', '4006', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005101', 'Hempen Fent', 'Normal/StandardItem', '99', '0', '0', '0', '8', '60278', '4006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005102', 'Cotton Fent', 'Normal/StandardItem', '99', '0', '0', '0', '16', '60279', '4006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005103', 'Canvas Fent', 'Normal/StandardItem', '99', '0', '0', '0', '20', '60280', '4006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005104', 'Velveteen Fent', 'Normal/StandardItem', '99', '0', '0', '0', '24', '60281', '4006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005105', 'Linen Fent', 'Normal/StandardItem', '99', '0', '0', '0', '32', '60282', '4006', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005201', 'Straw', 'Normal/StandardItem', '99', '0', '0', '0', '38', '60247', '4005', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005202', 'Moko Grass', 'Normal/StandardItem', '99', '0', '0', '0', '12', '60248', '4005', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005203', 'Cotton Boll', 'Normal/StandardItem', '99', '0', '0', '0', '26', '60246', '4005', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005204', 'Flax', 'Normal/StandardItem', '99', '0', '0', '0', '54', '60245', '4005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005205', 'Cotton Stuffing', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60249', '4005', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005206', 'Crawler Cocoon', 'Normal/StandardItem', '99', '0', '0', '0', '274', '60275', '4005', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005301', 'Hempen Yarn', 'Normal/StandardItem', '99', '0', '0', '0', '27', '60254', '4005', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005302', 'Cotton Yarn', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60252', '4005', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005303', 'Linen Yarn', 'Normal/StandardItem', '99', '0', '0', '0', '117', '60255', '4005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005304', 'Woolen Yarn', 'Normal/StandardItem', '99', '0', '0', '0', '132', '60256', '4005', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005305', 'Karakul Yarn', 'Normal/StandardItem', '99', '0', '0', '0', '52', '61447', '4005', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005306', 'Diremite Web', 'Normal/StandardItem', '99', '0', '0', '0', '36', '61364', '4005', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005307', 'Dew Thread', 'Normal/StandardItem', '99', '0', '0', '0', '87', '60253', '4005', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005308', 'Twinthread', 'Normal/StandardItem', '99', '0', '0', '0', '153', '60253', '4005', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005401', 'Cock Feather', 'Normal/StandardItem', '99', '0', '0', '0', '19', '60265', '4011', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005402', 'Dodo Feather', 'Normal/StandardItem', '99', '0', '0', '0', '33', '60268', '4011', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005403', 'Crow Feather', 'Normal/StandardItem', '99', '0', '0', '0', '48', '60266', '4011', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005404', 'Wildfowl Feather', 'Normal/StandardItem', '99', '0', '0', '0', '62', '60267', '4011', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005405', 'Cockatrice Feather', 'Normal/StandardItem', '99', '0', '0', '0', '76', '60269', '4011', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005406', 'Vulture Feather', 'Normal/StandardItem', '99', '0', '0', '0', '91', '60270', '4011', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005407', 'Condor Feather', 'Normal/StandardItem', '99', '0', '0', '0', '105', '60270', '4011', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005408', 'Swan Feather', 'Normal/StandardItem', '99', '0', '0', '0', '120', '60271', '4011', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005409', 'Eagle Feather', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60272', '4011', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005410', 'Chocobo Feather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60259', '4011', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005411', 'Gnat Wing', 'Normal/StandardItem', '99', '0', '0', '0', '52', '60274', '4019', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005501', 'Apkallu Down', 'Normal/StandardItem', '99', '0', '0', '0', '124', '60249', '4011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005502', 'Snurble Tufts', 'Normal/StandardItem', '99', '0', '0', '0', '206', '60250', '4008', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005503', 'Fleece', 'Normal/StandardItem', '99', '0', '0', '0', '72', '60249', '4008', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10005504', 'Karakul Fleece', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61446', '4008', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006001', 'Bone Chip', 'Normal/StandardItem', '99', '0', '0', '0', '36', '60370', '4007', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006002', 'Bone Ash', 'Normal/StandardItem', '99', '0', '0', '0', '45', '60476', '4007', '1', '0', '0', '0', '0', '4', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006003', 'Soiled Femur', 'Normal/StandardItem', '99', '0', '0', '0', '108', '60371', '4007', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006004', 'Bone Scales', 'Normal/StandardItem', '99', '0', '0', '0', '72', '61346', '4007', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006005', 'Aldgoat Horn', 'Normal/StandardItem', '99', '0', '0', '0', '576', '60391', '4007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006006', 'Antelope Horn', 'Normal/StandardItem', '99', '0', '0', '0', '396', '60386', '4007', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006007', 'Ogre Horn', 'Normal/StandardItem', '99', '0', '0', '0', '828', '60387', '4007', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006008', 'Hippogryph Talon', 'Normal/StandardItem', '99', '0', '0', '0', '144', '60383', '4017', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006009', 'Raptor Talon', 'Normal/StandardItem', '99', '0', '0', '0', '279', '60382', '4017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006010', 'Wolf Fang', 'Normal/StandardItem', '99', '0', '0', '0', '198', '60384', '4017', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006011', 'Hyena Fang', 'Normal/StandardItem', '99', '0', '0', '0', '378', '60384', '4017', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006012', 'Hellhound Fang', 'Normal/StandardItem', '99', '0', '0', '0', '144', '60384', '4017', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006013', 'Hedgemole Spine', 'Normal/StandardItem', '99', '0', '0', '0', '189', '60446', '4017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006014', 'Cactuar Needle', 'Normal/StandardItem', '99', '0', '0', '0', '234', '60454', '4017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006015', 'Drake Scales', 'Normal/StandardItem', '99', '0', '0', '0', '378', '60372', '4027', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006016', 'Biast Scales', 'Normal/StandardItem', '99', '0', '0', '0', '324', '60373', '4027', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006101', 'Weevil Elytron', 'Normal/StandardItem', '99', '0', '0', '0', '99', '60378', '4019', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006102', 'Ladybug Elytron', 'Normal/StandardItem', '99', '0', '0', '0', '144', '60379', '4019', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006103', 'Firefly Elytron', 'Normal/StandardItem', '99', '0', '0', '0', '189', '61459', '4019', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006104', 'Yellow Yarzon Leg', 'Normal/StandardItem', '99', '0', '0', '0', '144', '60389', '4027', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006105', 'Blue Yarzon Leg', 'Normal/StandardItem', '99', '0', '0', '0', '288', '60390', '4027', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006106', 'Green Megalocrab Shell', 'Normal/StandardItem', '99', '0', '0', '0', '378', '60380', '4027', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006107', 'Red Megalocrab Shell', 'Normal/StandardItem', '99', '0', '0', '0', '468', '60381', '4027', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006108', 'White Coral', 'Normal/StandardItem', '99', '0', '0', '0', '171', '60394', '4007', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006109', 'Blue Coral', 'Normal/StandardItem', '99', '0', '0', '0', '243', '60393', '4007', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006110', 'Red Coral', 'Normal/StandardItem', '99', '0', '0', '0', '360', '60392', '4007', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006111', 'Scallop Shell', 'Normal/StandardItem', '99', '0', '0', '0', '36', '60374', '4027', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006112', 'Sunrise Tellin', 'Normal/StandardItem', '99', '0', '0', '0', '81', '60375', '4027', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006113', 'Miter Shell', 'Normal/StandardItem', '99', '0', '0', '0', '126', '60376', '4027', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006114', 'Blacklip Oyster', 'Normal/StandardItem', '99', '0', '0', '0', '171', '60377', '4027', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006115', 'Hawksbill Shell', 'Normal/StandardItem', '99', '0', '0', '0', '756', '60748', '4027', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006116', 'Tortoiseshell', 'Normal/StandardItem', '99', '0', '0', '0', '522', '60748', '4027', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006117', 'Bat Fang', 'Normal/StandardItem', '99', '0', '0', '0', '54', '60384', '4017', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006118', 'Ram Horn', 'Normal/StandardItem', '99', '0', '0', '0', '162', '61426', '4007', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006119', 'Mossy Horn', 'Normal/StandardItem', '99', '0', '0', '0', '702', '60391', '4007', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10006120', 'Buffalo Horn', 'Normal/StandardItem', '99', '0', '0', '0', '792', '60385', '4007', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007001', 'Sheepskin', 'Normal/StandardItem', '99', '0', '0', '0', '79', '60341', '4008', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007002', 'Karakul Skin', 'Normal/StandardItem', '99', '0', '0', '0', '312', '60342', '4008', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007003', 'Dodo Skin', 'Normal/StandardItem', '99', '0', '0', '0', '115', '60293', '4008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007004', 'Buffalo Hide', 'Normal/StandardItem', '99', '0', '0', '0', '504', '60310', '4008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007005', 'Gigantoad Skin', 'Normal/StandardItem', '99', '0', '0', '0', '187', '60287', '4008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007006', 'Nakki Skin', 'Normal/StandardItem', '99', '0', '0', '0', '672', '60290', '4008', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007007', 'Wolf Hide', 'Normal/StandardItem', '99', '0', '0', '0', '151', '60297', '4008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007008', 'Hyena Hide', 'Normal/StandardItem', '99', '0', '0', '0', '79', '60299', '4008', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007009', 'Hellhound Hide', 'Normal/StandardItem', '99', '0', '0', '0', '840', '60297', '4008', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007010', 'Rat Pelt', 'Normal/StandardItem', '99', '0', '0', '0', '216', '60303', '4008', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007011', 'Squirrel Pelt', 'Normal/StandardItem', '99', '0', '0', '0', '336', '60305', '4008', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007012', 'Marmot Pelt', 'Normal/StandardItem', '99', '0', '0', '0', '456', '60307', '4008', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007013', 'Dormouse Pelt', 'Normal/StandardItem', '99', '0', '0', '0', '576', '60309', '4008', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007014', 'Blue Antelope Hide', 'Normal/StandardItem', '99', '0', '0', '0', '648', '60319', '4008', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007015', 'Striped Antelope Hide', 'Normal/StandardItem', '99', '0', '0', '0', '768', '60321', '4008', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007016', 'Aldgoat Skin', 'Normal/StandardItem', '99', '0', '0', '0', '151', '60323', '4008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007017', 'Hog Hide', 'Normal/StandardItem', '99', '0', '0', '0', '744', '60326', '4008', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007018', 'Boar Hide', 'Normal/StandardItem', '99', '0', '0', '0', '237', '60331', '4008', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007019', 'Goobbue Skin', 'Normal/StandardItem', '99', '0', '0', '0', '1104', '60339', '4008', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007020', 'Raptor Skin', 'Normal/StandardItem', '99', '0', '0', '0', '295', '60353', '4008', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007021', 'Lindwurm Skin', 'Normal/StandardItem', '99', '0', '0', '0', '1032', '60355', '4008', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007022', 'Basilisk Skin', 'Normal/StandardItem', '99', '0', '0', '0', '912', '60346', '4008', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007023', 'Peiste Skin', 'Normal/StandardItem', '99', '0', '0', '0', '259', '60349', '4008', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007024', 'Drake Skin', 'Normal/StandardItem', '99', '0', '0', '0', '367', '60359', '4008', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007025', 'Biast Skin', 'Normal/StandardItem', '99', '0', '0', '0', '1272', '60362', '4008', '1', '0', '0', '0', '0', '52', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007026', 'Uraeus Skin', 'Normal/StandardItem', '99', '0', '0', '0', '360', '60353', '4008', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007101', 'Sheep Leather', 'Normal/StandardItem', '99', '0', '0', '0', '88', '60343', '4009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007102', 'Taupe Sheep Leather', 'Normal/StandardItem', '99', '0', '0', '0', '88', '60345', '4009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007103', 'Slate-grey Sheep Leather', 'Normal/StandardItem', '99', '0', '0', '0', '88', '60344', '4009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007104', 'Dodo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '128', '60294', '4009', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007105', 'Midnight-black Dodo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '128', '60295', '4009', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007106', 'Buffalo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60311', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007107', 'Soot-black Buffalo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60313', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007108', 'Red Ochre Buffalo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60314', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007109', 'Oxblood-red Buffalo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60315', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007110', 'Moss-green Buffalo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60316', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007111', 'Desert-yellow Buffalo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60317', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007112', 'Russet-brown Buffalo Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60318', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007113', 'Toad Leather', 'Normal/StandardItem', '99', '0', '0', '0', '208', '60288', '4009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007114', 'Dark Brown Toad Leather', 'Normal/StandardItem', '99', '0', '0', '0', '224', '60289', '4009', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007115', 'Wolf Leather', 'Normal/StandardItem', '99', '0', '0', '0', '200', '60344', '4009', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007116', 'Boar Leather', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60327', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007117', 'Storm-blue Boar Leather', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60332', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007118', 'Rust-red Boar Leather', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60329', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007119', 'Loam-brown Boar Leather', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60328', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007120', 'Light Beige Boar Leather', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60330', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007121', 'Nakki Leather', 'Normal/StandardItem', '99', '0', '0', '0', '224', '60291', '4009', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007122', 'Marsh-green Nakki Leather', 'Normal/StandardItem', '99', '0', '0', '0', '224', '60292', '4009', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007123', 'Basilisk Leather', 'Normal/StandardItem', '99', '0', '0', '0', '304', '60347', '4009', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007124', '[en]', 'Normal/StandardItem', '99', '0', '0', '0', '304', '60000', '4009', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007125', 'Peiste Leather', 'Normal/StandardItem', '99', '0', '0', '0', '288', '60350', '4009', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007126', 'Aldgoat Leather', 'Normal/StandardItem', '99', '0', '0', '0', '168', '60311', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007127', 'Raptor Leather', 'Normal/StandardItem', '99', '0', '0', '0', '328', '60353', '4009', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007128', 'Chamois', 'Normal/StandardItem', '99', '0', '0', '0', '216', '60320', '4009', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007129', 'Uraeus Leather', 'Normal/StandardItem', '99', '0', '0', '0', '400', '60353', '4009', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007130', 'Dodore Leather', 'Normal/StandardItem', '99', '0', '0', '0', '312', '60295', '4009', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007201', 'Rat Fur', 'Normal/StandardItem', '99', '0', '0', '0', '72', '60303', '4010', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007202', 'Squirrel Fur', 'Normal/StandardItem', '99', '0', '0', '0', '112', '60305', '4010', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007203', 'Marmot Fur', 'Normal/StandardItem', '99', '0', '0', '0', '152', '60307', '4010', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007204', 'Treated Antelope Hide', 'Normal/StandardItem', '99', '0', '0', '0', '192', '60320', '4010', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007205', 'Wolf Fur', 'Normal/StandardItem', '99', '0', '0', '0', '200', '60297', '4010', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007206', 'Dormouse Fur', 'Normal/StandardItem', '99', '0', '0', '0', '232', '60309', '4010', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007207', 'Hippogryph Skin', 'Normal/StandardItem', '99', '0', '0', '0', '367', '60297', '4008', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007208', 'Hippogryph Leather', 'Normal/StandardItem', '99', '0', '0', '0', '408', '60344', '4009', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007209', 'Hard Hippogryph Leather', 'Normal/StandardItem', '99', '0', '0', '0', '448', '60344', '4009', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007210', 'Coeurl Skin', 'Normal/StandardItem', '99', '0', '0', '0', '333', '60334', '4008', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007211', 'Coeurl Fur', 'Normal/StandardItem', '99', '0', '0', '0', '370', '60334', '4010', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007301', 'Sheep Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '17', '60364', '4009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007302', 'Dodo Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '25', '60369', '4009', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007303', 'Buffalo Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '33', '60365', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007304', 'Toad Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '41', '61565', '4009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007305', 'Wolf Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '40', '61567', '4009', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007306', 'Boar Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '49', '60366', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007307', 'Basilisk Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '60', '61566', '4009', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007308', 'Peiste Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60367', '4009', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007309', 'Raptor Leather Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '65', '61542', '4009', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007310', 'Chamois Spetch', 'Normal/StandardItem', '99', '0', '0', '0', '43', '61568', '4009', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007401', 'Sheep Leather Strap', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61350', '4009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007402', 'Sheep Leather Strap (Taupe)', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61350', '4009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007403', 'Sheep Leather Strap (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61350', '4009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007404', 'Dodo Leather Strap', 'Normal/StandardItem', '99', '0', '0', '0', '12', '61350', '4009', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007405', 'Dodo Leather Strap (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '12', '61350', '4009', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007406', 'Buffalo Leather Strap', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61350', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007407', 'Buffalo Leather Strap (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61350', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007408', 'Buffalo Leather Strap (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61350', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007409', 'Buffalo Leather Strap (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61350', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007410', 'Buffalo Leather Strap (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61350', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007411', 'Buffalo Leather Strap (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61350', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007412', 'Buffalo Leather Strap (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61350', '4009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007413', 'Toad Leather Strap', 'Normal/StandardItem', '99', '0', '0', '0', '20', '61350', '4009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007414', 'Toad Leather Strap (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '20', '61350', '4009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007415', 'Wolf Leather Strap', 'Normal/StandardItem', '99', '0', '0', '0', '20', '61350', '4009', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007416', 'Boar Leather Strap', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61350', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007417', 'Boar Leather Strap (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61350', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007418', 'Boar Leather Strap (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61350', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007419', 'Boar Leather Strap (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61350', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007420', 'Boar Leather Strap (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61350', '4009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007427', 'Raptor Leather Strap', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61350', '4009', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007501', 'Antelope Sinew Cord', 'Normal/StandardItem', '99', '0', '0', '0', '15', '61384', '4005', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007502', 'Hippogryph Sinew Cord', 'Normal/StandardItem', '99', '0', '0', '0', '22', '61384', '4005', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007503', 'Raptor Sinew Cord', 'Normal/StandardItem', '99', '0', '0', '0', '29', '61384', '4005', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007504', 'Antelope Sinew', 'Normal/StandardItem', '99', '0', '0', '0', '52', '61383', '4005', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007505', 'Hippogryph Sinew', 'Normal/StandardItem', '99', '0', '0', '0', '148', '61383', '4005', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007506', 'Raptor Sinew', 'Normal/StandardItem', '99', '0', '0', '0', '196', '61383', '4005', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007507', 'Mole Sinew', 'Normal/StandardItem', '99', '0', '0', '0', '28', '61383', '4005', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007508', 'Mole Sinew Cord', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61384', '4005', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007509', 'Diremite Sinew Cord', 'Normal/StandardItem', '99', '0', '0', '0', '26', '61384', '4005', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10007510', 'Diremite Sinew', 'Normal/StandardItem', '99', '0', '0', '0', '91', '61383', '4005', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008001', 'Lauan Log', 'Normal/StandardItem', '99', '0', '0', '0', '240', '60406', '4023', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008002', 'Willow Log', 'Normal/StandardItem', '99', '0', '0', '0', '270', '60400', '4023', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008003', 'Maple Log', 'Normal/StandardItem', '99', '0', '0', '0', '92', '60402', '4023', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008004', 'Elm Log', 'Normal/StandardItem', '99', '0', '0', '0', '176', '60399', '4023', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008005', 'Ash Log', 'Normal/StandardItem', '99', '0', '0', '0', '142', '60401', '4023', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008006', 'Cedar Log', 'Normal/StandardItem', '99', '0', '0', '0', '480', '60409', '4023', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008007', 'Walnut Log', 'Normal/StandardItem', '99', '0', '0', '0', '218', '60398', '4023', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008008', 'Yew Log', 'Normal/StandardItem', '99', '0', '0', '0', '193', '60403', '4023', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008009', 'Teak Log', 'Normal/StandardItem', '99', '0', '0', '0', '1290', '60397', '4023', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008010', 'Chestnut Log', 'Normal/StandardItem', '99', '0', '0', '0', '750', '60397', '4023', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008011', 'Oak Log', 'Normal/StandardItem', '99', '0', '0', '0', '277', '60395', '4023', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008012', 'Pine Log', 'Normal/StandardItem', '99', '0', '0', '0', '870', '60408', '4023', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008013', 'Spruce Log', 'Normal/StandardItem', '99', '0', '0', '0', '320', '60407', '4023', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008014', 'Rosewood Log', 'Normal/StandardItem', '99', '0', '0', '0', '386', '60405', '4023', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008015', 'Ebony Log', 'Normal/StandardItem', '99', '0', '0', '0', '429', '60396', '4023', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008016', 'Mahogany Log', 'Normal/StandardItem', '99', '0', '0', '0', '344', '60404', '4023', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008101', 'Arrowwood Branch', 'Normal/StandardItem', '99', '0', '0', '0', '33', '60411', '4023', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008102', 'Lauan Branch', 'Normal/StandardItem', '99', '0', '0', '0', '38', '60411', '4023', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008103', 'Willow Branch', 'Normal/StandardItem', '99', '0', '0', '0', '43', '60411', '4023', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008104', 'Maple Branch', 'Normal/StandardItem', '99', '0', '0', '0', '52', '60411', '4023', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008105', 'Elm Branch', 'Normal/StandardItem', '99', '0', '0', '0', '72', '60411', '4023', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008106', 'Ash Branch', 'Normal/StandardItem', '99', '0', '0', '0', '81', '60411', '4023', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008107', 'Cedar Branch', 'Normal/StandardItem', '99', '0', '0', '0', '76', '60411', '4023', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008108', 'Walnut Branch', 'Normal/StandardItem', '99', '0', '0', '0', '91', '60411', '4023', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008109', 'Yew Branch', 'Normal/StandardItem', '99', '0', '0', '0', '110', '60411', '4023', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008110', 'Teak Branch', 'Normal/StandardItem', '99', '0', '0', '0', '206', '60411', '4023', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008111', 'Chestnut Branch', 'Normal/StandardItem', '99', '0', '0', '0', '120', '60411', '4023', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008112', 'Oak Branch', 'Normal/StandardItem', '99', '0', '0', '0', '158', '60411', '4023', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008113', 'Pine Branch', 'Normal/StandardItem', '99', '0', '0', '0', '139', '60411', '4023', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008114', 'Spruce Branch', 'Normal/StandardItem', '99', '0', '0', '0', '182', '60411', '4023', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008115', 'Rosewood Branch', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60411', '4023', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008116', 'Ebony Branch', 'Normal/StandardItem', '99', '0', '0', '0', '244', '60411', '4023', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008117', 'Mahogany Branch', 'Normal/StandardItem', '99', '0', '0', '0', '196', '60411', '4023', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008118', 'Peach Branch', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60455', '4023', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008119', 'Cherry Branch', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60455', '4023', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008201', 'Lauan Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '72', '60421', '4012', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008202', 'Willow Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '81', '60424', '4012', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008203', 'Maple Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '99', '60422', '4012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008204', 'Elm Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '189', '60418', '4012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008205', 'Ash Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '153', '60419', '4012', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008206', 'Cedar Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '144', '61321', '4012', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008207', 'Walnut Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '234', '60417', '4012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008208', 'Yew Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '207', '60420', '4012', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008209', 'Teak Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '387', '60414', '4012', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008210', 'Chestnut Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '225', '60414', '4012', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008211', 'Oak Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '297', '60416', '4012', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008212', 'Pine Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '261', '61320', '4012', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008213', 'Spruce Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '342', '61319', '4012', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008214', 'Rosewood Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '414', '60425', '4012', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008215', 'Ebony Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '459', '60415', '4012', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008216', 'Mahogany Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '369', '60423', '4012', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008301', 'Bamboo Stick', 'Normal/StandardItem', '99', '0', '0', '0', '126', '60412', '4012', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008302', 'Rattan Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '216', '60413', '4012', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008401', 'Lauan Plank', 'Normal/StandardItem', '99', '0', '0', '0', '108', '60437', '4024', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008402', 'Willow Plank', 'Normal/StandardItem', '99', '0', '0', '0', '122', '60429', '4024', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008403', 'Maple Plank', 'Normal/StandardItem', '99', '0', '0', '0', '149', '60433', '4024', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008404', 'Elm Plank', 'Normal/StandardItem', '99', '0', '0', '0', '204', '60431', '4024', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008405', 'Ash Plank', 'Normal/StandardItem', '99', '0', '0', '0', '231', '60432', '4024', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008406', 'Cedar Plank', 'Normal/StandardItem', '99', '0', '0', '0', '217', '61324', '4024', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008407', 'Walnut Plank', 'Normal/StandardItem', '99', '0', '0', '0', '258', '60430', '4024', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008408', 'Yew Plank', 'Normal/StandardItem', '99', '0', '0', '0', '312', '60434', '4024', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008409', 'Teak Plank', 'Normal/StandardItem', '99', '0', '0', '0', '584', '60436', '4024', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008410', 'Chestnut Plank', 'Normal/StandardItem', '99', '0', '0', '0', '340', '60436', '4024', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008411', 'Oak Plank', 'Normal/StandardItem', '99', '0', '0', '0', '448', '60428', '4024', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008412', 'Pine Plank', 'Normal/StandardItem', '99', '0', '0', '0', '394', '61323', '4024', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008413', 'Spruce Plank', 'Normal/StandardItem', '99', '0', '0', '0', '516', '61322', '4024', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008414', 'Rosewood Plank', 'Normal/StandardItem', '99', '0', '0', '0', '625', '61314', '4024', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008415', 'Ebony Plank', 'Normal/StandardItem', '99', '0', '0', '0', '693', '60435', '4024', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008416', 'Mahogany Plank', 'Normal/StandardItem', '99', '0', '0', '0', '557', '60427', '4024', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008501', 'Oak Chips', 'Normal/StandardItem', '99', '0', '0', '0', '46', '61375', '4023', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008502', 'Maple Sap', 'Normal/StandardItem', '99', '0', '0', '0', '140', '61546', '4026', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008503', 'Pine Chips', 'Normal/StandardItem', '99', '0', '0', '0', '40', '61375', '4023', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008504', 'Willow Chips', 'Normal/StandardItem', '99', '0', '0', '0', '12', '61375', '4023', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008505', 'Chestnut Chips', 'Normal/StandardItem', '99', '0', '0', '0', '35', '61375', '4023', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008506', 'Walnut Chips', 'Normal/StandardItem', '99', '0', '0', '0', '26', '61375', '4023', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10008507', 'Treated Spruce Lumber', 'Normal/StandardItem', '99', '0', '0', '0', '459', '61319', '4012', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009001', 'Blinding Powder', 'Normal/StandardItem', '99', '0', '0', '0', '192', '60443', '4026', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009002', 'Silencing Powder', 'Normal/StandardItem', '99', '0', '0', '0', '211', '60443', '4026', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009003', 'Sleeping Powder', 'Normal/StandardItem', '99', '0', '0', '0', '230', '60443', '4026', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009004', 'Paralyzing Powder', 'Normal/StandardItem', '99', '0', '0', '0', '249', '60443', '4026', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009005', 'Maddening Powder', 'Normal/StandardItem', '99', '0', '0', '0', '268', '60443', '4026', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009006', 'Poison Powder', 'Normal/StandardItem', '99', '0', '0', '0', '288', '60443', '4026', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009007', 'Smothering Powder', 'Normal/StandardItem', '99', '0', '0', '0', '307', '60443', '4026', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009008', 'Disabling Powder', 'Normal/StandardItem', '99', '0', '0', '0', '326', '60443', '4026', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009011', 'Illuminating Salts', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61562', '4026', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009012', 'Speaking Salts', 'Normal/StandardItem', '99', '0', '0', '0', '220', '61562', '4026', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009013', 'Reviving Salts', 'Normal/StandardItem', '99', '0', '0', '0', '240', '61562', '4026', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009014', 'Stimulating Salts', 'Normal/StandardItem', '99', '0', '0', '0', '259', '61562', '4026', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009015', 'Soothing Salts', 'Normal/StandardItem', '99', '0', '0', '0', '278', '61562', '4026', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009016', 'Thickening Salts', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61562', '4026', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009017', 'Breathing Salts', 'Normal/StandardItem', '99', '0', '0', '0', '316', '61562', '4026', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009018', 'Reanimating Salts', 'Normal/StandardItem', '99', '0', '0', '0', '336', '61562', '4026', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009021', 'Ironhide Powder', 'Normal/StandardItem', '99', '0', '0', '0', '259', '61562', '4026', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009022', 'Ironwill Powder', 'Normal/StandardItem', '99', '0', '0', '0', '278', '61562', '4026', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009101', 'Brimstone', 'Normal/StandardItem', '99', '0', '0', '0', '76', '60473', '4026', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009102', 'Silex', 'Normal/StandardItem', '99', '0', '0', '0', '115', '60468', '4026', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009103', 'Saltpeter', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60477', '4026', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009104', 'Rock Salt', 'Normal/StandardItem', '99', '0', '0', '0', '45', '60589', '4026', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009105', 'Fine Sand', 'Normal/StandardItem', '99', '0', '0', '0', '38', '60905', '4004', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009106', 'River Sand', 'Normal/StandardItem', '99', '0', '0', '0', '25', '60906', '4004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009107', 'Sea Sand', 'Normal/StandardItem', '99', '0', '0', '0', '25', '60907', '4004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009108', 'Minium', 'Normal/StandardItem', '99', '0', '0', '0', '45', '60910', '4026', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009109', 'Chalk', 'Normal/StandardItem', '99', '0', '0', '0', '51', '60479', '4026', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009110', 'Natron', 'Normal/StandardItem', '99', '0', '0', '0', '36', '60479', '4026', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009111', 'Alumen', 'Normal/StandardItem', '99', '0', '0', '0', '76', '60479', '4026', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009112', 'Bomb Ash', 'Normal/StandardItem', '99', '0', '0', '0', '358', '60448', '4026', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009113', 'Grenade Ash', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60448', '4026', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009201', 'Quicksilver', 'Normal/StandardItem', '99', '0', '0', '0', '89', '60472', '4026', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009202', 'Vitriol', 'Normal/StandardItem', '99', '0', '0', '0', '115', '60472', '4026', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009203', 'Jellyfish Humours', 'Normal/StandardItem', '99', '0', '0', '0', '70', '61365', '4026', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009204', 'Muddy Water', 'Normal/StandardItem', '99', '0', '0', '0', '25', '61376', '4026', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009205', 'Effervescent Water', 'Normal/StandardItem', '99', '0', '0', '0', '38', '60474', '4026', '1', '0', '0', '0', '0', '2', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009206', 'Growth Formula Alpha', 'Normal/StandardItem', '99', '0', '0', '0', '86', '60445', '4026', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009207', 'Growth Formula Beta', 'Normal/StandardItem', '99', '0', '0', '0', '182', '60445', '4026', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009208', 'Growth Formula Gamma', 'Normal/StandardItem', '99', '0', '0', '0', '307', '60445', '4026', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009209', 'Beastkin Blood', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60438', '4026', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009210', 'Scalekin Blood', 'Normal/StandardItem', '99', '0', '0', '0', '371', '60438', '4026', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009211', 'Formic Acid', 'Normal/StandardItem', '99', '0', '0', '0', '410', '60474', '4026', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009212', 'Viscous Secretions', 'Normal/StandardItem', '99', '0', '0', '0', '179', '60441', '4026', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009213', 'Acidic Secretions', 'Normal/StandardItem', '99', '0', '0', '0', '307', '60441', '4026', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009214', 'Coal Tar', 'Normal/StandardItem', '99', '0', '0', '0', '240', '60465', '4026', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009215', 'Linseed Oil', 'Normal/StandardItem', '99', '0', '0', '0', '278', '61365', '2040', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009216', 'Fish Oil', 'Normal/StandardItem', '99', '0', '0', '0', '86', '61365', '2040', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009217', 'Crab Oil', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61365', '2040', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009218', 'Shark Oil', 'Normal/StandardItem', '99', '0', '0', '0', '403', '61365', '2040', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009219', 'Spoken Blood', 'Normal/StandardItem', '99', '0', '0', '0', '538', '60438', '4026', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009301', 'Beehive Chip', 'Normal/StandardItem', '99', '0', '0', '0', '51', '60470', '4026', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009302', 'Beeswax', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60457', '4026', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009303', 'Animal Glue', 'Normal/StandardItem', '99', '0', '0', '0', '86', '60456', '4026', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009304', 'Carbon Fiber', 'Normal/StandardItem', '99', '0', '0', '0', '396', '60467', '4005', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009305', 'Carbon Fiber Weave', 'Normal/StandardItem', '99', '0', '0', '0', '588', '60244', '4006', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009306', 'Latex', 'Normal/StandardItem', '99', '0', '0', '0', '19', '61561', '4026', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009307', 'Rubber', 'Normal/StandardItem', '99', '0', '0', '0', '19', '61393', '4026', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009308', 'Rubber Sole', 'Normal/StandardItem', '99', '0', '0', '0', '134', '60740', '9007', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009309', 'Rubber Band', 'Normal/StandardItem', '99', '0', '0', '0', '144', '60740', '4026', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009310', 'Clear Glass Lens', 'Normal/StandardItem', '99', '0', '0', '0', '154', '60444', '4026', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009311', 'Green Glass Lens', 'Normal/StandardItem', '99', '0', '0', '0', '268', '60797', '4026', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009312', 'Red Glass Lens', 'Normal/StandardItem', '99', '0', '0', '0', '268', '60794', '4026', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009313', 'Lanolin', 'Normal/StandardItem', '99', '0', '0', '0', '96', '60458', '4026', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009314', 'Fish Glue', 'Normal/StandardItem', '99', '0', '0', '0', '163', '60456', '4026', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009315', 'Horn Glue', 'Normal/StandardItem', '99', '0', '0', '0', '259', '60456', '4026', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009316', 'Wing Glue', 'Normal/StandardItem', '99', '0', '0', '0', '355', '60456', '4026', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009317', 'Scale Glue', 'Normal/StandardItem', '99', '0', '0', '0', '451', '60456', '4026', '1', '0', '0', '0', '0', '46', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009401', 'Mandrake', 'Normal/StandardItem', '99', '0', '0', '0', '307', '60484', '2026', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009402', 'Mistletoe', 'Normal/StandardItem', '99', '0', '0', '0', '589', '60462', '2026', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009403', 'Carnation', 'Normal/StandardItem', '99', '0', '0', '0', '115', '60471', '2026', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009404', 'Chamomile', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60604', '2026', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009405', 'Lavender', 'Normal/StandardItem', '99', '0', '0', '0', '154', '60469', '2026', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009406', 'Belladonna', 'Normal/StandardItem', '99', '0', '0', '0', '179', '60607', '2026', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009407', 'Yellow Ginseng', 'Normal/StandardItem', '99', '0', '0', '0', '64', '60587', '2026', '1', '0', '0', '0', '0', '4', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009501', 'Red Landtrap Leaf', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60584', '2022', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009502', 'Blue Landtrap Leaf', 'Normal/StandardItem', '99', '0', '0', '0', '410', '60585', '2022', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009503', 'Morbol Vine', 'Normal/StandardItem', '99', '0', '0', '0', '294', '60464', '4005', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009504', 'Jellyfish Cnida', 'Normal/StandardItem', '99', '0', '0', '0', '153', '60439', '4026', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009505', 'Puk Wing', 'Normal/StandardItem', '99', '0', '0', '0', '179', '60451', '4019', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009506', 'Bat Wing', 'Normal/StandardItem', '99', '0', '0', '0', '102', '60450', '4019', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009507', 'Imp Wing', 'Normal/StandardItem', '99', '0', '0', '0', '205', '60449', '4019', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009508', 'Ahriman Wing', 'Normal/StandardItem', '99', '0', '0', '0', '538', '60452', '4019', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009509', 'Void Glue', 'Normal/StandardItem', '99', '0', '0', '0', '204', '60456', '4026', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009510', 'Black Glass Lens', 'Normal/StandardItem', '99', '0', '0', '0', '278', '61431', '4026', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009601', 'Yellow Glass Lens', 'Normal/StandardItem', '99', '0', '0', '0', '278', '60799', '4026', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009602', 'Dodore Wing', 'Normal/StandardItem', '99', '0', '0', '0', '524', '60452', '4019', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009603', 'Bee Basket', 'Normal/StandardItem', '99', '0', '0', '0', '102', '60759', '4026', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009605', 'Tarantula', 'Normal/StandardItem', '99', '0', '0', '0', '410', '60718', '4026', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009606', 'Black Scorpion', 'Normal/StandardItem', '99', '0', '0', '0', '538', '60727', '4026', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009607', 'White Scorpion', 'Normal/StandardItem', '99', '0', '0', '0', '230', '60728', '4026', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009608', 'Grass Viper', 'Normal/StandardItem', '99', '0', '0', '0', '90', '60721', '4026', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009609', 'Moor Leech', 'Normal/StandardItem', '99', '0', '0', '0', '51', '61358', '4026', '1', '0', '0', '0', '0', '3', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009610', 'Tinolqa Mistletoe', 'Normal/StandardItem', '99', '0', '0', '0', '115', '60462', '2026', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009611', 'Matron\'s Mistletoe', 'Normal/StandardItem', '99', '0', '0', '0', '307', '60462', '2026', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009612', 'Vampire Plant', 'Normal/StandardItem', '99', '0', '0', '0', '653', '60462', '2026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009613', 'Trillium', 'Normal/StandardItem', '99', '0', '0', '0', '652', '60806', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009614', 'Trillium Bulb', 'Normal/StandardItem', '99', '0', '0', '0', '326', '60742', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009615', 'Growth Formula Delta', 'Normal/StandardItem', '99', '0', '0', '0', '245', '60445', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009616', 'Growth Formula Delta Concentrate', 'Normal/StandardItem', '99', '0', '0', '0', '489', '60445', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009617', 'Coke', 'Normal/StandardItem', '99', '0', '0', '0', '107', '60171', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009618', 'Peacock Ore', 'Normal/StandardItem', '99', '0', '0', '0', '148', '60139', '4002', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009619', 'Animal Fat', 'Normal/StandardItem', '99', '0', '0', '0', '97', '61393', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009620', 'Potash', 'Normal/StandardItem', '99', '0', '0', '0', '94', '60038', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009621', 'Lime Sulfur', 'Normal/StandardItem', '99', '0', '0', '0', '489', '60038', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009622', 'Aqueous Whetstone', 'Normal/StandardItem', '99', '0', '0', '0', '153', '61564', '4004', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10009623', 'Hardened Sap', 'Normal/StandardItem', '99', '0', '0', '0', '163', '61393', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010001', 'Mole-brown Hemp Dye', 'Normal/StandardItem', '99', '0', '0', '0', '59', '60747', '4014', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010002', 'Lead-grey Hemp Dye', 'Normal/StandardItem', '99', '0', '0', '0', '59', '60747', '4014', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010003', 'Sand-beige Hemp Dye', 'Normal/StandardItem', '99', '0', '0', '0', '59', '60747', '4014', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010004', 'Olive-green Cotton Dye', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60747', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010005', 'Mesa-red Cotton Dye', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60747', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010006', 'Maize-yellow Cotton Dye', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60747', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010007', 'Celeste-blue Cotton Dye', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60747', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010008', 'Sunset-auburn Canvas Dye', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60747', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010009', 'Rose-pink Canvas Dye', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60747', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010010', 'Orchard-brown Canvas Dye', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60747', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010011', 'Woad-blue Canvas Dye', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60747', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010012', 'Raven-black Velveteen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60747', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010013', 'Wine-red Velveteen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60747', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010014', 'Cream-yellow Velveteen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60747', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010015', 'Hunter Green Velveteen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60747', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010101', 'Slate-grey Sheep Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '75', '60747', '4014', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010102', 'Taupe Sheep Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '75', '60747', '4014', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010103', 'Midnight-black Dodo Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '102', '60747', '4014', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010104', 'Soot-black Buffalo Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '129', '60747', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010105', 'Red Ochre Buffalo Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '129', '60747', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010106', 'Oxblood-red Buffalo Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '129', '60747', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010107', 'Moss-green Buffalo Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '129', '60747', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010108', 'Desert-yellow Buffalo Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '145', '60747', '4014', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010109', 'Russet-brown Buffalo Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '145', '60747', '4014', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010110', 'Dark Brown Toad Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '156', '60747', '4014', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010111', 'Marsh-green Nakki Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '156', '60747', '4014', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010112', 'Storm-blue Boar Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '183', '60747', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010113', 'Rust-red Boar Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '183', '60747', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010114', 'Loam-brown Boar Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '183', '60747', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010115', 'Light Beige Boar Leather Dye', 'Normal/StandardItem', '99', '0', '0', '0', '183', '60747', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010201', 'Green Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '97', '60747', '4016', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010202', 'Brown Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '97', '60747', '4016', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010203', 'Blue Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60747', '4016', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010204', 'Purple Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60747', '4016', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010205', 'Red Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '194', '60747', '4016', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010206', 'Indigo Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '194', '60747', '4016', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010207', 'White Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60747', '4016', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010208', 'Gold Enamel', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60747', '4016', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010301', 'Vert Lacquer', 'Normal/StandardItem', '99', '0', '0', '0', '108', '60747', '4016', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010302', 'Azure Lacquer', 'Normal/StandardItem', '99', '0', '0', '0', '108', '60747', '4016', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010303', 'Gules Lacquer', 'Normal/StandardItem', '99', '0', '0', '0', '151', '60747', '4016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010304', 'Purpure Lacquer', 'Normal/StandardItem', '99', '0', '0', '0', '151', '60747', '4016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010305', 'Sable Lacquer', 'Normal/StandardItem', '99', '0', '0', '0', '151', '60747', '4016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010306', 'Argent Lacquer', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60747', '4016', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010307', 'Or Lacquer', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60747', '4016', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010401', 'Mole-brown Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '59', '60461', '4014', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010402', 'Lead-grey Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '59', '60461', '4014', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010403', 'Sand-beige Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '59', '60461', '4014', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010404', 'Olive-green Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60461', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010405', 'Mesa-red Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60461', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010406', 'Maize-yellow Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60461', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010407', 'Celeste-blue Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '113', '60461', '4014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010408', 'Sunset-auburn Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60461', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010409', 'Rose-pink Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60461', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010410', 'Orchard-brown Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60461', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010411', 'Woad-blue Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60461', '4014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010412', 'Raven-black Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60461', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010413', 'Wine-red Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60461', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010414', 'Cream-yellow Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60461', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010415', 'Hunter Green Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '167', '60461', '4014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010501', 'Slate-grey Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '75', '61413', '4014', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010502', 'Taupe Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '75', '61413', '4014', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010503', 'Midnight-black Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '102', '61413', '4014', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010504', 'Soot-black Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '129', '61413', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010505', 'Red Ochre Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '129', '61413', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010506', 'Oxblood-red Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '129', '61413', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010507', 'Moss-green Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '129', '61413', '4014', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010508', 'Desert-yellow Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '145', '61413', '4014', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010509', 'Russet-brown Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '145', '61413', '4014', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010510', 'Dark Brown Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '156', '61413', '4014', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010511', 'Marsh-green Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '156', '61413', '4014', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010512', 'Storm-blue Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '183', '61413', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010513', 'Rust-red Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '183', '61413', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010514', 'Loam-brown Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '183', '61413', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010515', 'Light Beige Scale Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '183', '61413', '4014', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010601', 'Green Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '97', '60083', '4016', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010602', 'Brown Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '97', '60083', '4016', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010603', 'Blue Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60083', '4016', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010604', 'Purple Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '140', '60083', '4016', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010605', 'Red Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '194', '60083', '4016', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010606', 'Indigo Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '194', '60083', '4016', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010607', 'White Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60083', '4016', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010608', 'Gold Stainsand', 'Normal/StandardItem', '99', '0', '0', '0', '248', '60083', '4016', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010701', 'Vert Lac Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '108', '61412', '4016', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010702', 'Azure Lac Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '108', '61412', '4016', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010703', 'Gules Lac Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '151', '61412', '4016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010704', 'Purpure Lac Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '151', '61412', '4016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010705', 'Sable Lac Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '151', '61412', '4016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010706', 'Argent Lac Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '167', '61412', '4016', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010707', 'Or Lac Bugs', 'Normal/StandardItem', '99', '0', '0', '0', '167', '61412', '4016', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010708', 'Floral Pink Linen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '221', '60747', '4014', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010709', 'Deepsea-blue Linen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '221', '60747', '4014', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010710', 'Shale-brown Linen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '221', '60747', '4014', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010711', 'Saffron-yellow Linen Dye', 'Normal/StandardItem', '99', '0', '0', '0', '221', '60747', '4014', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010712', 'Floral Pink Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '210', '60461', '4014', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010713', 'Deepsea-blue Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '210', '60461', '4014', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010714', 'Shale-brown Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '210', '60461', '4014', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010715', 'Saffron-yellow Dyer\'s Moss', 'Normal/StandardItem', '99', '0', '0', '0', '210', '60461', '4014', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010716', 'Black Urushi', 'Normal/StandardItem', '99', '0', '0', '0', '145', '60747', '4016', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010717', 'Raw Urushi', 'Normal/StandardItem', '99', '0', '0', '0', '91', '60747', '4016', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010718', 'All-purpose Blue Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61663', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010719', 'All-purpose Red Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61664', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010720', 'All-purpose Yellow Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61665', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010721', 'All-purpose Black Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61666', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010722', 'All-purpose Grey Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61667', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010723', 'All-purpose Brown Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61668', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010724', 'All-purpose Green Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61669', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010725', 'All-purpose White Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61670', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10010726', 'All-purpose Purple Dye', 'Normal/StandardItem', '99', '0', '0', '0', '32', '61671', '4014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011001', 'Tiny Crown', 'Normal/StandardItem', '99', '0', '0', '0', '400', '60738', '4003', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011002', 'Brass Dish', 'Normal/StandardItem', '99', '0', '0', '0', '475', '61371', '1018', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011003', 'Silver Goblet', 'Normal/StandardItem', '99', '0', '0', '0', '675', '61372', '1018', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011004', 'Brass Canteen', 'Normal/StandardItem', '99', '0', '0', '0', '425', '60738', '9021', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011005', 'Tallow Candle', 'Normal/StandardItem', '99', '0', '0', '0', '86', '60460', '1018', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011006', 'Rope', 'Normal/StandardItem', '99', '0', '0', '0', '67', '60765', '1018', '1', '0', '0', '0', '0', '6', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011007', 'Humus', 'Normal/StandardItem', '99', '0', '0', '0', '128', '60909', '4026', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011008', 'Potter\'s Clay', 'Normal/StandardItem', '99', '0', '0', '0', '102', '61357', '4026', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011101', 'Ixali Willowknot', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60890', '1004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011102', 'Ixali Mapleknot', 'Normal/StandardItem', '99', '0', '0', '0', '660', '60891', '1004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011103', 'Ixali Ebonknot', 'Normal/StandardItem', '99', '0', '0', '0', '1920', '60892', '1004', '1', '0', '0', '0', '0', '95', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011104', 'Sylphic Brownleaf', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60896', '1004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011105', 'Sylphic Yellowleaf', 'Normal/StandardItem', '99', '0', '0', '0', '660', '60897', '1004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011106', 'Sylphic Redleaf', 'Normal/StandardItem', '99', '0', '0', '0', '1920', '60898', '1004', '1', '0', '0', '0', '0', '95', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011107', 'Titan Copperpiece', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60893', '1004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011108', 'Titan Mythrilpiece', 'Normal/StandardItem', '99', '0', '0', '0', '660', '60894', '1004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011109', 'Titan Electrumpiece', 'Normal/StandardItem', '99', '0', '0', '0', '1920', '60895', '1004', '1', '0', '0', '0', '0', '95', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011110', 'Greentide Psashp', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60899', '1004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011111', 'Redtide Psashp', 'Normal/StandardItem', '99', '0', '0', '0', '660', '60900', '1004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011112', 'Goldtide Psashp', 'Normal/StandardItem', '99', '0', '0', '0', '1920', '60901', '1004', '1', '0', '0', '0', '0', '95', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011113', 'Bronze Amalj\'ok', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60887', '1004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011114', 'Iron Amalj\'ok', 'Normal/StandardItem', '99', '0', '0', '0', '660', '60888', '1004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011115', 'Darksteel Amalj\'ok', 'Normal/StandardItem', '99', '0', '0', '0', '1920', '60889', '1004', '1', '0', '0', '0', '0', '95', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011116', 'Ququroon Doom-die', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60884', '1004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011117', 'Gagaroon Luck-die', 'Normal/StandardItem', '99', '0', '0', '0', '660', '60885', '1004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011118', 'Peperoon Fate-die', 'Normal/StandardItem', '99', '0', '0', '0', '1920', '60886', '1004', '1', '0', '0', '0', '0', '95', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011119', 'Beeswax Candle', 'Normal/StandardItem', '99', '0', '0', '0', '57', '60459', '1018', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011120', 'Goblin Mask', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61267', '9020', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011121', 'Twinklebox', 'Normal/StandardItem', '99', '0', '1', '0', '0', '61464', '1018', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011122', 'Brass Gobcog', 'Normal/StandardItem', '99', '0', '0', '0', '220', '61480', '1004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011123', 'Silver Gobcog', 'Normal/StandardItem', '99', '0', '0', '0', '660', '61481', '1004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011124', 'Gold Gobcog', 'Normal/StandardItem', '99', '0', '0', '0', '1920', '61482', '1004', '1', '0', '0', '0', '0', '95', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011125', '[en]', 'Normal/StandardItem', '99', '0', '0', '0', '364', '60000', '1009', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011126', 'Inferno Taper', 'Normal/StandardItem', '99', '0', '1', '0', '0', '61672', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011127', 'Gold Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60731', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011128', 'Electrum Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60731', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011129', 'Rose Gold Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60731', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011130', 'Silver Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60732', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011131', 'Mythril Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60732', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011132', 'Steel Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60732', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011133', 'Copper Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60733', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011134', 'Brass Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60733', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011135', 'Bronze Shposhae Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60733', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011136', 'Brass Zahar\'ak Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61674', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011137', 'Copper Zahar\'ak Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61674', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011138', 'Silver Zahar\'ak Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61675', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011139', 'Gold Zahar\'ak Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61676', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011140', 'Brass U\'Ghamaro Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61674', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011141', 'Silver U\'Ghamaro Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61675', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011142', 'Copper U\'Ghamaro Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61674', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011143', 'Bronze U\'Ghamaro Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61674', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011144', 'Gold U\'Ghamaro Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61676', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011145', 'Brass Natalan Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61674', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011146', 'Copper Natalan Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61674', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011147', 'Silver Natalan Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61675', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011148', 'Steel Natalan Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61675', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011149', 'Mythril Natalan Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61675', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011150', 'Gold Natalan Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61676', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011151', 'Inferno Totem', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60738', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011152', 'Kupo Nut Charm', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60738', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011153', 'Unmarked Keystone', 'Normal/StandardItem', '99', '0', '1', '0', '0', '61383', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011154', 'Vortex Totem', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60738', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011155', 'Vortex Headdress', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60262', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011156', 'Inferno Seal', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60889', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011157', 'Vortex Seal', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60892', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011158', 'Tremor Seal', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60895', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011159', 'Flawless Mailbreaker Blade', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9001', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011160', 'Flawless Avenger Grips', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9001', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011161', 'Flawless Rampager Head', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9001', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011162', 'Flawless Obelisk Head', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9001', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011163', 'Flawless Sarnga Limb', 'Normal/StandardItem', '99', '0', '0', '0', '972', '61346', '9001', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011164', 'Flawless Suspended Trillium Flower', 'Normal/StandardItem', '99', '0', '0', '0', '777', '61346', '9001', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011165', 'Flawless Astrolabe Clinometer', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9001', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011166', 'Flawless Vanya Silk Hat Lining', 'Normal/StandardItem', '99', '0', '0', '0', '777', '61346', '9006', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011167', 'Flawless Vanya Silk Robe Lining', 'Normal/StandardItem', '99', '0', '0', '0', '777', '61346', '9006', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011168', 'Flawless Vanya Silk Glove Lining', 'Normal/StandardItem', '99', '0', '0', '0', '777', '61346', '9006', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011169', 'Flawless Vanya Silk Crakow Lining', 'Normal/StandardItem', '99', '0', '0', '0', '777', '61346', '9006', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011170', 'Flawless Gryphonskin Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '810', '61346', '9020', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011171', 'Flawless Gryphonskin Shin Guards', 'Normal/StandardItem', '99', '0', '0', '0', '810', '61346', '9020', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011172', 'Flawless Gryphonskin Elbow Pads', 'Normal/StandardItem', '99', '0', '0', '0', '810', '61346', '9020', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011173', 'Flawless Gryphonskin Knee Pads', 'Normal/StandardItem', '99', '0', '0', '0', '810', '61346', '9020', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011174', 'Flawless Darksteel Breastplate', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9021', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011175', 'Flawless Darksteel Gauntlet Plates', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9021', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011176', 'Flawless Darksteel Couters', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9021', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011177', 'Flawless Rose Gold Clasps', 'Normal/StandardItem', '99', '0', '0', '0', '2025', '61346', '9021', '2', '0', '0', '0', '0', '80', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011178', 'Mailbreaker Blade', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9001', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011179', 'Avenger Grips', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9001', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011180', 'Rampager Head', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9001', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011181', 'Obelisk Head', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9001', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011182', 'Sarnga Limb', 'Normal/StandardItem', '99', '0', '0', '0', '612', '61346', '9001', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011183', 'Suspended Trillium Flower', 'Normal/StandardItem', '99', '0', '0', '0', '489', '61346', '9001', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011184', 'Astrolabe Clinometer', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9001', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011185', 'Vanya Silk Hat Lining', 'Normal/StandardItem', '99', '0', '0', '0', '489', '61346', '9006', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011186', 'Vanya Silk Robe Lining', 'Normal/StandardItem', '99', '0', '0', '0', '489', '61346', '9006', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011187', 'Vanya Silk Glove Lining', 'Normal/StandardItem', '99', '0', '0', '0', '489', '61346', '9006', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011188', 'Vanya Silk Crakow Lining', 'Normal/StandardItem', '99', '0', '0', '0', '489', '61346', '9006', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011189', 'Gryphonskin Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '510', '61346', '9020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011190', 'Gryphonskin Shin Guards', 'Normal/StandardItem', '99', '0', '0', '0', '510', '61346', '9020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011191', 'Gryphonskin Elbow Pads', 'Normal/StandardItem', '99', '0', '0', '0', '510', '61346', '9020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011192', 'Gryphonskin Knee Pads', 'Normal/StandardItem', '99', '0', '0', '0', '510', '61346', '9020', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011193', 'Darksteel Breastplate', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9021', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011194', 'Darksteel Gauntlet Plates', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9021', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011195', 'Darksteel Couters', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9021', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011196', 'Rose Gold Clasps', 'Normal/StandardItem', '99', '0', '0', '0', '1275', '61346', '9021', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011197', 'Light Kidney Ore', 'Normal/StandardItem', '99', '0', '0', '0', '138', '60085', '4002', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011198', 'Young Indigo Herring', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60695', '2031', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011199', 'Supple Spruce Branch', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60455', '4023', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011200', 'Militia Bow', 'Normal/StandardItem', '99', '0', '0', '0', '6440', '70350', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011201', 'Militia Sword', 'Normal/StandardItem', '99', '0', '0', '0', '4784', '70018', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011202', 'Militia Helm', 'Normal/StandardItem', '99', '0', '0', '0', '7728', '80606', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011203', 'Militia Gorget', 'Normal/StandardItem', '99', '0', '0', '0', '3128', '61035', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011204', 'Militia Longboots', 'Normal/StandardItem', '99', '0', '0', '0', '3422', '80297', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011205', 'Militia Leggings', 'Normal/StandardItem', '99', '0', '0', '0', '4140', '82399', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011206', 'Militia Poultice', 'Normal/StandardItem', '99', '0', '0', '0', '287', '60020', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011207', 'Militia Rations', 'Normal/StandardItem', '99', '0', '0', '0', '151', '60700', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011208', 'Stiperstone', 'Normal/StandardItem', '99', '0', '0', '0', '138', '60477', '4002', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011209', 'Resin', 'Normal/StandardItem', '99', '0', '0', '0', '588', '61393', '4026', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011210', 'Navigator\'s Ear', 'Normal/StandardItem', '99', '0', '0', '0', '220', '60700', '2031', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011211', 'Miser\'s Mythril', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60135', '4002', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011212', 'Alumina Salts', 'Normal/StandardItem', '99', '0', '1', '0', '0', '60468', '4004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011213', 'Copper Castrum Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60733', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011214', 'Silver Castrum Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60732', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011215', 'Gold Castrum Coffer Key', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60731', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011216', 'Sanguine Humours', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60021', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011217', 'Phlegmatic Humours', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60019', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011218', 'Melancholic Humours', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60020', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011219', 'Reinforced Pavis', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011220', 'Spiked Pavis', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011221', 'Musked Pavis', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011222', 'Blessed Pavis', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011223', 'Reinforced Decoy', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011224', 'Spiked Decoy', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011225', 'Musked Decoy', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011226', 'Blessed Decoy', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011227', 'Fortified Rations', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011228', 'Spiked Rations', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011229', 'Musked Rations', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011230', 'Blessed Rations', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011231', 'Pavis Parts (Reinforcement)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011232', 'Pavis Parts (Spikes)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011233', 'Pavis Parts (Musk)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011234', 'Pavis Parts (Blessing)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011235', 'Decoy Parts (Reinforcement)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011236', 'Decoy Parts (Spikes)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011237', 'Decoy Parts (Musk)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011238', 'Decoy Parts (Blessing)', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61346', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011239', 'Fortifying Philter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011240', 'Spiking Philter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011241', 'Musky Philter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011242', 'Sanctifying Philter', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60740', '1009', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011243', 'Wanted: Gauwyn the Gannet', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61352', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011244', 'Enchiridion', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60746', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011245', 'Allagan Band', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60924', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011246', 'Oschon\'s Finger', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61217', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011247', 'Garlean Steel Joint', 'Normal/StandardItem', '99', '0', '0', '0', '490', '61429', '4003', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011248', 'Garlean Steel Plate', 'Normal/StandardItem', '99', '0', '0', '0', '1150', '60118', '4021', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011249', 'Garlean Rubber', 'Normal/StandardItem', '99', '0', '0', '0', '441', '60740', '4026', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011250', 'Garlean Fiber', 'Normal/StandardItem', '99', '0', '0', '0', '419', '60467', '4005', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011251', 'Commemorative Coin', 'Normal/StandardItem', '1', '1', '1', '0', '0', '60745', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011252', 'Unsealed Memorandum', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61352', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011253', 'Bombard Ash', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60448', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10011254', 'Deaspected Cluster', 'Normal/StandardItem', '99', '0', '0', '0', '102', '61741', '1006', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012001', 'Archon Egg', 'Normal/StandardItem', '1', '1', '0', '0', '33', '61581', '1017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012002', 'Colored Archon Egg', 'Normal/StandardItem', '1', '1', '0', '0', '63', '61582', '1017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012003', 'Painted Archon Egg', 'Normal/StandardItem', '1', '1', '0', '0', '93', '61583', '1017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012004', 'Darkened Archon Egg', 'Normal/StandardItem', '1', '1', '0', '0', '123', '61584', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012005', 'Wind Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61587', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012006', 'Lightning Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61589', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012007', 'Fire Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61585', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012008', 'Earth Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61588', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012009', 'Ice Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61586', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012010', 'Water Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61590', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012011', 'Astral Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '4', '61591', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012012', 'Umbral Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '4', '61592', '1017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012013', 'Deaspected Crystal', 'Normal/StandardItem', '99', '0', '0', '0', '22', '61593', '1006', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012014', 'Red Bombard Ash', 'Normal/StandardItem', '99', '0', '0', '0', '1', '61610', '4026', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012015', 'Blue Bombard Ash', 'Normal/StandardItem', '99', '0', '0', '0', '1', '61611', '4026', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012016', 'Green Bombard Ash', 'Normal/StandardItem', '99', '0', '0', '0', '1', '61612', '4026', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012017', 'Black Bombard Ash', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60083', '4026', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012018', 'Red Lion', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61613', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012019', 'Blue Spinner', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61614', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012020', 'Green Comet', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61615', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012021', 'Azeyma\'s Candle', 'Normal/StandardItem', '1', '1', '1', '0', '0', '61616', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012022', 'Motley Egg', 'Normal/StandardItem', '1', '1', '0', '0', '60', '61710', '1017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012023', 'Odd Egg', 'Normal/StandardItem', '99', '0', '1', '0', '0', '61213', '1017', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012024', 'Red Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61585', '1017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012025', 'Blue Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61586', '1017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012026', 'Green Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61587', '1017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012027', 'Yellow Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61588', '1017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012028', 'Violet Archon Egg', 'Normal/StandardItem', '99', '0', '0', '0', '2', '61589', '1017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10012029', 'Faded Page', 'Normal/StandardItem', '99', '0', '0', '0', '1', '60751', '1009', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013001', 'Grade 1 Dark Matter', 'Normal/StandardItem', '99', '0', '0', '0', '6', '61604', '1013', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013002', 'Grade 2 Dark Matter', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61605', '1013', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013003', 'Grade 3 Dark Matter', 'Normal/StandardItem', '99', '0', '0', '0', '26', '61606', '1013', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013004', 'Grade 4 Dark Matter', 'Normal/StandardItem', '99', '0', '0', '0', '36', '61607', '1013', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013005', 'Grade 5 Dark Matter', 'Normal/StandardItem', '99', '0', '0', '0', '46', '61608', '1013', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013006', 'Carbonized Matter', 'Normal/StandardItem', '99', '0', '0', '0', '9', '61660', '1013', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013007', 'Petrified Matter', 'Normal/StandardItem', '99', '0', '0', '0', '29', '61660', '1013', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013008', 'Fossilized Matter', 'Normal/StandardItem', '99', '0', '0', '0', '39', '61660', '1013', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013009', 'Crystallized Matter', 'Normal/StandardItem', '99', '0', '0', '0', '44', '61660', '1013', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013010', 'Germinated Matter', 'Normal/StandardItem', '99', '0', '0', '0', '9', '61660', '1013', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013011', 'Decayed Matter', 'Normal/StandardItem', '99', '0', '0', '0', '29', '61660', '1013', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013012', 'Decomposed Matter', 'Normal/StandardItem', '99', '0', '0', '0', '39', '61660', '1013', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013013', 'Liquefied Matter', 'Normal/StandardItem', '99', '0', '0', '0', '44', '61660', '1013', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013014', 'Calcified Matter', 'Normal/StandardItem', '99', '0', '0', '0', '9', '61660', '1013', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013015', 'Cultured Matter', 'Normal/StandardItem', '99', '0', '0', '0', '29', '61660', '1013', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013016', 'Ossified Matter', 'Normal/StandardItem', '99', '0', '0', '0', '39', '61660', '1013', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10013017', 'Cretified Matter', 'Normal/StandardItem', '99', '0', '0', '0', '44', '61660', '1013', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100001', 'Bloodthirst Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61628', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100002', 'Bloodthirst Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61629', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100003', 'Bloodthirst Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61630', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100004', 'Bloodthirst Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61631', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100005', 'Manathirst Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61628', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100006', 'Manathirst Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61629', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100007', 'Manathirst Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61630', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100008', 'Manathirst Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61631', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100009', 'Lifethirst Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61628', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100010', 'Lifethirst Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61629', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100011', 'Lifethirst Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61630', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100012', 'Lifethirst Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61631', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100013', 'Strength Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100014', 'Strength Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100015', 'Strength Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100016', 'Strength Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100017', 'Vitality Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100018', 'Vitality Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100019', 'Vitality Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100020', 'Vitality Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100021', 'Dexterity Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100022', 'Dexterity Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100023', 'Dexterity Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100024', 'Dexterity Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100025', 'Intelligence Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100026', 'Intelligence Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100027', 'Intelligence Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100028', 'Intelligence Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100029', 'Mind Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100030', 'Mind Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100031', 'Mind Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100032', 'Mind Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100033', 'Piety Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100034', 'Piety Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100035', 'Piety Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100036', 'Piety Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100037', 'Ironman\'s Will Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100038', 'Ironman\'s Will Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100039', 'Ironman\'s Will Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100040', 'Ironman\'s Will Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100041', 'Swordsman\'s Cry Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100042', 'Swordsman\'s Cry Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100043', 'Swordsman\'s Cry Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100044', 'Swordsman\'s Cry Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100045', 'Watchman\'s Vigil Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100046', 'Watchman\'s Vigil Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100047', 'Watchman\'s Vigil Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100048', 'Watchman\'s Vigil Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100049', 'Loresman\'s Wit Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100050', 'Loresman\'s Wit Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100051', 'Loresman\'s Wit Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100052', 'Loresman\'s Wit Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100053', 'Wise Man\'s Vision Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100054', 'Wise Man\'s Vision Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100055', 'Wise Man\'s Vision Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100056', 'Wise Man\'s Vision Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100057', 'Vestryman\'s Faith Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61652', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100058', 'Vestryman\'s Faith Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61653', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100059', 'Vestryman\'s Faith Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61654', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100060', 'Vestryman\'s Faith Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61655', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100061', 'Fire Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100062', 'Fire Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100063', 'Fire Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100064', 'Fire Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100065', 'Ice Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100066', 'Ice Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100067', 'Ice Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100068', 'Ice Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100069', 'Wind Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100070', 'Wind Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100071', 'Wind Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100072', 'Wind Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100073', 'Earth Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100074', 'Earth Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100075', 'Earth Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100076', 'Earth Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100077', 'Lightning Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100078', 'Lightning Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100079', 'Lightning Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100080', 'Lightning Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100081', 'Water Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100082', 'Water Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100083', 'Water Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100084', 'Water Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100085', 'Fire Veil Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100086', 'Fire Veil Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100087', 'Fire Veil Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100088', 'Fire Veil Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100089', 'Ice Veil Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100090', 'Ice Veil Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100091', 'Ice Veil Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100092', 'Ice Veil Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100093', 'Wind Veil Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100094', 'Wind Veil Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100095', 'Wind Veil Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100096', 'Wind Veil Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100097', 'Earth Veil Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100098', 'Earth Veil Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100099', 'Earth Veil Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100100', 'Earth Veil Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100101', 'Lightning Veil Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100102', 'Lightning Veil Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100103', 'Lightning Veil Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100104', 'Lightning Veil Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100105', 'Water Veil Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100106', 'Water Veil Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100107', 'Water Veil Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100108', 'Water Veil Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100109', 'Heavens\' Fist Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100110', 'Heavens\' Fist Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100111', 'Heavens\' Fist Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100112', 'Heavens\' Fist Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100113', 'Heavens\' Eye Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100114', 'Heavens\' Eye Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100115', 'Heavens\' Eye Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100116', 'Heavens\' Eye Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100117', 'Hells\' Fist Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100118', 'Hells\' Fist Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100119', 'Hells\' Fist Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100120', 'Hells\' Fist Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100121', 'Hells\' Eye Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100122', 'Hells\' Eye Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100123', 'Hells\' Eye Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100124', 'Hells\' Eye Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100125', 'Savage Aim Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100126', 'Savage Aim Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100127', 'Savage Aim Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100128', 'Savage Aim Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100129', 'Savage Might Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100130', 'Savage Might Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100131', 'Savage Might Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100132', 'Savage Might Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100133', 'Sagacious Aim Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100134', 'Sagacious Aim Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100135', 'Sagacious Aim Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100136', 'Sagacious Aim Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100137', 'Sagacious Might Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100138', 'Sagacious Might Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100139', 'Sagacious Might Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100140', 'Sagacious Might Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100141', 'Battledance Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61632', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100142', 'Battledance Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61633', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100143', 'Battledance Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61634', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100144', 'Battledance Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61635', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100145', 'Gatherer\'s Guerdon Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61624', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100146', 'Gatherer\'s Guerdon Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61625', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100147', 'Gatherer\'s Guerdon Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61626', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100148', 'Gatherer\'s Guerdon Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61627', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100149', 'Gatherer\'s Guile Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61624', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100150', 'Gatherer\'s Guile Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61625', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100151', 'Gatherer\'s Guile Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61626', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100152', 'Gatherer\'s Guile Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61627', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100153', 'Gatherer\'s Grasp Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61624', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100154', 'Gatherer\'s Grasp Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61625', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100155', 'Gatherer\'s Grasp Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61626', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100156', 'Gatherer\'s Grasp Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61627', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100157', 'Craftsman\'s Competence Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61624', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100158', 'Craftsman\'s Competence Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61625', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100159', 'Craftsman\'s Competence Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61626', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100160', 'Craftsman\'s Competence Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61627', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100161', 'Craftsman\'s Cunning Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61624', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100162', 'Craftsman\'s Cunning Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61625', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100163', 'Craftsman\'s Cunning Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61626', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100164', 'Craftsman\'s Cunning Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61627', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100165', 'Craftsman\'s Command Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61624', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100166', 'Craftsman\'s Command Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61625', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100167', 'Craftsman\'s Command Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61626', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100168', 'Craftsman\'s Command Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61627', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013008', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100169', 'Bloodflight Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61632', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100170', 'Bloodflight Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61633', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100171', 'Bloodflight Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61634', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100172', 'Bloodflight Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61635', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100173', 'Manaflight Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100174', 'Manaflight Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100175', 'Manaflight Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100176', 'Manaflight Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100177', 'Bloodwall Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61632', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100178', 'Bloodwall Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61633', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100179', 'Bloodwall Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61634', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100180', 'Bloodwall Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61635', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100181', 'Manawall Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100182', 'Manawall Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100183', 'Manawall Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100184', 'Manawall Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100185', 'Cactuar Foot Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100186', 'Cactuar Foot Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100187', 'Cactuar Foot Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100188', 'Cactuar Foot Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100189', 'Wyvern Skin Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100190', 'Wyvern Skin Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100191', 'Wyvern Skin Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100192', 'Wyvern Skin Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100193', 'Bomb Blood Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100194', 'Bomb Blood Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100195', 'Bomb Blood Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100196', 'Bomb Blood Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100197', 'Pixie Tongue Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100198', 'Pixie Tongue Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100199', 'Pixie Tongue Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100200', 'Pixie Tongue Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100201', 'Coeurl Eye Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100202', 'Coeurl Eye Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100203', 'Coeurl Eye Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100204', 'Coeurl Eye Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100205', 'Aurelia Kiss Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100206', 'Aurelia Kiss Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100207', 'Aurelia Kiss Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100208', 'Aurelia Kiss Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100209', 'Bison Hoof Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100210', 'Bison Hoof Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100211', 'Bison Hoof Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100212', 'Bison Hoof Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100213', 'Funguar Shriek Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100214', 'Funguar Shriek Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100215', 'Funguar Shriek Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100216', 'Funguar Shriek Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100217', 'Treant Root Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100218', 'Treant Root Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100219', 'Treant Root Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100220', 'Treant Root Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100221', 'Chocobo Down Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100222', 'Chocobo Down Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100223', 'Chocobo Down Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100224', 'Chocobo Down Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100225', 'Ahriman Gaze Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61636', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100226', 'Ahriman Gaze Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61637', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100227', 'Ahriman Gaze Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61638', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100228', 'Ahriman Gaze Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61639', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013012', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100229', 'Bloodflow Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61628', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100230', 'Bloodflow Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61629', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100231', 'Bloodflow Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61630', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100232', 'Bloodflow Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61631', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100233', 'Manaflow Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61628', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100234', 'Manaflow Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61629', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100235', 'Manaflow Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61630', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100236', 'Manaflow Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61631', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100237', 'Mettleflow Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100238', 'Mettleflow Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100239', 'Mettleflow Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100240', 'Mettleflow Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100241', 'Touch of Rage Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61648', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100242', 'Touch of Rage Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61649', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100243', 'Touch of Rage Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61650', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100244', 'Touch of Rage Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61651', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100245', 'Touch of Serenity Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61648', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100246', 'Touch of Serenity Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61649', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100247', 'Touch of Serenity Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61650', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100248', 'Touch of Serenity Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61651', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100249', 'Everspike Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100250', 'Everspike Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100251', 'Everspike Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100252', 'Everspike Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100253', 'Soldier\'s Step Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61648', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100254', 'Soldier\'s Step Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61649', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100255', 'Soldier\'s Step Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61650', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100256', 'Soldier\'s Step Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61651', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100257', 'Sorcerer\'s Step Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100258', 'Sorcerer\'s Step Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100259', 'Sorcerer\'s Step Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100260', 'Sorcerer\'s Step Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100261', 'Sprinter\'s Step Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61648', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100262', 'Sprinter\'s Step Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61649', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100263', 'Sprinter\'s Step Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61650', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100264', 'Sprinter\'s Step Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61651', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100265', 'Savant\'s Step Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61648', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100266', 'Savant\'s Step Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61649', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100267', 'Savant\'s Step Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61650', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100268', 'Savant\'s Step Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61651', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100269', 'Healer\'s Hand Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100270', 'Healer\'s Hand Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100271', 'Healer\'s Hand Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100272', 'Healer\'s Hand Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100273', 'Breath of Fire Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100274', 'Breath of Fire Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100275', 'Breath of Fire Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100276', 'Breath of Fire Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100277', 'Breath of Ice Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100278', 'Breath of Ice Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100279', 'Breath of Ice Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100280', 'Breath of Ice Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100281', 'Breath of Wind Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100282', 'Breath of Wind Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100283', 'Breath of Wind Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100284', 'Breath of Wind Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100285', 'Breath of Earth Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100286', 'Breath of Earth Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100287', 'Breath of Earth Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100288', 'Breath of Earth Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100289', 'Breath of Lightning Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100290', 'Breath of Lightning Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100291', 'Breath of Lightning Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100292', 'Breath of Lightning Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100293', 'Breath of Water Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61656', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100294', 'Breath of Water Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61657', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100295', 'Breath of Water Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61658', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100296', 'Breath of Water Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61659', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100297', 'Bloodbringer Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100298', 'Bloodbringer Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100299', 'Bloodbringer Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100300', 'Bloodbringer Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100301', 'Manabringer Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100302', 'Manabringer Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100303', 'Manabringer Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100304', 'Manabringer Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100305', 'Mettlebringer Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100306', 'Mettlebringer Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100307', 'Mettlebringer Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100308', 'Mettlebringer Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100309', 'Mana Martyr Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100310', 'Mana Martyr Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100311', 'Mana Martyr Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100312', 'Mana Martyr Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100313', 'Mettle Martyr Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61632', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100314', 'Mettle Martyr Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61633', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100315', 'Mettle Martyr Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61634', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100316', 'Mettle Martyr Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61635', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100317', 'Byregot\'s Hammer Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61648', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100318', 'Byregot\'s Hammer Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61649', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100319', 'Byregot\'s Hammer Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61650', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100320', 'Byregot\'s Hammer Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61651', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100321', 'Menphina\'s Whisper Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61648', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100322', 'Menphina\'s Whisper Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61649', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100323', 'Menphina\'s Whisper Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61650', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100324', 'Menphina\'s Whisper Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61651', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100325', 'Sanguinary Might Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100326', 'Sanguinary Might Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100327', 'Sanguinary Might Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100328', 'Sanguinary Might Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013017', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100329', 'Stellar Might Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100330', 'Stellar Might Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100331', 'Stellar Might Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100332', 'Stellar Might Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100333', 'Sound of Serenity Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100334', 'Sound of Serenity Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100335', 'Sound of Serenity Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100336', 'Sound of Serenity Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100337', 'Sound of Certainty Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100338', 'Sound of Certainty Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100339', 'Sound of Certainty Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100340', 'Sound of Certainty Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100341', 'Sound of Suffering Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61620', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013010', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100342', 'Sound of Suffering Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61621', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013011', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100343', 'Sound of Suffering Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61622', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100344', 'Sound of Suffering Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61623', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013013', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100345', 'Swiftwall Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61632', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013006', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100346', 'Swiftwall Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61633', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013007', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100347', 'Swiftwall Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61634', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100348', 'Swiftwall Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61635', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013009', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100349', 'Evenflow Materia I', 'Normal/MateriaItem', '99', '0', '0', '0', '36', '61640', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013014', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100350', 'Evenflow Materia II', 'Normal/MateriaItem', '99', '0', '0', '0', '384', '61641', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013015', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100351', 'Evenflow Materia III', 'Normal/MateriaItem', '99', '0', '0', '0', '672', '61642', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100352', 'Evenflow Materia IV', 'Normal/MateriaItem', '99', '0', '0', '0', '840', '61643', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '10013016', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100353', '[en]', 'Normal/MateriaItem', '99', '0', '0', '0', '364', '60000', '1007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100354', '[en]', 'Normal/MateriaItem', '99', '0', '0', '0', '364', '60000', '1007', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100355', '[en]', 'Normal/MateriaItem', '99', '0', '0', '0', '364', '60000', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10100356', '[en]', 'Normal/MateriaItem', '99', '0', '0', '0', '364', '60000', '1007', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300001', 'Bronze Spearhead', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61407', '9002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300002', 'Iron Spearhead', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61407', '9002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300003', 'Bone Harpoon Head', 'Normal/StandardItem', '99', '0', '0', '0', '330', '61407', '9002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300004', 'Fang Harpoon Head', 'Normal/StandardItem', '99', '0', '0', '0', '630', '61407', '9002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300005', 'Yarzonshell Harpoon Head', 'Normal/StandardItem', '99', '0', '0', '0', '1230', '61407', '9002', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300006', 'Tortoiseshell Harpoon Head', 'Normal/StandardItem', '99', '0', '0', '0', '930', '61407', '9002', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300007', 'Iron Halberd Head', 'Normal/StandardItem', '99', '0', '0', '0', '650', '61407', '9002', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300008', 'Iron Lance Head', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61407', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300009', 'Heavy Iron Lance Head', 'Normal/StandardItem', '99', '0', '0', '0', '625', '61407', '9002', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300010', 'Iron Guisarme Head', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61407', '9002', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300011', 'Bronze War Axe Head', 'Normal/StandardItem', '99', '0', '0', '0', '300', '61406', '9002', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300012', 'Iron War Axe Head', 'Normal/StandardItem', '99', '0', '0', '0', '550', '61406', '9002', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300013', 'Storm Axe Head', 'Normal/StandardItem', '99', '0', '0', '0', '625', '61406', '9002', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300014', 'Bronze Labrys Head', 'Normal/StandardItem', '99', '0', '0', '0', '325', '61406', '9002', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300015', 'Iron Labrys Head', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61406', '9002', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300016', 'Iron Bhuj Head', 'Normal/StandardItem', '99', '0', '0', '0', '675', '61406', '9002', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300017', 'Bronze Bardiche Head', 'Normal/StandardItem', '99', '0', '0', '0', '450', '61406', '9002', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300018', 'Bronze Gladius Blade', 'Normal/StandardItem', '99', '0', '0', '0', '200', '61408', '9002', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300019', 'Brass Gladius Blade', 'Normal/StandardItem', '99', '0', '0', '0', '325', '61408', '9002', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300020', 'Iron Gladius Blade', 'Normal/StandardItem', '99', '0', '0', '0', '450', '61408', '9002', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300021', 'Bronze Spatha Blade', 'Normal/StandardItem', '99', '0', '0', '0', '250', '61408', '9002', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300022', 'Iron Spatha Blade', 'Normal/StandardItem', '99', '0', '0', '0', '500', '61408', '9002', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300023', 'Iron Shortsword Blade', 'Normal/StandardItem', '99', '0', '0', '0', '550', '61408', '9002', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300024', 'Iron Longsword Blade', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61408', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300025', 'Falchion Blade', 'Normal/StandardItem', '99', '0', '0', '0', '675', '61408', '9002', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300026', 'Toothed Falchion Blade', 'Normal/StandardItem', '99', '0', '0', '0', '725', '61408', '9002', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300027', 'Bronze Dagger Blade', 'Normal/StandardItem', '99', '0', '0', '0', '250', '61408', '9002', '1', '0', '0', '0', '0', '9', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300028', 'Brass Dagger Blade', 'Normal/StandardItem', '99', '0', '0', '0', '375', '61408', '9002', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300029', 'Iron Dagger Blade', 'Normal/StandardItem', '99', '0', '0', '0', '500', '61408', '9002', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300030', 'Leather Knuckle Guards', 'Normal/StandardItem', '99', '0', '0', '0', '220', '61346', '9002', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300031', 'Boarskin Himantes Covers', 'Normal/StandardItem', '99', '0', '0', '0', '320', '61346', '9002', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300032', 'Dodoskin Cesti Covers', 'Normal/StandardItem', '99', '0', '0', '0', '170', '61346', '9002', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300033', 'Peiste Skin Cesti Covers', 'Normal/StandardItem', '99', '0', '0', '0', '370', '61346', '9002', '1', '0', '0', '0', '0', '36', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300034', 'Nakki Skin Cesti Covers', 'Normal/StandardItem', '99', '0', '0', '0', '270', '61346', '9002', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300035', 'Baghnakh Talons', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61346', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300036', 'Bronze Javelin Head', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61407', '9002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300037', 'Brass Javelin Head', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61407', '9002', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300038', 'Iron Javelin Head', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61407', '9002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300039', 'Silver Javelin Head', 'Normal/StandardItem', '99', '0', '0', '0', '650', '61407', '9002', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300040', 'Bronze Francisca Head', 'Normal/StandardItem', '99', '0', '0', '0', '300', '61406', '9002', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300041', 'Brass Francisca Head', 'Normal/StandardItem', '99', '0', '0', '0', '425', '61406', '9002', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300042', 'Iron Francisca Head', 'Normal/StandardItem', '99', '0', '0', '0', '550', '61406', '9002', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300043', 'Silver Francisca Head', 'Normal/StandardItem', '99', '0', '0', '0', '675', '61406', '9002', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300044', 'Iron Bill Head', 'Normal/StandardItem', '99', '0', '0', '0', '1000', '61406', '9002', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300045', 'Bloody Lance Head', 'Normal/StandardItem', '99', '0', '0', '0', '1050', '61407', '9002', '1', '0', '0', '0', '0', '41', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10300046', 'Bloody Bardiche Head', 'Normal/StandardItem', '99', '0', '0', '0', '1075', '61406', '9002', '1', '0', '0', '0', '0', '42', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301001', 'Bronze Cross-pein Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301002', 'Iron Cross-pein Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301003', 'Birdsbeak Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '325', '61346', '9002', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301004', 'Crowsbeak Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61346', '9002', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301005', 'Bronze Saw Blade', 'Normal/StandardItem', '99', '0', '0', '0', '350', '61346', '9002', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301006', 'Iron Saw Blade', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61346', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301007', 'Bronze Claw Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '325', '61346', '9002', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301008', 'Iron Claw Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61346', '9002', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301009', 'Bronze Doming Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301010', 'Iron Doming Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301011', 'Bronze Raising Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '300', '61346', '9002', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301012', 'Iron Raising Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '550', '61346', '9002', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301013', 'Bronze Chaser Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '350', '61346', '9002', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301014', 'Iron Chaser Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61346', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301015', 'Ornamental Bronze Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '375', '61346', '9002', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301016', 'Ornamental Iron Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '625', '61346', '9002', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301017', 'Mudstone Wheel', 'Normal/StandardItem', '99', '0', '0', '0', '375', '61346', '9002', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301018', 'Ragstone Wheel', 'Normal/StandardItem', '99', '0', '0', '0', '625', '61346', '9002', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301019', 'Bronze Culinary Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301020', 'Iron Culinary Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301021', 'Bronze Head Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9002', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301022', 'Brass Head Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61346', '9002', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301023', 'Iron Head Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9002', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301024', 'Iron Round Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61346', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301025', 'Bronze Pickaxe Head', 'Normal/StandardItem', '99', '0', '0', '0', '350', '61346', '9002', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301026', 'Iron Pickaxe Head', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61346', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301027', 'Bronze Sledgehammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '325', '61346', '9002', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301028', 'Iron Sledgehammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61346', '9002', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301029', 'Bronze Hatchet Head', 'Normal/StandardItem', '99', '0', '0', '0', '325', '61346', '9002', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301030', 'Brass Hatchet Head', 'Normal/StandardItem', '99', '0', '0', '0', '450', '61346', '9002', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301031', 'Iron Hatchet Head', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61346', '9002', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301032', 'Bronze Scythe Blade', 'Normal/StandardItem', '99', '0', '0', '0', '350', '61346', '9002', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301033', 'Iron Scythe Blade', 'Normal/StandardItem', '99', '0', '0', '0', '600', '61346', '9002', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301034', 'Bronze Gig Head', 'Normal/StandardItem', '99', '0', '0', '0', '300', '61346', '9002', '1', '0', '0', '0', '0', '11', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301035', 'Iron Gig Head', 'Normal/StandardItem', '99', '0', '0', '0', '550', '61346', '9002', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301036', 'Steel Saw Blade', 'Normal/StandardItem', '99', '0', '0', '0', '850', '61346', '9002', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301037', 'Steel Claw Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '850', '61346', '9002', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301038', 'Steel Chaser Hammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '850', '61346', '9002', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301039', 'Siltstone Wheel', 'Normal/StandardItem', '99', '0', '0', '0', '875', '61346', '9002', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301040', 'Steel Round Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '650', '61346', '9002', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301041', 'Mythril Culinary Knife Blade', 'Normal/StandardItem', '99', '0', '0', '0', '1025', '61346', '9002', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301042', 'Mythril Sledgehammer Head', 'Normal/StandardItem', '99', '0', '0', '0', '950', '61346', '9002', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301043', 'Steel Hatchet Head', 'Normal/StandardItem', '99', '0', '0', '0', '825', '61346', '9002', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301044', 'Steel Scythe Blade', 'Normal/StandardItem', '99', '0', '0', '0', '850', '61346', '9002', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10301045', 'Steel Gig Head', 'Normal/StandardItem', '99', '0', '0', '0', '800', '61346', '9002', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302001', 'Maple Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61351', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302002', 'Ash Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61351', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302003', 'Elm Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61351', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302004', 'Oak Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '396', '61351', '9004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302005', 'Cedar Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61351', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302006', 'Chestnut Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '300', '61351', '9004', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302007', 'Walnut Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '228', '61351', '9004', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302008', 'Pine Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '348', '61351', '9004', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302009', 'Bone Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61346', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302010', 'Horn Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61346', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302011', 'Aldgoat Horn Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '312', '61346', '9004', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302012', 'Ash Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61346', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302013', 'Elm Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61346', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302014', 'Cedar Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61346', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302015', 'Chestnut Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '300', '61346', '9004', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302016', 'Pine Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '348', '61346', '9004', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302017', 'Maple Dagger Grip', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61346', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302018', 'Elm Dagger Grip', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61346', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302019', 'Maple Knife Grip', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61346', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302020', 'Ash Knife Grip', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61346', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302021', 'Maple Axe Haft', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61351', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302022', 'Ash Axe Haft', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61351', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302023', 'Elm Axe Haft', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61351', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302024', 'Cedar Axe Haft', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61351', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302025', 'Aldgoat Horn Bow Grip', 'Normal/StandardItem', '99', '0', '0', '0', '312', '61346', '9004', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302026', 'Bronze Himantes Grips', 'Normal/StandardItem', '99', '0', '0', '0', '33', '61346', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302027', 'Brass Himantes Grips', 'Normal/StandardItem', '99', '0', '0', '0', '48', '61346', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302028', 'Iron Himantes Grips', 'Normal/StandardItem', '99', '0', '0', '0', '63', '61346', '9004', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302029', 'Elm Baghnakh Grips', 'Normal/StandardItem', '99', '0', '0', '0', '45', '61346', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302030', 'Cedar Javelin Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '48', '61351', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302031', 'Ash Francisca Haft', 'Normal/StandardItem', '99', '0', '0', '0', '51', '61351', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302032', 'Ram Horn Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '156', '61346', '9004', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302101', 'Ash Hammer Grip', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61346', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302102', 'Maple Hammer Grip', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61346', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302103', 'Walnut Hammer Grip', 'Normal/StandardItem', '99', '0', '0', '0', '228', '61346', '9004', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302104', 'Elm Hammer Grip', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61346', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302105', 'Oak Hammer Grip', 'Normal/StandardItem', '99', '0', '0', '0', '396', '61346', '9004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302106', 'Cedar Hammer Grip', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61346', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302107', 'Ash Saw Grip', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61346', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302108', 'Elm Saw Grip', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61346', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302109', 'Maple Head Knife Grip', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61346', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302110', 'Ash Head Knife Grip', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61346', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302111', 'Chestnut Head Knife Grip', 'Normal/StandardItem', '99', '0', '0', '0', '300', '61346', '9004', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302112', 'Cedar Skillet Handle', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61346', '9004', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302113', 'Pine Skillet Handle', 'Normal/StandardItem', '99', '0', '0', '0', '348', '61346', '9004', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302114', 'Maple Pickaxe Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61351', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302115', 'Ash Pickaxe Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61351', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302116', 'Elm Pickaxe Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61351', '9004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302117', 'Maple Sledgehammer Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61351', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302118', 'Ash Sledgehammer Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61351', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302119', 'Elm Sledgehammer Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61351', '9004', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302120', 'Maple Hatchet Haft', 'Normal/StandardItem', '99', '0', '0', '0', '132', '61351', '9004', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302121', 'Elm Hatchet Haft', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61351', '9004', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302122', 'Ash Hatchet Haft', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61351', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302123', 'Pine Hatchet Haft', 'Normal/StandardItem', '99', '0', '0', '0', '348', '61351', '9004', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302124', 'Ash Scythe Snead', 'Normal/StandardItem', '99', '0', '0', '0', '204', '61351', '9004', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302125', 'Walnut Saw Grip', 'Normal/StandardItem', '99', '0', '0', '0', '228', '61346', '9004', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302126', 'Oak Head Knife Grip', 'Normal/StandardItem', '99', '0', '0', '0', '396', '61346', '9004', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302127', 'Mahogany Knife Grip', 'Normal/StandardItem', '99', '0', '0', '0', '492', '61346', '9004', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302128', 'Pine Sledgehammer Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '348', '61351', '9004', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302129', 'Walnut Hatchet Haft', 'Normal/StandardItem', '99', '0', '0', '0', '228', '61351', '9004', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302130', 'Pine Dagger Grip', 'Normal/StandardItem', '99', '0', '0', '0', '276', '61346', '9004', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302131', 'Ogre Horn Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '468', '61346', '9004', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302132', 'Buffalo Horn Sword Grip', 'Normal/StandardItem', '99', '0', '0', '0', '588', '61346', '9004', '1', '0', '0', '0', '0', '48', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10302133', 'Mahogany Spear Shaft', 'Normal/StandardItem', '99', '0', '0', '0', '324', '61351', '9004', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303001', 'Bronze Spear Clasp', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9001', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303002', 'Brass Spear Clasp', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61346', '9001', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303003', 'Iron Spear Clasp', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9001', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303004', 'Sheep Leather Swordguard', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61346', '9001', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303005', 'Sheep Leather Swordguard (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61346', '9001', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303006', 'Dodo Leather Swordguard', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61346', '9001', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303007', 'Leather Swordguard (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61346', '9001', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303008', 'Brass Crossguard', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61346', '9001', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303009', 'Iron Crossguard', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9001', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303010', 'Darksilver Crossguard', 'Normal/StandardItem', '99', '0', '0', '0', '725', '61346', '9001', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303011', 'Bronze Axe Ferrule', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9001', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303012', 'Iron Axe Ferrule', 'Normal/StandardItem', '99', '0', '0', '0', '650', '61346', '9001', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303013', 'Baghnakh Frame', 'Normal/StandardItem', '99', '0', '0', '0', '50', '61346', '9001', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303014', 'Feather Clasp', 'Normal/StandardItem', '99', '0', '0', '0', '50', '61346', '9001', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303015', 'Steel Spear Clasp', 'Normal/StandardItem', '99', '0', '0', '0', '900', '61346', '9001', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303101', 'Bronze Spear Butt', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9003', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303102', 'Brass Spear Butt', 'Normal/StandardItem', '99', '0', '0', '0', '50', '61346', '9003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303103', 'Iron Spear Butt', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303104', 'Iron Halberd Butt', 'Normal/StandardItem', '99', '0', '0', '0', '50', '61346', '9003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303105', 'Iron Lance Butt', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303106', 'Bone Harpoon Butt', 'Normal/StandardItem', '99', '0', '0', '0', '180', '61346', '9003', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303107', 'Yarzonshell Harpoon Butt', 'Normal/StandardItem', '99', '0', '0', '0', '930', '61346', '9003', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303108', 'Tortoiseshell Harpoon Butt', 'Normal/StandardItem', '99', '0', '0', '0', '630', '61346', '9003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303109', 'Bronze Axe Butt', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9003', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303110', 'Iron Axe Butt', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303111', 'Silver Axe Butt', 'Normal/StandardItem', '99', '0', '0', '0', '650', '61346', '9003', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303112', 'Bronze Pommel', 'Normal/StandardItem', '99', '0', '0', '0', '50', '61346', '9003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303113', 'Brass Pommel', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61346', '9003', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303114', 'Iron Pommel', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303115', 'Darksilver Pommel', 'Normal/StandardItem', '99', '0', '0', '0', '725', '61346', '9003', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303116', 'Bronze Hammer Butt', 'Normal/StandardItem', '99', '0', '0', '0', '50', '61346', '9003', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303117', 'Bronze Sledgehammer Butt', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9003', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303118', 'Iron Sledgehammer Butt', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9003', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303119', 'Mythril Sledgehammer Butt', 'Normal/StandardItem', '99', '0', '0', '0', '1150', '61346', '9003', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303201', 'Hempen Bowstring', 'Normal/StandardItem', '99', '0', '0', '0', '86', '60740', '9001', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303202', 'Linen Bowstring', 'Normal/StandardItem', '99', '0', '0', '0', '374', '60740', '9001', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303203', 'Antelope Sinew Bowstring', 'Normal/StandardItem', '99', '0', '0', '0', '182', '60740', '9001', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303204', 'Hippocerf Sinew Bowstring', 'Normal/StandardItem', '99', '0', '0', '0', '20', '60740', '9001', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303205', 'Raptor Sinew Bowstring', 'Normal/StandardItem', '99', '0', '0', '0', '20', '60740', '9001', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303206', 'Iron Bow Nock', 'Normal/StandardItem', '99', '0', '0', '0', '15', '61346', '9001', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303207', 'Copper Sheep Bell', 'Normal/StandardItem', '99', '0', '0', '0', '150', '60817', '1018', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303208', 'Brass Sheep Bell', 'Normal/StandardItem', '99', '0', '0', '0', '400', '60815', '1018', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303209', 'Copper Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '4', '61433', '9013', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303210', 'Bronze Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '8', '61433', '9013', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303211', 'Iron Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '15', '61433', '9013', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303212', 'Silver Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '19', '61433', '9013', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303213', 'Wolf Fang Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '225', '61456', '9013', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303214', 'Bone Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '117', '61456', '9013', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303215', 'Copper Gorge Hook', 'Normal/StandardItem', '99', '0', '0', '0', '6', '61433', '9013', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303216', 'Bronze Gorge Hook', 'Normal/StandardItem', '99', '0', '0', '0', '9', '61433', '9013', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303217', 'Iron Gorge Hook', 'Normal/StandardItem', '99', '0', '0', '0', '17', '61433', '9013', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303218', 'Bronze Reel', 'Normal/StandardItem', '99', '0', '0', '0', '375', '61346', '9001', '1', '0', '0', '0', '0', '14', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303219', 'Brass Reel', 'Normal/StandardItem', '99', '0', '0', '0', '500', '61346', '9001', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303220', 'Iron Reel', 'Normal/StandardItem', '99', '0', '0', '0', '625', '61346', '9001', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303221', 'Flame Receptacle', 'Normal/StandardItem', '99', '0', '0', '0', '211', '61346', '4026', '1', '0', '0', '0', '0', '21', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303222', 'Bat Fang Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '99', '61456', '9013', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303223', 'Jackal Fang Fish Hook', 'Normal/StandardItem', '99', '0', '0', '0', '144', '61456', '9013', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303301', 'Broken Goblin Dagger', 'Normal/StandardItem', '1', '1', '0', '0', '425', '61346', '9001', '1', '0', '0', '0', '0', '16', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303302', 'Broken Goblin Gladius', 'Normal/StandardItem', '1', '1', '0', '0', '675', '61346', '9001', '1', '0', '0', '0', '0', '26', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303303', 'Broken Goblin Longsword', 'Normal/StandardItem', '1', '1', '0', '0', '800', '61346', '9001', '1', '0', '0', '0', '0', '31', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303304', 'Broken Goblin Scimitar', 'Normal/StandardItem', '1', '1', '0', '0', '875', '61346', '9001', '1', '0', '0', '0', '0', '34', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10303305', 'Broken Aeolian Scimitar', 'Normal/StandardItem', '1', '1', '0', '0', '950', '61346', '9001', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304001', 'Cock Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '11', '60875', '9014', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304002', 'Crow Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '21', '60876', '9014', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304003', 'Dodo Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60878', '9014', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304004', 'Cockatrice Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '40', '60879', '9014', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304005', 'Wildfowl Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '49', '60877', '9014', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304006', 'Condor Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '59', '60880', '9014', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304007', 'Vulture Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '69', '60880', '9014', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304008', 'Swan Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '78', '60881', '9014', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304009', 'Eagle Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '88', '60882', '9014', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304010', 'Gnat Fletchings', 'Normal/StandardItem', '99', '0', '0', '0', '36', '60876', '9014', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304101', 'Bronze Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '17', '60863', '9005', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304102', 'Iron Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '34', '60864', '9005', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304103', 'Bronze Swallowtail Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '21', '60871', '9005', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304104', 'Iron Swallowtail Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '37', '60872', '9005', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304105', 'Fang Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '14', '60857', '9005', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304106', 'Flint Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '22', '60855', '9005', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304107', 'Shell Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60857', '9005', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304108', 'Silver Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '34', '60867', '9005', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304109', 'Obsidian Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '38', '60861', '9005', '1', '0', '0', '0', '0', '23', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304110', 'White Coral Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '55', '60857', '9005', '1', '0', '0', '0', '0', '33', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304111', 'Blue Coral Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '63', '60862', '9005', '1', '0', '0', '0', '0', '38', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304112', 'Red Coral Arrowheads', 'Normal/StandardItem', '99', '0', '0', '0', '71', '60858', '9005', '1', '0', '0', '0', '0', '43', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304201', 'Arrowwood Arrow Shafts', 'Normal/StandardItem', '99', '0', '0', '0', '15', '61344', '9015', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304202', 'Ash Arrow Shafts', 'Normal/StandardItem', '99', '0', '0', '0', '24', '61344', '9015', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10304203', 'Cedar Arrow Shafts', 'Normal/StandardItem', '99', '0', '0', '0', '34', '61344', '9015', '1', '0', '0', '0', '0', '17', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305001', 'Sheepskin Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61526', '9008', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305002', 'Sheepskin Shoulder Guards (Taupe)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61527', '9008', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305003', 'Sheepskin Shoulder Guards (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61528', '9008', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305004', 'Dodoskin Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305005', 'Dodoskin Shoulder Guards (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61530', '9008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305006', 'Leather Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305007', 'Leather Shoulder Guards (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305008', 'Leather Shoulder Guards (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61533', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305009', 'Leather Shoulder Guards (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61532', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305010', 'Leather Shoulder Guards (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305011', 'Boarskin Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '310', '61538', '9008', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305012', 'Rat Fur Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '90', '61539', '9008', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305013', 'Squirrel Fur Shoulder Guards', 'Normal/StandardItem', '99', '0', '0', '0', '140', '61540', '9008', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305014', 'Cotton Shoulder Guards (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305015', 'Canvas Shoulder Guards (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305016', 'Velveteen Shoulder Guards (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9008', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305101', 'Cotton Chest Guard', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305102', 'Cotton Chest Guard (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305103', 'Cotton Chest Guard (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305104', 'Cotton Chest Guard (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305105', 'Cotton Chest Guard (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305106', 'Canvas Chest Guard', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305107', 'Canvas Chest Guard (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305108', 'Canvas Chest Guard (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305109', 'Canvas Chest Guard (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305110', 'Canvas Chest Guard (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305111', 'Dodoskin Chest Guard', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305112', 'Leather Chest Guard', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305113', 'Leather Chest Guard (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305114', 'Leather Chest Guard (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61532', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305115', 'Leather Chest Guard (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305116', 'Wolfskin Chest Guard', 'Normal/StandardItem', '99', '0', '0', '0', '250', '61528', '9008', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305117', 'Toadskin Chest Guard', 'Normal/StandardItem', '99', '0', '0', '0', '260', '61536', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305201', 'Dodoskin Chest Protector', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305202', 'Leather Chest Protector', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305203', 'Leather Chest Protector (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305204', 'Leather Chest Protector (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61533', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305205', 'Leather Chest Protector (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61532', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305206', 'Leather Chest Protector (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305207', 'Heavy Leather Chest Protector', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305208', 'Heavy Leather Chest Protector (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305209', 'Heavy Leather Chest Protector (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61533', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305210', 'Heavy Leather Chest Protector (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61532', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305211', 'Heavy Leather Chest Protector (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305301', 'Dodoskin Outer Body Armor', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305302', 'Leather Outer Body Armor', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305303', 'Leather Outer Body Armor (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305304', 'Leather Outer Body Armor (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61533', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305305', 'Leather Outer Body Armor (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61532', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305306', 'Leather Outer Body Armor (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9008', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305401', 'Bronze Breastplate', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61346', '9008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305402', 'Bronze Backplate', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61346', '9008', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305403', 'Iron Breastplate', 'Normal/StandardItem', '99', '0', '0', '0', '650', '61346', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10305404', 'Iron Backplate', 'Normal/StandardItem', '99', '0', '0', '0', '650', '61346', '9008', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306001', 'Hempen Outer Cowl', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306002', 'Hempen Outer Cowl (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306003', 'Hempen Outer Cowl (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306004', 'Hempen Outer Cowl (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306005', 'Cotton Outer Cowl', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306006', 'Cotton Outer Cowl (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306007', 'Cotton Outer Cowl (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306008', 'Cotton Outer Cowl (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306009', 'Cotton Outer Cowl (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306010', 'Canvas Outer Cowl (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306011', 'Canvas Outer Cowl (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306012', 'Velveteen Outer Cowl', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306013', 'Velveteen Outer Cowl (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306014', 'Velveteen Outer Cowl (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306015', 'Velveteen Outer Cowl (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306016', 'Velveteen Outer Cowl (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306101', 'Hempen Outer Gown', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306102', 'Hempen Outer Gown (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306103', 'Hempen Outer Gown (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306104', 'Hempen Outer Gown (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9009', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306105', 'Cotton Outer Gown', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306106', 'Cotton Outer Gown (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306107', 'Cotton Outer Gown (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306108', 'Cotton Outer Gown (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306109', 'Cotton Outer Gown (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9009', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306110', 'Canvas Outer Gown', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306111', 'Canvas Outer Gown (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306112', 'Canvas Outer Gown (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306113', 'Canvas Outer Gown (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306114', 'Canvas Outer Gown (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9009', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306115', 'Velveteen Outer Gown', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306116', 'Velveteen Outer Gown (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306117', 'Velveteen Outer Gown (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306118', 'Velveteen Outer Gown (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306119', 'Velveteen Outer Gown (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9009', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306201', 'Hempen Acton Body (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '124', '61499', '9016', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306202', 'Hempen Acton Body (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '124', '61500', '9016', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306203', 'Hempen Acton Body (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '124', '61501', '9016', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306204', 'Cotton Acton Body (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '220', '61502', '9016', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306205', 'Cotton Acton Body (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '220', '61503', '9016', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306206', 'Cotton Acton Body (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '220', '61504', '9016', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306207', 'Cotton Acton Body (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '220', '61505', '9016', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306208', 'Canvas Acton Body (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '268', '61502', '9016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306209', 'Canvas Acton Body (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '268', '61503', '9016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306210', 'Canvas Acton Body (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '268', '61504', '9016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306211', 'Canvas Acton Body (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '268', '61505', '9016', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306212', 'Velveteen Acton Body', 'Normal/StandardItem', '99', '0', '0', '0', '316', '61511', '9016', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306213', 'Velveteen Acton Body (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '316', '61512', '9016', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306214', 'Velveteen Acton Body (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '316', '61514', '9016', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306215', 'Velveteen Acton Body (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '316', '61515', '9016', '1', '0', '0', '0', '0', '32', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306216', 'Canvas Coatee Body', 'Normal/StandardItem', '99', '0', '0', '0', '288', '61506', '9009', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306217', 'Canvas Coatee Body (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '288', '61507', '9009', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306218', 'Canvas Coatee Body (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '288', '61508', '9009', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306219', 'Canvas Coatee Body (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '288', '61509', '9009', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306220', 'Canvas Coatee Body (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '288', '61510', '9009', '1', '0', '0', '0', '0', '29', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306221', 'Velveteen Coatee Body', 'Normal/StandardItem', '99', '0', '0', '0', '384', '61511', '9009', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306222', 'Velveteen Coatee Body (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '384', '61512', '9009', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306223', 'Velveteen Coatee Body (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '384', '61513', '9009', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306224', 'Velveteen Coatee Body (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '384', '61514', '9009', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306225', 'Velveteen Coatee Body (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '384', '61515', '9009', '1', '0', '0', '0', '0', '39', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306226', 'Linen Coatee Body', 'Normal/StandardItem', '99', '0', '0', '0', '480', '61516', '9009', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306227', 'Linen Coatee Body (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '480', '61517', '9009', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306228', 'Linen Coatee Body (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '480', '61518', '9009', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306229', 'Linen Coatee Body (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '480', '61519', '9009', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10306230', 'Linen Coatee Body (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '480', '61520', '9009', '1', '0', '0', '0', '0', '49', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307001', 'Hempen Inner Cowl', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307002', 'Hempen Inner Cowl (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307003', 'Hempen Inner Cowl (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307004', 'Hempen Inner Cowl (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307005', 'Cotton Inner Cowl', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307006', 'Cotton Inner Cowl (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307007', 'Cotton Inner Cowl (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307008', 'Cotton Inner Cowl (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307009', 'Cotton Inner Cowl (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307010', 'Velveteen Inner Cowl', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9010', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307011', 'Velveteen Inner Cowl (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9010', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307012', 'Velveteen Inner Cowl (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9010', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307013', 'Velveteen Inner Cowl (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9010', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307014', 'Velveteen Inner Cowl (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9010', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307101', 'Hempen Inner Dalmatica', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307102', 'Hempen Inner Dalmatica (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307103', 'Hempen Inner Dalmatica (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307104', 'Hempen Inner Dalmatica (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307105', 'Cotton Inner Dalmatica', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307106', 'Cotton Inner Dalmatica (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307107', 'Cotton Inner Dalmatica (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307108', 'Cotton Inner Dalmatica (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307201', 'Hempen Inner Gown', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307202', 'Hempen Inner Gown (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307203', 'Hempen Inner Gown (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307204', 'Hempen Inner Gown (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307205', 'Cotton Inner Gown', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307206', 'Cotton Inner Gown (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307207', 'Cotton Inner Gown (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307208', 'Cotton Inner Gown (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307301', 'Hempen Inner Tunic', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307302', 'Hempen Inner Tunic (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307303', 'Hempen Inner Tunic (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307304', 'Cotton Inner Tunic', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61421', '9010', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307305', 'Cotton Inner Tunic (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307306', 'Cotton Inner Tunic (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307307', 'Cotton Inner Tunic (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307308', 'Cotton Inner Tunic (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9010', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307309', 'Velveteen Inner Tunic', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9010', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307401', 'Hempen Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307402', 'Hempen Sleeves (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307403', 'Hempen Sleeves (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307404', 'Hempen Sleeves (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307405', 'Cotton Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307406', 'Cotton Sleeves (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307407', 'Cotton Sleeves (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307408', 'Cotton Sleeves (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307409', 'Cotton Sleeves (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307410', 'Canvas Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307411', 'Canvas Sleeves (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307412', 'Canvas Sleeves (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307413', 'Canvas Sleeves (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307414', 'Canvas Sleeves (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307415', 'Velveteen Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307416', 'Velveteen Sleeves (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307417', 'Velveteen Sleeves (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307418', 'Velveteen Sleeves (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307419', 'Velveteen Sleeves (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307501', 'Hempen Acton Sleeves (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307502', 'Hempen Acton Sleeves (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307503', 'Hempen Acton Sleeves (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9017', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307504', 'Cotton Acton Sleeves (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307505', 'Cotton Acton Sleeves (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307506', 'Cotton Acton Sleeves (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307507', 'Cotton Acton Sleeves (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9017', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307508', 'Canvas Acton Sleeves (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307509', 'Canvas Acton Sleeves (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307510', 'Canvas Acton Sleeves (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307511', 'Canvas Acton Sleeves (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9017', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307512', 'Velveteen Acton Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307513', 'Velveteen Acton Sleeves (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307514', 'Velveteen Acton Sleeves (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307515', 'Velveteen Acton Sleeves (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9017', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307601', 'Bronze Chainmail Vest', 'Normal/StandardItem', '99', '0', '0', '0', '105', '60740', '9018', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307602', 'Bronze Chain Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '105', '60740', '9018', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307603', 'Iron Chainmail Vest', 'Normal/StandardItem', '99', '0', '0', '0', '153', '60740', '9018', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307604', 'Iron Chain Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '153', '60740', '9018', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307605', 'Linen Sleeves', 'Normal/StandardItem', '99', '0', '0', '0', '393', '61516', '9017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307606', 'Linen Sleeves (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '393', '61517', '9017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307607', 'Linen Sleeves (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '393', '61518', '9017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307608', 'Linen Sleeves (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '393', '61519', '9017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307609', 'Linen Sleeves (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '393', '61520', '9017', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10307610', 'Woolen Sleeves (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '489', '61523', '9017', '1', '0', '0', '0', '0', '50', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308001', 'Hempen Doublet Front', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308002', 'Hempen Doublet Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308003', 'Hempen Doublet Front (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308004', 'Hempen Doublet Front (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308005', 'Cotton Doublet Front', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308006', 'Cotton Doublet Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308007', 'Cotton Doublet Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308008', 'Cotton Doublet Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308009', 'Cotton Doublet Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308010', 'Canvas Doublet Front', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308011', 'Canvas Doublet Front (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308012', 'Canvas Doublet Front (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308013', 'Canvas Doublet Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308014', 'Canvas Doublet Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308015', 'Velveteen Doublet Front', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308016', 'Velveteen Doublet Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308017', 'Velveteen Doublet Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308018', 'Velveteen Doublet Front (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308019', 'Velveteen Doublet Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308101', 'Hempen Robe Front', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308102', 'Hempen Robe Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308103', 'Hempen Robe Front (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308104', 'Hempen Robe Front (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308105', 'Cotton Robe Front', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308106', 'Cotton Robe Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308107', 'Cotton Robe Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308108', 'Cotton Robe Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308109', 'Cotton Robe Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308110', 'Canvas Robe Front', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308111', 'Canvas Robe Front (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308112', 'Canvas Robe Front (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308113', 'Canvas Robe Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308114', 'Canvas Robe Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308115', 'Velveteen Robe Front', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308116', 'Velveteen Robe Front (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308117', 'Velveteen Robe Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308118', 'Velveteen Robe Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308119', 'Velveteen Robe Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308201', 'Hempen Shirt Front', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308202', 'Hempen Shirt Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308203', 'Hempen Shirt Front (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308204', 'Hempen Shirt Front (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308205', 'Cotton Shirt Front', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308206', 'Cotton Shirt Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308207', 'Cotton Shirt Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308208', 'Cotton Shirt Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308209', 'Cotton Shirt Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308210', 'Velveteen Shirt Front', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308211', 'Velveteen Shirt Front (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308212', 'Velveteen Shirt Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308213', 'Velveteen Shirt Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308214', 'Velveteen Shirt Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308301', 'Hempen Tunic Front', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308302', 'Hempen Tunic Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308303', 'Hempen Tunic Front (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308304', 'Hempen Tunic Front (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308305', 'Cotton Tunic Front', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308306', 'Cotton Tunic Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308307', 'Cotton Tunic Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308308', 'Cotton Tunic Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308309', 'Cotton Tunic Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308310', 'Canvas Tunic Front', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308311', 'Canvas Tunic Front (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308312', 'Canvas Tunic Front (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308313', 'Canvas Tunic Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308314', 'Canvas Tunic Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308315', 'Velveteen Tunic Front', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308316', 'Velveteen Tunic Front (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308317', 'Velveteen Tunic Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308318', 'Velveteen Tunic Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308319', 'Velveteen Tunic Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308401', 'Hempen Halfrobe Front', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308402', 'Hempen Halfrobe Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308403', 'Hempen Halfrobe Front (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308404', 'Hempen Halfrobe Front (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308405', 'Cotton Halfrobe Front', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308406', 'Cotton Halfrobe Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308407', 'Cotton Halfrobe Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308408', 'Cotton Halfrobe Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308409', 'Cotton Halfrobe Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308410', 'Canvas Halfrobe Front', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308411', 'Canvas Halfrobe Front (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308412', 'Canvas Halfrobe Front (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308413', 'Canvas Halfrobe Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308414', 'Canvas Halfrobe Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308501', 'Hempen Tabard Front', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308502', 'Hempen Tabard Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308503', 'Hempen Tabard Front (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308504', 'Hempen Tabard Front (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9011', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308505', 'Cotton Tabard Front', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308506', 'Cotton Tabard Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308507', 'Cotton Tabard Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308508', 'Cotton Tabard Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308509', 'Cotton Tabard Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9011', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308510', 'Canvas Tabard Front', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308511', 'Canvas Tabard Front (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308512', 'Canvas Tabard Front (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308513', 'Canvas Tabard Front (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308514', 'Canvas Tabard Front (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9011', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308515', 'Velveteen Tabard Front', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308516', 'Velveteen Tabard Front (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308517', 'Velveteen Tabard Front (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308518', 'Velveteen Tabard Front (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308519', 'Velveteen Tabard Front (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9011', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10308520', 'Dodore Leather Doublet Front', 'Normal/StandardItem', '99', '0', '0', '0', '441', '61530', '9011', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309001', 'Hempen Doublet Back', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309002', 'Hempen Doublet Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309003', 'Hempen Doublet Back (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309004', 'Hempen Doublet Back (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309005', 'Cotton Doublet Back', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309006', 'Cotton Doublet Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309007', 'Cotton Doublet Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309008', 'Cotton Doublet Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309009', 'Cotton Doublet Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309010', 'Canvas Doublet Back', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309011', 'Canvas Doublet Back (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309012', 'Canvas Doublet Back (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309013', 'Canvas Doublet Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309014', 'Canvas Doublet Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309015', 'Velveteen Doublet Back', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309016', 'Velveteen Doublet Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309017', 'Velveteen Doublet Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309018', 'Velveteen Doublet Back (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309019', 'Velveteen Doublet Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309101', 'Hempen Robe Back', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309102', 'Hempen Robe Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309103', 'Hempen Robe Back (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309104', 'Hempen Robe Back (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309105', 'Cotton Robe Back', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309106', 'Cotton Robe Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309107', 'Cotton Robe Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309108', 'Cotton Robe Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309109', 'Cotton Robe Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309110', 'Canvas Robe Back', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309111', 'Canvas Robe Back (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309112', 'Canvas Robe Back (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309113', 'Canvas Robe Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309114', 'Canvas Robe Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309115', 'Velveteen Robe Back', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309116', 'Velveteen Robe Back (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309117', 'Velveteen Robe Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309118', 'Velveteen Robe Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309119', 'Velveteen Robe Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309201', 'Hempen Shirt Back', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309202', 'Hempen Shirt Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309203', 'Hempen Shirt Back (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309204', 'Hempen Shirt Back (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309205', 'Cotton Shirt Back', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309206', 'Cotton Shirt Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309207', 'Cotton Shirt Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309208', 'Cotton Shirt Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309209', 'Cotton Shirt Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309210', 'Velveteen Shirt Back', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309211', 'Velveteen Shirt Back (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309212', 'Velveteen Shirt Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309213', 'Velveteen Shirt Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309214', 'Velveteen Shirt Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309301', 'Hempen Tunic Back', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309302', 'Hempen Tunic Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309303', 'Hempen Tunic Back (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309304', 'Hempen Tunic Back (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309305', 'Cotton Tunic Back', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309306', 'Cotton Tunic Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309307', 'Cotton Tunic Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309308', 'Cotton Tunic Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309309', 'Cotton Tunic Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309310', 'Canvas Tunic Back', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309311', 'Canvas Tunic Back (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309312', 'Canvas Tunic Back (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309313', 'Canvas Tunic Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309314', 'Canvas Tunic Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309315', 'Velveteen Tunic Back', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309316', 'Velveteen Tunic Back (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309317', 'Velveteen Tunic Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309318', 'Velveteen Tunic Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309319', 'Velveteen Tunic Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309401', 'Hempen Halfrobe Back', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309402', 'Hempen Halfrobe Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309403', 'Hempen Halfrobe Back (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309404', 'Hempen Halfrobe Back (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309405', 'Cotton Halfrobe Back', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309406', 'Cotton Halfrobe Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309407', 'Cotton Halfrobe Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309408', 'Cotton Halfrobe Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309409', 'Cotton Halfrobe Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309410', 'Canvas Halfrobe Back', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309411', 'Canvas Halfrobe Back (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309412', 'Canvas Halfrobe Back (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309413', 'Canvas Halfrobe Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309414', 'Canvas Halfrobe Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309501', 'Hempen Tabard Back', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309502', 'Hempen Tabard Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309503', 'Hempen Tabard Back (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309504', 'Hempen Tabard Back (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9012', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309505', 'Cotton Tabard Back', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309506', 'Cotton Tabard Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309507', 'Cotton Tabard Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309508', 'Cotton Tabard Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309509', 'Cotton Tabard Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9012', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309510', 'Canvas Tabard Back', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309511', 'Canvas Tabard Back (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309512', 'Canvas Tabard Back (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309513', 'Canvas Tabard Back (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309514', 'Canvas Tabard Back (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9012', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309515', 'Velveteen Tabard Back', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309516', 'Velveteen Tabard Back (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309517', 'Velveteen Tabard Back (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309518', 'Velveteen Tabard Back (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309519', 'Velveteen Tabard Back (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9012', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10309520', 'Dodore Leather Doublet Back', 'Normal/StandardItem', '99', '0', '0', '0', '441', '61530', '9012', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310001', 'Sheepskin Outsoles', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61526', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310002', 'Sheepskin Outsoles (Taupe)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61527', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310003', 'Sheepskin Outsoles (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61528', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310004', 'Dodoskin Outsoles', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9007', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310005', 'Dodoskin Outsoles (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61530', '9007', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310006', 'Leather Outsoles', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310007', 'Leather Outsoles (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310008', 'Leather Outsoles (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61533', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310009', 'Leather Outsoles (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61532', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310010', 'Leather Outsoles (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310011', 'Toadskin Outsoles', 'Normal/StandardItem', '99', '0', '0', '0', '260', '61536', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310012', 'Toadskin Outsoles (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '260', '61537', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310101', 'Sheepskin Vamps', 'Normal/StandardItem', '99', '0', '0', '0', '11', '61526', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310102', 'Sheepskin Vamps (Taupe)', 'Normal/StandardItem', '99', '0', '0', '0', '11', '61527', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310103', 'Sheepskin Vamps (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '11', '61528', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310104', 'Dodoskin Vamps', 'Normal/StandardItem', '99', '0', '0', '0', '16', '61529', '9007', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310105', 'Leather Vamps', 'Normal/StandardItem', '99', '0', '0', '0', '21', '61531', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310106', 'Leather Vamps (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '21', '61534', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310107', 'Leather Vamps (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '21', '61533', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310108', 'Leather Vamps (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '21', '61532', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310109', 'Leather Vamps (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '21', '61535', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310110', 'Toadskin Vamps', 'Normal/StandardItem', '99', '0', '0', '0', '26', '61536', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310111', 'Toadskin Vamps (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '26', '61537', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310201', 'Dodoskin Shin Guards', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61530', '9007', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310202', 'Leather Shin Guards', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310203', 'Leather Shin Guards (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310204', 'Leather Shin Guards (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61533', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310205', 'Leather Shin Guards (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '20', '61422', '9007', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310206', 'Leather Shin Guards (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310301', 'Hempen Socks', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310302', 'Hempen Socks (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310303', 'Hempen Socks (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310304', 'Hempen Socks (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310305', 'Cotton Socks', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310306', 'Cotton Socks (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310307', 'Cotton Socks (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310308', 'Cotton Socks (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310309', 'Cotton Socks (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310310', 'Canvas Socks', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61506', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310311', 'Canvas Socks (Auburn)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61507', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310312', 'Canvas Socks (Pink)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61508', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310313', 'Canvas Socks (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310314', 'Canvas Socks (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310315', 'Velveteen Socks', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9007', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310316', 'Velveteen Socks (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9007', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310317', 'Velveteen Socks (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9007', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310318', 'Velveteen Socks (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9007', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310319', 'Velveteen Socks (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9007', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310401', 'Sheepskin Knee Pads', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61526', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310402', 'Sheepskin Knee Pads (Taupe)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61527', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310403', 'Sheepskin Knee Pads (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61528', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310404', 'Dodoskin Knee Pads', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9007', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310405', 'Dodoskin Knee Pads (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61530', '9007', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310406', 'Leather Knee Pads', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310407', 'Leather Knee Pads (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61534', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310408', 'Leather Knee Pads (Ochre)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61533', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310409', 'Leather Knee Pads (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61532', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310410', 'Leather Knee Pads (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61535', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310411', 'Toadskin Knee Pads', 'Normal/StandardItem', '99', '0', '0', '0', '260', '61536', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310412', 'Toadskin Knee Pads (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '260', '61537', '9007', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310501', 'Copper Toes', 'Normal/StandardItem', '99', '0', '0', '0', '200', '61346', '9007', '1', '0', '0', '0', '0', '7', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310502', 'Brass Toes', 'Normal/StandardItem', '99', '0', '0', '0', '325', '61346', '9007', '1', '0', '0', '0', '0', '12', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310503', 'Iron Toes', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61346', '9007', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310504', 'Silver Toes', 'Normal/StandardItem', '99', '0', '0', '0', '700', '61346', '9007', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310511', 'Bronze Cuisses', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310512', 'Iron Cuisses', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310521', 'Bronze Poleyns', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310522', 'Iron Poleyns', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310531', 'Bronze Greaves', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310532', 'Iron Greaves', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310541', 'Bronze Chain Chausses', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9007', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10310542', 'Iron Chain Chausses', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9007', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311001', 'Hempen Hood', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61498', '9006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311002', 'Hempen Hood (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61499', '9006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311003', 'Hempen Hood (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61500', '9006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311004', 'Hempen Hood (Beige)', 'Normal/StandardItem', '99', '0', '0', '0', '105', '61501', '9006', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311005', 'Cotton Hood', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61421', '9006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311006', 'Cotton Hood (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61502', '9006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311007', 'Cotton Hood (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61503', '9006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311008', 'Cotton Hood (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61504', '9006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311009', 'Cotton Hood (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '201', '61505', '9006', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311010', 'Canvas Hood (Brown)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61509', '9006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311011', 'Canvas Hood (Blue)', 'Normal/StandardItem', '99', '0', '0', '0', '249', '61510', '9006', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311012', 'Velveteen Hood', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61511', '9006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311013', 'Velveteen Hood (Black)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61512', '9006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311014', 'Velveteen Hood (Red)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61513', '9006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311015', 'Velveteen Hood (Yellow)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61514', '9006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311016', 'Velveteen Hood (Green)', 'Normal/StandardItem', '99', '0', '0', '0', '297', '61515', '9006', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311101', 'Rat Fur Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '90', '61539', '9019', '1', '0', '0', '0', '0', '8', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311102', 'Squirrel Fur Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '140', '61540', '9019', '1', '0', '0', '0', '0', '13', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311103', 'Marmot Fur Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '190', '61541', '9019', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311104', 'Sheepskin Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61526', '9020', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311105', 'Sheepskin Neck Guard (Taupe)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61527', '9020', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311106', 'Sheepskin Neck Guard (Grey)', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61528', '9020', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311107', 'Dodoskin Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9020', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311108', 'Canvas Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '190', '61506', '9006', '1', '0', '0', '0', '0', '18', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311109', 'Copper Throat Guard', 'Normal/StandardItem', '99', '0', '0', '0', '150', '61346', '9021', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311110', 'Bronze Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311111', 'Iron Neck Guard', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9021', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311201', 'Sheep Leather Inner Mitts', 'Normal/StandardItem', '99', '0', '0', '0', '110', '61526', '9020', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311202', 'Dodo Leather Inner Mitts', 'Normal/StandardItem', '99', '0', '0', '0', '160', '61529', '9020', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311203', 'Buffalo Leather Inner Mitts', 'Normal/StandardItem', '99', '0', '0', '0', '210', '61531', '9020', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311204', 'Bronze Throat Guard', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311205', 'Wolf Collar', 'Normal/StandardItem', '99', '0', '0', '0', '625', '61346', '9021', '1', '0', '0', '0', '0', '24', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311206', 'Drake Collar', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61346', '9021', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311207', 'Black Odoshi Cord', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61346', '9006', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311208', 'Blue Odoshi Cord', 'Normal/StandardItem', '99', '0', '0', '0', '192', '61346', '9006', '1', '0', '0', '0', '0', '19', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311211', 'Copper Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '4', '60748', '9022', '1', '0', '0', '0', '0', '5', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311212', 'Bronze Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '8', '60748', '9022', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311213', 'Brass Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '12', '60748', '9022', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311214', 'Iron Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '15', '60748', '9022', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311215', 'Silver Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '19', '60748', '9022', '1', '0', '0', '0', '0', '25', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311216', 'Darksilver Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '21', '60748', '9022', '1', '0', '0', '0', '0', '28', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311217', 'Electrum Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '30', '60748', '9022', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311218', 'Mythril Buckle', 'Normal/StandardItem', '99', '0', '0', '0', '34', '60748', '9022', '1', '0', '0', '0', '0', '45', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311221', 'Brass Breastpin', 'Normal/StandardItem', '99', '0', '0', '0', '400', '60748', '9022', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311222', 'Silver Breastpin', 'Normal/StandardItem', '99', '0', '0', '0', '525', '60748', '9022', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311223', 'White Coral Breastpin', 'Normal/StandardItem', '99', '0', '0', '0', '930', '60748', '9022', '1', '0', '0', '0', '0', '30', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311224', 'Blue Coral Breastpin', 'Normal/StandardItem', '99', '0', '0', '0', '1080', '60748', '9022', '1', '0', '0', '0', '0', '35', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311225', 'Red Coral Breastpin', 'Normal/StandardItem', '99', '0', '0', '0', '1230', '60748', '9022', '1', '0', '0', '0', '0', '40', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311226', 'Nephrite Breastpin', 'Normal/StandardItem', '99', '0', '0', '0', '1140', '60748', '9022', '1', '0', '0', '0', '0', '37', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311231', 'Bronze Celata Visor', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311232', 'Iron Celata Visor', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9021', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311233', 'Iron Barbut Visor', 'Normal/StandardItem', '99', '0', '0', '0', '575', '61346', '9021', '1', '0', '0', '0', '0', '22', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311234', 'Kabuto Mask', 'Normal/StandardItem', '99', '0', '0', '0', '700', '61346', '9021', '1', '0', '0', '0', '0', '27', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311241', 'Bronze Couters', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311242', 'Iron Couters', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9021', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311251', 'Bronze Rerebraces', 'Normal/StandardItem', '99', '0', '0', '0', '275', '61346', '9021', '1', '0', '0', '0', '0', '10', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311252', 'Iron Rerebraces', 'Normal/StandardItem', '99', '0', '0', '0', '525', '61346', '9021', '1', '0', '0', '0', '0', '20', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('10311261', 'Brass Vambrace Plates', 'Normal/StandardItem', '99', '0', '0', '0', '400', '61346', '9021', '1', '0', '0', '0', '0', '15', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000001', 'Balloonfish', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000002', 'Standard-Issue Flintlock', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000003', 'Faerie Remora', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000004', 'Naldiq Gramophone Case', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000005', 'Naldiq Trembler', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000006', 'Naldiq Coil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000007', 'Naldiq Horn', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000008', 'Vymelli Gramophone Case', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000009', 'Vymelli Trembler', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000010', 'Vymelli Coil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000011', 'Vymelli Horn', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000012', 'Sheep\'s-eye', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000013', 'Petrified Wood', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000014', 'Ewer Fragment', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000015', 'Twisted Aldgoat Horn', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000016', 'Alchemical Pheromones', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000017', 'Ladybug Tears', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000018', 'Spiny Turnip Leaves', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000019', 'Counterfeit Chip Mold', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000020', 'Bronze Kraken Key', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000021', 'Leather Chocobo Saddle', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000022', 'Whistling Windwheel', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000023', 'Seastone', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000024', 'Reverberating Steel', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000025', 'Barrel Feed', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000026', 'Vibrant Arrows', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000027', 'Sable Salve', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000028', 'Gods\' Quiver Petition', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000029', 'Colorful Building Block', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000030', 'Writ of Access', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000031', 'Seaspray Quiche', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000032', 'Mirage Token', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000033', 'Deep-red Ruby', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000034', 'Skull Island', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000035', 'Aged Rum', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000036', 'Far Eastern Sourleaf', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000037', 'Frondale\'s Funds', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000038', 'Penelope\'s Background', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000039', 'Penelope\'s Evaluation', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000040', 'Oak Atrium Ghost', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000041', 'Starfall Grass', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000042', 'Pirate Ship Tale', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000043', 'Yarzon Faeces', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000044', 'Damaged Wailer Armor', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000045', 'Repaired Wailer Armor', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000046', 'Armor Remnants', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000047', 'Fen-Yll Birkin Bag', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000048', 'Damaged Fen-Yll Boots', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000049', 'Vintage Fen-Yll Boots', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000050', 'Bronze Earplug Mold', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000051', 'Bronze Earplug Casing', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000052', 'Sound-proofing Rubber', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000053', 'Admiral Alloy', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000054', 'Red Riding Hood', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000055', 'Ripped Riding Hood', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000056', 'Luxurious Gloves', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000057', 'Thanalan Spider Silk', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000058', 'Blooming Bow', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000059', 'Supple Bow', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000060', 'Sturdy Bow', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000061', 'Splintered Bow', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000062', 'Blooming Branch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000063', 'Supple Branch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000064', 'Sturdy Branch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000065', 'Fairweather Fetish', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000066', 'Large Leaf', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000067', 'Atrium Arrow', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000068', 'Light Branch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000069', 'Piping Hot Pie Crust', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000070', 'Aromatic Pate', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000071', 'Devilbelly Meatball', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000072', 'Devilshroom', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000073', 'Foulbelly Meatball', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000074', 'Queer-smelling Meat', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000075', 'Sweet-smelling Spice', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000076', 'Mummified Mole', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000077', 'Potent Medication', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000078', 'Frondale\'s Poultice', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000079', 'Faustigeant\'s Salve', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000080', 'Brass Earplugs', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000081', 'Niellefresne\'s Gold Dust', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000082', 'Wind Ward', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000083', 'Earth Ward', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000084', 'Water Ward', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000085', 'Nostalgic Ink', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000086', 'Bowing Pine Branch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000087', 'Foul-smelling Nut', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000088', 'Treant Vine', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000089', 'Velodyna Cosmos', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000090', 'Purification Mask', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000091', 'Podling', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000092', 'Balloon Cargo', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000093', 'Ixal Diary', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000094', 'Amalj\'aa Ashes', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000095', 'Crystal Bag', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000096', 'Unaspected Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000097', 'King of Plots\'s Gil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000098', 'Wise Miser\'s Gil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000099', 'Lady Lewena\'s Gil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000100', 'Shiny Chip', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000101', 'Mysterious Leather Bag', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000102', 'Charred Red Newt', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000103', 'Bent Glasses', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000104', 'Island Coconut', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000105', 'Mimidoa Drill', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000106', 'Mimidoa Barrow', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000107', 'Mimidoa Rivet', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000108', 'Z\'ssapa\'s Brooch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000109', 'Brooch Pin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000110', 'Adorable Miner Sketch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000111', 'Graceful Miner Sketch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000112', 'Dashing Miner Sketch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000113', 'Ideal Miner Sketch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000114', 'Violet Augite', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000115', 'Mismatched Stones', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000116', 'Heartstrike Replica', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000117', 'Pure Metal Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000118', 'Brilliant Glass Shards', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000119', 'Silverwater', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000120', 'Sealed Correspondence', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000121', 'Amajina Silver Nuggets', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000122', 'Shattered Brooch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000123', 'Pearl Clover Blossom', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000124', 'F\'lhaminn\'s Flower', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000125', 'Baderon\'s Recommendation', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000126', 'Coliseum Pass', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000127', 'Pixie Remora', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000128', 'Pearl Clover Seeds', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000129', 'Pearl Clover Fruit', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000130', 'Trident Map', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000131', 'Pirate Ship Funds', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000132', 'Kraken Register', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000133', 'Wawalago Message', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000134', 'Platinum Mirage Ledger', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000135', 'Meracydian Olives', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000136', 'Letter to Nenekko', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000137', 'Amajina Ceruleum', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000138', 'Pearl Clover Seedling', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000139', 'Midnight Slippers', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000140', 'Ceruleum Compound', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000141', 'Heated Gallipot', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000142', 'Tinolqa Popoto', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000143', 'Blinking Eye', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000144', 'Silky-smooth Marmot Hide', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000145', 'Tawdry Torque', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000146', 'Cedar Marionette', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000147', 'Nacre Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000148', 'Reaver Wristlet', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000149', 'Musk Roseling Pollen', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000150', 'Beryl Crab Shell', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000151', 'White Ash', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000152', 'Wolf Tail Trophy', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000153', 'Cursed Lens', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000154', 'Slumber Nut', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000155', 'Skryvner Signet Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000156', 'Sunsilk Muslin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000157', 'Milkworm', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000158', 'Thanalan Natron', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000159', 'Menphina Stew', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000160', 'Lonsygg\'s Journal Scrap', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000161', 'Weaver Lily', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000162', 'Treehollow Brew', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000163', 'SÃ©ance Stone', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000164', 'Sable Tooth', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000165', 'Novice\'s Clasp', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000166', 'Theda\'s Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000167', 'List of Companions', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000168', 'List of Champions', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000169', 'List of the Impoverished', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000170', 'List of Adoring Masses', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000171', 'List of the Elite', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000172', 'Milvaneth Talisman', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000173', 'Barbarous Choker', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000174', 'Conch Shell', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000175', 'Arrest Warrant', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000176', 'Fishtack', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000177', 'Sheepbur Seed', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000178', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000179', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000180', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000181', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000182', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000183', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000184', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000185', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000186', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000187', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000188', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000189', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000190', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000191', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000192', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000193', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000194', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000195', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000196', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000197', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000198', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000199', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000200', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000201', 'Lassae Ledger', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000202', 'Sourleaf Nectar', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000203', 'Death Sentence', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000204', 'Redbelly Wasp Map', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000205', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000206', 'Yellow Marble', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000207', 'Radz-at-Han Reserve', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000208', 'Airship Pass (GRD-LMS)', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000209', 'Airship Pass (ULD-LMS)', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000210', 'Fossil-fused Dark Matter', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000211', 'Keystone of the Bloom', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000212', 'Keystone of the Bud', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000213', 'Keystone of the Bough', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000214', 'Keystone of the Leaf', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000215', 'Keystone of the Trunk', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000216', 'Keystones', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000217', 'Ensorcelled Snowball', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000218', 'Heart of Winter', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000219', 'Young Dodo Leather', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000220', 'Bloody Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000221', 'Needle Box', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000222', 'Sibold\'s Bouquet', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000223', 'Inkwell', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000224', 'Well-worn Bag', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000225', 'Divine Impetus', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000226', 'Coblyn Larva', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000227', 'Brass Kobold Strongbox Key', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000228', 'Mistbeard Insignia Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000229', 'Mottled Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000230', 'Bomb Bane', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000231', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000232', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000233', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000234', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000235', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000236', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000237', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000238', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000239', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000240', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000241', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000242', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000243', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000244', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000245', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000246', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000247', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000248', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000249', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000250', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000251', 'Ailith\'s Oath', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000252', 'Taylor\'s Letter', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000253', 'Woolvale Arms Contract', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000254', 'Signed Agreement', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000255', 'Straight Edge Traders Contract', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000256', 'Gigas Forge Contract', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000257', 'Imperial Letter', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000258', 'Magitek Designs', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000259', 'Magitek Transceiver', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000260', 'Magitek Recording Plate', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000261', 'Shattered Gauntlet', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000262', 'Magitek Cooling Plate', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000263', 'Blackened Accumulator', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000264', 'Draconian Rosary', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000265', 'Norwick Knight\'s Sigil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000266', 'Silver-winged Kabuto', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000267', 'Stillglade Fane Petition', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000268', 'Sealed Urn', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000269', 'Faces of Mercy Medallion', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000270', 'Magitek Dowsing Rod', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000271', 'Ceremony Invitation', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000272', 'Earthbreaker', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000273', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000274', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000275', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000276', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000277', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000278', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000279', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000280', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000281', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000282', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000283', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000284', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000285', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000286', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000287', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000288', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000289', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000290', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000291', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000292', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000293', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000294', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000295', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000296', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000297', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000298', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000299', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000300', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000301', 'Mature Funguar Spore Sac', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000302', 'Scarlet Oil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000303', 'Stinky Yellow Liquid', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000304', 'Althyk Lavender', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000305', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000306', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000307', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000308', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000309', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000310', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000311', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000312', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000313', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000314', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000315', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000316', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000317', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000318', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000319', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000320', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000321', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000322', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000323', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000324', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000325', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000326', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000327', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000328', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000329', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000330', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000331', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000332', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000333', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000334', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000335', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000336', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000337', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000338', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000339', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000340', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000341', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000342', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000343', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000344', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000345', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000346', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000347', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000348', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000349', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000350', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000351', 'Inferno Lamp', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000352', 'Vortex Fletchings', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000353', 'Timeworn Curtana', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000354', 'Timeworn Sphairai', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000355', 'Timeworn Bravura', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000356', 'Timeworn Gae Bolg', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000357', 'Timeworn Artemis Bow', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000358', 'Timeworn Thyrus', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000359', 'Timeworn Stardust Rod', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000360', 'The Song of Tristram', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000361', 'Enter the Coeurl', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000362', 'The Warrior Within', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000363', 'The Book of Reinette', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000364', 'Bow of the Gods', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000365', 'Interview with the Padjal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000366', 'On Verdant Pond', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000367', 'White-hot Ember', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000368', 'Howling Gale', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000369', 'Relic Weapon', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000370', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000371', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000372', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000373', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000374', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000375', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000376', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000377', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000378', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000379', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000380', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000381', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000382', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000383', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000384', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000385', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000386', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000387', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000388', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000389', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000390', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000391', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000392', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000393', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000394', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000395', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000396', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000397', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000398', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000399', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000400', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000401', 'Leather Armor Scrap', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000402', 'Hypnotic Scales', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000403', 'Sketch of Challinie', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000404', 'Cobalt Eye', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000405', 'Prismatic Eye', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000406', 'Omnomite', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000407', 'Dart Slug Anti-venom', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000408', 'Coblyn Choler', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000409', 'Leather Balloon Panel', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000410', 'Treated Kite Plume', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000411', 'Eye of Garuda', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000412', 'Tears of Nymeia', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000413', 'Wind Echo Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000414', 'Water Echo Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000415', 'Earth Echo Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000416', 'Lightning Echo Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000417', 'Ice Echo Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000418', 'Fire Echo Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000419', 'Inferno Flambeau', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000420', 'Harmonizing Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000421', 'Imperial Disruptor', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000422', 'Mist Emitter', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000423', 'Imperial Disruptor', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000424', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000425', 'War Merit', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000426', 'War Merit', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000427', 'War Merit', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000428', 'Magitek Amplifier', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000429', 'Nightshade Oil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000430', 'Suncake', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000431', 'Vortex Feather', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000432', 'Vortex Catcher', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000433', 'Garlean Schematics', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000434', 'Imperial Strongbox Key', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000435', 'Kan-E-Senna\'s Missive', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000436', 'Merlwyb\'s Missive', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000437', 'Raubahn\'s Missive', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000438', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000439', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000440', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000441', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000442', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000443', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000444', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000445', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000446', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000447', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000448', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000449', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000450', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000451', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000452', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000453', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000454', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000455', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000456', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000457', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000458', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000459', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000460', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000461', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000462', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000463', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000464', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000465', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000466', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000467', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000468', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000469', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000470', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000471', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000472', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000473', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000474', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000475', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000476', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000477', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000478', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000479', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000480', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000481', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000482', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000483', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000484', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000485', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000486', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000487', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000488', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000489', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000490', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000491', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000492', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000493', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000494', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000495', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000496', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000497', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000498', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000499', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000500', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000501', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000502', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000503', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000504', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000505', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000506', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000507', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000508', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000509', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000510', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000511', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000512', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000513', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000514', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000515', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000516', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000517', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000518', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000519', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000520', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000521', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000522', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000523', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000524', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000525', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000526', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000527', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000528', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000529', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000530', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000531', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000532', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000533', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000534', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000535', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000536', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000537', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000538', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000539', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000540', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000541', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000542', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000543', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000544', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000545', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000546', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000547', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000548', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000549', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000550', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000551', 'Nirvana', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000552', 'Brand-new Aetheriometer', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000553', 'Outdated Aetheriometer', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000554', 'Widargelt\'s Aetheriometer', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000555', 'Experimental Aetheriometer', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000556', 'Gem of Shatotto', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000557', 'Pukno Poki\'s Charm', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000558', 'Engraved Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000559', 'Ashes of the Fallen', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000560', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000561', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000562', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000563', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000564', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000565', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000566', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000567', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000568', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000569', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000570', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000571', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000572', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000573', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000574', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000575', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000576', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000577', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000578', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000579', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000580', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000581', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000582', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000583', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000584', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000585', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000586', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000587', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000588', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000589', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000590', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000591', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000592', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000593', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000594', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000595', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000596', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000597', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000598', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000599', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000600', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000601', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000602', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000603', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000604', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000605', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000606', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000607', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000608', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000609', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000610', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000611', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000612', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000613', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000614', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000615', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000616', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000617', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000618', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000619', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000620', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000621', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000622', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000623', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000624', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000625', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000626', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000627', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000628', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000629', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000630', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000631', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000632', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000633', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000634', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000635', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000636', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000637', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000638', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000639', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000640', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000641', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000642', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000643', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000644', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000645', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000646', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000647', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000648', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000649', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000650', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000651', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000652', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000653', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000654', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000655', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000656', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000657', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000658', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000659', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000660', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000661', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000662', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000663', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000664', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000665', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000666', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000667', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000668', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000669', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000670', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000671', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000672', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000673', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000674', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000675', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000676', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000677', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000678', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000679', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000680', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000681', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000682', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000683', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000684', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000685', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000686', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000687', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000688', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000689', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000690', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000691', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000692', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000693', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000694', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000695', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000696', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000697', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000698', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000699', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000700', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000701', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000702', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000703', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000704', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000705', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000706', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000707', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000708', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000709', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000710', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000711', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000712', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000713', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000714', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000715', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000716', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000717', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000718', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000719', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000720', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000721', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000722', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000723', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000724', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000725', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000726', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000727', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000728', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000729', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000730', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000731', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000732', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000733', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000734', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000735', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000736', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000737', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000738', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000739', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000740', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000741', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000742', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000743', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000744', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000745', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000746', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000747', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000748', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000749', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000750', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000751', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000752', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000753', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000754', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000755', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000756', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000757', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000758', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000759', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000760', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000761', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000762', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000763', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000764', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000765', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000766', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000767', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000768', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000769', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000770', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000771', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000772', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000773', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000774', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000775', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000776', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000777', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000778', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000779', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000780', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000781', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000782', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000783', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000784', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000785', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000786', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000787', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000788', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000789', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000790', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000791', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000792', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000793', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000794', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000795', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000796', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000797', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000798', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000799', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000800', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000801', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000802', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000803', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000804', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000805', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000806', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000807', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000808', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000809', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000810', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000811', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000812', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000813', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000814', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000815', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000816', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000817', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000818', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000819', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000820', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000821', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000822', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000823', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000824', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000825', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000826', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000827', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000828', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000829', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000830', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000831', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000832', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000833', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000834', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000835', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000836', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000837', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000838', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000839', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000840', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000841', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000842', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000843', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000844', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000845', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000846', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000847', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000848', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000849', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000850', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000851', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000852', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000853', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000854', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000855', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000856', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000857', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000858', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000859', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000860', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000861', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000862', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000863', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000864', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000865', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000866', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000867', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000868', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000869', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000870', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000871', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000872', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000873', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000874', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000875', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000876', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000877', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000878', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000879', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000880', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000881', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000882', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000883', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000884', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000885', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000886', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000887', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000888', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000889', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000890', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000891', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000892', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000893', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000894', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000895', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000896', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000897', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000898', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000899', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000900', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000901', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000902', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000903', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000904', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000905', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000906', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000907', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000908', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000909', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000910', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000911', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000912', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000913', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000914', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000915', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000916', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000917', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000918', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000919', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000920', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000921', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000922', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000923', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000924', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000925', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000926', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000927', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000928', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000929', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000930', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000931', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000932', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000933', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000934', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000935', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000936', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000937', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000938', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000939', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000940', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000941', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000942', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000943', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000944', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000945', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000946', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000947', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000948', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000949', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000950', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000951', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000952', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000953', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000954', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000955', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000956', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000957', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000958', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000959', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000960', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000961', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000962', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000963', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000964', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000965', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000966', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000967', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000968', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000969', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000970', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000971', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000972', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000973', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000974', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000975', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000976', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000977', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000978', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000979', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000980', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000981', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000982', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000983', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000984', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000985', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000986', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000987', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000988', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000989', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000990', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000991', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000992', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000993', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000994', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000995', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000996', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000997', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000998', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('11000999', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000001', 'Faded \"\"Necrologos\"\" Page', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000002', 'Torn \"\"Necrologos\"\" Page', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000003', 'Charred \"\"Necrologos\"\" Page', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000004', 'The \"\"Necrologos\"\"', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000005', 'Mystic Gem', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000006', 'Wisp Dust', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000007', 'Bomb Shrapnel', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000008', 'Poison Pollen', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000009', 'Stolen Cargo', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000010', 'Fish Bone', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000011', 'Sweet Pollen', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000012', 'Elemental Shard', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000013', 'Natural Poison', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000014', 'Lemming Tail', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000015', 'Puk Wing', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000016', 'Bat Wing', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000017', 'Mermaid Charm', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000018', 'Rod', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000019', 'Flowersbreath', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000020', 'Gewgaw', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000021', 'Scalepuk Skin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000022', 'Butterfly Nuts', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000023', 'Nipper Shell', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000024', 'Nightwolf Hide', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000025', 'Stray Dodo Feather', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000026', 'Game Dodo Meat', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000027', 'Flowering Roseling Petal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000028', 'Ocean Roseling Leaf', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000029', 'Dorbeetle Egg', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000030', 'Bloodbeetle Wing', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000031', 'Gorgebug Mandible', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000032', 'Plague Rat Tooth', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000033', 'Pack Rat Tail', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000034', 'Wingrat Wing', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000035', 'Rabid Wingrat Blood', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000036', 'Boggart Robe', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000037', 'Seadevil Filet', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000038', 'Jellyfish Stinger', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000039', 'Bloodless Chiglet Carcass', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000040', 'Carrion Chiglet Humours', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000041', 'Tiny Bauble', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000042', 'Plague Rat Tooth', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000043', 'Scalepuk Talon', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000044', 'Bat Skin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000045', 'Blue Yarzon Offal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000046', 'Aldgoat Sirloin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000047', 'Red Landtrap Vine', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000048', 'Blue Landtrap Vine', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000049', 'Floatstone', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000050', 'Cogwheel Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000051', 'Kidney Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000052', 'Fire Orb', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000053', 'Ice Orb', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000054', 'Wind Orb', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000055', 'Earth Orb', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000056', 'Lightning Orb', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000057', 'Water Orb', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000058', 'Bent Silver Ingot', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000059', 'Blackmarket Bog Pepper', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000060', 'Lightweight Flint Stones', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000061', 'High-quality Copper Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000062', 'High-quality Saltpeter', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000063', 'High-quality Iron Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000064', 'Honeybee Hive', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000065', 'Unknotted Ash Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000066', 'Unknotted Teak Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000067', 'Unknotted Oak Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000068', 'Lancaster Cargo', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000069', 'Foreign Mythrilshells', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000070', 'Empty Flask', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000071', 'Goblin Sweetbox', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000072', 'Lominsan Armor', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000073', 'Shiva\'s Tear', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000074', 'Spriggan Gold', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000075', 'Soil Sample', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000076', 'Antling Egg', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000077', 'Red Rose Airship Cargo', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000078', 'Deadfire Flintlock', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000079', 'Striped Tail', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000080', 'Antelope Tail', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000081', 'Hippocerf Beak', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000082', 'Purple Acid', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000083', 'Canopy Apple', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000084', 'Gnat Antenna', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000085', 'Compound Gnat Eye', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000086', 'Poisonous Spines', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000087', 'Cactuar Leg', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000088', 'Crab Apron', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000089', 'Pungent Haunch', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000090', 'Sharp Fang', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000091', 'Bomb Eye', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000092', 'Ahriman Tooth', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000093', 'Dodo Wing Feather', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000094', 'Cockatrice Egg', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000095', 'Blue Iron Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000096', 'Aldgoat Salt', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000097', 'Imp Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000098', 'Devilet Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000099', 'Beetle Powder', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000100', 'Aphids', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000101', 'Evenfall Firefly', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000102', 'Violet Chestnut', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000103', 'Twin Chestnut', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000104', 'Fallen Chestnut', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000105', 'Doom Cricket', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000106', 'Snail Horn', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000107', 'Snail Horn', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000108', 'Wraith Cloth', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000109', 'Wight Cloth', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000110', 'Angler Eye', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000111', 'Orobon Whisker', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000112', 'Aurelia Feeler', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000113', 'Anemone Feeler', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000114', 'Yellow Yarzon Offal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000115', 'Chocobo Blood', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000116', 'Voidsent Blood', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000117', 'Brightash', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000118', 'Black Worm', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000119', 'Blacksand', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000120', 'Lightning Gem', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000121', 'Wolf Tail', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000122', 'Mutton Loin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000123', 'Karakul Loin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000124', 'Gigantoad Leg', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000125', 'Condor Tailfeather', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000126', 'Vulture Tailfeather', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000127', 'Shriekshroom Cap', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000128', 'Mottled Eft Skin', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000129', 'Ant Mandible', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000130', 'Queen Bee', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000131', 'Demon Mosquito', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000132', 'Orchidfly', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000133', 'Leafy Wing', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000134', 'Rusted Sword', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000135', 'Rusted Ring', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000136', 'Gold Hilt Dagger', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000137', 'Leather Hunting Vest', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000138', 'Stolen Finery', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000139', 'Necklace of Fingers', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000140', 'High-quality Silver Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000141', 'High-quality Mythril Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000142', 'High-quality Bone Chip', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000143', 'High-quality Obsidian', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000144', 'Herring for Smoking', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000145', 'Carp for Salting', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000146', 'Salmon for Drying', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000147', 'Fresh Oyster', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000148', 'Fresh Blowfish', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000149', 'Fresh Lobster', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000150', 'Bigclaw Crayfish', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000151', 'Bitterbite Pipira', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000152', 'Jade Marimo', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000153', 'Aquarium Bone Crayfish', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000154', 'Gridanian Fighting Fish', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000155', 'Aquarium Monke Onke', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000156', 'Straight Willow Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000157', 'Straight Ash Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000158', 'Straight Oak Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000159', 'Unknotted Elm Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000160', 'Unknotted Walnut Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000161', 'Unknotted Mahogany Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000162', 'High-quality Spruce Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000163', 'Superior-quality Iron Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000164', 'Superior-quality Mythril Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000165', 'Thick Walnut Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000166', 'Thick Mahogany Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000167', 'Plump Bianaq Bream', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000168', 'Plump Maiden Carp', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000169', 'High-quality Raw Sphene', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000170', 'High-quality Raw Heliodor', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000171', 'Wormless Lauan Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000172', 'Straight Mahogany Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000173', 'Agitated Black Ghost', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000174', 'Mature Monke Onke', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000175', 'Superior-quality Silver Ore', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000176', 'Flawless Jade', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000177', 'Wormless Oak Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000178', 'Fine-grain Rosewood Log', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000179', 'Fresh Yugr\'am Salmon', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000180', 'Young Northern Pike', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000181', 'Virgin\'s Veil', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000182', 'Rainbow Fly', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000183', 'White Antelope Hide', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000184', 'Fresh Dung', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000185', 'Young Roseling Leaf', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000186', 'Roseling Bushel', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000187', 'Magicked Drake Scale', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000188', 'Stolen Tome', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000189', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000190', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000191', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000192', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000193', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000194', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000195', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000196', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000197', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000198', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000199', '[en]', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1016', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('12000200', 'Luminous Crystal', 'Normal/DummyItem', '1', '0', '1', '0', '0', '60739', '1005', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000001', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000002', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000003', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000004', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000005', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000006', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000007', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000008', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000009', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000010', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000011', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000012', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000013', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000014', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000015', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000016', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000017', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000018', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000019', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000020', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000021', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000022', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000023', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000024', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000025', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000026', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000027', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000028', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000029', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000030', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000031', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000032', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000033', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000034', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000035', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000036', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000037', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000038', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000039', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000040', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000041', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000042', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000043', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000044', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000045', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000046', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000047', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000048', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000049', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000050', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000051', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000052', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000053', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000054', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000055', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000056', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000057', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000058', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000059', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000060', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000061', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000062', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000063', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000064', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000065', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000066', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000067', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000068', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000069', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000070', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000071', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000072', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000073', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000074', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000075', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000076', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000077', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000078', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000079', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000080', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000081', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000082', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000083', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000084', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000085', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000086', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000087', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000088', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000089', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000090', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000091', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000092', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000093', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000094', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000095', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000096', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000097', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000098', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000099', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000100', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000101', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000102', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000103', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000104', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items` VALUES ('13000105', '', 'Normal/DummyItem', '1', '0', '0', '0', '0', '61352', '0', '1', '0', '0', '0', '0', '1', '1001', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010001', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010002', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010003', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010004', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010005', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010006', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010007', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010008', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010009', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010010', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010011', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010012', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010013', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010014', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010015', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010016', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010017', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010018', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010019', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010020', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010021', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010022', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010023', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010024', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010025', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010026', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010027', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010028', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010029', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010030', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010031', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010032', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010033', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010034', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010035', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010036', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010037', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010038', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010039', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010040', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010041', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010042', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010043', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010044', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010045', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010046', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010047', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010048', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010049', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010050', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010051', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010052', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010053', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010054', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010055', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010056', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010057', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010058', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010059', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010060', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010061', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010062', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010063', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9010064', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030001', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030002', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030003', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030004', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030005', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030006', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030007', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030008', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030009', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030010', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030011', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030012', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030013', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030014', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030015', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030016', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030017', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030018', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030019', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030020', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030021', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030022', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030023', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030024', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030025', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030026', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030027', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030028', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030029', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030030', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030031', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030032', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030033', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030034', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030035', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030036', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030037', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030038', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030039', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030040', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030041', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030042', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030043', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030044', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030045', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030046', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030047', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030048', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030049', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030050', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030051', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030052', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030053', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030054', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030055', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030056', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030057', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030058', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030059', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030060', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030061', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030062', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030063', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030064', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9030065', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040001', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040002', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040003', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040004', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040005', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040006', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040007', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040008', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040009', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040010', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040011', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040012', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040013', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040014', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040015', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040016', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040017', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040018', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040019', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040020', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040021', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040022', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040023', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040024', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040025', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040026', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040027', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040028', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040029', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040030', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040031', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040032', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040033', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040034', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040035', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040036', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040037', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040038', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040039', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040040', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040041', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040042', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040043', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040044', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040045', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040046', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040047', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040048', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040049', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040050', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040051', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040052', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040053', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040054', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040055', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040056', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040057', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040058', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040059', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040060', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040061', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040062', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040063', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040064', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040065', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040066', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040067', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9040068', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050001', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050002', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050003', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050004', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050005', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050006', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050007', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050008', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050009', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050010', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050011', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050012', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050013', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050014', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050015', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050016', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050017', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050018', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050019', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050020', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050021', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050022', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050023', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050024', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050025', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050026', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050027', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050028', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050029', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050030', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050031', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050032', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050033', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050034', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050035', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050036', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050037', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050038', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050039', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050040', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050041', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050042', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050043', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050044', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050045', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050046', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050047', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050048', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050049', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050050', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050051', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050052', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050053', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050054', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050055', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050056', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050057', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050058', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050059', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050060', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050061', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050062', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050063', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050064', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050065', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050066', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050067', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050068', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050069', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050070', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050071', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050072', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050073', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050074', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050075', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050076', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050077', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050078', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050079', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050080', '0', '0');
INSERT INTO `gamedata_items_accessory` VALUES ('9050081', '0', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010001', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010002', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010003', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010004', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010005', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010006', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010007', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010008', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010009', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010010', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010011', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010012', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010013', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010014', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010015', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010016', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010017', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010101', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010102', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010103', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010104', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010105', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010106', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010107', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010108', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010109', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010110', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010111', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010112', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010113', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010114', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010115', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010116', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010117', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010118', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010119', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010120', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010121', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010122', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010123', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010124', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010125', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010126', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010127', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010128', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010129', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010130', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010131', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010132', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010133', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010134', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010135', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010136', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010137', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010138', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010139', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010140', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010141', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010142', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010143', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010144', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010145', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010146', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010147', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010148', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010149', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010201', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010202', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010203', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010204', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010205', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010206', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010207', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010208', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010209', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010210', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010211', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010212', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010213', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010214', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010215', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010216', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010217', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010218', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010219', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010220', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010221', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010222', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010223', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010224', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010225', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010301', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010302', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010303', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010304', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010305', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010306', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010307', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010308', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010309', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010310', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010311', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010312', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010313', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010314', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010315', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010316', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010317', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010318', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010319', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010320', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010321', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010322', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010323', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010324', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010325', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010326', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010327', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010328', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010329', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010330', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010401', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010402', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010403', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010404', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010405', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010406', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010407', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010408', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010409', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010410', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010411', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010412', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010413', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010414', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010415', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010416', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010417', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010418', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010419', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010420', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010421', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010422', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010423', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010424', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010425', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010426', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010427', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010428', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010429', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010430', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010431', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010432', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010433', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010434', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010435', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010436', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010437', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010438', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010439', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010440', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010441', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010442', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010443', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010444', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010445', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010446', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010447', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010448', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010449', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010450', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010451', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010452', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010453', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010454', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010455', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010456', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010457', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010458', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010459', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010460', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010461', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010462', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010463', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010464', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010465', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010466', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010467', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010468', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010469', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010470', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010471', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010472', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010473', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010474', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010475', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010476', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010477', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010478', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010479', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010480', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010481', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010482', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010501', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010502', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010503', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010504', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010505', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010506', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010507', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010508', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010509', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010510', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010511', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010512', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010513', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010514', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010515', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010516', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010517', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010518', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010519', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010520', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010521', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010522', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010523', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010524', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010525', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010526', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010527', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010528', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010529', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010530', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010531', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010532', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010533', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010534', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010535', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010536', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010537', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010538', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010539', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010540', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010541', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010542', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010543', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010544', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010545', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010546', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010547', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010548', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010549', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010550', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010551', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010552', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010553', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010554', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010555', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010556', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010557', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010558', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010559', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010560', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010561', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010562', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010563', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010564', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010565', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010566', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010567', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010601', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010602', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010603', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010604', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010605', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010606', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010607', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010608', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010609', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010610', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010611', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010612', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010613', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010614', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010615', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010616', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010617', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010618', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010619', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010620', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010621', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010622', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010623', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010624', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010625', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010626', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010627', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010628', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010629', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010630', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010631', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010632', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010633', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010634', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010635', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010636', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010637', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010638', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010639', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010640', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010641', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010642', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010643', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010644', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010645', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010646', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010647', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010648', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010649', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010650', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010651', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010652', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010653', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010654', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010655', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010656', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010701', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010702', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010703', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010704', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010705', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010706', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010707', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010708', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010709', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010710', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010711', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010712', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010713', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010714', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010715', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010716', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010801', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010802', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010803', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010804', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010805', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010806', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010807', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010808', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010809', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010810', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010811', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010812', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010813', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010814', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010815', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010816', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010817', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010818', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010819', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010820', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010821', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010822', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010823', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010824', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010825', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010826', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010827', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010828', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010829', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010830', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010831', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010832', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010833', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010834', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010835', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010836', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010837', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010838', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010901', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010902', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010903', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010904', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010905', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010906', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010907', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010908', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010909', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010910', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010911', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010912', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010913', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010914', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010915', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010916', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010917', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010918', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010919', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010920', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010921', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010922', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010923', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010924', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010925', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010926', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010927', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010928', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010929', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010930', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010931', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010932', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010933', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8010934', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011001', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011002', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011003', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011004', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011005', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011006', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011007', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011008', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011009', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011010', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011011', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011012', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011013', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011014', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011015', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011016', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011017', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011018', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011019', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011020', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011021', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011022', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011101', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011102', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011103', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011104', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011105', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011106', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011107', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011108', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011109', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011110', '69', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011201', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011202', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011203', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011204', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011205', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011206', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011207', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011208', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011209', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011210', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011211', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011212', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011213', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011214', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011215', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011216', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011217', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011218', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011219', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011220', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011221', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011222', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011223', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011301', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011302', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011303', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011304', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011305', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011306', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011307', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011308', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011309', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011310', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011311', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011312', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011313', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011314', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011315', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011316', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011317', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011318', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011319', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011320', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011321', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011322', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011323', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011324', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011325', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011326', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011327', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011328', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011329', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011330', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011331', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011332', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011333', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011334', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011335', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011336', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011337', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011338', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011339', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011340', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011341', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011401', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011402', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011403', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011404', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011405', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011406', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011407', '67', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011408', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011409', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011501', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011502', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011503', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011504', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011505', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011506', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011507', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011508', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011509', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011510', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011511', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011512', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011513', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011514', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011515', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011516', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011517', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011518', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011519', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011520', '69', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011521', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011522', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011523', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011524', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011601', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011602', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011603', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011604', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011605', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011606', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011607', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011608', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011609', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011610', '84', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011701', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011702', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011703', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011704', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011705', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011706', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011707', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011708', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011709', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011710', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011711', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011712', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011713', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011801', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011802', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011803', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011804', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011805', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011806', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011807', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011808', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011809', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011810', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011811', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011812', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011813', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011814', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011815', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011816', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011817', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011901', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011902', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8011903', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012001', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012002', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012003', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012004', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012005', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012006', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012007', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012008', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012009', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012010', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012011', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012012', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012013', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012014', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012015', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012016', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012017', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012018', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012019', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012020', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012021', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012022', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012023', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012024', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012101', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012102', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012103', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012201', '63', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012202', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012301', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012302', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012303', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012304', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012305', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012306', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012307', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012308', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012309', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012310', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012311', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012312', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012313', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012314', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012315', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012316', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012317', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012318', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012319', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012320', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012321', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012322', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012323', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012324', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012325', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012326', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012327', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012328', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012329', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012330', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012331', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012332', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012333', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012334', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012335', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012336', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012337', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012338', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012339', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012340', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012341', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012342', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012343', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012401', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012402', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012403', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012404', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012405', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012406', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012407', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012408', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012409', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012410', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012411', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012412', '67', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012501', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012502', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012601', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012602', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012603', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012604', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012605', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012606', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012607', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012701', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012702', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012703', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012704', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012705', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012706', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012707', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012708', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012709', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012710', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012711', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012712', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012713', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012714', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012715', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012716', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012717', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012718', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012719', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012720', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012721', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012722', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012723', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012724', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012725', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012726', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012727', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012728', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012729', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012730', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012731', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012732', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012733', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012734', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012735', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012736', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012737', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012738', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012739', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012801', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012802', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012803', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012804', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012805', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012901', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012902', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012903', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8012904', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013001', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013002', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013003', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013004', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013005', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013006', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013007', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013008', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013101', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013102', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013201', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013202', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013203', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013204', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013205', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013206', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013301', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013302', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013303', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013304', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013401', '67', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013402', '67', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013403', '67', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013404', '67', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013501', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013502', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013503', '93', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013504', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013505', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013506', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013507', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013601', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013602', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013603', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013604', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013605', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013606', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013607', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013608', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013609', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013610', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013611', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013612', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013613', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013614', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013615', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013616', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013617', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013618', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013619', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013620', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013621', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013622', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013623', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013624', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013625', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013626', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013627', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013628', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013629', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013630', '67', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013631', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013632', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013633', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013634', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013635', '71', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013636', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8013637', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030001', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030002', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030003', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030004', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030005', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030006', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030007', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030008', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030009', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030010', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030011', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030012', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030013', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030014', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030015', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030016', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030017', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030018', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030019', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030020', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030021', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030022', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030023', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030024', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030025', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030026', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030027', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030028', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030029', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030030', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030031', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030032', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030033', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030034', '125', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030035', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030036', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030037', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030038', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030039', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030040', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030041', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030042', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030043', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030044', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030045', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030046', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030047', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030048', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030049', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030050', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030101', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030102', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030103', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030104', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030105', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030106', '152', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030107', '152', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030108', '152', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030109', '110', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030110', '110', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030111', '175', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030112', '182', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030113', '175', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030114', '175', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030115', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030116', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030117', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030118', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030119', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030201', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030202', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030203', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030204', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030205', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030206', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030207', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030208', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030209', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030210', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030211', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030212', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030213', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030214', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030215', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030216', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030217', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030218', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030219', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030220', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030221', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030222', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030223', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030224', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030225', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030226', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030227', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030228', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030229', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030230', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030231', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030232', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030233', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030234', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030235', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030236', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030237', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030238', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030239', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030240', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030241', '77', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030242', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030243', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030244', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030245', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030246', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030247', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030248', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030249', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030250', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030251', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030252', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030253', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030254', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030255', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030256', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030257', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030301', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030302', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030303', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030304', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030305', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030306', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030307', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030308', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030309', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030310', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030311', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030312', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030313', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030314', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030315', '103', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030316', '103', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030317', '103', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030318', '103', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030319', '103', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030320', '71', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030321', '71', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030322', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030323', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030324', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030325', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030326', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030327', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030328', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030329', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030330', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030331', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030332', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030333', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030334', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030335', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030336', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030337', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030338', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030339', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030340', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030341', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030342', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030343', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030344', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030345', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030346', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030347', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030348', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030349', '163', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030350', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030401', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030402', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030403', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030404', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030405', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030406', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030407', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030408', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030409', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030410', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030411', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030412', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030413', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030414', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030415', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030416', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030417', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030418', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030419', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030420', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030421', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030422', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030423', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030424', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030425', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030426', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030427', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030428', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030429', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030430', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030431', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030432', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030433', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030434', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030435', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030436', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030437', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030438', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030439', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030440', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030441', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030442', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030443', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030444', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030445', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030446', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030447', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030501', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030502', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030503', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030504', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030505', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030506', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030507', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030508', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030509', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030510', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030511', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030512', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030513', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030514', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030515', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030516', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030517', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030518', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030519', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030520', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030521', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030522', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030523', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030524', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030525', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030526', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030527', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030528', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030529', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030530', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030531', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030532', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030533', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030534', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030535', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030536', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030537', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030538', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030539', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030540', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030541', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030542', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030543', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030544', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030545', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030546', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030547', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030548', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030549', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030550', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030551', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030552', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030553', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030554', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030555', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030556', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030557', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030558', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030601', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030602', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030603', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030604', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030605', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030606', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030607', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030608', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030609', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030610', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030611', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030612', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030613', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030614', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030615', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030616', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030617', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030618', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030619', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030620', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030621', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030622', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030623', '128', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030624', '128', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030625', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030626', '141', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030627', '140', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030701', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030702', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030703', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030704', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030705', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030706', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030707', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030708', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030709', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030710', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030711', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030712', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030713', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030714', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030715', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030716', '107', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030717', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030718', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030719', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030720', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030721', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030722', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030723', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030724', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030725', '127', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030726', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030727', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030728', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030729', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030730', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030731', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030732', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030733', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030734', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030735', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030736', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030737', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030738', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030739', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030740', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030741', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030742', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030743', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030744', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030745', '129', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030801', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030802', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030803', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030804', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030805', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030806', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030807', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030808', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030809', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030810', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030811', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030812', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030813', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030814', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030815', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030816', '79', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030817', '139', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030818', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030819', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030820', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030821', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030822', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030823', '146', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030824', '141', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030901', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030902', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030903', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030904', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030905', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030906', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030907', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030908', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030909', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030910', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030911', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030912', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030913', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030914', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030915', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030916', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030917', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030918', '156', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030919', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030920', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030921', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030922', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030923', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8030924', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031001', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031002', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031003', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031004', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031005', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031006', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031007', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031008', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031009', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031010', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031011', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031012', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031013', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031014', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031015', '126', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031016', '126', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031017', '126', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031018', '126', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031019', '126', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031020', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031021', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031022', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031023', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031024', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031025', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031026', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031027', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031028', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031029', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031030', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031031', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031032', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031033', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031034', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031035', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031036', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031037', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031038', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031039', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031040', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031041', '116', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031042', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031043', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031044', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031045', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031046', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031047', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031048', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031049', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031050', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031051', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031052', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031053', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031054', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031055', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031056', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031057', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031101', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031102', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031103', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031104', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031105', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031106', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031107', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031108', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031109', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031110', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031111', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031112', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031113', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031114', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031115', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031116', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031117', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031118', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031119', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031120', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031121', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031122', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031201', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031202', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031203', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031204', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031205', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031206', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031207', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031208', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031209', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031210', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031211', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031212', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031213', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031214', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031215', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031216', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031217', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031218', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031219', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031220', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031221', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031222', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031223', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031224', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031225', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031226', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031227', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031228', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031229', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031230', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031231', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031232', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031233', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031234', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031235', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031236', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031237', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031238', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031239', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031240', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031241', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031242', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031243', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031244', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031245', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031246', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031247', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031248', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031249', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031250', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031301', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031302', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031303', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031304', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031305', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031306', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031307', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031308', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031309', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031310', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031311', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031312', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031313', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031314', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031315', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031316', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031401', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031402', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031403', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031404', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031405', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031406', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031407', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031408', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031409', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031410', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031411', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031412', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031413', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031414', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031415', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031416', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031417', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031418', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031419', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031420', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031421', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031501', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031502', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031503', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031504', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031505', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031506', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031507', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031508', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031509', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031510', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031511', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031512', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031513', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031514', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031515', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031516', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031517', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031518', '105', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031519', '105', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031520', '133', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031521', '133', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031522', '133', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031523', '133', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031601', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031602', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031603', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031604', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031605', '106', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031606', '141', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031607', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031608', '163', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031609', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031610', '111', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031611', '111', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031612', '142', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031613', '142', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031701', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031702', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031703', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031704', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031705', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031706', '87', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031707', '87', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031708', '87', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031709', '87', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031710', '87', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031711', '140', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031712', '140', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031713', '140', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031714', '140', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031715', '140', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031716', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031717', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031718', '166', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031719', '160', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031720', '129', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031721', '129', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031722', '162', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031723', '162', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031724', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031801', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031802', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031803', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031804', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031805', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031806', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031807', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031808', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031809', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031810', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031811', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031812', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031813', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031814', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031815', '142', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031816', '142', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031817', '142', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031818', '142', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031819', '142', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031820', '98', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031821', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031822', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031823', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031824', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031825', '181', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031826', '181', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031827', '181', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031828', '181', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031901', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031902', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031903', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031904', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031905', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031906', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031907', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031908', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031909', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031910', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031911', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031912', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031913', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031914', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031915', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031916', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8031917', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032001', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032002', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032003', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032004', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032005', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032006', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032007', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032008', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032009', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032010', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032011', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032012', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032013', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032014', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032015', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032016', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032017', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032018', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032019', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032020', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032021', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032022', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032023', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032024', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032025', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032026', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032027', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032028', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032029', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032030', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032031', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032032', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032033', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032034', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032035', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032101', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032102', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032201', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032202', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032203', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032204', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032205', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032206', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032207', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032208', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032209', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032210', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032211', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032212', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032213', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032214', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032215', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032216', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032217', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032218', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032219', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032220', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032221', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032222', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032223', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032224', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032225', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032226', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032227', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032228', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032229', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032230', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032231', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032232', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032233', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032234', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032235', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032236', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032237', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032238', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032239', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032240', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032241', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032242', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032243', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032244', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032301', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032302', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032303', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032304', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032305', '111', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032306', '111', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032307', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032308', '111', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032309', '111', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032310', '111', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032311', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032312', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032401', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032402', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032403', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032404', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032405', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032406', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032407', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032408', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032409', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032410', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032501', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032502', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032601', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032602', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032603', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032604', '150', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032605', '150', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032606', '150', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032701', '180', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032702', '146', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032703', '171', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032704', '165', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032705', '122', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032706', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032707', '117', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032801', '308', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032802', '182', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032803', '153', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032804', '177', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032805', '275', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032806', '275', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032807', '275', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032808', '275', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032809', '275', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032810', '153', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032811', '153', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032812', '153', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032813', '153', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032814', '153', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032815', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032816', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032817', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032818', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032819', '102', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032820', '158', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032821', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032822', '158', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032823', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032824', '158', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032825', '115', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032826', '120', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032827', '184', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032828', '153', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032829', '121', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032830', '145', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032831', '169', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032832', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032833', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032834', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032835', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032836', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032837', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032838', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8032839', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040001', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040002', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040003', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040004', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040005', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040006', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040007', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040008', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040009', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040010', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040011', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040012', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040013', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040014', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040015', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040016', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040017', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040018', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040019', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040020', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040021', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040022', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040023', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040024', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040025', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040026', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040027', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040028', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040029', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040030', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040031', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040032', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040033', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040034', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040035', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040036', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040037', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040038', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040039', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040040', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040041', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040042', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040043', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040044', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040045', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040046', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040047', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040048', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040049', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040050', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040051', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040052', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040053', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040054', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040055', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040056', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040057', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040058', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040059', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040060', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040061', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040062', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040063', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040064', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040065', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040066', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040067', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040068', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040069', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040070', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040071', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040072', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040073', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040074', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040075', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040076', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040077', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040078', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040079', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040080', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040081', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040082', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040083', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040084', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040085', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040086', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040087', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040088', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040089', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040090', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040091', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040092', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040093', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040094', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040095', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8040096', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050001', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050002', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050003', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050004', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050005', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050006', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050007', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050008', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050009', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050010', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050011', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050012', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050013', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050014', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050015', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050016', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050017', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050018', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050019', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050020', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050021', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050022', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050023', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050024', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050025', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050026', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050027', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050028', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050029', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050030', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050031', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050032', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050033', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050034', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050035', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050036', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050037', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050038', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050039', '74', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050040', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050041', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050042', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050043', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050044', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050045', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050046', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050047', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050048', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050049', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050050', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050051', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050101', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050102', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050103', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050104', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050105', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050106', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050107', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050108', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050109', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050110', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050111', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050112', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050113', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050114', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050115', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050116', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050117', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050118', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050119', '112', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050120', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050121', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050122', '105', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050123', '105', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050124', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050125', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050126', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050127', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050128', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050129', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050130', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050131', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050132', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050133', '138', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050134', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050135', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050136', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050137', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050138', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050139', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050140', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050141', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050142', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050143', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050144', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050145', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050146', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050147', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050148', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050149', '135', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050150', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050151', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050201', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050202', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050203', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050204', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050205', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050206', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050207', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050208', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050209', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050210', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050211', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050212', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050213', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050214', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050215', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050216', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050217', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050218', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050219', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050220', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050221', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050222', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050223', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050224', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050225', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050226', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050227', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050228', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050229', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050230', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050231', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050232', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050233', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050234', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050235', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050236', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050237', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050238', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050239', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050240', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050241', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050242', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050243', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050244', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050245', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050246', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050247', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050248', '88', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050301', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050302', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050303', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050304', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050305', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050306', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050307', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050308', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050309', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050310', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050311', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050312', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050313', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050314', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050315', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050316', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050317', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050318', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050319', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050320', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050321', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050322', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050323', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050324', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050325', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050326', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050327', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050328', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050329', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050330', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050331', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050332', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050333', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050334', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050335', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050336', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050337', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050338', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050339', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050340', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050341', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050342', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050343', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050344', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050345', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050346', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050347', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050348', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050349', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050350', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050351', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050352', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050353', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050354', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050355', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050356', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050357', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050358', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050359', '83', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050360', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050401', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050402', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050403', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050404', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050405', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050406', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050407', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050408', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050409', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050410', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050411', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050412', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050413', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050414', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050415', '93', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050416', '93', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050417', '93', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050418', '93', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050419', '93', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050420', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050421', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050422', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050423', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050424', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050425', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050426', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050427', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050428', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050429', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050430', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050431', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050432', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050433', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050434', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050435', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050436', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050437', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050438', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050439', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050440', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050441', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050442', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050443', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050444', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050445', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050446', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050447', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050448', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050449', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050450', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050451', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050452', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050453', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050454', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050455', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050456', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050457', '108', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050501', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050502', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050503', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050504', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050505', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050506', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050507', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050508', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050509', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050510', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050511', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050512', '78', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050513', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050514', '99', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050515', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050516', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050517', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050518', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050519', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050520', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050521', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050601', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050602', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050603', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050604', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050605', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050606', '35', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050607', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050608', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050609', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050610', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050611', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050612', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050613', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050614', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050615', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050616', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050618', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050619', '105', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050620', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050621', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050622', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050701', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050702', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050703', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050704', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050705', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050706', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050707', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050708', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050709', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050710', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050711', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050712', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050713', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050714', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050715', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050716', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050717', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050718', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050719', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050720', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050721', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050722', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050723', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050724', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050725', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050726', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050727', '94', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050728', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050729', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050730', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050731', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050732', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050733', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050734', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050735', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050736', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050737', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050738', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050739', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050740', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050741', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050742', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050743', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050744', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050745', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050746', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050747', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050748', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050749', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050750', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050751', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050752', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050753', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050754', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050755', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050756', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050757', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050758', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050759', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050760', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050761', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050762', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050763', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050764', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050765', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050766', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050767', '96', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050768', '96', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050769', '96', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050801', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050802', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050803', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050804', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050805', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050806', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050807', '64', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050808', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050809', '96', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050810', '96', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050811', '132', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050901', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050902', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050903', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050904', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050905', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050906', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050907', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8050940', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051001', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051002', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051003', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051004', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051005', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051006', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051007', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051008', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051009', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051010', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051011', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051012', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051013', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051014', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051015', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051016', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051017', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051018', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051019', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051020', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051021', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051022', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051023', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051024', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051025', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051101', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051102', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051103', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051104', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051105', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051106', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051107', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051108', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051109', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051110', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051111', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051112', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051113', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051114', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051115', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051116', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051117', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051118', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051119', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051120', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051121', '89', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051201', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051202', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051203', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051204', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051205', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051206', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051207', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051208', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051209', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051210', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051211', '85', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051212', '85', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051213', '85', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051214', '85', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051215', '85', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051216', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051217', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051218', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051219', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051220', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051221', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051222', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051223', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051224', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051301', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051302', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051303', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051304', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051305', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051306', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051307', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051308', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051309', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051310', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051401', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051402', '95', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051403', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051404', '130', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051405', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051406', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051407', '82', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051501', '218', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051502', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051503', '204', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051504', '204', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051505', '204', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051506', '204', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051507', '204', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051508', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051509', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051510', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051511', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051512', '90', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051513', '138', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051514', '86', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051515', '104', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051516', '125', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051517', '85', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051518', '135', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051519', '100', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051520', '81', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051521', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051522', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051523', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051524', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051525', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8051526', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060001', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060002', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060003', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060004', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060005', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060006', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060007', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060008', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060009', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060010', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060011', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060012', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060013', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060014', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060015', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060016', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060017', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060018', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060019', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060020', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060021', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060022', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060023', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060024', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060025', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060026', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060027', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060028', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060029', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060030', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060031', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060032', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060033', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060034', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060035', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060036', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060037', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060038', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060039', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060040', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060041', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060042', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060043', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060044', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060045', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060046', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060047', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060048', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060049', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060050', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060051', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060052', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060053', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060054', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060055', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060056', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060057', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060058', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060059', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060060', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060061', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060062', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060063', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060064', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060065', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060066', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060067', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060068', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060069', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060070', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060071', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060072', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060073', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060074', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060075', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060076', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060077', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060078', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060079', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060080', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060081', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060082', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060083', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060084', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060085', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060086', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060087', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060088', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060089', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060090', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060091', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060092', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060093', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060094', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060095', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8060096', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070001', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070002', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070003', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070004', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070005', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070006', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070007', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070008', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070009', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070010', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070011', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070012', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070013', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070014', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070015', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070016', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070017', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070018', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070019', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070020', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070021', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070022', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070023', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070024', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070101', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070102', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070103', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070104', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070105', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070106', '63', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070107', '63', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070108', '63', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070109', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070110', '46', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070111', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070112', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070113', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070114', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070115', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070116', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070117', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070118', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070119', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070201', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070202', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070203', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070204', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070205', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070206', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070207', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070208', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070209', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070210', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070211', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070212', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070213', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070214', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070215', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070216', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070217', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070218', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070219', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070220', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070221', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070222', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070223', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070224', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070225', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070226', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070227', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070228', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070229', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070230', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070231', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070232', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070233', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070234', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070235', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070236', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070237', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070238', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070239', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070240', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070241', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070242', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070243', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070301', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070302', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070303', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070304', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070305', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070306', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070307', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070308', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070309', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070310', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070311', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070312', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070313', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070314', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070315', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070316', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070317', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070318', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070319', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070320', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070321', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070322', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070323', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070324', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070325', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070326', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070327', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070328', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070329', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070330', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070331', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070332', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070333', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070334', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070335', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070336', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070337', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070338', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070339', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070340', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070341', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070342', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070343', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070344', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070345', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070346', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070347', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070348', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070349', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070350', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070351', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070352', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070353', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070354', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070355', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070356', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070357', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070358', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070359', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070360', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070361', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070362', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070363', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070401', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070402', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070403', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070404', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070405', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070406', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070407', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070408', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070409', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070410', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070411', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070412', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070413', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070414', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070415', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070416', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070417', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070418', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070419', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070420', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070421', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070422', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070423', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070424', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070425', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070426', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070427', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070428', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070429', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070430', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070431', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070432', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070433', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070434', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070435', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070436', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070437', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070438', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070439', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070440', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070441', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070442', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070443', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070444', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070445', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070446', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070447', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070448', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070449', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070450', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070451', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070452', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070453', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070454', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070455', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070501', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070502', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070503', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070504', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070505', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070506', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070507', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070508', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070509', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070510', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070511', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070512', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070513', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070514', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070515', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070516', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070517', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070518', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070519', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070520', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070521', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070522', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070523', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070524', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070525', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070526', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070527', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070528', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070529', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070530', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070531', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070532', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070533', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070534', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070535', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070536', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070537', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070538', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070539', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070540', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070541', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070542', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070543', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070544', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070545', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070546', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070547', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070548', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070549', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070550', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070551', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070552', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070553', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070601', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070602', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070603', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070604', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070605', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070606', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070607', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070608', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070609', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070610', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070701', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070702', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070703', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070704', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070705', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070706', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070707', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070708', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070709', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070710', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070711', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070712', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070713', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070714', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070715', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070716', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070717', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070718', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070719', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070720', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070721', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070722', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070723', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070724', '37', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070725', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070801', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070802', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070803', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070804', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070805', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070806', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070807', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070808', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070809', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070810', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070811', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070812', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070901', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070902', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070903', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070904', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070905', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070906', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070907', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070908', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070909', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070910', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070911', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070912', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070913', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070914', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8070915', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071001', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071002', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071003', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071004', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071005', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071006', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071007', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071008', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071009', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071010', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071011', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071012', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071013', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071014', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071015', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071016', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071017', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071018', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071101', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071102', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071103', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071104', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071105', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071106', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071107', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071108', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071109', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071110', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071111', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071112', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071113', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071114', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071115', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071116', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071117', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071118', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071119', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071120', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071121', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071122', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071123', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071201', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071202', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071203', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071204', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071205', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071206', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071207', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071208', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071209', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071210', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071211', '41', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071212', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071301', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071302', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071303', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071304', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071305', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071306', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071401', '73', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071402', '53', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071403', '72', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071404', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071405', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071406', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071407', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071501', '85', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071502', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071503', '65', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071504', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071505', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071506', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071507', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071508', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071509', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071510', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071511', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071512', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071513', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071514', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071515', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071516', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071517', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071518', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071519', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071520', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071521', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071522', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071523', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071524', '61', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071525', '55', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071526', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071527', '76', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8071528', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080001', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080002', '26', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080003', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080004', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080005', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080006', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080007', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080008', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080009', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080010', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080011', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080012', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080013', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080014', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080015', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080016', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080017', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080018', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080019', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080020', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080101', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080102', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080103', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080104', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080105', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080106', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080107', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080108', '58', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080109', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080110', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080111', '68', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080112', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080113', '68', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080114', '68', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080115', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080116', '75', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080117', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080118', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080119', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080201', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080202', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080203', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080204', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080205', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080206', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080207', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080208', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080209', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080210', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080211', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080212', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080213', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080214', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080215', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080216', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080217', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080218', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080219', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080220', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080221', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080222', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080223', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080224', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080225', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080226', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080227', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080228', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080229', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080230', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080231', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080232', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080233', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080234', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080235', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080236', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080237', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080238', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080239', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080240', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080241', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080242', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080243', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080244', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080245', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080246', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080247', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080301', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080302', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080303', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080304', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080305', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080306', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080307', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080308', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080309', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080310', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080311', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080312', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080313', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080314', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080315', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080316', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080317', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080318', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080319', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080320', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080321', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080322', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080323', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080324', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080325', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080326', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080327', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080328', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080329', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080330', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080331', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080332', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080333', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080334', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080335', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080336', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080337', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080338', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080339', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080340', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080341', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080342', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080343', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080344', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080345', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080346', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080347', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080348', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080349', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080350', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080351', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080352', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080353', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080354', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080355', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080356', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080357', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080358', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080359', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080360', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080401', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080402', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080403', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080404', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080405', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080406', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080407', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080408', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080409', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080410', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080411', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080412', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080413', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080414', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080415', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080416', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080417', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080418', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080419', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080420', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080421', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080422', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080423', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080424', '48', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080425', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080426', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080427', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080428', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080429', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080430', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080431', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080432', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080433', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080434', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080435', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080436', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080437', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080438', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080439', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080440', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080441', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080442', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080443', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080444', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080445', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080446', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080447', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080448', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080449', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080450', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080451', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080452', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080453', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080454', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080455', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080456', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080457', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080458', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080459', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080460', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080461', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080462', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080501', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080502', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080503', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080504', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080505', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080506', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080507', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080508', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080509', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080510', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080511', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080512', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080513', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080514', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080515', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080516', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080517', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080518', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080519', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080520', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080521', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080522', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080523', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080524', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080525', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080526', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080527', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080528', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080529', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080530', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080531', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080532', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080533', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080534', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080535', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080536', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080537', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080538', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080539', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080540', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080541', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080542', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080543', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080544', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080545', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080546', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080547', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080548', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080549', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080550', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080551', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080552', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080553', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080554', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080555', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080556', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080557', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080558', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080559', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080560', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080561', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080562', '31', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080563', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080564', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080565', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080601', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080602', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080603', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080604', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080605', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080606', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080607', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080608', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080609', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080610', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080611', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080612', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080613', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080614', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080615', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080616', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080617', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080618', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080701', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080702', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080703', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080704', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080705', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080706', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080707', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080708', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080709', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080710', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080711', '39', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080712', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080713', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080714', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080715', '34', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080716', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080717', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080801', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080802', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080803', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080804', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080805', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080806', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080807', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080808', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080809', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080810', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080811', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080812', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080813', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080814', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080815', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080816', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080817', '42', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080818', '49', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080819', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080820', '13', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080821', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080822', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080823', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080824', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080825', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080826', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080827', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080901', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080902', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080903', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080904', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080905', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080906', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8080907', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081001', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081002', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081003', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081004', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081005', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081006', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081007', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081008', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081009', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081010', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081011', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081012', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081013', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081014', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081015', '38', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081016', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081017', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081018', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081019', '32', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081020', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081021', '40', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081022', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081023', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081101', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081102', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081103', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081104', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081105', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081106', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081107', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081108', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081109', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081110', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081111', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081112', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081113', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081114', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081115', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081116', '30', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081117', '27', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081118', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081119', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081120', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081121', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081122', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081123', '36', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081124', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081201', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081202', '33', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081203', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081204', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081205', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081206', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081207', '54', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081208', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081209', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081210', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081211', '50', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081212', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081213', '62', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081301', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081302', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081303', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081304', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081305', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081306', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081307', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081308', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081309', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081310', '14', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081311', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081312', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081401', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081402', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081403', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081404', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081501', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081601', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081602', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081603', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081604', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081605', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081606', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081607', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081608', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081609', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081610', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081611', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081612', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081613', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081614', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081615', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081616', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081617', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081618', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081619', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081620', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081621', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081622', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081623', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081701', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081702', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081703', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081704', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081705', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081706', '52', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081801', '68', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081802', '51', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081803', '68', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081804', '60', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081805', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081806', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081807', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081901', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081902', '66', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081903', '45', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081904', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081905', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081906', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081907', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081908', '57', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081909', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081910', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081911', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081912', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081913', '43', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081914', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081915', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081916', '56', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081917', '47', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081918', '70', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081919', '59', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081920', '44', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081921', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8081922', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090001', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090002', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090003', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090004', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090005', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090006', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090007', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090008', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090009', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090101', '15', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090102', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090103', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090104', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090105', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090106', '29', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090107', '28', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090108', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090109', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090110', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090201', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090202', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090203', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090204', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090205', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090206', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090207', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090208', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090301', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090302', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090303', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090304', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090305', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090306', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090307', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090401', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090402', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090403', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090404', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090405', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090406', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090407', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090408', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090501', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090502', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090503', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090504', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090505', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090506', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090507', '23', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090601', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090602', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090603', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090604', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090605', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090606', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090607', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090608', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090609', '22', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090701', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090702', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090703', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090704', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090705', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090706', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090707', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090708', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090709', '20', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090801', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090802', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090803', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090804', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090805', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090806', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090807', '24', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090901', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090902', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090903', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090904', '18', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090905', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090906', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090907', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8090908', '19', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091001', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091002', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091003', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091004', '25', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091005', '17', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091101', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091102', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091103', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091104', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091105', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091106', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091107', '21', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091201', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091202', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091203', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091204', '16', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091301', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091302', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091303', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091304', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091305', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091306', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('8091401', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010001', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010002', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010003', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010004', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010005', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010006', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010007', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010008', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010009', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010010', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010011', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010012', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010013', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010014', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010015', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010016', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010017', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010018', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010019', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010020', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010021', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010022', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010023', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010024', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010025', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010026', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010027', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010028', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010029', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010030', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010031', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010032', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010033', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010034', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010035', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010036', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010037', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010038', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010039', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010040', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010041', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010042', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010043', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010044', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010045', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010046', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010047', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010048', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010049', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010050', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010051', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010052', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010053', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010054', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010055', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010056', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010057', '7', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010058', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010059', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010060', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010061', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010062', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010063', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9010064', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030001', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030002', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030003', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030004', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030005', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030006', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030007', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030008', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030009', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030010', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030011', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030012', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030013', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030014', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030015', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030016', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030017', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030018', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030019', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030020', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030021', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030022', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030023', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030024', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030025', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030026', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030027', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030028', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030029', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030030', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030031', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030032', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030033', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030034', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030035', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030036', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030037', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030038', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030039', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030040', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030041', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030042', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030043', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030044', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030045', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030046', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030047', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030048', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030049', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030050', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030051', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030052', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030053', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030054', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030055', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030056', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030057', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030058', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030059', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030060', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030061', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030062', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030063', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030064', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9030065', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040001', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040002', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040003', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040004', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040005', '8', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040006', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040007', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040008', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040009', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040010', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040011', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040012', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040013', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040014', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040015', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040016', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040017', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040018', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040019', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040020', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040021', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040022', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040023', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040024', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040025', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040026', '9', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040027', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040028', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040029', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040030', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040031', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040032', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040033', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040034', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040035', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040036', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040037', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040038', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040039', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040040', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040041', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040042', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040043', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040044', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040045', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040046', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040047', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040048', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040049', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040050', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040051', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040052', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040053', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040054', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040055', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040056', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040057', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040058', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040059', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040060', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040061', '6', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040062', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040063', '11', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040064', '12', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040065', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040066', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040067', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9040068', '10', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050001', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050002', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050003', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050004', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050005', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050006', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050007', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050008', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050009', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050010', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050011', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050012', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050013', '2', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050014', '3', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050015', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050016', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050017', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050018', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050019', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050020', '4', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050021', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050022', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050023', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050024', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050025', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050026', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050027', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050028', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050029', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050030', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050031', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050032', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050033', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050034', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050035', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050036', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050037', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050038', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050039', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050040', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050041', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050042', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050043', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050044', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050045', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050046', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050047', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050048', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050049', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050050', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050051', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050052', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050053', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050054', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050055', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050056', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050057', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050058', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050059', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050060', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050061', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050062', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050063', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050064', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050065', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050066', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050067', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050068', '5', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050069', '1', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050070', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050071', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050072', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050073', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050074', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050075', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050076', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050077', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050078', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050079', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050080', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_armor` VALUES ('9050081', '0', '0', '0', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010001', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '11', '1015009', '5', '-1', '0', '-1', '22', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010002', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '9', '1015004', '4', '-1', '0', '-1', '30', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010003', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '15', '-1', '0', '-1', '0', '-1', '30', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010004', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '13', '15005', '2', '-1', '0', '-1', '45', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010005', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015030', '18', '1015035', '18', '-1', '0', '-1', '8', '-1', '8', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010006', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '13', '1015004', '7', '-1', '0', '-1', '15', '-1', '3', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010007', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '11', '1015007', '5', '-1', '0', '-1', '24', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010008', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '7', '1015009', '3', '-1', '0', '-1', '51', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010009', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '11', '1015006', '5', '-1', '0', '-1', '22', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010010', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '9', '15022', '10', '-1', '0', '-1', '32', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010011', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '8', '1015004', '3', '-1', '0', '-1', '41', '-1', '6', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010012', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '6', '-1', '0', '-1', '0', '-1', '180', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010013', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '9', '-1', '0', '-1', '0', '-1', '33', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010014', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '11', '1015004', '5', '-1', '0', '-1', '24', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010015', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015030', '16', '1015035', '16', '-1', '0', '-1', '10', '-1', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010016', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '10', '-1', '0', '-1', '0', '-1', '70', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010017', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015018', '7', '1015007', '3', '-1', '0', '-1', '51', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010018', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015030', '14', '1015035', '14', '-1', '0', '-1', '12', '-1', '12', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010019', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015030', '12', '1015035', '11', '-1', '0', '-1', '15', '-1', '15', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010020', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '5', '-1', '0', '-1', '0', '-1', '220', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010021', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '7', '-1', '0', '-1', '0', '-1', '130', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010022', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '8', '-1', '0', '-1', '0', '-1', '90', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010023', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015001', '5', '15005', '10', '-1', '0', '-1', '230', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010024', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010101', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '13', '1015032', '10', '1015005', '7', '-1', '7', '-1', '3', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010102', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '13', '1015032', '10', '1015008', '7', '-1', '7', '-1', '3', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010103', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '13', '1015032', '10', '1015009', '7', '-1', '7', '-1', '3', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010104', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '11', '1015032', '10', '1015006', '5', '-1', '11', '-1', '5', '-1', '4', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010105', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '13', '1015032', '10', '1015007', '7', '-1', '7', '-1', '3', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010106', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '11', '1015032', '10', '1015009', '5', '-1', '11', '-1', '5', '-1', '4', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010107', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '8', '1015032', '9', '1015004', '3', '-1', '24', '-1', '9', '-1', '6', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010108', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '11', '1015032', '10', '1015004', '5', '-1', '12', '-1', '5', '-1', '4', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010109', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '7', '1015032', '8', '1015006', '3', '-1', '34', '-1', '11', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010110', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '7', '1015032', '8', '1015009', '3', '-1', '34', '-1', '11', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010111', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '7', '1015032', '8', '1015007', '3', '-1', '34', '-1', '11', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010112', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '13', '1015032', '10', '1015004', '7', '-1', '8', '-1', '3', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010113', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '9', '1015032', '9', '1015007', '4', '-1', '15', '-1', '7', '-1', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010114', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '13', '1015032', '10', '1015006', '7', '-1', '7', '-1', '3', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010115', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '9', '1015032', '9', '15020', '10', '-1', '17', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010118', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015016', '8', '1015032', '9', '15001', '10', '-1', '23', '-1', '9', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010201', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '13', '1015005', '7', '-1', '0', '-1', '15', '-1', '3', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010202', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '12', '1015034', '20', '1015009', '7', '-1', '10', '-1', '5', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010203', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '11', '1015006', '5', '-1', '0', '-1', '22', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010204', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '7', '1015005', '3', '-1', '0', '-1', '51', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010205', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '8', '1015005', '3', '-1', '0', '-1', '41', '-1', '6', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010206', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '9', '1015005', '4', '-1', '0', '-1', '30', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010207', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '9', '1015006', '4', '-1', '0', '-1', '32', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010208', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '8', '1015006', '3', '-1', '0', '-1', '41', '-1', '6', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010209', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '11', '1015005', '5', '-1', '0', '-1', '22', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010210', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '10', '1015034', '18', '1015009', '5', '-1', '15', '-1', '7', '-1', '4', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010211', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015019', '7', '1015006', '3', '-1', '0', '-1', '53', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010301', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '8', '1015033', '16', '1015007', '4', '-1', '20', '-1', '10', '-1', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010302', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '12', '1015033', '20', '1015005', '7', '-1', '10', '-1', '5', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010303', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '6', '1015033', '12', '1015007', '3', '-1', '31', '-1', '15', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010304', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '7', '1015007', '3', '-1', '0', '-1', '24', '-1', '6', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010305', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '10', '1015033', '18', '1015007', '5', '-1', '17', '-1', '7', '-1', '4', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010306', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '7', '1015033', '14', '1015007', '3', '-1', '25', '-1', '13', '-1', '6', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010307', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '6', '1015034', '12', '1015008', '3', '-1', '31', '-1', '15', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010308', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '6', '1015033', '12', '1015005', '3', '-1', '33', '-1', '16', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010309', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '10', '1015033', '18', '1015005', '5', '-1', '15', '-1', '7', '-1', '4', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010310', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '8', '1015033', '16', '1015005', '4', '-1', '22', '-1', '11', '-1', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010311', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015017', '7', '1015033', '14', '1015005', '3', '-1', '28', '-1', '12', '-1', '6', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010312', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015028', '9', '1015008', '4', '-1', '0', '-1', '16', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010313', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015028', '7', '1015008', '3', '-1', '0', '-1', '32', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010314', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015028', '8', '1015007', '3', '-1', '0', '-1', '23', '-1', '6', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010315', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015028', '11', '1015007', '5', '-1', '0', '-1', '11', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010316', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015028', '13', '1015008', '7', '-1', '0', '-1', '7', '-1', '3', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010317', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015028', '7', '1015007', '3', '-1', '0', '-1', '34', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010401', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '1015007', '5', '-1', '0', '-1', '10', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010402', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '8', '1015008', '4', '-1', '0', '-1', '17', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010403', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '8', '15038', '5', '-1', '0', '-1', '15', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010404', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '12', '1015007', '7', '-1', '0', '-1', '6', '-1', '3', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010405', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '8', '1015007', '4', '-1', '0', '-1', '17', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010406', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '6', '1015008', '3', '-1', '0', '-1', '33', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010407', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '6', '1015007', '3', '-1', '0', '-1', '34', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010408', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '12', '-1', '0', '-1', '0', '-1', '7', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010409', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '7', '-1', '0', '-1', '0', '-1', '24', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010410', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '-1', '0', '-1', '0', '-1', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010411', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '12', '-1', '0', '-1', '0', '-1', '7', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010412', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '1015008', '5', '-1', '0', '-1', '9', '-1', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010413', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '15038', '5', '-1', '0', '-1', '9', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010414', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '-1', '0', '-1', '0', '-1', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010415', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '-1', '0', '-1', '0', '-1', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010416', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '-1', '0', '-1', '0', '-1', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010417', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '12', '-1', '0', '-1', '0', '-1', '7', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010418', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015024', '10', '-1', '0', '-1', '0', '-1', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010419', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '0', '1015019', '13', '-1', '0', '-1', '0', '-1', '20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010420', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '0', '1015019', '13', '-1', '0', '-1', '0', '-1', '20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010421', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '0', '1015019', '13', '-1', '0', '-1', '0', '-1', '20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010501', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '8', '1015034', '16', '1015007', '4', '-1', '20', '-1', '10', '-1', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010502', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '8', '1015034', '16', '1015009', '4', '-1', '20', '-1', '10', '-1', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010503', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '6', '1015034', '12', '15001', '15', '-1', '32', '-1', '15', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010504', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '7', '1015034', '14', '1015009', '3', '-1', '25', '-1', '12', '-1', '6', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010505', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '7', '1015034', '14', '15001', '15', '-1', '25', '-1', '12', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010506', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '12', '1015034', '20', '1015008', '7', '-1', '10', '-1', '5', '-1', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010507', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '6', '1015034', '12', '1015009', '3', '-1', '31', '-1', '15', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010508', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '6', '1015034', '12', '1015007', '3', '-1', '31', '-1', '15', '-1', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010509', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '12', '1015034', '20', '-1', '0', '-1', '11', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010510', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015029', '8', '1015034', '16', '1015008', '4', '-1', '22', '-1', '10', '-1', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010601', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010602', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010603', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015030', '20', '1015035', '20', '-1', '0', '-1', '5', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010604', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015030', '18', '1015035', '18', '-1', '0', '-1', '7', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010605', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015002', '15', '1015031', '20', '-1', '0', '-1', '30', '-1', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010606', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015002', '5', '1015031', '12', '-1', '0', '-1', '190', '-1', '15', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010607', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015002', '7', '1015031', '14', '-1', '0', '-1', '120', '-1', '12', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010608', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015002', '6', '1015031', '12', '15009', '3', '-1', '160', '-1', '16', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010609', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010610', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015002', '8', '1015031', '16', '-1', '0', '-1', '80', '-1', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010611', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015002', '10', '1015031', '18', '-1', '0', '-1', '50', '-1', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3010612', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '1015030', '11', '1015035', '12', '-1', '0', '-1', '15', '-1', '15', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011001', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011002', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011003', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011004', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011005', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011006', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011007', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011008', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011009', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011010', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011011', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011012', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011013', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011014', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011015', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011016', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011017', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011018', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011019', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011020', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011101', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011102', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011103', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011104', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011105', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011106', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011107', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011108', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011109', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011110', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011111', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011112', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011113', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011114', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011115', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011116', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011117', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011118', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011119', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011120', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011121', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011122', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011123', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011124', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011125', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011126', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011127', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011128', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011129', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011130', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011131', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011132', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011133', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011134', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011135', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011136', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011137', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011201', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011202', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011203', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011204', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011205', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011206', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011207', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011208', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011209', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011210', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011211', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011212', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011213', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011214', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011215', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011216', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011217', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011218', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011219', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011220', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011221', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011222', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011223', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011224', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011225', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011226', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011227', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011228', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011229', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011230', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011231', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011301', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011302', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011303', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011304', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011305', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011306', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011307', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011308', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011309', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011310', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011311', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011312', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011313', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011314', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011315', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011316', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011317', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011318', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011319', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011401', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011402', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011403', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011404', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011405', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011406', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011407', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011408', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011409', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011410', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011411', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011412', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011413', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011414', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011415', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011416', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011417', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011418', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011419', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011420', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011451', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011452', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011453', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011454', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011455', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011456', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011457', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011458', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011459', '0', '0', '-1', '0', '-1', '0', '1015063', '3', '-1', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011501', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011502', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011503', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011504', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011505', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011506', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011507', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011508', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011509', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011510', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011511', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011512', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011513', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011514', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011515', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011516', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011517', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011518', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011519', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011520', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011521', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011522', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011523', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011524', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011525', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011526', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011527', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011528', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011529', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011530', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011531', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011532', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011533', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011534', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011535', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011536', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011537', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011538', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011539', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011540', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011541', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011542', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011543', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011544', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3011545', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020001', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '40', '-1', '0', '-1', '0', '-1', '100', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020002', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '30', '-1', '0', '-1', '0', '-1', '300', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020003', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '20', '-1', '0', '-1', '0', '-1', '600', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020004', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020005', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020006', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '40', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020007', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '40', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020008', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '40', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020009', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '40', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020010', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '40', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020011', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '40', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020101', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '40', '-1', '0', '-1', '0', '-1', '100', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020102', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '300', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020103', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '20', '-1', '0', '-1', '0', '-1', '600', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020104', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020105', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020106', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020107', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020108', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020109', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020110', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020201', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '50', '1016002', '30', '-1', '0', '-1', '2000', '-1', '1050', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020202', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '50', '-1', '0', '-1', '0', '-1', '2000', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020203', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016002', '30', '-1', '0', '-1', '0', '-1', '1050', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020204', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1016001', '20', '1016002', '20', '-1', '0', '-1', '850', '-1', '600', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020301', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020302', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020303', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020304', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020305', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '15052', '100', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020306', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020307', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020308', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020309', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020401', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020402', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020403', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020404', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020405', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '15052', '-80', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020406', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020407', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020408', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020409', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020410', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020411', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020412', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020413', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020501', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020502', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020503', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020504', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1015063', '50', '-1', '0', '-1', '0', '-1', '9000', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020505', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1015063', '50', '-1', '0', '-1', '0', '-1', '9000', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020506', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020507', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020508', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020509', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1015063', '50', '-1', '0', '-1', '0', '-1', '4000', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020510', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1015063', '50', '-1', '0', '-1', '0', '-1', '4000', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020511', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015001', '5', '-1', '0', '-1', '0', '-1', '250', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020512', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015004', '22', '1015018', '26', '-1', '0', '-1', '20', '-1', '45', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020513', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015004', '18', '1015018', '22', '-1', '0', '-1', '30', '-1', '90', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020514', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015004', '14', '1015018', '18', '-1', '0', '-1', '40', '-1', '125', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020515', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015005', '22', '1015019', '26', '-1', '0', '-1', '20', '-1', '45', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020516', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015005', '18', '1015019', '22', '-1', '0', '-1', '30', '-1', '90', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020517', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015005', '14', '1015019', '18', '-1', '0', '-1', '40', '-1', '125', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020518', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015006', '22', '1015016', '24', '-1', '0', '-1', '20', '-1', '40', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020519', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015006', '18', '1015016', '20', '-1', '0', '-1', '30', '-1', '60', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020520', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015006', '14', '1015016', '16', '-1', '0', '-1', '40', '-1', '80', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020521', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015007', '22', '1015024', '24', '-1', '0', '-1', '20', '-1', '40', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020522', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015007', '18', '1015024', '20', '-1', '0', '-1', '30', '-1', '60', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020523', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015007', '14', '1015024', '16', '-1', '0', '-1', '40', '-1', '80', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020524', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015008', '22', '1015025', '24', '-1', '0', '-1', '20', '-1', '40', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020525', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015008', '18', '1015025', '20', '-1', '0', '-1', '30', '-1', '60', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020526', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015008', '14', '1015025', '16', '-1', '0', '-1', '40', '-1', '80', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020527', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015009', '22', '1015029', '24', '-1', '0', '-1', '20', '-1', '40', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020528', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015009', '18', '1015029', '20', '-1', '0', '-1', '30', '-1', '60', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020529', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015009', '14', '1015029', '16', '-1', '0', '-1', '40', '-1', '80', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020530', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020531', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020532', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020533', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020534', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020535', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020536', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '10', '1015001', '6', '-1', '0', '-1', '0', '-1', '300', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020537', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1015018', '22', '1015024', '20', '-1', '0', '-1', '90', '-1', '60', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020538', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020601', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020602', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020603', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020604', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020605', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020606', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020607', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020608', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020609', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020610', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020611', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020612', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020613', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020614', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020615', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3020616', '0', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910001', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910005', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910006', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910007', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910008', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910009', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910101', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910102', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910103', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910104', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910201', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910202', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910203', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910204', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910301', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910302', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910303', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910304', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910305', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910306', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910401', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910402', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3910403', '5', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920001', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920002', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920003', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920004', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920005', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920006', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920007', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920008', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920009', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920010', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920011', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920012', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920013', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920014', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920015', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920016', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920017', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920018', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920019', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920020', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3920021', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940001', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940002', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940003', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940004', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940005', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940006', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940007', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940008', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940009', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940010', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940011', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940012', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940101', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940102', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940103', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940104', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940105', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940106', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940107', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940108', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940109', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('3940110', '6', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020001', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020002', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '8', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020003', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '12', '15040', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020004', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '14', '15040', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020005', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '7', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020006', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '13', '15040', '7', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020007', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '15', '15040', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020008', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '14', '15040', '8', '15015', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020009', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15008', '2', '15016', '2', '15020', '17', '15040', '10', '-1', '0', '0', '0', '57');
INSERT INTO `gamedata_items_equipment` VALUES ('4020010', '37', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15010', '15', '15018', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1002', '0', '53');
INSERT INTO `gamedata_items_equipment` VALUES ('4020011', '37', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '20', '15040', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020012', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '25', '15040', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020101', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020102', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020103', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020104', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020105', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020106', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15006', '2', '15016', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020107', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020108', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020109', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020110', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '7', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020111', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020112', '37', '29', '-1', '0', '-1', '0', '20024', '0', '-1', '0', '15016', '30', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1021', '0', '55');
INSERT INTO `gamedata_items_equipment` VALUES ('4020113', '37', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '15', '15018', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020201', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020202', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '15020', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020203', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '15020', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020204', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15006', '3', '15016', '5', '15017', '3', '15020', '7', '15010', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020205', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15005', '2', '15019', '3', '15016', '6', '15020', '9', '15040', '2', '0', '0', '57');
INSERT INTO `gamedata_items_equipment` VALUES ('4020206', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020207', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '15020', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020208', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15020', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020209', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '15020', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020210', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '15', '15020', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020211', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '10', '15020', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020301', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020302', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020303', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '40', '15016', '-20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020304', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15008', '2', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020305', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15006', '3', '15016', '1', '15020', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020306', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020307', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020308', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020309', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020310', '37', '29', '-1', '0', '-1', '0', '20005', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1013', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020311', '37', '29', '-1', '0', '-1', '0', '20006', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1014', '0', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020401', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20057', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020402', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20051', '0', '15017', '30', '15018', '60', '15050', '5', '15002', '70', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020403', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15004', '7', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '1');
INSERT INTO `gamedata_items_equipment` VALUES ('4020404', '37', '29', '16007', '5', '15018', '30', '-1', '0', '-1', '0', '15016', '20', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020405', '37', '29', '16008', '5', '15018', '25', '-1', '0', '-1', '0', '15016', '25', '15001', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020406', '37', '29', '16009', '5', '15016', '20', '-1', '0', '-1', '0', '15018', '30', '15019', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020407', '37', '29', '-1', '0', '-1', '0', '20015', '0', '-1', '0', '15016', '25', '15022', '40', '15012', '15', '-1', '0', '-1', '0', '-1', '0', '1006', '0', '77');
INSERT INTO `gamedata_items_equipment` VALUES ('4020408', '37', '29', '16010', '1', '15007', '40', '-1', '0', '-1', '0', '15052', '-15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020409', '37', '29', '16010', '1', '15016', '30', '-1', '0', '-1', '0', '15052', '-15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020410', '37', '29', '16010', '1', '15018', '45', '-1', '0', '-1', '0', '15052', '-15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4020411', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '5', '15016', '10', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '55');
INSERT INTO `gamedata_items_equipment` VALUES ('4030001', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030002', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030003', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030004', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '2', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030005', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030006', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15040', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030007', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030008', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '15040', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030009', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030010', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030011', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030012', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030013', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030014', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030015', '36', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030016', '36', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '15', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030101', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030102', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030103', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030104', '36', '29', '-1', '0', '-1', '0', '20007', '0', '-1', '0', '15020', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1015', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030105', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '4', '15040', '1', '15052', '25', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030106', '36', '29', '-1', '0', '-1', '0', '20009', '0', '-1', '0', '15020', '4', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1017', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030107', '36', '29', '-1', '0', '-1', '0', '20010', '0', '-1', '0', '15020', '2', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1018', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030108', '36', '29', '-1', '0', '-1', '0', '20011', '0', '-1', '0', '15020', '2', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1019', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030109', '36', '29', '-1', '0', '-1', '0', '20012', '0', '-1', '0', '15020', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1020', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030110', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '2', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030111', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030112', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15020', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030113', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '1', '15005', '1', '15016', '2', '15020', '5', '15040', '3', '0', '0', '69');
INSERT INTO `gamedata_items_equipment` VALUES ('4030114', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030115', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '4', '15040', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030116', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '5', '15040', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030117', '36', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '10', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030118', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15052', '5', '15020', '4', '15040', '1', '15052', '30', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030201', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030202', '36', '29', '-1', '0', '-1', '0', '20014', '0', '-1', '0', '15005', '1', '15006', '1', '15009', '1', '15040', '1', '15011', '4', '-1', '0', '1003', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030203', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030204', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15040', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030205', '36', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030301', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030302', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030303', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '3', '15018', '7', '15019', '5', '-1', '0', '-1', '0', '0', '0', '69');
INSERT INTO `gamedata_items_equipment` VALUES ('4030304', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030305', '36', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030401', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030402', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030403', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030404', '36', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15001', '16', '15004', '1', '15005', '2', '15010', '5', '-1', '0', '-1', '0', '1001', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030405', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030406', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030407', '36', '29', '-1', '0', '-1', '0', '20024', '0', '-1', '0', '15016', '30', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1021', '0', '71');
INSERT INTO `gamedata_items_equipment` VALUES ('4030408', '36', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '10', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030501', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030502', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030503', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030504', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030505', '36', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15005', '3', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030506', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030507', '36', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15010', '15', '15018', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1002', '0', '70');
INSERT INTO `gamedata_items_equipment` VALUES ('4030601', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20057', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030602', '36', '29', '-1', '0', '-1', '0', '20025', '0', '-1', '0', '20050', '0', '15016', '40', '15025', '15', '15001', '120', '-1', '0', '-1', '0', '1023', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030603', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15004', '7', '15008', '7', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030604', '36', '29', '16007', '5', '15018', '30', '-1', '0', '-1', '0', '15016', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030605', '36', '29', '16008', '5', '15008', '20', '-1', '0', '-1', '0', '15016', '20', '15005', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030606', '36', '29', '16009', '5', '15018', '40', '-1', '0', '-1', '0', '15020', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030607', '36', '29', '-1', '0', '-1', '0', '20015', '0', '-1', '0', '15041', '15', '15012', '15', '15052', '20', '-1', '0', '-1', '0', '-1', '0', '1006', '0', '76');
INSERT INTO `gamedata_items_equipment` VALUES ('4030608', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '5', '15016', '10', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '71');
INSERT INTO `gamedata_items_equipment` VALUES ('4030701', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030702', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030703', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030704', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030705', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030706', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030707', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030708', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030709', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '2');
INSERT INTO `gamedata_items_equipment` VALUES ('4030710', '36', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15029', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4030711', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '20', '15017', '10', '15016', '-20', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040001', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040002', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040003', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040004', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040005', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040006', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15020', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040007', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '2', '15016', '2', '15045', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040008', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15020', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040009', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040010', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15016', '3', '15043', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040011', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15018', '7', '15020', '9', '15029', '2', '-1', '0', '-1', '0', '0', '0', '62');
INSERT INTO `gamedata_items_equipment` VALUES ('4040012', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15016', '3', '15047', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040013', '37', '29', '-1', '0', '-1', '0', '20024', '0', '-1', '0', '15016', '30', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1021', '0', '66');
INSERT INTO `gamedata_items_equipment` VALUES ('4040014', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '7', '15047', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040101', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040102', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040103', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15040', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040104', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040105', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040106', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '15040', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040107', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040108', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '6', '15040', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040109', '37', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15010', '15', '15018', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1002', '0', '65');
INSERT INTO `gamedata_items_equipment` VALUES ('4040110', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15005', '2', '15018', '3', '15016', '1', '15020', '1', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040111', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '15', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040201', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15020', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040202', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15020', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040203', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15005', '2', '15018', '3', '15019', '4', '15020', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040204', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15005', '3', '15018', '7', '15020', '12', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040205', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15020', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040206', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15020', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040207', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '15020', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040208', '37', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '7', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040301', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040302', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '5', '15018', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040303', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '-1', '15018', '6', '15017', '-3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040304', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040305', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040306', '37', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040401', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15020', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040402', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15006', '1', '15020', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040403', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040404', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '2', '15018', '4', '15017', '4', '15020', '6', '15040', '2', '0', '0', '62');
INSERT INTO `gamedata_items_equipment` VALUES ('4040405', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15020', '2', '15040', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040406', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15005', '3', '15020', '15', '15040', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040407', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15020', '10', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040408', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '40', '15016', '-20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040501', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20057', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040502', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20052', '0', '15018', '30', '15019', '30', '15052', '50', '15049', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040503', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15005', '7', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '3');
INSERT INTO `gamedata_items_equipment` VALUES ('4040504', '37', '29', '16007', '5', '15018', '30', '-1', '0', '-1', '0', '15016', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040505', '37', '29', '16008', '5', '15005', '30', '-1', '0', '-1', '0', '15016', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040506', '37', '29', '16009', '5', '15016', '20', '-1', '0', '-1', '0', '15018', '25', '15019', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040507', '37', '29', '-1', '0', '-1', '0', '20015', '0', '-1', '0', '15016', '25', '15022', '40', '15012', '15', '-1', '0', '-1', '0', '-1', '0', '1006', '0', '78');
INSERT INTO `gamedata_items_equipment` VALUES ('4040508', '37', '29', '16010', '1', '15005', '40', '-1', '0', '-1', '0', '15001', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040509', '37', '29', '16010', '1', '15016', '30', '-1', '0', '-1', '0', '15001', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040510', '37', '29', '16010', '1', '15018', '45', '-1', '0', '-1', '0', '15001', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4040511', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '5', '15016', '10', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '66');
INSERT INTO `gamedata_items_equipment` VALUES ('4050001', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4060001', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070001', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070002', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070003', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070004', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070005', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '26', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070006', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070007', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15004', '2', '15009', '2', '15016', '24', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070008', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15008', '2', '15018', '5', '15016', '5', '-1', '0', '-1', '0', '0', '0', '58');
INSERT INTO `gamedata_items_equipment` VALUES ('4070009', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070010', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070011', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070012', '38', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070013', '38', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070101', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070102', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070103', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '15016', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070104', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '7', '15016', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070105', '38', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15009', '2', '15018', '8', '15016', '20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070106', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '8', '15016', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070107', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '9', '15016', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070108', '38', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15016', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070201', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070202', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070203', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '14', '15016', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070204', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15016', '5', '15020', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070205', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '15016', '6', '15020', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070206', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '7', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070207', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '13', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070208', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '7', '15016', '7', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070209', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15008', '1', '15018', '12', '15016', '5', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070210', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '8', '15016', '8', '15020', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070211', '38', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15009', '3', '15018', '18', '15016', '16', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070212', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '10', '15020', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070213', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15016', '15', '15020', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070214', '38', '29', '-1', '0', '-1', '0', '20024', '0', '-1', '0', '15016', '30', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1021', '0', '61');
INSERT INTO `gamedata_items_equipment` VALUES ('4070215', '38', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '20', '15016', '20', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070301', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15016', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070302', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '8', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070303', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070304', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070305', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '-1', '15008', '-1', '15009', '3', '15018', '13', '15016', '5', '15017', '3', '0', '0', '58');
INSERT INTO `gamedata_items_equipment` VALUES ('4070306', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070307', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '12', '15016', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070308', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15016', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070309', '38', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15010', '15', '15018', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1002', '0', '60');
INSERT INTO `gamedata_items_equipment` VALUES ('4070310', '38', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '18', '15016', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070311', '38', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '25', '15016', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070312', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '40', '15016', '-20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070401', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20057', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070402', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20054', '0', '15016', '40', '15018', '15', '15052', '-30', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070403', '38', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15006', '7', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '5');
INSERT INTO `gamedata_items_equipment` VALUES ('4070404', '38', '29', '16007', '5', '15018', '30', '-1', '0', '-1', '0', '15016', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070405', '38', '29', '16008', '5', '15018', '25', '-1', '0', '-1', '0', '15016', '25', '15001', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070406', '38', '29', '16009', '5', '15016', '20', '-1', '0', '-1', '0', '15018', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070407', '38', '29', '-1', '0', '-1', '0', '20015', '0', '-1', '0', '15022', '40', '15016', '25', '15012', '15', '-1', '0', '-1', '0', '-1', '0', '1006', '0', '79');
INSERT INTO `gamedata_items_equipment` VALUES ('4070408', '38', '29', '16010', '1', '15022', '75', '-1', '0', '-1', '0', '15020', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070409', '38', '29', '16010', '1', '15018', '45', '-1', '0', '-1', '0', '15020', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070410', '38', '29', '16010', '1', '15016', '30', '-1', '0', '-1', '0', '15020', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4070411', '38', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15016', '10', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '61');
INSERT INTO `gamedata_items_equipment` VALUES ('4080001', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '2', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080002', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080003', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080004', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080005', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15040', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080006', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15004', '2', '15018', '4', '15016', '5', '15017', '2', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080007', '37', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15010', '15', '15018', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1002', '0', '54');
INSERT INTO `gamedata_items_equipment` VALUES ('4080008', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '6', '15040', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080009', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '10', '15040', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080010', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '25', '15040', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080011', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '40', '15016', '-20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080101', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080102', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080103', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '22', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080104', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '12', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080105', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15020', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080106', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '18', '15020', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080107', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '25', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080108', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080109', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '5', '15018', '23', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080110', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15006', '2', '15018', '22', '15016', '5', '-1', '0', '-1', '0', '0', '0', '52');
INSERT INTO `gamedata_items_equipment` VALUES ('4080201', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080202', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080203', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080204', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080205', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080206', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080207', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '8', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080208', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080209', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '7', '15016', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080210', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080211', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15004', '2', '15018', '10', '15016', '5', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080212', '37', '29', '-1', '0', '-1', '0', '20024', '0', '-1', '0', '15016', '30', '15020', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1021', '0', '56');
INSERT INTO `gamedata_items_equipment` VALUES ('4080213', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15016', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080301', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080302', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15005', '-1', '15018', '12', '15019', '-5', '15016', '5', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080303', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15004', '3', '15018', '18', '15016', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080304', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15040', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080305', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080306', '37', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '20', '15040', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080401', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080402', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '13', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080403', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080404', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15018', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080405', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15009', '2', '15018', '22', '15016', '5', '15017', '4', '-1', '0', '0', '0', '52');
INSERT INTO `gamedata_items_equipment` VALUES ('4080406', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080407', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15016', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080408', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '18', '15016', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080409', '37', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '25', '15016', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080501', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20057', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080502', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20053', '0', '15016', '30', '15022', '100', '15020', '30', '15051', '30', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080503', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15009', '7', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '4');
INSERT INTO `gamedata_items_equipment` VALUES ('4080504', '37', '29', '16007', '5', '15018', '30', '-1', '0', '-1', '0', '15016', '20', '15020', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080505', '37', '29', '16008', '5', '15018', '25', '-1', '0', '-1', '0', '15016', '25', '15001', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080506', '37', '29', '16009', '5', '15016', '20', '-1', '0', '-1', '0', '15018', '30', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080507', '37', '29', '-1', '0', '-1', '0', '20015', '0', '-1', '0', '15016', '25', '15022', '45', '15012', '15', '-1', '0', '-1', '0', '-1', '0', '1006', '0', '77');
INSERT INTO `gamedata_items_equipment` VALUES ('4080508', '37', '29', '16010', '1', '15016', '30', '-1', '0', '-1', '0', '15052', '-15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080509', '37', '29', '16010', '1', '15018', '45', '-1', '0', '-1', '0', '15052', '-15', '15001', '-10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080510', '37', '29', '16010', '1', '15009', '35', '-1', '0', '-1', '0', '15052', '-30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4080511', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '5', '15016', '10', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '56');
INSERT INTO `gamedata_items_equipment` VALUES ('4090001', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100001', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100002', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100003', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100004', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15007', '1', '15009', '1', '15029', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100005', '2', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '-1', '0', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100006', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100007', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100008', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100101', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100102', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100103', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100104', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100105', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100106', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100107', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100108', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100109', '2', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100110', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100111', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100112', '2', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100201', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100202', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100203', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15009', '2', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '68');
INSERT INTO `gamedata_items_equipment` VALUES ('4100204', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100205', '2', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100206', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '10', '15019', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100301', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100302', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100303', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100304', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100305', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100306', '2', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100307', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100308', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100401', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100402', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100403', '2', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15018', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100404', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '2', '15018', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100405', '2', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100501', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100502', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100503', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100504', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100505', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100506', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100507', '2', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100508', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '50');
INSERT INTO `gamedata_items_equipment` VALUES ('4100509', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100510', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100511', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100601', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100602', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100603', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15004', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100604', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100605', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100606', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100607', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15028', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100608', '2', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100609', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '7', '15052', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100701', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100702', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100703', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100704', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100705', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100706', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100707', '2', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100708', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '68');
INSERT INTO `gamedata_items_equipment` VALUES ('4100709', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100710', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100711', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '6');
INSERT INTO `gamedata_items_equipment` VALUES ('4100712', '2', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100713', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15079', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100801', '2', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '5', '15015', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100802', '2', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15013', '5', '15014', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100803', '2', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15012', '5', '15011', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100804', '2', '29', '16007', '4', '15038', '15', '-1', '0', '-1', '0', '15029', '10', '15001', '60', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100805', '2', '29', '16010', '1', '15001', '100', '-1', '0', '-1', '0', '15025', '5', '15019', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100806', '2', '29', '16008', '4', '15036', '15', '-1', '0', '-1', '0', '15029', '10', '15001', '60', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100807', '2', '29', '16010', '1', '15001', '120', '-1', '0', '-1', '0', '15025', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100808', '2', '29', '16009', '4', '15007', '7', '-1', '0', '-1', '0', '15029', '10', '15001', '60', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100809', '2', '29', '16010', '1', '15001', '85', '-1', '0', '-1', '0', '15025', '5', '15018', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100810', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15019', '25', '15050', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100811', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100812', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('4100813', '2', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5010001', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020001', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020002', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15028', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020003', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '3', '15028', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020004', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '3', '15028', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020005', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '4', '15028', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020006', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '6', '15028', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020007', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '3', '15028', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020008', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '4', '15028', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020009', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15008', '2', '15024', '12', '15028', '17', '15036', '2', '-1', '0', '0', '0', '49');
INSERT INTO `gamedata_items_equipment` VALUES ('5020010', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '5', '15028', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020011', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '6', '15028', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020012', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '7', '15028', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020013', '36', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '15', '15028', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020014', '36', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '10', '15028', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020101', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '5', '15036', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020102', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '6', '15036', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020103', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '7', '15036', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020104', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '-20', '15038', '120', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020105', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '7', '15036', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020106', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '6', '15036', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020107', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '8', '15007', '2', '15008', '2', '15028', '7', '15036', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020108', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '7', '15036', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020109', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '8', '15036', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020110', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '15036', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020111', '37', '29', '-1', '0', '-1', '0', '20025', '0', '-1', '0', '15028', '30', '15036', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1022', '0', '74');
INSERT INTO `gamedata_items_equipment` VALUES ('5020112', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '15', '15036', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020113', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '20', '15036', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020114', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '6', '15028', '9', '15036', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '75');
INSERT INTO `gamedata_items_equipment` VALUES ('5020115', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020201', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020202', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '19', '15045', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020203', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '19', '15046', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020204', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '19', '15047', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020205', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '19', '15044', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020206', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '19', '15043', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020207', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '19', '15048', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020208', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '24', '15007', '4', '15024', '17', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020209', '36', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15007', '2', '15024', '18', '15028', '1', '15036', '1', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020210', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '1', '15024', '12', '15045', '6', '15012', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020211', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '1', '15024', '14', '15044', '7', '15011', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020212', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '1', '15024', '16', '15046', '8', '15013', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020213', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '1', '15024', '18', '15043', '9', '15010', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020214', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '2', '15024', '20', '15047', '10', '15014', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020215', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '2', '15024', '22', '15048', '11', '15015', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020216', '36', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15010', '15', '15024', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1002', '0', '73');
INSERT INTO `gamedata_items_equipment` VALUES ('5020217', '36', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '25', '15047', '15', '15014', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020301', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '6', '15036', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020302', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '7', '15036', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020303', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '3', '15028', '8', '15036', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020304', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020305', '36', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15007', '3', '15024', '1', '15028', '9', '15036', '24', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020306', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '7', '15036', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '9');
INSERT INTO `gamedata_items_equipment` VALUES ('5020307', '36', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '15', '15036', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020401', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20057', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020402', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20056', '0', '15007', '45', '15036', '35', '15027', '20', '15102', '50', '15024', '30', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020403', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '10', '15001', '80', '15007', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '10');
INSERT INTO `gamedata_items_equipment` VALUES ('5020404', '36', '29', '16007', '4', '15043', '60', '-1', '0', '-1', '0', '15007', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020405', '36', '29', '16008', '4', '15044', '60', '-1', '0', '-1', '0', '15007', '15', '15027', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020406', '36', '29', '16009', '4', '15028', '43', '-1', '0', '-1', '0', '15001', '70', '15002', '-70', '15013', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020407', '37', '29', '-1', '0', '-1', '0', '20015', '0', '-1', '0', '15012', '15', '15052', '-30', '15028', '25', '15007', '30', '-1', '0', '-1', '0', '1006', '0', '80');
INSERT INTO `gamedata_items_equipment` VALUES ('5020408', '36', '29', '16010', '1', '15024', '60', '-1', '0', '-1', '0', '15028', '15', '15050', '-3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020409', '36', '29', '16010', '1', '15024', '60', '-1', '0', '-1', '0', '15028', '15', '15050', '-3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020410', '36', '29', '16010', '1', '15024', '60', '-1', '0', '-1', '0', '15028', '15', '15050', '-3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5020411', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '5', '15028', '10', '15029', '10', '15024', '10', '15103', '50', '-1', '0', '0', '1', '74');
INSERT INTO `gamedata_items_equipment` VALUES ('5030001', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030002', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030003', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030004', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030005', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030006', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030007', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030008', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15043', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030009', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15045', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030010', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15047', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030011', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15046', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030012', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15048', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030013', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15044', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030014', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030015', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030016', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15043', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030017', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15045', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030018', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15047', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030019', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15046', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030020', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15048', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030021', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15044', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030022', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15043', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030023', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15045', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030024', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15047', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030025', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15046', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030026', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15048', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030027', '36', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15044', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030028', '36', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15008', '3', '15024', '5', '15036', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030029', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030030', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '4', '15024', '3', '15046', '20', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030031', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '4', '15024', '3', '15048', '20', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030032', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '4', '15024', '3', '15044', '20', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030033', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '4', '15024', '4', '15043', '24', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030034', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '4', '15024', '4', '15045', '24', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030035', '36', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '4', '15024', '4', '15047', '24', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '7');
INSERT INTO `gamedata_items_equipment` VALUES ('5030036', '36', '29', '-1', '0', '-1', '0', '20025', '0', '-1', '0', '15028', '30', '15036', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1022', '0', '48');
INSERT INTO `gamedata_items_equipment` VALUES ('5030037', '36', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030101', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030102', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15028', '5', '15036', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030103', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15028', '5', '15036', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030104', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '3', '15028', '6', '15036', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030105', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '3', '15028', '7', '15036', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030106', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '4', '15028', '8', '15036', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030107', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15024', '4', '15028', '6', '15036', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030108', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '-3', '15007', '5', '15024', '10', '15028', '10', '15036', '10', '-1', '0', '0', '0', '46');
INSERT INTO `gamedata_items_equipment` VALUES ('5030109', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15024', '5', '15028', '8', '15036', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030110', '37', '29', '-1', '0', '-1', '0', '20013', '0', '-1', '0', '15010', '15', '15024', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '1002', '0', '47');
INSERT INTO `gamedata_items_equipment` VALUES ('5030111', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '10', '15028', '15', '15036', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030112', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '-10', '15008', '3', '15009', '3', '15024', '4', '15028', '7', '15036', '7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030113', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '8', '15028', '12', '15036', '12', '15008', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030201', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '8', '15036', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030202', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '9', '15036', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030203', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '10', '15036', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030204', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '11', '15036', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030205', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '11', '15036', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030206', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15008', '2', '15024', '3', '15028', '11', '15036', '21', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030207', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '15036', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030208', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '12', '15036', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030209', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '3', '15028', '15', '15036', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030210', '37', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '20', '15036', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030301', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '7', '15028', '3', '15036', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030302', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '10', '15028', '3', '15036', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030303', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '10', '15028', '3', '15036', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030304', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '2', '15009', '2', '15024', '8', '15028', '3', '15036', '13', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030305', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15009', '3', '15017', '3', '15024', '14', '15028', '5', '15036', '15', '0', '0', '46');
INSERT INTO `gamedata_items_equipment` VALUES ('5030306', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15024', '8', '15028', '3', '15036', '13', '-1', '0', '-1', '0', '-1', '0', '0', '1', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030307', '37', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '12', '15028', '6', '15036', '16', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030308', '37', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '15', '15028', '10', '15036', '25', '15009', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030309', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '-20', '15025', '40', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030401', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20057', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030402', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20055', '0', '15028', '10', '15025', '30', '15026', '10', '15008', '60', '15050', '1', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030403', '37', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '10', '15001', '80', '15008', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '8');
INSERT INTO `gamedata_items_equipment` VALUES ('5030404', '36', '29', '16007', '4', '15036', '30', '-1', '0', '-1', '0', '15025', '15', '15008', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030405', '36', '29', '16008', '4', '15046', '50', '-1', '0', '-1', '0', '15025', '15', '15008', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030406', '36', '29', '16009', '4', '15026', '7', '-1', '0', '-1', '0', '15025', '15', '15005', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030407', '36', '29', '-1', '0', '-1', '0', '20015', '0', '-1', '0', '15012', '15', '15045', '40', '15028', '25', '15027', '15', '-1', '0', '-1', '0', '1006', '0', '80');
INSERT INTO `gamedata_items_equipment` VALUES ('5030408', '37', '29', '16010', '1', '15024', '60', '-1', '0', '-1', '0', '15050', '-3', '15028', '15', '15001', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030409', '37', '29', '16010', '1', '15024', '60', '-1', '0', '-1', '0', '15050', '-3', '15028', '15', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030410', '37', '29', '16010', '1', '15024', '60', '-1', '0', '-1', '0', '15050', '-3', '15028', '15', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('5030411', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '5', '15028', '10', '15029', '10', '15025', '12', '15103', '50', '-1', '0', '0', '1', '91');
INSERT INTO `gamedata_items_equipment` VALUES ('5040001', '37', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6010001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6010002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '11');
INSERT INTO `gamedata_items_equipment` VALUES ('6010016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '10', '15006', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6011001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '28');
INSERT INTO `gamedata_items_equipment` VALUES ('6011002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '28');
INSERT INTO `gamedata_items_equipment` VALUES ('6011003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '28');
INSERT INTO `gamedata_items_equipment` VALUES ('6011004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '28');
INSERT INTO `gamedata_items_equipment` VALUES ('6011005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '28');
INSERT INTO `gamedata_items_equipment` VALUES ('6011006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '28');
INSERT INTO `gamedata_items_equipment` VALUES ('6011007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '28');
INSERT INTO `gamedata_items_equipment` VALUES ('6011008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6020001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6020002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6020014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '10', '15008', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6020016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020017', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6020018', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '12');
INSERT INTO `gamedata_items_equipment` VALUES ('6021001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '29');
INSERT INTO `gamedata_items_equipment` VALUES ('6021002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '29');
INSERT INTO `gamedata_items_equipment` VALUES ('6021003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '29');
INSERT INTO `gamedata_items_equipment` VALUES ('6021004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '29');
INSERT INTO `gamedata_items_equipment` VALUES ('6021005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '29');
INSERT INTO `gamedata_items_equipment` VALUES ('6021006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '29');
INSERT INTO `gamedata_items_equipment` VALUES ('6021007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '29');
INSERT INTO `gamedata_items_equipment` VALUES ('6021008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6030001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6030002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '13');
INSERT INTO `gamedata_items_equipment` VALUES ('6030016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '10', '15004', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6031001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '30');
INSERT INTO `gamedata_items_equipment` VALUES ('6031002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '30');
INSERT INTO `gamedata_items_equipment` VALUES ('6031003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '30');
INSERT INTO `gamedata_items_equipment` VALUES ('6031004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '30');
INSERT INTO `gamedata_items_equipment` VALUES ('6031005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '30');
INSERT INTO `gamedata_items_equipment` VALUES ('6031006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '30');
INSERT INTO `gamedata_items_equipment` VALUES ('6031007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '30');
INSERT INTO `gamedata_items_equipment` VALUES ('6031008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6040001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6040002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '14');
INSERT INTO `gamedata_items_equipment` VALUES ('6040016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '10', '15007', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6041001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '31');
INSERT INTO `gamedata_items_equipment` VALUES ('6041002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '31');
INSERT INTO `gamedata_items_equipment` VALUES ('6041003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '31');
INSERT INTO `gamedata_items_equipment` VALUES ('6041004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '31');
INSERT INTO `gamedata_items_equipment` VALUES ('6041005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '31');
INSERT INTO `gamedata_items_equipment` VALUES ('6041006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '31');
INSERT INTO `gamedata_items_equipment` VALUES ('6041007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '31');
INSERT INTO `gamedata_items_equipment` VALUES ('6041008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6050001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6050004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '15');
INSERT INTO `gamedata_items_equipment` VALUES ('6050016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '10', '15007', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6051001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '32');
INSERT INTO `gamedata_items_equipment` VALUES ('6051002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '32');
INSERT INTO `gamedata_items_equipment` VALUES ('6051003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '32');
INSERT INTO `gamedata_items_equipment` VALUES ('6051004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '32');
INSERT INTO `gamedata_items_equipment` VALUES ('6051005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '32');
INSERT INTO `gamedata_items_equipment` VALUES ('6051006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '32');
INSERT INTO `gamedata_items_equipment` VALUES ('6051007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '32');
INSERT INTO `gamedata_items_equipment` VALUES ('6051008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6060001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6060007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '16');
INSERT INTO `gamedata_items_equipment` VALUES ('6060015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '10', '15008', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6061001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '33');
INSERT INTO `gamedata_items_equipment` VALUES ('6061009', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6070001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6070002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '17');
INSERT INTO `gamedata_items_equipment` VALUES ('6070016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '10', '15009', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6071001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '34');
INSERT INTO `gamedata_items_equipment` VALUES ('6071002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '34');
INSERT INTO `gamedata_items_equipment` VALUES ('6071003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '34');
INSERT INTO `gamedata_items_equipment` VALUES ('6071004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '34');
INSERT INTO `gamedata_items_equipment` VALUES ('6071005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '34');
INSERT INTO `gamedata_items_equipment` VALUES ('6071006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '34');
INSERT INTO `gamedata_items_equipment` VALUES ('6071007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '34');
INSERT INTO `gamedata_items_equipment` VALUES ('6071008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6080001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6080002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '18');
INSERT INTO `gamedata_items_equipment` VALUES ('6080016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '10', '15009', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('6081001', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '35');
INSERT INTO `gamedata_items_equipment` VALUES ('6081002', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '35');
INSERT INTO `gamedata_items_equipment` VALUES ('6081003', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '35');
INSERT INTO `gamedata_items_equipment` VALUES ('6081004', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '35');
INSERT INTO `gamedata_items_equipment` VALUES ('6081005', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '35');
INSERT INTO `gamedata_items_equipment` VALUES ('6081006', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '35');
INSERT INTO `gamedata_items_equipment` VALUES ('6081007', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '35');
INSERT INTO `gamedata_items_equipment` VALUES ('6081008', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7010001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7010006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7010015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '19');
INSERT INTO `gamedata_items_equipment` VALUES ('7010017', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '10', '15008', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7010101', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '36');
INSERT INTO `gamedata_items_equipment` VALUES ('7010102', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '36');
INSERT INTO `gamedata_items_equipment` VALUES ('7010103', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '36');
INSERT INTO `gamedata_items_equipment` VALUES ('7010104', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '36');
INSERT INTO `gamedata_items_equipment` VALUES ('7010105', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '36');
INSERT INTO `gamedata_items_equipment` VALUES ('7010106', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '36');
INSERT INTO `gamedata_items_equipment` VALUES ('7010107', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '36');
INSERT INTO `gamedata_items_equipment` VALUES ('7010108', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7010109', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7020001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7020003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '20');
INSERT INTO `gamedata_items_equipment` VALUES ('7020016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '10', '15007', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7020101', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '37');
INSERT INTO `gamedata_items_equipment` VALUES ('7020102', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '37');
INSERT INTO `gamedata_items_equipment` VALUES ('7020103', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '37');
INSERT INTO `gamedata_items_equipment` VALUES ('7020104', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '37');
INSERT INTO `gamedata_items_equipment` VALUES ('7020105', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '37');
INSERT INTO `gamedata_items_equipment` VALUES ('7020106', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '37');
INSERT INTO `gamedata_items_equipment` VALUES ('7020107', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '37');
INSERT INTO `gamedata_items_equipment` VALUES ('7020108', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7020109', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7030001', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030002', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7030003', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030004', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030005', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030006', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030007', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030008', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030009', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030010', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030011', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030012', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030013', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030014', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030015', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '21');
INSERT INTO `gamedata_items_equipment` VALUES ('7030016', '39', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '10', '15009', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7030101', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '38');
INSERT INTO `gamedata_items_equipment` VALUES ('7030102', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '38');
INSERT INTO `gamedata_items_equipment` VALUES ('7030103', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '38');
INSERT INTO `gamedata_items_equipment` VALUES ('7030104', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '38');
INSERT INTO `gamedata_items_equipment` VALUES ('7030105', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '38');
INSERT INTO `gamedata_items_equipment` VALUES ('7030106', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '38');
INSERT INTO `gamedata_items_equipment` VALUES ('7030107', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '38');
INSERT INTO `gamedata_items_equipment` VALUES ('7030108', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('7030109', '40', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010001', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010002', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010003', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010004', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010005', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15001', '35', '15004', '2', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010006', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15001', '35', '15004', '2', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010007', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15001', '45', '15004', '3', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010008', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15021', '10', '15023', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010009', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15001', '45', '15004', '3', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010010', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15001', '45', '15004', '3', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010011', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010012', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010013', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010014', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010015', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010016', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010017', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15001', '25', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010101', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15029', '1', '15031', '3', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010102', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15029', '1', '15031', '3', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010103', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15029', '1', '15031', '3', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010104', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15029', '1', '15031', '3', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010105', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '28', '15007', '1', '15029', '5', '15031', '9', '15032', '5', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010106', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '28', '15007', '1', '15029', '5', '15031', '9', '15032', '5', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010107', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '28', '15007', '1', '15029', '5', '15031', '9', '15032', '5', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010108', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '28', '15007', '1', '15029', '5', '15031', '9', '15032', '5', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010109', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '28', '15007', '1', '15029', '5', '15031', '9', '15032', '5', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010110', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '34', '15007', '2', '15029', '5', '15031', '13', '15032', '7', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010111', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '34', '15007', '2', '15029', '5', '15031', '13', '15032', '7', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010112', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '34', '15007', '2', '15029', '5', '15031', '13', '15032', '7', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010113', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '34', '15007', '2', '15029', '5', '15031', '13', '15032', '7', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010114', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '34', '15007', '2', '15029', '5', '15031', '13', '15032', '7', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010115', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '5', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010116', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '5', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010117', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '5', '15029', '7', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010118', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '5', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010119', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '5', '15029', '7', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010120', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '6', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010121', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '6', '15029', '8', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010122', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '6', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010123', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '6', '15029', '8', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010124', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '6', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010125', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '4', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010126', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '4', '15029', '6', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010127', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '4', '15029', '6', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010128', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '4', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010129', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15007', '5', '15052', '-20', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010130', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15008', '2', '15009', '2', '15029', '5', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010131', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '4', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010132', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '4', '15029', '6', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010133', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '4', '15029', '6', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010134', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '4', '15029', '6', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010135', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '4', '15029', '6', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010136', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '5', '15029', '7', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010137', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '5', '15029', '7', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010138', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '5', '15029', '7', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010139', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '5', '15029', '7', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010140', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '6', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010141', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '6', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010142', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '6', '15029', '8', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010143', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '6', '15029', '8', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010144', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '6', '15029', '8', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010145', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15028', '6', '15029', '8', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010146', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '6', '15029', '8', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010147', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '6', '15029', '8', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010148', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '6', '15029', '8', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010149', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15028', '6', '15029', '8', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010201', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010202', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010203', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010204', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010205', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010206', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010207', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010208', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010209', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010210', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15006', '2', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010211', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15006', '2', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010212', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15006', '2', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010213', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010214', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010215', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010216', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010217', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010218', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010219', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010220', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010221', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '4', '15006', '3', '15030', '21', '15035', '21', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010222', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '4', '15006', '3', '15030', '21', '15035', '21', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010223', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010224', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010225', '9', '29', '-1', '0', '-1', '0', '20001', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010301', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15076', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010302', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010303', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010304', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010305', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010306', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010307', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010308', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010309', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010310', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010311', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010312', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010313', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010314', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010315', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010316', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010317', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010318', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010319', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010320', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010321', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010322', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010323', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010324', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010325', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010326', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010327', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010328', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010329', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010330', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010401', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '12', '15010', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010402', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '12', '15015', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010403', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '12', '15013', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010404', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '12', '15012', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010405', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '12', '15014', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010406', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '12', '15011', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010407', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15010', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010408', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15015', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010409', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15013', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010410', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15012', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010411', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15014', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010412', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15011', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010413', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15010', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010414', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15015', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010415', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15013', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010416', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15012', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010417', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15014', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010418', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15011', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010419', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '1', '15002', '14', '15010', '7', '15043', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010420', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '1', '15002', '14', '15015', '7', '15048', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010421', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '1', '15002', '14', '15013', '7', '15046', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010422', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '1', '15002', '14', '15012', '7', '15045', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010423', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '1', '15002', '14', '15014', '7', '15047', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010424', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '1', '15002', '14', '15011', '7', '15044', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010425', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '22', '15010', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010426', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '22', '15015', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010427', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '22', '15013', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010428', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '22', '15012', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010429', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '22', '15014', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010430', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '22', '15011', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010431', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '25', '15010', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010432', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '25', '15015', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010433', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '25', '15013', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010434', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '25', '15012', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010435', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '25', '15014', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010436', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '25', '15011', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010437', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '1', '15002', '17', '15010', '10', '15043', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010438', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '1', '15002', '17', '15015', '10', '15048', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010439', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '1', '15002', '17', '15013', '10', '15046', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010440', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '1', '15002', '17', '15012', '10', '15045', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010441', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '1', '15002', '17', '15014', '10', '15047', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010442', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '1', '15002', '17', '15011', '10', '15044', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010443', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '1', '15002', '21', '15010', '13', '15043', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010444', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '1', '15002', '21', '15015', '13', '15048', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010445', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '1', '15002', '21', '15013', '13', '15046', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010446', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '1', '15002', '21', '15012', '13', '15045', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010447', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '1', '15002', '21', '15014', '13', '15047', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010448', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '1', '15002', '21', '15011', '13', '15044', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010449', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '1', '15002', '27', '15010', '17', '15043', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010450', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '1', '15002', '27', '15015', '17', '15048', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010451', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '1', '15002', '27', '15013', '17', '15046', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010452', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '1', '15002', '27', '15012', '17', '15045', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010453', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '1', '15002', '27', '15014', '17', '15047', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010454', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '1', '15002', '27', '15011', '17', '15044', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010455', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010456', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010457', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010458', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010459', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010460', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010461', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010462', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010463', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010464', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010465', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010466', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010467', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010468', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010469', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010470', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010471', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010472', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010473', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010474', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15016', '2', '15028', '2', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010475', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010476', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010477', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010478', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010479', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010480', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010481', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010482', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010501', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15002', '9', '15029', '1', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010502', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15002', '9', '15029', '1', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010503', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15002', '9', '15029', '1', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010504', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15002', '9', '15029', '1', '15032', '1', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010505', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15002', '12', '15029', '1', '15032', '4', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010506', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15002', '12', '15029', '1', '15032', '4', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010507', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15002', '12', '15029', '1', '15032', '4', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010508', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15002', '12', '15029', '1', '15032', '4', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010509', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15002', '12', '15029', '1', '15032', '4', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010510', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15029', '1', '15032', '6', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010511', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15029', '1', '15032', '6', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010512', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15029', '1', '15032', '6', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010513', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15029', '1', '15032', '6', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010514', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15029', '1', '15032', '6', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010515', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15002', '19', '15029', '1', '15032', '9', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010516', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15002', '19', '15029', '1', '15032', '9', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010517', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15002', '19', '15029', '1', '15032', '9', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010518', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15002', '19', '15029', '1', '15032', '9', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010519', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15002', '19', '15029', '1', '15032', '9', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010520', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010521', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15001', '10', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010522', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15001', '10', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010523', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010524', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15001', '17', '15002', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010525', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15001', '17', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010526', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010527', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15001', '24', '15002', '24', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010528', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15001', '24', '15035', '18', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010529', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010530', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15001', '28', '15035', '22', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010531', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15001', '28', '15002', '28', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010532', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010533', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010534', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15001', '10', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010535', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15001', '10', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010536', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15001', '10', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010537', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15001', '10', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010538', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010539', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010540', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15001', '17', '15002', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010541', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15001', '17', '15002', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010542', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15001', '17', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010543', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15001', '17', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010544', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010545', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010546', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '15001', '27', '15002', '27', '15029', '1', '15032', '13', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010547', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010548', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-14', '15002', '28', '15008', '4', '15029', '1', '-1', '0', '-1', '0', '0', '0', '45');
INSERT INTO `gamedata_items_equipment` VALUES ('8010549', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010550', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15001', '24', '15002', '24', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010551', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15001', '24', '15002', '24', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010552', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15001', '24', '15035', '18', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010553', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15001', '24', '15035', '18', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010554', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010555', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010556', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010557', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010558', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15001', '28', '15035', '22', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010559', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15001', '28', '15035', '22', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010560', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15001', '28', '15035', '22', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010561', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15001', '28', '15035', '22', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010562', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15001', '28', '15002', '28', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010563', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15001', '28', '15002', '28', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010564', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15001', '28', '15002', '28', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010565', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15001', '28', '15002', '28', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010566', '9', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '15035', '20', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010567', '9', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15002', '36', '15035', '24', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010601', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15031', '2', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010602', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15031', '2', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010603', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15031', '2', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010604', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15031', '2', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010605', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15031', '5', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010606', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15031', '5', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010607', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15031', '5', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010608', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15031', '5', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010609', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15031', '5', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010610', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15031', '8', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010611', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15031', '8', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010612', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15031', '8', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010613', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15031', '8', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010614', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15031', '8', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010615', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15031', '10', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010616', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15031', '10', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010617', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15031', '10', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010618', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15031', '10', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010619', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15031', '10', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010620', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '13', '15032', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010621', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '13', '15032', '10', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010622', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '13', '15032', '10', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010623', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '13', '15032', '10', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010624', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '14', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010625', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '14', '15032', '11', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010626', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '14', '15032', '11', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010627', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '14', '15032', '11', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010628', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '13', '15032', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010629', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '13', '15032', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010630', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '13', '15032', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010631', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '13', '15032', '10', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010632', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '13', '15032', '10', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010633', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '13', '15032', '10', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010634', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '13', '15032', '10', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010635', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '13', '15032', '10', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010636', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '13', '15032', '10', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010637', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '13', '15032', '10', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010638', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '13', '15032', '10', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010639', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '13', '15032', '10', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010640', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '14', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010641', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '14', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010642', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '14', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010643', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '14', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010644', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '14', '15032', '11', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010645', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '14', '15032', '11', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010646', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010647', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '14', '15032', '11', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010648', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '14', '15032', '11', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010649', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '14', '15032', '11', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010650', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '14', '15032', '11', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010651', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '14', '15032', '11', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010652', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15031', '14', '15032', '11', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010653', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '14', '15032', '11', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010654', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '14', '15032', '11', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010655', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '14', '15032', '11', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010656', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '14', '15032', '11', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010701', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010702', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010703', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010704', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010705', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010706', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010707', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '20', '15008', '1', '15048', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010708', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '20', '15012', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010709', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010710', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010711', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15002', '14', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010712', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15002', '18', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010713', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15002', '22', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010714', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010715', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15002', '11', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010716', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15002', '24', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010801', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '1', '15029', '2', '15031', '5', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010802', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '1', '15029', '4', '15031', '8', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010803', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '1', '15029', '4', '15031', '8', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010804', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010805', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010806', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15008', '2', '15029', '6', '15031', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010807', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15008', '2', '15029', '6', '15031', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010808', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '2', '15028', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010809', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '2', '15028', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010810', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '3', '15028', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010811', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '3', '15028', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010812', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '10', '15007', '5', '15032', '24', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010813', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010814', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010815', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010816', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010817', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010818', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010819', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010820', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010821', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010822', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '-4', '15028', '4', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '45');
INSERT INTO `gamedata_items_equipment` VALUES ('8010823', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '4', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010824', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '4', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010825', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010826', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010827', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010828', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010829', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '1', '15029', '3', '15031', '7', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010830', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15008', '2', '15029', '6', '15031', '10', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010831', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15008', '3', '15029', '6', '15031', '13', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010832', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15007', '2', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010833', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15007', '3', '15031', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010834', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '1', '15029', '2', '15031', '5', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010835', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '1', '15029', '2', '15031', '5', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010836', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010837', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010838', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010901', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15009', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010902', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15009', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010903', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15009', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010904', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15009', '1', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010905', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15009', '1', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010906', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15009', '1', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010907', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '4', '15009', '2', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010908', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '4', '15009', '2', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010909', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '4', '15009', '2', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010910', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '18', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010911', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '18', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010912', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '18', '15009', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010913', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '18', '15009', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010914', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '24', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010915', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '24', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010916', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '24', '15009', '3', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010917', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '24', '15009', '3', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010918', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '18', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010919', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '18', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010920', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '18', '15009', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010921', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '18', '15009', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010922', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '18', '15009', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010923', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '18', '15009', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010924', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '18', '15009', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010925', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '18', '15009', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010926', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '24', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010927', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '24', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010928', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '24', '15009', '3', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010929', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '24', '15009', '3', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010930', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '24', '15009', '3', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010931', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '24', '15009', '3', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010932', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15009', '2', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8010933', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '24', '15009', '3', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8010934', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '24', '15009', '3', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011001', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011002', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011003', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011004', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011005', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011006', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011007', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011008', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011009', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011010', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011011', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011012', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011013', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011014', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011015', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011016', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15031', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011017', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15031', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011018', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15031', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011019', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '5', '15048', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011020', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15031', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011021', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15031', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011022', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '10', '15020', '10', '15035', '24', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011101', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011102', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15008', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011103', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15008', '2', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011104', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15008', '3', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011105', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '2', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '51');
INSERT INTO `gamedata_items_equipment` VALUES ('8011106', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011107', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011108', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '3', '15009', '1', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011109', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '3', '15009', '2', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011110', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '4', '15009', '2', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011201', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011202', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011203', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011204', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15007', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011205', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15007', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011206', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15007', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011207', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15007', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011208', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15007', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011209', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011210', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011211', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011212', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011213', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15007', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011214', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15007', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011215', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15007', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011216', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15007', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011217', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15007', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011218', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15007', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011219', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '-1', '15016', '3', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '51');
INSERT INTO `gamedata_items_equipment` VALUES ('8011220', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011221', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011222', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '5', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011223', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '5', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011301', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011302', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011303', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011304', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011305', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011306', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011307', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011308', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011309', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011310', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011311', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011312', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011313', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011314', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011315', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011316', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011317', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '2', '15007', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011318', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011319', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '3', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011320', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '3', '15007', '1', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011321', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011322', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '3', '15007', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011323', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '7', '15052', '-7', '15012', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011324', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011325', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011326', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011327', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011328', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '2', '15007', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011329', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '2', '15007', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011330', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011331', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011332', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '3', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011333', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '3', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011334', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '3', '15007', '1', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011335', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '3', '15007', '1', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011336', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011337', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011338', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011339', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '3', '15007', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011340', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '3', '15007', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011341', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15006', '3', '15007', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011401', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15008', '1', '15029', '2', '15035', '8', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011402', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15008', '2', '15029', '2', '15035', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011403', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15004', '1', '15005', '3', '15018', '4', '15029', '2', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011404', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15004', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011405', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15004', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011406', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '3', '15004', '2', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011407', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15004', '2', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011408', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15004', '3', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011409', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15004', '3', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011501', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011502', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011503', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011504', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '24', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011505', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '24', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011506', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '24', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011507', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '24', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011508', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011509', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011510', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011511', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011512', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011513', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011514', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '51');
INSERT INTO `gamedata_items_equipment` VALUES ('8011515', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '1', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011516', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '1', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011517', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011518', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011519', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15007', '2', '15015', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011520', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '5', '15007', '2', '15010', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011521', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15017', '3', '15006', '3', '15008', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011522', '9', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011523', '9', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '12', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011524', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '15018', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011601', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15005', '1', '15029', '1', '15032', '4', '15035', '8', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011602', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '15005', '1', '15029', '1', '15032', '6', '15035', '12', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011603', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '21', '15005', '2', '15029', '1', '15032', '8', '15035', '16', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011604', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15005', '3', '15029', '1', '15032', '10', '15035', '21', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011605', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '15', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011606', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011607', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '20', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011608', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '20', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011609', '9', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011610', '9', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011701', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011702', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011703', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011704', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011705', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011706', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011707', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011708', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011709', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '81');
INSERT INTO `gamedata_items_equipment` VALUES ('8011710', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15001', '28', '15006', '2', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011711', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15001', '28', '15006', '2', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011712', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15001', '33', '15006', '2', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011713', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15001', '33', '15006', '2', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011801', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011802', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011803', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011804', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011805', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '4', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011806', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '4', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011807', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '4', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011808', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '4', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011809', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '4', '15035', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011810', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15009', '1', '15031', '9', '15035', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011811', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15009', '1', '15031', '9', '15035', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011812', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15009', '1', '15031', '9', '15035', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011813', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15009', '1', '15031', '9', '15035', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011814', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15009', '1', '15031', '9', '15035', '12', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011815', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15004', '1', '15031', '8', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011816', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15004', '1', '15031', '8', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011817', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15004', '1', '15031', '8', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011901', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8011902', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15008', '4', '15009', '4', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8011903', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '4', '15009', '4', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '85');
INSERT INTO `gamedata_items_equipment` VALUES ('8012001', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012002', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '1', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012003', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '3', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012004', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15009', '1', '15032', '4', '15035', '15', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012005', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15009', '1', '15032', '4', '15035', '15', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012006', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15009', '1', '15032', '4', '15035', '15', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012007', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15009', '1', '15032', '4', '15035', '15', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012008', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15009', '1', '15032', '4', '15035', '15', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012009', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012010', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012011', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '6', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012012', '9', '27', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '6', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012013', '9', '28', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '6', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012014', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15035', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012015', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15035', '20', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012016', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15035', '20', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012017', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '6', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012018', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '6', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012019', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15035', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012020', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '4', '15035', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012021', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15035', '20', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012022', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15035', '20', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012023', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15035', '20', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012024', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15035', '20', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012101', '9', '29', '-1', '0', '-1', '0', '20002', '0', '-1', '0', '15001', '9', '15002', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012102', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15016', '1', '15024', '1', '15028', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012103', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012201', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '81');
INSERT INTO `gamedata_items_equipment` VALUES ('8012202', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15004', '3', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012301', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '11', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012302', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '11', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012303', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '11', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012304', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '11', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012305', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '11', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012306', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '9', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012307', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012308', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012309', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '15', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012310', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '15', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012311', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '15', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012312', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012313', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '18', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012314', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012315', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '18', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012316', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012317', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012318', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012319', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '15', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012320', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '15', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012321', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '15', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012322', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '15', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012323', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '15', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012324', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '15', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012325', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '15', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012326', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '15', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012327', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '15', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012328', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012329', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012330', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012331', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012332', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '18', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012333', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '18', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012334', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '18', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012335', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '18', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012336', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012337', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012338', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012339', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012340', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '18', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012341', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '18', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012342', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '18', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012343', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '18', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012401', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012402', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012403', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012404', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '4', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012405', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '4', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012406', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012407', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012408', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012409', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012410', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '2', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012411', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '2', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012412', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '8', '15028', '8', '15030', '24', '15033', '24', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012501', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012502', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15011', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012601', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15002', '14', '15032', '7', '15035', '7', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012602', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15002', '14', '15032', '7', '15035', '7', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012603', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15002', '9', '15032', '1', '15035', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012604', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012605', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '1', '15015', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012606', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15012', '1', '15011', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012607', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15013', '1', '15014', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012701', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '14', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012702', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '14', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012703', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '14', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012704', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '14', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012705', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '14', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012706', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012707', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012708', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012709', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012710', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '18', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012711', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '23', '15035', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012712', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '23', '15035', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012713', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '23', '15035', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012714', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '23', '15035', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012715', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '23', '15035', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012716', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012717', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '12', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012718', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15030', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012719', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012720', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '16', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012721', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012722', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012723', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012724', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '12', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012725', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '12', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012726', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15030', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012727', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15030', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012728', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012729', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012730', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012731', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012732', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '16', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012733', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '16', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012734', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '16', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012735', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '16', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012736', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012737', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012738', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012739', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '3', '15030', '16', '15035', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012801', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012802', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012803', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012804', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15002', '40', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012805', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '10', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8012901', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '3', '15032', '18', '15033', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012902', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '15030', '7', '15032', '20', '15033', '20', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012903', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '15030', '7', '15032', '20', '15033', '20', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8012904', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '15030', '7', '15032', '20', '15033', '20', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013001', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15007', '2', '15009', '4', '15024', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013002', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15007', '2', '15009', '4', '15024', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013003', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15007', '3', '15009', '5', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013004', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15007', '3', '15009', '5', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013005', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15036', '5', '15081', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013006', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15007', '3', '15009', '5', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013007', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15007', '3', '15009', '5', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013008', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15007', '3', '15009', '5', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013101', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '2', '15031', '10', '15033', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013102', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '2', '15031', '10', '15033', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013201', '9', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15010', '5', '15015', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013202', '9', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15012', '5', '15011', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013203', '9', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15013', '5', '15014', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013204', '9', '29', '16010', '1', '15005', '30', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '15025', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013205', '9', '29', '16010', '1', '15018', '15', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '15009', '15', '15020', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013206', '9', '29', '16010', '1', '15007', '40', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '15036', '25', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013301', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '-1', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013302', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '-1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013303', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '1', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013304', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013401', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15076', '10', '15077', '10', '15078', '10', '15079', '10', '15081', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013402', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '75', '15002', '75', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013403', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '10', '15005', '10', '15006', '10', '15007', '10', '15008', '10', '15009', '10', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013404', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013501', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15025', '15', '15052', '5', '15008', '16', '15002', '20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013502', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '25', '15004', '3', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013503', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20033', '0', '15001', '60', '15005', '5', '15004', '2', '15020', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013504', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15022', '40', '15004', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013505', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '10', '15006', '3', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013506', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15025', '25', '15008', '7', '15002', '22', '15024', '-5', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013507', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20047', '0', '15038', '22', '15028', '4', '15007', '5', '15002', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013601', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '20', '15005', '10', '15004', '15', '15017', '-10', '15025', '-20', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013602', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15020', '40', '15022', '30', '15007', '20', '15017', '-10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013603', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '15029', '8', '15025', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013604', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '15029', '8', '15025', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013605', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '15029', '8', '15025', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013606', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '15029', '8', '15025', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013607', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '15029', '8', '15025', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013608', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '60', '15005', '7', '15008', '7', '15052', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013609', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '6', '15007', '20', '15036', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013610', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '50', '15016', '2', '15017', '2', '15020', '10', '16004', '30', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013611', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15105', '10', '15035', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013612', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15105', '10', '15035', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013613', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15105', '10', '15035', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013614', '9', '29', '16007', '3', '15002', '70', '-1', '0', '-1', '0', '15007', '10', '16006', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013615', '9', '29', '16007', '2', '15001', '35', '-1', '0', '-1', '0', '15024', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013616', '9', '29', '16007', '3', '15030', '5', '-1', '0', '-1', '0', '15031', '14', '15032', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013617', '9', '29', '16008', '3', '15002', '70', '-1', '0', '-1', '0', '15007', '10', '16006', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013618', '9', '29', '16008', '2', '15001', '35', '-1', '0', '-1', '0', '15024', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013619', '9', '29', '16008', '3', '15030', '5', '-1', '0', '-1', '0', '15031', '14', '15032', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013620', '9', '29', '16009', '3', '15002', '70', '-1', '0', '-1', '0', '15007', '10', '16006', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013621', '9', '29', '16009', '2', '15001', '35', '-1', '0', '-1', '0', '15024', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013622', '9', '29', '16009', '3', '15030', '5', '-1', '0', '-1', '0', '15031', '14', '15032', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013623', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013624', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013625', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '5', '15007', '8', '15002', '40', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013626', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013627', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013628', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013629', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013630', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013631', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013632', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013633', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013634', '9', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '5', '15104', '10', '15030', '15', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '22');
INSERT INTO `gamedata_items_equipment` VALUES ('8013635', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013636', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '10', '15006', '15', '15020', '20', '15022', '20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8013637', '9', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15027', '10', '15025', '25', '15008', '5', '15029', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030001', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15031', '1', '-1', '0', '-1', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030002', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15031', '1', '-1', '0', '-1', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030003', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15031', '1', '-1', '0', '-1', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030004', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15031', '1', '-1', '0', '-1', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030005', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '10', '15031', '3', '-1', '0', '-1', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030006', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '10', '15031', '3', '-1', '0', '-1', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030007', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '10', '15031', '3', '-1', '0', '-1', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030008', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '10', '15031', '3', '-1', '0', '-1', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030009', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '10', '15031', '3', '-1', '0', '-1', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030010', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '15030', '15', '15031', '5', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030011', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '15030', '15', '15031', '5', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030012', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '15030', '15', '15031', '5', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030013', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '15030', '15', '15031', '5', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030014', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '15030', '15', '15031', '5', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030015', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '5', '15031', '28', '15035', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030016', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '5', '15031', '28', '15035', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030017', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '28', '15035', '15', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030018', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '28', '15035', '15', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030019', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '28', '15035', '15', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030020', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15031', '31', '15035', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030021', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '31', '15035', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030022', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '31', '15035', '18', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030023', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '31', '15035', '18', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030024', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '5', '15031', '28', '15035', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030025', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '5', '15031', '28', '15035', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030026', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '28', '15035', '15', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030027', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '28', '15035', '15', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030028', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '28', '15035', '15', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030029', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '28', '15035', '15', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030030', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '28', '15035', '15', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030031', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '28', '15035', '15', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030032', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030033', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030034', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15004', '2', '15005', '2', '15030', '26', '15031', '9', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030035', '11', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '20', '15034', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030036', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '28', '15035', '15', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030037', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '28', '15035', '15', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030038', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '28', '15035', '15', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030039', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15031', '31', '15035', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030040', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15031', '31', '15035', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030041', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '6', '15031', '31', '15035', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030042', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '31', '15035', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030043', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '31', '15035', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030044', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15031', '31', '15035', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030045', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '31', '15035', '18', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030046', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '31', '15035', '18', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030047', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15031', '31', '15035', '18', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030048', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '31', '15035', '18', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030049', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '31', '15035', '18', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030050', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15031', '31', '15035', '18', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030101', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030102', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030103', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030104', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030105', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030106', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '53', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030107', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '53', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030108', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '53', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030109', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15001', '45', '15005', '6', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030110', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15001', '45', '15005', '6', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030111', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15001', '60', '15005', '7', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030112', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '50', '15005', '4', '15008', '4', '15041', '5', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030113', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15001', '60', '15005', '7', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030114', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15001', '60', '15005', '7', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030115', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030116', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030117', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030118', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030119', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030201', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15008', '1', '15029', '2', '15030', '4', '15031', '2', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030202', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15008', '1', '15029', '2', '15030', '4', '15031', '2', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030203', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15008', '1', '15029', '2', '15030', '4', '15031', '2', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030204', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15008', '1', '15029', '2', '15030', '4', '15031', '2', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030205', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15008', '1', '15029', '4', '15030', '7', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030206', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15008', '1', '15029', '4', '15030', '7', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030207', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15008', '1', '15029', '4', '15030', '7', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030208', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15008', '1', '15029', '4', '15030', '7', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030209', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15008', '1', '15029', '4', '15030', '7', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030210', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '37', '15008', '2', '15029', '4', '15030', '11', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030211', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '37', '15008', '2', '15029', '4', '15030', '11', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030212', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '37', '15008', '2', '15029', '4', '15030', '11', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030213', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '37', '15008', '2', '15029', '4', '15030', '11', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030214', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '37', '15008', '2', '15029', '4', '15030', '11', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030215', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '45', '15008', '3', '15029', '5', '15030', '15', '15031', '9', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030216', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '45', '15008', '3', '15029', '5', '15030', '15', '15031', '9', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030217', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '45', '15008', '3', '15029', '5', '15030', '15', '15031', '9', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030218', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '45', '15008', '3', '15029', '5', '15030', '15', '15031', '9', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030219', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '45', '15008', '3', '15029', '5', '15030', '15', '15031', '9', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030220', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '9', '15002', '46', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030221', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '46', '15029', '6', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030222', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '46', '15029', '6', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030223', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '9', '15002', '46', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030224', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '9', '15002', '46', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030225', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '50', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030226', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '50', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030227', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '50', '15029', '7', '15024', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030228', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '50', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030229', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '50', '15029', '7', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030230', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '54', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030231', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '54', '15029', '8', '15024', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030232', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '54', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030233', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '54', '15029', '8', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030234', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '46', '15029', '6', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030235', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '46', '15029', '6', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030236', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '46', '15029', '6', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030237', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '46', '15029', '6', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030238', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '50', '15029', '7', '15024', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030239', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '50', '15029', '7', '15024', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030240', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '50', '15029', '7', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030241', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '50', '15029', '7', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030242', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '54', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030243', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '54', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030244', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '40', '15037', '5', '15036', '35', '15052', '-10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030245', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030246', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '13', '15002', '57', '15008', '4', '15029', '5', '15030', '20', '15031', '12', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030247', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030248', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15007', '3', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030249', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15002', '54', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030250', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '54', '15029', '8', '15024', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030251', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '54', '15029', '8', '15024', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030252', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '54', '15029', '8', '15024', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030253', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15002', '54', '15029', '8', '15024', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030254', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '54', '15029', '8', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030255', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '54', '15029', '8', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030256', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '54', '15029', '8', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030257', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '54', '15029', '8', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030301', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030302', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030303', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030304', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030305', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030306', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030307', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030308', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030309', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030310', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030311', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030312', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030313', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030314', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030315', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030316', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030317', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030318', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030319', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030320', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15001', '32', '15004', '4', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030321', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15001', '32', '15004', '4', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030322', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030323', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030324', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030325', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030326', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030327', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030328', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030329', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030330', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030331', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030332', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030333', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030334', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030335', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030336', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030337', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030338', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030339', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030340', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030341', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030342', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030343', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030344', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030345', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030346', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030347', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030348', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030349', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15004', '7', '15016', '7', '15022', '50', '15079', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030350', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15005', '3', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030401', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15006', '1', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030402', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15006', '1', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030403', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15006', '1', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030404', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15006', '1', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030405', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '21', '15006', '2', '15017', '2', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030406', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '21', '15006', '2', '15017', '2', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030407', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '21', '15006', '2', '15017', '2', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030408', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '21', '15006', '2', '15017', '2', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030409', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '21', '15006', '2', '15017', '2', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030410', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '26', '15006', '3', '15017', '3', '15029', '1', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030411', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '26', '15006', '3', '15017', '3', '15029', '1', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030412', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '26', '15006', '3', '15017', '3', '15029', '1', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030413', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '26', '15006', '3', '15017', '3', '15029', '1', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030414', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '26', '15006', '3', '15017', '3', '15029', '1', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030415', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15001', '15', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030416', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15001', '15', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030417', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15001', '15', '15029', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030418', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15001', '15', '15029', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030419', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15001', '15', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030420', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15001', '15', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030421', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15001', '15', '15029', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030422', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15001', '15', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030423', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15001', '27', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030424', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15001', '27', '15029', '4', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030425', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15001', '27', '15029', '4', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030426', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15001', '15', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030427', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15001', '27', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030428', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15001', '27', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030429', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15001', '27', '15029', '4', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030430', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15001', '27', '15029', '4', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030431', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15001', '27', '15029', '4', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030432', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15001', '27', '15029', '4', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030433', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030434', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030435', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030436', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030437', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030438', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030439', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030440', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030441', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030442', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030443', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030444', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030445', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030446', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030447', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15002', '15', '15006', '3', '15009', '3', '15017', '4', '15029', '4', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030501', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15017', '1', '15030', '3', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030502', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15017', '1', '15030', '3', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030503', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15017', '1', '15030', '3', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030504', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15017', '1', '15030', '3', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030505', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15017', '2', '15030', '8', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030506', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15017', '2', '15030', '8', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030507', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15017', '2', '15030', '8', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030508', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15017', '2', '15030', '8', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030509', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15017', '2', '15030', '8', '15031', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030510', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15006', '1', '15017', '2', '15030', '12', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030511', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15006', '1', '15017', '2', '15030', '12', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030512', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15006', '1', '15017', '2', '15030', '12', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030513', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15006', '1', '15017', '2', '15030', '12', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030514', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15006', '1', '15017', '2', '15030', '12', '15031', '5', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030515', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15006', '1', '15017', '2', '15030', '17', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030516', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15006', '1', '15017', '2', '15030', '17', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030517', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15006', '1', '15017', '2', '15030', '17', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030518', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15006', '1', '15017', '2', '15030', '17', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030519', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15006', '1', '15017', '2', '15030', '17', '15031', '7', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030520', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15031', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030521', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '10', '15031', '18', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030522', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '10', '15031', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030523', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '10', '15031', '18', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030524', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '11', '15031', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030525', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '11', '15031', '20', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030526', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '11', '15031', '20', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030527', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '11', '15031', '20', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030528', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15031', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030529', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15031', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030530', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15031', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030531', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '10', '15031', '18', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030532', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '10', '15031', '18', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030533', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '10', '15031', '18', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030534', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '10', '15031', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030535', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '10', '15031', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030536', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '10', '15031', '18', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030537', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '10', '15031', '18', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030538', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '10', '15031', '18', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030539', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '10', '15031', '18', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030540', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '11', '15031', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030541', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '11', '15031', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030542', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '11', '15031', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030543', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '11', '15031', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030544', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '11', '15031', '20', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030545', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '11', '15031', '20', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030546', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030547', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030548', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15030', '10', '15031', '5', '15032', '5', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030549', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '11', '15031', '20', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030550', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '11', '15031', '20', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030551', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '11', '15031', '20', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030552', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '11', '15031', '20', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030553', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '11', '15031', '20', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030554', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '11', '15031', '20', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030555', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '11', '15031', '20', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030556', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '11', '15031', '20', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030557', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '11', '15031', '20', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030558', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '11', '15031', '20', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030601', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030602', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '2', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030603', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '2', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030604', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15006', '2', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030605', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15006', '3', '15017', '4', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030606', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15006', '3', '15017', '4', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030607', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15006', '3', '15017', '4', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030608', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15006', '3', '15017', '4', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030609', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15006', '3', '15017', '4', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030610', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '4', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030611', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '4', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030612', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '4', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030613', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '4', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030614', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '4', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030615', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '6', '15017', '5', '15029', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030616', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '6', '15017', '5', '15029', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030617', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '6', '15017', '5', '15029', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030618', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '6', '15017', '5', '15029', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030619', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '6', '15017', '5', '15029', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030620', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15009', '-2', '15016', '2', '15017', '5', '15029', '1', '-1', '0', '0', '0', '59');
INSERT INTO `gamedata_items_equipment` VALUES ('8030621', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15004', '5', '15008', '5', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030622', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15004', '5', '15008', '5', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030623', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15004', '6', '15008', '6', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030624', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15004', '6', '15008', '6', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030625', '11', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '8', '15008', '8', '15018', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030626', '11', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '10', '15008', '10', '15018', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030627', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '6', '15018', '5', '15016', '5', '15006', '12', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030701', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030702', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030703', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030704', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030705', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15033', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030706', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030707', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030708', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030709', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030710', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15030', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030711', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15009', '2', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030712', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15009', '2', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030713', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15009', '2', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030714', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15009', '2', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030715', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15009', '2', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030716', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '48', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '82');
INSERT INTO `gamedata_items_equipment` VALUES ('8030717', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030718', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15017', '5', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030719', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '5', '15008', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030720', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030721', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15017', '8', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030722', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15008', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030723', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030724', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '10', '15008', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030725', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '15', '15029', '15', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030726', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030727', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030728', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15017', '5', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030729', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15017', '5', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030730', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '5', '15008', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030731', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '5', '15008', '1', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030732', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030733', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030734', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15017', '8', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030735', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15017', '8', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030736', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15008', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030737', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15008', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030738', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030739', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030740', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030741', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '10', '15008', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030742', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '10', '15008', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030743', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '10', '15008', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030744', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '14', '15016', '7', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030745', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '20', '15016', '10', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030801', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030802', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15002', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030803', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15002', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030804', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15002', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030805', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030806', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030807', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030808', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030809', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15002', '36', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030810', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15002', '36', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030811', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15002', '36', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030812', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15002', '36', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030813', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15002', '44', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030814', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15002', '44', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030815', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15002', '44', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030816', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '44', '15002', '44', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030817', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '7', '15008', '4', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '86');
INSERT INTO `gamedata_items_equipment` VALUES ('8030818', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15008', '-2', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '63');
INSERT INTO `gamedata_items_equipment` VALUES ('8030819', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '15002', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030820', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '15002', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030821', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '32', '15002', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030822', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '32', '15002', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030823', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '50', '15002', '40', '15004', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030824', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15002', '40', '15017', '10', '15029', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030901', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '2', '15031', '2', '15033', '8', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030902', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '2', '15031', '2', '15033', '8', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030903', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '2', '15031', '2', '15033', '8', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030904', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15031', '3', '15033', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030905', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15031', '3', '15033', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030906', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15031', '3', '15033', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030907', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15031', '3', '15033', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030908', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '5', '15031', '4', '15033', '17', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030909', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '5', '15031', '4', '15033', '17', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030910', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '5', '15031', '4', '15033', '17', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030911', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '5', '15031', '4', '15033', '17', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030912', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15005', '6', '15031', '6', '15033', '22', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030913', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15005', '6', '15031', '6', '15033', '22', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030914', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15005', '6', '15031', '6', '15033', '22', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030915', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15005', '6', '15031', '6', '15033', '22', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030916', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '3', '15031', '3', '15033', '11', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030917', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '3', '15018', '2', '15016', '2', '15029', '1', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030918', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15004', '3', '15006', '3', '15005', '3', '15029', '1', '-1', '0', '0', '0', '59');
INSERT INTO `gamedata_items_equipment` VALUES ('8030919', '11', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15006', '3', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8030920', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '2', '15005', '3', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030921', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '2', '15005', '3', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030922', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '3', '15005', '4', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030923', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '3', '15005', '4', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8030924', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15006', '2', '15014', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031001', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '2', '15017', '1', '15031', '3', '15033', '10', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031002', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '2', '15017', '1', '15031', '3', '15033', '10', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031003', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '2', '15017', '1', '15031', '3', '15033', '10', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031004', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '2', '15017', '1', '15031', '3', '15033', '10', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031005', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15017', '1', '15031', '5', '15033', '15', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031006', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15017', '1', '15031', '5', '15033', '15', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031007', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15017', '1', '15031', '5', '15033', '15', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031008', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15017', '1', '15031', '5', '15033', '15', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031009', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15017', '1', '15031', '5', '15033', '15', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031010', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '4', '15017', '1', '15031', '6', '15033', '20', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031011', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '4', '15017', '1', '15031', '6', '15033', '20', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031012', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '4', '15017', '1', '15031', '6', '15033', '20', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031013', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '4', '15017', '1', '15031', '6', '15033', '20', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031014', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '4', '15017', '1', '15031', '6', '15033', '20', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031015', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15005', '6', '15017', '1', '15031', '8', '15033', '24', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031016', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15005', '6', '15017', '1', '15031', '8', '15033', '24', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031017', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15005', '6', '15017', '1', '15031', '8', '15033', '24', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031018', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15005', '6', '15017', '1', '15031', '8', '15033', '24', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031019', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15005', '6', '15017', '1', '15031', '8', '15033', '24', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031020', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031021', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '10', '15034', '10', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031022', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '4', '15033', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031023', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '24', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031024', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '24', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031025', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '24', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031026', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '5', '15033', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031027', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '28', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031028', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '28', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031029', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '28', '15006', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031030', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '4', '15033', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031031', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '4', '15033', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031032', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '4', '15033', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031033', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '24', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031034', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '24', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031035', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '24', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031036', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '24', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031037', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '24', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031038', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '24', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031039', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '24', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031040', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '24', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031041', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '24', '15006', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031042', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '5', '15033', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031043', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '5', '15033', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031044', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '5', '15033', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031045', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '5', '15033', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031046', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '28', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031047', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '28', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031048', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '28', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031049', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15033', '28', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031050', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '28', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031051', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '28', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031052', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '28', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031053', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15033', '28', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031054', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '28', '15006', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031055', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '28', '15006', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031056', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '28', '15006', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031057', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15033', '28', '15006', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031101', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031102', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031103', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031104', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031105', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031106', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031107', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031108', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031109', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031110', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031111', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031112', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031113', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031114', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031115', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031116', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031117', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031118', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031119', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031120', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031121', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15001', '25', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031122', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15001', '25', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031201', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15009', '1', '15030', '3', '15033', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031202', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15009', '1', '15030', '3', '15033', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031203', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15009', '1', '15030', '3', '15033', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031204', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15009', '1', '15030', '3', '15033', '3', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031205', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '2', '15030', '7', '15033', '7', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031206', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '2', '15030', '7', '15033', '7', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031207', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '2', '15030', '7', '15033', '7', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031208', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '2', '15030', '7', '15033', '7', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031209', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '2', '15030', '7', '15033', '7', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031210', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '3', '15030', '12', '15033', '12', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031211', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '3', '15030', '12', '15033', '12', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031212', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '3', '15030', '12', '15033', '12', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031213', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '3', '15030', '12', '15033', '12', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031214', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '3', '15030', '12', '15033', '12', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031215', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031216', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '4', '15030', '16', '15033', '16', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031217', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '4', '15030', '16', '15033', '16', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031218', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '4', '15030', '16', '15033', '16', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031219', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '4', '15030', '16', '15033', '16', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031220', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '4', '15030', '16', '15033', '16', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031221', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031222', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15005', '4', '15009', '3', '15030', '14', '15033', '14', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031223', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '20', '15030', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031224', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '8', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031225', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '8', '15033', '8', '15034', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031226', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '8', '15033', '8', '15031', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031227', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '13', '15033', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031228', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '13', '15033', '13', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031229', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '13', '15033', '13', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031230', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031231', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '17', '15033', '17', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031232', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '17', '15033', '17', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031233', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '8', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031234', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '8', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031235', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '8', '15033', '8', '15034', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031236', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '8', '15033', '8', '15034', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031237', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '8', '15033', '8', '15031', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031238', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '8', '15033', '8', '15031', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031239', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '13', '15033', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031240', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '13', '15033', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031241', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '13', '15033', '13', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031242', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '13', '15033', '13', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031243', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '13', '15033', '13', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031244', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '13', '15033', '13', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031245', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031246', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031247', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '17', '15033', '17', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031248', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '17', '15033', '17', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031249', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '17', '15033', '17', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031250', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15030', '17', '15033', '17', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031301', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '17', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031302', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '17', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031303', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '17', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031304', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '17', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031305', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031306', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031307', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031308', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031309', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031310', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '29', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031311', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '29', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031312', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '29', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031313', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '29', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031314', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '29', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031315', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031316', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031401', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15002', '18', '15029', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031402', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15002', '18', '15029', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031403', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15002', '18', '15029', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031404', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15002', '18', '15029', '1', '15031', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031405', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15002', '24', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031406', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15002', '24', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031407', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15002', '24', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031408', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15002', '24', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031409', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15002', '24', '15029', '2', '15031', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031410', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '30', '15029', '2', '15031', '4', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031411', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '30', '15029', '2', '15031', '4', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031412', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '30', '15029', '2', '15031', '4', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031413', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '30', '15029', '2', '15031', '4', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031414', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '30', '15029', '2', '15031', '4', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031415', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031416', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-18', '15002', '18', '15005', '-3', '15008', '3', '15029', '3', '-1', '0', '0', '0', '72');
INSERT INTO `gamedata_items_equipment` VALUES ('8031417', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '6', '15001', '10', '15002', '32', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031418', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '6', '15001', '10', '15002', '32', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031419', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '7', '15001', '12', '15002', '36', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031420', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '7', '15001', '12', '15002', '36', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031421', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-60', '15002', '90', '15005', '-10', '15008', '15', '15017', '-20', '15029', '25', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031501', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15008', '1', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031502', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15008', '1', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031503', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15008', '2', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031504', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15008', '2', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031505', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15008', '3', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031506', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15008', '3', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031507', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15008', '3', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031508', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15008', '3', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031509', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15008', '4', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031510', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15008', '4', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031511', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15008', '4', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031512', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15008', '4', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031513', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15004', '3', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031514', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '2', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031515', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '2', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031516', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '5', '15008', '4', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031517', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '5', '15008', '4', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031518', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '6', '15008', '4', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031519', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '6', '15008', '4', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031520', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '6', '15008', '5', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031521', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '6', '15008', '5', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031522', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '6', '15008', '5', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031523', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '6', '15008', '5', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031601', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15008', '2', '15033', '6', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031602', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15008', '2', '15033', '6', '15029', '1', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031603', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15008', '2', '15033', '8', '15029', '2', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031604', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031605', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15004', '5', '15008', '5', '15033', '15', '15029', '2', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031606', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15004', '6', '15008', '6', '15033', '17', '15029', '2', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031607', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15018', '5', '15016', '5', '15029', '2', '15015', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031608', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15018', '7', '15016', '7', '15029', '2', '15040', '3', '-1', '0', '0', '0', '63');
INSERT INTO `gamedata_items_equipment` VALUES ('8031609', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '3', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031610', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '5', '15018', '7', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031611', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '5', '15018', '7', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031612', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '6', '15018', '8', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031613', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15006', '6', '15018', '8', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031701', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031702', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031703', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031704', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031705', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '4', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031706', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '6', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031707', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '6', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031708', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '6', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031709', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '6', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031710', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '6', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031711', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '8', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031712', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '8', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031713', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '8', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031714', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '8', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031715', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '8', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031716', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031717', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031718', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15004', '8', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031719', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '8', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '82');
INSERT INTO `gamedata_items_equipment` VALUES ('8031720', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15004', '5', '15018', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031721', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15004', '5', '15018', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031722', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15004', '6', '15018', '6', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031723', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15004', '6', '15018', '6', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031724', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15018', '3', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031801', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '2', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031802', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '2', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031803', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '2', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031804', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '2', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031805', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '3', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031806', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '3', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031807', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '3', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031808', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '3', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031809', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '3', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031810', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031811', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031812', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031813', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031814', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031815', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '6', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031816', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '6', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031817', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '6', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031818', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '6', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031819', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15008', '6', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031820', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15002', '30', '15008', '4', '15009', '4', '15024', '4', '15028', '4', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031821', '42', '29', '16008', '0', '-1', '0', '20026', '0', '-1', '0', '15002', '15', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8031822', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15025', '1', '15008', '6', '15009', '3', '15029', '9', '15025', '9', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031823', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15025', '1', '15008', '6', '15009', '3', '15029', '9', '15025', '9', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031824', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15025', '1', '15008', '6', '15009', '3', '15029', '9', '15025', '9', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031825', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15025', '2', '15008', '8', '15009', '4', '15029', '12', '15025', '12', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031826', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15025', '2', '15008', '8', '15009', '4', '15029', '12', '15025', '12', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031827', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15025', '2', '15008', '8', '15009', '4', '15029', '12', '15025', '12', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031828', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15025', '2', '15008', '8', '15009', '4', '15029', '12', '15025', '12', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031901', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15033', '2', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031902', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15033', '2', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031903', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15033', '2', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031904', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15033', '2', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031905', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '3', '15035', '6', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031906', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '3', '15035', '6', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031907', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '3', '15035', '6', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031908', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '3', '15035', '6', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031909', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '3', '15035', '6', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031910', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '5', '15035', '9', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031911', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '5', '15035', '9', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031912', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '5', '15035', '9', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031913', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '5', '15035', '9', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031914', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15012', '1', '15033', '5', '15035', '9', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031915', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15030', '9', '15033', '9', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031916', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15030', '9', '15033', '9', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8031917', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15030', '9', '15033', '9', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032001', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15015', '3', '15029', '1', '15030', '6', '15032', '11', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032002', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032003', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '15029', '1', '15030', '7', '15032', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032004', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '15029', '1', '15030', '7', '15032', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032005', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '15029', '1', '15030', '7', '15032', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032006', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '15029', '1', '15030', '7', '15032', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032007', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '15029', '1', '15030', '7', '15032', '13', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032008', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '15031', '15', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032009', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '5', '15032', '27', '15034', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032010', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '27', '15034', '27', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032011', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '27', '15034', '27', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032012', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '27', '15034', '27', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032013', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '6', '15032', '30', '15034', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032014', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '30', '15034', '30', '15008', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032015', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '30', '15034', '30', '15009', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032016', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '30', '15034', '30', '15009', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032017', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '5', '15032', '27', '15034', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032018', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '5', '15032', '27', '15034', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032019', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '5', '15032', '27', '15034', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032020', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '27', '15034', '27', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032021', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '27', '15034', '27', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032022', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '27', '15034', '27', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032023', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '27', '15034', '27', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032024', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '27', '15034', '27', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032025', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '6', '15032', '30', '15034', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032026', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '6', '15032', '30', '15034', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032027', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '6', '15032', '30', '15034', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032028', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '6', '15032', '30', '15034', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032029', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '30', '15034', '30', '15008', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032030', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '30', '15034', '30', '15008', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032031', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '30', '15034', '30', '15008', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032032', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15032', '30', '15034', '30', '15008', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032033', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '30', '15034', '30', '15009', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032034', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '30', '15034', '30', '15009', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032035', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15032', '30', '15034', '30', '15009', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032101', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15011', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032102', '43', '29', '-1', '0', '-1', '0', '20027', '0', '-1', '0', '15011', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032201', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '1', '15031', '10', '15034', '11', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032202', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '1', '15031', '10', '15034', '11', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032203', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '1', '15031', '10', '15034', '11', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032204', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '1', '15031', '10', '15034', '11', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032205', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '1', '15031', '10', '15034', '11', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032206', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '2', '15031', '13', '15034', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032207', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '2', '15031', '13', '15034', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032208', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '2', '15031', '13', '15034', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032209', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '2', '15031', '13', '15034', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032210', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15017', '2', '15031', '13', '15034', '15', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032211', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15017', '2', '15031', '16', '15034', '18', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032212', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15017', '2', '15031', '16', '15034', '18', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032213', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15017', '2', '15031', '16', '15034', '18', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032214', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15017', '2', '15031', '16', '15034', '18', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032215', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15017', '2', '15031', '16', '15034', '18', '-1', '0', '-1', '0', '0', '0', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032216', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15008', '1', '15017', '2', '15031', '9', '15034', '10', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032217', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032218', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15008', '3', '15017', '2', '15031', '15', '15034', '17', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032219', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032220', '11', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15030', '15', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032221', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15031', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032222', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '18', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032223', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15031', '18', '15034', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032224', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '4', '15031', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032225', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '24', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032226', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '4', '15031', '24', '15034', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032227', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15031', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032228', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15031', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032229', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '18', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032230', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '18', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032231', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15031', '18', '15034', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032232', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15031', '18', '15034', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032233', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '4', '15031', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032234', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '4', '15031', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032235', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '4', '15031', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032236', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '4', '15031', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032237', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '24', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032238', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '24', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032239', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '24', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032240', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15031', '24', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032241', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '4', '15031', '24', '15034', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032242', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '4', '15031', '24', '15034', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032243', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '4', '15031', '24', '15034', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032244', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '4', '15031', '24', '15034', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032301', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15008', '3', '15009', '3', '15028', '2', '15029', '4', '15012', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032302', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '5', '15008', '5', '15009', '5', '15028', '4', '15029', '4', '15040', '4', '0', '0', '72');
INSERT INTO `gamedata_items_equipment` VALUES ('8032303', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '4', '15008', '4', '15028', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032304', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '4', '15008', '4', '15028', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032305', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '5', '15008', '5', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032306', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '5', '15008', '5', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032307', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '15008', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032308', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '5', '15008', '5', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032309', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '5', '15008', '5', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032310', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15007', '5', '15008', '5', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032311', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '6', '15008', '6', '15028', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032312', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '8', '15008', '8', '15028', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032401', '10', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032402', '10', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032403', '10', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032404', '10', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032405', '10', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032406', '10', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032407', '10', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032408', '10', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032409', '10', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032410', '10', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032501', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032502', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032601', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15010', '8', '15015', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032602', '11', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15012', '8', '15011', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032603', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15013', '8', '15014', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032604', '11', '29', '16010', '1', '15019', '70', '-1', '0', '-1', '0', '15004', '10', '15006', '10', '15005', '10', '15008', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032605', '11', '29', '16010', '1', '15022', '120', '-1', '0', '-1', '0', '15004', '10', '15006', '10', '15007', '10', '15009', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032606', '11', '29', '16010', '1', '15028', '15', '-1', '0', '-1', '0', '15005', '10', '15007', '10', '15008', '10', '15009', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032701', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20029', '0', '15002', '40', '15008', '12', '15025', '3', '15052', '3', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032702', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20035', '0', '15018', '7', '15017', '7', '15007', '5', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032703', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20034', '0', '15001', '50', '15018', '6', '15016', '6', '15005', '7', '15017', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032704', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20043', '0', '15018', '7', '15004', '7', '15009', '7', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032705', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20038', '0', '15006', '7', '15009', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032706', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20046', '0', '15008', '7', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032707', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20049', '0', '15024', '7', '15007', '6', '15028', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032801', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15001', '160', '15052', '45', '15005', '20', '15017', '-20', '15029', '10', '15049', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032802', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '15', '15005', '15', '15018', '20', '15022', '50', '15017', '-10', '15025', '-30', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032803', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '10', '15004', '20', '15016', '18', '15022', '30', '15051', '40', '15017', '-7', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032804', '42', '29', '-1', '0', '-1', '0', '20026', '0', '-1', '0', '15002', '120', '15027', '15', '15007', '15', '15009', '15', '15017', '-20', '15050', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032805', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15001', '18', '15018', '7', '15016', '7', '15001', '90', '15002', '50', '15025', '15', '15020', '15', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032806', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15001', '18', '15018', '7', '15016', '7', '15001', '90', '15002', '50', '15025', '15', '15020', '15', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032807', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15001', '18', '15018', '7', '15016', '7', '15001', '90', '15002', '50', '15025', '15', '15020', '15', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032808', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15001', '18', '15018', '7', '15016', '7', '15001', '90', '15002', '50', '15025', '15', '15020', '15', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032809', '42', '29', '-1', '0', '-1', '0', '20026', '0', '15001', '18', '15018', '7', '15016', '7', '15001', '90', '15002', '50', '15025', '15', '15020', '15', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032810', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '5', '15017', '10', '15006', '10', '15009', '10', '15007', '10', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032811', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '5', '15017', '10', '15006', '10', '15009', '10', '15007', '10', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032812', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '5', '15017', '10', '15006', '10', '15009', '10', '15007', '10', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032813', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '5', '15017', '10', '15006', '10', '15009', '10', '15007', '10', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032814', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '5', '15017', '10', '15006', '10', '15009', '10', '15007', '10', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032815', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15002', '40', '15029', '9', '15024', '10', '15007', '5', '15008', '5', '15028', '5', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032816', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15002', '40', '15029', '9', '15024', '10', '15007', '5', '15008', '5', '15028', '5', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032817', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15002', '40', '15029', '9', '15024', '10', '15007', '5', '15008', '5', '15028', '5', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032818', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15002', '40', '15029', '9', '15024', '10', '15007', '5', '15008', '5', '15028', '5', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032819', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '2', '15002', '40', '15029', '9', '15024', '10', '15007', '5', '15008', '5', '15028', '5', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032820', '11', '29', '16007', '3', '15052', '-20', '-1', '0', '-1', '0', '15001', '60', '15004', '10', '15016', '5', '15018', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032821', '11', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '38', '15034', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032822', '11', '29', '16008', '3', '15018', '10', '-1', '0', '-1', '0', '15001', '60', '15004', '10', '15016', '5', '15052', '-20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032823', '11', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '38', '15034', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032824', '11', '29', '16009', '3', '15022', '40', '-1', '0', '-1', '0', '15001', '60', '15004', '10', '15016', '5', '15052', '-20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032825', '11', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '38', '15034', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032826', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '30', '15007', '15', '15008', '15', '15029', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032827', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '100', '15005', '7', '15020', '15', '15008', '13', '15040', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032828', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '80', '15016', '5', '15017', '5', '15020', '30', '16004', '60', '15033', '36', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032829', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-50', '15002', '50', '15050', '1', '15025', '50', '15076', '20', '15029', '25', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032830', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '2', '15018', '8', '15004', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032831', '11', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '7', '15018', '7', '15016', '8', '15004', '7', '15022', '10', '-1', '0', '-1', '0', '0', '1', '23');
INSERT INTO `gamedata_items_equipment` VALUES ('8032832', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '5', '15016', '5', '15004', '8', '15001', '30', '-1', '0', '-1', '0', '0', '1', '82');
INSERT INTO `gamedata_items_equipment` VALUES ('8032833', '11', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '5', '15028', '5', '15007', '4', '15008', '4', '-1', '0', '-1', '0', '0', '1', '86');
INSERT INTO `gamedata_items_equipment` VALUES ('8032834', '11', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032835', '11', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032836', '11', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032837', '11', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032838', '11', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8032839', '11', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040001', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040002', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040003', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040004', '10', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040005', '10', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040006', '10', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040007', '10', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040008', '10', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040009', '10', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040010', '10', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040011', '10', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040012', '10', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040013', '10', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040014', '10', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040015', '10', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040016', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040017', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040018', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040019', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040020', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040021', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040022', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040023', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040024', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040025', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040026', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040027', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040028', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040029', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040030', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040031', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040032', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040033', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040034', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040035', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040036', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040037', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040038', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040039', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040040', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040041', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040042', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040043', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040044', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040045', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040046', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040047', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040048', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040049', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040050', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040051', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040052', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040053', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040054', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040055', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040056', '10', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040057', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040058', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040059', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040060', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040061', '10', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040062', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040063', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040064', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040065', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040066', '10', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040067', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040068', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040069', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040070', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040071', '10', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040072', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040073', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040074', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040075', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040076', '10', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040077', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040078', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040079', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040080', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040081', '10', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040082', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040083', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040084', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040085', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040086', '10', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040087', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040088', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040089', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040090', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040091', '10', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040092', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040093', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040094', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040095', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8040096', '10', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050001', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050002', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050003', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050004', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050005', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050006', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050007', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050008', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050009', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050010', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '7', '15030', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050011', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '7', '15030', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050012', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '7', '15030', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050013', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '7', '15030', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050014', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '7', '15030', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050015', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '-1', '0', '15030', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050016', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '3', '15030', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050017', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15008', '3', '15030', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050018', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15004', '3', '15030', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050019', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '-1', '0', '15030', '10', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050020', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '4', '15030', '10', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050021', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15008', '4', '15030', '10', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050022', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15004', '4', '15030', '10', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050023', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050024', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050025', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050026', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '9', '15034', '9', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050027', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '9', '15034', '9', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050028', '13', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050029', '13', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '12', '15033', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050030', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050031', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050032', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050033', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '9', '15034', '9', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050034', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '9', '15034', '9', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050035', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '9', '15034', '9', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050036', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '9', '15034', '9', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050037', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15030', '9', '15034', '9', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050038', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15030', '9', '15034', '9', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050039', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15030', '9', '15034', '9', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050040', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050041', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050042', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050043', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '10', '15034', '10', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050044', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '10', '15034', '10', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050045', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '10', '15034', '10', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050046', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '10', '15034', '10', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050047', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '10', '15034', '10', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050048', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15030', '10', '15034', '10', '15008', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050049', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15030', '10', '15034', '10', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050050', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15030', '10', '15034', '10', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050051', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15030', '10', '15034', '10', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050101', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050102', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050103', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050104', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050105', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050106', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050107', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050108', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050109', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050110', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050111', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050112', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050113', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050114', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050115', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050116', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050117', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050118', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050119', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15005', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050120', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '15005', '4', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050121', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '15005', '4', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050122', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '21', '15005', '5', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050123', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '21', '15005', '5', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050124', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050125', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '19', '15005', '5', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050126', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '19', '15005', '5', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050127', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '23', '15005', '6', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050128', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '23', '15005', '6', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050129', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '23', '15005', '6', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050130', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '23', '15005', '6', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050131', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '23', '15005', '6', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050132', '13', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15005', '7', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050133', '13', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15005', '9', '15004', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050134', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050135', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050136', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050137', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050138', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050139', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050140', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050141', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050142', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050143', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050144', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050145', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050146', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050147', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050148', '13', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15005', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050149', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15005', '6', '15042', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050150', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050151', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '28', '15005', '5', '15013', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050201', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '11', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050202', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '11', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050203', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '11', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050204', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '11', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050205', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15006', '1', '15017', '2', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050206', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15006', '1', '15017', '2', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050207', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15006', '1', '15017', '2', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050208', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15006', '1', '15017', '2', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050209', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '15', '15006', '1', '15017', '2', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050210', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '19', '15006', '2', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050211', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '19', '15006', '2', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050212', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '19', '15006', '2', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050213', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '19', '15006', '2', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050214', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '19', '15006', '2', '15017', '5', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050215', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '3', '15017', '9', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050216', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '3', '15017', '9', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050217', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '3', '15017', '9', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050218', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '3', '15017', '9', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050219', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '23', '15006', '3', '15017', '9', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050220', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050221', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15029', '1', '15002', '12', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050222', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '1', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050223', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050224', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15029', '3', '15002', '20', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050225', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '3', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050226', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050227', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050228', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15029', '1', '15002', '12', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050229', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15029', '1', '15002', '12', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050230', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '1', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050231', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '1', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050232', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050233', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050234', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15029', '3', '15002', '20', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050235', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15029', '3', '15002', '20', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050236', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '3', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050237', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '3', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050238', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050239', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050240', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050241', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050242', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '9', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050243', '13', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '20', '15006', '2', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050244', '13', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '20', '15006', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050245', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050246', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15002', '27', '15006', '4', '15017', '11', '15029', '1', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050247', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050248', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-14', '15002', '28', '15007', '4', '15024', '3', '15017', '13', '15029', '1', '0', '0', '43');
INSERT INTO `gamedata_items_equipment` VALUES ('8050301', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050302', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050303', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050304', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050305', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050306', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050307', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050308', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050309', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050310', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15030', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050311', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15030', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050312', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15030', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050313', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15030', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050314', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15030', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050315', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '10', '15030', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050316', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '10', '15030', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050317', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '10', '15030', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050318', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '10', '15030', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050319', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '10', '15030', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050320', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '5', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050321', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '5', '15032', '3', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050322', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '5', '15032', '3', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050323', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '5', '15032', '3', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050324', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '6', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050325', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '6', '15032', '4', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050326', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '6', '15032', '4', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050327', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '6', '15032', '4', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050328', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '5', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050329', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '5', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050330', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '5', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050331', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '5', '15032', '3', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050332', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '5', '15032', '3', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050333', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '5', '15032', '3', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050334', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '5', '15032', '3', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050335', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '5', '15032', '3', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050336', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '5', '15032', '3', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050337', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '5', '15032', '3', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050338', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '5', '15032', '3', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050339', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '5', '15032', '3', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050340', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '6', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050341', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '6', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050342', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '6', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050343', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '6', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050344', '13', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '8', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050345', '13', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '4', '15031', '4', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050346', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050347', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050348', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '6', '15032', '4', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050349', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '6', '15032', '4', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050350', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '6', '15032', '4', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050351', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15030', '6', '15032', '4', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050352', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '6', '15032', '4', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050353', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '6', '15032', '4', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050354', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '6', '15032', '4', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050355', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15030', '6', '15032', '4', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050356', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '6', '15032', '4', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050357', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '6', '15032', '4', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050358', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '6', '15032', '4', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050359', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15030', '6', '15032', '4', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050360', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-12', '15002', '25', '15028', '3', '15008', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050401', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '1', '15033', '6', '15017', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050402', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '1', '15033', '6', '15017', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050403', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '1', '15033', '6', '15017', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050404', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15009', '1', '15033', '6', '15017', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050405', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '1', '15033', '9', '15017', '7', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050406', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '1', '15033', '9', '15017', '7', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050407', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '1', '15033', '9', '15017', '7', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050408', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '1', '15033', '9', '15017', '7', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050409', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '1', '15033', '9', '15017', '7', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050410', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '2', '15033', '12', '15017', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050411', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '2', '15033', '12', '15017', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050412', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '2', '15033', '12', '15017', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050413', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '2', '15033', '12', '15017', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050414', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15009', '2', '15033', '12', '15017', '9', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050415', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '6', '15009', '3', '15033', '15', '15017', '10', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050416', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '6', '15009', '3', '15033', '15', '15017', '10', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050417', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '6', '15009', '3', '15033', '15', '15017', '10', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050418', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '6', '15009', '3', '15033', '15', '15017', '10', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050419', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '6', '15009', '3', '15033', '15', '15017', '10', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050420', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '2', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050421', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '14', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050422', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '14', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050423', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '14', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050424', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '3', '15033', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050425', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '16', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050426', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '16', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050427', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '16', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050428', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '2', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050429', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '2', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050430', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '2', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050431', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '14', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050432', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '14', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050433', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '14', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050434', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '14', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050435', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '14', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050436', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '14', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050437', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '14', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050438', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '14', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050439', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '14', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050440', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '3', '15033', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050441', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '3', '15033', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050442', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '3', '15033', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050443', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '3', '15033', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050444', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '16', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050445', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '16', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050446', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '16', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050447', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15033', '16', '15008', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050448', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '16', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050449', '13', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '4', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050450', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050451', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '16', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050452', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '16', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050453', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15033', '16', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050454', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '16', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050455', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '16', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050456', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '16', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050457', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15033', '16', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050501', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '1', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050502', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '1', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050503', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15006', '2', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050504', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15006', '2', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050505', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050506', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050507', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '2', '15017', '10', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050508', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '2', '15017', '10', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050509', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15006', '4', '15005', '3', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050510', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15006', '4', '15005', '3', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050511', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15006', '5', '15005', '3', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050512', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15006', '5', '15005', '3', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050513', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15006', '5', '15005', '4', '15017', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050514', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15006', '5', '15005', '4', '15017', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050515', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050516', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050517', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050518', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050519', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15083', '10', '15006', '7', '15005', '6', '15017', '14', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050520', '13', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15005', '3', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050521', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15005', '1', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050601', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15007', '1', '15017', '2', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050602', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15007', '1', '15017', '2', '15029', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050603', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15007', '2', '15017', '4', '15029', '2', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050604', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15007', '2', '15017', '4', '15029', '2', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050605', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15007', '2', '15017', '8', '15029', '2', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050606', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15007', '2', '15017', '8', '15029', '2', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050607', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15007', '3', '15017', '12', '15029', '3', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050608', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15007', '3', '15017', '12', '15029', '3', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050609', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '3', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050610', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '3', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050611', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050612', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050613', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '13', '15005', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050614', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '13', '15005', '4', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050615', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '14', '15005', '5', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050616', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '14', '15005', '5', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050618', '13', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '16', '15005', '6', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050619', '13', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '20', '15005', '8', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050620', '13', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15006', '3', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050621', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050622', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050701', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15030', '2', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050702', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15030', '2', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050703', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15030', '2', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050704', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15030', '4', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050705', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15030', '4', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050706', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15030', '4', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050707', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15030', '4', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050708', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '9', '15030', '8', '15033', '10', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050709', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '9', '15030', '8', '15033', '10', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050710', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '9', '15030', '8', '15033', '10', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050711', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15009', '1', '15017', '9', '15030', '8', '15033', '10', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050712', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050713', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '6', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050714', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15006', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050715', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '6', '15030', '6', '15033', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050716', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050717', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '9', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050718', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '9', '15006', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050719', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '9', '15030', '9', '15033', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050720', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050721', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '11', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050722', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '11', '15006', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050723', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15017', '11', '15030', '11', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050724', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050725', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050726', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050727', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '25', '15001', '15', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050728', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15033', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050729', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '6', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050730', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '6', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050731', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '6', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050732', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15006', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050733', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15006', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050734', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15006', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050735', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '6', '15030', '6', '15033', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050736', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '6', '15030', '6', '15033', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050737', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '6', '15030', '6', '15033', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050738', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050739', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050740', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050741', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '9', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050742', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '9', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050743', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '9', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050744', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '9', '15006', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050745', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '9', '15006', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050746', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '9', '15006', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050747', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '9', '15030', '9', '15033', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050748', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '9', '15030', '9', '15033', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050749', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15017', '9', '15030', '9', '15033', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050750', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050751', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050752', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050753', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050754', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '11', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050755', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '11', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050756', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '11', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050757', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15017', '11', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050758', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '11', '15006', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050759', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '11', '15006', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050760', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '11', '15006', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050761', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '11', '15006', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050762', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15017', '11', '15030', '11', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050763', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15017', '11', '15030', '11', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050764', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15017', '11', '15030', '11', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050765', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15017', '11', '15030', '11', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050766', '13', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '15', '15018', '7', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050767', '13', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '18', '15018', '9', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050768', '13', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '21', '15018', '9', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050769', '13', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '18', '15018', '11', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050801', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050802', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050803', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050804', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050805', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050806', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050807', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050808', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050809', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '15017', '5', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050810', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '15017', '5', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050811', '13', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15017', '9', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8050901', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '20', '15005', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050902', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '20', '15005', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050903', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '24', '15005', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050904', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '24', '15005', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050905', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '24', '15005', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050906', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '24', '15005', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050907', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '24', '15005', '4', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8050940', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15008', '1', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051001', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051002', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051003', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051004', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051005', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '2', '15029', '2', '15030', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051006', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '2', '15029', '2', '15030', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051007', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '2', '15029', '2', '15030', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051008', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '2', '15029', '2', '15030', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051009', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '2', '15029', '2', '15030', '4', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051010', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '2', '15017', '3', '15029', '3', '15030', '9', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051011', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '2', '15017', '3', '15029', '3', '15030', '9', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051012', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '2', '15017', '3', '15029', '3', '15030', '9', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051013', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '2', '15017', '3', '15029', '3', '15030', '9', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051014', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15008', '2', '15017', '3', '15029', '3', '15030', '9', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051015', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051016', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '14', '15009', '3', '15017', '4', '15029', '5', '-1', '0', '-1', '0', '0', '1', '87');
INSERT INTO `gamedata_items_equipment` VALUES ('8051017', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-9', '15002', '9', '15005', '-2', '15024', '2', '15017', '3', '15029', '5', '0', '0', '43');
INSERT INTO `gamedata_items_equipment` VALUES ('8051018', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15002', '10', '15007', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051019', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15002', '10', '15007', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051020', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15002', '13', '15007', '1', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051021', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15002', '13', '15007', '1', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051022', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15002', '15', '15007', '2', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051023', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15002', '15', '15007', '2', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051024', '13', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '20', '15008', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051025', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '10', '15007', '7', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051101', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15013', '1', '15035', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051102', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15013', '1', '15035', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051103', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15013', '1', '15035', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051104', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '15013', '1', '15035', '1', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051105', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15029', '1', '15013', '1', '15035', '3', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051106', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15029', '1', '15013', '1', '15035', '3', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051107', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15029', '1', '15013', '1', '15035', '3', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051108', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15029', '1', '15013', '1', '15035', '3', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051109', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15029', '1', '15013', '1', '15035', '3', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051110', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15029', '1', '15013', '2', '15035', '5', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051111', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15029', '1', '15013', '2', '15035', '5', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051112', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15029', '1', '15013', '2', '15035', '5', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051113', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15029', '1', '15013', '2', '15035', '5', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051114', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15029', '1', '15013', '2', '15035', '5', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051115', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '2', '15031', '1', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051116', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '2', '15031', '1', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051117', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '2', '15031', '1', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051118', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '4', '15031', '2', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051119', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '4', '15031', '2', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051120', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15030', '4', '15031', '2', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051121', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '10', '15018', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051201', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051202', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051203', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051204', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051205', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051206', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051207', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051208', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051209', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051210', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051211', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051212', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051213', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051214', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051215', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051216', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '6', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051217', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '6', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051218', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '6', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051219', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '8', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051220', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '8', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051221', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '8', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051222', '13', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '8', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051223', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '8', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051224', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15031', '8', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051301', '12', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051302', '12', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051303', '12', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051304', '12', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051305', '12', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051306', '12', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051307', '12', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051308', '12', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051309', '12', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051310', '12', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051401', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20031', '0', '15005', '7', '15008', '7', '15002', '10', '15052', '2', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051402', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20037', '0', '15004', '10', '15017', '7', '15007', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051403', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '10', '15001', '20', '15005', '9', '15004', '11', '15020', '10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051404', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20041', '0', '15004', '10', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051405', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20039', '0', '15006', '7', '15009', '7', '15001', '10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051406', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20045', '0', '15008', '6', '15009', '6', '15025', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051407', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15038', '22', '15001', '-40', '15002', '40', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051501', '44', '29', '-1', '0', '-1', '0', '20028', '0', '-1', '0', '15001', '140', '15052', '25', '15005', '12', '15006', '12', '15017', '-20', '15029', '10', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051502', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '100', '15009', '10', '15027', '5', '15026', '5', '15017', '-10', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051503', '44', '29', '-1', '0', '-1', '0', '20028', '0', '15001', '18', '15018', '5', '15016', '2', '15001', '90', '15002', '20', '15025', '5', '15022', '10', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051504', '44', '29', '-1', '0', '-1', '0', '20028', '0', '15001', '18', '15018', '5', '15016', '2', '15001', '90', '15002', '20', '15025', '5', '15022', '10', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051505', '44', '29', '-1', '0', '-1', '0', '20028', '0', '15001', '18', '15018', '5', '15016', '2', '15001', '90', '15002', '20', '15025', '5', '15022', '10', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051506', '44', '29', '-1', '0', '-1', '0', '20028', '0', '15001', '18', '15018', '5', '15016', '2', '15001', '90', '15002', '20', '15025', '5', '15022', '10', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051507', '44', '29', '-1', '0', '-1', '0', '20028', '0', '15001', '18', '15018', '5', '15016', '2', '15001', '90', '15002', '20', '15025', '5', '15022', '10', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051508', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '2', '15017', '6', '15009', '4', '15006', '4', '15007', '4', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051509', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '2', '15017', '6', '15009', '4', '15006', '4', '15007', '4', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051510', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '2', '15017', '6', '15009', '4', '15006', '4', '15007', '4', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051511', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '2', '15017', '6', '15009', '4', '15006', '4', '15007', '4', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051512', '13', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '2', '15017', '6', '15009', '4', '15006', '4', '15007', '4', '-1', '0', '0', '1', '25');
INSERT INTO `gamedata_items_equipment` VALUES ('8051513', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '100', '15002', '50', '15005', '15', '15008', '15', '15016', '5', '15103', '50', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051514', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '4', '15007', '14', '15036', '40', '15001', '25', '15050', '1', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051515', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15018', '10', '15009', '20', '15017', '14', '15020', '10', '16004', '60', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051516', '13', '29', '16007', '3', '15016', '10', '-1', '0', '-1', '0', '15001', '80', '15004', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051517', '13', '29', '16008', '3', '15052', '-20', '-1', '0', '-1', '0', '15001', '30', '15007', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051518', '13', '29', '16009', '5', '15041', '5', '-1', '0', '-1', '0', '15001', '80', '15004', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051519', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '5', '15018', '5', '15004', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '89');
INSERT INTO `gamedata_items_equipment` VALUES ('8051520', '13', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '5', '15024', '5', '15002', '30', '-1', '0', '-1', '0', '-1', '0', '0', '1', '87');
INSERT INTO `gamedata_items_equipment` VALUES ('8051521', '13', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051522', '13', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051523', '13', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051524', '13', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051525', '13', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8051526', '13', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060001', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060002', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060003', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060004', '12', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060005', '12', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060006', '12', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060007', '12', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060008', '12', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060009', '12', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060010', '12', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060011', '12', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060012', '12', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060013', '12', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060014', '12', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060015', '12', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060016', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060017', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060018', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060019', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060020', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060021', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060022', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060023', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060024', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060025', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060026', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060027', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060028', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060029', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060030', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060031', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060032', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060033', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060034', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060035', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060036', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060037', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060038', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060039', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060040', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060041', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060042', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060043', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060044', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060045', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060046', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060047', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060048', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060049', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060050', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060051', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060052', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060053', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060054', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060055', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060056', '12', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060057', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060058', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060059', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060060', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060061', '12', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060062', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060063', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060064', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060065', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060066', '12', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060067', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060068', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060069', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060070', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060071', '12', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060072', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060073', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060074', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060075', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060076', '12', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060077', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060078', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060079', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060080', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060081', '12', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060082', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060083', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060084', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060085', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060086', '12', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060087', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060088', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060089', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060090', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060091', '12', '23', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060092', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060093', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060094', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060095', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8060096', '12', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070001', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070002', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070003', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070004', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070005', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070006', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070007', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '12', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070008', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '12', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070009', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070010', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070011', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070012', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070013', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070014', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '14', '15033', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070015', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '14', '15033', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070016', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '14', '15033', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070017', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '14', '15033', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070018', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070019', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070020', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '4', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070021', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070022', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070023', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '15029', '4', '15032', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070024', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070101', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070102', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070103', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070104', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070105', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070106', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070107', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070108', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070109', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '15008', '2', '15040', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070110', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '28', '15008', '2', '15040', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070111', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '33', '15008', '3', '15040', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070112', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15041', '5', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070113', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '33', '15008', '3', '15040', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070114', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '33', '15008', '3', '15040', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070115', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070116', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070117', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070118', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070119', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070201', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070202', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070203', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070204', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070205', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070206', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070207', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070208', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070209', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070210', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070211', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070212', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070213', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070214', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070215', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070216', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070217', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070218', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '12', '15006', '1', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070219', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '12', '15006', '1', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070220', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '16', '15006', '2', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070221', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '16', '15006', '2', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070222', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '20', '15006', '3', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070223', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '20', '15006', '3', '15029', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070224', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '15006', '3', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070225', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '15006', '3', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070226', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '15006', '3', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070227', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '24', '15006', '3', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070228', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070229', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070230', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070231', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070232', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070233', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070234', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070235', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070236', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070237', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070238', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070239', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070240', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070241', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070242', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070243', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '7', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070301', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15029', '1', '15032', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070302', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15029', '1', '15032', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070303', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15029', '1', '15032', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070304', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15029', '1', '15032', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070305', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15029', '2', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070306', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15029', '2', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070307', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15029', '2', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070308', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15029', '2', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070309', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15029', '2', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070310', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070311', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070312', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070313', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070314', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15029', '3', '15032', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070315', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15029', '4', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070316', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15029', '4', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070317', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15029', '4', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070318', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15029', '4', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070319', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15029', '4', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070320', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15030', '1', '15032', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070321', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15030', '1', '15032', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070322', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15030', '2', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070323', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15030', '2', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070324', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070325', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070326', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '13', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070327', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070328', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '3', '15032', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070329', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070330', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '15', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070331', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070332', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070333', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070334', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15032', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070335', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070336', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070337', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070338', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '13', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070339', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '13', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070340', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '13', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070341', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070342', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070343', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070344', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '3', '15032', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070345', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '3', '15032', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070346', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070347', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '3', '15032', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070348', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '3', '15032', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070349', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070350', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070351', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070352', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15032', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070353', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '15', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070354', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '15', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070355', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '15', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070356', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15032', '15', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070357', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070358', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070359', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070360', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15032', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070361', '14', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15007', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070362', '14', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '6', '15007', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070363', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '9', '15024', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070401', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070402', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070403', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070404', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070405', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070406', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070407', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070408', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070409', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070410', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070411', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070412', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070413', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070414', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070415', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070416', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15034', '4', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070417', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15034', '4', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070418', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15034', '8', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070419', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15034', '8', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070420', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070421', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070422', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '13', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070423', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070424', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15034', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070425', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070426', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '15', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070427', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070428', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070429', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070430', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070431', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070432', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070433', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '13', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070434', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '13', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070435', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '13', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070436', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '13', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070437', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070438', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070439', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '13', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070440', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15034', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070441', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15034', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070442', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15034', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070443', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '3', '15034', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070444', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070445', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070446', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070447', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15034', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070448', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '15', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070449', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '15', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070450', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '15', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070451', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15034', '15', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070452', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070453', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070454', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070455', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15034', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070501', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15032', '3', '15034', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070502', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '15032', '5', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070503', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15032', '7', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070504', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15032', '7', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070505', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15032', '7', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070506', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '6', '15032', '7', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070507', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '8', '15032', '10', '15034', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070508', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '8', '15032', '10', '15034', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070509', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '8', '15032', '10', '15034', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070510', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '8', '15032', '10', '15034', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070511', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15034', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070512', '14', '29', '-1', '0', '-1', '0', '20003', '0', '-1', '0', '15029', '1', '15034', '1', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070513', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15009', '-1', '15029', '7', '15040', '3', '-1', '0', '-1', '0', '0', '0', '67');
INSERT INTO `gamedata_items_equipment` VALUES ('8070514', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070515', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '6', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070516', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '6', '15032', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070517', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070518', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '8', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070519', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '8', '15032', '11', '15034', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070520', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070521', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '9', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070522', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '9', '15032', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070523', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070524', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '10', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070525', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '10', '15032', '14', '15034', '14', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070526', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '10', '15020', '15', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070527', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070528', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070529', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '6', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070530', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '6', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070531', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '6', '15032', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070532', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15029', '6', '15032', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070533', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070534', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070535', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '8', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070536', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '8', '15018', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070537', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '8', '15032', '11', '15034', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070538', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '8', '15032', '11', '15034', '11', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070539', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070540', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070541', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '9', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070542', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '9', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070543', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '9', '15032', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070544', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '9', '15032', '12', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070545', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070546', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070547', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070548', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '10', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070549', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '10', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070550', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15029', '10', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070551', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '10', '15032', '14', '15034', '14', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070552', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '10', '15032', '14', '15034', '14', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070553', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '2', '15029', '10', '15032', '14', '15034', '14', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070601', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070602', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070603', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070604', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070605', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15005', '2', '15018', '2', '15017', '1', '15029', '7', '-1', '0', '0', '0', '67');
INSERT INTO `gamedata_items_equipment` VALUES ('8070606', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070607', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '3', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070608', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15029', '9', '15004', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070609', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '15029', '10', '15004', '2', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070610', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15029', '2', '15029', '11', '15004', '3', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070701', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070702', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070703', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070704', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070705', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070706', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070707', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070708', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070709', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070710', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070711', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070712', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070713', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070714', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070715', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070716', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070717', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070718', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070719', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '-2', '15006', '3', '15016', '3', '15017', '3', '15029', '8', '15012', '3', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070720', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15029', '10', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070721', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '4', '15029', '10', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070722', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '5', '15029', '11', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070723', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '5', '15029', '11', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070724', '14', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '7', '15029', '14', '15009', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070725', '14', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '9', '15029', '18', '15009', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070801', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '14', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070802', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '14', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070803', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '18', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070804', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '22', '15029', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070805', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '27', '15029', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070806', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15008', '2', '15029', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '67');
INSERT INTO `gamedata_items_equipment` VALUES ('8070807', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15002', '15', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070808', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15002', '15', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070809', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15002', '20', '15018', '2', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070810', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15002', '20', '15018', '2', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070811', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '25', '15029', '15', '15018', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070812', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8070901', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15029', '2', '15034', '6', '-1', '0', '-1', '0', '-1', '2', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070902', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15029', '5', '15034', '9', '-1', '0', '-1', '0', '-1', '5', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070903', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15029', '8', '15034', '12', '-1', '0', '-1', '0', '-1', '8', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070904', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15029', '8', '15034', '12', '-1', '0', '-1', '0', '-1', '8', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070905', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15029', '8', '15034', '12', '-1', '0', '-1', '0', '-1', '8', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070906', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15029', '8', '15034', '12', '-1', '0', '-1', '0', '-1', '8', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070907', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15029', '10', '15034', '15', '-1', '0', '-1', '0', '-1', '10', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070908', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15029', '10', '15034', '15', '-1', '0', '-1', '0', '-1', '10', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070909', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15029', '10', '15034', '15', '-1', '0', '-1', '0', '-1', '10', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070910', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '23', '15029', '10', '15034', '15', '-1', '0', '-1', '0', '-1', '10', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070911', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15029', '4', '15016', '1', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070912', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15029', '4', '15016', '1', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070913', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15029', '7', '15016', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070914', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15029', '7', '15016', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8070915', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15005', '2', '15006', '2', '15007', '2', '15008', '2', '15009', '2', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071001', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071002', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071003', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071004', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071005', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071006', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071007', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071008', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071009', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071010', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071011', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071012', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071013', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071014', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071015', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071016', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071017', '14', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '15', '15017', '5', '15040', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071018', '14', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '20', '15017', '8', '15040', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071101', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '7', '15030', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071102', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '7', '15030', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071103', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '7', '15030', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071104', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '7', '15030', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071105', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '7', '15030', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071106', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '9', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071107', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '9', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071108', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '9', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071109', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '9', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071110', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '9', '15030', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071111', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '9', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071112', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '9', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071113', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '9', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071114', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '9', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071115', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15029', '9', '15030', '18', '-1', '0', '-1', '0', '-1', '0', '0', '0', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071116', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '13', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071117', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '13', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071118', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '13', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071119', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071120', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071121', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071122', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071123', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '17', '15033', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071201', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15028', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071202', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15028', '3', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071203', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15028', '3', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071204', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15028', '4', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071205', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15028', '4', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071206', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '1', '15028', '5', '15024', '3', '15043', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071207', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '1', '15028', '5', '15024', '3', '15046', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071208', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '1', '15028', '5', '15024', '3', '15048', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071209', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '1', '15028', '5', '15024', '3', '15045', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071210', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '1', '15028', '5', '15024', '3', '15044', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071211', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '1', '15028', '5', '15024', '3', '15047', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071212', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '7', '15038', '35', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071301', '14', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15010', '3', '15015', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071302', '14', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15012', '3', '15011', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071303', '14', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15013', '3', '15014', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071304', '14', '29', '16010', '1', '15016', '50', '-1', '0', '-1', '0', '15001', '100', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071305', '14', '29', '16010', '1', '15024', '25', '-1', '0', '-1', '0', '15001', '100', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071306', '14', '29', '16010', '1', '15041', '20', '-1', '0', '-1', '0', '15001', '100', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071401', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20030', '0', '15002', '30', '15005', '2', '15052', '4', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071402', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '40', '15002', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071403', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20032', '0', '15001', '30', '15018', '10', '15016', '8', '15005', '7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071404', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-30', '15052', '-10', '15018', '40', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071405', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20040', '0', '15009', '7', '15006', '7', '15017', '5', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071406', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15025', '7', '15002', '20', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071407', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-30', '15052', '-10', '15028', '5', '15038', '65', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071501', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '80', '15052', '45', '15005', '12', '15008', '12', '15017', '-20', '15029', '5', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071502', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '50', '15005', '25', '15004', '9', '15040', '5', '15017', '-10', '15025', '-20', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071503', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-100', '15018', '30', '15016', '35', '15017', '-7', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071504', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '80', '15005', '10', '15026', '15', '15017', '-10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071505', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15041', '2', '15001', '40', '15041', '10', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071506', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15041', '2', '15001', '40', '15041', '10', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071507', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15041', '2', '15001', '40', '15041', '10', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071508', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15041', '2', '15001', '40', '15041', '10', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071509', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15041', '2', '15001', '40', '15041', '10', '15040', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071510', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '5', '15017', '5', '15006', '5', '15009', '5', '15007', '5', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071511', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '5', '15017', '5', '15006', '5', '15009', '5', '15007', '5', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071512', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '5', '15017', '5', '15006', '5', '15009', '5', '15007', '5', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071513', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '5', '15017', '5', '15006', '5', '15009', '5', '15007', '5', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071514', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '5', '15017', '5', '15006', '5', '15009', '5', '15007', '5', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071515', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15001', '30', '15025', '3', '15024', '5', '15028', '7', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071516', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15001', '30', '15025', '3', '15024', '5', '15028', '7', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071517', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15001', '30', '15025', '3', '15024', '5', '15028', '7', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071518', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15001', '30', '15025', '3', '15024', '5', '15028', '7', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071519', '14', '29', '-1', '0', '-1', '0', '-1', '0', '15024', '1', '15001', '30', '15025', '3', '15024', '5', '15028', '7', '-1', '0', '-1', '0', '0', '1', '24');
INSERT INTO `gamedata_items_equipment` VALUES ('8071520', '14', '29', '16007', '3', '15025', '10', '-1', '0', '-1', '0', '15001', '20', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071521', '14', '29', '16007', '2', '15032', '5', '-1', '0', '-1', '0', '15031', '22', '15033', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071522', '14', '29', '16008', '3', '15025', '9', '-1', '0', '-1', '0', '15001', '15', '15008', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071523', '14', '29', '16008', '2', '15032', '5', '-1', '0', '-1', '0', '15031', '22', '15033', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071524', '14', '29', '16009', '3', '15025', '9', '-1', '0', '-1', '0', '15001', '20', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071525', '14', '29', '16009', '2', '15032', '5', '-1', '0', '-1', '0', '15031', '22', '15033', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071526', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '5', '15007', '5', '15036', '20', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071527', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '120', '15008', '7', '15052', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8071528', '14', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '80', '15007', '5', '15009', '5', '15017', '2', '15020', '7', '16004', '60', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080001', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080002', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15031', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080003', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080004', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080005', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080006', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15031', '8', '15033', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080007', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080008', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15031', '8', '15033', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080009', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15031', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080010', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15031', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080011', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15031', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080012', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15031', '9', '15033', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080013', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080014', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080015', '15', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15017', '12', '15005', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080016', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080017', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080018', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15031', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080019', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '3', '15017', '5', '15031', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080020', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080101', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080102', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080103', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080104', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080105', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080106', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080107', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080108', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080109', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '25', '15006', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080110', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '25', '15006', '1', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080111', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15006', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080112', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '27', '15005', '3', '15052', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080113', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15006', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080114', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15006', '2', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080115', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15010', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080116', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '80', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080117', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080118', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080119', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080201', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '8', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080202', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '8', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080203', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '8', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080204', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '8', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080205', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080206', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080207', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080208', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080209', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080210', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080211', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080212', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080213', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080214', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080215', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080216', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080217', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080218', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080219', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080220', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '1', '15001', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080221', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '9', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080222', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '9', '15030', '2', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080223', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '9', '15030', '2', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080224', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080225', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '15', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080226', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '15', '15030', '4', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080227', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '15', '15030', '4', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080228', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '1', '15001', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080229', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '1', '15001', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080230', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '1', '15001', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080231', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '9', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080232', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '9', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080233', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '9', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080234', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '9', '15030', '2', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080235', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '9', '15030', '2', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080236', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080237', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080238', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080239', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '15', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080240', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '15', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080241', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15001', '15', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080242', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '15', '15030', '4', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080243', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15001', '15', '15030', '4', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080244', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080245', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '8', '15016', '2', '15011', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080246', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080247', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '-1', '15008', '2', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '44');
INSERT INTO `gamedata_items_equipment` VALUES ('8080301', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080302', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080303', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080304', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080305', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15017', '2', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080306', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15017', '2', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080307', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15017', '2', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080308', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15017', '2', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080309', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15017', '2', '15031', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080310', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15017', '5', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080311', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15017', '5', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080312', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15017', '5', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080313', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15017', '5', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080314', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15017', '5', '15031', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080315', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15017', '8', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080316', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15017', '8', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080317', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15017', '8', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080318', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15017', '8', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080319', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15017', '8', '15031', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080320', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15002', '8', '15031', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080321', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '8', '15031', '9', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080322', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '8', '15031', '9', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080323', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '8', '15031', '9', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080324', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15002', '10', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080325', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '10', '15031', '10', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080326', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '10', '15031', '10', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080327', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '10', '15031', '10', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080328', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15002', '8', '15031', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080329', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15002', '8', '15031', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080330', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15002', '8', '15031', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080331', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '8', '15031', '9', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080332', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '8', '15031', '9', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080333', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '8', '15031', '9', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080334', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '8', '15031', '9', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080335', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '8', '15031', '9', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080336', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '8', '15031', '9', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080337', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '8', '15031', '9', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080338', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '8', '15031', '9', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080339', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '8', '15031', '9', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080340', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15002', '10', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080341', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15002', '10', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080342', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15002', '10', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080343', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15002', '10', '15031', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080344', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '10', '15031', '10', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080345', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '10', '15031', '10', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080346', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080347', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080348', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15017', '1', '15031', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080349', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15024', '3', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '44');
INSERT INTO `gamedata_items_equipment` VALUES ('8080350', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '10', '15031', '10', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080351', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '10', '15031', '10', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080352', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '10', '15031', '10', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080353', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '10', '15031', '10', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080354', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '10', '15031', '10', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080355', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '10', '15031', '10', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080356', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '10', '15031', '10', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080357', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '10', '15031', '10', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080358', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '10', '15031', '10', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080359', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '10', '15031', '10', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080360', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15009', '3', '15026', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080401', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080402', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080403', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080404', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080405', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080406', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080407', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080408', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080409', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080410', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080411', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080412', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080413', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080414', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080415', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080416', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080417', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080418', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080419', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15034', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080420', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080421', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080422', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080423', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080424', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080425', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080426', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080427', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080428', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '7', '15034', '12', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080429', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '7', '15034', '12', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080430', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15034', '12', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080431', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '8', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080432', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15034', '13', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080433', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '8', '15034', '13', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080434', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15034', '13', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080435', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080436', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080437', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '7', '15034', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080438', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '7', '15034', '12', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080439', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '7', '15034', '12', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080440', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '7', '15034', '12', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080441', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '7', '15034', '12', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080442', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '7', '15034', '12', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080443', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '7', '15034', '12', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080444', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15034', '12', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080445', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15034', '12', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080446', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15034', '12', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080447', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '8', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080448', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '8', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080449', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '8', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080450', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '2', '15017', '8', '15034', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080451', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15034', '13', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080452', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15034', '13', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080453', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15034', '13', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080454', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15017', '8', '15034', '13', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080455', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '8', '15034', '13', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080456', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '8', '15034', '13', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080457', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '8', '15034', '13', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080458', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15017', '8', '15034', '13', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080459', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15034', '13', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080460', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15034', '13', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080461', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15034', '13', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080462', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15034', '13', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080501', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '1', '15034', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080502', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15031', '2', '15034', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080503', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15031', '4', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080504', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080505', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080506', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080507', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080508', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080509', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080510', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080511', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080512', '15', '29', '-1', '0', '-1', '0', '20004', '0', '-1', '0', '15017', '1', '15034', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080513', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080514', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '5', '15004', '1', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080515', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080516', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15017', '5', '15029', '2', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080517', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080518', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '6', '15004', '2', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080519', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '6', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080520', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15017', '6', '15029', '3', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080521', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080522', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '7', '15004', '2', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080523', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '7', '15031', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080524', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15017', '7', '15029', '4', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080525', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '15', '15006', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080526', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080527', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080528', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080529', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '5', '15004', '1', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080530', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '5', '15004', '1', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080531', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '5', '15004', '1', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080532', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080533', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080534', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '5', '15031', '6', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080535', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15017', '5', '15029', '2', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080536', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15017', '5', '15029', '2', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080537', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15017', '5', '15029', '2', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080538', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080539', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080540', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080541', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '6', '15004', '2', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080542', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '6', '15004', '2', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080543', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '6', '15004', '2', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080544', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '6', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080545', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '6', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080546', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '6', '15031', '8', '15034', '8', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080547', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15017', '6', '15029', '3', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080548', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15017', '6', '15029', '3', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080549', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15017', '6', '15029', '3', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080550', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080551', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080552', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080553', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '7', '15004', '2', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080554', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '7', '15004', '2', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080555', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15017', '7', '15004', '2', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080556', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '7', '15031', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080557', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '7', '15031', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080558', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15017', '7', '15031', '9', '15034', '9', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080559', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15017', '7', '15029', '4', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080560', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15017', '7', '15029', '4', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080561', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15017', '7', '15029', '4', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080562', '15', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '9', '15029', '6', '15031', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080563', '15', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '12', '15029', '8', '15031', '15', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080564', '15', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '12', '15029', '10', '15031', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080565', '15', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '15', '15029', '8', '15031', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080601', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080602', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080603', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080604', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080605', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080606', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080607', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080608', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080609', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080610', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080611', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080612', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '24', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080613', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '15017', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080614', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '29', '15017', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080615', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '10', '15034', '2', '15031', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080616', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '10', '15034', '2', '15031', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080617', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '18', '15034', '3', '15031', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080618', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '18', '15034', '3', '15031', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080701', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080702', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080703', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080704', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080705', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080706', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080707', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080708', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080709', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080710', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15005', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080711', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15005', '2', '15017', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080712', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15005', '3', '15017', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080713', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15005', '3', '15017', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080714', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15015', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080715', '15', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15017', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080716', '15', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '6', '15017', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080717', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15018', '5', '15020', '30', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080801', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080802', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080803', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080804', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080805', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080806', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080807', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080808', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080809', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080810', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080811', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080812', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080813', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080814', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080815', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080816', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080817', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15017', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '83');
INSERT INTO `gamedata_items_equipment` VALUES ('8080818', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15016', '3', '15017', '13', '-1', '0', '-1', '0', '-1', '0', '0', '0', '64');
INSERT INTO `gamedata_items_equipment` VALUES ('8080819', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '1', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080820', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '1', '15016', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080821', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '2', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080822', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '2', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080823', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '3', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080824', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '3', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080825', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '3', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080826', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '3', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080827', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '3', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8080901', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080902', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080903', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080904', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080905', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080906', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8080907', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081001', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081002', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081003', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081004', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081005', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081006', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081007', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081008', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081009', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081010', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081011', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081012', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081013', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081014', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081015', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081016', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '1', '15006', '1', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081017', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '1', '15006', '1', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081018', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '1', '15006', '2', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081019', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '1', '15006', '2', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081020', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '2', '15006', '2', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081021', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '2', '15006', '2', '15017', '6', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081022', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '2', '15006', '3', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081023', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15004', '2', '15006', '3', '15017', '7', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081101', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '13', '15002', '13', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081102', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '13', '15002', '13', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081103', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '13', '15002', '13', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081104', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '13', '15002', '13', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081105', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081106', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081107', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081108', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15002', '20', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081109', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15002', '20', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081110', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15002', '20', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081111', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15002', '20', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081112', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15002', '20', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081113', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15002', '25', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081114', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15002', '25', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081115', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15002', '25', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081116', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '25', '15002', '25', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081117', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '32', '15005', '2', '15008', '2', '15017', '4', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081118', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '14', '15002', '14', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081119', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '14', '15002', '14', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081120', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '15002', '17', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081121', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15001', '17', '15002', '17', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081122', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15005', '3', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081123', '15', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '30', '15002', '30', '15017', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081124', '15', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '36', '15002', '36', '15017', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081201', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081202', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081203', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081204', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081205', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081206', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081207', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081208', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081209', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '83');
INSERT INTO `gamedata_items_equipment` VALUES ('8081210', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081211', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '2', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081212', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '3', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081213', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '3', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081301', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15035', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081302', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15035', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081303', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15035', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081304', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081305', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081306', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081307', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081308', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081309', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081310', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '6', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081311', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15032', '4', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081312', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15032', '4', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081401', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15030', '2', '15035', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081402', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15030', '3', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081403', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '15030', '5', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081404', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081501', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081601', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081602', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081603', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081604', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081605', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081606', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081607', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081608', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081609', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081610', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '7', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081611', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081612', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081613', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081614', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081615', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15017', '8', '15033', '17', '-1', '0', '-1', '0', '-1', '0', '0', '0', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081616', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081617', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081618', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '6', '15033', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081619', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '8', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081620', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '8', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081621', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '8', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081622', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '8', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081623', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '8', '15033', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081701', '15', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15010', '4', '15015', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081702', '15', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15012', '4', '15011', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081703', '15', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '20', '15013', '4', '15014', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081704', '15', '29', '16010', '1', '15028', '20', '-1', '0', '-1', '0', '15028', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081705', '15', '29', '16010', '1', '15019', '40', '-1', '0', '-1', '0', '15028', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081706', '15', '29', '16010', '1', '15022', '40', '-1', '0', '-1', '0', '15028', '5', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081801', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15041', '3', '15005', '2', '15002', '20', '15052', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081802', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20036', '0', '15007', '3', '15018', '3', '15017', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081803', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15040', '5', '15001', '70', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081804', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20042', '0', '15052', '-15', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081805', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '10', '15001', '10', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081806', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20044', '0', '15008', '3', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081807', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '20048', '0', '15002', '30', '15007', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081901', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15005', '7', '15004', '10', '15017', '-10', '15025', '-20', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081902', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-60', '15016', '10', '15022', '20', '15009', '15', '15017', '-7', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081903', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '80', '15052', '-30', '15009', '20', '15017', '-10', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081904', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '4', '15017', '10', '15009', '2', '15007', '2', '15006', '2', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081905', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '4', '15017', '10', '15009', '2', '15007', '2', '15006', '2', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081906', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '4', '15017', '10', '15009', '2', '15007', '2', '15006', '2', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081907', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '4', '15017', '10', '15009', '2', '15007', '2', '15006', '2', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081908', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15018', '4', '15017', '10', '15009', '2', '15007', '2', '15006', '2', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081909', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15025', '3', '15024', '3', '15028', '1', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081910', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15025', '3', '15024', '3', '15028', '1', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081911', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15025', '3', '15024', '3', '15028', '1', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081912', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15025', '3', '15024', '3', '15028', '1', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081913', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '15025', '3', '15024', '3', '15028', '1', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081914', '15', '29', '16007', '2', '15006', '10', '-1', '0', '-1', '0', '15017', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081915', '15', '29', '16008', '2', '15007', '10', '-1', '0', '-1', '0', '15017', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081916', '15', '29', '16009', '2', '15009', '10', '-1', '0', '-1', '0', '15017', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081917', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15036', '10', '15002', '20', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081918', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '110', '15005', '3', '15008', '3', '15016', '2', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081919', '15', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '50', '15017', '15', '15020', '5', '16004', '20', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081920', '15', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15002', '20', '15007', '3', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '0', '1', '26');
INSERT INTO `gamedata_items_equipment` VALUES ('8081921', '15', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8081922', '15', '28', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090001', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090002', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090003', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090004', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090005', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090006', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '12', '15032', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090007', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090008', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '3', '15032', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090009', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '3', '15032', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090101', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090102', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090103', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090104', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090105', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15006', '1', '15005', '1', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090106', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '4', '15005', '4', '15080', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090107', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15006', '1', '15005', '2', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090108', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15023', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090109', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090110', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090201', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '7', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090202', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '8', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090203', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '7', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090204', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '10', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090205', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '10', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090206', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '15', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090207', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '12', '15036', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090208', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090301', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '5', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090302', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '8', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090303', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '5', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090304', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '10', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090305', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15034', '11', '15035', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090306', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '2', '15034', '12', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090307', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15035', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090401', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090402', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '1', '15002', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090403', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090404', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15032', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090405', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '1', '15002', '9', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090406', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '1', '15002', '9', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090407', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15076', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090408', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '5', '15028', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090501', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090502', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090503', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '1', '15001', '3', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090504', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '1', '15001', '5', '15005', '1', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090505', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '1', '15001', '8', '15005', '2', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090506', '16', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15005', '3', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090507', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '8', '15029', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '88');
INSERT INTO `gamedata_items_equipment` VALUES ('8090601', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090602', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090603', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090604', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15029', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090605', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090606', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '2', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090607', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '-10', '15004', '2', '15005', '-1', '15017', '2', '15029', '1', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090608', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15017', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090609', '16', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '4', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090701', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '11', '15032', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090702', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '9', '15032', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090703', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15034', '9', '15032', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090704', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '1', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090705', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15006', '1', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090706', '16', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15078', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090707', '16', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '6', '15077', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090708', '16', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '3', '15002', '3', '15079', '3', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090709', '16', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '15016', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090801', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090802', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '12', '15002', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090803', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090804', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15001', '10', '15018', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090805', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090806', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090807', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15021', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '84');
INSERT INTO `gamedata_items_equipment` VALUES ('8090901', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '9', '15034', '6', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090902', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15001', '8', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090903', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15001', '8', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090904', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '15034', '10', '15035', '12', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090905', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15034', '8', '15035', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090906', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '15034', '8', '15035', '9', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8090907', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '1', '15035', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8090908', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8091001', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '84');
INSERT INTO `gamedata_items_equipment` VALUES ('8091002', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091003', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091004', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '3', '15005', '3', '15076', '10', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8091005', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15025', '1', '15002', '20', '15025', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091101', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '5', '15035', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091102', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8091103', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15035', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091104', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091105', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15035', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091106', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15032', '8', '15035', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091107', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '50', '15005', '3', '15026', '4', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8091201', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '4', '15029', '1', '15010', '3', '15031', '12', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091202', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8091203', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '1', '15010', '3', '15031', '11', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091204', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15031', '2', '15031', '14', '15008', '2', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091301', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '8', '15034', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091302', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '10', '15034', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091303', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '3', '15030', '7', '15034', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091304', '16', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('8091305', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '8', '15034', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091306', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '2', '15030', '10', '15034', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('8091401', '16', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '1', '15034', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '1', '27');
INSERT INTO `gamedata_items_equipment` VALUES ('9010001', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '11', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010002', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010003', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '17', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010004', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010005', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '22', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010006', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '26', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010007', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010008', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010009', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010010', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010011', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010012', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010013', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010014', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '19', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010015', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '21', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010016', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '13', '15002', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010017', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '13', '15002', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010018', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '13', '15002', '13', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010019', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010020', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010021', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '15', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010022', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010023', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010024', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '16', '15002', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010025', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9010026', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '1', '15002', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010027', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '2', '15002', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010028', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '3', '15002', '18', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010029', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '4', '15002', '24', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010030', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15002', '6', '15002', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010031', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15002', '9', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010032', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '9', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010033', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '9', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010034', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '9', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010035', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15002', '9', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010036', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '9', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010037', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15002', '12', '15004', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010038', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '12', '15008', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010039', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '12', '15005', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010040', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '12', '15009', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010041', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15002', '12', '15006', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010042', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '12', '15007', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010043', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15052', '-1', '15002', '12', '15052', '-3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010044', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15002', '15', '15004', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010045', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15002', '15', '15008', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010046', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15002', '15', '15005', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010047', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15002', '15', '15009', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010048', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15002', '15', '15006', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010049', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15002', '15', '15007', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010050', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15052', '-1', '15002', '15', '15052', '-4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010051', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15052', '1', '15052', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010052', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15052', '1', '15052', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010053', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15052', '2', '15052', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010054', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '2', '15001', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010055', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '4', '15001', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010056', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '6', '15001', '30', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010057', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '8', '15001', '40', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010058', '45', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15001', '50', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '39');
INSERT INTO `gamedata_items_equipment` VALUES ('9010059', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15105', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9010060', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15104', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9010061', '45', '29', '16007', '3', '15004', '7', '-1', '0', '-1', '0', '15018', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9010062', '45', '29', '16008', '3', '15008', '7', '-1', '0', '-1', '0', '15001', '45', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9010063', '45', '29', '16009', '3', '15007', '7', '-1', '0', '-1', '0', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9010064', '45', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15020', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030001', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030002', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030003', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030004', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030005', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15017', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030006', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030007', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030008', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15013', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030009', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15012', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030010', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15014', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030011', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15011', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030012', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030013', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030014', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030015', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030016', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15013', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030017', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15012', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030018', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15014', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030019', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15011', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030020', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030021', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030022', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030023', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030024', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030025', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15035', '1', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030026', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15010', '1', '15029', '10', '15010', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030027', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15015', '1', '15029', '10', '15015', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030028', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15013', '1', '15029', '10', '15013', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030029', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15012', '1', '15029', '10', '15012', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030030', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15014', '1', '15029', '10', '15014', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030031', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15011', '1', '15029', '10', '15011', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030032', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15010', '1', '15029', '15', '15010', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030033', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15015', '1', '15029', '15', '15015', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030034', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15013', '1', '15029', '15', '15013', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030035', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15012', '1', '15029', '15', '15012', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030036', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15014', '1', '15029', '15', '15014', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030037', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15011', '1', '15029', '15', '15011', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030038', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15037', '2', '15029', '10', '15037', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030039', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15010', '2', '15029', '20', '15010', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030040', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15015', '2', '15029', '20', '15015', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030041', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15013', '2', '15029', '20', '15013', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030042', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15012', '2', '15029', '20', '15012', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030043', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15014', '2', '15029', '20', '15014', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030044', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15011', '2', '15029', '20', '15011', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030045', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15037', '3', '15029', '15', '15037', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030046', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030047', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030048', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030049', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15032', '1', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030050', '47', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030051', '47', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030052', '47', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '15030', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030053', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '-1', '15081', '-1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030054', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030055', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030056', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030057', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15025', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030058', '47', '29', '-1', '0', '-1', '0', '-1', '0', '15001', '5', '15001', '25', '15002', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '40');
INSERT INTO `gamedata_items_equipment` VALUES ('9030059', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '-20', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030060', '47', '29', '16007', '4', '15022', '7', '-1', '0', '-1', '0', '15018', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030061', '47', '29', '16008', '4', '15007', '4', '-1', '0', '-1', '0', '15024', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030062', '47', '29', '16009', '4', '15001', '30', '-1', '0', '-1', '0', '15025', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030063', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15049', '1', '15050', '1', '15016', '3', '15028', '3', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030064', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9030065', '47', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040001', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15024', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040002', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '2', '15024', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040003', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15024', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040004', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15024', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040005', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15024', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040006', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15010', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040007', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15015', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040008', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15013', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040009', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '2', '15012', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040010', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15014', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040011', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15011', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040012', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15010', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040013', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15015', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040014', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15013', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040015', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '3', '15012', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040016', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15014', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040017', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15011', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040018', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040019', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040020', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15078', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040021', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15078', '1', '15025', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040022', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '1', '15018', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040023', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '2', '15018', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040024', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '3', '15018', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040025', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '4', '15018', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040026', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15018', '5', '15018', '25', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040027', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040028', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040029', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040030', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040031', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15030', '1', '15030', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040032', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '3', '15024', '6', '15043', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040033', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '3', '15024', '6', '15048', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040034', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '3', '15024', '6', '15046', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040035', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '3', '15024', '6', '15045', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040036', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '3', '15024', '6', '15047', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040037', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '3', '15024', '6', '15044', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040038', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '4', '15024', '8', '15043', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040039', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '4', '15024', '8', '15048', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040040', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '4', '15024', '8', '15046', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040041', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '4', '15024', '8', '15045', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040042', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '4', '15024', '8', '15047', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040043', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '4', '15024', '8', '15044', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040044', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15025', '2', '15025', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040045', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15043', '5', '15024', '10', '15043', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040046', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15048', '5', '15024', '10', '15048', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040047', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15046', '5', '15024', '10', '15046', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040048', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15045', '5', '15024', '10', '15045', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040049', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15047', '5', '15024', '10', '15047', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040050', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15044', '5', '15024', '10', '15044', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040051', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15025', '3', '15025', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040052', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '1', '15017', '8', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040053', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '2', '15017', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040054', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '3', '15017', '16', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040055', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15017', '4', '15017', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040056', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040057', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040058', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040059', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040060', '17', '29', '-1', '0', '-1', '0', '-1', '0', '15033', '1', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '41');
INSERT INTO `gamedata_items_equipment` VALUES ('9040061', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '15', '15020', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040062', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '15', '15036', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040063', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040064', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15052', '30', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040065', '17', '29', '16007', '3', '15001', '30', '-1', '0', '-1', '0', '15025', '14', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040066', '17', '29', '16008', '3', '15022', '15', '-1', '0', '-1', '0', '15018', '27', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040067', '17', '29', '16009', '3', '15038', '15', '-1', '0', '-1', '0', '15024', '20', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9040068', '17', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '35', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050001', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050002', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '2', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050003', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050004', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050005', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15028', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050006', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15016', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050007', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050008', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050009', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050010', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050011', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050012', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050013', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '4', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050014', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050015', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15004', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050016', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15008', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050017', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15005', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050018', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15009', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050019', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15006', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050020', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15007', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050021', '49', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15031', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050022', '49', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '5', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050023', '49', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15030', '5', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050024', '49', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15033', '5', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050025', '49', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15031', '5', '15032', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050026', '49', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15034', '5', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050027', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '3', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050028', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '6', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050029', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '1', '15016', '9', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050030', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '2', '15016', '12', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050031', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15016', '3', '15016', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050032', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '1', '15004', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050033', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '1', '15008', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050034', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '1', '15005', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050035', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '1', '15009', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050036', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '1', '15006', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050037', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '1', '15007', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050038', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '2', '15004', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050039', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '2', '15008', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050040', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '2', '15005', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050041', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '2', '15009', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050042', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '2', '15006', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050043', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '2', '15007', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050044', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15036', '2', '15028', '7', '15036', '7', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050045', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15004', '3', '15004', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050046', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15008', '3', '15008', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050047', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15005', '3', '15005', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050048', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15009', '3', '15009', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050049', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15006', '3', '15006', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050050', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15007', '3', '15007', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050051', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15036', '3', '15028', '10', '15036', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050052', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '1', '15028', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050053', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '2', '15028', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050054', '49', '29', '-1', '0', '-1', '0', '-1', '0', '15028', '3', '15028', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '42');
INSERT INTO `gamedata_items_equipment` VALUES ('9050055', '49', '29', '16007', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '15035', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050056', '49', '29', '16009', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '15034', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050057', '49', '29', '16008', '0', '-1', '0', '-1', '0', '-1', '0', '15058', '1', '15033', '5', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050058', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050059', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050060', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15002', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050061', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050062', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15029', '5', '15001', '5', '15002', '5', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050063', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15018', '15', '15001', '-15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050064', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15024', '15', '15001', '-15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050065', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15001', '40', '15002', '-10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050066', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15025', '15', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050067', '49', '29', '16007', '3', '15007', '10', '-1', '0', '-1', '0', '15024', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050068', '49', '29', '16008', '3', '15001', '15', '-1', '0', '-1', '0', '15001', '35', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050069', '49', '29', '16009', '3', '15018', '10', '-1', '0', '-1', '0', '15018', '10', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050070', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15014', '10', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050071', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15014', '10', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050072', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15012', '10', '15006', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050073', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '10', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050074', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15013', '10', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050075', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15011', '10', '15008', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050076', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15013', '10', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050077', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15010', '10', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050078', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '10', '15009', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050079', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15012', '10', '15005', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050080', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15015', '10', '15007', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_equipment` VALUES ('9050081', '49', '29', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '15011', '10', '15004', '1', '-1', '0', '-1', '0', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4020001', '58', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030010', '76', '1', '90', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030016', '76', '1', '60', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030117', '76', '2', '20', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030303', '76', '4', '10', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030407', '79', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030408', '77', '1', '60', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030507', '78', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030601', '76', '10', '10', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030602', '76', '10', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030603', '80', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030604', '76', '14', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030605', '76', '15', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030606', '76', '16', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030607', '76', '13', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030608', '76', '17', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4030711', '76', '5', '20', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040001', '141', '1', '70', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040013', '141', '6', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040109', '141', '8', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040501', '141', '7', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040502', '141', '7', '10', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040504', '141', '10', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040505', '141', '11', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040506', '141', '12', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4040507', '141', '9', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4070001', '201', '1', '60', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4080201', '161', '3', '50', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4100206', '31', '3', '11', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4100801', '31', '12', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4100802', '31', '13', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('4100803', '31', '14', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('5020001', '281', '1', '100', '4');
INSERT INTO `gamedata_items_graphics` VALUES ('5030101', '331', '1', '20', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8011001', '0', '23', '5', '1');
INSERT INTO `gamedata_items_graphics` VALUES ('8011708', '0', '15', '16', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8011709', '0', '15', '12', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8030245', '0', '7', '18', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8030445', '0', '4', '11', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8030601', '0', '9', '21', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8030701', '0', '10', '13', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8030801', '0', '13', '19', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8031120', '0', '31', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8031716', '0', '15', '16', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8031719', '0', '15', '12', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8032834', '0', '59', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040001', '0', '1', '5', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040002', '0', '1', '5', '2');
INSERT INTO `gamedata_items_graphics` VALUES ('8040003', '0', '1', '5', '3');
INSERT INTO `gamedata_items_graphics` VALUES ('8040004', '0', '1', '5', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040005', '0', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040006', '0', '1', '5', '3');
INSERT INTO `gamedata_items_graphics` VALUES ('8040007', '0', '1', '15', '1');
INSERT INTO `gamedata_items_graphics` VALUES ('8040008', '0', '1', '5', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040009', '0', '1', '5', '1');
INSERT INTO `gamedata_items_graphics` VALUES ('8040010', '0', '1', '15', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040011', '0', '1', '15', '1');
INSERT INTO `gamedata_items_graphics` VALUES ('8040012', '0', '1', '6', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040013', '0', '1', '5', '2');
INSERT INTO `gamedata_items_graphics` VALUES ('8040014', '0', '1', '5', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8040015', '0', '1', '5', '2');
INSERT INTO `gamedata_items_graphics` VALUES ('8050031', '0', '2', '6', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8050245', '0', '4', '11', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8050346', '0', '5', '11', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8050621', '0', '9', '25', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8050622', '0', '9', '24', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8050728', '0', '10', '10', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8050808', '0', '15', '22', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8051015', '0', '7', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060001', '0', '1', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060002', '0', '1', '2', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060003', '0', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060004', '0', '1', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060005', '0', '1', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060006', '0', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060007', '0', '1', '2', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060008', '0', '1', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060009', '0', '1', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060010', '0', '1', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060011', '0', '1', '2', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060012', '0', '1', '2', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060013', '0', '1', '6', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060014', '0', '1', '1', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8060015', '0', '1', '2', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8070243', '0', '11', '7', '5');
INSERT INTO `gamedata_items_graphics` VALUES ('8070346', '0', '5', '11', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8080246', '0', '4', '10', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8080346', '0', '5', '12', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8080501', '0', '10', '13', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8080601', '0', '25', '7', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8081208', '0', '15', '16', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8081209', '0', '15', '12', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8090208', '0', '4', '0', '0');
INSERT INTO `gamedata_items_graphics` VALUES ('8090307', '0', '6', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '5', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '22', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '25', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '45', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '56', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '5', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '61', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '31', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '49', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '18', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '31', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '49', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '18', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '31', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '49', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '24', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910306', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '61', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '24', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3910403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '39', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '5', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '15', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '22', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '7', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '26', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '13', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '36', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '56', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '7', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '19', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '31', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920015', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '4', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920017', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '6', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920018', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '39', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920019', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '48', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920020', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '9', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3920021', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '20', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940109', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('3940110', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020001', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '8', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020002', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '11', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020003', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '33', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020004', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '85', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020005', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '11', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020006', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '50', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020007', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '99', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020008', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '76', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020009', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '106', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020010', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '131', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020011', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '73', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020012', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '112', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020101', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '13', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020102', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '24', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020103', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '40', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020104', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '65', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020105', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '98', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020106', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '44', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020107', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '14', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020108', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '27', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020109', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '38', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020110', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '59', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020111', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '97', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020112', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '123', '3.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020113', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '114', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020201', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '17', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020202', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '29', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020203', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '48', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020204', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '56', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020205', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '45', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020206', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '18', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020207', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '23', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020208', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '33', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020209', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '86', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020210', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '114', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020211', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '77', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020301', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '79', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020302', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '47', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020303', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '127', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020304', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '37', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020305', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '115', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020306', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '80', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020307', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '73', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020308', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020309', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '117', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020310', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '97', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020311', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '97', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020401', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '131', '3.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020402', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '143', '3.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020403', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '133', '3.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020404', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '133', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020405', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '133', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020406', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '137', '3.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020407', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '115', '2.8', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020408', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '132', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020409', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '132', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020410', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '132', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4020411', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '130', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '10', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '12', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '35', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '15', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '16', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '20', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '44', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '26', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '7', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '9', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '27', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '28', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '54', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030015', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '35', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '90', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '10', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '18', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '30', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '23', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '39', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '39', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '14', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '14', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030109', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '23', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030110', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '9', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030111', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '18', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030112', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '35', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030113', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '34', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030114', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '17', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030115', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '29', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030116', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '52', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030117', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '86', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030118', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '25', '2.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '58', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '35', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '23', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '68', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030205', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '59', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '51', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '78', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '91', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '40', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '63', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '72', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '30', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '59', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030404', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '46', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030405', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '51', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030406', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '90', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030407', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '98', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030408', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '95', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030501', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '26', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030502', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '51', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030503', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '49', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030504', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '89', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030505', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '89', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030506', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '80', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030507', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '102', '2.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030601', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '107', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030602', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '119', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030603', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '101', '2.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030604', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '102', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030605', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '102', '2.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030606', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '114', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030607', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '88', '2.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030608', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '115', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030701', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '26', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030702', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '42', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030703', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '66', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030704', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '78', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030705', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '75', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030706', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '13', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030707', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '33', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030708', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '45', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030709', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '62', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030710', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '59', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4030711', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '91', '2.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '12', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '15', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '46', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '16', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '36', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '75', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '21', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '117', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '29', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '38', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '60', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '48', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '167', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '102', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '20', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '59', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '27', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '36', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '75', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '36', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '59', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '96', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040109', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '171', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040110', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '62', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040111', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '159', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '82', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '126', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '59', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '144', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040205', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '76', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040206', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '105', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040207', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '141', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040208', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '100', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '104', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '151', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '79', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '68', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '131', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040306', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '159', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '104', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '135', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '73', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040404', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '154', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040405', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '46', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040406', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '162', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040407', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '105', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040408', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '170', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040501', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '161', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040502', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '179', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040503', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '167', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040504', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '169', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040505', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '165', '4.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040506', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '173', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040507', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '159', '3.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040508', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '168', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040509', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '168', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040510', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '168', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4040511', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '169', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4050001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4060001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4070001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '6', '3.5', '4');
INSERT INTO `gamedata_items_weapon` VALUES ('4070002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '8', '3.5', '5');
INSERT INTO `gamedata_items_weapon` VALUES ('4070003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '3.5', '7');
INSERT INTO `gamedata_items_weapon` VALUES ('4070004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '18', '3.5', '13');
INSERT INTO `gamedata_items_weapon` VALUES ('4070005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '31', '3.5', '22');
INSERT INTO `gamedata_items_weapon` VALUES ('4070006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '8', '3.5', '5');
INSERT INTO `gamedata_items_weapon` VALUES ('4070007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '24', '3.5', '15');
INSERT INTO `gamedata_items_weapon` VALUES ('4070008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '77', '3.5', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '3.5', '7');
INSERT INTO `gamedata_items_weapon` VALUES ('4070010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '16', '3.5', '9');
INSERT INTO `gamedata_items_weapon` VALUES ('4070011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '21', '3.5', '13');
INSERT INTO `gamedata_items_weapon` VALUES ('4070012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '54', '3.5', '36');
INSERT INTO `gamedata_items_weapon` VALUES ('4070013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '79', '3.5', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '12', '3.3', '9');
INSERT INTO `gamedata_items_weapon` VALUES ('4070102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '20', '3.3', '15');
INSERT INTO `gamedata_items_weapon` VALUES ('4070103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '33', '3.3', '26');
INSERT INTO `gamedata_items_weapon` VALUES ('4070104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '34', '3.3', '22');
INSERT INTO `gamedata_items_weapon` VALUES ('4070105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '29', '3.3', '22');
INSERT INTO `gamedata_items_weapon` VALUES ('4070106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '43', '3.3', '31');
INSERT INTO `gamedata_items_weapon` VALUES ('4070107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '56', '3.3', '39');
INSERT INTO `gamedata_items_weapon` VALUES ('4070108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '75', '3.3', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '11', '4.2', '7');
INSERT INTO `gamedata_items_weapon` VALUES ('4070202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '32', '4.2', '22');
INSERT INTO `gamedata_items_weapon` VALUES ('4070203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '65', '4.2', '39');
INSERT INTO `gamedata_items_weapon` VALUES ('4070204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '12', '4.2', '7');
INSERT INTO `gamedata_items_weapon` VALUES ('4070205', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '16', '4.2', '9');
INSERT INTO `gamedata_items_weapon` VALUES ('4070206', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '19', '4.2', '13');
INSERT INTO `gamedata_items_weapon` VALUES ('4070207', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '52', '4.2', '36');
INSERT INTO `gamedata_items_weapon` VALUES ('4070208', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '22', '4.2', '13');
INSERT INTO `gamedata_items_weapon` VALUES ('4070209', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '47', '4.2', '26');
INSERT INTO `gamedata_items_weapon` VALUES ('4070210', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '29', '4.2', '15');
INSERT INTO `gamedata_items_weapon` VALUES ('4070211', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '90', '4.2', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070212', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '50', '4.2', '26');
INSERT INTO `gamedata_items_weapon` VALUES ('4070213', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '82', '4.2', '39');
INSERT INTO `gamedata_items_weapon` VALUES ('4070214', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '100', '4.2', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070215', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '63', '4.2', '36');
INSERT INTO `gamedata_items_weapon` VALUES ('4070301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '22', '4', '13');
INSERT INTO `gamedata_items_weapon` VALUES ('4070302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '37', '4', '22');
INSERT INTO `gamedata_items_weapon` VALUES ('4070303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '59', '4', '39');
INSERT INTO `gamedata_items_weapon` VALUES ('4070304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '73', '4', '48');
INSERT INTO `gamedata_items_weapon` VALUES ('4070305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '36', '4', '22');
INSERT INTO `gamedata_items_weapon` VALUES ('4070306', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '33', '4', '22');
INSERT INTO `gamedata_items_weapon` VALUES ('4070307', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '60', '4', '36');
INSERT INTO `gamedata_items_weapon` VALUES ('4070308', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '87', '4', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070309', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '102', '4.3', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070310', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '60', '4', '36');
INSERT INTO `gamedata_items_weapon` VALUES ('4070311', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '93', '4', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070312', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '95', '4.1', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '102', '4.1', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '116', '4.1', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '106', '4.1', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070404', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '97', '3.8', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070405', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '77', '3.3', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070406', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '109', '4.1', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070407', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '71', '3.1', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070408', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '76', '3.3', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070409', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '76', '3.3', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070410', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '76', '3.3', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4070411', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '4', '1', '-1', '0', '-1', '0', '106', '4.2', '56');
INSERT INTO `gamedata_items_weapon` VALUES ('4080001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '15', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '20', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '44', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '71', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '13', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '38', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '151', '3.8', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '20', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '72', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '125', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '142', '3.6', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '47', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '76', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '117', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '35', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '70', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '93', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '143', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080109', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '133', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080110', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '56', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '10', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '13', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '24', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '40', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080205', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '16', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080206', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '27', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080207', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '65', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080208', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '44', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080209', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '57', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080210', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '114', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080211', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '51', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080212', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '147', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080213', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '88', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '119', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '66', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '126', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '52', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '100', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080306', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '88', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '57', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '91', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '64', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080404', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '119', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080405', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '136', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080406', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '41', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080407', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '135', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080408', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '95', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080409', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '140', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080501', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '150', '3.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080502', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '164', '3.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080503', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '137', '3.5', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080504', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '149', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080505', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '149', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080506', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '153', '3.8', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080507', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '127', '3.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080508', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '132', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080509', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '132', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080510', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '132', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4080511', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '146', '3.7', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4090001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100109', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100110', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100111', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100112', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100205', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100206', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100306', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100307', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100308', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100404', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100405', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100501', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100502', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100503', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100504', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100505', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100506', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100507', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100508', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100509', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100510', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100511', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100601', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100602', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100603', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100604', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100605', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100606', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100607', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100608', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100609', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100701', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100702', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100703', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100704', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100705', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100706', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100707', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100708', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100709', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100710', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100711', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100712', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100713', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100801', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100802', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100803', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100804', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100805', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100806', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100807', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100808', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100809', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100810', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100811', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100812', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('4100813', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5010001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '3', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '4', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '5', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '9', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '15', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '24', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '5', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '9', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '38', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '14', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '19', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '30', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '40', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '27', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '5', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '10', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '17', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '67', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '28', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '6', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '23', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '9', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020109', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '38', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020110', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '58', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020111', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '65', '4.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020112', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '41', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020113', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '62', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020114', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '24', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020115', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '10', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020205', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020206', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020207', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020208', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '19', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020209', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '15', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020210', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '10', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020211', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '13', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020212', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020213', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '21', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020214', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020215', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '33', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020216', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '46', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020217', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '25', '2.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '8', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '22', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '31', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '17', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '40', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020306', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '8', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020307', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '42', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '65', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '74', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '62', '4.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020404', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '48', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020405', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '47', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020406', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '50', '3.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020407', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '63', '3.9', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020408', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '46', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020409', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '46', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020410', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '46', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5020411', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '70', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '4', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '9', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '4', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '5', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '26', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '6', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '15', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '7', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '7', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '7', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '7', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '7', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '7', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '20', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030015', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '12', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030017', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030018', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030019', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030020', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030021', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030022', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '32', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030023', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '32', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030024', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '32', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030025', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '32', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030026', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '32', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030027', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '32', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030028', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '37', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030029', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '20', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030030', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '28', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030031', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '28', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030032', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '28', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030033', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '37', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030034', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '37', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030035', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '37', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030036', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '43', '3.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030037', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '27', '3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030101', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '4', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030102', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '6', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030103', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '8', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030104', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '14', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030105', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '23', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030106', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '37', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030107', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '13', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030108', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '58', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030109', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '36', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030110', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '68', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030111', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '60', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030112', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '30', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030113', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '41', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030201', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '12', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030202', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '15', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030203', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '33', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030204', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '41', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030205', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '50', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030206', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '23', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030207', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '19', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030208', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '27', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030209', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '50', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030210', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '62', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030301', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '18', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030302', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '30', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030303', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '34', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030304', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '24', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030305', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '25', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030306', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '16', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030307', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '42', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030308', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '65', '4.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030309', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '65', '4.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030401', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '65', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030402', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '74', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030403', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '62', '4.1', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030404', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '48', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030405', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '47', '3.2', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030406', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '50', '3.4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030407', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '50', '3.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030408', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '64', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030409', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '64', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030410', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '64', '4', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5030411', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '70', '4.3', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('5040001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010001', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010002', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010003', '0', '0', '40', '36', '0', '0', '1', '0', '0', '31', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010004', '0', '0', '55', '49', '0', '0', '1', '0', '0', '43', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010005', '0', '0', '22', '19', '0', '0', '1', '0', '0', '25', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010006', '0', '0', '62', '54', '0', '0', '1', '0', '0', '70', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010007', '0', '0', '29', '25', '0', '0', '1', '0', '0', '33', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010008', '0', '0', '56', '56', '0', '0', '1', '0', '0', '56', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010009', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010010', '0', '0', '30', '25', '0', '0', '1', '0', '0', '32', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010011', '0', '0', '43', '40', '0', '0', '1', '0', '0', '34', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010012', '0', '0', '47', '40', '0', '0', '1', '0', '0', '51', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010013', '0', '0', '54', '54', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010014', '0', '0', '68', '63', '0', '0', '1', '0', '0', '53', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010015', '0', '0', '82', '76', '0', '0', '1', '0', '0', '64', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6010016', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011003', '0', '0', '60', '78', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011004', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011005', '0', '0', '30', '39', '0', '0', '1', '0', '0', '36', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011006', '0', '0', '43', '56', '0', '0', '1', '0', '0', '51', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011007', '0', '0', '58', '74', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6011008', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020001', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020002', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020003', '0', '0', '40', '36', '0', '0', '1', '0', '0', '31', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020004', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020005', '0', '0', '27', '23', '0', '0', '1', '0', '0', '29', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020006', '0', '0', '22', '19', '0', '0', '1', '0', '0', '25', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020007', '0', '0', '49', '43', '0', '0', '1', '0', '0', '55', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020008', '0', '0', '35', '33', '0', '0', '1', '0', '0', '28', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020009', '0', '0', '41', '35', '0', '0', '1', '0', '0', '45', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020010', '0', '0', '70', '62', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020011', '0', '0', '47', '47', '0', '0', '1', '0', '0', '47', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020012', '0', '0', '67', '61', '0', '0', '1', '0', '0', '52', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020014', '0', '0', '82', '76', '0', '0', '1', '0', '0', '64', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020015', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020017', '0', '0', '29', '25', '0', '0', '1', '0', '0', '33', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6020018', '0', '0', '69', '69', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021003', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021004', '0', '0', '31', '40', '0', '0', '1', '0', '0', '37', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021005', '0', '0', '46', '59', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021006', '0', '0', '49', '63', '0', '0', '1', '0', '0', '56', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021007', '0', '0', '58', '74', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6021008', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030001', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030002', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030003', '0', '0', '40', '36', '0', '0', '1', '0', '0', '31', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030004', '0', '0', '22', '19', '0', '0', '1', '0', '0', '25', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030005', '0', '0', '49', '43', '0', '0', '1', '0', '0', '55', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030006', '0', '0', '62', '62', '0', '0', '1', '0', '0', '62', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030007', '0', '0', '29', '25', '0', '0', '1', '0', '0', '33', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030008', '0', '0', '69', '69', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030009', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030010', '0', '0', '27', '23', '0', '0', '1', '0', '0', '29', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030011', '0', '0', '35', '33', '0', '0', '1', '0', '0', '28', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030012', '0', '0', '41', '35', '0', '0', '1', '0', '0', '45', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030013', '0', '0', '47', '47', '0', '0', '1', '0', '0', '47', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030014', '0', '0', '67', '61', '0', '0', '1', '0', '0', '52', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030015', '0', '0', '76', '64', '0', '0', '1', '0', '0', '82', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6030016', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031003', '0', '0', '49', '63', '0', '0', '1', '0', '0', '56', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031004', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031005', '0', '0', '31', '40', '0', '0', '1', '0', '0', '37', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031006', '0', '0', '46', '59', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031007', '0', '0', '58', '74', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6031008', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040001', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040002', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040003', '0', '0', '40', '36', '0', '0', '1', '0', '0', '31', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040004', '0', '0', '22', '19', '0', '0', '1', '0', '0', '25', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040005', '0', '0', '62', '54', '0', '0', '1', '0', '0', '70', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040006', '0', '0', '29', '25', '0', '0', '1', '0', '0', '33', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040007', '0', '0', '55', '49', '0', '0', '1', '0', '0', '43', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040008', '0', '0', '78', '69', '0', '0', '1', '0', '0', '60', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040009', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040010', '0', '0', '27', '23', '0', '0', '1', '0', '0', '29', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040011', '0', '0', '35', '33', '0', '0', '1', '0', '0', '28', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040012', '0', '0', '41', '35', '0', '0', '1', '0', '0', '45', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040013', '0', '0', '53', '48', '0', '0', '1', '0', '0', '41', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040014', '0', '0', '61', '52', '0', '0', '1', '0', '0', '67', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040015', '0', '0', '74', '74', '0', '0', '1', '0', '0', '74', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6040016', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041003', '0', '0', '49', '63', '0', '0', '1', '0', '0', '56', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041004', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041005', '0', '0', '31', '40', '0', '0', '1', '0', '0', '37', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041006', '0', '0', '46', '59', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041007', '0', '0', '58', '74', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6041008', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050001', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050002', '0', '0', '25', '22', '0', '0', '1', '0', '0', '19', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050003', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050004', '0', '0', '55', '49', '0', '0', '1', '0', '0', '43', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050005', '0', '0', '36', '31', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050006', '0', '0', '70', '62', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050007', '0', '0', '33', '29', '0', '0', '1', '0', '0', '25', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050008', '0', '0', '69', '60', '0', '0', '1', '0', '0', '78', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050009', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050010', '0', '0', '29', '27', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050011', '0', '0', '40', '34', '0', '0', '1', '0', '0', '43', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050012', '0', '0', '51', '47', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050013', '0', '0', '56', '47', '0', '0', '1', '0', '0', '60', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050014', '0', '0', '67', '61', '0', '0', '1', '0', '0', '52', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050015', '0', '0', '82', '76', '0', '0', '1', '0', '0', '64', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6050016', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051003', '0', '0', '49', '63', '0', '0', '1', '0', '0', '56', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051004', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051005', '0', '0', '29', '37', '0', '0', '1', '0', '0', '34', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051006', '0', '0', '43', '56', '0', '0', '1', '0', '0', '51', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051007', '0', '0', '58', '74', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6051008', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060001', '0', '0', '22', '19', '0', '0', '1', '0', '0', '25', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060002', '0', '0', '62', '54', '0', '0', '1', '0', '0', '70', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060003', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060004', '0', '0', '55', '49', '0', '0', '1', '0', '0', '43', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060005', '0', '0', '40', '36', '0', '0', '1', '0', '0', '31', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060006', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060007', '0', '0', '63', '56', '0', '0', '1', '0', '0', '49', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060008', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060009', '0', '0', '30', '25', '0', '0', '1', '0', '0', '32', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060010', '0', '0', '39', '36', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060011', '0', '0', '51', '47', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060012', '0', '0', '65', '60', '0', '0', '1', '0', '0', '51', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060013', '0', '0', '69', '58', '0', '0', '1', '0', '0', '74', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060014', '0', '0', '82', '76', '0', '0', '1', '0', '0', '64', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6060015', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061003', '0', '0', '25', '33', '0', '0', '1', '0', '0', '29', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061004', '0', '0', '60', '78', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061005', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061006', '0', '0', '34', '43', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061007', '0', '0', '45', '57', '0', '0', '1', '0', '0', '53', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061008', '0', '0', '54', '70', '0', '0', '1', '0', '0', '64', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6061009', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070001', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070002', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070003', '0', '0', '25', '22', '0', '0', '1', '0', '0', '19', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070004', '0', '0', '40', '36', '0', '0', '1', '0', '0', '31', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070005', '0', '0', '55', '49', '0', '0', '1', '0', '0', '43', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070006', '0', '0', '70', '62', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070007', '0', '0', '33', '29', '0', '0', '1', '0', '0', '25', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070008', '0', '0', '69', '60', '0', '0', '1', '0', '0', '78', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070009', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070010', '0', '0', '31', '28', '0', '0', '1', '0', '0', '24', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070011', '0', '0', '43', '40', '0', '0', '1', '0', '0', '34', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070012', '0', '0', '51', '47', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070013', '0', '0', '60', '56', '0', '0', '1', '0', '0', '47', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070014', '0', '0', '68', '63', '0', '0', '1', '0', '0', '53', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070015', '0', '0', '76', '64', '0', '0', '1', '0', '0', '82', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6070016', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071003', '0', '0', '49', '63', '0', '0', '1', '0', '0', '56', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071004', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071005', '0', '0', '30', '39', '0', '0', '1', '0', '0', '36', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071006', '0', '0', '43', '56', '0', '0', '1', '0', '0', '51', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071007', '0', '0', '58', '74', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6071008', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080001', '0', '0', '9', '8', '0', '0', '1', '0', '0', '7', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080002', '0', '0', '18', '16', '0', '0', '1', '0', '0', '14', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080003', '0', '0', '25', '22', '0', '0', '1', '0', '0', '19', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080004', '0', '0', '40', '36', '0', '0', '1', '0', '0', '31', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080005', '0', '0', '49', '43', '0', '0', '1', '0', '0', '55', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080006', '0', '0', '62', '54', '0', '0', '1', '0', '0', '70', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080007', '0', '0', '29', '29', '0', '0', '1', '0', '0', '29', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080008', '0', '0', '63', '56', '0', '0', '1', '0', '0', '49', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080009', '0', '0', '20', '18', '0', '0', '1', '0', '0', '15', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080010', '0', '0', '31', '28', '0', '0', '1', '0', '0', '24', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080011', '0', '0', '40', '34', '0', '0', '1', '0', '0', '43', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080012', '0', '0', '47', '40', '0', '0', '1', '0', '0', '51', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080013', '0', '0', '54', '54', '0', '0', '1', '0', '0', '54', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080014', '0', '0', '63', '53', '0', '0', '1', '0', '0', '68', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080015', '0', '0', '82', '76', '0', '0', '1', '0', '0', '64', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6080016', '0', '0', '80', '80', '0', '0', '1', '0', '0', '77', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081001', '0', '0', '17', '22', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081002', '0', '0', '37', '48', '0', '0', '1', '0', '0', '42', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081003', '0', '0', '60', '78', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081004', '0', '0', '19', '24', '0', '0', '1', '0', '0', '23', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081005', '0', '0', '30', '39', '0', '0', '1', '0', '0', '36', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081006', '0', '0', '43', '56', '0', '0', '1', '0', '0', '51', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081007', '0', '0', '58', '74', '0', '0', '1', '0', '0', '69', '0', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('6081008', '0', '0', '70', '75', '0', '0', '1', '0', '0', '75', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010001', '0', '0', '0', '0', '18', '16', '1', '0', '0', '0', '14', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010002', '0', '0', '0', '0', '40', '36', '1', '0', '0', '0', '31', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010003', '0', '0', '0', '0', '55', '49', '1', '0', '0', '0', '43', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010004', '0', '0', '0', '0', '20', '18', '1', '0', '0', '0', '15', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010005', '0', '0', '0', '0', '9', '8', '1', '0', '0', '0', '7', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010006', '0', '0', '0', '0', '22', '22', '1', '0', '0', '0', '22', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010007', '0', '0', '0', '0', '26', '26', '1', '0', '0', '0', '26', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010008', '0', '0', '0', '0', '37', '34', '1', '0', '0', '0', '29', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010009', '0', '0', '0', '0', '70', '62', '1', '0', '0', '0', '54', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010010', '0', '0', '0', '0', '36', '46', '1', '0', '0', '0', '43', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010011', '0', '0', '0', '0', '53', '48', '1', '0', '0', '0', '41', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010012', '0', '0', '0', '0', '60', '60', '1', '0', '0', '0', '60', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010013', '0', '0', '0', '0', '64', '82', '1', '0', '0', '0', '76', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010015', '0', '0', '0', '0', '29', '29', '1', '0', '0', '0', '29', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010016', '0', '0', '0', '0', '56', '56', '1', '0', '0', '0', '56', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010017', '0', '0', '0', '0', '77', '79', '1', '0', '0', '0', '81', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010101', '0', '0', '0', '0', '20', '17', '1', '0', '0', '0', '22', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010102', '0', '0', '0', '0', '42', '37', '1', '0', '0', '0', '48', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010103', '0', '0', '0', '0', '23', '19', '1', '0', '0', '0', '24', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010104', '0', '0', '0', '0', '38', '32', '1', '0', '0', '0', '42', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010105', '0', '0', '0', '0', '54', '46', '1', '0', '0', '0', '59', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010106', '0', '0', '0', '0', '69', '60', '1', '0', '0', '0', '78', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010107', '0', '0', '0', '0', '69', '58', '1', '0', '0', '0', '74', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010108', '0', '0', '0', '0', '8', '7', '1', '0', '0', '0', '9', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7010109', '0', '0', '0', '0', '66', '71', '1', '0', '0', '0', '80', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020001', '0', '0', '0', '0', '18', '16', '1', '0', '0', '0', '14', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020002', '0', '0', '0', '0', '9', '8', '1', '0', '0', '0', '7', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020003', '0', '0', '0', '0', '40', '36', '1', '0', '0', '0', '31', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020004', '0', '0', '0', '0', '55', '49', '1', '0', '0', '0', '43', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020005', '0', '0', '0', '0', '22', '22', '1', '0', '0', '0', '22', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020006', '0', '0', '0', '0', '62', '62', '1', '0', '0', '0', '62', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020007', '0', '0', '0', '0', '29', '29', '1', '0', '0', '0', '29', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020008', '0', '0', '0', '0', '63', '56', '1', '0', '0', '0', '49', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020009', '0', '0', '0', '0', '20', '18', '1', '0', '0', '0', '15', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020010', '0', '0', '0', '0', '31', '28', '1', '0', '0', '0', '24', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020011', '0', '0', '0', '0', '43', '40', '1', '0', '0', '0', '34', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020012', '0', '0', '0', '0', '46', '46', '1', '0', '0', '0', '46', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020013', '0', '0', '0', '0', '60', '56', '1', '0', '0', '0', '47', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020014', '0', '0', '0', '0', '68', '63', '1', '0', '0', '0', '53', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020015', '0', '0', '0', '0', '64', '82', '1', '0', '0', '0', '76', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020016', '0', '0', '0', '0', '77', '79', '1', '0', '0', '0', '81', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020101', '0', '0', '0', '0', '20', '17', '1', '0', '0', '0', '22', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020102', '0', '0', '0', '0', '42', '37', '1', '0', '0', '0', '48', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020103', '0', '0', '0', '0', '69', '60', '1', '0', '0', '0', '78', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020104', '0', '0', '0', '0', '23', '19', '1', '0', '0', '0', '24', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020105', '0', '0', '0', '0', '36', '30', '1', '0', '0', '0', '39', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020106', '0', '0', '0', '0', '51', '43', '1', '0', '0', '0', '56', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020107', '0', '0', '0', '0', '69', '58', '1', '0', '0', '0', '74', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020108', '0', '0', '0', '0', '8', '7', '1', '0', '0', '0', '9', '0', '0', '0', '1', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7020109', '0', '0', '0', '0', '66', '71', '1', '0', '0', '0', '80', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030001', '0', '0', '0', '0', '18', '16', '1', '0', '0', '0', '14', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030002', '0', '0', '0', '0', '9', '8', '1', '0', '0', '0', '7', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030003', '0', '0', '0', '0', '25', '22', '1', '0', '0', '0', '19', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030004', '0', '0', '0', '0', '40', '36', '1', '0', '0', '0', '31', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030005', '0', '0', '0', '0', '55', '49', '1', '0', '0', '0', '43', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030006', '0', '0', '0', '0', '70', '62', '1', '0', '0', '0', '54', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030007', '0', '0', '0', '0', '33', '29', '1', '0', '0', '0', '25', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030008', '0', '0', '0', '0', '69', '69', '1', '0', '0', '0', '69', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030009', '0', '0', '0', '0', '20', '18', '1', '0', '0', '0', '15', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030010', '0', '0', '0', '0', '31', '28', '1', '0', '0', '0', '24', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030011', '0', '0', '0', '0', '46', '43', '1', '0', '0', '0', '36', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030012', '0', '0', '0', '0', '57', '53', '1', '0', '0', '0', '45', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030013', '0', '0', '0', '0', '58', '58', '1', '0', '0', '0', '58', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030014', '0', '0', '0', '0', '74', '69', '1', '0', '0', '0', '58', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030015', '0', '0', '0', '0', '64', '82', '1', '0', '0', '0', '76', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030016', '0', '0', '0', '0', '77', '79', '1', '0', '0', '0', '81', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030101', '0', '0', '0', '0', '20', '17', '1', '0', '0', '0', '22', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030102', '0', '0', '0', '0', '42', '37', '1', '0', '0', '0', '48', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030103', '0', '0', '0', '0', '56', '49', '1', '0', '0', '0', '63', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030104', '0', '0', '0', '0', '23', '19', '1', '0', '0', '0', '24', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030105', '0', '0', '0', '0', '36', '30', '1', '0', '0', '0', '39', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030106', '0', '0', '0', '0', '48', '41', '1', '0', '0', '0', '53', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030107', '0', '0', '0', '0', '64', '54', '1', '0', '0', '0', '70', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030108', '0', '0', '0', '0', '8', '7', '1', '0', '0', '0', '9', '0', '0', '0', '2', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('7030109', '0', '0', '0', '0', '66', '71', '1', '0', '0', '0', '80', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010015', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010017', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010018', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010019', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010020', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010021', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010022', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010023', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010024', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010025', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010026', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010027', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010028', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010029', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010030', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010031', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010032', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010033', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010034', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010035', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010036', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010037', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010038', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010039', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010040', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010041', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010042', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010043', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010044', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010045', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010046', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010047', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010048', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010049', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010050', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010051', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010052', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010053', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010054', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010055', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010056', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010057', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010058', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010059', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010060', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010061', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010062', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010063', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9010064', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030015', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030017', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030018', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030019', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030020', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030021', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030022', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030023', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030024', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030025', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030026', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030027', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030028', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030029', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030030', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030031', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030032', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030033', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030034', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030035', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030036', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030037', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030038', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030039', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030040', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030041', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030042', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030043', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030044', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030045', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030046', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030047', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030048', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030049', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030050', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030051', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030052', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030053', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030054', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030055', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030056', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030057', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030058', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030059', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030060', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030061', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030062', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030063', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030064', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9030065', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040015', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040017', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040018', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040019', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040020', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040021', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040022', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040023', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040024', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040025', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040026', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040027', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040028', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040029', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040030', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040031', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040032', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040033', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040034', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040035', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040036', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040037', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040038', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040039', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040040', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040041', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040042', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040043', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040044', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040045', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040046', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040047', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040048', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040049', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040050', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040051', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040052', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040053', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040054', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040055', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040056', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040057', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040058', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040059', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040060', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040061', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040062', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040063', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040064', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040065', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040066', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040067', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9040068', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050001', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050002', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050003', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050004', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050005', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050006', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050007', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050008', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050009', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050010', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050011', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050012', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050013', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050014', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050015', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050016', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050017', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050018', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050019', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050020', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050021', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050022', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050023', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050024', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050025', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050026', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050027', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050028', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050029', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050030', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050031', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050032', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050033', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050034', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050035', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050036', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050037', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050038', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050039', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050040', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050041', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050042', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050043', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050044', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050045', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050046', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050047', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050048', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050049', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050050', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050051', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050052', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050053', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050054', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050055', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050056', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050057', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050058', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050059', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050060', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050061', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050062', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050063', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050064', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050065', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050066', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050067', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050068', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050069', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050070', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050071', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050072', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050073', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050074', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050075', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050076', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050077', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050078', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050079', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050080', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
INSERT INTO `gamedata_items_weapon` VALUES ('9050081', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '1', '-1', '0', '-1', '0', '0', '0', '0');
